/*  
 *  - - - - - - - - - - - - -  
 *   g a l _ d a t _ t e s t  
 *  - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_dat routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_d2tf  
 *     gal_viv  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 2 ( c version 2008 June 8 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_dat.h"  
#include "gal_dat_test.h"  
#include "gal_test.h"  
  
void  
gal_dat_test  
 (  
 )  
{  
  
    double deltat ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
      
    gal_viv ( gal_dat ( 2003, 06, 01, 0.0, &deltat ), 0, "gal_dat", "a 0" ) ;  
    gal_vdv ( deltat, 32.0, 0.0, "gal_dat", "deltat" ) ;  
    gal_viv ( gal_dat ( 2008, 01, 17, 0.0, &deltat ) , 0, "gal_dat", "a 1" ) ;  
    gal_vdv ( deltat, 33.0, 0.0, "gal_dat", "deltat" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
