/*  
 *  - - - - - - - - - - - - - - - - - -
 *   g a l _ d a y s 2 c a l _ t e s t  
 *  - - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_days2cal routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_vdv 
 *     gal_days2cal 
 *  
 *  This Revision:
 *  
 *     2008 April 13 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_days2cal_test.h"
#include "gal_days2cal.h"
#include "gal_test.h"
  
void  
gal_days2cal_test  
 (  
 ) 
 
{

  int iy, im, id ;
  double fd ;
     
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
  gal_days2cal ( 2000, 179.78495062, &iy, &im, &id, &fd ) ;  
  gal_viv ( iy, 2000 , "gal_days2cal", "iy" ) ;  
  gal_viv ( im,    6 , "gal_days2cal", "im" ) ;  
  gal_viv ( id,   27 , "gal_days2cal", "id" ) ;  
  gal_vdv ( fd, 0.78495062, 1e-13, "gal_days2cal", "fd" ) ;  
     
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  

}

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
