/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ e p b 2 j d _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_epb2jd routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_epb2jd  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 16 ( c version 2008 February 2 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_epb2jd.h"  
#include "gal_epb2jd_test.h"  
#include "gal_test.h"  
  
void  
gal_epb2jd_test  
 (  
 )  
{  
  
    double epb = 1957.3,  
           djm0, djm ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_epb2jd ( epb, &djm0, &djm ) ;  
    gal_vdv ( djm0, 2400000.5, 1e-12, "gal_epb2jd", "djm0" ) ;  
    gal_vdv ( djm, 35948.19151015128591, 1e-12, "gal_epb2jd", "djm" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
