/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ j d 2 c a l _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_jd2cal routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_jd2cal  
 *     gal_viv  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 2 ( c version 2008 February 2 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_jd2cal.h"  
#include "gal_jd2cal_test.h"  
#include "gal_test.h"  
  
void  
gal_jd2cal_test  
 (  
 )  
{  
  
    double dj1 = 2400000.5,  
           dj2 = 50123.9999,  
           fd ;  
  
    int iy, im, id, j ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    j = gal_jd2cal ( dj1, dj2, &iy, &im, &id, &fd ) ;  
    gal_viv ( iy, 1996, "gal_jd2cal", "iy" ) ;  
    gal_viv ( im, 2, "gal_jd2cal", "im" ) ;  
    gal_viv ( id, 10, "gal_jd2cal", "id" ) ;  
    gal_vdv ( fd, 0.9999, 1e-7, "gal_jd2cal", "fd" ) ;  
    gal_viv ( j, 0, "gal_jd2cal", "j" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
