/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ j d c a l f _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_jdcalf routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_jdcalf  
 *     gal_viv  
 *  
 *  This Revision:
 *  
 *     2008 January 2 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_jdcalf.h"  
#include "gal_jdcalf_test.h"  
#include "gal_test.h"  
  
void  
gal_jdcalf_test  
 (  
 )  
{  
  
    int iydmf[4], j ;  
  
    double dj1 = 2400000.5,  
           dj2 = 50123.9999 ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    j = gal_jdcalf ( 4, dj1, dj2, iydmf ) ;  
    gal_viv ( iydmf[0], 1996, "gal_jdcalf", "iydmf[0]" ) ;  
    gal_viv ( iydmf[1],    2, "gal_jdcalf", "iydmf[1]" ) ;  
    gal_viv ( iydmf[2],   10, "gal_jdcalf", "iydmf[2]" ) ;  
    gal_viv ( iydmf[3], 9999, "gal_jdcalf", "iydmf[3]" ) ;  
    gal_viv ( j,           0, "gal_jdcalf", "j" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
