/*  
 *  - - - - - - - - - - - - - - - 
 *   g a l _ m a f m s _ t e s t  
 *  - - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_mafms routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_vdv 
 *     gal_mafms 
 *  
 *  This Revision:
 *  
 *     2009 January 5
 *  
 *  Copyright (C) 2009 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_mafms_test.h"
#include "gal_mafms.h"
#include "gal_test.h"
#include "gal_const.h"
  
void  
gal_mafms_test  
 (  
 ) 
 
{
  
  extern int gal_tfunc ;  

  double m, fms, pbs, ls, eot ;  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_mafms ( 2451549.50074, 0.0, &m, &fms, &pbs, &ls, &eot ) ;   
  gal_vdv ( GAL_R2D * m,    21.74548, 1e-5, "gal_mafms", "m 0" ) ;  
  gal_vdv ( GAL_R2D * fms, 272.74486, 1e-5, "gal_mafms", "fms 0" ) ;  
  gal_vdv ( GAL_R2D * pbs,   0.00142, 1e-5, "gal_mafms", "pbs 0" ) ;  
  gal_vdv ( GAL_R2D * ls,  277.18677, 1e-5, "gal_mafms", "ls 0" ) ;  
  gal_vdv ( GAL_R2D * eot,  -5.18764, 1e-5, "gal_mafms", "eot 0" ) ;  
     
  gal_mafms ( 2453008.07471, 0.0, &m, &fms, &pbs, &ls, &eot ) ;   
  gal_vdv ( GAL_R2D * m,    66.06851, 1e-5, "gal_mafms", "m 1" ) ;  
  gal_vdv ( GAL_R2D * fms, 317.09363, 1e-5, "gal_mafms", "fms 1" ) ;  
  gal_vdv ( GAL_R2D * pbs,   0.01614, 1e-5, "gal_mafms", "pbs 1" ) ;  
  gal_vdv ( GAL_R2D * ls,  327.32322, 1e-5, "gal_mafms", "ls 1" ) ;  
  gal_vdv ( GAL_R2D * eot, -12.77557, 1e-5, "gal_mafms", "eot 1" ) ;  
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  

}

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2009 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

