/*  
 *  - - - - - - - - - - - - - - - - 
 *   g a l _ m a l t s t _ t e s t  
 *  - - - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_maltst routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_vdv 
 *     gal_maltst 
 *  
 *  This Revision:
 *  
 *     2009 January 5 
 *  
 *  Copyright (C) 2009 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_maltst_test.h"
#include "gal_maltst.h"
#include "gal_test.h"
#include "gal_const.h"
#include "gal_tt2mtc.h"
  
void  
gal_maltst_test  
 (  
 ) 
 
{

  double mtc1, mtc2 ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */ 

  gal_tt2mtc ( 2451549.50074, 0.0, &mtc1, &mtc2 ) ;
  gal_vdv ( gal_maltst ( mtc1, mtc2,  0.0 * GAL_D2R, -5.18764 * GAL_D2R ) * 24.0 / GAL_2PI, 23.64847, 1e-4, "gal_maltst", "a 0" ) ;  

  gal_tt2mtc ( 2453008.074713, 0.0, &mtc1, &mtc2 ) ;
  gal_vdv ( gal_maltst ( mtc1, mtc2,  184.702 * GAL_D2R, -12.77557 * GAL_D2R ) * 24.0 / GAL_2PI, 2.5510269915685057640e-04, 1e-16, "gal_maltst", "a 1" ) ;  

  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */ 

}

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2009 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
