/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ m a s u d a t _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_masudat routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_vdv 
 *     gal_mafms 
 *     gal_masudat
 *  
 *  This Revision:
 *  
 *     2009 January 6
 *  
 *  Copyright (C) 2009 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_masudat_test.h"
#include "gal_masudat.h"
#include "gal_test.h"
#include "gal_const.h"
  
void  
gal_masudat_test  
 (  
 ) 
 
{
  extern int gal_tfunc ;  

  double m, fms, pbs, ls, eot ;
  double ssl, sdec, mhlon, mhlat, mhd, sel, saz ;  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_mafms ( 2451549.50074, 0.0, &m, &fms, &pbs, &ls, &eot ) ;
  gal_masudat ( 44795.99976020, 0.0, m, ls, eot, 0.0, 0.0, &ssl, &sdec, &mhd, &mhlon, &mhlat, &sel, &saz ) ;
     
  gal_vdv ( GAL_R2D * ssl,  174.72703, 1e-02, "gal_masudat", "ssl 0" ) ;  
  gal_vdv ( GAL_R2D * sdec, -25.22838, 1e-04, "gal_masudat", "sdec 0" ) ;  
  gal_vdv (           mhd,    1.39358, 1e-05, "gal_masudat", "mhd 0" ) ;  
  gal_vdv ( GAL_R2D * mhlon,  2.26270, 1e-05, "gal_masudat", "mhlon 0 " ) ;  
  gal_vdv ( GAL_R2D * mhlat, -1.35959, 1e-05, "gal_masudat", "mhlat 0" ) ;  
  gal_vdv ( 90.0 - GAL_R2D * sel,  154.26182, 1e-03, "gal_masuda", "sel 0" ) ;  
  gal_vdv ( GAL_R2D * saz,  191.03687, 1e-02 , "gal_masudat ", "saz 0" ) ;  
     
  gal_mafms ( 2453008.07471, 0.0, &m, &fms, &pbs, &ls, &eot ) ;   
  gal_masudat ( 46215.54855651, 0.0, m, ls, eot, 184.702 * GAL_D2R, -14.640 * GAL_D2R, &ssl, &sdec, &mhd, &mhlon, &mhlat, &sel, &saz ) ;
     
  gal_vdv ( GAL_R2D * ssl,    4.70575, 1e-02, "gal_masudat", "ssl 1" ) ;  
  gal_vdv ( GAL_R2D * sdec, -13.42105, 1e-03, "gal_masudat", "sdec 1" ) ;  
  gal_vdv (           mhd,    1.47767, 1e-05, "gal_masudat", "mhd 1" ) ;  
  gal_vdv ( GAL_R2D * mhlon, 52.37469, 1e-03, "gal_masudat", "mhlon 1" ) ;  
  gal_vdv ( GAL_R2D * mhlat,  0.08962, 1e-04, "gal_masudat", "mhlat 1" ) ;  
  gal_vdv ( 90.0 - GAL_R2D * sel,  151.93895, 1e-03, "gal_masudat", "sel 1" ) ;  
  gal_vdv ( GAL_R2D * saz,  179.99225, 1e-02, "gal_masudat", "saz 1 " ) ;  

  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  

}

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2009 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

