/*  
 *  - - - - - - - - - - - - - - - - 
 *   g a l _ m t c 2 t t _ t e s t  
 *  - - - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_mtc2tt routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_vdv 
 *     gal_mtc2tt 
 *  
 *  This Revision:
 *  
 *     2009 January 5 
 *  
 *  Copyright (C) 2009 Paul C. L. Willmott. See notes at end.  
 */  
  
#include <math.h>
#include "gal_mtc2tt_test.h"
#include "gal_mtc2tt.h"
  
void  
gal_mtc2tt_test  
 (  
 ) 
 
{

  double tt1, tt2 ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */ 
  
  gal_mtc2tt (floor (44796.0 - 0.00096) , (44796.0 - 0.00096) - floor (44796.0 - 0.00096), &tt1, &tt2 ) ;  
  gal_vdv ( tt1, 2451549.0 , 1e-16, "gal_mtc2tt", "tt1 0" ) ;  
  gal_vdv ( tt2, 0.5 , 1e-5, "gal_mtc2tt", "tt2 0" ) ;  
     
  gal_mtc2tt ( 44795.0, 23.99431/24.00, &tt1, &tt2 ) ;  
  gal_vdv ( tt1, 2451549.0, 1e-16, "gal_mtc2tt", "tt1 1" ) ;  
  gal_vdv ( tt2, 0.50074, 1e-5, "gal_mtc2tt", "tt2 1" ) ;  

  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */ 

}

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2009 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
