/*  
 *  - - - - - - - - - - - - - - - - 
 *   g a l _ t a i 2 t t _ t e s t  
 *  - - - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_tai2tt routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_viv  
 *     gal_vdv 
 *     gal_tai2tt 
 *  
 *  This Revision:
 *  
 *     2008 April 13 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_tai2tt_test.h"
#include "gal_tai2tt.h"
#include "gal_test.h"
#include "gal_const.h"
  
void  
gal_tai2tt_test  
 (  
 ) 
 
{
    
  double tt1, tt2 ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
  gal_tai2tt ( 2451545.0, 0.0, &tt1, &tt2 ) ;  
  gal_vdv ( tt1, 2451545.0       , 0.0, "gal_tai2tt", "tt1" ) ;  
  gal_vdv ( tt2, 32.184 / GAL_D2S, 0.0, "gal_tai2tt", "tt2" ) ;  
     
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  

}

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

