/*  
 *  - - - - - - - - - - - - - - - - - - - - - - - 
 *   g a l _ t d a t e t i m e - ( m a i n . c )  
 *  - - - - - - - - - - - - - - - - - - - - - - - 
 *  
 *  This program is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This program runs the test suite for the datetime sub-library
 *  
 *  Status: 
 *  
 *     Library test program  
 *  
 *  Returned:  
 *  
 *     gal_tdatetime    i           0 is returned if all the tests pass, 
 *                                  1 is returned if any of the tests fail
 *  
 *  Called:  
 *  
 *     gal_test_start               Initialize and start the test run
 *     gal_test_stop                Stop the test run and output the statistics
 *     gal_cal2jd_test              gal_cal2jd test routine
 *     gal_utc2tai_test             gal_utc2tai test routine
 *     gal_tai2tt_test              gal_tai2tt test routine
 *     gal_utc2tt_test              gal_utc2tt test routine
 *     gal_utc2ut1_test             gal_utc2ut1 test routine
 *     gal_days2cal_test            gal_days2cal test routine
 *     gal_dat_test                 gal_dat test routine
 *     gal_dtdb_test                gal_dtdb test routine
 *     gal_epb_test                 gal_epb test routine
 *     gal_epb2jd_test              gal_epb2jd test routine
 *     gal_epj_test                 gal_epj test routine
 *     gal_epj2jd_test              gal_epj2jd test routine
 *     gal_jd2cal_test              gal_jd2cal test routine
 *     gal_jdcalf_test              gal_jdcalf test routine
 *     gal_tt2mtc_test              gal_tt2mtc test routine
 *     gal_mtc2tt_test              gal_mtc2tt test routine
 *     gal_mafms_test               gal_mafms test routine
 *     gal_maltst_test              gal_maltst test routine
 *     gal_masudat_test             gal_masudat test routine
 *  
 *  This revision:  
 * 
 *     2009 January 6 
 *  
 *  Copyright (C) 2008, 2009 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include "gal_test_common.h"
#include "gal_test.h"
#include "gal_cal2jd_test.h"
#include "gal_utc2tai_test.h"
#include "gal_tai2tt_test.h"
#include "gal_utc2tt_test.h"
#include "gal_utc2ut1_test.h"
#include "gal_days2cal_test.h"
#include "gal_dat_test.h"
#include "gal_dtdb_test.h"
#include "gal_epb_test.h"
#include "gal_epb2jd_test.h"
#include "gal_epj_test.h"
#include "gal_epj2jd_test.h"
#include "gal_jd2cal_test.h"
#include "gal_jdcalf_test.h"
#include "gal_tt2mtc_test.h"
#include "gal_mtc2tt_test.h"
#include "gal_mafms_test.h"
#include "gal_maltst_test.h"
#include "gal_masudat_test.h"

int
main
  (
  )
  
{

/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_test_start ( "Date Time", 0 ) ;
  
  gal_cal2jd_test   () ;
  gal_utc2tai_test  () ;
  gal_tai2tt_test   () ; 
  gal_utc2tt_test   () ;
  gal_utc2ut1_test  () ;
  gal_days2cal_test () ;
  gal_dat_test      () ;
  gal_dtdb_test     () ;
  gal_epb_test      () ;
  gal_epb2jd_test   () ;
  gal_epj_test      () ;
  gal_epj2jd_test   () ;
  gal_jd2cal_test   () ;
  gal_jdcalf_test   () ;
  gal_tt2mtc_test   () ;
  gal_mtc2tt_test   () ;
  gal_mafms_test    () ;
  gal_maltst_test   () ;
  gal_masudat_test  () ;
  
  return gal_test_stop () ;
  
/*  
 * Finished.  
 */  

}

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008, 2009 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
