/*  
 *  - - - - - - - - - - - - - - - - 
 *   g a l _ t t 2 m t c _ t e s t  
 *  - - - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_tt2mtc routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_vdv 
 *     gal_tt2mtc 
 *  
 *  This Revision:
 *  
 *     2009 January 5 
 *  
 *  Copyright (C) 2009 Paul C. L. Willmott. See notes at end.  
 */  

#include <math.h>  
#include "gal_tt2mtc_test.h"
#include "gal_tt2mtc.h"
#include "gal_test.h"
  
void  
gal_tt2mtc_test  
 (  
 ) 
 
{

  double mtc1, mtc2 ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
  gal_tt2mtc ( 2451549.5, 0.0, &mtc1, &mtc2 ) ;  
  gal_vdv ( mtc1, floor (44796.0 - 0.00096), 0.0, "gal_tt2mtc", "mtc1 0" ) ;  
  gal_vdv ( mtc2, (44796.0 - 0.00096) - floor (44796.0 - 0.00096), 0.0, "gal_tt2mtc", "mtc2 0" ) ;  
     
  gal_tt2mtc ( 2451549.50074, 0.0, &mtc1, &mtc2 ) ;  
  gal_vdv ( mtc1, 44795.0, 0.0, "gal_tt2mtc", "mtc1 1" ) ;  
  gal_vdv ( mtc2, 23.99431/24.00, 1e-5, "gal_tt2mtc", "mtc2 1" ) ;  

  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */ 
 
}
   
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2009 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

