/*  
 *  - - - - - - - - - - - - - - - - - 
 *   g a l _ u t c 2 t a i _ t e s t  
 *  - - - - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_utc2tai routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_viv  
 *     gal_vdv
 *     gal_utc2tai  
 *  
 *  This Revision:
 *  
 *     2008 April 12 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_utc2tai_test.h"
#include "gal_utc2tai.h"
#include "gal_test.h"
#include "gal_const.h"
  
void  
gal_utc2tai_test  
 (  
 ) 
 
{
    
    int j ;  
    double tai1, tai2 ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    j = gal_utc2tai ( 2451545.0, 0.0, &tai1, &tai2 ) ;  
    gal_vdv ( tai1, 2451545.0     , 0.0, "gal_utc2tai", "tai1" ) ;  
    gal_vdv ( tai2, 32.0 / GAL_D2S, 0.0, "gal_utc2tai", "tai2" ) ;  
    gal_viv ( j, 0, "gal_utc2tai", "a" ) ; 
     
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  

}

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

