/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ u t c 2 u t 1 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_utc2ut1 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_vdv 
 *     gal_utc2ut1 
 *  
 *  This Revision:
 *  
 *     2008 April 13 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_utc2ut1_test.h"
#include "gal_utc2ut1.h"
#include "gal_const.h"
#include "gal_test.h"
  
void  
gal_utc2ut1_test  
 (  
 ) 
 
{

    double ut1, ut2 ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_utc2ut1 ( 2451545.0, 0.0, -0.4, &ut1, &ut2 ) ;  
    gal_vdv ( ut1, 2451545.0     , 0.0, "gal_utc2ut1", "ut1" ) ;  
    gal_vdv ( ut2, -0.4 / GAL_D2S, 0.0, "gal_utc2ut1", "ut2" ) ;  
     
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  

}

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
