/*  
 *  - - - - - - - - - - - - - -  
 *   g a l _ b i 0 0 _ t e s t  
 *  - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_bi00 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_bi00  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 7 ( c version 2008 February 10 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_bi00.h"  
#include "gal_bi00_test.h"  
#include "gal_test.h"  
  
void  
gal_bi00_test  
 (  
 )  
{  
  
    double dpsibi, depsbi, dra ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_bi00 ( &dpsibi, &depsbi, &dra ) ;  
    gal_vdv ( dpsibi, -0.2025309152835086622e-06, 1e-12, "gal_bi00", "dpsibi" ) ;  
    gal_vdv ( depsbi, -0.3306041454222147661e-07, 1e-12, "gal_bi00", "depsbi" ) ;  
    gal_vdv ( dra,    -0.7078279744199225811e-07, 1e-12, "gal_bi00", "dra" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
