/*  
 *  - - - - - - - - - - - - - -  
 *   g a l _ b p 0 0 _ t e s t  
 *  - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_bp00 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_bp00  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 8 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_bp00.h"  
#include "gal_bp00_test.h"  
#include "gal_test.h"  
  
void  
gal_bp00_test  
 (  
 )  
{  
  
    double rb[3][3], rp[3][3], rbp[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_bp00 ( 2400000.5, 50123.9999, rb, rp, rbp ) ;  
  
    gal_vdv ( rb[0][0],       0.9999999999999942268, 1e-12, "gal_bp00", "rb[0][0]" ) ;  
    gal_vdv ( rb[0][1],  -0.7078279744199198018e-07, 1e-12, "gal_bp00", "rb[0][1]" ) ;  
    gal_vdv ( rb[0][2],    0.805621714697613378e-07, 1e-12, "gal_bp00", "rb[0][2]" ) ;  
    gal_vdv ( rb[1][0],   0.7078279477857337520e-07, 1e-12, "gal_bp00", "rb[1][0]" ) ;  
    gal_vdv ( rb[1][1],       0.9999999999999968914, 1e-12, "gal_bp00", "rb[1][1]" ) ;  
    gal_vdv ( rb[1][2],   0.3306041454222136412e-07, 1e-12, "gal_bp00", "rb[1][2]" ) ;  
    gal_vdv ( rb[2][0],  -0.8056217380986970351e-07, 1e-12, "gal_bp00", "rb[2][0]" ) ;  
    gal_vdv ( rb[2][1],  -0.3306040883980552342e-07, 1e-12, "gal_bp00", "rb[2][1]" ) ;  
    gal_vdv ( rb[2][2],       0.9999999999999962252, 1e-12, "gal_bp00", "rb[2][2]" ) ;  
  
    gal_vdv ( rp[0][0],       0.9999995504864048756, 1e-12, "gal_bp00", "rp[0][0]" ) ;  
    gal_vdv ( rp[0][1],    0.869611383620706875e-03, 1e-12, "gal_bp00", "rp[0][1]" ) ;  
    gal_vdv ( rp[0][2],   0.3778928813389326679e-03, 1e-12, "gal_bp00", "rp[0][2]" ) ;  
    gal_vdv ( rp[1][0],  -0.8696113818227250818e-03, 1e-12, "gal_bp00", "rp[1][0]" ) ;  
    gal_vdv ( rp[1][1],       0.9999996218879365628, 1e-12, "gal_bp00", "rp[1][1]" ) ;  
    gal_vdv ( rp[1][2],  -0.1690679263092031952e-06, 1e-12, "gal_bp00", "rp[1][2]" ) ;  
    gal_vdv ( rp[2][0],  -0.3778928854764688474e-03, 1e-12, "gal_bp00", "rp[2][0]" ) ;  
    gal_vdv ( rp[2][1],  -0.1595521003961179393e-06, 1e-12, "gal_bp00", "rp[2][1]" ) ;  
    gal_vdv ( rp[2][2],       0.9999999285984682018, 1e-12, "gal_bp00", "rp[2][2]" ) ;  
  
    gal_vdv ( rbp[0][0],      0.9999995505175087729, 1e-12, "gal_bp00", "rbp[0][0]" ) ;  
    gal_vdv ( rbp[0][1],  0.8695405883617868346e-03, 1e-12, "gal_bp00", "rbp[0][1]" ) ;  
    gal_vdv ( rbp[0][2],  0.3779734722239000465e-03, 1e-12, "gal_bp00", "rbp[0][2]" ) ;  
    gal_vdv ( rbp[1][0], -0.8695405990410848837e-03, 1e-12, "gal_bp00", "rbp[1][0]" ) ;  
    gal_vdv ( rbp[1][1],      0.9999996219494925453, 1e-12, "gal_bp00", "rbp[1][1]" ) ;  
    gal_vdv ( rbp[1][2], -0.1360775820487772146e-06, 1e-12, "gal_bp00", "rbp[1][2]" ) ;  
    gal_vdv ( rbp[2][0], -0.3779734476558178316e-03, 1e-12, "gal_bp00", "rbp[2][0]" ) ;  
    gal_vdv ( rbp[2][1], -0.1925857585597916841e-06, 1e-12, "gal_bp00", "rbp[2][1]" ) ;  
    gal_vdv ( rbp[2][2],      0.9999999285680152283, 1e-12, "gal_bp00", "rbp[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
