/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ b p n 2 x y _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_bpn2xy routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_bpn2xy  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 7 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_bpn2xy.h"  
#include "gal_bpn2xy_test.h"  
#include "gal_test.h"  
  
void  
gal_bpn2xy_test  
 (  
 )  
{  
  
    double rbpn[3][3], x, y ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    rbpn[0][0] =  9.999962358680738e-1 ;  
    rbpn[0][1] = -2.516417057665452e-3 ;  
    rbpn[0][2] = -1.093569785342370e-3 ;  
    rbpn[1][0] =  2.516462370370876e-3 ;  
    rbpn[1][1] =  9.999968329010883e-1 ;  
    rbpn[1][2] =  4.006159587358310e-5 ;  
    rbpn[2][0] =  1.093465510215479e-3 ;  
    rbpn[2][1] = -4.281337229063151e-5 ;  
    rbpn[2][2] =  9.999994012499173e-1 ;  
  
    gal_bpn2xy ( rbpn, &x, &y ) ;  
    gal_vdv ( x,  1.093465510215479e-3, 1e-12, "gal_bpn2xy", "x" ) ;  
    gal_vdv ( y, -4.281337229063151e-5, 1e-12, "gal_bpn2xy", "y" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
