/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ c 2 i 0 0 b _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_c2i00b routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_c2i00b  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 9 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_c2i00b.h"  
#include "gal_c2i00b_test.h"  
#include "gal_test.h"  
  
void  
gal_c2i00b_test  
 (  
 )  
{  
    double rc2i[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_c2i00b ( 2400000.5, 53736.0, rc2i ) ;  
    gal_vdv ( rc2i[0][0],     0.9999998323037164738, 1e-12, "gal_c2i00b", "rc2i[0][0]" ) ;  
    gal_vdv ( rc2i[0][1], 0.5581526271714303683e-09, 1e-12, "gal_c2i00b", "rc2i[0][1]" ) ;  
    gal_vdv ( rc2i[0][2], -0.5791301934855391884e-3, 1e-12, "gal_c2i00b", "rc2i[0][2]" ) ;  
    gal_vdv ( rc2i[1][0], -0.2384266227524722273e-7, 1e-12, "gal_c2i00b", "rc2i[1][0]" ) ;  
    gal_vdv ( rc2i[1][1],     0.9999999991917404296, 1e-12, "gal_c2i00b", "rc2i[1][1]" ) ;  
    gal_vdv ( rc2i[1][2], -0.4020552974826494745e-4, 1e-12, "gal_c2i00b", "rc2i[1][2]" ) ;  
    gal_vdv ( rc2i[2][0],  0.5791301929950206468e-3, 1e-12, "gal_c2i00b", "rc2i[2][0]" ) ;  
    gal_vdv ( rc2i[2][1],  0.4020553681381185937e-4, 1e-12, "gal_c2i00b", "rc2i[2][1]" ) ;  
    gal_vdv ( rc2i[2][2],     0.9999998314954572365, 1e-12, "gal_c2i00b", "rc2i[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
