/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ c 2 i b p n _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_c2ibpn routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_c2ibpn  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 10 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_c2ibpn.h"  
#include "gal_c2ibpn_test.h"  
#include "gal_test.h"  
  
void  
gal_c2ibpn_test  
 (  
 )  
{  
  
    double rbpn[3][3], rc2i[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    rbpn[0][0] =  9.999962358680738e-1 ;  
    rbpn[0][1] = -2.516417057665452e-3 ;  
    rbpn[0][2] = -1.093569785342370e-3 ;  
    rbpn[1][0] =  2.516462370370876e-3 ;  
    rbpn[1][1] =  9.999968329010883e-1 ;  
    rbpn[1][2] =  4.006159587358310e-5 ;  
    rbpn[2][0] =  1.093465510215479e-3 ;  
    rbpn[2][1] = -4.281337229063151e-5 ;  
    rbpn[2][2] =  9.999994012499173e-1 ;  
  
    gal_c2ibpn ( 2400000.5, 50123.9999, rbpn, rc2i ) ;  
    gal_vdv ( rc2i[0][0],      0.9999994021664090349, 1e-12, "gal_c2ibpn", "rc2i[0][0]" ) ;  
    gal_vdv ( rc2i[0][1], -0.3869195939270003541e-08, 1e-12, "gal_c2ibpn", "rc2i[0][1]" ) ;  
    gal_vdv ( rc2i[0][2], -0.1093465511383284955e-02, 1e-12, "gal_c2ibpn", "rc2i[0][2]" ) ;  
    gal_vdv ( rc2i[1][0],  0.5068413965415291132e-07, 1e-12, "gal_c2ibpn", "rc2i[1][0]" ) ;  
    gal_vdv ( rc2i[1][1],      0.9999999990835075625, 1e-12, "gal_c2ibpn", "rc2i[1][1]" ) ;  
    gal_vdv ( rc2i[1][2],   0.4281334246452707853e-4, 1e-12, "gal_c2ibpn", "rc2i[1][2]" ) ;  
    gal_vdv ( rc2i[2][0],  0.1093465510215479086e-02, 1e-12, "gal_c2ibpn", "rc2i[2][0]" ) ;  
    gal_vdv ( rc2i[2][1],  -0.4281337229063150116e-4, 1e-12, "gal_c2ibpn", "rc2i[2][1]" ) ;  
    gal_vdv ( rc2i[2][2],      0.9999994012499172635, 1e-12, "gal_c2ibpn", "rc2i[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
