/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ c 2 t 0 0 a _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_c2t00a routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_c2t00a  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 10 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_c2t00a.h"  
#include "gal_c2t00a_test.h"  
#include "gal_test.h"  
  
void  
gal_c2t00a_test  
 (  
 )  
{  
  
    double tta, ttb, uta, utb, xp, yp, rc2t[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    tta = 2400000.5 ;  
    uta = 2400000.5 ;  
    ttb = 53736 ;  
    utb = 53736 ;  
    xp = 2.55060238e-7 ;  
    yp = 1.860359247e-6 ;  
  
    gal_c2t00a ( tta, ttb, uta, utb, xp, yp, rc2t ) ;  
    gal_vdv ( rc2t[0][0],   -0.1810332128307146349, 1e-12, "gal_c2t00a", "rc2t[0][0]" ) ;  
    gal_vdv ( rc2t[0][1],    0.9834769806938462589, 1e-12, "gal_c2t00a", "rc2t[0][1]" ) ;  
    gal_vdv ( rc2t[0][2], 0.6555535638685678484e-4, 1e-12, "gal_c2t00a", "rc2t[0][2]" ) ;  
    gal_vdv ( rc2t[1][0],   -0.9834768134135990492, 1e-12, "gal_c2t00a", "rc2t[1][0]" ) ;  
    gal_vdv ( rc2t[1][1],   -0.1810332203649484273, 1e-12, "gal_c2t00a", "rc2t[1][1]" ) ;  
    gal_vdv ( rc2t[1][2], 0.5749801116141104243e-3, 1e-12, "gal_c2t00a", "rc2t[1][2]" ) ;  
    gal_vdv ( rc2t[2][0], 0.5773474014081407492e-3, 1e-12, "gal_c2t00a", "rc2t[2][0]" ) ;  
    gal_vdv ( rc2t[2][1], 0.3961832391772658407e-4, 1e-12, "gal_c2t00a", "rc2t[2][1]" ) ;  
    gal_vdv ( rc2t[2][2],    0.9999998325501692209, 1e-12, "gal_c2t00a", "rc2t[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
