/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ c 2 t 0 0 b _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_c2t00b routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_c2t00b  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 10 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_c2t00b.h"  
#include "gal_c2t00b_test.h"  
#include "gal_test.h"  
  
void  
gal_c2t00b_test  
 (  
 )  
{  
  
    double tta, ttb, uta, utb, xp, yp, rc2t[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    tta = 2400000.5 ;  
    uta = 2400000.5 ;  
    ttb = 53736.0 ;  
    utb = 53736.0 ;  
    xp  = 2.55060238e-7 ;  
    yp  = 1.860359247e-6 ;  
  
    gal_c2t00b ( tta, ttb, uta, utb, xp, yp, rc2t ) ;  
    gal_vdv ( rc2t[0][0],   -0.1810332128439642863, 1e-12, "gal_c2t00b", "rc2t[0][0]" ) ;  
    gal_vdv ( rc2t[0][1],    0.9834769806913878920, 1e-12, "gal_c2t00b", "rc2t[0][1]" ) ;  
    gal_vdv ( rc2t[0][2], 0.6555565082450858926e-4, 1e-12, "gal_c2t00b", "rc2t[0][2]" ) ;  
    gal_vdv ( rc2t[1][0],   -0.9834768134115442484, 1e-12, "gal_c2t00b", "rc2t[1][0]" ) ;  
    gal_vdv ( rc2t[1][1],   -0.1810332203783965865, 1e-12, "gal_c2t00b", "rc2t[1][1]" ) ;  
    gal_vdv ( rc2t[1][2], 0.5749793922030152753e-3, 1e-12, "gal_c2t00b", "rc2t[1][2]" ) ;  
    gal_vdv ( rc2t[2][0], 0.5773467471863532197e-3, 1e-12, "gal_c2t00b", "rc2t[2][0]" ) ;  
    gal_vdv ( rc2t[2][1], 0.3961790411557410493e-4, 1e-12, "gal_c2t00b", "rc2t[2][1]" ) ;  
    gal_vdv ( rc2t[2][2],    0.9999998325505635721, 1e-12, "gal_c2t00b", "rc2t[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
