/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ c 2 t e q x _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_c2teqx routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_c2teqx  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 14 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_c2teqx.h"  
#include "gal_c2teqx_test.h"  
#include "gal_test.h"  
  
void  
gal_c2teqx_test  
 (  
 )  
{  
  
    double rbpn[3][3], gst, rpom[3][3], rc2t[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    rbpn[0][0] =      0.9999989440476103608 ;  
    rbpn[0][1] = -0.1332881761240011518e-02 ;  
    rbpn[0][2] = -0.5790767434730085097e-03 ;  
    rbpn[1][0] =  0.1332858254308954453e-02 ;  
    rbpn[1][1] =      0.9999991109044505944 ;  
    rbpn[1][2] = -0.4097782710401555759e-04 ;  
    rbpn[2][0] =  0.5791308472168153320e-03 ;  
    rbpn[2][1] =  0.4020595661593994396e-04 ;  
    rbpn[2][2] =      0.9999998314954572365 ;  
  
    gst = 1.754166138040730516 ;  
  
    rpom[0][0] =      0.9999999999999674705 ;  
    rpom[0][1] = -0.1367174580728847031e-10 ;  
    rpom[0][2] =   0.2550602379999972723e-6 ;  
    rpom[1][0] =  0.1414624947957029721e-10 ;  
    rpom[1][1] =      0.9999999999982694954 ;  
    rpom[1][2] =  -0.1860359246998866338e-5 ;  
    rpom[2][0] =  -0.2550602379741215275e-6 ;  
    rpom[2][1] =   0.1860359247002413923e-5 ;  
    rpom[2][2] =      0.9999999999982369658 ;  
  
    gal_c2teqx ( rbpn, gst, rpom, rc2t ) ;  
    gal_vdv ( rc2t[0][0],   -0.1810332097655642791, 1e-08 /* 12 */, "gal_c2teqx", "rc2t[0][0]" ) ;  
    gal_vdv ( rc2t[0][1],    0.9834769757990383665, 1e-08 /* 12 */, "gal_c2teqx", "rc2t[0][1]" ) ;  
    gal_vdv ( rc2t[0][2], 0.6555535638685472486e-4, 1e-12,          "gal_c2teqx", "rc2t[0][2]" ) ;  
    gal_vdv ( rc2t[1][0],   -0.9834767967621599327, 1e-07 /* 12 */, "gal_c2teqx", "rc2t[1][0]" ) ;  
    gal_vdv ( rc2t[1][1],   -0.1810332194801014538, 1e-08 /* 12 */, "gal_c2teqx", "rc2t[1][1]" ) ;  
    gal_vdv ( rc2t[1][2], 0.5749801116141106411e-3, 1e-12,          "gal_c2teqx", "rc2t[1][2]" ) ;  
    gal_vdv ( rc2t[2][0], 0.5773473900526865203e-3, 1e-08 /* 12 */, "gal_c2teqx", "rc2t[2][0]" ) ;  
    gal_vdv ( rc2t[2][1], 0.3961832391772659084e-4, 1e-12,          "gal_c2teqx", "rc2t[2][1]" ) ;  
    gal_vdv ( rc2t[2][2],    0.9999998222407776582, 1e-07 /* 12 */, "gal_c2teqx", "rc2t[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
