/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ c 2 t p e _ t e s t  
 *  - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_c2tpe routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_c2tpe  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 14 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_c2tpe.h"  
#include "gal_c2tpe_test.h"  
#include "gal_test.h"  
  
void  
gal_c2tpe_test  
 (  
 )  
{  
  
    double tta, ttb, uta, utb, dpsi, deps, xp, yp, rc2t[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    tta  = 2400000.5 ;  
    uta  = 2400000.5 ;  
    ttb  = 53736.0 ;  
    utb  = 53736.0 ;  
    deps = 0.4090789763356509900 ;  
    dpsi = -0.9630909107115582393e-5 ;  
    xp   = 2.55060238e-7 ;  
    yp   = 1.860359247e-6 ;  
  
    gal_c2tpe ( tta, ttb, uta, utb, dpsi, deps, xp, yp, rc2t ) ;  
    gal_vdv ( rc2t[0][0],   -0.1813677995858146152, 1e-10 /* 12 */, "gal_c2tpe", "rc2t[0][0]" ) ;  
    gal_vdv ( rc2t[0][1],    0.9023482171235561733, 1e-08 /* 12 */, "gal_c2tpe", "rc2t[0][1]" ) ;  
    gal_vdv ( rc2t[0][2],   -0.3909903020886058012, 1e-08 /* 12 */, "gal_c2tpe", "rc2t[0][2]" ) ;  
    gal_vdv ( rc2t[1][0],   -0.9834147641459164424, 1e-10 /* 12 */, "gal_c2tpe", "rc2t[1][0]" ) ;  
    gal_vdv ( rc2t[1][1],   -0.1659883628822576285, 1e-09 /* 12 */, "gal_c2tpe", "rc2t[1][1]" ) ;  
    gal_vdv ( rc2t[1][2], 0.7309764050569163285e-1, 1e-08 /* 12 */, "gal_c2tpe", "rc2t[1][2]" ) ;  
    gal_vdv ( rc2t[2][0], 0.1059685439722449088e-2, 1e-10 /* 12 */, "gal_c2tpe", "rc2t[2][0]" ) ;  
    gal_vdv ( rc2t[2][1],    0.3977631939252391224, 1e-08 /* 12 */, "gal_c2tpe", "rc2t[2][1]" ) ;  
    gal_vdv ( rc2t[2][2],    0.9174875032528568841, 1e-08 /* 12 */, "gal_c2tpe", "rc2t[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
