/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ c 2 t x y _ t e s t  
 *  - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_c2txy routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_c2txy  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 15 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_c2txy.h"  
#include "gal_c2txy_test.h"  
#include "gal_test.h"  
  
void  
gal_c2txy_test  
 (  
 )  
{  
  
    double tta, uta, ttb, utb, x, y, xp, yp, rc2t[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    tta = 2400000.5 ;  
    uta = 2400000.5 ;  
    ttb = 53736.0 ;  
    utb = 53736.0 ;  
    x   = 0.5791308486706011000e-3 ;  
    y   = 0.4020579816732961219e-4 ;  
    xp  = 2.55060238e-07 ;  
    yp  = 1.860359247e-06 ;  
  
    gal_c2txy ( tta, ttb, uta, utb, x, y, xp, yp, rc2t ) ;  
    gal_vdv ( rc2t[0][0],   -0.1810332128306242905, 1e-12, "gal_c2txy", "rc2t[0][0]" ) ;  
    gal_vdv ( rc2t[0][1],    0.9834769806938525871, 1e-12, "gal_c2txy", "rc2t[0][1]" ) ;  
    gal_vdv ( rc2t[0][2], 0.6555551248057455663e-4, 1e-12, "gal_c2txy", "rc2t[0][2]" ) ;  
    gal_vdv ( rc2t[1][0],   -0.9834768134136148143, 1e-12, "gal_c2txy", "rc2t[1][0]" ) ;  
    gal_vdv ( rc2t[1][1],   -0.1810332203649493155, 1e-12, "gal_c2txy", "rc2t[1][1]" ) ;  
    gal_vdv ( rc2t[1][2], 0.5749800843594143115e-3, 1e-12, "gal_c2txy", "rc2t[1][2]" ) ;  
    gal_vdv ( rc2t[2][0], 0.5773474028619265171e-3, 1e-12, "gal_c2txy", "rc2t[2][0]" ) ;  
    gal_vdv ( rc2t[2][1], 0.3961816546911624552e-4, 1e-12, "gal_c2txy", "rc2t[2][1]" ) ;  
    gal_vdv ( rc2t[2][2],    0.9999998325501746610, 1e-12, "gal_c2txy", "rc2t[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
