/*  
 *  - - - - - - - - - - - - - -  
 *   g a l _ f w 2 m _ t e s t  
 *  - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_fw2m routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_fw2m  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 11 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_fw2m.h"  
#include "gal_fw2m_test.h"  
#include "gal_test.h"  
  
void  
gal_fw2m_test  
 (  
 )  
{  
  
    double gamb, phib, psi, eps, r[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gamb = -0.2243387670997992368e-05 ;  
    phib =  0.4091014602391312982     ;  
    psi  = -0.9501954178013015092e-03 ;  
    eps  =  0.4091014316587367472     ;  
  
    gal_fw2m ( gamb, phib, psi, eps, r ) ;  
    gal_vdv ( r[0][0],      0.9999995505176006994, 1e-12, "gal_fw2m", "r[0][0]" ) ;  
    gal_vdv ( r[0][1],  0.8695404617348192425e-03, 1e-12, "gal_fw2m", "r[0][1]" ) ;  
    gal_vdv ( r[0][2],  0.3779735201865582514e-03, 1e-12, "gal_fw2m", "r[0][2]" ) ;  
    gal_vdv ( r[1][0], -0.8695404723772016172e-03, 1e-12, "gal_fw2m", "r[1][0]" ) ;  
    gal_vdv ( r[1][1],      0.9999996219496026795, 1e-12, "gal_fw2m", "r[1][1]" ) ;  
    gal_vdv ( r[1][2], -0.1361752496022920582e-06, 1e-12, "gal_fw2m", "r[1][2]" ) ;  
    gal_vdv ( r[2][0], -0.3779734957034082605e-03, 1e-12, "gal_fw2m", "r[2][0]" ) ;  
    gal_vdv ( r[2][1], -0.1924880848614416492e-06, 1e-12, "gal_fw2m", "r[2][1]" ) ;  
    gal_vdv ( r[2][2],      0.9999999285679972427, 1e-12, "gal_fw2m", "r[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
