/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ f w 2 x y _ t e s t  
 *  - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_fw2xy routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_fw2xy  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 11 ( c version 2008 February 17 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_fw2xy.h"  
#include "gal_fw2xy_test.h"  
#include "gal_test.h"  
  
void  
gal_fw2xy_test  
 (  
 )  
{  
  
    double gamb, phib, psi, eps, x, y ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gamb = -0.2243387670997992368e-05 ;  
    phib =  0.4091014602391312982     ;  
    psi  = -0.9501954178013015092e-03 ;  
    eps  =  0.4091014316587367472     ;  
  
    gal_fw2xy ( gamb, phib, psi, eps, &x, &y ) ;  
    gal_vdv ( x, -0.3779734957034082605e-03, 1e-12, "gal_fw2xy", "x" ) ;  
    gal_vdv ( y, -0.1924880848614416492e-06, 1e-12, "gal_fw2xy", "y" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
