/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ g s t 0 6 _ t e s t  
 *  - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_gst06 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_gst06  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 11 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_gst06.h"  
#include "gal_gst06_test.h"  
#include "gal_test.h"  
  
void  
gal_gst06_test  
 (  
 )  
{  
    double rnpb[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    rnpb[0][0] =      0.9999989440476103608 ;  
    rnpb[0][1] = -0.1332881761240011518e-02 ;  
    rnpb[0][2] = -0.5790767434730085097e-03 ;  
    rnpb[1][0] =  0.1332858254308954453e-02 ;  
    rnpb[1][1] =      0.9999991109044505944 ;  
    rnpb[1][2] = -0.4097782710401555759e-04 ;  
    rnpb[2][0] =  0.5791308472168153320e-03 ;  
    rnpb[2][1] =  0.4020595661593994396e-04 ;  
    rnpb[2][2] =      0.9999998314954572365 ;  
  
    gal_vdv ( gal_gst06 ( 2400000.5, 53736.0, 2400000.5, 53736.0, rnpb ), 1.754166138040730516,  1e-10 /* 12 */, "gal_gst06", "a" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
