/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ n u m 0 6 a _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_num06a routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_num06a  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 14 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_num06a.h"  
#include "gal_num06a_test.h"  
#include "gal_test.h"  
  
void  
gal_num06a_test  
 (  
 )  
{  
  
    double rmatn[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_num06a ( 2400000.5, 53736.0, rmatn ) ;  
    gal_vdv ( rmatn[0][0],      0.9999999999534999739, 1e-12, "gal_num06a", "rmatn[0][0]" ) ;  
    gal_vdv ( rmatn[0][1],  0.8836241998111592653e-05, 1e-12, "gal_num06a", "rmatn[0][1]" ) ;  
    gal_vdv ( rmatn[0][2],  0.3830835237722426404e-05, 1e-12, "gal_num06a", "rmatn[0][2]" ) ;  
    gal_vdv ( rmatn[1][0], -0.8836086334870799596e-05, 1e-12, "gal_num06a", "rmatn[1][0]" ) ;  
    gal_vdv ( rmatn[1][1],      0.9999999991354655560, 1e-12, "gal_num06a", "rmatn[1][1]" ) ;  
    gal_vdv ( rmatn[1][2], -0.4063240188247900964e-04, 1e-12, "gal_num06a", "rmatn[1][2]" ) ;  
    gal_vdv ( rmatn[2][0], -0.3831194272066021376e-05, 1e-12, "gal_num06a", "rmatn[2][0]" ) ;  
    gal_vdv ( rmatn[2][1],  0.4063236803098977095e-04, 1e-12, "gal_num06a", "rmatn[2][1]" ) ;  
    gal_vdv ( rmatn[2][2],      0.9999999991671660871, 1e-12, "gal_num06a", "rmatn[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
