/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ n u m a t _ t e s t  
 *  - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_numat routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_numat  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 14 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_numat.h"  
#include "gal_numat_test.h"  
#include "gal_test.h"  
  
void  
gal_numat_test  
 (  
 )  
{  
  
    double epsa, dpsi, deps, rmatn[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    epsa =     0.4090789763356509900 ;  
    dpsi = -0.9630909107115582393e-5 ;  
    deps = 0.4063239174001678826e-04 ;  
  
    gal_numat ( epsa, dpsi, deps, rmatn ) ;  
    gal_vdv ( rmatn[0][0],      0.9999999999534999739, 1e-12, "gal_numat", "rmatn[0][0]" ) ;  
    gal_vdv ( rmatn[0][1],  0.8836239320236250730e-05, 1e-12, "gal_numat", "rmatn[0][1]" ) ;  
    gal_vdv ( rmatn[0][2],  0.3830833447458252146e-05, 1e-12, "gal_numat", "rmatn[0][2]" ) ;  
    gal_vdv ( rmatn[1][0], -0.8836083657016689401e-05, 1e-12, "gal_numat", "rmatn[1][0]" ) ;  
    gal_vdv ( rmatn[1][1],      0.9999999991354655560, 1e-12, "gal_numat", "rmatn[1][1]" ) ;  
    gal_vdv ( rmatn[1][2], -0.4063240865367323778e-04, 1e-12, "gal_numat", "rmatn[1][2]" ) ;  
    gal_vdv ( rmatn[2][0], -0.3831192481833385543e-05, 1e-12, "gal_numat", "rmatn[2][0]" ) ;  
    gal_vdv ( rmatn[2][1],  0.4063237480218397199e-04, 1e-12, "gal_numat", "rmatn[2][1]" ) ;  
    gal_vdv ( rmatn[2][2],      0.9999999991671660871, 1e-12, "gal_numat", "rmatn[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
