/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ n u t 0 0 b _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_nut00b routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_nut00b  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 10 ( c version 2008 February 17 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_nut00b.h"  
#include "gal_nut00b_test.h"  
#include "gal_test.h"  
  
void  
gal_nut00b_test  
 (  
 )  
{  
  
    double dpsi, deps ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_nut00b ( 2400000.5, 53736.0, &dpsi, &deps ) ;  
    gal_vdv ( dpsi, -0.9632552291149335877e-05, 1e-12, "gal_nut00b", "dpsi" ) ;  
    gal_vdv ( deps,  0.4063197106621141414e-04, 1e-12, "gal_nut00b", "deps" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
