/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ n u t m 8 0 _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_nutm80 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_nutm80  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 10 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_nutm80.h"  
#include "gal_nutm80_test.h"  
#include "gal_test.h"  
  
void  
gal_nutm80_test  
 (  
 )  
{  
  
    double rmatn[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_nutm80 ( 2400000.5, 53736.0, rmatn ) ;  
    gal_vdv ( rmatn[0][0],      0.9999999999534999739, 1e-12, "gal_nutm80", "rmatn[0][0]" ) ;  
    gal_vdv ( rmatn[0][1],  0.8847935789636535666e-05, 1e-12, "gal_nutm80", "rmatn[0][1]" ) ;  
    gal_vdv ( rmatn[0][2],  0.3835906502164064418e-05, 1e-12, "gal_nutm80", "rmatn[0][2]" ) ;  
    gal_vdv ( rmatn[1][0], -0.8847780042583540096e-05, 1e-12, "gal_nutm80", "rmatn[1][0]" ) ;  
    gal_vdv ( rmatn[1][1],      0.9999999991366570473, 1e-12, "gal_nutm80", "rmatn[1][1]" ) ;  
    gal_vdv ( rmatn[1][2], -0.4060052702727971166e-04, 1e-12, "gal_nutm80", "rmatn[1][2]" ) ;  
    gal_vdv ( rmatn[2][0], -0.3836265729708524953e-05, 1e-12, "gal_nutm80", "rmatn[2][0]" ) ;  
    gal_vdv ( rmatn[2][1],  0.4060049308613917769e-04, 1e-12, "gal_nutm80", "rmatn[2][1]" ) ;  
    gal_vdv ( rmatn[2][2],      0.9999999991684415113, 1e-12, "gal_nutm80", "rmatn[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
