/*  
 *  - - - - - - - - - - - - - -  
 *   g a l _ p 0 6 e _ t e s t  
 *  - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_p06e routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_p06e  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 7 ( c version 2008 February 10 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_p06e.h"  
#include "gal_p06e_test.h"  
#include "gal_test.h"  
  
void  
gal_p06e_test  
 (  
 )  
{  
  
    double eps0, psia, oma, bpa, bqa, pia, bpia,  
           epsa, chia, za, zetaa, thetaa, pa,  
           gam, phi, psi ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_p06e ( 2400000.5, 52541.0, &eps0, &psia, &oma, &bpa, &bqa, &pia, &bpia, &epsa, &chia, &za,  
                  &zetaa, &thetaa, &pa, &gam, &phi, &psi ) ;  
  
    gal_vdv ( eps0,       0.4090926006005828897, 1e-12, "gal_p06e", "eps0" ) ;  
    gal_vdv ( psia,   0.6664369630191613368e-03, 1e-12, "gal_p06e", "psia" ) ;  
    gal_vdv ( oma,        0.4090925973783255953, 1e-12, "gal_p06e", "oma" ) ;  
    gal_vdv ( bpa,    0.5561149371265208185e-06, 1e-12, "gal_p06e", "bpa" ) ;  
    gal_vdv ( bqa,   -0.6191517193290620325e-05, 1e-12, "gal_p06e", "bqa" ) ;  
    gal_vdv ( pia,    0.6216441751884382696e-05, 1e-12, "gal_p06e", "pia" ) ;  
    gal_vdv ( bpia,        3.052014180023779666, 1e-12, "gal_p06e", "bpia" ) ;  
    gal_vdv ( epsa,       0.4090864054922431770, 1e-12, "gal_p06e", "epsa" ) ;  
    gal_vdv ( chia,   0.1387703379530915322e-05, 1e-12, "gal_p06e", "chia" ) ;  
    gal_vdv ( za,     0.2921789846651790716e-03, 1e-12, "gal_p06e", "za" ) ;  
    gal_vdv ( zetaa,  0.3178773290332009057e-03, 1e-12, "gal_p06e", "zetaa" ) ;  
    gal_vdv ( thetaa, 0.2650932701657496803e-03, 1e-12, "gal_p06e", "thetaa" ) ;  
    gal_vdv ( pa,     0.6651637681381016021e-03, 1e-12, "gal_p06e", "pa" ) ;  
    gal_vdv ( gam,    0.1398077115963754828e-05, 1e-12, "gal_p06e", "gam" ) ;  
    gal_vdv ( phi,        0.4090864090837462719, 1e-12, "gal_p06e", "phi" ) ;  
    gal_vdv ( psi,    0.6664464807480920605e-03, 1e-12, "gal_p06e", "psi" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
