/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ p f w 0 6 _ t e s t  
 *  - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_pfw06 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_pfw06  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 8 ( c version 2008 February 10 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_pfw06.h"  
#include "gal_pfw06_test.h"  
#include "gal_test.h"  
  
void  
gal_pfw06_test  
 (  
 )  
{  
  
    double gamb, phib, psib, epsa ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_pfw06 ( 2400000.5, 50123.9999, &gamb, &phib, &psib, &epsa ) ;  
    gal_vdv ( gamb, -0.2243387670997992368e-05, 1e-12, "gal_pfw06", "gamb" ) ;  
    gal_vdv ( phib,      0.4091014602391312982, 1e-12, "gal_pfw06", "phib" ) ;  
    gal_vdv ( psib, -0.9501954178013015092e-03, 1e-12, "gal_pfw06", "psib" ) ;  
    gal_vdv ( epsa,      0.4091014316587367472, 1e-12, "gal_pfw06", "epsa" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
