/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ p m a t 7 6 _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_pmat76 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_pmat76  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 8 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_pmat76.h"  
#include "gal_pmat76_test.h"  
#include "gal_test.h"  
  
void  
gal_pmat76_test  
 (  
 )  
{  
  
    double rmatp[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_pmat76 ( 2400000.5, 50123.9999, rmatp ) ;  
    gal_vdv ( rmatp[0][0],      0.9999995504328350604, 1e-12, "gal_pmat76", "rmatp[0][0]" ) ;  
    gal_vdv ( rmatp[0][1],  0.8696632209480945758e-03, 1e-12, "gal_pmat76", "rmatp[0][1]" ) ;  
    gal_vdv ( rmatp[0][2],  0.3779153474959881910e-03, 1e-12, "gal_pmat76", "rmatp[0][2]" ) ;  
    gal_vdv ( rmatp[1][0], -0.8696632209485097168e-03, 1e-12, "gal_pmat76", "rmatp[1][0]" ) ;  
    gal_vdv ( rmatp[1][1],      0.9999996218428560679, 1e-12, "gal_pmat76", "rmatp[1][1]" ) ;  
    gal_vdv ( rmatp[1][2], -0.1643284776111880554e-06, 1e-12, "gal_pmat76", "rmatp[1][2]" ) ;  
    gal_vdv ( rmatp[2][0], -0.3779153474950327921e-03, 1e-12, "gal_pmat76", "rmatp[2][0]" ) ;  
    gal_vdv ( rmatp[2][1], -0.1643306746147360933e-06, 1e-12, "gal_pmat76", "rmatp[2][1]" ) ;  
    gal_vdv ( rmatp[2][2],      0.9999999285899789925, 1e-12, "gal_pmat76", "rmatp[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
