/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ p n m 0 0 a _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_pnm00a routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_pnm00a  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 8 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_pnm00a.h"  
#include "gal_pnm00a_test.h"  
#include "gal_test.h"  
  
void  
gal_pnm00a_test  
 (  
 )  
{  
  
    double rbpn[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_pnm00a ( 2400000.5, 50123.9999, rbpn ) ;  
    gal_vdv ( rbpn[0][0],    9.999995832793134865e-1, 1e-12, "gal_pnm00a", "rbpn[0][0]" ) ;  
    gal_vdv ( rbpn[0][1],   0.8372384254137799639e-3, 1e-12, "gal_pnm00a", "rbpn[0][1]" ) ;  
    gal_vdv ( rbpn[0][2],   0.3639684306407147069e-3, 1e-12, "gal_pnm00a", "rbpn[0][2]" ) ;  
    gal_vdv ( rbpn[1][0],  -0.8372535226570385677e-3, 1e-12, "gal_pnm00a", "rbpn[1][0]" ) ;  
    gal_vdv ( rbpn[1][1],    9.999996486491581349e-1, 1e-12, "gal_pnm00a", "rbpn[1][1]" ) ;  
    gal_vdv ( rbpn[1][2],   0.4132915262662342017e-4, 1e-12, "gal_pnm00a", "rbpn[1][2]" ) ;  
    gal_vdv ( rbpn[2][0], -0.3639337004054313935e-03, 1e-12, "gal_pnm00a", "rbpn[2][0]" ) ;  
    gal_vdv ( rbpn[2][1],   -4.163386925458354142e-5, 1e-12, "gal_pnm00a", "rbpn[2][1]" ) ;  
    gal_vdv ( rbpn[2][2],    9.999999329094388933e-1, 1e-12, "gal_pnm00a", "rbpn[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
