/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ p n m 8 0 _ t e s t  
 *  - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_pnm80 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_pnm80  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 8 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_pnm80.h"  
#include "gal_pnm80_test.h"  
#include "gal_test.h"  
  
void  
gal_pnm80_test  
 (  
 )  
{  
  
    double rmatpn[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_pnm80 ( 2400000.5, 50123.9999, rmatpn ) ;  
    gal_vdv ( rmatpn[0][0],      0.9999995831934610502, 1e-12, "gal_pnm80", "rmatpn[0][0]" ) ;  
    gal_vdv ( rmatpn[0][1],  0.8373654045728114127e-03, 1e-12, "gal_pnm80", "rmatpn[0][1]" ) ;  
    gal_vdv ( rmatpn[0][2],  0.3639121916933101865e-03, 1e-12, "gal_pnm80", "rmatpn[0][2]" ) ;  
    gal_vdv ( rmatpn[1][0], -0.8373804896118291433e-03, 1e-12, "gal_pnm80", "rmatpn[1][0]" ) ;  
    gal_vdv ( rmatpn[1][1],      0.9999996485439673899, 1e-12, "gal_pnm80", "rmatpn[1][1]" ) ;  
    gal_vdv ( rmatpn[1][2],  0.4130202510421068069e-04, 1e-12, "gal_pnm80", "rmatpn[1][2]" ) ;  
    gal_vdv ( rmatpn[2][0], -0.3638774789072139336e-03, 1e-12, "gal_pnm80", "rmatpn[2][0]" ) ;  
    gal_vdv ( rmatpn[2][1], -0.4160674085854691549e-04, 1e-12, "gal_pnm80", "rmatpn[2][1]" ) ;  
    gal_vdv ( rmatpn[2][2],      0.9999999329310274021, 1e-12, "gal_pnm80", "rmatpn[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
