/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ p o m 0 0 _ t e s t  
 *  - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_pom00 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_pom00  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 10 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_pom00.h"  
#include "gal_pom00_test.h"  
#include "gal_test.h"  
  
void  
gal_pom00_test  
 (  
 )  
{  
    double xp, yp, sp, rpom[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    xp = 2.55060238e-7 ;  
    yp = 1.860359247e-6 ;  
    sp = -0.1367174580728891460e-10 ;  
  
    gal_pom00 ( xp, yp, sp, rpom ) ;  
    gal_vdv ( rpom[0][0],      0.9999999999999674705, 1e-12, "gal_pom00", "rpom[0][0]" ) ;  
    gal_vdv ( rpom[0][1], -0.1367174580728847031e-10, 1e-12, "gal_pom00", "rpom[0][1]" ) ;  
    gal_vdv ( rpom[0][2],   0.2550602379999972723e-6, 1e-12, "gal_pom00", "rpom[0][2]" ) ;  
    gal_vdv ( rpom[1][0],  0.1414624947957029721e-10, 1e-12, "gal_pom00", "rpom[1][0]" ) ;  
    gal_vdv ( rpom[1][1],      0.9999999999982694954, 1e-12, "gal_pom00", "rpom[1][1]" ) ;  
    gal_vdv ( rpom[1][2],  -0.1860359246998866338e-5, 1e-12, "gal_pom00", "rpom[1][2]" ) ;  
    gal_vdv ( rpom[2][0],  -0.2550602379741215275e-6, 1e-12, "gal_pom00", "rpom[2][0]" ) ;  
    gal_vdv ( rpom[2][1],   0.1860359247002413923e-5, 1e-12, "gal_pom00", "rpom[2][1]" ) ;  
    gal_vdv ( rpom[2][2],       .9999999999982369658, 1e-12, "gal_pom00", "rpom[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
