/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ p r e c 7 6 _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_prec76 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_prec76  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 10 ( c version 2008 February 17 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_prec76.h"  
#include "gal_prec76_test.h"  
#include "gal_test.h"  
  
void  
gal_prec76_test  
 (  
 )  
{  
  
    double ep01, ep02, ep11, ep12, zeta, z, theta ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    ep01 = 2400000.5 ;  
    ep02 = 33282.0 ;  
    ep11 = 2400000.5 ;  
    ep12 = 51544.0 ;  
  
    gal_prec76 ( ep01, ep02, ep11, ep12, &zeta, &z, &theta ) ;  
    gal_vdv ( zeta,  0.5588961642000161295e-02, 1e-12, "gal_prec76", "zeta" ) ;  
    gal_vdv ( z,     0.5589922365870680747e-02, 1e-12, "gal_prec76", "z" ) ;  
    gal_vdv ( theta, 0.4858945471687296791e-02, 1e-12, "gal_prec76", "theta" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
