/*  
 *  - - - - - - - - - - - - - - - - - - - - - - - 
 *   g a l _ t e a r t h r o t - ( m a i n . c )  
 *  - - - - - - - - - - - - - - - - - - - - - - - 
 *  
 *  This program is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This program runs the test suite for the Earth rotation sub-library
 *  
 *  Status: 
 *  
 *     Library test program  
 *  
 *  Returned:  
 *  
 *     gal_tearthrot    i           0 is returned if all the tests pass, 
 *                                  1 is returned if any of the tests fail
 *  
 *  Called:  
 *  
 *     gal_test_start               Initialize and start the test run
 *     gal_test_stop                Stop the test run and output the statistics
 *     gal_ee00_test                gal_ee00 test routine  
 *     gal_ee00a_test               gal_ee00a test routine  
 *     gal_ee00b_test               gal_ee00b test routine  
 *     gal_ee06a_test               gal_ee06a test routine  
 *     gal_eect00_test              gal_eect00 test routine  
 *     gal_eqeq94_test              gal_eqeq94 test routine  
 *     gal_era00_test               gal_era00 test routine  
 *     gal_gmst00_test              gal_gmst00 test routine  
 *     gal_gmst06_test              gal_gmst06 test routine  
 *     gal_gmst82_test              gal_gmst82 test routine  
 *     gal_gst00a_test              gal_gst00a test routine  
 *     gal_gst00b_test              gal_gst00b test routine  
 *     gal_gst06_test               gal_gst06 test routine  
 *     gal_gst06a_test              gal_gst06a test routine  
 *     gal_gst94_test               gal_gst94 test routine  
 *
 *  
 *  This revision:  
 * 
 *     2008 March 15 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include "gal_test_common.h"
#include "gal_test.h"
#include "gal_ee00_test.h"  
#include "gal_ee00a_test.h"  
#include "gal_ee00b_test.h"  
#include "gal_ee06a_test.h"  
#include "gal_eect00_test.h"  
#include "gal_eqeq94_test.h"  
#include "gal_era00_test.h"  
#include "gal_gmst00_test.h"  
#include "gal_gmst06_test.h"  
#include "gal_gmst82_test.h"  
#include "gal_gst00a_test.h"  
#include "gal_gst00b_test.h"  
#include "gal_gst06_test.h"  
#include "gal_gst06a_test.h"  
#include "gal_gst94_test.h"  

int
main
  (
  )
  
{

/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_test_start ( "Earth Rotation", 0 ) ;
  
  gal_ee00_test   () ;  
  gal_ee00a_test  () ;  
  gal_ee00b_test  () ;  
  gal_ee06a_test  () ;  
  gal_eect00_test () ;  
  gal_eqeq94_test () ;  
  gal_era00_test  () ;  
  gal_gmst00_test () ;  
  gal_gmst06_test () ;  
  gal_gmst82_test () ;  
  gal_gst00a_test () ;  
  gal_gst00b_test () ;  
  gal_gst06_test  () ;  
  gal_gst06a_test () ;  
  gal_gst94_test  () ;  
  
  return gal_test_stop () ;
  
/*  
 * Finished.  
 */  

}

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
