/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ x y s 0 0 a _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_xys00a routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_xys00a  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 9 ( c version 2008 February 16 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_xys00a.h"  
#include "gal_xys00a_test.h"  
#include "gal_test.h"  
  
void  
gal_xys00a_test  
 (  
 )  
{  
    double x, y, s ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_xys00a ( 2400000.5, 53736.0, &x, &y, &s ) ;  
    gal_vdv ( x,  0.5791308486706011000e-03, 1e-7, "gal_xys00a", "x" ) ;  
    gal_vdv ( y,  0.4020579816732961219e-04, 1e-7, "gal_xys00a", "y" ) ;  
    gal_vdv ( s, -0.1220040848472271978e-07, 1e-7, "gal_xys00a", "s" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
