/*  
 *  - - - - - - - - - - - - - - - -
 *   g a l _ e m n a m e _ t e s t  
 *  - - - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This routine tests the gal_emname routine
 *  
 *  Status: 
 *  
 *     Internal test routine  
 *  
 *  Called:  
 *  
 *     gal_emname                   Get name of Ellipsoid Model
 *     gal_vsv                      Verify string value
 *  
 *  This revision:  
 * 
 *     2008 May 4 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include "gal_emname_test.h"
#include "gal_emname.h"
#include "gal_test.h"
#include "gal_ellipsoids.h"

void
gal_emname_test
  (
  ) 
  
{

  extern int gal_tfunc ;

  char name[40] ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*
 * Check Model Identifier Out of Range Conditions
 */

  gal_vsv ( gal_emname ( GAL_EMEA_INTL1909, name ), "International 1909", "gal_emname", "name 0" ) ;
  gal_vsv ( gal_emname (   -1, name ), "", "gal_emname", "name 1" ) ;
  gal_vsv ( gal_emname ( 1000, name ), "", "gal_emname", "name 2" ) ;
  gal_emname ( GAL_EMEA_INTL1909, name ) ;
  gal_vsv ( name, "International 1909", "gal_emname", "name 3" ) ;

  gal_tfunc++ ;
    
}

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
