/*  
 *  - - - - - - - - - - - - - - - - - -
 *   g a l _ e m p a r a m s _ t e s t  
 *  - - - - - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This routine tests the gal_emparams routine
 *  
 *  Status: 
 *  
 *     Internal test routine  
 *  
 *  Called:  
 *  
 *     gal_emdparams                Get parameters of the Ellipsoid Model
 *     gal_vdv                      Verify double value
 *     gal_viv                      Verify integer value
 *  
 *  This revision:  
 * 
 *     2008 March 21 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include "gal_emparams_test.h"
#include "gal_emparams.h"
#include "gal_test.h"
#include "gal_ellipsoids.h"

void
gal_emparams_test
  (
  ) 
  
{

  extern int gal_tfunc ;

  double sma, inf ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_viv ( gal_emparams (  -1, &sma, &inf ) , 1, "gal_emparams", "a 0" ) ;
  gal_viv ( gal_emparams ( 1000, &sma, &inf ) , 1, "gal_emparams", "a 1" ) ;
  gal_viv ( gal_emparams ( GAL_EMEA_INTL1909, &sma, &inf ) , 0, "gal_emparams", "a 2" ) ;
 
  gal_emparams ( GAL_EMEA_AIRY1830, &sma, &inf ) ;
  gal_vdv ( sma, 6377563.396, 0.0, "gal_emparams", "sma 0" ) ; 
  gal_vdv ( inf,  299.324964, 0.0, "gal_emparams", "inf 0" ) ; 

  gal_tfunc++ ;
    
}
 
/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
