/*  
 *  - - - - - - - - - - - - - - - - - - - - - - - - -
 *   g a l _ t e l l i p s o i d s - ( m a i n . c )  
 *  - - - - - - - - - - - - - - - - - - - - - - - - -
 *  
 *  This program is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This program runs the test suite for the ellipsoids sub-library
 *  
 *  Status: 
 *  
 *     Library test program  
 *  
 *  Returned:  
 *  
 *     gal_tellipsoids  i           0 is returned if all the tests pass, 
 *                                  1 is returned if any of the tests fail
 *  
 *  Called:  
 *  
 *     gal_test_start               Initialize and start the test run
 *     gal_test_stop                Stop the test run and output the statistics
 *     gal_emdetails_test           gal_emdetails test routine
 *     gal_emparams_test            gal_emparams test routine
 *     gal_emname_test              gal_emname test routine
 *  
 *  This revision:  
 * 
 *     2008 March 21 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include "gal_test_common.h"
#include "gal_test.h"
#include "gal_emdetails_test.h"
#include "gal_emparams_test.h"
#include "gal_emname_test.h"

int
main
  (
  )
  
{

/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_test_start ( "Ellipsoids", 0 ) ;
  
  gal_emdetails_test () ;
  gal_emparams_test  () ;
  gal_emname_test    () ;
  
  return gal_test_stop () ;
  
/*  
 * Finished.  
 */  

}

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
