/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ b e a p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_beapv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_beapv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_beapv87_test.h"
#include "gal_test.h"
#include "gal_beapv87.h"
  
void  
gal_beapv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_beapv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1842769826, 1e-10, "gal_beapv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],     .9644534530, 1e-10, "gal_beapv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],     .0002022407, 1e-10, "gal_beapv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],    -.0172022466, 1e-10, "gal_beapv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],    -.0031661954, 1e-10, "gal_beapv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],     .0000000125, 1e-10, "gal_beapv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_beapv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1851203046, 1e-10, "gal_beapv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],     .9714264843, 1e-10, "gal_beapv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],     .0001113443, 1e-10, "gal_beapv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],    -.0171823836, 1e-10, "gal_beapv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],    -.0033539678, 1e-10, "gal_beapv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],    -.0000016179, 1e-10, "gal_beapv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_beapv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1959028024, 1e-10, "gal_beapv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],     .9569893872, 1e-10, "gal_beapv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],     .0003631317, 1e-10, "gal_beapv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],    -.0171247952, 1e-10, "gal_beapv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],    -.0035554496, 1e-10, "gal_beapv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],    -.0000027195, 1e-10, "gal_beapv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_beapv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2155959337, 1e-10, "gal_beapv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],     .9651943805, 1e-10, "gal_beapv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],     .0007724578, 1e-10, "gal_beapv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],    -.0170947692, 1e-10, "gal_beapv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],    -.0037533612, 1e-10, "gal_beapv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],    -.0000026916, 1e-10, "gal_beapv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_beapv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2144880004, 1e-10, "gal_beapv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],     .9545686380, 1e-10, "gal_beapv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],     .0006527746, 1e-10, "gal_beapv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],    -.0170346633, 1e-10, "gal_beapv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],    -.0039301863, 1e-10, "gal_beapv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],    -.0000044570, 1e-10, "gal_beapv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_beapv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2396421487, 1e-10, "gal_beapv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],     .9567952242, 1e-10, "gal_beapv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],     .0012516205, 1e-10, "gal_beapv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],    -.0169973289, 1e-10, "gal_beapv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],    -.0041304729, 1e-10, "gal_beapv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],    -.0000064480, 1e-10, "gal_beapv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_beapv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2390819118, 1e-10, "gal_beapv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],     .9551354477, 1e-10, "gal_beapv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],     .0011725857, 1e-10, "gal_beapv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],    -.0169567744, 1e-10, "gal_beapv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],    -.0043032790, 1e-10, "gal_beapv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],    -.0000078706, 1e-10, "gal_beapv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_beapv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2544150449, 1e-10, "gal_beapv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],     .9466173268, 1e-10, "gal_beapv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],     .0014906848, 1e-10, "gal_beapv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],    -.0169057747, 1e-10, "gal_beapv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],    -.0045082713, 1e-10, "gal_beapv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],    -.0000086699, 1e-10, "gal_beapv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_beapv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2660380501, 1e-10, "gal_beapv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],     .9505604081, 1e-10, "gal_beapv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],     .0017333491, 1e-10, "gal_beapv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],    -.0168673212, 1e-10, "gal_beapv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],    -.0046977207, 1e-10, "gal_beapv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],    -.0000095004, 1e-10, "gal_beapv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_beapv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2737854147, 1e-10, "gal_beapv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],     .9385067424, 1e-10, "gal_beapv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],     .0018171487, 1e-10, "gal_beapv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],    -.0167963362, 1e-10, "gal_beapv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],    -.0048924916, 1e-10, "gal_beapv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],    -.0000121874, 1e-10, "gal_beapv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
