/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ b j u p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_bjupv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_bjupv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_bjupv87_test.h"
#include "gal_test.h"
#include "gal_bjupv87.h"
  
void  
gal_bjupv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_bjupv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    3.9940325025, 1e-10, "gal_bjupv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],    2.9357928287, 1e-10, "gal_bjupv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],    -.1015776146, 1e-10, "gal_bjupv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],    -.0045629454, 1e-10, "gal_bjupv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],     .0064357940, 1e-10, "gal_bjupv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],     .0000754864, 1e-10, "gal_bjupv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_bjupv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -3.0159347740, 1e-10, "gal_bjupv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],   -4.4518987729, 1e-10, "gal_bjupv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],     .0857605014, 1e-10, "gal_bjupv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],     .0061580622, 1e-10, "gal_bjupv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],    -.0038756290, 1e-10, "gal_bjupv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],    -.0001223731, 1e-10, "gal_bjupv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_bjupv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.0145500117, 1e-10, "gal_bjupv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],    5.1259668253, 1e-10, "gal_bjupv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],    -.0201124860, 1e-10, "gal_bjupv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],    -.0076313358, 1e-10, "gal_bjupv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],     .0003262441, 1e-10, "gal_bjupv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],     .0001701710, 1e-10, "gal_bjupv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_bjupv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    1.2766013837, 1e-10, "gal_bjupv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],   -5.0231716007, 1e-10, "gal_bjupv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],    -.0089999829, 1e-10, "gal_bjupv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],     .0072210534, 1e-10, "gal_bjupv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],     .0022211613, 1e-10, "gal_bjupv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],    -.0001712770, 1e-10, "gal_bjupv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_bjupv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -4.0477856739, 1e-10, "gal_bjupv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],    3.4767059971, 1e-10, "gal_bjupv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],     .0777919561, 1e-10, "gal_bjupv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],    -.0049916764, 1e-10, "gal_bjupv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],    -.0053724276, 1e-10, "gal_bjupv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],     .0001334034, 1e-10, "gal_bjupv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_bjupv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    4.5819830419, 1e-10, "gal_bjupv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],   -1.9854861383, 1e-10, "gal_bjupv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],    -.0959268981, 1e-10, "gal_bjupv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],     .0029172089, 1e-10, "gal_bjupv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],     .0072697889, 1e-10, "gal_bjupv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],    -.0000937555, 1e-10, "gal_bjupv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_bjupv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -5.4195080604, 1e-10, "gal_bjupv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],    -.5058506154, 1e-10, "gal_bjupv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],     .1246615312, 1e-10, "gal_bjupv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],     .0006233205, 1e-10, "gal_bjupv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],    -.0071613018, 1e-10, "gal_bjupv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],     .0000129349, 1e-10, "gal_bjupv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_bjupv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    4.2423739220, 1e-10, "gal_bjupv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],    2.5868702423, 1e-10, "gal_bjupv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],    -.1060362712, 1e-10, "gal_bjupv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],    -.0040046493, 1e-10, "gal_bjupv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],     .0067878381, 1e-10, "gal_bjupv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],     .0000657112, 1e-10, "gal_bjupv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_bjupv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -3.3560639242, 1e-10, "gal_bjupv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],   -4.2126331635, 1e-10, "gal_bjupv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],     .0919713504, 1e-10, "gal_bjupv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],     .0058193495, 1e-10, "gal_bjupv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],    -.0043606659, 1e-10, "gal_bjupv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],    -.0001165694, 1e-10, "gal_bjupv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_bjupv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .4233154540, 1e-10, "gal_bjupv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],    5.0970673238, 1e-10, "gal_bjupv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],    -.0281031462, 1e-10, "gal_bjupv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],    -.0075968103, 1e-10, "gal_bjupv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],     .0009711785, 1e-10, "gal_bjupv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],     .0001700105, 1e-10, "gal_bjupv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
