/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ b m a p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_bmapv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_bmapv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_bmapv87_test.h"
#include "gal_test.h"
#include "gal_bmapv87.h"
  
void  
gal_bmapv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_bmapv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    1.3835744053, 1e-10, "gal_bmapv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],    -.0162038666, 1e-10, "gal_bmapv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],    -.0342616574, 1e-10, "gal_bmapv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],     .0006768704, 1e-10, "gal_bmapv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],     .0151798404, 1e-10, "gal_bmapv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],     .0003015603, 1e-10, "gal_bmapv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_bmapv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .4316209101, 1e-10, "gal_bmapv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],   -1.3488778274, 1e-10, "gal_bmapv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],    -.0390687101, 1e-10, "gal_bmapv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],     .0138728496, 1e-10, "gal_bmapv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],     .0054168276, 1e-10, "gal_bmapv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],    -.0002307836, 1e-10, "gal_bmapv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_bmapv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -1.1084329672, 1e-10, "gal_bmapv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],   -1.1021343623, 1e-10, "gal_bmapv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],     .0048532223, 1e-10, "gal_bmapv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],     .0103790668, 1e-10, "gal_bmapv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],    -.0087770621, 1e-10, "gal_bmapv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],    -.0004428402, 1e-10, "gal_bmapv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_bmapv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -1.6438794159, 1e-10, "gal_bmapv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],     .2555469169, 1e-10, "gal_bmapv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],     .0466857559, 1e-10, "gal_bmapv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],    -.0015743885, 1e-10, "gal_bmapv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],    -.0126578969, 1e-10, "gal_bmapv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],    -.0002239439, 1e-10, "gal_bmapv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_bmapv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.8237565238, 1e-10, "gal_bmapv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],    1.4065798251, 1e-10, "gal_bmapv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],     .0502495532, 1e-10, "gal_bmapv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],    -.0114853918, 1e-10, "gal_bmapv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],    -.0059301717, 1e-10, "gal_bmapv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],     .0001686389, 1e-10, "gal_bmapv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_bmapv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .6423617628, 1e-10, "gal_bmapv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],    1.3673278774, 1e-10, "gal_bmapv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],     .0118745680, 1e-10, "gal_bmapv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],    -.0120621499, 1e-10, "gal_bmapv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],     .0071641240, 1e-10, "gal_bmapv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],     .0004582895, 1e-10, "gal_bmapv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_bmapv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    1.3954709858, 1e-10, "gal_bmapv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],    -.0516858116, 1e-10, "gal_bmapv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],    -.0372157904, 1e-10, "gal_bmapv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],     .0011336721, 1e-10, "gal_bmapv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],     .0151526377, 1e-10, "gal_bmapv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],     .0002844444, 1e-10, "gal_bmapv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_bmapv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .3890526770, 1e-10, "gal_bmapv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],   -1.3690161892, 1e-10, "gal_bmapv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],    -.0383864198, 1e-10, "gal_bmapv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],     .0140508638, 1e-10, "gal_bmapv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],     .0049894676, 1e-10, "gal_bmapv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],    -.0002631224, 1e-10, "gal_bmapv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_bmapv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -1.1446750445, 1e-10, "gal_bmapv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],   -1.0555162817, 1e-10, "gal_bmapv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],     .0082476659, 1e-10, "gal_bmapv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],     .0100962898, 1e-10, "gal_bmapv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],    -.0091119135, 1e-10, "gal_bmapv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],    -.0004533508, 1e-10, "gal_bmapv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_bmapv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -1.6253192611, 1e-10, "gal_bmapv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],     .3011276886, 1e-10, "gal_bmapv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],     .0493271851, 1e-10, "gal_bmapv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],    -.0019767501, 1e-10, "gal_bmapv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],    -.0126070725, 1e-10, "gal_bmapv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],    -.0002070169, 1e-10, "gal_bmapv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
