/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ b m e p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_bmepv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_bmepv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_bmepv87_test.h"
#include "gal_test.h"
#include "gal_bmepv87.h"
  
void  
gal_bmepv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_bmepv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1372349394, 1e-10, "gal_bmepv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],    -.4500758422, 1e-10, "gal_bmepv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],    -.0243922379, 1e-10, "gal_bmepv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],     .0213717757, 1e-10, "gal_bmepv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],    -.0064553869, 1e-10, "gal_bmepv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],    -.0024879611, 1e-10, "gal_bmepv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_bmepv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.3865370327, 1e-10, "gal_bmepv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],    -.1438666201, 1e-10, "gal_bmepv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],     .0235162485, 1e-10, "gal_bmepv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],     .0042941824, 1e-10, "gal_bmepv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],    -.0250124495, 1e-10, "gal_bmepv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],    -.0024360336, 1e-10, "gal_bmepv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_bmepv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1648675270, 1e-10, "gal_bmepv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],     .2677027662, 1e-10, "gal_bmepv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],     .0377427323, 1e-10, "gal_bmepv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],    -.0296078342, 1e-10, "gal_bmepv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],    -.0136318150, 1e-10, "gal_bmepv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],     .0016233014, 1e-10, "gal_bmepv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_bmepv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .3205415662, 1e-10, "gal_bmepv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],     .0929229659, 1e-10, "gal_bmepv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],    -.0228568241, 1e-10, "gal_bmepv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],    -.0127860861, 1e-10, "gal_bmepv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],     .0284600632, 1e-10, "gal_bmepv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],     .0034969058, 1e-10, "gal_bmepv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_bmepv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .2384150859, 1e-10, "gal_bmepv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],    -.3652917797, 1e-10, "gal_bmepv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],    -.0510628721, 1e-10, "gal_bmepv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],     .0181083086, 1e-10, "gal_bmepv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],     .0166078886, 1e-10, "gal_bmepv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],    -.0003330024, 1e-10, "gal_bmepv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_bmepv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1567195724, 1e-10, "gal_bmepv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],    -.4393733656, 1e-10, "gal_bmepv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],    -.0216303335, 1e-10, "gal_bmepv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],     .0210084073, 1e-10, "gal_bmepv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],    -.0075674055, 1e-10, "gal_bmepv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],    -.0025678545, 1e-10, "gal_bmepv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_bmepv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.3894336633, 1e-10, "gal_bmepv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],    -.1261418632, 1e-10, "gal_bmepv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],     .0262199265, 1e-10, "gal_bmepv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],     .0029380205, 1e-10, "gal_bmepv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],    -.0254246227, 1e-10, "gal_bmepv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],    -.0023316424, 1e-10, "gal_bmepv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_bmepv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1453788216, 1e-10, "gal_bmepv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],     .2807838472, 1e-10, "gal_bmepv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],     .0365203626, 1e-10, "gal_bmepv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],    -.0306544976, 1e-10, "gal_bmepv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],    -.0116628832, 1e-10, "gal_bmepv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],     .0019274325, 1e-10, "gal_bmepv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_bmepv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .3334927268, 1e-10, "gal_bmepv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],     .0695495586, 1e-10, "gal_bmepv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],    -.0260366455, 1e-10, "gal_bmepv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],    -.0108199216, 1e-10, "gal_bmepv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],     .0289975920, 1e-10, "gal_bmepv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],     .0033527765, 1e-10, "gal_bmepv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_bmepv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .2171621774, 1e-10, "gal_bmepv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],    -.3801214149, 1e-10, "gal_bmepv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],    -.0504926506, 1e-10, "gal_bmepv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],     .0188386487, 1e-10, "gal_bmepv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],     .0155090442, 1e-10, "gal_bmepv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],    -.0005236921, 1e-10, "gal_bmepv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
