/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ b n e p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_bnepv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_bnepv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_bnepv87_test.h"
#include "gal_test.h"
#include "gal_bnepv87.h"
  
void  
gal_bnepv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_bnepv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   16.8049701269, 1e-10, "gal_bnepv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],  -24.9944513569, 1e-10, "gal_bnepv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],     .1274251215, 1e-10, "gal_bnepv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],     .0025846351, 1e-10, "gal_bnepv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],     .0017695229, 1e-10, "gal_bnepv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],    -.0000960030, 1e-10, "gal_bnepv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_bnepv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    1.5196434117, 1e-10, "gal_bnepv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],   29.8318114919, 1e-10, "gal_bnepv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],    -.6492437025, 1e-10, "gal_bnepv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],    -.0031531984, 1e-10, "gal_bnepv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],     .0001800719, 1e-10, "gal_bnepv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],     .0000689285, 1e-10, "gal_bnepv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_bnepv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],  -20.3104052892, 1e-10, "gal_bnepv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],  -22.4966336300, 1e-10, "gal_bnepv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],     .9308475718, 1e-10, "gal_bnepv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],     .0023105203, 1e-10, "gal_bnepv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],    -.0020855605, 1e-10, "gal_bnepv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],    -.0000102628, 1e-10, "gal_bnepv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_bnepv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   29.4971507220, 1e-10, "gal_bnepv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],    4.6036063557, 1e-10, "gal_bnepv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],    -.7739255080, 1e-10, "gal_bnepv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],    -.0005045137, 1e-10, "gal_bnepv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],     .0031194339, 1e-10, "gal_bnepv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],    -.0000526054, 1e-10, "gal_bnepv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_bnepv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],  -26.5753161424, 1e-10, "gal_bnepv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],   14.1902813794, 1e-10, "gal_bnepv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],     .3194802060, 1e-10, "gal_bnepv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],    -.0014966429, 1e-10, "gal_bnepv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],    -.0027505717, 1e-10, "gal_bnepv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],     .0000910715, 1e-10, "gal_bnepv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_bnepv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   11.1089045478, 1e-10, "gal_bnepv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],  -28.0532332601, 1e-10, "gal_bnepv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],     .3218555594, 1e-10, "gal_bnepv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],     .0028983275, 1e-10, "gal_bnepv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],     .0011726188, 1e-10, "gal_bnepv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],    -.0000908352, 1e-10, "gal_bnepv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_bnepv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    8.0258639138, 1e-10, "gal_bnepv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],   28.7261896414, 1e-10, "gal_bnepv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],    -.7760204278, 1e-10, "gal_bnepv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],    -.0030424860, 1e-10, "gal_bnepv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],     .0008636876, 1e-10, "gal_bnepv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],     .0000522034, 1e-10, "gal_bnepv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_bnepv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],  -24.6233894507, 1e-10, "gal_bnepv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],  -17.6544160439, 1e-10, "gal_bnepv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],     .9297188987, 1e-10, "gal_bnepv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],     .0018093571, 1e-10, "gal_bnepv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],    -.0025335175, 1e-10, "gal_bnepv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],     .0000105589, 1e-10, "gal_bnepv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_bnepv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   29.8297729719, 1e-10, "gal_bnepv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],   -2.0298541972, 1e-10, "gal_bnepv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],    -.6440952021, 1e-10, "gal_bnepv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],     .0001916960, 1e-10, "gal_bnepv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],     .0031491386, 1e-10, "gal_bnepv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],    -.0000692459, 1e-10, "gal_bnepv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_bnepv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],  -22.7959876638, 1e-10, "gal_bnepv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],   19.5945850298, 1e-10, "gal_bnepv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],     .1205430330, 1e-10, "gal_bnepv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],    -.0020656054, 1e-10, "gal_bnepv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],    -.0023624426, 1e-10, "gal_bnepv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],     .0000961274, 1e-10, "gal_bnepv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
