/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ b s a p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_bsapv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_bsapv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_bsapv87_test.h"
#include "gal_test.h"
#include "gal_bsapv87.h"
  
void  
gal_bsapv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_bsapv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    6.3992653459, 1e-10, "gal_bsapv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],    6.5672047374, 1e-10, "gal_bsapv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],    -.3688706482, 1e-10, "gal_bsapv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],    -.0042869773, 1e-10, "gal_bsapv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],     .0038829091, 1e-10, "gal_bsapv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],     .0001028562, 1e-10, "gal_bsapv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_bsapv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.3664097224, 1e-10, "gal_bsapv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],  -10.0518822109, 1e-10, "gal_bsapv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],     .1915817572, 1e-10, "gal_bsapv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],     .0052665110, 1e-10, "gal_bsapv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],    -.0002253719, 1e-10, "gal_bsapv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],    -.0002048560, 1e-10, "gal_bsapv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_bsapv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -5.6756021085, 1e-10, "gal_bsapv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],    7.1094397729, 1e-10, "gal_bsapv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],     .0977845010, 1e-10, "gal_bsapv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],    -.0046678881, 1e-10, "gal_bsapv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],    -.0034932538, 1e-10, "gal_bsapv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],     .0002468728, 1e-10, "gal_bsapv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_bsapv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    8.9883454293, 1e-10, "gal_bsapv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],   -3.7834861555, 1e-10, "gal_bsapv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],    -.2865137739, 1e-10, "gal_bsapv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],     .0018469420, 1e-10, "gal_bsapv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],     .0051218853, 1e-10, "gal_bsapv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],    -.0001648962, 1e-10, "gal_bsapv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_bsapv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -8.6500173348, 1e-10, "gal_bsapv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],   -4.4842589406, 1e-10, "gal_bsapv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],     .4214211465, 1e-10, "gal_bsapv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],     .0022440687, 1e-10, "gal_bsapv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],    -.0049669410, 1e-10, "gal_bsapv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],     .0000016797, 1e-10, "gal_bsapv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_bsapv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    5.0306933583, 1e-10, "gal_bsapv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],    7.5326602151, 1e-10, "gal_bsapv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],    -.3347057171, 1e-10, "gal_bsapv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],    -.0049645512, 1e-10, "gal_bsapv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],     .0031065834, 1e-10, "gal_bsapv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],     .0001381424, 1e-10, "gal_bsapv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_bsapv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    1.2645936162, 1e-10, "gal_bsapv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],  -10.0240954525, 1e-10, "gal_bsapv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],     .1345907665, 1e-10, "gal_bsapv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],     .0052022669, 1e-10, "gal_bsapv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],     .0006981429, 1e-10, "gal_bsapv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],    -.0002162249, 1e-10, "gal_bsapv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_bsapv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -7.1627672767, 1e-10, "gal_bsapv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],    5.7452916044, 1e-10, "gal_bsapv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],     .1724906607, 1e-10, "gal_bsapv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],    -.0038122127, 1e-10, "gal_bsapv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],    -.0043423789, 1e-10, "gal_bsapv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],     .0002287161, 1e-10, "gal_bsapv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_bsapv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    9.3505836060, 1e-10, "gal_bsapv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],   -2.1105535820, 1e-10, "gal_bsapv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],    -.3230945800, 1e-10, "gal_bsapv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],     .0009045925, 1e-10, "gal_bsapv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],     .0054638893, 1e-10, "gal_bsapv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],    -.0001368694, 1e-10, "gal_bsapv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_bsapv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -7.9370266647, 1e-10, "gal_bsapv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],   -5.8484785039, 1e-10, "gal_bsapv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],     .4164657927, 1e-10, "gal_bsapv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],     .0029893590, 1e-10, "gal_bsapv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],    -.0044768249, 1e-10, "gal_bsapv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],    -.0000312897, 1e-10, "gal_bsapv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
