/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ b s u p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_bsupv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_bsupv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_bsupv87_test.h"
#include "gal_test.h"
#include "gal_bsupv87.h"
  
void  
gal_bsupv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_bsupv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.0071415279, 1e-10, "gal_bsupv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],    -.0027881715, 1e-10, "gal_bsupv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],     .0002061418, 1e-10, "gal_bsupv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],     .0000053774, 1e-10, "gal_bsupv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],    -.0000074073, 1e-10, "gal_bsupv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],    -.0000000943, 1e-10, "gal_bsupv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_bsupv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .0031876597, 1e-10, "gal_bsupv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],     .0063575996, 1e-10, "gal_bsupv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],    -.0001036885, 1e-10, "gal_bsupv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],    -.0000073486, 1e-10, "gal_bsupv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],     .0000037875, 1e-10, "gal_bsupv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],     .0000001748, 1e-10, "gal_bsupv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_bsupv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .0034889967, 1e-10, "gal_bsupv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],    -.0058080486, 1e-10, "gal_bsupv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],    -.0000676295, 1e-10, "gal_bsupv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],     .0000085927, 1e-10, "gal_bsupv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],     .0000010321, 1e-10, "gal_bsupv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],    -.0000002331, 1e-10, "gal_bsupv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_bsupv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.0051304706, 1e-10, "gal_bsupv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],     .0048363849, 1e-10, "gal_bsupv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],     .0001251673, 1e-10, "gal_bsupv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],    -.0000072111, 1e-10, "gal_bsupv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],    -.0000037196, 1e-10, "gal_bsupv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],     .0000002127, 1e-10, "gal_bsupv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_bsupv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .0070102895, 1e-10, "gal_bsupv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],    -.0032796815, 1e-10, "gal_bsupv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],    -.0002040514, 1e-10, "gal_bsupv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],     .0000044023, 1e-10, "gal_bsupv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],     .0000065880, 1e-10, "gal_bsupv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],    -.0000001369, 1e-10, "gal_bsupv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_bsupv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.0071641326, 1e-10, "gal_bsupv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],     .0015976455, 1e-10, "gal_bsupv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],     .0001823330, 1e-10, "gal_bsupv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],    -.0000015913, 1e-10, "gal_bsupv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],    -.0000080258, 1e-10, "gal_bsupv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],     .0000000583, 1e-10, "gal_bsupv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_bsupv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .0044315256, 1e-10, "gal_bsupv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],     .0026981130, 1e-10, "gal_bsupv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],    -.0001145173, 1e-10, "gal_bsupv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],    -.0000019965, 1e-10, "gal_bsupv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],     .0000066073, 1e-10, "gal_bsupv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],     .0000000464, 1e-10, "gal_bsupv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_bsupv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .0000452875, 1e-10, "gal_bsupv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],    -.0029730970, 1e-10, "gal_bsupv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],    -.0000055246, 1e-10, "gal_bsupv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],     .0000047829, 1e-10, "gal_bsupv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],    -.0000048953, 1e-10, "gal_bsupv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],    -.0000001248, 1e-10, "gal_bsupv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_bsupv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.0005833297, 1e-10, "gal_bsupv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],     .0040370497, 1e-10, "gal_bsupv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],     .0000295777, 1e-10, "gal_bsupv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],    -.0000055965, 1e-10, "gal_bsupv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],     .0000025113, 1e-10, "gal_bsupv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],     .0000001498, 1e-10, "gal_bsupv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_bsupv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .0025292639, 1e-10, "gal_bsupv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],    -.0048917910, 1e-10, "gal_bsupv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],    -.0000943913, 1e-10, "gal_bsupv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],     .0000066739, 1e-10, "gal_bsupv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],     .0000004404, 1e-10, "gal_bsupv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],    -.0000001588, 1e-10, "gal_bsupv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
