/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ b u r p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_burpv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_burpv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_burpv87_test.h"
#include "gal_test.h"
#include "gal_burpv87.h"
  
void  
gal_burpv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_burpv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   14.4247519568, 1e-10, "gal_burpv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],  -13.7371045087, 1e-10, "gal_burpv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],    -.2379360887, 1e-10, "gal_burpv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],     .0026834778, 1e-10, "gal_burpv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],     .0026652832, 1e-10, "gal_burpv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],    -.0000248664, 1e-10, "gal_burpv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_burpv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -6.4778956413, 1e-10, "gal_burpv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],  -17.8463318322, 1e-10, "gal_burpv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],     .0176898373, 1e-10, "gal_burpv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],     .0036668409, 1e-10, "gal_burpv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],    -.0015250649, 1e-10, "gal_burpv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],    -.0000533417, 1e-10, "gal_burpv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_burpv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],  -18.2673444260, 1e-10, "gal_burpv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],     .9819574799, 1e-10, "gal_burpv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],     .2419668642, 1e-10, "gal_burpv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],    -.0002434599, 1e-10, "gal_burpv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],    -.0041096277, 1e-10, "gal_burpv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],    -.0000123328, 1e-10, "gal_burpv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_burpv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -4.2265696170, 1e-10, "gal_burpv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],   18.3208630949, 1e-10, "gal_burpv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],     .1248844668, 1e-10, "gal_burpv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],    -.0038652588, 1e-10, "gal_burpv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],    -.0010646972, 1e-10, "gal_burpv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],     .0000464097, 1e-10, "gal_burpv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_burpv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   16.1091090968, 1e-10, "gal_burpv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],   11.4867931080, 1e-10, "gal_burpv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],    -.1666659528, 1e-10, "gal_burpv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],    -.0023150571, 1e-10, "gal_burpv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],     .0030248642, 1e-10, "gal_burpv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],     .0000418267, 1e-10, "gal_burpv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_burpv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   17.7611606376, 1e-10, "gal_burpv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],   -9.2405618853, 1e-10, "gal_burpv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],    -.2678659421, 1e-10, "gal_burpv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],     .0017846209, 1e-10, "gal_burpv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],     .0033118299, 1e-10, "gal_burpv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],    -.0000106469, 1e-10, "gal_burpv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_burpv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.7823849124, 1e-10, "gal_burpv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],  -19.2505578584, 1e-10, "gal_burpv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],    -.0637569368, 1e-10, "gal_burpv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],     .0038994140, 1e-10, "gal_burpv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],    -.0003366037, 1e-10, "gal_burpv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],    -.0000524530, 1e-10, "gal_burpv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_burpv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],  -17.6538791197, 1e-10, "gal_burpv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],   -5.1666300880, 1e-10, "gal_burpv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],     .2124614028, 1e-10, "gal_burpv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],     .0010739540, 1e-10, "gal_burpv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],    -.0039522427, 1e-10, "gal_burpv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],    -.0000294977, 1e-10, "gal_burpv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_burpv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -9.8292937630, 1e-10, "gal_burpv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],   15.7752257095, 1e-10, "gal_burpv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],     .1915112173, 1e-10, "gal_burpv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],    -.0033692251, 1e-10, "gal_burpv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],    -.0022566874, 1e-10, "gal_burpv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],     .0000356010, 1e-10, "gal_burpv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_burpv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   11.8571754273, 1e-10, "gal_burpv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],   15.5546452202, 1e-10, "gal_burpv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],    -.0951132908, 1e-10, "gal_burpv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],    -.0031579496, 1e-10, "gal_burpv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],     .0022097279, 1e-10, "gal_burpv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],     .0000504382, 1e-10, "gal_burpv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
