/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ b v e p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_bvepv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_bvepv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_bvepv87_test.h"
#include "gal_test.h"
#include "gal_bvepv87.h"
  
void  
gal_bvepv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_bvepv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.7254438061, 1e-10, "gal_bvepv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],    -.0354427729, 1e-10, "gal_bvepv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],     .0412204390, 1e-10, "gal_bvepv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],     .0008035035, 1e-10, "gal_bvepv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],    -.0203026261, 1e-10, "gal_bvepv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],    -.0003235494, 1e-10, "gal_bvepv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_bvepv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .7003304925, 1e-10, "gal_bvepv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],    -.1970055158, 1e-10, "gal_bvepv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],    -.0431238022, 1e-10, "gal_bvepv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],     .0055497756, 1e-10, "gal_bvepv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],     .0193312684, 1e-10, "gal_bvepv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],    -.0000622747, 1e-10, "gal_bvepv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_bvepv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.5948645227, 1e-10, "gal_bvepv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],     .3900421675, 1e-10, "gal_bvepv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],     .0397561852, 1e-10, "gal_bvepv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],    -.0112328022, 1e-10, "gal_bvepv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],    -.0169692226, 1e-10, "gal_bvepv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],     .0004278513, 1e-10, "gal_bvepv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_bvepv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .4479888577, 1e-10, "gal_bvepv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],    -.5644057138, 1e-10, "gal_bvepv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],    -.0334391564, 1e-10, "gal_bvepv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],     .0156800564, 1e-10, "gal_bvepv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],     .0125190882, 1e-10, "gal_bvepv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],    -.0007482063, 1e-10, "gal_bvepv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_bvepv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2431871346, 1e-10, "gal_bvepv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],     .6700058594, 1e-10, "gal_bvepv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],     .0227674272, 1e-10, "gal_bvepv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],    -.0190258336, 1e-10, "gal_bvepv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],    -.0071537234, 1e-10, "gal_bvepv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],     .0010142109, 1e-10, "gal_bvepv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_bvepv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .0356693143, 1e-10, "gal_bvepv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],    -.7243868493, 1e-10, "gal_bvepv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],    -.0112201831, 1e-10, "gal_bvepv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],     .0200490235, 1e-10, "gal_bvepv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],     .0011049336, 1e-10, "gal_bvepv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],    -.0011510963, 1e-10, "gal_bvepv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_bvepv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .1979737053, 1e-10, "gal_bvepv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],     .6967549127, 1e-10, "gal_bvepv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],    -.0030447904, 1e-10, "gal_bvepv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],    -.0195563545, 1e-10, "gal_bvepv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],     .0053401143, 1e-10, "gal_bvepv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],     .0012013458, 1e-10, "gal_bvepv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_bvepv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.3829606678, 1e-10, "gal_bvepv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],    -.6180606558, 1e-10, "gal_bvepv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],     .0150864767, 1e-10, "gal_bvepv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],     .0170284808, 1e-10, "gal_bvepv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],    -.0107959133, 1e-10, "gal_bvepv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],    -.0011178669, 1e-10, "gal_bvepv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_bvepv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .5637717281, 1e-10, "gal_bvepv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],     .4559764948, 1e-10, "gal_bvepv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],    -.0276947946, 1e-10, "gal_bvepv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],    -.0127166331, 1e-10, "gal_bvepv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],     .0157008642, 1e-10, "gal_bvepv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],     .0009206678, 1e-10, "gal_bvepv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_bvepv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.6634865823, 1e-10, "gal_bvepv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],    -.2802510190, 1e-10, "gal_bvepv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],     .0356930259, 1e-10, "gal_bvepv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],     .0075919721, 1e-10, "gal_bvepv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],    -.0187909113, 1e-10, "gal_bvepv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],    -.0006524817, 1e-10, "gal_bvepv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
