/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ e p v 0 0 _ t e s t  
 *  - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_epv00 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_epv00  
 *     gal_viv  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 3 ( c version 2008 February 2 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_epv00.h"  
#include "gal_epv00_test.h"  
#include "gal_test.h"  
  
void  
gal_epv00_test  
 (  
 )  
{  
  
    int jstat ;  
  
    double pvh[2][3], pvb[2][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    jstat = gal_epv00 ( 2400000.5, 53411.52501161, pvh, pvb ) ;  
    gal_vdv ( pvh[0][0], -0.7757238809297653, 1e-12, "gal_epv00", "pvh[0][0]" ) ;  
    gal_vdv ( pvh[0][1], +0.5598052241363390, 1e-12, "gal_epv00", "pvh[0][1]" ) ;  
    gal_vdv ( pvh[0][2], +0.2426998466481708, 1e-12, "gal_epv00", "pvh[0][2]" ) ;  
    gal_vdv ( pvh[1][0], -0.0109189182414732, 1e-12, "gal_epv00", "pvh[1][0]" ) ;  
    gal_vdv ( pvh[1][1], -0.0124718726844084, 1e-12, "gal_epv00", "pvh[1][1]" ) ;  
    gal_vdv ( pvh[1][2], -0.0054075694180650, 1e-12, "gal_epv00", "pvh[1][2]" ) ;  
    gal_vdv ( pvb[0][0], -0.7714104440491060, 1e-12, "gal_epv00", "pvb[0][0]" ) ;  
    gal_vdv ( pvb[0][1], +0.5598412061824225, 1e-12, "gal_epv00", "pvb[0][1]" ) ;  
    gal_vdv ( pvb[0][2], +0.2425996277722475, 1e-12, "gal_epv00", "pvb[0][2]" ) ;  
    gal_vdv ( pvb[1][0], -0.0109187426811683, 1e-12, "gal_epv00", "pvb[1][0]" ) ;  
    gal_vdv ( pvb[1][1], -0.0124652546173285, 1e-12, "gal_epv00", "pvb[1][1]" ) ;  
    gal_vdv ( pvb[1][2], -0.0054047731809662, 1e-12, "gal_epv00", "pvb[1][2]" ) ;  
    gal_viv ( jstat, 0, "gal_epv00", "jstat" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
