/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ h e a p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_heapv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_heapv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_heapv87_test.h"
#include "gal_test.h"
#include "gal_heapv87.h"
  
void  
gal_heapv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */ 
  
/*  
 * 01/01/2000 12h TDB  
 */  

  gal_heapv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1771354586, 1e-10, "gal_heapv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],     .9672416237, 1e-10, "gal_heapv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],    -.0000039000, 1e-10, "gal_heapv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],    -.0172076240, 1e-10, "gal_heapv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],    -.0031587881, 1e-10, "gal_heapv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],     .0000001069, 1e-10, "gal_heapv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_heapv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1883079649, 1e-10, "gal_heapv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],     .9650688844, 1e-10, "gal_heapv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],     .0002150325, 1e-10, "gal_heapv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],    -.0171750350, 1e-10, "gal_heapv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],    -.0033577553, 1e-10, "gal_heapv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],    -.0000017927, 1e-10, "gal_heapv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_heapv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1993918002, 1e-10, "gal_heapv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],     .9627974368, 1e-10, "gal_heapv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],     .0004307602, 1e-10, "gal_heapv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],    -.0171333880, 1e-10, "gal_heapv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],    -.0035564817, 1e-10, "gal_heapv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],    -.0000024864, 1e-10, "gal_heapv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_heapv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2104654652, 1e-10, "gal_heapv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],     .9603579954, 1e-10, "gal_heapv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],     .0006472929, 1e-10, "gal_heapv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],    -.0170875581, 1e-10, "gal_heapv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],    -.0037496415, 1e-10, "gal_heapv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],    -.0000029043, 1e-10, "gal_heapv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_heapv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2214982928, 1e-10, "gal_heapv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],     .9578483181, 1e-10, "gal_heapv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],     .0008568250, 1e-10, "gal_heapv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],    -.0170390656, 1e-10, "gal_heapv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],    -.0039367743, 1e-10, "gal_heapv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],    -.0000043201, 1e-10, "gal_heapv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_heapv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2324780153, 1e-10, "gal_heapv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],     .9551975793, 1e-10, "gal_heapv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],     .0010692878, 1e-10, "gal_heapv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],    -.0169957375, 1e-10, "gal_heapv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],    -.0041224472, 1e-10, "gal_heapv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],    -.0000065063, 1e-10, "gal_heapv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_heapv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2435134343, 1e-10, "gal_heapv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],     .9524373311, 1e-10, "gal_heapv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],     .0012871020, 1e-10, "gal_heapv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],    -.0169547778, 1e-10, "gal_heapv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],    -.0043098863, 1e-10, "gal_heapv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],    -.0000079170, 1e-10, "gal_heapv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_heapv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2544603371, 1e-10, "gal_heapv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],     .9495904257, 1e-10, "gal_heapv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],     .0014962103, 1e-10, "gal_heapv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],    -.0169105576, 1e-10, "gal_heapv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],    -.0045033760, 1e-10, "gal_heapv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],    -.0000085451, 1e-10, "gal_heapv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_heapv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2654547156, 1e-10, "gal_heapv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],     .9465233602, 1e-10, "gal_heapv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],     .0017037737, 1e-10, "gal_heapv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],    -.0168617248, 1e-10, "gal_heapv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],    -.0047002320, 1e-10, "gal_heapv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],    -.0000096503, 1e-10, "gal_heapv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_heapv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2763146784, 1e-10, "gal_heapv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],     .9433985307, 1e-10, "gal_heapv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],     .0019115387, 1e-10, "gal_heapv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],    -.0168030101, 1e-10, "gal_heapv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],    -.0048929320, 1e-10, "gal_heapv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],    -.0000120286, 1e-10, "gal_heapv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
