/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ h e b p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_hebpv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_hebpv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_hebpv87_test.h"
#include "gal_test.h"
#include "gal_hebpv87.h"
  
void  
gal_hebpv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_hebpv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1771591440, 1e-10, "gal_hebpv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],     .9672192891, 1e-10, "gal_hebpv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],    -.0000009536, 1e-10, "gal_hebpv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],    -.0172031075, 1e-10, "gal_hebpv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],    -.0031639188, 1e-10, "gal_hebpv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],     .0000000258, 1e-10, "gal_hebpv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_hebpv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1883097013, 1e-10, "gal_hebpv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],     .9650388428, 1e-10, "gal_hebpv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],     .0002152687, 1e-10, "gal_hebpv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],    -.0171675938, 1e-10, "gal_hebpv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],    -.0033578159, 1e-10, "gal_hebpv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],    -.0000011144, 1e-10, "gal_hebpv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_hebpv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1993643284, 1e-10, "gal_hebpv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],     .9627828195, 1e-10, "gal_hebpv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],     .0004282504, 1e-10, "gal_hebpv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],    -.0171295937, 1e-10, "gal_hebpv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],    -.0035503981, 1e-10, "gal_hebpv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],    -.0000022560, 1e-10, "gal_hebpv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_hebpv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2104343221, 1e-10, "gal_hebpv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],     .9603642782, 1e-10, "gal_hebpv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],     .0006462945, 1e-10, "gal_hebpv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],    -.0170893883, 1e-10, "gal_hebpv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],    -.0037428931, 1e-10, "gal_hebpv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],    -.0000034648, 1e-10, "gal_hebpv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_hebpv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2214911209, 1e-10, "gal_hebpv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],     .9578778167, 1e-10, "gal_hebpv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],     .0008589738, 1e-10, "gal_hebpv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],    -.0170461690, 1e-10, "gal_hebpv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],    -.0039348052, 1e-10, "gal_hebpv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],    -.0000047385, 1e-10, "gal_hebpv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_hebpv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2324953837, 1e-10, "gal_hebpv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],     .9552252051, 1e-10, "gal_hebpv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],     .0010711791, 1e-10, "gal_hebpv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],    -.0170014432, 1e-10, "gal_hebpv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],    -.0041262672, 1e-10, "gal_hebpv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],    -.0000060273, 1e-10, "gal_hebpv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_hebpv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2435434218, 1e-10, "gal_hebpv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],     .9524355203, 1e-10, "gal_hebpv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],     .0012855339, 1e-10, "gal_hebpv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],    -.0169546235, 1e-10, "gal_hebpv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],    -.0043172876, 1e-10, "gal_hebpv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],    -.0000074100, 1e-10, "gal_hebpv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_hebpv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2544800656, 1e-10, "gal_hebpv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],     .9495642257, 1e-10, "gal_hebpv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],     .0014936626, 1e-10, "gal_hebpv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],    -.0169050854, 1e-10, "gal_hebpv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],    -.0045073961, 1e-10, "gal_hebpv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],    -.0000088462, 1e-10, "gal_hebpv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_hebpv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2654471686, 1e-10, "gal_hebpv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],     .9464953236, 1e-10, "gal_hebpv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],     .0017047755, 1e-10, "gal_hebpv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],    -.0168543115, 1e-10, "gal_hebpv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],    -.0046981611, 1e-10, "gal_hebpv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],    -.0000102989, 1e-10, "gal_hebpv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_hebpv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2762837551, 1e-10, "gal_hebpv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],     .9433889919, 1e-10, "gal_hebpv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],     .0019144183, 1e-10, "gal_hebpv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],    -.0168007538, 1e-10, "gal_hebpv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],    -.0048864356, 1e-10, "gal_hebpv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],    -.0000118518, 1e-10, "gal_hebpv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
