/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ h j u p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_hjupv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_hjupv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_hjupv87_test.h"
#include "gal_test.h"
#include "gal_hjupv87.h"
  
void  
gal_hjupv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_hjupv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    4.0011740268, 1e-10, "gal_hjupv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],    2.9385810077, 1e-10, "gal_hjupv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],    -.1017837501, 1e-10, "gal_hjupv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],    -.0045683226, 1e-10, "gal_hjupv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],     .0064432013, 1e-10, "gal_hjupv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],     .0000755806, 1e-10, "gal_hjupv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_hjupv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -3.0191224350, 1e-10, "gal_hjupv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],   -4.4582563705, 1e-10, "gal_hjupv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],     .0858641900, 1e-10, "gal_hjupv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],     .0061654107, 1e-10, "gal_hjupv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],    -.0038794162, 1e-10, "gal_hjupv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],    -.0001225479, 1e-10, "gal_hjupv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_hjupv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.0180390004, 1e-10, "gal_hjupv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],    5.1317748839, 1e-10, "gal_hjupv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],    -.0200448490, 1e-10, "gal_hjupv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],    -.0076399285, 1e-10, "gal_hjupv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],     .0003252123, 1e-10, "gal_hjupv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],     .0001704041, 1e-10, "gal_hjupv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_hjupv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    1.2817318353, 1e-10, "gal_hjupv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],   -5.0280079874, 1e-10, "gal_hjupv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],    -.0091251590, 1e-10, "gal_hjupv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],     .0072282646, 1e-10, "gal_hjupv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],     .0022248808, 1e-10, "gal_hjupv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],    -.0001714897, 1e-10, "gal_hjupv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_hjupv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -4.0547959775, 1e-10, "gal_hjupv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],    3.4799857072, 1e-10, "gal_hjupv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],     .0779960099, 1e-10, "gal_hjupv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],    -.0049960788, 1e-10, "gal_hjupv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],    -.0053790157, 1e-10, "gal_hjupv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],     .0001335404, 1e-10, "gal_hjupv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_hjupv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    4.5891471727, 1e-10, "gal_hjupv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],   -1.9870837931, 1e-10, "gal_hjupv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],    -.0961092251, 1e-10, "gal_hjupv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],     .0029188005, 1e-10, "gal_hjupv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],     .0072778147, 1e-10, "gal_hjupv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],    -.0000938139, 1e-10, "gal_hjupv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_hjupv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -5.4239396005, 1e-10, "gal_hjupv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],    -.5085487291, 1e-10, "gal_hjupv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],     .1247760378, 1e-10, "gal_hjupv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],     .0006253169, 1e-10, "gal_hjupv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],    -.0071679090, 1e-10, "gal_hjupv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],     .0000128885, 1e-10, "gal_hjupv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_hjupv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    4.2423286340, 1e-10, "gal_hjupv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],    2.5898433579, 1e-10, "gal_hjupv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],    -.1060307357, 1e-10, "gal_hjupv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],    -.0040094322, 1e-10, "gal_hjupv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],     .0067927337, 1e-10, "gal_hjupv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],     .0000658361, 1e-10, "gal_hjupv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_hjupv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -3.3554806095, 1e-10, "gal_hjupv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],   -4.2166702224, 1e-10, "gal_hjupv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],     .0919417675, 1e-10, "gal_hjupv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],     .0058249459, 1e-10, "gal_hjupv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],    -.0043631774, 1e-10, "gal_hjupv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],    -.0001167192, 1e-10, "gal_hjupv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_hjupv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .4207861894, 1e-10, "gal_hjupv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],    5.1019591310, 1e-10, "gal_hjupv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],    -.0280087663, 1e-10, "gal_hjupv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],    -.0076034843, 1e-10, "gal_hjupv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],     .0009707381, 1e-10, "gal_hjupv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],     .0001701694, 1e-10, "gal_hjupv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
