/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ h m a p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_hmapv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_hmapv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_hmapv87_test.h"
#include "gal_test.h"
#include "gal_hmapv87.h"
  
void  
gal_hmapv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_hmapv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    1.3907159264, 1e-10, "gal_hmapv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],    -.0134157043, 1e-10, "gal_hmapv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],    -.0344677967, 1e-10, "gal_hmapv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],     .0006714930, 1e-10, "gal_hmapv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],     .0151872479, 1e-10, "gal_hmapv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],     .0003016546, 1e-10, "gal_hmapv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_hmapv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .4284332474, 1e-10, "gal_hmapv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],   -1.3552354250, 1e-10, "gal_hmapv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],    -.0389650205, 1e-10, "gal_hmapv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],     .0138801988, 1e-10, "gal_hmapv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],     .0054130399, 1e-10, "gal_hmapv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],    -.0002309583, 1e-10, "gal_hmapv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_hmapv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -1.1119219621, 1e-10, "gal_hmapv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],   -1.0963263014, 1e-10, "gal_hmapv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],     .0049208507, 1e-10, "gal_hmapv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],     .0103704749, 1e-10, "gal_hmapv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],    -.0087780941, 1e-10, "gal_hmapv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],    -.0004426071, 1e-10, "gal_hmapv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_hmapv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -1.6387489524, 1e-10, "gal_hmapv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],     .2507105242, 1e-10, "gal_hmapv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],     .0465605913, 1e-10, "gal_hmapv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],    -.0015671783, 1e-10, "gal_hmapv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],    -.0126541771, 1e-10, "gal_hmapv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],    -.0002241566, 1e-10, "gal_hmapv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_hmapv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.8307668241, 1e-10, "gal_hmapv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],    1.4098595097, 1e-10, "gal_hmapv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],     .0504536061, 1e-10, "gal_hmapv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],    -.0114897947, 1e-10, "gal_hmapv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],    -.0059367600, 1e-10, "gal_hmapv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],     .0001687758, 1e-10, "gal_hmapv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_hmapv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .6495258850, 1e-10, "gal_hmapv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],    1.3657302245, 1e-10, "gal_hmapv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],     .0116922368, 1e-10, "gal_hmapv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],    -.0120605583, 1e-10, "gal_hmapv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],     .0071721497, 1e-10, "gal_hmapv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],     .0004582311, 1e-10, "gal_hmapv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_hmapv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    1.3910394546, 1e-10, "gal_hmapv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],    -.0543839267, 1e-10, "gal_hmapv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],    -.0371012758, 1e-10, "gal_hmapv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],     .0011356685, 1e-10, "gal_hmapv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],     .0151460297, 1e-10, "gal_hmapv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],     .0002843980, 1e-10, "gal_hmapv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_hmapv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .3890073909, 1e-10, "gal_hmapv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],   -1.3660431023, 1e-10, "gal_hmapv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],    -.0383808949, 1e-10, "gal_hmapv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],     .0140460805, 1e-10, "gal_hmapv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],     .0049943632, 1e-10, "gal_hmapv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],    -.0002629975, 1e-10, "gal_hmapv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_hmapv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -1.1440917096, 1e-10, "gal_hmapv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],   -1.0595533316, 1e-10, "gal_hmapv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],     .0082180884, 1e-10, "gal_hmapv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],     .0101018861, 1e-10, "gal_hmapv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],    -.0091144253, 1e-10, "gal_hmapv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],    -.0004535007, 1e-10, "gal_hmapv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_hmapv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -1.6278485157, 1e-10, "gal_hmapv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],     .3060194814, 1e-10, "gal_hmapv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],     .0494215740, 1e-10, "gal_hmapv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],    -.0019834234, 1e-10, "gal_hmapv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],    -.0126075128, 1e-10, "gal_hmapv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],    -.0002068580, 1e-10, "gal_hmapv87", "pv[1][2] 9" ) ;  

  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
