/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ h m e p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_hmepv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_hmepv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_hmepv87_test.h"
#include "gal_test.h"
#include "gal_hmepv87.h"
  
void  
gal_hmepv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_hmepv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1300934115, 1e-10, "gal_hmepv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],    -.4472876716, 1e-10, "gal_hmepv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],    -.0245983802, 1e-10, "gal_hmepv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],     .0213663982, 1e-10, "gal_hmepv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],    -.0064479797, 1e-10, "gal_hmepv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],    -.0024878668, 1e-10, "gal_hmepv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_hmepv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.3897246931, 1e-10, "gal_hmepv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],    -.1502242199, 1e-10, "gal_hmepv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],     .0236199373, 1e-10, "gal_hmepv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],     .0043015312, 1e-10, "gal_hmepv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],    -.0250162370, 1e-10, "gal_hmepv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],    -.0024362082, 1e-10, "gal_hmepv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_hmepv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1683565237, 1e-10, "gal_hmepv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],     .2735108157, 1e-10, "gal_hmepv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],     .0378103630, 1e-10, "gal_hmepv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],    -.0296164267, 1e-10, "gal_hmepv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],    -.0136328471, 1e-10, "gal_hmepv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],     .0016235345, 1e-10, "gal_hmepv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_hmepv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .3256720360, 1e-10, "gal_hmepv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],     .0880865802, 1e-10, "gal_hmepv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],    -.0229819912, 1e-10, "gal_hmepv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],    -.0127788749, 1e-10, "gal_hmepv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],     .0284637828, 1e-10, "gal_hmepv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],     .0034966931, 1e-10, "gal_hmepv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_hmepv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .2314047967, 1e-10, "gal_hmepv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],    -.3620120986, 1e-10, "gal_hmepv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],    -.0508588210, 1e-10, "gal_hmepv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],     .0181039063, 1e-10, "gal_hmepv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],     .0166013006, 1e-10, "gal_hmepv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],    -.0003328657, 1e-10, "gal_hmepv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_hmepv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1495554398, 1e-10, "gal_hmepv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],    -.4409710104, 1e-10, "gal_hmepv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],    -.0218126659, 1e-10, "gal_hmepv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],     .0210099985, 1e-10, "gal_hmepv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],    -.0075593798, 1e-10, "gal_hmepv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],    -.0025679127, 1e-10, "gal_hmepv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_hmepv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.3938651887, 1e-10, "gal_hmepv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],    -.1288399755, 1e-10, "gal_hmepv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],     .0263344445, 1e-10, "gal_hmepv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],     .0029400171, 1e-10, "gal_hmepv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],    -.0254312305, 1e-10, "gal_hmepv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],    -.0023316888, 1e-10, "gal_hmepv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_hmepv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.1454241100, 1e-10, "gal_hmepv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],     .2837569447, 1e-10, "gal_hmepv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],     .0365258870, 1e-10, "gal_hmepv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],    -.0306592806, 1e-10, "gal_hmepv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],    -.0116579881, 1e-10, "gal_hmepv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],     .0019275574, 1e-10, "gal_hmepv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_hmepv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .3340760581, 1e-10, "gal_hmepv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],     .0655125084, 1e-10, "gal_hmepv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],    -.0260662236, 1e-10, "gal_hmepv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],    -.0108143253, 1e-10, "gal_hmepv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],     .0289950806, 1e-10, "gal_hmepv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],     .0033526267, 1e-10, "gal_hmepv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_hmepv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .2146329139, 1e-10, "gal_hmepv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],    -.3752296250, 1e-10, "gal_hmepv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],    -.0503982597, 1e-10, "gal_hmepv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],     .0188319750, 1e-10, "gal_hmepv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],     .0155086039, 1e-10, "gal_hmepv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],    -.0005235332, 1e-10, "gal_hmepv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
