/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ h n e p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_hnepv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_hnepv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_hnepv87_test.h"
#include "gal_test.h"
#include "gal_hnepv87.h"
  
void  
gal_hnepv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_hnepv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   16.8121116576, 1e-10, "gal_hnepv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],  -24.9916630908, 1e-10, "gal_hnepv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],     .1272190171, 1e-10, "gal_hnepv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],     .0025792564, 1e-10, "gal_hnepv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],     .0017769299, 1e-10, "gal_hnepv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],    -.0000959082, 1e-10, "gal_hnepv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_hnepv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    1.5164557467, 1e-10, "gal_hnepv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],   29.8254538901, 1e-10, "gal_hnepv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],    -.6491400216, 1e-10, "gal_hnepv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],    -.0031458508, 1e-10, "gal_hnepv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],     .0001762858, 1e-10, "gal_hnepv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],     .0000687542, 1e-10, "gal_hnepv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_hnepv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],  -20.3138943578, 1e-10, "gal_hnepv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],  -22.4908255796, 1e-10, "gal_hnepv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],     .9309151535, 1e-10, "gal_hnepv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],     .0023019288, 1e-10, "gal_hnepv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],    -.0020865916, 1e-10, "gal_hnepv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],    -.0000100297, 1e-10, "gal_hnepv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_hnepv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   29.5022811950, 1e-10, "gal_hnepv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],    4.5987701114, 1e-10, "gal_hnepv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],    -.7740507255, 1e-10, "gal_hnepv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],    -.0004973022, 1e-10, "gal_hnepv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],     .0031231521, 1e-10, "gal_hnepv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],    -.0000528186, 1e-10, "gal_hnepv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_hnepv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],  -26.5823264272, 1e-10, "gal_hnepv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],   14.1935610229, 1e-10, "gal_hnepv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],     .3196842255, 1e-10, "gal_hnepv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],    -.0015010463, 1e-10, "gal_hnepv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],    -.0027571601, 1e-10, "gal_hnepv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],     .0000912083, 1e-10, "gal_hnepv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_hnepv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   11.1160686193, 1e-10, "gal_hnepv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],  -28.0548309589, 1e-10, "gal_hnepv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],     .3216732257, 1e-10, "gal_hnepv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],     .0028999185, 1e-10, "gal_hnepv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],     .0011806446, 1e-10, "gal_hnepv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],    -.0000908933, 1e-10, "gal_hnepv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_hnepv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    8.0214324006, 1e-10, "gal_hnepv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],   28.7234916080, 1e-10, "gal_hnepv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],    -.7759058527, 1e-10, "gal_hnepv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],    -.0030404909, 1e-10, "gal_hnepv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],     .0008570806, 1e-10, "gal_hnepv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],     .0000521574, 1e-10, "gal_hnepv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_hnepv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],  -24.6234347578, 1e-10, "gal_hnepv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],  -17.6514428046, 1e-10, "gal_hnepv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],     .9297244003, 1e-10, "gal_hnepv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],     .0018045758, 1e-10, "gal_hnepv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],    -.0025286219, 1e-10, "gal_hnepv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],     .0000106837, 1e-10, "gal_hnepv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_hnepv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   29.8303563036, 1e-10, "gal_hnepv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],   -2.0338910503, 1e-10, "gal_hnepv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],    -.6441246887, 1e-10, "gal_hnepv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],     .0001972918, 1e-10, "gal_hnepv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],     .0031466250, 1e-10, "gal_hnepv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],    -.0000693959, 1e-10, "gal_hnepv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_hnepv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],  -22.7985170870, 1e-10, "gal_hnepv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],   19.5994768858, 1e-10, "gal_hnepv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],     .1206374034, 1e-10, "gal_hnepv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],    -.0020722808, 1e-10, "gal_hnepv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],    -.0023628830, 1e-10, "gal_hnepv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],     .0000962862, 1e-10, "gal_hnepv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
