/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ h s a p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_hsapv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_hsapv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_hsapv87_test.h"
#include "gal_test.h"
#include "gal_hsapv87.h"
  
void  
gal_hsapv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_hsapv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    6.4064068573, 1e-10, "gal_hsapv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],    6.5699929449, 1e-10, "gal_hsapv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],    -.3690768029, 1e-10, "gal_hsapv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],    -.0042923542, 1e-10, "gal_hsapv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],     .0038903162, 1e-10, "gal_hsapv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],     .0001029504, 1e-10, "gal_hsapv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_hsapv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.3695973750, 1e-10, "gal_hsapv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],  -10.0582398188, 1e-10, "gal_hsapv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],     .1916854382, 1e-10, "gal_hsapv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],     .0052738585, 1e-10, "gal_hsapv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],    -.0002291588, 1e-10, "gal_hsapv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],    -.0002050308, 1e-10, "gal_hsapv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_hsapv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -5.6790910870, 1e-10, "gal_hsapv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],    7.1152478120, 1e-10, "gal_hsapv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],     .0978521367, 1e-10, "gal_hsapv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],    -.0046764804, 1e-10, "gal_hsapv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],    -.0034942859, 1e-10, "gal_hsapv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],     .0002471059, 1e-10, "gal_hsapv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_hsapv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    8.9934758992, 1e-10, "gal_hsapv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],   -3.7883225437, 1e-10, "gal_hsapv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],    -.2866389234, 1e-10, "gal_hsapv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],     .0018541530, 1e-10, "gal_hsapv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],     .0051256055, 1e-10, "gal_hsapv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],    -.0001651089, 1e-10, "gal_hsapv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_hsapv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -8.6570276346, 1e-10, "gal_hsapv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],   -4.4809792498, 1e-10, "gal_hsapv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],     .4216252073, 1e-10, "gal_hsapv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],     .0022396666, 1e-10, "gal_hsapv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],    -.0049735292, 1e-10, "gal_hsapv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],     .0000018167, 1e-10, "gal_hsapv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_hsapv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    5.0378574919, 1e-10, "gal_hsapv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],    7.5310625790, 1e-10, "gal_hsapv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],    -.3348880611, 1e-10, "gal_hsapv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],    -.0049629587, 1e-10, "gal_hsapv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],     .0031146091, 1e-10, "gal_hsapv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],     .0001380841, 1e-10, "gal_hsapv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_hsapv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    1.2601620699, 1e-10, "gal_hsapv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],  -10.0267935693, 1e-10, "gal_hsapv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],     .1347052714, 1e-10, "gal_hsapv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],     .0052042624, 1e-10, "gal_hsapv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],     .0006915354, 1e-10, "gal_hsapv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],    -.0002162713, 1e-10, "gal_hsapv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_hsapv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -7.1628125747, 1e-10, "gal_hsapv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],    5.7482646991, 1e-10, "gal_hsapv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],     .1724961738, 1e-10, "gal_hsapv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],    -.0038169951, 1e-10, "gal_hsapv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],    -.0043374842, 1e-10, "gal_hsapv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],     .0002288409, 1e-10, "gal_hsapv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_hsapv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    9.3511669242, 1e-10, "gal_hsapv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],   -2.1145906249, 1e-10, "gal_hsapv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],    -.3231241535, 1e-10, "gal_hsapv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],     .0009101880, 1e-10, "gal_hsapv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],     .0054613781, 1e-10, "gal_hsapv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],    -.0001370191, 1e-10, "gal_hsapv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_hsapv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -7.9395559173, 1e-10, "gal_hsapv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],   -5.8435867016, 1e-10, "gal_hsapv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],     .4165601597, 1e-10, "gal_hsapv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],     .0029826848, 1e-10, "gal_hsapv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],    -.0044772655, 1e-10, "gal_hsapv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],    -.0000311309, 1e-10, "gal_hsapv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
