/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ h u r p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_hurpv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_hurpv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_hurpv87_test.h"
#include "gal_test.h"
#include "gal_hurpv87.h"
  
void  
gal_hurpv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_hurpv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   14.4318934159, 1e-10, "gal_hurpv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],  -13.7343162527, 1e-10, "gal_hurpv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],    -.2381421963, 1e-10, "gal_hurpv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],     .0026781013, 1e-10, "gal_hurpv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],     .0026726895, 1e-10, "gal_hurpv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],    -.0000247716, 1e-10, "gal_hurpv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_hurpv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -6.4810833337, 1e-10, "gal_hurpv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],  -17.8526893406, 1e-10, "gal_hurpv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],     .0177935238, 1e-10, "gal_hurpv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],     .0036741895, 1e-10, "gal_hurpv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],    -.0015288510, 1e-10, "gal_hurpv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],    -.0000535160, 1e-10, "gal_hurpv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_hurpv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],  -18.2708335178, 1e-10, "gal_hurpv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],     .9877655715, 1e-10, "gal_hurpv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],     .2420344280, 1e-10, "gal_hurpv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],    -.0002520508, 1e-10, "gal_hurpv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],    -.0041106574, 1e-10, "gal_hurpv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],    -.0000120997, 1e-10, "gal_hurpv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_hurpv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -4.2214391936, 1e-10, "gal_hurpv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],   18.3160266384, 1e-10, "gal_hurpv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],     .1247592568, 1e-10, "gal_hurpv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],    -.0038580474, 1e-10, "gal_hurpv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],    -.0010609793, 1e-10, "gal_hurpv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],     .0000461966, 1e-10, "gal_hurpv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_hurpv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   16.1020987626, 1e-10, "gal_hurpv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],   11.4900726864, 1e-10, "gal_hurpv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],    -.1664618891, 1e-10, "gal_hurpv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],    -.0023194591, 1e-10, "gal_hurpv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],     .0030182757, 1e-10, "gal_hurpv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],     .0000419636, 1e-10, "gal_hurpv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_hurpv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   17.7683247787, 1e-10, "gal_hurpv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],   -9.2421595876, 1e-10, "gal_hurpv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],    -.2680482375, 1e-10, "gal_hurpv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],     .0017862137, 1e-10, "gal_hurpv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],     .0033198557, 1e-10, "gal_hurpv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],    -.0000107051, 1e-10, "gal_hurpv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_hurpv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.7868164612, 1e-10, "gal_hurpv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],  -19.2532559478, 1e-10, "gal_hurpv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],    -.0636424080, 1e-10, "gal_hurpv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],     .0039014103, 1e-10, "gal_hurpv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],    -.0003432106, 1e-10, "gal_hurpv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],    -.0000524990, 1e-10, "gal_hurpv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_hurpv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],  -17.6539243375, 1e-10, "gal_hurpv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],   -5.1636568776, 1e-10, "gal_hurpv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],     .2124669126, 1e-10, "gal_hurpv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],     .0010691727, 1e-10, "gal_hurpv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],    -.0039473457, 1e-10, "gal_hurpv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],    -.0000293730, 1e-10, "gal_hurpv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_hurpv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   -9.8287104597, 1e-10, "gal_hurpv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],   15.7711888605, 1e-10, "gal_hurpv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],     .1914817351, 1e-10, "gal_hurpv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],    -.0033636294, 1e-10, "gal_hurpv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],    -.0022592009, 1e-10, "gal_hurpv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],     .0000354511, 1e-10, "gal_hurpv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_hurpv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],   11.8546461039, 1e-10, "gal_hurpv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],   15.5595370553, 1e-10, "gal_hurpv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],    -.0950189343, 1e-10, "gal_hurpv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],    -.0031646232, 1e-10, "gal_hurpv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],     .0022092867, 1e-10, "gal_hurpv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],     .0000505971, 1e-10, "gal_hurpv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
