/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ h v e p v 8 7 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_hvepv87 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_hvepv87  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 June 29  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_hvepv87_test.h"
#include "gal_test.h"
#include "gal_hvepv87.h"
  
void  
gal_hvepv87_test  
 ( 
 )
 
{

  double pv[2][3] ;  
  
  extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*  
 * 01/01/2000 12h TDB  
 */  

  gal_hvepv87 ( 2451545.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.7183022797, 1e-10, "gal_hvepv87", "pv[0][0] 0" ) ;  
  gal_vdv ( pv[0][1],    -.0326546017, 1e-10, "gal_hvepv87", "pv[0][1] 0" ) ;  
  gal_vdv ( pv[0][2],     .0410142975, 1e-10, "gal_hvepv87", "pv[0][2] 0" ) ;  
  gal_vdv ( pv[1][0],     .0007981261, 1e-10, "gal_hvepv87", "pv[1][0] 0" ) ;  
  gal_vdv ( pv[1][1],    -.0202952188, 1e-10, "gal_hvepv87", "pv[1][1] 0" ) ;  
  gal_vdv ( pv[1][2],    -.0003234551, 1e-10, "gal_hvepv87", "pv[1][2] 0" ) ;  

/*  
 * 31/12/1899 12h TDB  
 */  

  gal_hvepv87 ( 2415020.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .6971428331, 1e-10, "gal_hvepv87", "pv[0][0] 1" ) ;  
  gal_vdv ( pv[0][1],    -.2033631151, 1e-10, "gal_hvepv87", "pv[0][1] 1" ) ;  
  gal_vdv ( pv[0][2],    -.0430201136, 1e-10, "gal_hvepv87", "pv[0][2] 1" ) ;  
  gal_vdv ( pv[1][0],     .0055571243, 1e-10, "gal_hvepv87", "pv[1][0] 1" ) ;  
  gal_vdv ( pv[1][1],     .0193274810, 1e-10, "gal_hvepv87", "pv[1][1] 1" ) ;  
  gal_vdv ( pv[1][2],    -.0000624495, 1e-10, "gal_hvepv87", "pv[1][2] 1" ) ;  

/*  
 * 30/12/1799 12h TDB  
 */  

  gal_hvepv87 ( 2378495.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.5983535208, 1e-10, "gal_hvepv87", "pv[0][0] 2" ) ;  
  gal_vdv ( pv[0][1],     .3958502156, 1e-10, "gal_hvepv87", "pv[0][1] 2" ) ;  
  gal_vdv ( pv[0][2],     .0398238141, 1e-10, "gal_hvepv87", "pv[0][2] 2" ) ;  
  gal_vdv ( pv[1][0],    -.0112413949, 1e-10, "gal_hvepv87", "pv[1][0] 2" ) ;  
  gal_vdv ( pv[1][1],    -.0169702547, 1e-10, "gal_hvepv87", "pv[1][1] 2" ) ;  
  gal_vdv ( pv[1][2],     .0004280845, 1e-10, "gal_hvepv87", "pv[1][2] 2" ) ;  

/*  
 * 29/12/1699 12h TDB  
 */  

  gal_hvepv87 ( 2341970.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .4531193265, 1e-10, "gal_hvepv87", "pv[0][0] 3" ) ;  
  gal_vdv ( pv[0][1],    -.5692420969, 1e-10, "gal_hvepv87", "pv[0][1] 3" ) ;  
  gal_vdv ( pv[0][2],    -.0335643217, 1e-10, "gal_hvepv87", "pv[0][2] 3" ) ;  
  gal_vdv ( pv[1][0],     .0156872675, 1e-10, "gal_hvepv87", "pv[1][0] 3" ) ;  
  gal_vdv ( pv[1][1],     .0125228078, 1e-10, "gal_hvepv87", "pv[1][1] 3" ) ;  
  gal_vdv ( pv[1][2],    -.0007484190, 1e-10, "gal_hvepv87", "pv[1][2] 3" ) ;  

/*  
 * 29/12/1599 12h TDB  
 */  

  gal_hvepv87 ( 2305445.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.2501974249, 1e-10, "gal_hvepv87", "pv[0][0] 4" ) ;  
  gal_vdv ( pv[0][1],     .6732855399, 1e-10, "gal_hvepv87", "pv[0][1] 4" ) ;  
  gal_vdv ( pv[0][2],     .0229714783, 1e-10, "gal_hvepv87", "pv[0][2] 4" ) ;  
  gal_vdv ( pv[1][0],    -.0190302360, 1e-10, "gal_hvepv87", "pv[1][0] 4" ) ;  
  gal_vdv ( pv[1][1],    -.0071603114, 1e-10, "gal_hvepv87", "pv[1][1] 4" ) ;  
  gal_vdv ( pv[1][2],     .0010143477, 1e-10, "gal_hvepv87", "pv[1][2] 4" ) ;  

/*  
 * 19/12/1499 12h TDB  
 */  

  gal_hvepv87 ( 2268920.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .0428334458, 1e-10, "gal_hvepv87", "pv[0][0] 5" ) ;  
  gal_vdv ( pv[0][1],    -.7259844930, 1e-10, "gal_hvepv87", "pv[0][1] 5" ) ;  
  gal_vdv ( pv[0][2],    -.0114025161, 1e-10, "gal_hvepv87", "pv[0][2] 5" ) ;  
  gal_vdv ( pv[1][0],     .0200506149, 1e-10, "gal_hvepv87", "pv[1][0] 5" ) ;  
  gal_vdv ( pv[1][1],     .0011129594, 1e-10, "gal_hvepv87", "pv[1][1] 5" ) ;  
  gal_vdv ( pv[1][2],    -.0011511546, 1e-10, "gal_hvepv87", "pv[1][2] 5" ) ;  

/*  
 * 19/12/1399 12h TDB  
 */  

  gal_hvepv87 ( 2232395.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .1935421816, 1e-10, "gal_hvepv87", "pv[0][0] 6" ) ;  
  gal_vdv ( pv[0][1],     .6940567996, 1e-10, "gal_hvepv87", "pv[0][1] 6" ) ;  
  gal_vdv ( pv[0][2],    -.0029302736, 1e-10, "gal_hvepv87", "pv[0][2] 6" ) ;  
  gal_vdv ( pv[1][0],    -.0195543579, 1e-10, "gal_hvepv87", "pv[1][0] 6" ) ;  
  gal_vdv ( pv[1][1],     .0053335070, 1e-10, "gal_hvepv87", "pv[1][1] 6" ) ;  
  gal_vdv ( pv[1][2],     .0012012993, 1e-10, "gal_hvepv87", "pv[1][2] 6" ) ;  

/*  
 * 19/12/1299 12h TDB  
 */  

  gal_hvepv87 ( 2195870.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.3830059585, 1e-10, "gal_hvepv87", "pv[0][0] 7" ) ;  
  gal_vdv ( pv[0][1],    -.6150875570, 1e-10, "gal_hvepv87", "pv[0][1] 7" ) ;  
  gal_vdv ( pv[0][2],     .0150920021, 1e-10, "gal_hvepv87", "pv[0][2] 7" ) ;  
  gal_vdv ( pv[1][0],     .0170236979, 1e-10, "gal_hvepv87", "pv[1][0] 7" ) ;  
  gal_vdv ( pv[1][1],    -.0107910180, 1e-10, "gal_hvepv87", "pv[1][1] 7" ) ;  
  gal_vdv ( pv[1][2],    -.0011177421, 1e-10, "gal_hvepv87", "pv[1][2] 7" ) ;  

/*  
 * 19/12/1199 12h TDB  
 */  

  gal_hvepv87 ( 2159345.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],     .5643550617, 1e-10, "gal_hvepv87", "pv[0][0] 8" ) ;  
  gal_vdv ( pv[0][1],     .4519394442, 1e-10, "gal_hvepv87", "pv[0][1] 8" ) ;  
  gal_vdv ( pv[0][2],    -.0277243709, 1e-10, "gal_hvepv87", "pv[0][2] 8" ) ;  
  gal_vdv ( pv[1][0],    -.0127110367, 1e-10, "gal_hvepv87", "pv[1][0] 8" ) ;  
  gal_vdv ( pv[1][1],     .0156983529, 1e-10, "gal_hvepv87", "pv[1][1] 8" ) ;  
  gal_vdv ( pv[1][2],     .0009205180, 1e-10, "gal_hvepv87", "pv[1][2] 8" ) ;  

/*  
 * 19/12/1099 12h TDB  
 */  

  gal_hvepv87 ( 2122820.0, 0.0, 0, pv ) ;  
  gal_vdv ( pv[0][0],    -.6660158465, 1e-10, "gal_hvepv87", "pv[0][0] 9" ) ;  
  gal_vdv ( pv[0][1],    -.2753592311, 1e-10, "gal_hvepv87", "pv[0][1] 9" ) ;  
  gal_vdv ( pv[0][2],     .0357874175, 1e-10, "gal_hvepv87", "pv[0][2] 9" ) ;  
  gal_vdv ( pv[1][0],     .0075852982, 1e-10, "gal_hvepv87", "pv[1][0] 9" ) ;  
  gal_vdv ( pv[1][1],    -.0187913517, 1e-10, "gal_hvepv87", "pv[1][1] 9" ) ;  
  gal_vdv ( pv[1][2],    -.0006523229, 1e-10, "gal_hvepv87", "pv[1][2] 9" ) ;  
 
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
 
}    
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
