/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ p l a n 9 4 _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_plan94 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_plan94  
 *     gal_viv  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 3 ( c version 2008 June 8 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_plan94.h"  
#include "gal_plan94_test.h"  
#include "gal_test.h"  
  
void  
gal_plan94_test  
 (  
 )  
{  
  
    int j ;  
  
    double pv[2][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    j = gal_plan94 ( 2400000.5, 1e6, 0, pv ) ;  
    gal_vdv ( pv[0][0], 0.0, 0.0, "gal_plan94", "pv[0][0] 0" ) ;  
    gal_vdv ( pv[0][1], 0.0, 0.0, "gal_plan94", "pv[0][1] 0" ) ;  
    gal_vdv ( pv[0][2], 0.0, 0.0, "gal_plan94", "pv[0][2] 0" ) ;  
    gal_vdv ( pv[1][0], 0.0, 0.0, "gal_plan94", "pv[1][0] 0" ) ;  
    gal_vdv ( pv[1][1], 0.0, 0.0, "gal_plan94", "pv[1][1] 0" ) ;  
    gal_vdv ( pv[1][2], 0.0, 0.0, "gal_plan94", "pv[1][2] 0" ) ;  
    gal_viv ( j, -1, "gal_plan94", "j 0" ) ;  
  
    j = gal_plan94 ( 2400000.5, 1e6, 10, pv ) ;  
    gal_viv ( j, -1, "gal_plan94", "j 1" ) ;  
  
    j = gal_plan94 ( 2400000.5, -320000.0, 3, pv ) ;  
    gal_vdv ( pv[0][0], 0.9308038666827242603, 1e-11,          "gal_plan94", "pv[0][0] 2" ) ;  
    gal_vdv ( pv[0][1], 0.3258319040252137618, 1e-11,          "gal_plan94", "pv[0][1] 2" ) ;  
    gal_vdv ( pv[0][2], 0.1422794544477122021, 1e-11,          "gal_plan94", "pv[0][2] 2" ) ;  
    gal_vdv ( pv[1][0], -6.429458958266193e-3, 1e-11,          "gal_plan94", "pv[1][0] 2" ) ;  
    gal_vdv ( pv[1][1], 0.1468570657703852e-1, 1e-14 /* 17 */ , "gal_plan94", "pv[1][1] 2" ) ;  
    gal_vdv ( pv[1][2],  6.406996426269297e-3, 1e-14 /* 17 */ , "gal_plan94", "pv[1][2] 2" ) ;  
    gal_viv ( j, 1, "gal_plan94", "j 2" ) ;  
  
    j = gal_plan94 ( 2400000.5, 43999.9, 1, pv ) ;  
    gal_vdv ( pv[0][0],    0.2945293959257422246, 1e-11,           "gal_plan94", "pv[0][0] 3" ) ;  
    gal_vdv ( pv[0][1],   -0.2452204176601052181, 1e-11,           "gal_plan94", "pv[0][1] 3" ) ;  
    gal_vdv ( pv[0][2],   -0.1615427700571978643, 1e-11,           "gal_plan94", "pv[0][2] 3" ) ;  
    gal_vdv ( pv[1][0], 0.1413867871404579125e-1, 1e-17, /* 18 */  "gal_plan94", "pv[1][0] 3" ) ;  
    gal_vdv ( pv[1][1],  1.946548301104736312e-2, 1e-17, /* 18 */  "gal_plan94", "pv[1][1] 3" ) ;  
    gal_vdv ( pv[1][2],     8.929809783899101e-3, 1e-17, /* 18 */  "gal_plan94", "pv[1][2] 3" ) ;  
    gal_viv ( j, 0, "gal_plan94", "j 3" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
