/*  
 *  - - - - - - - - - - - - - - - 
 *   g a l _ a c c p m _ t e s t  
 *  - - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_accpm routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_accpm  
 *     gal_vdv 
 *     gal_rkf
 *     gal_rkfs45
 *  
 *  This Revision:
 *  
 *     2008 May 25
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include <stdio.h>  
#include "gal_accpm_test.h"
#include "gal_accpm.h"
#include "gal_test.h"
#include "gal_rkf.h"
#include "gal_rkfs45.h"
#include "gal_const.h"


static void derivs
  (
    double x, 
    double y[6], 
    double dydx[6],
    int *derivsp
  ) 

{

/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
 
/*  
 * Finished.  
 */  
                                        
} 

void  
gal_accpm_test  
 (  
 ) 
 
{

  extern int gal_tfunc ;
  
  double a[3] ;
  double ppm[3] = { 139248761232.0, -46563030884.3, -20187544543.3 } ;
  double ps[3] = { 7170822.0, 0.0, 0.0 } ;
  double gm = 1.32712438e+20 ;
    
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
 
  gal_accpm ( ps, ppm, gm, a ) ;
  
  gal_vdv ( a[0],  4.81837805028e-07, 1e-17, "gal_accpm", "a[0]" ) ;
  gal_vdv ( a[1], -2.58881814059e-07, 1e-17, "gal_accpm", "a[1]" ) ;
  gal_vdv ( a[2], -1.12239002778e-07, 1e-17, "gal_accpm", "a[2]" ) ;
  					
/*  
  gal_rkf ( y, 6, 0.0, 70.0 * 60.0, 1e-1, 300.0, 1.0, derivs, gal_rkfs45, ( int * ) &params ) ;
  
  gal_vdv ( y[0], -4514392.77882, 1e+2, "gal_acch", "y[0]" ) ;
  gal_vdv ( y[1], -4925209.76760, 1e+1, "gal_acch", "y[1]" ) ;
  gal_vdv ( y[2],  6975841.71403, 1e+2, "gal_acch", "y[2]" ) ;
  gal_vdv ( y[3],     7096.10407, 1e-1, "gal_acch", "y[3]" ) ;
  gal_vdv ( y[4],    -2138.35063, 1e-1, "gal_acch", "y[4]" ) ;
  gal_vdv ( y[5],    -2088.23436, 1e-1, "gal_acch", "y[5]" ) ;
*/
  
  gal_tfunc++ ; 
  
/*  
 * Finished.  
 */  

}

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

