/*  
 *  - - - - - - - - - - - - - - - - - 
 *   g a l _ g m w g s 6 6 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_gmwgs66 gravity model definition.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_stget  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 March 29 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_gmwgs66_test.h"
#include "gal_test.h"
#include "gal_stget.h"
#include "gal_gm.h"
  
void  
gal_gmwgs66_test  
 (  
 )  
 
{

  extern int gal_tfunc ;  
  
  double c, s ;
  
  extern gal_gm_t gal_gmwgs66 ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */    

  gal_stget ( 2, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -4.84205e-04, 0.0, "gal_gmwgs66", "c 2 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 2 0" ) ;  
  gal_stget ( 2, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -7.13800e-08, 0.0, "gal_gmwgs66", "c 2 1" ) ;  
  gal_vdv ( s, 1.66300e-08, 0.0, "gal_gmwgs66", "s 2 1" ) ;  
  gal_stget ( 2, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.50600e-06, 0.0, "gal_gmwgs66", "c 2 2" ) ;  
  gal_vdv ( s, -1.46700e-06, 0.0, "gal_gmwgs66", "s 2 2" ) ;  
  gal_stget ( 3, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 9.94100e-07, 0.0, "gal_gmwgs66", "c 3 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 3 0" ) ;  
  gal_stget ( 3, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.85400e-06, 0.0, "gal_gmwgs66", "c 3 1" ) ;  
  gal_vdv ( s, 2.57100e-07, 0.0, "gal_gmwgs66", "s 3 1" ) ;  
  gal_stget ( 3, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 8.57500e-07, 0.0, "gal_gmwgs66", "c 3 2" ) ;  
  gal_vdv ( s, -5.76000e-07, 0.0, "gal_gmwgs66", "s 3 2" ) ;  
  gal_stget ( 3, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 6.14300e-07, 0.0, "gal_gmwgs66", "c 3 3" ) ;  
  gal_vdv ( s, 1.48700e-06, 0.0, "gal_gmwgs66", "s 3 3" ) ;  
  gal_stget ( 4, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.83200e-07, 0.0, "gal_gmwgs66", "c 4 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 4 0" ) ;  
  gal_stget ( 4, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -6.17300e-07, 0.0, "gal_gmwgs66", "c 4 1" ) ;  
  gal_vdv ( s, -4.54100e-07, 0.0, "gal_gmwgs66", "s 4 1" ) ;  
  gal_stget ( 4, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.00800e-07, 0.0, "gal_gmwgs66", "c 4 2" ) ;  
  gal_vdv ( s, 6.34500e-07, 0.0, "gal_gmwgs66", "s 4 2" ) ;  
  gal_stget ( 4, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 9.00900e-07, 0.0, "gal_gmwgs66", "c 4 3" ) ;  
  gal_vdv ( s, -2.34700e-07, 0.0, "gal_gmwgs66", "s 4 3" ) ;  
  gal_stget ( 4, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -3.42600e-08, 0.0, "gal_gmwgs66", "c 4 4" ) ;  
  gal_vdv ( s, 2.17200e-07, 0.0, "gal_gmwgs66", "s 4 4" ) ;  
  gal_stget ( 5, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.99200e-08, 0.0, "gal_gmwgs66", "c 5 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 5 0" ) ;  
  gal_stget ( 5, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -8.28900e-08, 0.0, "gal_gmwgs66", "c 5 1" ) ;  
  gal_vdv ( s, -4.01900e-08, 0.0, "gal_gmwgs66", "s 5 1" ) ;  
  gal_stget ( 5, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 6.73700e-07, 0.0, "gal_gmwgs66", "c 5 2" ) ;  
  gal_vdv ( s, -2.13700e-07, 0.0, "gal_gmwgs66", "s 5 2" ) ;  
  gal_stget ( 5, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -3.64600e-07, 0.0, "gal_gmwgs66", "c 5 3" ) ;  
  gal_vdv ( s, -1.40300e-07, 0.0, "gal_gmwgs66", "s 5 3" ) ;  
  gal_stget ( 5, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.09800e-08, 0.0, "gal_gmwgs66", "c 5 4" ) ;  
  gal_vdv ( s, 7.22600e-09, 0.0, "gal_gmwgs66", "s 5 4" ) ;  
  gal_stget ( 5, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.45600e-07, 0.0, "gal_gmwgs66", "c 5 5" ) ;  
  gal_vdv ( s, -4.75400e-07, 0.0, "gal_gmwgs66", "s 5 5" ) ;  
  gal_stget ( 6, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.83100e-07, 0.0, "gal_gmwgs66", "c 6 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 6 0" ) ;  
  gal_stget ( 6, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.23000e-07, 0.0, "gal_gmwgs66", "c 6 1" ) ;  
  gal_vdv ( s, 3.35300e-09, 0.0, "gal_gmwgs66", "s 6 1" ) ;  
  gal_stget ( 6, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 4.79600e-08, 0.0, "gal_gmwgs66", "c 6 2" ) ;  
  gal_vdv ( s, -3.95100e-07, 0.0, "gal_gmwgs66", "s 6 2" ) ;  
  gal_stget ( 6, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 9.32400e-08, 0.0, "gal_gmwgs66", "c 6 3" ) ;  
  gal_vdv ( s, 1.66600e-07, 0.0, "gal_gmwgs66", "s 6 3" ) ;  
  gal_stget ( 6, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -4.81500e-08, 0.0, "gal_gmwgs66", "c 6 4" ) ;  
  gal_vdv ( s, -4.81600e-07, 0.0, "gal_gmwgs66", "s 6 4" ) ;  
  gal_stget ( 6, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.60900e-07, 0.0, "gal_gmwgs66", "c 6 5" ) ;  
  gal_vdv ( s, -5.15500e-07, 0.0, "gal_gmwgs66", "s 6 5" ) ;  
  gal_stget ( 6, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.90900e-08, 0.0, "gal_gmwgs66", "c 6 6" ) ;  
  gal_vdv ( s, -1.95500e-07, 0.0, "gal_gmwgs66", "s 6 6" ) ;  
  gal_stget ( 7, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.19100e-07, 0.0, "gal_gmwgs66", "c 7 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 7 0" ) ;  
  gal_stget ( 7, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.69600e-08, 0.0, "gal_gmwgs66", "c 7 1" ) ;  
  gal_vdv ( s, 3.06100e-08, 0.0, "gal_gmwgs66", "s 7 1" ) ;  
  gal_stget ( 7, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.91200e-07, 0.0, "gal_gmwgs66", "c 7 2" ) ;  
  gal_vdv ( s, 4.89200e-08, 0.0, "gal_gmwgs66", "s 7 2" ) ;  
  gal_stget ( 7, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 5.54500e-08, 0.0, "gal_gmwgs66", "c 7 3" ) ;  
  gal_vdv ( s, 1.99500e-08, 0.0, "gal_gmwgs66", "s 7 3" ) ;  
  gal_stget ( 7, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.37700e-07, 0.0, "gal_gmwgs66", "c 7 4" ) ;  
  gal_vdv ( s, 1.28900e-07, 0.0, "gal_gmwgs66", "s 7 4" ) ;  
  gal_stget ( 7, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -5.31300e-08, 0.0, "gal_gmwgs66", "c 7 5" ) ;  
  gal_vdv ( s, -9.75900e-08, 0.0, "gal_gmwgs66", "s 7 5" ) ;  
  gal_stget ( 7, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.72300e-07, 0.0, "gal_gmwgs66", "c 7 6" ) ;  
  gal_vdv ( s, 1.57900e-07, 0.0, "gal_gmwgs66", "s 7 6" ) ;  
  gal_stget ( 7, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.60700e-08, 0.0, "gal_gmwgs66", "c 7 7" ) ;  
  gal_vdv ( s, 4.03100e-08, 0.0, "gal_gmwgs66", "s 7 7" ) ;  
  gal_stget ( 8, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.29200e-07, 0.0, "gal_gmwgs66", "c 8 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 8 0" ) ;  
  gal_stget ( 8, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 5.26400e-08, 0.0, "gal_gmwgs66", "c 8 1" ) ;  
  gal_vdv ( s, -6.36000e-08, 0.0, "gal_gmwgs66", "s 8 1" ) ;  
  gal_stget ( 8, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.88600e-07, 0.0, "gal_gmwgs66", "c 8 2" ) ;  
  gal_vdv ( s, -3.76400e-09, 0.0, "gal_gmwgs66", "s 8 2" ) ;  
  gal_stget ( 8, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 4.75500e-08, 0.0, "gal_gmwgs66", "c 8 3" ) ;  
  gal_vdv ( s, 3.37100e-08, 0.0, "gal_gmwgs66", "s 8 3" ) ;  
  gal_stget ( 8, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.94500e-09, 0.0, "gal_gmwgs66", "c 8 4" ) ;  
  gal_vdv ( s, -9.93200e-08, 0.0, "gal_gmwgs66", "s 8 4" ) ;  
  gal_stget ( 8, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.12900e-07, 0.0, "gal_gmwgs66", "c 8 5" ) ;  
  gal_vdv ( s, 4.69000e-08, 0.0, "gal_gmwgs66", "s 8 5" ) ;  
  gal_stget ( 8, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 5.89700e-09, 0.0, "gal_gmwgs66", "c 8 6" ) ;  
  gal_vdv ( s, 1.77000e-07, 0.0, "gal_gmwgs66", "s 8 6" ) ;  
  gal_stget ( 8, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.32400e-08, 0.0, "gal_gmwgs66", "c 8 7" ) ;  
  gal_vdv ( s, 1.79900e-08, 0.0, "gal_gmwgs66", "s 8 7" ) ;  
  gal_stget ( 8, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.21200e-07, 0.0, "gal_gmwgs66", "c 8 8" ) ;  
  gal_vdv ( s, -3.40200e-08, 0.0, "gal_gmwgs66", "s 8 8" ) ;  
  gal_stget ( 9, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 5.59000e-08, 0.0, "gal_gmwgs66", "c 9 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 9 0" ) ;  
  gal_stget ( 9, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 6.93900e-08, 0.0, "gal_gmwgs66", "c 9 1" ) ;  
  gal_vdv ( s, -5.12200e-08, 0.0, "gal_gmwgs66", "s 9 1" ) ;  
  gal_stget ( 9, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -7.85000e-10, 0.0, "gal_gmwgs66", "c 9 2" ) ;  
  gal_vdv ( s, 2.88300e-09, 0.0, "gal_gmwgs66", "s 9 2" ) ;  
  gal_stget ( 9, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -6.07000e-08, 0.0, "gal_gmwgs66", "c 9 3" ) ;  
  gal_vdv ( s, 2.16700e-08, 0.0, "gal_gmwgs66", "s 9 3" ) ;  
  gal_stget ( 9, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -9.03800e-09, 0.0, "gal_gmwgs66", "c 9 4" ) ;  
  gal_vdv ( s, -2.18400e-08, 0.0, "gal_gmwgs66", "s 9 4" ) ;  
  gal_stget ( 9, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.16800e-07, 0.0, "gal_gmwgs66", "c 9 5" ) ;  
  gal_vdv ( s, 1.05800e-07, 0.0, "gal_gmwgs66", "s 9 5" ) ;  
  gal_stget ( 9, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 8.71500e-09, 0.0, "gal_gmwgs66", "c 9 6" ) ;  
  gal_vdv ( s, 7.46500e-08, 0.0, "gal_gmwgs66", "s 9 6" ) ;  
  gal_stget ( 9, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.34900e-08, 0.0, "gal_gmwgs66", "c 9 7" ) ;  
  gal_vdv ( s, 1.32600e-08, 0.0, "gal_gmwgs66", "s 9 7" ) ;  
  gal_stget ( 9, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.67300e-07, 0.0, "gal_gmwgs66", "c 9 8" ) ;  
  gal_vdv ( s, 4.98400e-08, 0.0, "gal_gmwgs66", "s 9 8" ) ;  
  gal_stget ( 9, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.00000e-08, 0.0, "gal_gmwgs66", "c 9 9" ) ;  
  gal_vdv ( s, 8.76500e-09, 0.0, "gal_gmwgs66", "s 9 9" ) ;  
  gal_stget ( 10, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -7.09100e-08, 0.0, "gal_gmwgs66", "c 10 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 10 0" ) ;  
  gal_stget ( 10, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.24200e-07, 0.0, "gal_gmwgs66", "c 10 1" ) ;  
  gal_vdv ( s, -1.13500e-08, 0.0, "gal_gmwgs66", "s 10 1" ) ;  
  gal_stget ( 10, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -4.10600e-08, 0.0, "gal_gmwgs66", "c 10 2" ) ;  
  gal_vdv ( s, -1.36000e-07, 0.0, "gal_gmwgs66", "s 10 2" ) ;  
  gal_stget ( 10, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.05700e-07, 0.0, "gal_gmwgs66", "c 10 3" ) ;  
  gal_vdv ( s, -1.35100e-07, 0.0, "gal_gmwgs66", "s 10 3" ) ;  
  gal_stget ( 10, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.71200e-08, 0.0, "gal_gmwgs66", "c 10 4" ) ;  
  gal_vdv ( s, -1.16300e-08, 0.0, "gal_gmwgs66", "s 10 4" ) ;  
  gal_stget ( 10, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 8.44400e-09, 0.0, "gal_gmwgs66", "c 10 5" ) ;  
  gal_vdv ( s, 5.31600e-09, 0.0, "gal_gmwgs66", "s 10 5" ) ;  
  gal_stget ( 10, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -5.96100e-08, 0.0, "gal_gmwgs66", "c 10 6" ) ;  
  gal_vdv ( s, -2.71500e-08, 0.0, "gal_gmwgs66", "s 10 6" ) ;  
  gal_stget ( 10, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.55000e-08, 0.0, "gal_gmwgs66", "c 10 7" ) ;  
  gal_vdv ( s, -8.29400e-11, 0.0, "gal_gmwgs66", "s 10 7" ) ;  
  gal_stget ( 10, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 8.97700e-08, 0.0, "gal_gmwgs66", "c 10 8" ) ;  
  gal_vdv ( s, -5.22800e-08, 0.0, "gal_gmwgs66", "s 10 8" ) ;  
  gal_stget ( 10, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.03400e-07, 0.0, "gal_gmwgs66", "c 10 9" ) ;  
  gal_vdv ( s, -1.78900e-08, 0.0, "gal_gmwgs66", "s 10 9" ) ;  
  gal_stget ( 10, 10, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 6.71900e-08, 0.0, "gal_gmwgs66", "c 10 10" ) ;  
  gal_vdv ( s, 9.46100e-09, 0.0, "gal_gmwgs66", "s 10 10" ) ;  
  gal_stget ( 11, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -6.67500e-08, 0.0, "gal_gmwgs66", "c 11 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 11 0" ) ;  
  gal_stget ( 11, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.01600e-08, 0.0, "gal_gmwgs66", "c 11 1" ) ;  
  gal_vdv ( s, -1.03800e-07, 0.0, "gal_gmwgs66", "s 11 1" ) ;  
  gal_stget ( 11, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 5.46500e-08, 0.0, "gal_gmwgs66", "c 11 2" ) ;  
  gal_vdv ( s, -2.01600e-08, 0.0, "gal_gmwgs66", "s 11 2" ) ;  
  gal_stget ( 11, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.51300e-08, 0.0, "gal_gmwgs66", "c 11 3" ) ;  
  gal_vdv ( s, -3.57100e-08, 0.0, "gal_gmwgs66", "s 11 3" ) ;  
  gal_stget ( 11, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -4.13500e-09, 0.0, "gal_gmwgs66", "c 11 4" ) ;  
  gal_vdv ( s, -1.36600e-09, 0.0, "gal_gmwgs66", "s 11 4" ) ;  
  gal_stget ( 11, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.26000e-08, 0.0, "gal_gmwgs66", "c 11 5" ) ;  
  gal_vdv ( s, -2.66400e-08, 0.0, "gal_gmwgs66", "s 11 5" ) ;  
  gal_stget ( 11, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 6.16600e-08, 0.0, "gal_gmwgs66", "c 11 6" ) ;  
  gal_vdv ( s, 1.59700e-08, 0.0, "gal_gmwgs66", "s 11 6" ) ;  
  gal_stget ( 11, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -5.77200e-08, 0.0, "gal_gmwgs66", "c 11 7" ) ;  
  gal_vdv ( s, -4.92000e-08, 0.0, "gal_gmwgs66", "s 11 7" ) ;  
  gal_stget ( 11, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 6.68400e-08, 0.0, "gal_gmwgs66", "c 11 8" ) ;  
  gal_vdv ( s, -2.86700e-08, 0.0, "gal_gmwgs66", "s 11 8" ) ;  
  gal_stget ( 11, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.14800e-09, 0.0, "gal_gmwgs66", "c 11 9" ) ;  
  gal_vdv ( s, 6.86300e-08, 0.0, "gal_gmwgs66", "s 11 9" ) ;  
  gal_stget ( 11, 10, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.28800e-08, 0.0, "gal_gmwgs66", "c 11 10" ) ;  
  gal_vdv ( s, -5.95200e-08, 0.0, "gal_gmwgs66", "s 11 10" ) ;  
  gal_stget ( 11, 11, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.15100e-07, 0.0, "gal_gmwgs66", "c 11 11" ) ;  
  gal_vdv ( s, 9.30600e-08, 0.0, "gal_gmwgs66", "s 11 11" ) ;  
  gal_stget ( 12, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -5.76200e-08, 0.0, "gal_gmwgs66", "c 12 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 12 0" ) ;  
  gal_stget ( 12, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.55700e-09, 0.0, "gal_gmwgs66", "c 12 1" ) ;  
  gal_vdv ( s, -7.09300e-08, 0.0, "gal_gmwgs66", "s 12 1" ) ;  
  gal_stget ( 12, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 8.61900e-08, 0.0, "gal_gmwgs66", "c 12 2" ) ;  
  gal_vdv ( s, 8.86000e-08, 0.0, "gal_gmwgs66", "s 12 2" ) ;  
  gal_stget ( 12, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.12800e-08, 0.0, "gal_gmwgs66", "c 12 3" ) ;  
  gal_vdv ( s, 1.13000e-07, 0.0, "gal_gmwgs66", "s 12 3" ) ;  
  gal_stget ( 12, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.85100e-09, 0.0, "gal_gmwgs66", "c 12 4" ) ;  
  gal_vdv ( s, -2.89600e-09, 0.0, "gal_gmwgs66", "s 12 4" ) ;  
  gal_stget ( 12, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 5.67900e-08, 0.0, "gal_gmwgs66", "c 12 5" ) ;  
  gal_vdv ( s, -2.98000e-09, 0.0, "gal_gmwgs66", "s 12 5" ) ;  
  gal_stget ( 12, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.29100e-08, 0.0, "gal_gmwgs66", "c 12 6" ) ;  
  gal_vdv ( s, -9.82300e-09, 0.0, "gal_gmwgs66", "s 12 6" ) ;  
  gal_stget ( 12, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -6.33900e-08, 0.0, "gal_gmwgs66", "c 12 7" ) ;  
  gal_vdv ( s, 1.56400e-08, 0.0, "gal_gmwgs66", "s 12 7" ) ;  
  gal_stget ( 12, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.66200e-10, 0.0, "gal_gmwgs66", "c 12 8" ) ;  
  gal_vdv ( s, -2.11500e-08, 0.0, "gal_gmwgs66", "s 12 8" ) ;  
  gal_stget ( 12, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.17500e-08, 0.0, "gal_gmwgs66", "c 12 9" ) ;  
  gal_vdv ( s, 5.71800e-08, 0.0, "gal_gmwgs66", "s 12 9" ) ;  
  gal_stget ( 12, 10, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.96900e-08, 0.0, "gal_gmwgs66", "c 12 10" ) ;  
  gal_vdv ( s, 7.01000e-09, 0.0, "gal_gmwgs66", "s 12 10" ) ;  
  gal_stget ( 12, 11, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.61900e-08, 0.0, "gal_gmwgs66", "c 12 11" ) ;  
  gal_vdv ( s, 2.53500e-08, 0.0, "gal_gmwgs66", "s 12 11" ) ;  
  gal_stget ( 12, 12, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -6.47900e-08, 0.0, "gal_gmwgs66", "c 12 12" ) ;  
  gal_vdv ( s, 4.81200e-08, 0.0, "gal_gmwgs66", "s 12 12" ) ;  
  gal_stget ( 13, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 4.11900e-08, 0.0, "gal_gmwgs66", "c 13 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 13 0" ) ;  
  gal_stget ( 13, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -5.43900e-08, 0.0, "gal_gmwgs66", "c 13 1" ) ;  
  gal_vdv ( s, 1.97700e-08, 0.0, "gal_gmwgs66", "s 13 1" ) ;  
  gal_stget ( 13, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.31400e-08, 0.0, "gal_gmwgs66", "c 13 2" ) ;  
  gal_vdv ( s, 1.84500e-08, 0.0, "gal_gmwgs66", "s 13 2" ) ;  
  gal_stget ( 13, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.32600e-09, 0.0, "gal_gmwgs66", "c 13 3" ) ;  
  gal_vdv ( s, 6.34900e-08, 0.0, "gal_gmwgs66", "s 13 3" ) ;  
  gal_stget ( 13, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -8.09600e-09, 0.0, "gal_gmwgs66", "c 13 4" ) ;  
  gal_vdv ( s, -4.16800e-08, 0.0, "gal_gmwgs66", "s 13 4" ) ;  
  gal_stget ( 13, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.14100e-08, 0.0, "gal_gmwgs66", "c 13 5" ) ;  
  gal_vdv ( s, 4.26400e-08, 0.0, "gal_gmwgs66", "s 13 5" ) ;  
  gal_stget ( 13, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -5.16000e-08, 0.0, "gal_gmwgs66", "c 13 6" ) ;  
  gal_vdv ( s, 8.26500e-09, 0.0, "gal_gmwgs66", "s 13 6" ) ;  
  gal_stget ( 13, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.06200e-08, 0.0, "gal_gmwgs66", "c 13 7" ) ;  
  gal_vdv ( s, 2.16500e-08, 0.0, "gal_gmwgs66", "s 13 7" ) ;  
  gal_stget ( 13, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -6.27300e-08, 0.0, "gal_gmwgs66", "c 13 8" ) ;  
  gal_vdv ( s, -1.85700e-09, 0.0, "gal_gmwgs66", "s 13 8" ) ;  
  gal_stget ( 13, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.32500e-08, 0.0, "gal_gmwgs66", "c 13 9" ) ;  
  gal_vdv ( s, 5.15800e-08, 0.0, "gal_gmwgs66", "s 13 9" ) ;  
  gal_stget ( 13, 10, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 4.25400e-08, 0.0, "gal_gmwgs66", "c 13 10" ) ;  
  gal_vdv ( s, -3.14700e-08, 0.0, "gal_gmwgs66", "s 13 10" ) ;  
  gal_stget ( 13, 11, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -8.56500e-09, 0.0, "gal_gmwgs66", "c 13 11" ) ;  
  gal_vdv ( s, 9.80700e-09, 0.0, "gal_gmwgs66", "s 13 11" ) ;  
  gal_stget ( 13, 12, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.18300e-08, 0.0, "gal_gmwgs66", "c 13 12" ) ;  
  gal_vdv ( s, 6.57800e-08, 0.0, "gal_gmwgs66", "s 13 12" ) ;  
  gal_stget ( 13, 13, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -5.18100e-08, 0.0, "gal_gmwgs66", "c 13 13" ) ;  
  gal_vdv ( s, 2.08500e-09, 0.0, "gal_gmwgs66", "s 13 13" ) ;  
  gal_stget ( 14, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.23300e-09, 0.0, "gal_gmwgs66", "c 14 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 14 0" ) ;  
  gal_stget ( 14, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.26400e-09, 0.0, "gal_gmwgs66", "c 14 1" ) ;  
  gal_vdv ( s, 2.39100e-08, 0.0, "gal_gmwgs66", "s 14 1" ) ;  
  gal_stget ( 14, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 8.45100e-09, 0.0, "gal_gmwgs66", "c 14 2" ) ;  
  gal_vdv ( s, -2.03700e-08, 0.0, "gal_gmwgs66", "s 14 2" ) ;  
  gal_stget ( 14, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 5.08200e-08, 0.0, "gal_gmwgs66", "c 14 3" ) ;  
  gal_vdv ( s, -2.83500e-08, 0.0, "gal_gmwgs66", "s 14 3" ) ;  
  gal_stget ( 14, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.51300e-08, 0.0, "gal_gmwgs66", "c 14 4" ) ;  
  gal_vdv ( s, -3.61200e-08, 0.0, "gal_gmwgs66", "s 14 4" ) ;  
  gal_stget ( 14, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.81500e-08, 0.0, "gal_gmwgs66", "c 14 5" ) ;  
  gal_vdv ( s, -1.11600e-08, 0.0, "gal_gmwgs66", "s 14 5" ) ;  
  gal_stget ( 14, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.07500e-08, 0.0, "gal_gmwgs66", "c 14 6" ) ;  
  gal_vdv ( s, -9.02300e-09, 0.0, "gal_gmwgs66", "s 14 6" ) ;  
  gal_stget ( 14, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.92300e-08, 0.0, "gal_gmwgs66", "c 14 7" ) ;  
  gal_vdv ( s, 3.22400e-09, 0.0, "gal_gmwgs66", "s 14 7" ) ;  
  gal_stget ( 14, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.79700e-08, 0.0, "gal_gmwgs66", "c 14 8" ) ;  
  gal_vdv ( s, -2.55300e-08, 0.0, "gal_gmwgs66", "s 14 8" ) ;  
  gal_stget ( 14, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.00000e-08, 0.0, "gal_gmwgs66", "c 14 9" ) ;  
  gal_vdv ( s, 7.21200e-08, 0.0, "gal_gmwgs66", "s 14 9" ) ;  
  gal_stget ( 14, 10, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.77800e-08, 0.0, "gal_gmwgs66", "c 14 10" ) ;  
  gal_vdv ( s, 2.45200e-08, 0.0, "gal_gmwgs66", "s 14 10" ) ;  
  gal_stget ( 14, 11, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.31900e-08, 0.0, "gal_gmwgs66", "c 14 11" ) ;  
  gal_vdv ( s, 3.40400e-09, 0.0, "gal_gmwgs66", "s 14 11" ) ;  
  gal_stget ( 14, 12, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.49600e-08, 0.0, "gal_gmwgs66", "c 14 12" ) ;  
  gal_vdv ( s, -1.85900e-08, 0.0, "gal_gmwgs66", "s 14 12" ) ;  
  gal_stget ( 14, 13, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -9.95600e-09, 0.0, "gal_gmwgs66", "c 14 13" ) ;  
  gal_vdv ( s, 3.51700e-08, 0.0, "gal_gmwgs66", "s 14 13" ) ;  
  gal_stget ( 14, 14, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -5.08700e-08, 0.0, "gal_gmwgs66", "c 14 14" ) ;  
  gal_vdv ( s, 1.99200e-09, 0.0, "gal_gmwgs66", "s 14 14" ) ;  
  gal_stget ( 15, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.82900e-08, 0.0, "gal_gmwgs66", "c 15 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 15 0" ) ;  
  gal_stget ( 15, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 4.29800e-08, 0.0, "gal_gmwgs66", "c 15 1" ) ;  
  gal_vdv ( s, 3.51000e-09, 0.0, "gal_gmwgs66", "s 15 1" ) ;  
  gal_stget ( 15, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.75600e-08, 0.0, "gal_gmwgs66", "c 15 2" ) ;  
  gal_vdv ( s, -2.72100e-08, 0.0, "gal_gmwgs66", "s 15 2" ) ;  
  gal_stget ( 15, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 8.29400e-09, 0.0, "gal_gmwgs66", "c 15 3" ) ;  
  gal_vdv ( s, 2.40200e-08, 0.0, "gal_gmwgs66", "s 15 3" ) ;  
  gal_stget ( 15, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.87800e-08, 0.0, "gal_gmwgs66", "c 15 4" ) ;  
  gal_vdv ( s, 3.95300e-08, 0.0, "gal_gmwgs66", "s 15 4" ) ;  
  gal_stget ( 15, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 4.13000e-08, 0.0, "gal_gmwgs66", "c 15 5" ) ;  
  gal_vdv ( s, -3.90100e-08, 0.0, "gal_gmwgs66", "s 15 5" ) ;  
  gal_stget ( 15, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 4.90300e-08, 0.0, "gal_gmwgs66", "c 15 6" ) ;  
  gal_vdv ( s, -5.17800e-08, 0.0, "gal_gmwgs66", "s 15 6" ) ;  
  gal_stget ( 15, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.96700e-08, 0.0, "gal_gmwgs66", "c 15 7" ) ;  
  gal_vdv ( s, 4.91900e-08, 0.0, "gal_gmwgs66", "s 15 7" ) ;  
  gal_stget ( 15, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -5.41600e-08, 0.0, "gal_gmwgs66", "c 15 8" ) ;  
  gal_vdv ( s, -3.01200e-08, 0.0, "gal_gmwgs66", "s 15 8" ) ;  
  gal_stget ( 15, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -6.47700e-09, 0.0, "gal_gmwgs66", "c 15 9" ) ;  
  gal_vdv ( s, 5.41800e-08, 0.0, "gal_gmwgs66", "s 15 9" ) ;  
  gal_stget ( 15, 10, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.79300e-08, 0.0, "gal_gmwgs66", "c 15 10" ) ;  
  gal_vdv ( s, 2.21600e-08, 0.0, "gal_gmwgs66", "s 15 10" ) ;  
  gal_stget ( 15, 11, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.63600e-08, 0.0, "gal_gmwgs66", "c 15 11" ) ;  
  gal_vdv ( s, 4.64000e-10, 0.0, "gal_gmwgs66", "s 15 11" ) ;  
  gal_stget ( 15, 12, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -5.23000e-08, 0.0, "gal_gmwgs66", "c 15 12" ) ;  
  gal_vdv ( s, 3.40400e-08, 0.0, "gal_gmwgs66", "s 15 12" ) ;  
  gal_stget ( 15, 13, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.38300e-09, 0.0, "gal_gmwgs66", "c 15 13" ) ;  
  gal_vdv ( s, 5.11100e-08, 0.0, "gal_gmwgs66", "s 15 13" ) ;  
  gal_stget ( 15, 14, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.27600e-08, 0.0, "gal_gmwgs66", "c 15 14" ) ;  
  gal_vdv ( s, -1.96000e-08, 0.0, "gal_gmwgs66", "s 15 14" ) ;  
  gal_stget ( 15, 15, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.27800e-09, 0.0, "gal_gmwgs66", "c 15 15" ) ;  
  gal_vdv ( s, -1.58200e-09, 0.0, "gal_gmwgs66", "s 15 15" ) ;  
  gal_stget ( 16, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.89800e-08, 0.0, "gal_gmwgs66", "c 16 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 16 0" ) ;  
  gal_stget ( 16, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.17300e-09, 0.0, "gal_gmwgs66", "c 16 1" ) ;  
  gal_vdv ( s, -1.09700e-08, 0.0, "gal_gmwgs66", "s 16 1" ) ;  
  gal_stget ( 16, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.13100e-08, 0.0, "gal_gmwgs66", "c 16 2" ) ;  
  gal_vdv ( s, 4.74300e-08, 0.0, "gal_gmwgs66", "s 16 2" ) ;  
  gal_stget ( 16, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -6.34200e-09, 0.0, "gal_gmwgs66", "c 16 3" ) ;  
  gal_vdv ( s, 2.27000e-08, 0.0, "gal_gmwgs66", "s 16 3" ) ;  
  gal_stget ( 16, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 4.84700e-08, 0.0, "gal_gmwgs66", "c 16 4" ) ;  
  gal_vdv ( s, 3.84400e-08, 0.0, "gal_gmwgs66", "s 16 4" ) ;  
  gal_stget ( 16, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -3.04600e-08, 0.0, "gal_gmwgs66", "c 16 5" ) ;  
  gal_vdv ( s, -1.78300e-08, 0.0, "gal_gmwgs66", "s 16 5" ) ;  
  gal_stget ( 16, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.19300e-08, 0.0, "gal_gmwgs66", "c 16 6" ) ;  
  gal_vdv ( s, -2.81400e-08, 0.0, "gal_gmwgs66", "s 16 6" ) ;  
  gal_stget ( 16, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 4.66000e-08, 0.0, "gal_gmwgs66", "c 16 7" ) ;  
  gal_vdv ( s, -5.27100e-09, 0.0, "gal_gmwgs66", "s 16 7" ) ;  
  gal_stget ( 16, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.62600e-08, 0.0, "gal_gmwgs66", "c 16 8" ) ;  
  gal_vdv ( s, -2.35300e-08, 0.0, "gal_gmwgs66", "s 16 8" ) ;  
  gal_stget ( 16, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.61100e-08, 0.0, "gal_gmwgs66", "c 16 9" ) ;  
  gal_vdv ( s, -4.50000e-08, 0.0, "gal_gmwgs66", "s 16 9" ) ;  
  gal_stget ( 16, 10, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.97700e-08, 0.0, "gal_gmwgs66", "c 16 10" ) ;  
  gal_vdv ( s, -1.59900e-08, 0.0, "gal_gmwgs66", "s 16 10" ) ;  
  gal_stget ( 16, 11, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.58300e-09, 0.0, "gal_gmwgs66", "c 16 11" ) ;  
  gal_vdv ( s, -2.14900e-08, 0.0, "gal_gmwgs66", "s 16 11" ) ;  
  gal_stget ( 16, 12, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -7.70900e-09, 0.0, "gal_gmwgs66", "c 16 12" ) ;  
  gal_vdv ( s, -1.49300e-08, 0.0, "gal_gmwgs66", "s 16 12" ) ;  
  gal_stget ( 16, 13, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.03200e-08, 0.0, "gal_gmwgs66", "c 16 13" ) ;  
  gal_vdv ( s, -1.90900e-08, 0.0, "gal_gmwgs66", "s 16 13" ) ;  
  gal_stget ( 16, 14, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -3.05200e-08, 0.0, "gal_gmwgs66", "c 16 14" ) ;  
  gal_vdv ( s, -1.45700e-08, 0.0, "gal_gmwgs66", "s 16 14" ) ;  
  gal_stget ( 16, 15, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -3.12500e-08, 0.0, "gal_gmwgs66", "c 16 15" ) ;  
  gal_vdv ( s, 7.08400e-09, 0.0, "gal_gmwgs66", "s 16 15" ) ;  
  gal_stget ( 16, 16, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.03400e-08, 0.0, "gal_gmwgs66", "c 16 16" ) ;  
  gal_vdv ( s, 2.44000e-08, 0.0, "gal_gmwgs66", "s 16 16" ) ;  
  gal_stget ( 17, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.82200e-08, 0.0, "gal_gmwgs66", "c 17 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 17 0" ) ;  
  gal_stget ( 17, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -3.02700e-08, 0.0, "gal_gmwgs66", "c 17 1" ) ;  
  gal_vdv ( s, -2.14500e-08, 0.0, "gal_gmwgs66", "s 17 1" ) ;  
  gal_stget ( 17, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 8.01500e-09, 0.0, "gal_gmwgs66", "c 17 2" ) ;  
  gal_vdv ( s, 4.37300e-08, 0.0, "gal_gmwgs66", "s 17 2" ) ;  
  gal_stget ( 17, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.70300e-09, 0.0, "gal_gmwgs66", "c 17 3" ) ;  
  gal_vdv ( s, -2.14400e-08, 0.0, "gal_gmwgs66", "s 17 3" ) ;  
  gal_stget ( 17, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.70600e-08, 0.0, "gal_gmwgs66", "c 17 4" ) ;  
  gal_vdv ( s, 3.39400e-09, 0.0, "gal_gmwgs66", "s 17 4" ) ;  
  gal_stget ( 17, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -3.75900e-09, 0.0, "gal_gmwgs66", "c 17 5" ) ;  
  gal_vdv ( s, 3.19600e-10, 0.0, "gal_gmwgs66", "s 17 5" ) ;  
  gal_stget ( 17, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -3.41000e-08, 0.0, "gal_gmwgs66", "c 17 6" ) ;  
  gal_vdv ( s, -1.25600e-08, 0.0, "gal_gmwgs66", "s 17 6" ) ;  
  gal_stget ( 17, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.71600e-08, 0.0, "gal_gmwgs66", "c 17 7" ) ;  
  gal_vdv ( s, -9.17500e-09, 0.0, "gal_gmwgs66", "s 17 7" ) ;  
  gal_stget ( 17, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.90700e-08, 0.0, "gal_gmwgs66", "c 17 8" ) ;  
  gal_vdv ( s, 1.67200e-08, 0.0, "gal_gmwgs66", "s 17 8" ) ;  
  gal_stget ( 17, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.42900e-09, 0.0, "gal_gmwgs66", "c 17 9" ) ;  
  gal_vdv ( s, -1.67200e-08, 0.0, "gal_gmwgs66", "s 17 9" ) ;  
  gal_stget ( 17, 10, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.43000e-09, 0.0, "gal_gmwgs66", "c 17 10" ) ;  
  gal_vdv ( s, -8.75700e-09, 0.0, "gal_gmwgs66", "s 17 10" ) ;  
  gal_stget ( 17, 11, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 5.18200e-09, 0.0, "gal_gmwgs66", "c 17 11" ) ;  
  gal_vdv ( s, 3.87200e-09, 0.0, "gal_gmwgs66", "s 17 11" ) ;  
  gal_stget ( 17, 12, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 9.08000e-09, 0.0, "gal_gmwgs66", "c 17 12" ) ;  
  gal_vdv ( s, -2.03200e-08, 0.0, "gal_gmwgs66", "s 17 12" ) ;  
  gal_stget ( 17, 13, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.07500e-08, 0.0, "gal_gmwgs66", "c 17 13" ) ;  
  gal_vdv ( s, -1.17000e-09, 0.0, "gal_gmwgs66", "s 17 13" ) ;  
  gal_stget ( 17, 14, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.85300e-09, 0.0, "gal_gmwgs66", "c 17 14" ) ;  
  gal_vdv ( s, 2.45000e-08, 0.0, "gal_gmwgs66", "s 17 14" ) ;  
  gal_stget ( 17, 15, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.98600e-09, 0.0, "gal_gmwgs66", "c 17 15" ) ;  
  gal_vdv ( s, 1.96100e-08, 0.0, "gal_gmwgs66", "s 17 15" ) ;  
  gal_stget ( 17, 16, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.89100e-08, 0.0, "gal_gmwgs66", "c 17 16" ) ;  
  gal_vdv ( s, -5.53700e-09, 0.0, "gal_gmwgs66", "s 17 16" ) ;  
  gal_stget ( 17, 17, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -5.36100e-08, 0.0, "gal_gmwgs66", "c 17 17" ) ;  
  gal_vdv ( s, -2.04600e-08, 0.0, "gal_gmwgs66", "s 17 17" ) ;  
  gal_stget ( 18, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.17000e-08, 0.0, "gal_gmwgs66", "c 18 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 18 0" ) ;  
  gal_stget ( 18, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.54300e-08, 0.0, "gal_gmwgs66", "c 18 1" ) ;  
  gal_vdv ( s, -2.79700e-08, 0.0, "gal_gmwgs66", "s 18 1" ) ;  
  gal_stget ( 18, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.70900e-09, 0.0, "gal_gmwgs66", "c 18 2" ) ;  
  gal_vdv ( s, 4.13600e-09, 0.0, "gal_gmwgs66", "s 18 2" ) ;  
  gal_stget ( 18, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 6.01000e-11, 0.0, "gal_gmwgs66", "c 18 3" ) ;  
  gal_vdv ( s, -4.06300e-08, 0.0, "gal_gmwgs66", "s 18 3" ) ;  
  gal_stget ( 18, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.09400e-08, 0.0, "gal_gmwgs66", "c 18 4" ) ;  
  gal_vdv ( s, -1.27800e-08, 0.0, "gal_gmwgs66", "s 18 4" ) ;  
  gal_stget ( 18, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.65900e-08, 0.0, "gal_gmwgs66", "c 18 5" ) ;  
  gal_vdv ( s, 1.07400e-08, 0.0, "gal_gmwgs66", "s 18 5" ) ;  
  gal_stget ( 18, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -7.31200e-09, 0.0, "gal_gmwgs66", "c 18 6" ) ;  
  gal_vdv ( s, -3.88800e-09, 0.0, "gal_gmwgs66", "s 18 6" ) ;  
  gal_stget ( 18, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.89800e-09, 0.0, "gal_gmwgs66", "c 18 7" ) ;  
  gal_vdv ( s, 1.75200e-08, 0.0, "gal_gmwgs66", "s 18 7" ) ;  
  gal_stget ( 18, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.88500e-08, 0.0, "gal_gmwgs66", "c 18 8" ) ;  
  gal_vdv ( s, 1.30800e-09, 0.0, "gal_gmwgs66", "s 18 8" ) ;  
  gal_stget ( 18, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.10600e-08, 0.0, "gal_gmwgs66", "c 18 9" ) ;  
  gal_vdv ( s, 1.05300e-08, 0.0, "gal_gmwgs66", "s 18 9" ) ;  
  gal_stget ( 18, 10, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.09700e-08, 0.0, "gal_gmwgs66", "c 18 10" ) ;  
  gal_vdv ( s, 3.00800e-09, 0.0, "gal_gmwgs66", "s 18 10" ) ;  
  gal_stget ( 18, 11, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.92300e-09, 0.0, "gal_gmwgs66", "c 18 11" ) ;  
  gal_vdv ( s, 2.35900e-08, 0.0, "gal_gmwgs66", "s 18 11" ) ;  
  gal_stget ( 18, 12, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 8.03600e-09, 0.0, "gal_gmwgs66", "c 18 12" ) ;  
  gal_vdv ( s, -2.46700e-08, 0.0, "gal_gmwgs66", "s 18 12" ) ;  
  gal_stget ( 18, 13, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.63200e-08, 0.0, "gal_gmwgs66", "c 18 13" ) ;  
  gal_vdv ( s, -2.18200e-08, 0.0, "gal_gmwgs66", "s 18 13" ) ;  
  gal_stget ( 18, 14, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -7.70600e-09, 0.0, "gal_gmwgs66", "c 18 14" ) ;  
  gal_vdv ( s, -1.25600e-08, 0.0, "gal_gmwgs66", "s 18 14" ) ;  
  gal_stget ( 18, 15, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -3.23400e-08, 0.0, "gal_gmwgs66", "c 18 15" ) ;  
  gal_vdv ( s, -1.38200e-08, 0.0, "gal_gmwgs66", "s 18 15" ) ;  
  gal_stget ( 18, 16, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.00200e-08, 0.0, "gal_gmwgs66", "c 18 16" ) ;  
  gal_vdv ( s, 1.15600e-08, 0.0, "gal_gmwgs66", "s 18 16" ) ;  
  gal_stget ( 18, 17, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -9.52800e-09, 0.0, "gal_gmwgs66", "c 18 17" ) ;  
  gal_vdv ( s, 1.69900e-09, 0.0, "gal_gmwgs66", "s 18 17" ) ;  
  gal_stget ( 18, 18, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.37800e-08, 0.0, "gal_gmwgs66", "c 18 18" ) ;  
  gal_vdv ( s, -4.75500e-09, 0.0, "gal_gmwgs66", "s 18 18" ) ;  
  gal_stget ( 19, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.35100e-08, 0.0, "gal_gmwgs66", "c 19 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 19 0" ) ;  
  gal_stget ( 19, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.28000e-09, 0.0, "gal_gmwgs66", "c 19 1" ) ;  
  gal_vdv ( s, -9.88900e-09, 0.0, "gal_gmwgs66", "s 19 1" ) ;  
  gal_stget ( 19, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.11700e-08, 0.0, "gal_gmwgs66", "c 19 2" ) ;  
  gal_vdv ( s, -2.02700e-08, 0.0, "gal_gmwgs66", "s 19 2" ) ;  
  gal_stget ( 19, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -3.13900e-08, 0.0, "gal_gmwgs66", "c 19 3" ) ;  
  gal_vdv ( s, 1.51600e-09, 0.0, "gal_gmwgs66", "s 19 3" ) ;  
  gal_stget ( 19, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.82900e-10, 0.0, "gal_gmwgs66", "c 19 4" ) ;  
  gal_vdv ( s, -2.07300e-08, 0.0, "gal_gmwgs66", "s 19 4" ) ;  
  gal_stget ( 19, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -7.55900e-09, 0.0, "gal_gmwgs66", "c 19 5" ) ;  
  gal_vdv ( s, 1.39300e-08, 0.0, "gal_gmwgs66", "s 19 5" ) ;  
  gal_stget ( 19, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.38600e-08, 0.0, "gal_gmwgs66", "c 19 6" ) ;  
  gal_vdv ( s, 1.00200e-08, 0.0, "gal_gmwgs66", "s 19 6" ) ;  
  gal_stget ( 19, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.83100e-08, 0.0, "gal_gmwgs66", "c 19 7" ) ;  
  gal_vdv ( s, 2.94000e-09, 0.0, "gal_gmwgs66", "s 19 7" ) ;  
  gal_stget ( 19, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.28100e-08, 0.0, "gal_gmwgs66", "c 19 8" ) ;  
  gal_vdv ( s, -2.15100e-08, 0.0, "gal_gmwgs66", "s 19 8" ) ;  
  gal_stget ( 19, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 8.69500e-09, 0.0, "gal_gmwgs66", "c 19 9" ) ;  
  gal_vdv ( s, -7.02400e-09, 0.0, "gal_gmwgs66", "s 19 9" ) ;  
  gal_stget ( 19, 10, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.68100e-09, 0.0, "gal_gmwgs66", "c 19 10" ) ;  
  gal_vdv ( s, -2.41000e-09, 0.0, "gal_gmwgs66", "s 19 10" ) ;  
  gal_stget ( 19, 11, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.03300e-08, 0.0, "gal_gmwgs66", "c 19 11" ) ;  
  gal_vdv ( s, 2.85800e-10, 0.0, "gal_gmwgs66", "s 19 11" ) ;  
  gal_stget ( 19, 12, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.57200e-09, 0.0, "gal_gmwgs66", "c 19 12" ) ;  
  gal_vdv ( s, -4.14400e-09, 0.0, "gal_gmwgs66", "s 19 12" ) ;  
  gal_stget ( 19, 13, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.88600e-09, 0.0, "gal_gmwgs66", "c 19 13" ) ;  
  gal_vdv ( s, -1.14600e-08, 0.0, "gal_gmwgs66", "s 19 13" ) ;  
  gal_stget ( 19, 14, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.63300e-09, 0.0, "gal_gmwgs66", "c 19 14" ) ;  
  gal_vdv ( s, -7.24700e-09, 0.0, "gal_gmwgs66", "s 19 14" ) ;  
  gal_stget ( 19, 15, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.60500e-08, 0.0, "gal_gmwgs66", "c 19 15" ) ;  
  gal_vdv ( s, -1.30600e-08, 0.0, "gal_gmwgs66", "s 19 15" ) ;  
  gal_stget ( 19, 16, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 4.27100e-09, 0.0, "gal_gmwgs66", "c 19 16" ) ;  
  gal_vdv ( s, 9.32600e-09, 0.0, "gal_gmwgs66", "s 19 16" ) ;  
  gal_stget ( 19, 17, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.77800e-08, 0.0, "gal_gmwgs66", "c 19 17" ) ;  
  gal_vdv ( s, -1.04200e-08, 0.0, "gal_gmwgs66", "s 19 17" ) ;  
  gal_stget ( 19, 18, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.86100e-08, 0.0, "gal_gmwgs66", "c 19 18" ) ;  
  gal_vdv ( s, 5.10200e-09, 0.0, "gal_gmwgs66", "s 19 18" ) ;  
  gal_stget ( 19, 19, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -6.00400e-09, 0.0, "gal_gmwgs66", "c 19 19" ) ;  
  gal_vdv ( s, -2.47100e-09, 0.0, "gal_gmwgs66", "s 19 19" ) ;  
  gal_stget ( 20, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.20700e-08, 0.0, "gal_gmwgs66", "c 20 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 20 0" ) ;  
  gal_stget ( 20, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.34100e-08, 0.0, "gal_gmwgs66", "c 20 1" ) ;  
  gal_vdv ( s, -1.71300e-08, 0.0, "gal_gmwgs66", "s 20 1" ) ;  
  gal_stget ( 20, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -4.26200e-09, 0.0, "gal_gmwgs66", "c 20 2" ) ;  
  gal_vdv ( s, 3.21800e-08, 0.0, "gal_gmwgs66", "s 20 2" ) ;  
  gal_stget ( 20, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.13100e-08, 0.0, "gal_gmwgs66", "c 20 3" ) ;  
  gal_vdv ( s, 4.56200e-10, 0.0, "gal_gmwgs66", "s 20 3" ) ;  
  gal_stget ( 20, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.79700e-08, 0.0, "gal_gmwgs66", "c 20 4" ) ;  
  gal_vdv ( s, -2.28900e-08, 0.0, "gal_gmwgs66", "s 20 4" ) ;  
  gal_stget ( 20, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.39000e-08, 0.0, "gal_gmwgs66", "c 20 5" ) ;  
  gal_vdv ( s, -1.29700e-08, 0.0, "gal_gmwgs66", "s 20 5" ) ;  
  gal_stget ( 20, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -8.71900e-09, 0.0, "gal_gmwgs66", "c 20 6" ) ;  
  gal_vdv ( s, 7.86800e-09, 0.0, "gal_gmwgs66", "s 20 6" ) ;  
  gal_stget ( 20, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.68000e-08, 0.0, "gal_gmwgs66", "c 20 7" ) ;  
  gal_vdv ( s, -5.96400e-09, 0.0, "gal_gmwgs66", "s 20 7" ) ;  
  gal_stget ( 20, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.31500e-08, 0.0, "gal_gmwgs66", "c 20 8" ) ;  
  gal_vdv ( s, 9.66100e-10, 0.0, "gal_gmwgs66", "s 20 8" ) ;  
  gal_stget ( 20, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.66800e-08, 0.0, "gal_gmwgs66", "c 20 9" ) ;  
  gal_vdv ( s, 4.81700e-09, 0.0, "gal_gmwgs66", "s 20 9" ) ;  
  gal_stget ( 20, 10, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.55100e-08, 0.0, "gal_gmwgs66", "c 20 10" ) ;  
  gal_vdv ( s, 1.72400e-09, 0.0, "gal_gmwgs66", "s 20 10" ) ;  
  gal_stget ( 20, 11, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.47900e-08, 0.0, "gal_gmwgs66", "c 20 11" ) ;  
  gal_vdv ( s, -1.45300e-08, 0.0, "gal_gmwgs66", "s 20 11" ) ;  
  gal_stget ( 20, 12, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.83500e-09, 0.0, "gal_gmwgs66", "c 20 12" ) ;  
  gal_vdv ( s, 1.36600e-09, 0.0, "gal_gmwgs66", "s 20 12" ) ;  
  gal_stget ( 20, 13, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.38400e-08, 0.0, "gal_gmwgs66", "c 20 13" ) ;  
  gal_vdv ( s, 7.38800e-09, 0.0, "gal_gmwgs66", "s 20 13" ) ;  
  gal_stget ( 20, 14, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.46800e-09, 0.0, "gal_gmwgs66", "c 20 14" ) ;  
  gal_vdv ( s, -2.63800e-09, 0.0, "gal_gmwgs66", "s 20 14" ) ;  
  gal_stget ( 20, 15, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.84600e-08, 0.0, "gal_gmwgs66", "c 20 15" ) ;  
  gal_vdv ( s, 1.67600e-09, 0.0, "gal_gmwgs66", "s 20 15" ) ;  
  gal_stget ( 20, 16, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.09400e-08, 0.0, "gal_gmwgs66", "c 20 16" ) ;  
  gal_vdv ( s, -6.94200e-09, 0.0, "gal_gmwgs66", "s 20 16" ) ;  
  gal_stget ( 20, 17, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -8.63000e-09, 0.0, "gal_gmwgs66", "c 20 17" ) ;  
  gal_vdv ( s, -7.21500e-09, 0.0, "gal_gmwgs66", "s 20 17" ) ;  
  gal_stget ( 20, 18, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -9.24300e-10, 0.0, "gal_gmwgs66", "c 20 18" ) ;  
  gal_vdv ( s, -2.32800e-09, 0.0, "gal_gmwgs66", "s 20 18" ) ;  
  gal_stget ( 20, 19, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.96100e-08, 0.0, "gal_gmwgs66", "c 20 19" ) ;  
  gal_vdv ( s, 1.38100e-08, 0.0, "gal_gmwgs66", "s 20 19" ) ;  
  gal_stget ( 20, 20, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -3.09600e-09, 0.0, "gal_gmwgs66", "c 20 20" ) ;  
  gal_vdv ( s, -3.99400e-09, 0.0, "gal_gmwgs66", "s 20 20" ) ;  
  gal_stget ( 21, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.24800e-08, 0.0, "gal_gmwgs66", "c 21 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 21 0" ) ;  
  gal_stget ( 21, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -6.23200e-09, 0.0, "gal_gmwgs66", "c 21 1" ) ;  
  gal_vdv ( s, -2.87900e-09, 0.0, "gal_gmwgs66", "s 21 1" ) ;  
  gal_stget ( 21, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 5.36800e-09, 0.0, "gal_gmwgs66", "c 21 2" ) ;  
  gal_vdv ( s, 1.55300e-08, 0.0, "gal_gmwgs66", "s 21 2" ) ;  
  gal_stget ( 21, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -4.11400e-09, 0.0, "gal_gmwgs66", "c 21 3" ) ;  
  gal_vdv ( s, -4.05600e-09, 0.0, "gal_gmwgs66", "s 21 3" ) ;  
  gal_stget ( 21, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.94600e-08, 0.0, "gal_gmwgs66", "c 21 4" ) ;  
  gal_vdv ( s, -2.02600e-08, 0.0, "gal_gmwgs66", "s 21 4" ) ;  
  gal_stget ( 21, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -3.58300e-10, 0.0, "gal_gmwgs66", "c 21 5" ) ;  
  gal_vdv ( s, -4.45900e-09, 0.0, "gal_gmwgs66", "s 21 5" ) ;  
  gal_stget ( 21, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.66500e-09, 0.0, "gal_gmwgs66", "c 21 6" ) ;  
  gal_vdv ( s, -2.37600e-08, 0.0, "gal_gmwgs66", "s 21 6" ) ;  
  gal_stget ( 21, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 6.44900e-09, 0.0, "gal_gmwgs66", "c 21 7" ) ;  
  gal_vdv ( s, 1.97000e-08, 0.0, "gal_gmwgs66", "s 21 7" ) ;  
  gal_stget ( 21, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.98000e-09, 0.0, "gal_gmwgs66", "c 21 8" ) ;  
  gal_vdv ( s, 1.82100e-08, 0.0, "gal_gmwgs66", "s 21 8" ) ;  
  gal_stget ( 21, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.98300e-09, 0.0, "gal_gmwgs66", "c 21 9" ) ;  
  gal_vdv ( s, 3.19000e-08, 0.0, "gal_gmwgs66", "s 21 9" ) ;  
  gal_stget ( 21, 10, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.19700e-09, 0.0, "gal_gmwgs66", "c 21 10" ) ;  
  gal_vdv ( s, 1.04100e-08, 0.0, "gal_gmwgs66", "s 21 10" ) ;  
  gal_stget ( 21, 11, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.36200e-09, 0.0, "gal_gmwgs66", "c 21 11" ) ;  
  gal_vdv ( s, -2.59500e-08, 0.0, "gal_gmwgs66", "s 21 11" ) ;  
  gal_stget ( 21, 12, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.22600e-09, 0.0, "gal_gmwgs66", "c 21 12" ) ;  
  gal_vdv ( s, 5.38900e-09, 0.0, "gal_gmwgs66", "s 21 12" ) ;  
  gal_stget ( 21, 13, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.80600e-09, 0.0, "gal_gmwgs66", "c 21 13" ) ;  
  gal_vdv ( s, 2.54600e-08, 0.0, "gal_gmwgs66", "s 21 13" ) ;  
  gal_stget ( 21, 14, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.20300e-09, 0.0, "gal_gmwgs66", "c 21 14" ) ;  
  gal_vdv ( s, 1.61500e-08, 0.0, "gal_gmwgs66", "s 21 14" ) ;  
  gal_stget ( 21, 15, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.52600e-09, 0.0, "gal_gmwgs66", "c 21 15" ) ;  
  gal_vdv ( s, 5.19100e-09, 0.0, "gal_gmwgs66", "s 21 15" ) ;  
  gal_stget ( 21, 16, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -8.48500e-09, 0.0, "gal_gmwgs66", "c 21 16" ) ;  
  gal_vdv ( s, -2.54600e-08, 0.0, "gal_gmwgs66", "s 21 16" ) ;  
  gal_stget ( 21, 17, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 5.74500e-09, 0.0, "gal_gmwgs66", "c 21 17" ) ;  
  gal_vdv ( s, 6.93000e-09, 0.0, "gal_gmwgs66", "s 21 17" ) ;  
  gal_stget ( 21, 18, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.98200e-08, 0.0, "gal_gmwgs66", "c 21 18" ) ;  
  gal_vdv ( s, 2.28900e-09, 0.0, "gal_gmwgs66", "s 21 18" ) ;  
  gal_stget ( 21, 19, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.10100e-08, 0.0, "gal_gmwgs66", "c 21 19" ) ;  
  gal_vdv ( s, 4.55000e-09, 0.0, "gal_gmwgs66", "s 21 19" ) ;  
  gal_stget ( 21, 20, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.46800e-08, 0.0, "gal_gmwgs66", "c 21 20" ) ;  
  gal_vdv ( s, 5.09600e-09, 0.0, "gal_gmwgs66", "s 21 20" ) ;  
  gal_stget ( 21, 21, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -7.00700e-09, 0.0, "gal_gmwgs66", "c 21 21" ) ;  
  gal_vdv ( s, 8.17200e-10, 0.0, "gal_gmwgs66", "s 21 21" ) ;  
  gal_stget ( 22, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -8.67000e-09, 0.0, "gal_gmwgs66", "c 22 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 22 0" ) ;  
  gal_stget ( 22, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.67100e-09, 0.0, "gal_gmwgs66", "c 22 1" ) ;  
  gal_vdv ( s, 2.09600e-08, 0.0, "gal_gmwgs66", "s 22 1" ) ;  
  gal_stget ( 22, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.37700e-09, 0.0, "gal_gmwgs66", "c 22 2" ) ;  
  gal_vdv ( s, -1.17000e-08, 0.0, "gal_gmwgs66", "s 22 2" ) ;  
  gal_stget ( 22, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 6.26900e-09, 0.0, "gal_gmwgs66", "c 22 3" ) ;  
  gal_vdv ( s, -2.17200e-08, 0.0, "gal_gmwgs66", "s 22 3" ) ;  
  gal_stget ( 22, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -5.42600e-09, 0.0, "gal_gmwgs66", "c 22 4" ) ;  
  gal_vdv ( s, -4.64200e-09, 0.0, "gal_gmwgs66", "s 22 4" ) ;  
  gal_stget ( 22, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 6.68700e-09, 0.0, "gal_gmwgs66", "c 22 5" ) ;  
  gal_vdv ( s, 1.45900e-08, 0.0, "gal_gmwgs66", "s 22 5" ) ;  
  gal_stget ( 22, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 3.89800e-09, 0.0, "gal_gmwgs66", "c 22 6" ) ;  
  gal_vdv ( s, -1.12900e-09, 0.0, "gal_gmwgs66", "s 22 6" ) ;  
  gal_stget ( 22, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.44100e-08, 0.0, "gal_gmwgs66", "c 22 7" ) ;  
  gal_vdv ( s, 1.68000e-08, 0.0, "gal_gmwgs66", "s 22 7" ) ;  
  gal_stget ( 22, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.90700e-08, 0.0, "gal_gmwgs66", "c 22 8" ) ;  
  gal_vdv ( s, 1.32400e-08, 0.0, "gal_gmwgs66", "s 22 8" ) ;  
  gal_stget ( 22, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -4.83900e-09, 0.0, "gal_gmwgs66", "c 22 9" ) ;  
  gal_vdv ( s, 1.31500e-08, 0.0, "gal_gmwgs66", "s 22 9" ) ;  
  gal_stget ( 22, 10, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.82100e-08, 0.0, "gal_gmwgs66", "c 22 10" ) ;  
  gal_vdv ( s, 8.72000e-09, 0.0, "gal_gmwgs66", "s 22 10" ) ;  
  gal_stget ( 22, 11, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.15100e-09, 0.0, "gal_gmwgs66", "c 22 11" ) ;  
  gal_vdv ( s, -5.39100e-09, 0.0, "gal_gmwgs66", "s 22 11" ) ;  
  gal_stget ( 22, 12, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 5.84600e-09, 0.0, "gal_gmwgs66", "c 22 12" ) ;  
  gal_vdv ( s, 4.29800e-09, 0.0, "gal_gmwgs66", "s 22 12" ) ;  
  gal_stget ( 22, 13, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -5.98200e-09, 0.0, "gal_gmwgs66", "c 22 13" ) ;  
  gal_vdv ( s, 1.90800e-08, 0.0, "gal_gmwgs66", "s 22 13" ) ;  
  gal_stget ( 22, 14, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 5.12500e-09, 0.0, "gal_gmwgs66", "c 22 14" ) ;  
  gal_vdv ( s, 1.92900e-08, 0.0, "gal_gmwgs66", "s 22 14" ) ;  
  gal_stget ( 22, 15, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.86700e-09, 0.0, "gal_gmwgs66", "c 22 15" ) ;  
  gal_vdv ( s, -2.11700e-08, 0.0, "gal_gmwgs66", "s 22 15" ) ;  
  gal_stget ( 22, 16, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.90600e-09, 0.0, "gal_gmwgs66", "c 22 16" ) ;  
  gal_vdv ( s, -2.47700e-09, 0.0, "gal_gmwgs66", "s 22 16" ) ;  
  gal_stget ( 22, 17, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.69600e-08, 0.0, "gal_gmwgs66", "c 22 17" ) ;  
  gal_vdv ( s, -5.09000e-09, 0.0, "gal_gmwgs66", "s 22 17" ) ;  
  gal_stget ( 22, 18, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.22200e-09, 0.0, "gal_gmwgs66", "c 22 18" ) ;  
  gal_vdv ( s, -1.96500e-08, 0.0, "gal_gmwgs66", "s 22 18" ) ;  
  gal_stget ( 22, 19, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.12400e-08, 0.0, "gal_gmwgs66", "c 22 19" ) ;  
  gal_vdv ( s, 3.42200e-09, 0.0, "gal_gmwgs66", "s 22 19" ) ;  
  gal_stget ( 22, 20, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.72800e-08, 0.0, "gal_gmwgs66", "c 22 20" ) ;  
  gal_vdv ( s, 5.27600e-09, 0.0, "gal_gmwgs66", "s 22 20" ) ;  
  gal_stget ( 22, 21, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 4.34100e-09, 0.0, "gal_gmwgs66", "c 22 21" ) ;  
  gal_vdv ( s, 4.87700e-09, 0.0, "gal_gmwgs66", "s 22 21" ) ;  
  gal_stget ( 22, 22, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.95800e-08, 0.0, "gal_gmwgs66", "c 22 22" ) ;  
  gal_vdv ( s, -6.70200e-09, 0.0, "gal_gmwgs66", "s 22 22" ) ;  
  gal_stget ( 23, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.47100e-09, 0.0, "gal_gmwgs66", "c 23 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 23 0" ) ;  
  gal_stget ( 23, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.11000e-08, 0.0, "gal_gmwgs66", "c 23 1" ) ;  
  gal_vdv ( s, 1.77000e-08, 0.0, "gal_gmwgs66", "s 23 1" ) ;  
  gal_stget ( 23, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.80300e-08, 0.0, "gal_gmwgs66", "c 23 2" ) ;  
  gal_vdv ( s, -2.18900e-08, 0.0, "gal_gmwgs66", "s 23 2" ) ;  
  gal_stget ( 23, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 5.19400e-09, 0.0, "gal_gmwgs66", "c 23 3" ) ;  
  gal_vdv ( s, -2.24300e-08, 0.0, "gal_gmwgs66", "s 23 3" ) ;  
  gal_stget ( 23, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -3.73400e-09, 0.0, "gal_gmwgs66", "c 23 4" ) ;  
  gal_vdv ( s, 6.86300e-09, 0.0, "gal_gmwgs66", "s 23 4" ) ;  
  gal_stget ( 23, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -3.74600e-09, 0.0, "gal_gmwgs66", "c 23 5" ) ;  
  gal_vdv ( s, 2.33900e-08, 0.0, "gal_gmwgs66", "s 23 5" ) ;  
  gal_stget ( 23, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.78200e-09, 0.0, "gal_gmwgs66", "c 23 6" ) ;  
  gal_vdv ( s, 1.15100e-08, 0.0, "gal_gmwgs66", "s 23 6" ) ;  
  gal_stget ( 23, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 9.49800e-10, 0.0, "gal_gmwgs66", "c 23 7" ) ;  
  gal_vdv ( s, 3.30600e-09, 0.0, "gal_gmwgs66", "s 23 7" ) ;  
  gal_stget ( 23, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.48000e-10, 0.0, "gal_gmwgs66", "c 23 8" ) ;  
  gal_vdv ( s, -4.21400e-09, 0.0, "gal_gmwgs66", "s 23 8" ) ;  
  gal_stget ( 23, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 5.44000e-09, 0.0, "gal_gmwgs66", "c 23 9" ) ;  
  gal_vdv ( s, -8.29600e-09, 0.0, "gal_gmwgs66", "s 23 9" ) ;  
  gal_stget ( 23, 10, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.82300e-08, 0.0, "gal_gmwgs66", "c 23 10" ) ;  
  gal_vdv ( s, 1.77300e-08, 0.0, "gal_gmwgs66", "s 23 10" ) ;  
  gal_stget ( 23, 11, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 8.90500e-09, 0.0, "gal_gmwgs66", "c 23 11" ) ;  
  gal_vdv ( s, 1.91800e-08, 0.0, "gal_gmwgs66", "s 23 11" ) ;  
  gal_stget ( 23, 12, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.85400e-08, 0.0, "gal_gmwgs66", "c 23 12" ) ;  
  gal_vdv ( s, -4.19300e-09, 0.0, "gal_gmwgs66", "s 23 12" ) ;  
  gal_stget ( 23, 13, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.64000e-09, 0.0, "gal_gmwgs66", "c 23 13" ) ;  
  gal_vdv ( s, -7.43300e-09, 0.0, "gal_gmwgs66", "s 23 13" ) ;  
  gal_stget ( 23, 14, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -5.08500e-09, 0.0, "gal_gmwgs66", "c 23 14" ) ;  
  gal_vdv ( s, -3.83300e-09, 0.0, "gal_gmwgs66", "s 23 14" ) ;  
  gal_stget ( 23, 15, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.27200e-08, 0.0, "gal_gmwgs66", "c 23 15" ) ;  
  gal_vdv ( s, 1.09300e-09, 0.0, "gal_gmwgs66", "s 23 15" ) ;  
  gal_stget ( 23, 16, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.81200e-08, 0.0, "gal_gmwgs66", "c 23 16" ) ;  
  gal_vdv ( s, 1.20200e-08, 0.0, "gal_gmwgs66", "s 23 16" ) ;  
  gal_stget ( 23, 17, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 4.58100e-09, 0.0, "gal_gmwgs66", "c 23 17" ) ;  
  gal_vdv ( s, -6.23200e-09, 0.0, "gal_gmwgs66", "s 23 17" ) ;  
  gal_stget ( 23, 18, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -4.28200e-09, 0.0, "gal_gmwgs66", "c 23 18" ) ;  
  gal_vdv ( s, -1.25500e-08, 0.0, "gal_gmwgs66", "s 23 18" ) ;  
  gal_stget ( 23, 19, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -4.97000e-09, 0.0, "gal_gmwgs66", "c 23 19" ) ;  
  gal_vdv ( s, -2.65100e-09, 0.0, "gal_gmwgs66", "s 23 19" ) ;  
  gal_stget ( 23, 20, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.01400e-08, 0.0, "gal_gmwgs66", "c 23 20" ) ;  
  gal_vdv ( s, -7.00400e-09, 0.0, "gal_gmwgs66", "s 23 20" ) ;  
  gal_stget ( 23, 21, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.29300e-08, 0.0, "gal_gmwgs66", "c 23 21" ) ;  
  gal_vdv ( s, 1.01800e-08, 0.0, "gal_gmwgs66", "s 23 21" ) ;  
  gal_stget ( 23, 22, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.48100e-08, 0.0, "gal_gmwgs66", "c 23 22" ) ;  
  gal_vdv ( s, 1.52000e-08, 0.0, "gal_gmwgs66", "s 23 22" ) ;  
  gal_stget ( 23, 23, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -8.07300e-09, 0.0, "gal_gmwgs66", "c 23 23" ) ;  
  gal_vdv ( s, -1.49000e-08, 0.0, "gal_gmwgs66", "s 23 23" ) ;  
  gal_stget ( 24, 0, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.69200e-08, 0.0, "gal_gmwgs66", "c 24 0" ) ;  
  gal_vdv ( s, 0.00000e+00, 0.0, "gal_gmwgs66", "s 24 0" ) ;  
  gal_stget ( 24, 1, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 9.16300e-09, 0.0, "gal_gmwgs66", "c 24 1" ) ;  
  gal_vdv ( s, 2.15600e-08, 0.0, "gal_gmwgs66", "s 24 1" ) ;  
  gal_stget ( 24, 2, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -4.92100e-09, 0.0, "gal_gmwgs66", "c 24 2" ) ;  
  gal_vdv ( s, -3.53600e-10, 0.0, "gal_gmwgs66", "s 24 2" ) ;  
  gal_stget ( 24, 3, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.71700e-08, 0.0, "gal_gmwgs66", "c 24 3" ) ;  
  gal_vdv ( s, -1.75300e-08, 0.0, "gal_gmwgs66", "s 24 3" ) ;  
  gal_stget ( 24, 4, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.22700e-08, 0.0, "gal_gmwgs66", "c 24 4" ) ;  
  gal_vdv ( s, 1.86900e-08, 0.0, "gal_gmwgs66", "s 24 4" ) ;  
  gal_stget ( 24, 5, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.65000e-08, 0.0, "gal_gmwgs66", "c 24 5" ) ;  
  gal_vdv ( s, 2.44100e-08, 0.0, "gal_gmwgs66", "s 24 5" ) ;  
  gal_stget ( 24, 6, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.67000e-09, 0.0, "gal_gmwgs66", "c 24 6" ) ;  
  gal_vdv ( s, 3.03300e-09, 0.0, "gal_gmwgs66", "s 24 6" ) ;  
  gal_stget ( 24, 7, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 4.41000e-10, 0.0, "gal_gmwgs66", "c 24 7" ) ;  
  gal_vdv ( s, 7.63200e-09, 0.0, "gal_gmwgs66", "s 24 7" ) ;  
  gal_stget ( 24, 8, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.00100e-08, 0.0, "gal_gmwgs66", "c 24 8" ) ;  
  gal_vdv ( s, -1.09900e-08, 0.0, "gal_gmwgs66", "s 24 8" ) ;  
  gal_stget ( 24, 9, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.08900e-08, 0.0, "gal_gmwgs66", "c 24 9" ) ;  
  gal_vdv ( s, 1.08300e-08, 0.0, "gal_gmwgs66", "s 24 9" ) ;  
  gal_stget ( 24, 10, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 9.22700e-09, 0.0, "gal_gmwgs66", "c 24 10" ) ;  
  gal_vdv ( s, 9.79300e-09, 0.0, "gal_gmwgs66", "s 24 10" ) ;  
  gal_stget ( 24, 11, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 7.05800e-09, 0.0, "gal_gmwgs66", "c 24 11" ) ;  
  gal_vdv ( s, 1.42900e-08, 0.0, "gal_gmwgs66", "s 24 11" ) ;  
  gal_stget ( 24, 12, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 1.88100e-08, 0.0, "gal_gmwgs66", "c 24 12" ) ;  
  gal_vdv ( s, -7.27300e-09, 0.0, "gal_gmwgs66", "s 24 12" ) ;  
  gal_stget ( 24, 13, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.20800e-08, 0.0, "gal_gmwgs66", "c 24 13" ) ;  
  gal_vdv ( s, -2.04400e-09, 0.0, "gal_gmwgs66", "s 24 13" ) ;  
  gal_stget ( 24, 14, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -2.06800e-08, 0.0, "gal_gmwgs66", "c 24 14" ) ;  
  gal_vdv ( s, 3.61500e-09, 0.0, "gal_gmwgs66", "s 24 14" ) ;  
  gal_stget ( 24, 15, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 8.08300e-09, 0.0, "gal_gmwgs66", "c 24 15" ) ;  
  gal_vdv ( s, 3.81100e-09, 0.0, "gal_gmwgs66", "s 24 15" ) ;  
  gal_stget ( 24, 16, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 6.13900e-09, 0.0, "gal_gmwgs66", "c 24 16" ) ;  
  gal_vdv ( s, -7.30000e-09, 0.0, "gal_gmwgs66", "s 24 16" ) ;  
  gal_stget ( 24, 17, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -9.60000e-09, 0.0, "gal_gmwgs66", "c 24 17" ) ;  
  gal_vdv ( s, -9.42000e-09, 0.0, "gal_gmwgs66", "s 24 17" ) ;  
  gal_stget ( 24, 18, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 2.77200e-09, 0.0, "gal_gmwgs66", "c 24 18" ) ;  
  gal_vdv ( s, 5.73300e-10, 0.0, "gal_gmwgs66", "s 24 18" ) ;  
  gal_stget ( 24, 19, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.90700e-08, 0.0, "gal_gmwgs66", "c 24 19" ) ;  
  gal_vdv ( s, -2.48200e-09, 0.0, "gal_gmwgs66", "s 24 19" ) ;  
  gal_stget ( 24, 20, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -4.24500e-09, 0.0, "gal_gmwgs66", "c 24 20" ) ;  
  gal_vdv ( s, -2.56500e-10, 0.0, "gal_gmwgs66", "s 24 20" ) ;  
  gal_stget ( 24, 21, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -6.83700e-09, 0.0, "gal_gmwgs66", "c 24 21" ) ;  
  gal_vdv ( s, 8.77800e-09, 0.0, "gal_gmwgs66", "s 24 21" ) ;  
  gal_stget ( 24, 22, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -5.83500e-09, 0.0, "gal_gmwgs66", "c 24 22" ) ;  
  gal_vdv ( s, -4.21900e-09, 0.0, "gal_gmwgs66", "s 24 22" ) ;  
  gal_stget ( 24, 23, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, 6.00300e-09, 0.0, "gal_gmwgs66", "c 24 23" ) ;  
  gal_vdv ( s, -2.29200e-09, 0.0, "gal_gmwgs66", "s 24 23" ) ;  
  gal_stget ( 24, 24, &gal_gmwgs66, &c, &s ) ;  
  gal_vdv ( c, -1.27400e-09, 0.0, "gal_gmwgs66", "c 24 24" ) ;  
  gal_vdv ( s, -1.16200e-08, 0.0, "gal_gmwgs66", "s 24 24" ) ;  

  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  

}

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

