/*  
 *  - - - - - - - - - - - - - - - - - 
 *   g a l _ g m w g s 7 2 _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_gmwgs72 gravity model definition.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_stget  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 March 29 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_gmwgs72_test.h"
#include "gal_test.h"
#include "gal_stget.h"
#include "gal_gm.h"
  
void  
gal_gmwgs72_test  
 (  
 ) 
 
{

  extern int gal_tfunc ;  
  
  double c, s ;
  
  extern gal_gm_t gal_gmwgs72 ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */   
  
  gal_stget ( 2, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -4.841605e-04, 0.0, "gal_gmwgs72", "c 2 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 2 0" ) ;  
  gal_stget ( 2, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.442300e-06, 0.0, "gal_gmwgs72", "c 2 2" ) ;  
  gal_vdv ( s, -1.403600e-06, 0.0, "gal_gmwgs72", "s 2 2" ) ;  
  gal_stget ( 3, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 9.595800e-07, 0.0, "gal_gmwgs72", "c 3 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 3 0" ) ;  
  gal_stget ( 3, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.053600e-06, 0.0, "gal_gmwgs72", "c 3 1" ) ;  
  gal_vdv ( s, 2.670300e-07, 0.0, "gal_gmwgs72", "s 3 1" ) ;  
  gal_stget ( 3, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 9.133200e-07, 0.0, "gal_gmwgs72", "c 3 2" ) ;  
  gal_vdv ( s, -6.457100e-07, 0.0, "gal_gmwgs72", "s 3 2" ) ;  
  gal_stget ( 3, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 7.051200e-07, 0.0, "gal_gmwgs72", "c 3 3" ) ;  
  gal_vdv ( s, 1.406400e-06, 0.0, "gal_gmwgs72", "s 3 3" ) ;  
  gal_stget ( 4, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 5.519900e-07, 0.0, "gal_gmwgs72", "c 4 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 4 0" ) ;  
  gal_stget ( 4, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -5.313600e-07, 0.0, "gal_gmwgs72", "c 4 1" ) ;  
  gal_vdv ( s, -4.805200e-07, 0.0, "gal_gmwgs72", "s 4 1" ) ;  
  gal_stget ( 4, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.438800e-07, 0.0, "gal_gmwgs72", "c 4 2" ) ;  
  gal_vdv ( s, 6.512300e-07, 0.0, "gal_gmwgs72", "s 4 2" ) ;  
  gal_stget ( 4, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 9.821100e-07, 0.0, "gal_gmwgs72", "c 4 3" ) ;  
  gal_vdv ( s, -1.983600e-07, 0.0, "gal_gmwgs72", "s 4 3" ) ;  
  gal_stget ( 4, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.923500e-07, 0.0, "gal_gmwgs72", "c 4 4" ) ;  
  gal_vdv ( s, 3.171300e-07, 0.0, "gal_gmwgs72", "s 4 4" ) ;  
  gal_stget ( 5, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 6.587500e-08, 0.0, "gal_gmwgs72", "c 5 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 5 0" ) ;  
  gal_stget ( 5, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.036900e-07, 0.0, "gal_gmwgs72", "c 5 1" ) ;  
  gal_vdv ( s, -1.279900e-07, 0.0, "gal_gmwgs72", "s 5 1" ) ;  
  gal_stget ( 5, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 6.519700e-07, 0.0, "gal_gmwgs72", "c 5 2" ) ;  
  gal_vdv ( s, -3.177500e-07, 0.0, "gal_gmwgs72", "s 5 2" ) ;  
  gal_stget ( 5, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -4.461900e-07, 0.0, "gal_gmwgs72", "c 5 3" ) ;  
  gal_vdv ( s, -2.115200e-07, 0.0, "gal_gmwgs72", "s 5 3" ) ;  
  gal_stget ( 5, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.799100e-07, 0.0, "gal_gmwgs72", "c 5 4" ) ;  
  gal_vdv ( s, 5.949600e-08, 0.0, "gal_gmwgs72", "s 5 4" ) ;  
  gal_stget ( 5, 5, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.927200e-07, 0.0, "gal_gmwgs72", "c 5 5" ) ;  
  gal_vdv ( s, -6.592000e-07, 0.0, "gal_gmwgs72", "s 5 5" ) ;  
  gal_stget ( 6, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.725200e-07, 0.0, "gal_gmwgs72", "c 6 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 6 0" ) ;  
  gal_stget ( 6, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -6.748600e-08, 0.0, "gal_gmwgs72", "c 6 1" ) ;  
  gal_vdv ( s, 2.981100e-08, 0.0, "gal_gmwgs72", "s 6 1" ) ;  
  gal_stget ( 6, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 6.147400e-08, 0.0, "gal_gmwgs72", "c 6 2" ) ;  
  gal_vdv ( s, -3.515500e-07, 0.0, "gal_gmwgs72", "s 6 2" ) ;  
  gal_stget ( 6, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 5.021200e-08, 0.0, "gal_gmwgs72", "c 6 3" ) ;  
  gal_vdv ( s, 3.739300e-09, 0.0, "gal_gmwgs72", "s 6 3" ) ;  
  gal_stget ( 6, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -7.521100e-08, 0.0, "gal_gmwgs72", "c 6 4" ) ;  
  gal_vdv ( s, -4.679600e-07, 0.0, "gal_gmwgs72", "s 6 4" ) ;  
  gal_stget ( 6, 5, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.541200e-07, 0.0, "gal_gmwgs72", "c 6 5" ) ;  
  gal_vdv ( s, -5.521000e-07, 0.0, "gal_gmwgs72", "s 6 5" ) ;  
  gal_stget ( 6, 6, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 7.604900e-09, 0.0, "gal_gmwgs72", "c 6 6" ) ;  
  gal_vdv ( s, -2.441800e-07, 0.0, "gal_gmwgs72", "s 6 6" ) ;  
  gal_stget ( 7, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 9.714600e-08, 0.0, "gal_gmwgs72", "c 7 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 7 0" ) ;  
  gal_stget ( 7, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.475300e-07, 0.0, "gal_gmwgs72", "c 7 1" ) ;  
  gal_vdv ( s, 1.442300e-07, 0.0, "gal_gmwgs72", "s 7 1" ) ;  
  gal_stget ( 7, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.168100e-07, 0.0, "gal_gmwgs72", "c 7 2" ) ;  
  gal_vdv ( s, 1.105900e-07, 0.0, "gal_gmwgs72", "s 7 2" ) ;  
  gal_stget ( 7, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.491300e-07, 0.0, "gal_gmwgs72", "c 7 3" ) ;  
  gal_vdv ( s, -2.100900e-07, 0.0, "gal_gmwgs72", "s 7 3" ) ;  
  gal_stget ( 7, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.757000e-07, 0.0, "gal_gmwgs72", "c 7 4" ) ;  
  gal_vdv ( s, -1.226800e-07, 0.0, "gal_gmwgs72", "s 7 4" ) ;  
  gal_stget ( 7, 5, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.908500e-08, 0.0, "gal_gmwgs72", "c 7 5" ) ;  
  gal_vdv ( s, 3.332700e-08, 0.0, "gal_gmwgs72", "s 7 5" ) ;  
  gal_stget ( 7, 6, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.557500e-07, 0.0, "gal_gmwgs72", "c 7 6" ) ;  
  gal_vdv ( s, 1.581800e-07, 0.0, "gal_gmwgs72", "s 7 6" ) ;  
  gal_stget ( 7, 7, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.688700e-08, 0.0, "gal_gmwgs72", "c 7 7" ) ;  
  gal_vdv ( s, 1.319500e-08, 0.0, "gal_gmwgs72", "s 7 7" ) ;  
  gal_stget ( 8, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 8.256000e-08, 0.0, "gal_gmwgs72", "c 8 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 8 0" ) ;  
  gal_stget ( 8, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -9.975700e-10, 0.0, "gal_gmwgs72", "c 8 1" ) ;  
  gal_vdv ( s, 5.701800e-08, 0.0, "gal_gmwgs72", "s 8 1" ) ;  
  gal_stget ( 8, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 6.807400e-08, 0.0, "gal_gmwgs72", "c 8 2" ) ;  
  gal_vdv ( s, 4.704300e-08, 0.0, "gal_gmwgs72", "s 8 2" ) ;  
  gal_stget ( 8, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.145000e-08, 0.0, "gal_gmwgs72", "c 8 3" ) ;  
  gal_vdv ( s, -7.558200e-08, 0.0, "gal_gmwgs72", "s 8 3" ) ;  
  gal_stget ( 8, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.493600e-07, 0.0, "gal_gmwgs72", "c 8 4" ) ;  
  gal_vdv ( s, 5.599200e-08, 0.0, "gal_gmwgs72", "s 8 4" ) ;  
  gal_stget ( 8, 5, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.174600e-08, 0.0, "gal_gmwgs72", "c 8 5" ) ;  
  gal_vdv ( s, 7.914700e-08, 0.0, "gal_gmwgs72", "s 8 5" ) ;  
  gal_stget ( 8, 6, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -6.195400e-08, 0.0, "gal_gmwgs72", "c 8 6" ) ;  
  gal_vdv ( s, 3.076400e-07, 0.0, "gal_gmwgs72", "s 8 6" ) ;  
  gal_stget ( 8, 7, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 6.635700e-08, 0.0, "gal_gmwgs72", "c 8 7" ) ;  
  gal_vdv ( s, 8.571000e-08, 0.0, "gal_gmwgs72", "s 8 7" ) ;  
  gal_stget ( 8, 8, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.279300e-07, 0.0, "gal_gmwgs72", "c 8 8" ) ;  
  gal_vdv ( s, 1.227400e-07, 0.0, "gal_gmwgs72", "s 8 8" ) ;  
  gal_stget ( 9, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.784000e-08, 0.0, "gal_gmwgs72", "c 9 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 9 0" ) ;  
  gal_stget ( 9, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 6.541300e-08, 0.0, "gal_gmwgs72", "c 9 1" ) ;  
  gal_vdv ( s, -5.392500e-08, 0.0, "gal_gmwgs72", "s 9 1" ) ;  
  gal_stget ( 9, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.291000e-08, 0.0, "gal_gmwgs72", "c 9 2" ) ;  
  gal_vdv ( s, -3.654600e-08, 0.0, "gal_gmwgs72", "s 9 2" ) ;  
  gal_stget ( 9, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.395500e-07, 0.0, "gal_gmwgs72", "c 9 3" ) ;  
  gal_vdv ( s, -6.746600e-08, 0.0, "gal_gmwgs72", "s 9 3" ) ;  
  gal_stget ( 9, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -4.994200e-08, 0.0, "gal_gmwgs72", "c 9 4" ) ;  
  gal_vdv ( s, 1.257800e-08, 0.0, "gal_gmwgs72", "s 9 4" ) ;  
  gal_stget ( 9, 5, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.555600e-08, 0.0, "gal_gmwgs72", "c 9 5" ) ;  
  gal_vdv ( s, -5.555200e-08, 0.0, "gal_gmwgs72", "s 9 5" ) ;  
  gal_stget ( 9, 6, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.902700e-08, 0.0, "gal_gmwgs72", "c 9 6" ) ;  
  gal_vdv ( s, 2.237800e-07, 0.0, "gal_gmwgs72", "s 9 6" ) ;  
  gal_stget ( 9, 7, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.303500e-07, 0.0, "gal_gmwgs72", "c 9 7" ) ;  
  gal_vdv ( s, -6.601000e-08, 0.0, "gal_gmwgs72", "s 9 7" ) ;  
  gal_stget ( 9, 8, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.997000e-07, 0.0, "gal_gmwgs72", "c 9 8" ) ;  
  gal_vdv ( s, 1.950400e-08, 0.0, "gal_gmwgs72", "s 9 8" ) ;  
  gal_stget ( 9, 9, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.529200e-08, 0.0, "gal_gmwgs72", "c 9 9" ) ;  
  gal_vdv ( s, 1.022800e-07, 0.0, "gal_gmwgs72", "s 9 9" ) ;  
  gal_stget ( 10, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.335800e-08, 0.0, "gal_gmwgs72", "c 10 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 10 0" ) ;  
  gal_stget ( 10, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.063200e-07, 0.0, "gal_gmwgs72", "c 10 1" ) ;  
  gal_vdv ( s, -1.341800e-07, 0.0, "gal_gmwgs72", "s 10 1" ) ;  
  gal_stget ( 10, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -7.460300e-08, 0.0, "gal_gmwgs72", "c 10 2" ) ;  
  gal_vdv ( s, 4.620400e-09, 0.0, "gal_gmwgs72", "s 10 2" ) ;  
  gal_stget ( 10, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.785700e-08, 0.0, "gal_gmwgs72", "c 10 3" ) ;  
  gal_vdv ( s, -1.377800e-07, 0.0, "gal_gmwgs72", "s 10 3" ) ;  
  gal_stget ( 10, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -7.171300e-08, 0.0, "gal_gmwgs72", "c 10 4" ) ;  
  gal_vdv ( s, -4.505800e-08, 0.0, "gal_gmwgs72", "s 10 4" ) ;  
  gal_stget ( 10, 5, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -5.843400e-08, 0.0, "gal_gmwgs72", "c 10 5" ) ;  
  gal_vdv ( s, -4.560700e-08, 0.0, "gal_gmwgs72", "s 10 5" ) ;  
  gal_stget ( 10, 6, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -5.693800e-08, 0.0, "gal_gmwgs72", "c 10 6" ) ;  
  gal_vdv ( s, -8.322900e-08, 0.0, "gal_gmwgs72", "s 10 6" ) ;  
  gal_stget ( 10, 7, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.403000e-08, 0.0, "gal_gmwgs72", "c 10 7" ) ;  
  gal_vdv ( s, -6.404700e-09, 0.0, "gal_gmwgs72", "s 10 7" ) ;  
  gal_stget ( 10, 8, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 4.301200e-08, 0.0, "gal_gmwgs72", "c 10 8" ) ;  
  gal_vdv ( s, -1.004000e-07, 0.0, "gal_gmwgs72", "s 10 8" ) ;  
  gal_stget ( 10, 9, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.263900e-07, 0.0, "gal_gmwgs72", "c 10 9" ) ;  
  gal_vdv ( s, -4.038300e-08, 0.0, "gal_gmwgs72", "s 10 9" ) ;  
  gal_stget ( 10, 10, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.039900e-07, 0.0, "gal_gmwgs72", "c 10 10" ) ;  
  gal_vdv ( s, -3.179900e-08, 0.0, "gal_gmwgs72", "s 10 10" ) ;  
  gal_stget ( 11, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.416200e-08, 0.0, "gal_gmwgs72", "c 11 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 11 0" ) ;  
  gal_stget ( 11, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 8.210900e-08, 0.0, "gal_gmwgs72", "c 11 1" ) ;  
  gal_vdv ( s, 4.100200e-08, 0.0, "gal_gmwgs72", "s 11 1" ) ;  
  gal_stget ( 11, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 4.651000e-09, 0.0, "gal_gmwgs72", "c 11 2" ) ;  
  gal_vdv ( s, -9.758500e-08, 0.0, "gal_gmwgs72", "s 11 2" ) ;  
  gal_stget ( 11, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.433300e-08, 0.0, "gal_gmwgs72", "c 11 3" ) ;  
  gal_vdv ( s, -1.263500e-07, 0.0, "gal_gmwgs72", "s 11 3" ) ;  
  gal_stget ( 11, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.128600e-08, 0.0, "gal_gmwgs72", "c 11 4" ) ;  
  gal_vdv ( s, -6.602200e-08, 0.0, "gal_gmwgs72", "s 11 4" ) ;  
  gal_stget ( 11, 5, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.798700e-08, 0.0, "gal_gmwgs72", "c 11 5" ) ;  
  gal_vdv ( s, 4.140500e-08, 0.0, "gal_gmwgs72", "s 11 5" ) ;  
  gal_stget ( 11, 6, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 5.214600e-09, 0.0, "gal_gmwgs72", "c 11 6" ) ;  
  gal_vdv ( s, 4.795500e-08, 0.0, "gal_gmwgs72", "s 11 6" ) ;  
  gal_stget ( 11, 7, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 5.012500e-08, 0.0, "gal_gmwgs72", "c 11 7" ) ;  
  gal_vdv ( s, -1.149700e-07, 0.0, "gal_gmwgs72", "s 11 7" ) ;  
  gal_stget ( 11, 8, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.014700e-09, 0.0, "gal_gmwgs72", "c 11 8" ) ;  
  gal_vdv ( s, -1.716600e-08, 0.0, "gal_gmwgs72", "s 11 8" ) ;  
  gal_stget ( 11, 9, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -5.296500e-08, 0.0, "gal_gmwgs72", "c 11 9" ) ;  
  gal_vdv ( s, 3.335800e-08, 0.0, "gal_gmwgs72", "s 11 9" ) ;  
  gal_stget ( 11, 10, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -5.134300e-08, 0.0, "gal_gmwgs72", "c 11 10" ) ;  
  gal_vdv ( s, -7.176800e-09, 0.0, "gal_gmwgs72", "s 11 10" ) ;  
  gal_stget ( 11, 11, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 6.381600e-08, 0.0, "gal_gmwgs72", "c 11 11" ) ;  
  gal_vdv ( s, -5.731200e-08, 0.0, "gal_gmwgs72", "s 11 11" ) ;  
  gal_stget ( 12, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 7.598300e-08, 0.0, "gal_gmwgs72", "c 12 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 12 0" ) ;  
  gal_stget ( 12, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -7.253200e-08, 0.0, "gal_gmwgs72", "c 12 1" ) ;  
  gal_vdv ( s, -2.000800e-08, 0.0, "gal_gmwgs72", "s 12 1" ) ;  
  gal_stget ( 12, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.807700e-08, 0.0, "gal_gmwgs72", "c 12 2" ) ;  
  gal_vdv ( s, -4.925200e-08, 0.0, "gal_gmwgs72", "s 12 2" ) ;  
  gal_stget ( 12, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 5.393300e-08, 0.0, "gal_gmwgs72", "c 12 3" ) ;  
  gal_vdv ( s, 3.404800e-09, 0.0, "gal_gmwgs72", "s 12 3" ) ;  
  gal_stget ( 12, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.244300e-07, 0.0, "gal_gmwgs72", "c 12 4" ) ;  
  gal_vdv ( s, -2.337900e-08, 0.0, "gal_gmwgs72", "s 12 4" ) ;  
  gal_stget ( 12, 5, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.574000e-09, 0.0, "gal_gmwgs72", "c 12 5" ) ;  
  gal_vdv ( s, -1.111600e-08, 0.0, "gal_gmwgs72", "s 12 5" ) ;  
  gal_stget ( 12, 6, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.686600e-08, 0.0, "gal_gmwgs72", "c 12 6" ) ;  
  gal_vdv ( s, 3.805400e-08, 0.0, "gal_gmwgs72", "s 12 6" ) ;  
  gal_stget ( 12, 7, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.875500e-08, 0.0, "gal_gmwgs72", "c 12 7" ) ;  
  gal_vdv ( s, 1.356200e-08, 0.0, "gal_gmwgs72", "s 12 7" ) ;  
  gal_stget ( 12, 8, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.916500e-08, 0.0, "gal_gmwgs72", "c 12 8" ) ;  
  gal_vdv ( s, 1.997400e-08, 0.0, "gal_gmwgs72", "s 12 8" ) ;  
  gal_stget ( 12, 9, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.168500e-08, 0.0, "gal_gmwgs72", "c 12 9" ) ;  
  gal_vdv ( s, 2.461700e-08, 0.0, "gal_gmwgs72", "s 12 9" ) ;  
  gal_stget ( 12, 10, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 5.754300e-09, 0.0, "gal_gmwgs72", "c 12 10" ) ;  
  gal_vdv ( s, 3.399000e-08, 0.0, "gal_gmwgs72", "s 12 10" ) ;  
  gal_stget ( 12, 11, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.184300e-08, 0.0, "gal_gmwgs72", "c 12 11" ) ;  
  gal_vdv ( s, -1.077100e-09, 0.0, "gal_gmwgs72", "s 12 11" ) ;  
  gal_stget ( 12, 12, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.258700e-09, 0.0, "gal_gmwgs72", "c 12 12" ) ;  
  gal_vdv ( s, -9.557000e-09, 0.0, "gal_gmwgs72", "s 12 12" ) ;  
  gal_stget ( 13, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.419100e-08, 0.0, "gal_gmwgs72", "c 13 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 13 0" ) ;  
  gal_stget ( 13, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -9.915500e-08, 0.0, "gal_gmwgs72", "c 13 1" ) ;  
  gal_vdv ( s, -5.419300e-08, 0.0, "gal_gmwgs72", "s 13 1" ) ;  
  gal_stget ( 13, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 6.779500e-08, 0.0, "gal_gmwgs72", "c 13 2" ) ;  
  gal_vdv ( s, -5.599900e-08, 0.0, "gal_gmwgs72", "s 13 2" ) ;  
  gal_stget ( 13, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -4.281600e-08, 0.0, "gal_gmwgs72", "c 13 3" ) ;  
  gal_vdv ( s, 7.279300e-08, 0.0, "gal_gmwgs72", "s 13 3" ) ;  
  gal_stget ( 13, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.227300e-08, 0.0, "gal_gmwgs72", "c 13 4" ) ;  
  gal_vdv ( s, -2.573900e-09, 0.0, "gal_gmwgs72", "s 13 4" ) ;  
  gal_stget ( 13, 5, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.914800e-08, 0.0, "gal_gmwgs72", "c 13 5" ) ;  
  gal_vdv ( s, 5.562400e-08, 0.0, "gal_gmwgs72", "s 13 5" ) ;  
  gal_stget ( 13, 6, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -4.835100e-08, 0.0, "gal_gmwgs72", "c 13 6" ) ;  
  gal_vdv ( s, -1.787400e-08, 0.0, "gal_gmwgs72", "s 13 6" ) ;  
  gal_stget ( 13, 7, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.993900e-09, 0.0, "gal_gmwgs72", "c 13 7" ) ;  
  gal_vdv ( s, -2.832000e-08, 0.0, "gal_gmwgs72", "s 13 7" ) ;  
  gal_stget ( 13, 8, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.170600e-10, 0.0, "gal_gmwgs72", "c 13 8" ) ;  
  gal_vdv ( s, -1.599600e-08, 0.0, "gal_gmwgs72", "s 13 8" ) ;  
  gal_stget ( 13, 9, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.688900e-08, 0.0, "gal_gmwgs72", "c 13 9" ) ;  
  gal_vdv ( s, 4.981800e-08, 0.0, "gal_gmwgs72", "s 13 9" ) ;  
  gal_stget ( 13, 10, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 4.834800e-08, 0.0, "gal_gmwgs72", "c 13 10" ) ;  
  gal_vdv ( s, -5.248000e-08, 0.0, "gal_gmwgs72", "s 13 10" ) ;  
  gal_stget ( 13, 11, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.511100e-08, 0.0, "gal_gmwgs72", "c 13 11" ) ;  
  gal_vdv ( s, -1.306500e-08, 0.0, "gal_gmwgs72", "s 13 11" ) ;  
  gal_stget ( 13, 12, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.537200e-08, 0.0, "gal_gmwgs72", "c 13 12" ) ;  
  gal_vdv ( s, 8.771100e-08, 0.0, "gal_gmwgs72", "s 13 12" ) ;  
  gal_stget ( 13, 13, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -6.078800e-08, 0.0, "gal_gmwgs72", "c 13 13" ) ;  
  gal_vdv ( s, 6.916600e-08, 0.0, "gal_gmwgs72", "s 13 13" ) ;  
  gal_stget ( 14, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -5.022700e-08, 0.0, "gal_gmwgs72", "c 14 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 14 0" ) ;  
  gal_stget ( 14, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -7.799100e-09, 0.0, "gal_gmwgs72", "c 14 1" ) ;  
  gal_vdv ( s, -1.035300e-08, 0.0, "gal_gmwgs72", "s 14 1" ) ;  
  gal_stget ( 14, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.650800e-08, 0.0, "gal_gmwgs72", "c 14 2" ) ;  
  gal_vdv ( s, 6.926000e-08, 0.0, "gal_gmwgs72", "s 14 2" ) ;  
  gal_stget ( 14, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.919900e-08, 0.0, "gal_gmwgs72", "c 14 3" ) ;  
  gal_vdv ( s, 3.972500e-08, 0.0, "gal_gmwgs72", "s 14 3" ) ;  
  gal_stget ( 14, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 6.663000e-08, 0.0, "gal_gmwgs72", "c 14 4" ) ;  
  gal_vdv ( s, -3.574900e-08, 0.0, "gal_gmwgs72", "s 14 4" ) ;  
  gal_stget ( 14, 5, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 6.569300e-08, 0.0, "gal_gmwgs72", "c 14 5" ) ;  
  gal_vdv ( s, -3.020700e-08, 0.0, "gal_gmwgs72", "s 14 5" ) ;  
  gal_stget ( 14, 6, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -5.550800e-08, 0.0, "gal_gmwgs72", "c 14 6" ) ;  
  gal_vdv ( s, 1.236700e-08, 0.0, "gal_gmwgs72", "s 14 6" ) ;  
  gal_stget ( 14, 7, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 4.766900e-08, 0.0, "gal_gmwgs72", "c 14 7" ) ;  
  gal_vdv ( s, -1.952000e-08, 0.0, "gal_gmwgs72", "s 14 7" ) ;  
  gal_stget ( 14, 8, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.103500e-08, 0.0, "gal_gmwgs72", "c 14 8" ) ;  
  gal_vdv ( s, -1.361400e-08, 0.0, "gal_gmwgs72", "s 14 8" ) ;  
  gal_stget ( 14, 9, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.358100e-08, 0.0, "gal_gmwgs72", "c 14 9" ) ;  
  gal_vdv ( s, -4.367500e-09, 0.0, "gal_gmwgs72", "s 14 9" ) ;  
  gal_stget ( 14, 10, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.724600e-08, 0.0, "gal_gmwgs72", "c 14 10" ) ;  
  gal_vdv ( s, 5.828800e-09, 0.0, "gal_gmwgs72", "s 14 10" ) ;  
  gal_stget ( 14, 11, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.009200e-08, 0.0, "gal_gmwgs72", "c 14 11" ) ;  
  gal_vdv ( s, -3.131500e-08, 0.0, "gal_gmwgs72", "s 14 11" ) ;  
  gal_stget ( 14, 12, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.048700e-08, 0.0, "gal_gmwgs72", "c 14 12" ) ;  
  gal_vdv ( s, -2.833200e-08, 0.0, "gal_gmwgs72", "s 14 12" ) ;  
  gal_stget ( 14, 13, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.140700e-08, 0.0, "gal_gmwgs72", "c 14 13" ) ;  
  gal_vdv ( s, 4.772400e-08, 0.0, "gal_gmwgs72", "s 14 13" ) ;  
  gal_stget ( 14, 14, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -4.658400e-08, 0.0, "gal_gmwgs72", "c 14 14" ) ;  
  gal_vdv ( s, -2.208600e-09, 0.0, "gal_gmwgs72", "s 14 14" ) ;  
  gal_stget ( 15, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.298800e-08, 0.0, "gal_gmwgs72", "c 15 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 15 0" ) ;  
  gal_stget ( 15, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.164000e-08, 0.0, "gal_gmwgs72", "c 15 1" ) ;  
  gal_vdv ( s, 3.839800e-08, 0.0, "gal_gmwgs72", "s 15 1" ) ;  
  gal_stget ( 15, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.933200e-08, 0.0, "gal_gmwgs72", "c 15 2" ) ;  
  gal_vdv ( s, -6.970600e-08, 0.0, "gal_gmwgs72", "s 15 2" ) ;  
  gal_stget ( 15, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 9.368700e-08, 0.0, "gal_gmwgs72", "c 15 3" ) ;  
  gal_vdv ( s, 6.500000e-08, 0.0, "gal_gmwgs72", "s 15 3" ) ;  
  gal_stget ( 15, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.164000e-08, 0.0, "gal_gmwgs72", "c 15 4" ) ;  
  gal_vdv ( s, 5.388900e-09, 0.0, "gal_gmwgs72", "s 15 4" ) ;  
  gal_stget ( 15, 5, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 9.999800e-09, 0.0, "gal_gmwgs72", "c 15 5" ) ;  
  gal_vdv ( s, -3.324900e-08, 0.0, "gal_gmwgs72", "s 15 5" ) ;  
  gal_stget ( 15, 6, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 6.621100e-08, 0.0, "gal_gmwgs72", "c 15 6" ) ;  
  gal_vdv ( s, -8.664800e-09, 0.0, "gal_gmwgs72", "s 15 6" ) ;  
  gal_stget ( 15, 7, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 7.684700e-08, 0.0, "gal_gmwgs72", "c 15 7" ) ;  
  gal_vdv ( s, 2.375700e-08, 0.0, "gal_gmwgs72", "s 15 7" ) ;  
  gal_stget ( 15, 8, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -8.106400e-08, 0.0, "gal_gmwgs72", "c 15 8" ) ;  
  gal_vdv ( s, 4.239900e-08, 0.0, "gal_gmwgs72", "s 15 8" ) ;  
  gal_stget ( 15, 9, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.549200e-08, 0.0, "gal_gmwgs72", "c 15 9" ) ;  
  gal_vdv ( s, 3.304400e-08, 0.0, "gal_gmwgs72", "s 15 9" ) ;  
  gal_stget ( 15, 10, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -5.570500e-09, 0.0, "gal_gmwgs72", "c 15 10" ) ;  
  gal_vdv ( s, 5.032500e-09, 0.0, "gal_gmwgs72", "s 15 10" ) ;  
  gal_stget ( 15, 11, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.049200e-08, 0.0, "gal_gmwgs72", "c 15 11" ) ;  
  gal_vdv ( s, -3.025500e-10, 0.0, "gal_gmwgs72", "s 15 11" ) ;  
  gal_stget ( 15, 12, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.337500e-08, 0.0, "gal_gmwgs72", "c 15 12" ) ;  
  gal_vdv ( s, 2.130500e-08, 0.0, "gal_gmwgs72", "s 15 12" ) ;  
  gal_stget ( 15, 13, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.981800e-08, 0.0, "gal_gmwgs72", "c 15 13" ) ;  
  gal_vdv ( s, -3.907500e-09, 0.0, "gal_gmwgs72", "s 15 13" ) ;  
  gal_stget ( 15, 14, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 6.733000e-09, 0.0, "gal_gmwgs72", "c 15 14" ) ;  
  gal_vdv ( s, -2.602600e-08, 0.0, "gal_gmwgs72", "s 15 14" ) ;  
  gal_stget ( 15, 15, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.847000e-08, 0.0, "gal_gmwgs72", "c 15 15" ) ;  
  gal_vdv ( s, -7.952200e-09, 0.0, "gal_gmwgs72", "s 15 15" ) ;  
  gal_stget ( 16, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -7.694700e-11, 0.0, "gal_gmwgs72", "c 16 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 16 0" ) ;  
  gal_stget ( 16, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.196200e-08, 0.0, "gal_gmwgs72", "c 16 1" ) ;  
  gal_vdv ( s, 4.751700e-08, 0.0, "gal_gmwgs72", "s 16 1" ) ;  
  gal_stget ( 16, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.957100e-08, 0.0, "gal_gmwgs72", "c 16 2" ) ;  
  gal_vdv ( s, -7.549700e-08, 0.0, "gal_gmwgs72", "s 16 2" ) ;  
  gal_stget ( 16, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.905400e-08, 0.0, "gal_gmwgs72", "c 16 3" ) ;  
  gal_vdv ( s, -2.441500e-08, 0.0, "gal_gmwgs72", "s 16 3" ) ;  
  gal_stget ( 16, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -4.643900e-09, 0.0, "gal_gmwgs72", "c 16 4" ) ;  
  gal_vdv ( s, 8.520200e-08, 0.0, "gal_gmwgs72", "s 16 4" ) ;  
  gal_stget ( 16, 5, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.706600e-08, 0.0, "gal_gmwgs72", "c 16 5" ) ;  
  gal_vdv ( s, -1.100100e-08, 0.0, "gal_gmwgs72", "s 16 5" ) ;  
  gal_stget ( 16, 6, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 8.686800e-08, 0.0, "gal_gmwgs72", "c 16 6" ) ;  
  gal_vdv ( s, -6.863300e-09, 0.0, "gal_gmwgs72", "s 16 6" ) ;  
  gal_stget ( 16, 7, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.548100e-09, 0.0, "gal_gmwgs72", "c 16 7" ) ;  
  gal_vdv ( s, 1.034100e-08, 0.0, "gal_gmwgs72", "s 16 7" ) ;  
  gal_stget ( 16, 8, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -7.067200e-09, 0.0, "gal_gmwgs72", "c 16 8" ) ;  
  gal_vdv ( s, 7.820100e-09, 0.0, "gal_gmwgs72", "s 16 8" ) ;  
  gal_stget ( 16, 9, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.315400e-08, 0.0, "gal_gmwgs72", "c 16 9" ) ;  
  gal_vdv ( s, -3.275600e-08, 0.0, "gal_gmwgs72", "s 16 9" ) ;  
  gal_stget ( 16, 10, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.755500e-08, 0.0, "gal_gmwgs72", "c 16 10" ) ;  
  gal_vdv ( s, 1.030500e-08, 0.0, "gal_gmwgs72", "s 16 10" ) ;  
  gal_stget ( 16, 11, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.741700e-08, 0.0, "gal_gmwgs72", "c 16 11" ) ;  
  gal_vdv ( s, -1.867500e-08, 0.0, "gal_gmwgs72", "s 16 11" ) ;  
  gal_stget ( 16, 12, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 9.727700e-09, 0.0, "gal_gmwgs72", "c 16 12" ) ;  
  gal_vdv ( s, -1.275000e-10, 0.0, "gal_gmwgs72", "s 16 12" ) ;  
  gal_stget ( 16, 13, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.368400e-08, 0.0, "gal_gmwgs72", "c 16 13" ) ;  
  gal_vdv ( s, -5.648600e-10, 0.0, "gal_gmwgs72", "s 16 13" ) ;  
  gal_stget ( 16, 14, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.956700e-08, 0.0, "gal_gmwgs72", "c 16 14" ) ;  
  gal_vdv ( s, -5.735900e-08, 0.0, "gal_gmwgs72", "s 16 14" ) ;  
  gal_stget ( 16, 15, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.327500e-08, 0.0, "gal_gmwgs72", "c 16 15" ) ;  
  gal_vdv ( s, -2.517400e-08, 0.0, "gal_gmwgs72", "s 16 15" ) ;  
  gal_stget ( 16, 16, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -4.500600e-08, 0.0, "gal_gmwgs72", "c 16 16" ) ;  
  gal_vdv ( s, 4.914300e-08, 0.0, "gal_gmwgs72", "s 16 16" ) ;  
  gal_stget ( 17, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.320300e-08, 0.0, "gal_gmwgs72", "c 17 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 17 0" ) ;  
  gal_stget ( 17, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.265500e-09, 0.0, "gal_gmwgs72", "c 17 1" ) ;  
  gal_vdv ( s, 1.527600e-08, 0.0, "gal_gmwgs72", "s 17 1" ) ;  
  gal_stget ( 17, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 5.985800e-08, 0.0, "gal_gmwgs72", "c 17 2" ) ;  
  gal_vdv ( s, 1.075200e-07, 0.0, "gal_gmwgs72", "s 17 2" ) ;  
  gal_stget ( 17, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.028200e-08, 0.0, "gal_gmwgs72", "c 17 3" ) ;  
  gal_vdv ( s, -4.212500e-09, 0.0, "gal_gmwgs72", "s 17 3" ) ;  
  gal_stget ( 17, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.026300e-08, 0.0, "gal_gmwgs72", "c 17 4" ) ;  
  gal_vdv ( s, 2.867000e-08, 0.0, "gal_gmwgs72", "s 17 4" ) ;  
  gal_stget ( 17, 5, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.650700e-08, 0.0, "gal_gmwgs72", "c 17 5" ) ;  
  gal_vdv ( s, 5.494600e-08, 0.0, "gal_gmwgs72", "s 17 5" ) ;  
  gal_stget ( 17, 6, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.876400e-08, 0.0, "gal_gmwgs72", "c 17 6" ) ;  
  gal_vdv ( s, -7.673300e-08, 0.0, "gal_gmwgs72", "s 17 6" ) ;  
  gal_stget ( 17, 7, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.165800e-08, 0.0, "gal_gmwgs72", "c 17 7" ) ;  
  gal_vdv ( s, 2.014000e-08, 0.0, "gal_gmwgs72", "s 17 7" ) ;  
  gal_stget ( 17, 8, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.082800e-07, 0.0, "gal_gmwgs72", "c 17 8" ) ;  
  gal_vdv ( s, 1.474500e-08, 0.0, "gal_gmwgs72", "s 17 8" ) ;  
  gal_stget ( 17, 9, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.805400e-08, 0.0, "gal_gmwgs72", "c 17 9" ) ;  
  gal_vdv ( s, -3.353700e-08, 0.0, "gal_gmwgs72", "s 17 9" ) ;  
  gal_stget ( 17, 10, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.380700e-08, 0.0, "gal_gmwgs72", "c 17 10" ) ;  
  gal_vdv ( s, 2.818900e-08, 0.0, "gal_gmwgs72", "s 17 10" ) ;  
  gal_stget ( 17, 11, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.383100e-08, 0.0, "gal_gmwgs72", "c 17 11" ) ;  
  gal_vdv ( s, -1.074200e-08, 0.0, "gal_gmwgs72", "s 17 11" ) ;  
  gal_stget ( 17, 12, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.670500e-10, 0.0, "gal_gmwgs72", "c 17 12" ) ;  
  gal_vdv ( s, 1.371900e-08, 0.0, "gal_gmwgs72", "s 17 12" ) ;  
  gal_stget ( 17, 13, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.860800e-08, 0.0, "gal_gmwgs72", "c 17 13" ) ;  
  gal_vdv ( s, 1.920200e-08, 0.0, "gal_gmwgs72", "s 17 13" ) ;  
  gal_stget ( 17, 14, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.094000e-08, 0.0, "gal_gmwgs72", "c 17 14" ) ;  
  gal_vdv ( s, 1.742900e-08, 0.0, "gal_gmwgs72", "s 17 14" ) ;  
  gal_stget ( 17, 15, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 8.176100e-09, 0.0, "gal_gmwgs72", "c 17 15" ) ;  
  gal_vdv ( s, 1.443800e-08, 0.0, "gal_gmwgs72", "s 17 15" ) ;  
  gal_stget ( 17, 16, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.929100e-08, 0.0, "gal_gmwgs72", "c 17 16" ) ;  
  gal_vdv ( s, -3.142900e-08, 0.0, "gal_gmwgs72", "s 17 16" ) ;  
  gal_stget ( 17, 17, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.077500e-08, 0.0, "gal_gmwgs72", "c 17 17" ) ;  
  gal_vdv ( s, -1.150700e-08, 0.0, "gal_gmwgs72", "s 17 17" ) ;  
  gal_stget ( 18, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.445300e-08, 0.0, "gal_gmwgs72", "c 18 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 18 0" ) ;  
  gal_stget ( 18, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 5.576800e-09, 0.0, "gal_gmwgs72", "c 18 1" ) ;  
  gal_vdv ( s, -4.095100e-08, 0.0, "gal_gmwgs72", "s 18 1" ) ;  
  gal_stget ( 18, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.315600e-08, 0.0, "gal_gmwgs72", "c 18 2" ) ;  
  gal_vdv ( s, 1.353000e-07, 0.0, "gal_gmwgs72", "s 18 2" ) ;  
  gal_stget ( 18, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.949000e-08, 0.0, "gal_gmwgs72", "c 18 3" ) ;  
  gal_vdv ( s, 5.324200e-09, 0.0, "gal_gmwgs72", "s 18 3" ) ;  
  gal_stget ( 18, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 9.561500e-08, 0.0, "gal_gmwgs72", "c 18 4" ) ;  
  gal_vdv ( s, -8.701600e-08, 0.0, "gal_gmwgs72", "s 18 4" ) ;  
  gal_stget ( 18, 5, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.928200e-08, 0.0, "gal_gmwgs72", "c 18 5" ) ;  
  gal_vdv ( s, 9.262300e-09, 0.0, "gal_gmwgs72", "s 18 5" ) ;  
  gal_stget ( 18, 6, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.175500e-08, 0.0, "gal_gmwgs72", "c 18 6" ) ;  
  gal_vdv ( s, -3.330800e-08, 0.0, "gal_gmwgs72", "s 18 6" ) ;  
  gal_stget ( 18, 7, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -9.216300e-09, 0.0, "gal_gmwgs72", "c 18 7" ) ;  
  gal_vdv ( s, 1.390500e-08, 0.0, "gal_gmwgs72", "s 18 7" ) ;  
  gal_stget ( 18, 8, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 5.145900e-08, 0.0, "gal_gmwgs72", "c 18 8" ) ;  
  gal_vdv ( s, 8.805300e-09, 0.0, "gal_gmwgs72", "s 18 8" ) ;  
  gal_stget ( 18, 9, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.023300e-08, 0.0, "gal_gmwgs72", "c 18 9" ) ;  
  gal_vdv ( s, 4.248300e-08, 0.0, "gal_gmwgs72", "s 18 9" ) ;  
  gal_stget ( 18, 10, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.437900e-08, 0.0, "gal_gmwgs72", "c 18 10" ) ;  
  gal_vdv ( s, 3.149100e-08, 0.0, "gal_gmwgs72", "s 18 10" ) ;  
  gal_stget ( 18, 11, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.513100e-08, 0.0, "gal_gmwgs72", "c 18 11" ) ;  
  gal_vdv ( s, 1.115900e-08, 0.0, "gal_gmwgs72", "s 18 11" ) ;  
  gal_stget ( 18, 12, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.960400e-08, 0.0, "gal_gmwgs72", "c 18 12" ) ;  
  gal_vdv ( s, -1.251900e-08, 0.0, "gal_gmwgs72", "s 18 12" ) ;  
  gal_stget ( 18, 13, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -9.126300e-09, 0.0, "gal_gmwgs72", "c 18 13" ) ;  
  gal_vdv ( s, -3.399300e-08, 0.0, "gal_gmwgs72", "s 18 13" ) ;  
  gal_stget ( 18, 14, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.723900e-08, 0.0, "gal_gmwgs72", "c 18 14" ) ;  
  gal_vdv ( s, 1.637500e-08, 0.0, "gal_gmwgs72", "s 18 14" ) ;  
  gal_stget ( 18, 15, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -4.829400e-08, 0.0, "gal_gmwgs72", "c 18 15" ) ;  
  gal_vdv ( s, -3.815600e-08, 0.0, "gal_gmwgs72", "s 18 15" ) ;  
  gal_stget ( 18, 16, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.413100e-08, 0.0, "gal_gmwgs72", "c 18 16" ) ;  
  gal_vdv ( s, -7.496100e-08, 0.0, "gal_gmwgs72", "s 18 16" ) ;  
  gal_stget ( 18, 17, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.554600e-08, 0.0, "gal_gmwgs72", "c 18 17" ) ;  
  gal_vdv ( s, -3.641300e-09, 0.0, "gal_gmwgs72", "s 18 17" ) ;  
  gal_stget ( 18, 18, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 5.763900e-09, 0.0, "gal_gmwgs72", "c 18 18" ) ;  
  gal_vdv ( s, -2.378200e-08, 0.0, "gal_gmwgs72", "s 18 18" ) ;  
  gal_stget ( 19, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -4.591200e-09, 0.0, "gal_gmwgs72", "c 19 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 19 0" ) ;  
  gal_stget ( 19, 1, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.751700e-08, 0.0, "gal_gmwgs72", "c 19 1" ) ;  
  gal_vdv ( s, 1.227000e-08, 0.0, "gal_gmwgs72", "s 19 1" ) ;  
  gal_stget ( 19, 2, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.370700e-07, 0.0, "gal_gmwgs72", "c 19 2" ) ;  
  gal_vdv ( s, -5.251000e-08, 0.0, "gal_gmwgs72", "s 19 2" ) ;  
  gal_stget ( 19, 3, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 6.880800e-08, 0.0, "gal_gmwgs72", "c 19 3" ) ;  
  gal_vdv ( s, -1.002100e-08, 0.0, "gal_gmwgs72", "s 19 3" ) ;  
  gal_stget ( 19, 4, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.282100e-08, 0.0, "gal_gmwgs72", "c 19 4" ) ;  
  gal_vdv ( s, -5.101800e-09, 0.0, "gal_gmwgs72", "s 19 4" ) ;  
  gal_stget ( 19, 5, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.051100e-07, 0.0, "gal_gmwgs72", "c 19 5" ) ;  
  gal_vdv ( s, -5.541100e-08, 0.0, "gal_gmwgs72", "s 19 5" ) ;  
  gal_stget ( 19, 6, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -5.553200e-09, 0.0, "gal_gmwgs72", "c 19 6" ) ;  
  gal_vdv ( s, 3.838900e-08, 0.0, "gal_gmwgs72", "s 19 6" ) ;  
  gal_stget ( 19, 7, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.138100e-07, 0.0, "gal_gmwgs72", "c 19 7" ) ;  
  gal_vdv ( s, -1.203000e-08, 0.0, "gal_gmwgs72", "s 19 7" ) ;  
  gal_stget ( 19, 8, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.065200e-08, 0.0, "gal_gmwgs72", "c 19 8" ) ;  
  gal_vdv ( s, -3.942500e-08, 0.0, "gal_gmwgs72", "s 19 8" ) ;  
  gal_stget ( 19, 9, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.890100e-08, 0.0, "gal_gmwgs72", "c 19 9" ) ;  
  gal_vdv ( s, -1.272100e-08, 0.0, "gal_gmwgs72", "s 19 9" ) ;  
  gal_stget ( 19, 10, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -8.453600e-09, 0.0, "gal_gmwgs72", "c 19 10" ) ;  
  gal_vdv ( s, 2.588500e-08, 0.0, "gal_gmwgs72", "s 19 10" ) ;  
  gal_stget ( 19, 11, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -8.238300e-09, 0.0, "gal_gmwgs72", "c 19 11" ) ;  
  gal_vdv ( s, 5.277900e-08, 0.0, "gal_gmwgs72", "s 19 11" ) ;  
  gal_stget ( 19, 12, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 4.261700e-08, 0.0, "gal_gmwgs72", "c 19 12" ) ;  
  gal_vdv ( s, 1.616600e-08, 0.0, "gal_gmwgs72", "s 19 12" ) ;  
  gal_stget ( 19, 13, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.353700e-09, 0.0, "gal_gmwgs72", "c 19 13" ) ;  
  gal_vdv ( s, -3.158500e-08, 0.0, "gal_gmwgs72", "s 19 13" ) ;  
  gal_stget ( 19, 14, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.860200e-09, 0.0, "gal_gmwgs72", "c 19 14" ) ;  
  gal_vdv ( s, -1.857200e-08, 0.0, "gal_gmwgs72", "s 19 14" ) ;  
  gal_stget ( 19, 15, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.740400e-08, 0.0, "gal_gmwgs72", "c 19 15" ) ;  
  gal_vdv ( s, -2.101600e-08, 0.0, "gal_gmwgs72", "s 19 15" ) ;  
  gal_stget ( 19, 16, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -8.936700e-09, 0.0, "gal_gmwgs72", "c 19 16" ) ;  
  gal_vdv ( s, 1.085300e-07, 0.0, "gal_gmwgs72", "s 19 16" ) ;  
  gal_stget ( 19, 17, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.947300e-08, 0.0, "gal_gmwgs72", "c 19 17" ) ;  
  gal_vdv ( s, -4.168300e-08, 0.0, "gal_gmwgs72", "s 19 17" ) ;  
  gal_stget ( 19, 18, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.397400e-08, 0.0, "gal_gmwgs72", "c 19 18" ) ;  
  gal_vdv ( s, -1.836800e-08, 0.0, "gal_gmwgs72", "s 19 18" ) ;  
  gal_stget ( 19, 19, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.204900e-08, 0.0, "gal_gmwgs72", "c 19 19" ) ;  
  gal_vdv ( s, 1.834300e-08, 0.0, "gal_gmwgs72", "s 19 19" ) ;  
  gal_stget ( 20, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -9.930700e-10, 0.0, "gal_gmwgs72", "c 20 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 20 0" ) ;  
  gal_stget ( 20, 12, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.050800e-09, 0.0, "gal_gmwgs72", "c 20 12" ) ;  
  gal_vdv ( s, 1.863200e-08, 0.0, "gal_gmwgs72", "s 20 12" ) ;  
  gal_stget ( 20, 13, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.083200e-08, 0.0, "gal_gmwgs72", "c 20 13" ) ;  
  gal_vdv ( s, 1.506600e-08, 0.0, "gal_gmwgs72", "s 20 13" ) ;  
  gal_stget ( 20, 14, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 9.546200e-09, 0.0, "gal_gmwgs72", "c 20 14" ) ;  
  gal_vdv ( s, -1.247800e-08, 0.0, "gal_gmwgs72", "s 20 14" ) ;  
  gal_stget ( 20, 15, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.606700e-10, 0.0, "gal_gmwgs72", "c 20 15" ) ;  
  gal_vdv ( s, 2.389100e-08, 0.0, "gal_gmwgs72", "s 20 15" ) ;  
  gal_stget ( 20, 16, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.572300e-08, 0.0, "gal_gmwgs72", "c 20 16" ) ;  
  gal_vdv ( s, 2.357300e-09, 0.0, "gal_gmwgs72", "s 20 16" ) ;  
  gal_stget ( 21, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.073800e-08, 0.0, "gal_gmwgs72", "c 21 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 21 0" ) ;  
  gal_stget ( 21, 12, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.634900e-08, 0.0, "gal_gmwgs72", "c 21 12" ) ;  
  gal_vdv ( s, 3.676300e-08, 0.0, "gal_gmwgs72", "s 21 12" ) ;  
  gal_stget ( 21, 13, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.137000e-08, 0.0, "gal_gmwgs72", "c 21 13" ) ;  
  gal_vdv ( s, 1.324600e-08, 0.0, "gal_gmwgs72", "s 21 13" ) ;  
  gal_stget ( 21, 14, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.194100e-08, 0.0, "gal_gmwgs72", "c 21 14" ) ;  
  gal_vdv ( s, 1.034200e-08, 0.0, "gal_gmwgs72", "s 21 14" ) ;  
  gal_stget ( 21, 15, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.898900e-09, 0.0, "gal_gmwgs72", "c 21 15" ) ;  
  gal_vdv ( s, -1.286700e-09, 0.0, "gal_gmwgs72", "s 21 15" ) ;  
  gal_stget ( 21, 16, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.139500e-08, 0.0, "gal_gmwgs72", "c 21 16" ) ;  
  gal_vdv ( s, -9.394700e-08, 0.0, "gal_gmwgs72", "s 21 16" ) ;  
  gal_stget ( 22, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 6.139800e-09, 0.0, "gal_gmwgs72", "c 22 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 22 0" ) ;  
  gal_stget ( 22, 12, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.354300e-08, 0.0, "gal_gmwgs72", "c 22 12" ) ;  
  gal_vdv ( s, -1.395900e-08, 0.0, "gal_gmwgs72", "s 22 12" ) ;  
  gal_stget ( 22, 13, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.851000e-08, 0.0, "gal_gmwgs72", "c 22 13" ) ;  
  gal_vdv ( s, 2.161400e-08, 0.0, "gal_gmwgs72", "s 22 13" ) ;  
  gal_stget ( 22, 14, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.166600e-08, 0.0, "gal_gmwgs72", "c 22 14" ) ;  
  gal_vdv ( s, -1.603500e-08, 0.0, "gal_gmwgs72", "s 22 14" ) ;  
  gal_stget ( 22, 15, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.279400e-09, 0.0, "gal_gmwgs72", "c 22 15" ) ;  
  gal_vdv ( s, 1.906700e-08, 0.0, "gal_gmwgs72", "s 22 15" ) ;  
  gal_stget ( 22, 16, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -1.622400e-08, 0.0, "gal_gmwgs72", "c 22 16" ) ;  
  gal_vdv ( s, 2.406900e-08, 0.0, "gal_gmwgs72", "s 22 16" ) ;  
  gal_stget ( 23, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.371600e-08, 0.0, "gal_gmwgs72", "c 23 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 23 0" ) ;  
  gal_stget ( 23, 12, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.322200e-08, 0.0, "gal_gmwgs72", "c 23 12" ) ;  
  gal_vdv ( s, -5.064800e-08, 0.0, "gal_gmwgs72", "s 23 12" ) ;  
  gal_stget ( 23, 13, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.474900e-08, 0.0, "gal_gmwgs72", "c 23 13" ) ;  
  gal_vdv ( s, -8.493900e-09, 0.0, "gal_gmwgs72", "s 23 13" ) ;  
  gal_stget ( 23, 14, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.495500e-08, 0.0, "gal_gmwgs72", "c 23 14" ) ;  
  gal_vdv ( s, 2.778100e-09, 0.0, "gal_gmwgs72", "s 23 14" ) ;  
  gal_stget ( 23, 15, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.986500e-09, 0.0, "gal_gmwgs72", "c 23 15" ) ;  
  gal_vdv ( s, 2.706100e-09, 0.0, "gal_gmwgs72", "s 23 15" ) ;  
  gal_stget ( 24, 0, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.219200e-09, 0.0, "gal_gmwgs72", "c 24 0" ) ;  
  gal_vdv ( s, 0.000000e+00, 0.0, "gal_gmwgs72", "s 24 0" ) ;  
  gal_stget ( 24, 12, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -4.491400e-08, 0.0, "gal_gmwgs72", "c 24 12" ) ;  
  gal_vdv ( s, -5.379800e-09, 0.0, "gal_gmwgs72", "s 24 12" ) ;  
  gal_stget ( 24, 13, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 6.597200e-09, 0.0, "gal_gmwgs72", "c 24 13" ) ;  
  gal_vdv ( s, 5.199200e-09, 0.0, "gal_gmwgs72", "s 24 13" ) ;  
  gal_stget ( 24, 14, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.330900e-08, 0.0, "gal_gmwgs72", "c 24 14" ) ;  
  gal_vdv ( s, -1.068700e-08, 0.0, "gal_gmwgs72", "s 24 14" ) ;  
  gal_stget ( 24, 15, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.644700e-09, 0.0, "gal_gmwgs72", "c 24 15" ) ;  
  gal_vdv ( s, -5.627000e-08, 0.0, "gal_gmwgs72", "s 24 15" ) ;  
  gal_stget ( 25, 12, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -6.401600e-08, 0.0, "gal_gmwgs72", "c 25 12" ) ;  
  gal_vdv ( s, 1.554000e-08, 0.0, "gal_gmwgs72", "s 25 12" ) ;  
  gal_stget ( 25, 13, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -6.313300e-09, 0.0, "gal_gmwgs72", "c 25 13" ) ;  
  gal_vdv ( s, -1.841000e-08, 0.0, "gal_gmwgs72", "s 25 13" ) ;  
  gal_stget ( 25, 14, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.597700e-08, 0.0, "gal_gmwgs72", "c 25 14" ) ;  
  gal_vdv ( s, 3.259300e-09, 0.0, "gal_gmwgs72", "s 25 14" ) ;  
  gal_stget ( 25, 15, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 7.569000e-09, 0.0, "gal_gmwgs72", "c 25 15" ) ;  
  gal_vdv ( s, 1.238800e-08, 0.0, "gal_gmwgs72", "s 25 15" ) ;  
  gal_stget ( 25, 16, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.824100e-09, 0.0, "gal_gmwgs72", "c 25 16" ) ;  
  gal_vdv ( s, -4.341300e-09, 0.0, "gal_gmwgs72", "s 25 16" ) ;  
  gal_stget ( 26, 13, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.618600e-09, 0.0, "gal_gmwgs72", "c 26 13" ) ;  
  gal_vdv ( s, -1.644900e-08, 0.0, "gal_gmwgs72", "s 26 13" ) ;  
  gal_stget ( 26, 14, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.198500e-08, 0.0, "gal_gmwgs72", "c 26 14" ) ;  
  gal_vdv ( s, 2.994500e-08, 0.0, "gal_gmwgs72", "s 26 14" ) ;  
  gal_stget ( 26, 15, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 2.319200e-08, 0.0, "gal_gmwgs72", "c 26 15" ) ;  
  gal_vdv ( s, 5.214300e-09, 0.0, "gal_gmwgs72", "s 26 15" ) ;  
  gal_stget ( 26, 16, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 5.888300e-08, 0.0, "gal_gmwgs72", "c 26 16" ) ;  
  gal_vdv ( s, -5.587900e-08, 0.0, "gal_gmwgs72", "s 26 16" ) ;  
  gal_stget ( 27, 13, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -3.363800e-08, 0.0, "gal_gmwgs72", "c 27 13" ) ;  
  gal_vdv ( s, -1.012400e-08, 0.0, "gal_gmwgs72", "s 27 13" ) ;  
  gal_stget ( 27, 14, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 1.528100e-08, 0.0, "gal_gmwgs72", "c 27 14" ) ;  
  gal_vdv ( s, 7.829800e-09, 0.0, "gal_gmwgs72", "s 27 14" ) ;  
  gal_stget ( 27, 15, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.054700e-08, 0.0, "gal_gmwgs72", "c 27 15" ) ;  
  gal_vdv ( s, -7.092200e-09, 0.0, "gal_gmwgs72", "s 27 15" ) ;  
  gal_stget ( 27, 27, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, 3.000000e-09, 0.0, "gal_gmwgs72", "c 27 27" ) ;  
  gal_vdv ( s, 9.999900e-10, 0.0, "gal_gmwgs72", "s 27 27" ) ;  
  gal_stget ( 28, 27, &gal_gmwgs72, &c, &s ) ;  
  gal_vdv ( c, -2.200000e-08, 0.0, "gal_gmwgs72", "c 28 27" ) ;  
  gal_vdv ( s, 8.999900e-09, 0.0, "gal_gmwgs72", "s 28 27" ) ;  
  
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  

}
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

