/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ s t g e t _ t e s t  
 *  - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_stget routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_stget  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 March 22 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_stget_test.h"
#include "gal_stget.h"
#include "gal_test.h"
#include "gal_const.h"
  
void  
gal_stget_test  
 (  
 ) 
 
{

  extern int gal_tfunc ;
  
  extern gal_gm_t gal_gmwgs72 ;
  
  double c, s ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
  gal_viv ( gal_stget ( 1000, 1000, &gal_gmwgs72, &c, &s ) , GAL_FAILURE, "gal_stget", "a 0" ) ;  

  gal_viv ( gal_stget (    2,    0, &gal_gmwgs72, &c, &s ) , GAL_SUCCESS, "gal_stget", "a 1" ) ;  
  gal_vdv ( c, -484.1605e-06, 0, "gal_stget", "c 0" ) ;  
  gal_vdv ( s,   0.0,         0, "gal_stget", "s 1" ) ;  

  gal_stget ( 15, 11, &gal_gmwgs72, &c, &s ) ;
  gal_vdv ( c, -1.0492e-08, 0, "gal_stget", "c 1" ) ;  
  gal_vdv ( s, -3.0255e-10, 0, "gal_stget", "s 1" ) ;  
  
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  

}
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

