/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ s t s e t _ t e s t  
 *  - - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_stset routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_stset  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 March 23 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_stset_test.h"
#include "gal_stset.h"
#include "gal_test.h"
#include "gal_gm.h"
  
void  
gal_stset_test  
 (  
 ) 
 
{

  extern int gal_tfunc ;
  
  gal_gm_t gm ;
  
  double terms[11][11] ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gm.terms = ( double * ) terms ;
  
  gm.max_degree = 10 ;
  gm.max_order  = 10 ;
  
  gal_stset ( 2, 1, 3.0, 4.0, &gm ) ;
    
  gal_vdv ( terms[2][1], 3.0, 0.0, "gal_stset", "c 0" ) ;  
  gal_vdv ( terms[0][2], 4.0, 0.0, "gal_stset", "s 0" ) ;  

  gal_stset ( 5, 10, 7.0, 8.0, &gm ) ;
    
  gal_vdv ( terms[5][10], 7.0, 0.0, "gal_stset", "c 1" ) ;  
  gal_vdv ( terms[9][5],  8.0, 0.0, "gal_stset", "s 1" ) ;  
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  

}
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

