/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ u n c a n p v _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_uncanpv routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_uncanpv  
 *     gal_vdv 
 *  
 *  This Revision:
 *  
 *     2008 September 20 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_uncanpv_test.h"
#include "gal_uncanpv.h"
#include "gal_test.h"
  
void  
gal_uncanpv_test  
 (  
 ) 
 
{

  extern int gal_tfunc ;  

  double pv1[2][3] = {
    {  0.17738, -0.35784, 1.04614, } ,
    { -0.71383,  0.54436, 0.30723, } ,
  } ;
  
  double pv2[2][3] ;

  double gm = 3.986004418e+14 ;
  double re = 6.378137e+06 ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_uncanpv ( pv1, gm, re, pv2 ) ;
      
  gal_vdv ( pv2[0][0],  1131340.0,  1e+2, "gal_uncanpv", "pv2[0][0] 0" ) ;  
  gal_vdv ( pv2[0][1], -2282343.0,  1e+2, "gal_uncanpv", "pv2[0][1] 0" ) ;  
  gal_vdv ( pv2[0][2],  6672423.0,  1e+2, "gal_uncanpv", "pv2[0][2] 0" ) ;  
  gal_vdv ( pv2[1][0],   -5643.05,  1e-1, "gal_uncanpv", "pv2[1][0] 0" ) ;  
  gal_vdv ( pv2[1][1],    4303.33,  1e-1, "gal_uncanpv", "pv2[1][1] 0" ) ;  
  gal_vdv ( pv2[1][2],    2428.79,  1e-1, "gal_uncanpv", "pv2[1][2] 0" ) ;  
    
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  

}

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

