/*  
 *  - - - - - - - - - - - - - - - - 
 *   g a l _ p v t 2 p v _ t e s t  
 *  - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_pvt2pv routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_pvt2pv  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 September 13 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_pvt2pv_test.h"
#include "gal_pvt2pv.h"
#include "gal_test.h"
#include "gal_const.h"
  
void  
gal_pvt2pv_test  
 (  
 ) 
 
{

  extern int gal_tfunc ;  

  const double gm = 3.986004418e+14 ;
  
  double pv0[2][3] = {
   { 1131340.0, -2282343.0, 6672423.0 } ,
   {  -5643.05,    4303.33,   2428.79 } ,
  } ;
  
  double pv[2][3] ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

/*
 * Vallado 2nd Ed Page 102-103 example 2-4
 */
 
  gal_pvt2pv ( gm, pv0, 0.0, 0.0, 0.0, 40.0 * 60.0 / GAL_D2S , pv ) ;
  
  gal_vdv ( pv[0][0], -4219853.0, 1e+3, "gal_pvt2pv", "pv[0][0] 0"  ) ;  
  gal_vdv ( pv[0][1],  4363116.0, 1e+2, "gal_pvt2pv", "pv[0][1] 0"  ) ;  
  gal_vdv ( pv[0][2], -3958789.0, 1e+2, "gal_pvt2pv", "pv[0][2] 0"  ) ;  
  gal_vdv ( pv[1][0],   3689.736, 1e-0, "gal_pvt2pv", "pv[1][0] 0"  ) ;  
  gal_vdv ( pv[1][1],  -1916.620, 1e-0, "gal_pvt2pv", "pv[1][1] 0"  ) ;  
  gal_vdv ( pv[1][2],  -6112.528, 1e-0, "gal_pvt2pv", "pv[1][2] 0"  ) ;  

  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  

}
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

