/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ m a 2 e a _ t e s t  
 *  - - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_t2pa routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_t2pa  
 *     gal_vdv  
 *
 *  Notes:
 *
 *  1) Test case from Vallado 2nd ed Pages 77-78
 *  
 *  This Revision:
 *  
 *     2009 January 2 
 *  
 *  Copyright (C) 2009 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_t2pa_test.h"
#include "gal_t2pa.h"
#include "gal_test.h"
#include "gal_const.h"
  
void  
gal_t2pa_test  
 (  
 ) 
 
{

  extern int gal_tfunc ;  

  double gm = 3.986004461e+14 ; /* JGM-3 */
         
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  


  gal_vdv ( gal_t2pa ( gm, 53.7874 * 60.0, 25512000.0 ) , 0.8177316 , 1e-4, "gal_t2pa", "a"  ) ;  

  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  

}

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2009 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

