/*  
 *  - - - - - - - - - - - - - - - - - - - - -
 *   g a l _ t k e p l e r - ( m a i n . c )  
 *  - - - - - - - - - - - - - - - - - - - - -
 *  
 *  This program is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This program runs the test suite for the kepler sub-library
 *  
 *  Status: 
 *  
 *     Library test program  
 *  
 *  Returned:  
 *  
 *     gal_tkepler      i           GAL_SUCCESS is returned if all the tests pass, 
 *                                  GAL_FAILURE is returned if any of the tests fail
 *  
 *  Called:  
 *  
 *     gal_test_start               Initialize and start the test run
 *     gal_test_stop                Stop the test run and output the statistics
 *     gal_pv2kep_test              gal_pv2kep test routine
 *     gal_kep2pv_test              gal_kep2pv test routine
 *     gal_ma2ea_test               gal_ma2ea test routine
 *     gal_ma2ha_test               gal_ma2ha test routine
 *     gal_t2pa_test                gal_t2pa test routine
 *  
 *  This revision:  
 * 
 *     2009 January 2
 *  
 *  Copyright (C) 2008, 2009 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include "gal_test_common.h"
#include "gal_test.h"
#include "gal_pv2kep_test.h"
#include "gal_kep2pv_test.h"
#include "gal_pvt2pv_test.h"
#include "gal_ma2ea_test.h"
#include "gal_ma2ha_test.h"
#include "gal_t2pa_test.h"

int
main
  (
  )
  
{

/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_test_start ( "Kepler", 0 ) ;
  gal_kep2pv_test () ; 
  gal_pv2kep_test () ; 
  gal_pvt2pv_test () ;
  gal_ma2ea_test  () ;
  gal_ma2ha_test  () ;
  gal_t2pa_test   () ;
  
  return gal_test_stop () ;
 
/*  
 * Finished.  
 */  

}

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008, 2009 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
