/*  
 *  - - - - - - - - - - - - - - - - - - - -  
 *   g a l _ f a c t o r i a l 2 _ t e s t  
 *  - - - - - - - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_factorial2 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_factorial2
 *     gal_facexp_alloc
 *     gal_facexp_free  
 *     gal_vldv
 *     gal_viv  
 *  
 *  This Revision:
 *  
 *     2008 June 15 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_factorial2_test.h"
#include "gal_factorial2.h"
#include "gal_facexp_alloc.h"
#include "gal_facexp_free.h"
#include "gal_test.h"
  
void  
gal_factorial2_test  
 (  
 ) 
 
{

  extern int gal_tfunc ;
  
  gal_facexp_t *facexp ;
  
  long double f ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  facexp = gal_facexp_alloc ( 1005 ) ;
  
  gal_viv ( gal_factorial2 ( facexp, 1006, 0, 0, &f ) , 1, "gal_factorial2", "a 0" ) ;
  gal_viv ( gal_factorial2 ( facexp, 1001, 0, 0, &f ) , 2, "gal_factorial2", "a 1" ) ;

  gal_viv ( gal_factorial2 ( facexp,   0, 0, 0, &f ) , 0, "gal_factorial2", "a 2" ) ; 
  gal_vldv ( f , 1.0, 0.0, "gal_factorial2", "f 0" ) ;  
  gal_viv ( gal_factorial2 ( facexp,   1, 0, 0, &f ) , 0, "gal_factorial2", "a 3" ) ;
  gal_vldv ( f , 1.0, 0.0, "gal_factorial2", "f 1" ) ;  
  gal_viv ( gal_factorial2 ( facexp,   2, 0, 0, &f ) , 0, "gal_factorial2", "a 4" ) ;
  gal_vldv ( f , 2.0, 0.0, "gal_factorial2", "f 2" ) ;  
  gal_viv ( gal_factorial2 ( facexp,   3, 0, 0, &f ) , 0, "gal_factorial2", "a 5" ) ;
  gal_vldv ( f , 6.0, 0.0, "gal_factorial2", "f 3" ) ;  
  gal_viv ( gal_factorial2 ( facexp,   4, 0, 0, &f ) , 0, "gal_factorial2", "a 6" ) ;
  gal_vldv ( f , 24.0, 0.0, "gal_factorial2", "f 4" ) ;  
  gal_viv ( gal_factorial2 ( facexp,   4, 2, -1, &f ) , 0, "gal_factorial2", "a 7" ) ;
  gal_vldv ( f , 12.0, 0.0, "gal_factorial2", "f 5" ) ;  
  gal_viv ( gal_factorial2 ( facexp,   4, 2, +1, &f ) , 0, "gal_factorial2", "a 8" ) ;
  gal_vldv ( f , 48.0, 0.0, "gal_factorial2", "f 6" ) ;  

  gal_facexp_free ( facexp ) ;
  
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  


}

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

