/*  
 *  - - - - - - - - - - - - - - - - - - - - -
 *   g a l _ t o d e i n t - ( m a i n . c )  
 *  - - - - - - - - - - - - - - - - - - - - -
 *  
 *  This program is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This program runs the test suite for the ODE Integrator sub-library
 *  
 *  Status: 
 *  
 *     Library test program  
 *  
 *  Returned:  
 *  
 *     gal_todeint      i           GAL_SUCCESS is returned if all the tests pass, 
 *                                  GAL_FAILURE is returned if any of the tests fail
 *  
 *  Called:  
 *  
 *     gal_test_start               Initialize and start the test run
 *     gal_test_stop                Stop the test run and output the statistics
 *     gal_rkfs45_test              gal_rkfs45 test routine
 *     gal_rkfcks45_test            gal_rkfcks45 test routine
 *     gal_rkfs56_test              gal_rkfs56 test routine
 *     gal_rkfs67_test              gal_rkfs67 test routine
 *     gal_rkfs78_test              gal_rkfs78 test routine
 *  
 *  This revision:  
 * 
 *     2008 May 18 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include "gal_test_common.h"
#include "gal_test.h"
#include "gal_rkfs45_test.h"
#include "gal_rkfcks45_test.h"
#include "gal_rkfs56_test.h"
#include "gal_rkfs67_test.h"
#include "gal_rkfs78_test.h"

int
main
  (
  )
  
{

/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_test_start ( "ODE Integrators", 0 ) ;
  
  gal_rkfs45_test   () ;
  gal_rkfcks45_test () ;
  gal_rkfs56_test   () ;
  gal_rkfs67_test   () ;
  gal_rkfs78_test   () ;
  
  return gal_test_stop () ;
  
/*  
 * Finished.  
 */  

}

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
