/*  
 *  - - - - - - - - - - - - - - - -
 *   g a l _ c e n t e r _ t e s t  
 *  - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This routine tests the gal_center routine and the gal_centre macro
 *  
 *  Status: 
 *  
 *     Internal test routine  
 *  
 *  Called:  
 *  
 *     gal_center                   Center string in field
 *     gal_centre                   Centre string in field
 *     gal_vsv                      Verify string value
 *  
 *  This revision:  
 * 
 *     2008 March 8 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include <strings.h>
#include "gal_center_test.h"
#include "gal_center.h"
#include "gal_test.h"

void
gal_center_test
  (
  ) 
  
{

  extern int gal_tfunc ;
  char s1[32], s2[32] ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  strcpy ( s2, "ABC" ) ;
  gal_vsv ( gal_center ( s1, s2, 3 ) , "ABC", "gal_center", "t 0" ) ;

  strcpy ( s2, "ABC" ) ;
  gal_vsv ( gal_center ( s1, s2, 4 ) , "ABC ", "gal_center", "t 1" ) ;

  strcpy ( s2, "ABC" ) ;
  gal_vsv ( gal_center ( s1, s2, 0 ) , "", "gal_center", "t 2" ) ;

  strcpy ( s2, "ABC" ) ;
  gal_vsv ( gal_center ( s1, s2, 5 ) , " ABC ", "gal_center", "t 3" ) ;

  strcpy ( s2, "" ) ;
  gal_vsv ( gal_center ( s1, s2, 5 ) , "     ", "gal_center", "t 4" ) ;

  strcpy ( s2, "ABC" ) ;
  gal_vsv ( gal_center ( s1, s2, 8 ) , "  ABC   ", "gal_center", "t 5" ) ;

  strcpy ( s2, "ABC" ) ;
  gal_vsv ( gal_center ( s1, s2, 9 ) , "   ABC   ", "gal_center", "t 6" ) ;

  strcpy ( s2, "ABC" ) ;
  gal_vsv ( gal_centre ( s1, s2, 3 ) , "ABC", "gal_centre", "t 0" ) ;

  strcpy ( s2, "ABC" ) ;
  gal_vsv ( gal_centre ( s1, s2, 4 ) , "ABC ", "gal_centre", "t 1" ) ;

  strcpy ( s2, "ABC" ) ;
  gal_vsv ( gal_centre ( s1, s2, 0 ) , "", "gal_centre", "t 2" ) ;

  strcpy ( s2, "ABC" ) ;
  gal_vsv ( gal_centre ( s1, s2, 5 ) , " ABC ", "gal_centre", "t 3" ) ;

  strcpy ( s2, "" ) ;
  gal_vsv ( gal_centre ( s1, s2, 5 ) , "     ", "gal_centre", "t 4" ) ;

  strcpy ( s2, "ABC" ) ;
  gal_vsv ( gal_centre ( s1, s2, 8 ) , "  ABC   ", "gal_centre", "t 5" ) ;

  strcpy ( s2, "ABC" ) ;
  gal_vsv ( gal_centre ( s1, s2, 9 ) , "   ABC   ", "gal_centre", "t 6" ) ;

  gal_tfunc++ ;
    
/*  
 * Finished.  
 */  

}
 
/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
