/*  
 *  - - - - - - - - - - - - - - - - 
 *   g a l _ d e l e t e _ t e s t  
 *  - - - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This routine tests the gal_delete routine
 *  
 *  Status: 
 *  
 *     Internal test routine  
 *  
 *  Called:  
 *  
 *     gal_delete                   Delete sub-string from string
 *     gal_vsv                      Verify string value
 *  
 *  This revision:  
 * 
 *     2008 March 2 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include <strings.h>
#include "gal_test.h"
#include "gal_delete.h"
#include "gal_delete_test.h"

void
gal_delete_test
  (
  ) 
  
{

  extern int gal_tfunc ;
  char s1[32] ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  strcpy ( s1, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_delete ( s1, 0, 3 ) , "DEFGHIJK", "gal_delete", "t 0" ) ;

  strcpy ( s1, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_delete ( s1, 2, 2 ) , "ABEFGHIJK", "gal_delete", "t 1" ) ;

  strcpy ( s1, "" ) ;
  gal_vsv ( gal_delete ( s1, 0, 1 ) , "", "gal_delete", "t 2" ) ;

  strcpy ( s1, "A" ) ;
  gal_vsv ( gal_delete ( s1, 0, 2 ) , "", "gal_delete", "t 3" ) ;

  strcpy ( s1, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_delete ( s1, 5, 10 ) , "ABCDE", "gal_delete", "t 3" ) ;

  strcpy ( s1, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_delete ( s1, 5, 6 ) , "ABCDE", "gal_delete", "t 3" ) ;

  strcpy ( s1, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_delete ( s1, 5, 5 ) , "ABCDEK", "gal_delete", "t 3" ) ;

  gal_tfunc++ ;
    
/*  
 * Finished.  
 */  

}    
 
/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
