/*  
 *  - - - - - - - - - - - - - - - -
 *   g a l _ i n s e r t _ t e s t  
 *  - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This routine tests the gal_insert routine
 *  
 *  Status: 
 *  
 *     Internal test routine  
 *  
 *  Called:  
 *  
 *     gal_insert                   Find sub-string in string
 *     gal_vsv                      Verify string value
 *  
 *  This revision:  
 * 
 *     2008 March 2 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include <strings.h>
#include "gal_test.h"
#include "gal_insert.h"
#include "gal_insert_test.h"

void
gal_insert_test
  (
  ) 

{

  extern int gal_tfunc ;
  char s1[32] ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  strcpy ( s1, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_insert ( s1, "", 0 ) , "ABCDEFGHIJK", "gal_insert", "t 0" ) ;

  strcpy ( s1, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_insert ( s1, "789", 0 ), "789ABCDEFGHIJK", "gal_insert", "t 1" ) ;

  strcpy ( s1, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_insert ( s1, "789", 4 ), "ABCD789EFGHIJK", "gal_insert", "t 2" ) ;

  strcpy ( s1, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_insert ( s1, "789", 11 ) , "ABCDEFGHIJK789", "gal_insert", "t 3" ) ;

  strcpy ( s1, "" ) ;
  gal_vsv ( gal_insert ( s1, "789", 0 ) , "789", "gal_insert", "t 4" ) ;

  gal_tfunc++ ;
    
/*  
 * Finished.  
 */  

}
 
/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
