/*  
 *  - - - - - - - - - - - - - - - 
 *   g a l _ i n s t r _ t e s t  
 *  - - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This routine tests the gal_instr routine
 *  
 *  Status: 
 *  
 *     Internal test routine  
 *  
 *  Called:  
 *  
 *     gal_instr                    Find sub-string in string
 *     gal_viv                      Verify integer value
 *  
 *  This revision:  
 * 
 *     2008 March 2 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include "gal_test.h"
#include "gal_instr_test.h"
#include "gal_instr.h"

void
gal_instr_test
  (
  ) 

{

  extern int gal_tfunc ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_viv ( gal_instr ( "ABCDEFGHIJK",   "ABC" ) ,  0, "gal_instr", "t 0" ) ;
  gal_viv ( gal_instr ( "ABCDEFGHIJK", "12345" ) , -1, "gal_instr", "t 1" ) ;
  gal_viv ( gal_instr (            "", "12345" ) , -1, "gal_instr", "t 2" ) ;
  gal_viv ( gal_instr (            "",      "" ) , -1, "gal_instr", "t 3" ) ;
  gal_viv ( gal_instr (        "ABCD",      "" ) , -1, "gal_instr", "t 4" ) ;
  gal_viv ( gal_instr ( "ABCDEFGHIJK",   "DEF" ) ,  3, "gal_instr", "t 5" ) ;
  gal_viv ( gal_instr ( "ABCDEFGHIJK",   "IJK" ) ,  8, "gal_instr", "t 6" ) ;

  gal_tfunc++ ;
    
/*  
 * Finished.  
 */  

}
 
/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
