/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ l e f t s t r _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This routine tests the gal_leftstr routine
 *  
 *  Status: 
 *  
 *     Internal test routine  
 *  
 *  Called:  
 *  
 *     gal_leftstr                  Copy left-most l characters of string
 *     gal_vsv                      Verify string value
 *  
 *  This revision:  
 * 
 *     2008 March 2 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include <strings.h>
#include "gal_leftstr.h"
#include "gal_test.h"
#include "gal_leftstr_test.h"

void
gal_leftstr_test
  (
  ) 

{

  extern int gal_tfunc ;
  char s1[32], s2[32] ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  strcpy ( s2, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_leftstr ( s1, s2, 3 ) , "ABC", "gal_leftstr", "t 0" ) ;

  strcpy ( s2, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_leftstr ( s1, s2, 0 ) , "", "gal_leftstr", "t 1" ) ;

  strcpy ( s2, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_leftstr ( s1, s2, 20 ) , "ABCDEFGHIJK", "gal_leftstr", "t 2" ) ;

  gal_tfunc++ ;
    
/*  
 * Finished.  
 */  

}

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
