/*  
 *  - - - - - - - - - - - - - -
 *   g a l _ p a d r _ t e s t  
 *  - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This routine tests the gal_padr routine
 *  
 *  Status: 
 *  
 *     Internal test routine  
 *  
 *  Called:  
 *  
 *     gal_padr                     Pad string to length on right with spaces
 *     gal_vsv                      Verify string value
 *  
 *  This revision:  
 * 
 *     2008 March 8 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include <strings.h>
#include "gal_test.h"
#include "gal_padr.h"
#include "gal_padr_test.h"

void
gal_padr_test
  (
  ) 
  
{

  extern int gal_tfunc ;
  char s1[32], s2[32] ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  strcpy ( s2, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_padr ( s1, s2, 0 ) , "", "gal_padr", "t 0" ) ;

  strcpy ( s2, "ABCD" ) ;
  gal_vsv ( gal_padr ( s1, s2, 6 ) , "ABCD  ", "gal_padr", "t 1" ) ;

  strcpy ( s2, "ABCD" ) ;
  gal_vsv ( gal_padr ( s1, s2, 1 ) , "A", "gal_padr", "t 2" ) ;

  strcpy ( s2, "ABCD" ) ;
  gal_vsv ( gal_padr ( s1, s2, 5 ) , "ABCD ", "gal_padr", "t 3" ) ;
    
  gal_tfunc++ ;

/*  
 * Finished.  
 */  

}

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
