/*  
 *  - - - - - - - - - - - - - - - - -
 *   g a l _ r e p l a c e _ t e s t  
 *  - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This routine tests the gal_replace routine
 *  
 *  Status: 
 *  
 *     Internal test routine  
 *  
 *  Called:  
 *  
 *     gal_replace                  Search & Replace substring
 *     gal_vsv                      Verify string value
 *  
 *  This revision:  
 * 
 *     2008 March 8 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include <strings.h>
#include "gal_replace_test.h"
#include "gal_replace.h"
#include "gal_test.h"

void
gal_replace_test
  (
  ) 
  
{

  extern int gal_tfunc ;
  char s1[128], s2[128] ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  strcpy ( s2, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_replace ( s1, s2, "ERIC", "FRED" ) , "ABCDEFGHIJK", "gal_replace", "t 0" ) ;

  strcpy ( s2, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_replace ( s1, s2, "ABCDEFGHIJK", "FRED" ) , "FRED", "gal_replace", "t 1" ) ;

  strcpy ( s2, "The quick brown fox jumped over the other fox" ) ;
  gal_vsv ( gal_replace ( s1, s2, "fox", "dog" ) , "The quick brown dog jumped over the other dog", "gal_replace", "t 2" ) ;

  strcpy ( s2, "The quick brown fox jumped over the other fox" ) ;
  gal_vsv ( gal_replace ( s1, s2, "fox", "" ) , "The quick brown  jumped over the other ", "gal_replace", "t 3" ) ;

  strcpy ( s2, "" ) ;
  gal_vsv ( gal_replace ( s1, s2, "ERIC", "FRED" ) , "", "gal_replace", "t 4" ) ;

  strcpy ( s2, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_replace ( s1, s2, "", "FRED" ) , "ABCDEFGHIJK", "gal_replace", "t 5" ) ;

  strcpy ( s2, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_replace ( s1, s2, "", "" ) , "ABCDEFGHIJK", "gal_replace", "t 6" ) ;

  gal_tfunc++ ;
    
/*  
 * Finished.  
 */  

}
 
/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
