/*  
 *  - - - - - - - - - - - - - -
 *   g a l _ s t r n _ t e s t  
 *  - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This routine tests the gal_strn routine
 *  
 *  Status: 
 *  
 *     Internal test routine  
 *  
 *  Called:  
 *  
 *     gal_strn                     Fill string with character
 *     gal_vsv                      Verify string value
 *  
 *  This revision:  
 * 
 *     2008 March 8 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include "gal_strn_test.h"
#include "gal_strn.h"
#include "gal_test.h"

void
gal_strn_test
  (
  ) 
  
{

  extern int gal_tfunc ;
  char s[32] ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_vsv ( gal_strn ( s, '?', 0 ) , "",     "gal_strn", "t 0" ) ;
  gal_vsv ( gal_strn ( s, 'Q', 1 ) , "Q",    "gal_strn", "t 1" ) ;
  gal_vsv ( gal_strn ( s, 'P', 4 ) , "PPPP", "gal_strn", "t 2" ) ;

  gal_tfunc++ ;
    
/*  
 * Finished.  
 */  

}
 
/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
