/*  
 *  - - - - - - - - - - - - - - - - - - - - - - - 
 *   g a l _ t p s t r i n g s - ( m a i n . c )  
 *  - - - - - - - - - - - - - - - - - - - - - - - 
 *  
 *  This program is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This program runs the test suite for the pstrings sub-library
 *  
 *  Status: 
 *  
 *     Library test program  
 *  
 *  Returned:  
 *  
 *     gal_tpstrings    i           0 is returned if all the tests pass, 
 *                                  1 is returned if any of the tests fail
 *  
 *  Called:  
 *  
 *     gal_test_start               Initialize and start the test run
 *     gal_test_stop                Stop the test run and output the statistics
 *     gal_instr_test               gal_instr test routine
 *     gal_insert_test              gal_insert test routine
 *     gal_delete_test              gal_delete test routine
 *     gal_leftstr_test             gal_leftstr test routine
 *     gal_rightstr_test            gal_rightstr test routine
 *     gal_midstr_test              gal_midstr test routine
 *     gal_trimr_test               gal_trimr test routine
 *     gal_triml_test               gal_triml test routine
 *     gal_trim_test                gal_trim test routine
 *     gal_strn_test                gal_strn test routine
 *     gal_padr_test                gal_padr test routine
 *     gal_padl_test                gal_padl test routine
 *     gal_justr_test               gal_justr test routine
 *     gal_justl_test               gal_justl test routine
 *     gal_center_test              gal_center and gal_centre test routine
 *     gal_replace_test             gal_replace test routine 
 *     gal_ucase_test               gal_ucase test routine
 *  
 *  This revision:  
 * 
 *     2008 March 15 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include "gal_test_common.h"
#include "gal_test.h"
#include "gal_instr_test.h"
#include "gal_insert_test.h"
#include "gal_delete_test.h"
#include "gal_leftstr_test.h"
#include "gal_rightstr_test.h"
#include "gal_midstr_test.h"
#include "gal_trimr_test.h"
#include "gal_triml_test.h"
#include "gal_trim_test.h"
#include "gal_strn_test.h"
#include "gal_padr_test.h"
#include "gal_padl_test.h"
#include "gal_justr_test.h"
#include "gal_justl_test.h"
#include "gal_center_test.h"
#include "gal_replace_test.h"
#include "gal_ucase_test.h"

int
main
  (
  )
  
{

/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_test_start ( "P Strings", 0 ) ;
  
  gal_instr_test    () ;
  gal_insert_test   () ;
  gal_delete_test   () ;
  gal_leftstr_test  () ;
  gal_rightstr_test () ;
  gal_midstr_test   () ;
  gal_trimr_test    () ;
  gal_triml_test    () ;
  gal_trim_test     () ;
  gal_strn_test     () ;
  gal_padr_test     () ;
  gal_padl_test     () ;
  gal_justr_test    () ;
  gal_justl_test    () ;
  gal_center_test   () ;
  gal_replace_test  () ;
  gal_ucase_test    () ;
  
  return gal_test_stop () ;
  
/*  
 * Finished.  
 */  

}

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

