/*  
 *  - - - - - - - - - - - - - - -
 *   g a l _ t r i m l _ t e s t  
 *  - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This routine tests the gal_triml routine
 *  
 *  Status: 
 *  
 *     Internal test routine  
 *  
 *  Called:  
 *  
 *     gal_triml                    Trim leading white-space
 *     gal_vsv                      Verify string value
 *  
 *  This revision:  
 * 
 *     2008 March 8 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include <strings.h>
#include "gal_test.h"
#include "gal_triml.h"
#include "gal_triml_test.h"

void
gal_triml_test
  (
  ) 
  
{

  extern int gal_tfunc ;
  char s1[32], s2[32] ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  strcpy ( s2, "ABCDEFGHIJK" ) ;
  gal_vsv ( gal_triml ( s1, s2 ) , "ABCDEFGHIJK", "gal_triml", "t 0" ) ;

  strcpy ( s2, "     ABCDEFGHIJK" ) ;
  gal_vsv ( gal_triml ( s1, s2 ) , "ABCDEFGHIJK", "gal_triml", "t 1" ) ;

  strcpy ( s2, "ABCDEFGHIJK    " ) ;
  gal_vsv ( gal_triml ( s1, s2 ) , "ABCDEFGHIJK    ", "gal_triml", "t 2" ) ;

  strcpy ( s2, "" ) ;
  gal_vsv ( gal_triml ( s1, s2 ) , "", "gal_triml", "t 3" ) ;

  strcpy ( s2, "A BCDEFGHIJK" ) ;
  gal_vsv ( gal_triml ( s1, s2 ) , "A BCDEFGHIJK", "gal_triml", "t 4" ) ;

  gal_tfunc++ ;
    
/*  
 * Finished.  
 */  

}
 
/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
