/*  
 *  - - - - - - - - - - - - - - - - - - -
 *   g a l _ p l r o t e l 0 0 _ t e s t  
 *  - - - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This routine tests the gal_plrotel00 routine
 *  
 *  Status: 
 *  
 *     Internal test routine  
 *  
 *  Called:  
 *  
 *     gal_plrotel00                Calculate rotational elements of a planet
 *     gal_vdv                      Verify double value
 *     gal_viv                      Verify integer value
 *
 *  This revision:  
 * 
 *     2008 December 29
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include "gal_plrotel00_test.h"
#include "gal_plrotel00.h"
#include "gal_test.h"
#include "gal_const.h"

void
gal_plrotel00_test
  (
  ) 

{

  extern int gal_tfunc ;

  int stat ;

  double ra, dec, w, rdot ;
      
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  stat = gal_plrotel00 ( GAL_SSB_EA, GAL_J2000, 0.0, &ra, &dec, &w, &rdot ) ;
  
  gal_viv ( stat, 0, "gal_plrotel00", "stat 0" ) ;
  gal_vdv ( ra,   0.0, 1e-12, "gal_plrotel00", "ra 0"   ) ;  
  gal_vdv ( dec,  1.5707963267948965580e+00, 1e-12, "gal_plrotel00", "dec 0"  ) ;  
  gal_vdv ( w,    3.3186912127896577296e+00, 1e-12, "gal_plrotel00", "w 0"    ) ;  
  gal_vdv ( rdot, 7.2921153731939994673e-05, 1e-12, "gal_plrotel00", "rdot 0" ) ;  
  
  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  

}

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
