/*  
 *  - - - - - - - - - - - - - - - - - -
 *   g a l _ t r e f - ( m a i n . c )  
 *  - - - - - - - - - - - - - - - - - -
 *  
 *  This program is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This program runs the test suite for the reference frames sub-library
 *  
 *  Status: 
 *  
 *     Library test program  
 *  
 *  Returned:  
 *  
 *     gal_tref         i           GAL_SUCCESS is returned if all the tests pass, 
 *                                  GAL_FAILURE is returned if any of the tests fail
 *  
 *  Called:  
 *  
 *     gal_test_start               Initialize and start the test run
 *     gal_test_stop                Stop the test run and output the statistics
 *     gal_t2azel_test              gal_t2azel test routine
 *     gal_t2latlon_test            gal_t2latlon test routine
 *     gal_t2latlonf_test           gal_t2latlonf test routine
 *     gal_latlon2t_test            gal_latlon2t test routine
 *     gal_c2radec_test             gal_c2radec test routine
 *     gal_c2tpv00a_test            gal_c2tpv00a test routine 
 *     gal_c2tpv00b_test            gal_c2tpv00b test routine 
 *     gal_c2tpv06a_test            gal_c2tpv06a test routine 
 *     gal_t2cpv00a_test            gal_t2cpv00a test routine 
 *     gal_t2cpv00b_test            gal_t2cpv00b test routine 
 *     gal_t2cpv06a_test            gal_t2cpv06a test routine 
 *     gal_plrotel00_test           gal_plrotel00 test routine
 *     gal_illum_test               gal_illum test routine
 *  
 *  This revision:  
 * 
 *     2009 January 3
 *  
 *  Copyright (C) 2008, 2009 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include "gal_test_common.h"
#include "gal_test.h"
#include "gal_t2azel_test.h"
#include "gal_t2latlon_test.h"
#include "gal_t2latlonf_test.h"
#include "gal_latlon2t_test.h"
#include "gal_c2radec_test.h"
#include "gal_c2tpv00a_test.h"
#include "gal_c2tpv00b_test.h"
#include "gal_c2tpv06a_test.h"
#include "gal_t2cpv00a_test.h"
#include "gal_t2cpv00b_test.h"
#include "gal_t2cpv06a_test.h"
#include "gal_plrotel00_test.h"
#include "gal_illum_test.h"
#include "gal_gmwgs72.h"

int
main
  (
  )
  
{

/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_test_start ( "Reference Frames", 0 ) ;
  
  gal_t2azel_test    () ;
  gal_t2latlon_test  () ;
  gal_t2latlonf_test () ;
  gal_latlon2t_test  () ;
  gal_c2radec_test   () ;
  gal_c2tpv00a_test  () ;
  gal_c2tpv00b_test  () ;
  gal_c2tpv06a_test  () ;
  gal_t2cpv00a_test  () ; 
  gal_t2cpv00b_test  () ; 
  gal_t2cpv06a_test  () ; 
  gal_plrotel00_test () ;
  gal_illum_test     () ;
  
  return gal_test_stop () ;
  
/*  
 * Finished.  
 */  

}

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008, 2009 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
