/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ t l e d e c _ t e s t  
 *  - - - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_tledec routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_tledec  
 *     gal_vdv  
 *     gal_viv 
 *     gal_vcv 
 *     gal_vsv  
 *  
 *  This Revision:
 *  
 *     2008 March 30 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_tledec_test.h"
#include "gal_tledec.h"
#include "gal_test.h"
#include <strings.h>
#include "gal_const.h"
  
void  
gal_tledec_test  
 (  
 )   

{

  extern int gal_tfunc ; 
  
  char card1[70], card2[70] ;
  
  gal_tle_t tle ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  strcpy ( card1, "1 25107U 97082D   98151.26839894 -.00007632  00000-0 -27359-2 0  1321" ) ;
  strcpy ( card2, "2 25107  86.3970 282.3520 0003565  65.4476 294.7132 14.34205441 23251" ) ;

  gal_viv ( gal_tledec ( card1, card2, &tle ), GAL_SUCCESS, "gal_tledec", "a 0" ) ;  
      
  gal_viv ( tle.satnum,         25107,             "gal_tledec", "satnum 0"         ) ;  
  gal_vcv ( tle.classification, 'U',               "gal_tledec", "classification 0" ) ;  
  gal_vsv ( tle.intldesg,       "97082D ",         "gal_tledec", "intldesg 0"       ) ;  
  gal_viv ( tle.epochyr,        1998,              "gal_tledec", "epochyr 0"        ) ;  
  gal_vdv ( tle.epochdays,      151.26839894, 0.0, "gal_tledec", "epochdays 0"      ) ;  
  gal_vdv ( tle.ndot,           -0.00007632,  0.0, "gal_tledec", "ndot 0"           ) ;  
  gal_vdv ( tle.nddot,          -0.00000e0,   0.0, "gal_tledec", "nddot 0"          ) ;  
  gal_vdv ( tle.bstar,          -0.27359e-2,  0.0, "gal_tledec", "bstar 0"          ) ;  
  gal_viv ( tle.ephtype,        0,                 "gal_tledec", "ephtype 0"        ) ;  
  gal_viv ( tle.setnum,         132,               "gal_tledec", "setnum 0"         ) ;  
  gal_vdv ( tle.inclo,          86.3970,      0.0, "gal_tledec", "inclo 0"          ) ;  
  gal_vdv ( tle.nodeo,          282.3520,     0.0, "gal_tledec", "nodeo 0"          ) ;  
  gal_vdv ( tle.ecco,           0.0003565,    0.0, "gal_tledec", "ecco 0"           ) ;  
  gal_vdv ( tle.argpo,          65.4476,      0.0, "gal_tledec", "argpo 0"          ) ;  
  gal_vdv ( tle.mo,             294.7132,     0.0, "gal_tledec", "mo 0"             ) ;  
  gal_vdv ( tle.no,             14.34205441,  0.0, "gal_tledec", "no 0"             ) ;  
  gal_viv ( tle.revnum,         2325,              "gal_tledec", "revnum 0"         ) ;  

  gal_tfunc++ ;  

  strcpy ( card1, "1 25107U 97082D   98151.26839894 -.00007632  00000-0 -27359-2 0  1322" ) ;
  strcpy ( card2, "2 25107  86.3970 282.3520 0003565  65.4476 294.7132 14.34205441 23252" ) ;

  gal_viv ( gal_tledec ( card1, card2, &tle ), GAL_FAILURE, "gal_tledec", "a 1" ) ;  
  
  strcpy ( card1, "1 25107U 97082D   98151.26839894 -.00007632  00000-0 -27359-2 0  132" ) ;
  strcpy ( card2, "2 25107  86.3970 282.3520 0003565  65.4476 294.7132 14.34205441 2325" ) ;

  gal_viv ( gal_tledec ( card1, card2, &tle ), GAL_FAILURE, "gal_tledec", "a 2" ) ;  
  
/*  
 * Finished.  
 */  

}

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

