/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ f k 5 2 h _ t e s t  
 *  - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_fk52h routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_fk52h  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 14 ( c version 2008 February 23 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_fk52h.h"  
#include "gal_fk52h_test.h"  
#include "gal_test.h"  
  
void  
gal_fk52h_test  
 (  
 )  
{  
  
    double r5, d5, dr5, dd5, px5, rv5, rh, dh, drh, ddh, pxh, rvh ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    r5 =       1.76779433 ;  
    d5 =    -0.2917517103 ;  
    dr5 = -1.91851572e-07 ;  
    dd5 =  -5.8468475e-06 ;  
    px5 =        0.379210 ;  
    rv5 =            -7.6 ;  
  
    gal_fk52h ( r5, d5, dr5, dd5, px5, rv5, &rh, &dh, &drh, &ddh, &pxh, &rvh ) ;  
    gal_vdv ( rh,        1.767794226299947757, 1e-12, "gal_fk52h", "rh" ) ;  
    gal_vdv ( dh,      -0.2917516070530392081, 1e-12, "gal_fk52h", "dh" ) ;  
    gal_vdv ( drh, -0.1775576112500285558e-05, 1e-12, "gal_fk52h", "drh" ) ;  
    gal_vdv ( ddh, -0.5533832999920891912e-05, 1e-12, "gal_fk52h", "ddh" ) ;  
    gal_vdv ( pxh,      0.3792099999999999360, 1e-12, "gal_fk52h", "pxh" ) ;  
    gal_vdv ( rvh,      -7.600007808876840798, 1e-11 /* 12 */, "gal_fk52h", "rvh" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
