/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ f k 5 h i p _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_fk5hip routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_fk5hip  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 15 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_fk5hip.h"  
#include "gal_fk5hip_test.h"  
#include "gal_test.h"  
  
void  
gal_fk5hip_test  
 (  
 )  
{  
  
    double r5h[3][3], s5h[3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_fk5hip ( r5h, s5h ) ;  
    gal_vdv ( r5h[0][0],      0.9999999999999928946, 1e-12, "gal_fk5hip", "r5h[0][0]" ) ;  
    gal_vdv ( r5h[0][1],  0.1110223351022886490e-06, 1e-12, "gal_fk5hip", "r5h[0][1]" ) ;  
    gal_vdv ( r5h[0][2],  0.4411803962537394175e-07, 1e-12, "gal_fk5hip", "r5h[0][2]" ) ;  
    gal_vdv ( r5h[1][0], -0.1110223308458779574e-06, 1e-12, "gal_fk5hip", "r5h[1][0]" ) ;  
    gal_vdv ( r5h[1][1],      0.9999999999999892308, 1e-12, "gal_fk5hip", "r5h[1][1]" ) ;  
    gal_vdv ( r5h[1][2], -0.9647792498983759448e-07, 1e-12, "gal_fk5hip", "r5h[1][2]" ) ;  
    gal_vdv ( r5h[2][0], -0.4411805033656126351e-07, 1e-12, "gal_fk5hip", "r5h[2][0]" ) ;  
    gal_vdv ( r5h[2][1],  0.9647792009175696131e-07, 1e-12, "gal_fk5hip", "r5h[2][1]" ) ;  
    gal_vdv ( r5h[2][2],      0.9999999999999943379, 1e-12, "gal_fk5hip", "r5h[2][2]" ) ;  
    gal_vdv ( s5h[0],    -0.1454441043328607743e-08, 1e-12, "gal_fk5hip", "s5h[0]" ) ;  
    gal_vdv ( s5h[1],     0.2908882086657215486e-08, 1e-12, "gal_fk5hip", "s5h[1]" ) ;  
    gal_vdv ( s5h[2],     0.3393695767766751676e-08, 1e-12, "gal_fk5hip", "s5h[2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
