/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ f k 5 h z _ t e s t  
 *  - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_fk5hz routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_fk5hz  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 15 ( c version 2008 February 23 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_fk5hz.h"  
#include "gal_fk5hz_test.h"  
#include "gal_test.h"  
  
void  
gal_fk5hz_test  
 (  
 )  
{  
  
    double r5, d5, rh, dh ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    r5 =    1.76779433 ;  
    d5 = -0.2917517103 ;  
  
    gal_fk5hz ( r5, d5, 2400000.5, 54479.0, &rh, &dh ) ;  
    gal_vdv ( rh,   1.767794191464423958, 1e-12, "gal_fk5hz", "rh" ) ;  
    gal_vdv ( dh, -0.2917516001679884563, 1e-12, "gal_fk5hz", "dh" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
