/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ h 2 f k 5 _ t e s t  
 *  - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_f2fk5 routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_h2fk5  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 14 ( c version 2008 February 23 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_h2fk5.h"  
#include "gal_h2fk5_test.h"  
#include "gal_test.h"  
  
void  
gal_h2fk5_test  
 (  
 )  
{  
  
    double rh, dh, drh, ddh, pxh, rvh, r5, d5, dr5, dd5, px5, rv5 ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    rh  =     1.767794352 ;  
    dh  =   -0.2917512594 ;  
    drh = -2.76413026e-06 ;  
    ddh = -5.92994449e-06 ;  
    pxh =        0.379210 ;  
    rvh =            -7.6 ;  
  
    gal_h2fk5 ( rh, dh, drh, ddh, pxh, rvh, &r5, &d5, &dr5, &dd5, &px5, &rv5 ) ;  
    gal_vdv ( r5,        1.767794455700065326, 1e-12, "gal_h2fk5", "r5" ) ;  
    gal_vdv ( d5,      -0.2917513626469639409, 1e-12, "gal_h2fk5", "d5" ) ;  
    gal_vdv ( dr5, -0.1180406182714200116e-05, 1e-12, "gal_h2fk5", "dr5" ) ;  
    gal_vdv ( dd5, -0.6242958822025941345e-05, 1e-12, "gal_h2fk5", "dd5" ) ;  
    gal_vdv ( px5,      0.3792099999999999360, 1e-12, "gal_h2fk5", "px5" ) ;  
    gal_vdv ( rv5,      -7.600021289199671237, 1e-10 /* 12 */, "gal_h2fk5", "rv5" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
