/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ h f k 5 z _ t e s t  
 *  - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_hfk5z routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_hfk5z  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 14 ( c version 2008 February 23 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_hfk5z.h"  
#include "gal_hfk5z_test.h"  
#include "gal_test.h"  
  
void  
gal_hfk5z_test  
 (  
 )  
{  
  
    double rh, dh, r5, d5, dr5, dd5 ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    rh =   1.767794352 ;  
    dh = -0.2917512594 ;  
  
    gal_hfk5z ( rh, dh, 2400000.5, 54479.0, &r5, &d5, &dr5, &dd5 ) ;  
    gal_vdv ( r5,        1.767794490535580909, 1e-12, "gal_hfk5z", "r5" ) ;  
    gal_vdv ( d5,      -0.2917513695320114175, 1e-12, "gal_hfk5z", "d5" ) ;  
    gal_vdv ( dr5,  0.4335890983539242207e-08, 1e-12, "gal_hfk5z", "dr5" ) ;  
    gal_vdv ( dd5, -0.8569648841237747653e-09, 1e-12, "gal_hfk5z", "dd5" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
