/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ p v s t a r _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_pvstar routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_pvstar  
 *     gal_vdv  
 *     gal_viv  
 *  
 *  This Revision:
 *  
 *     2008 January 9 ( c version 2008 February 16 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_pvstar.h"  
#include "gal_pvstar_test.h"  
#include "gal_test.h"  
  
void  
gal_pvstar_test  
 (  
 )  
{  
    double pv[2][3], ra, dec, pmr, pmd, px, rv ;  
    int j ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    pv[0][0] =       126668.5912743160734 ;  
    pv[0][1] =       2136.792716839935565 ;  
    pv[0][2] =      -245251.2339876830229 ;  
    pv[1][0] = -0.4051854035740713039e-02 ;  
    pv[1][1] = -0.6253919754866175788e-02 ;  
    pv[1][2] =  0.1189353719774107615e-01 ;  
  
    j = gal_pvstar ( pv, &ra, &dec, &pmr, &pmd, &px, &rv ) ;  
    gal_vdv ( ra,      0.01686756, 1e-12, "gal_pvstar", "ra" ) ;  
    gal_vdv ( dec,   -1.093989828, 1e-12, "gal_pvstar", "dec" ) ;  
    gal_vdv ( pmr, -1.78323516e-5, 1e-12, "gal_pvstar", "pmr" ) ;  
    gal_vdv ( pmd, 2.336024047e-6, 1e-12, "gal_pvstar", "pmd" ) ;  
    gal_vdv ( px,         0.74723, 1e-12, "gal_pvstar", "px" ) ;  
    gal_vdv ( rv,           -21.6, 1e-11 /* 12 */, "gal_pvstar", "rv" ) ;  
    gal_viv ( j,                0,        "gal_pvstar", "j" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
