/*  
 *  - - - - - - - - - - - - - - - -  
 *   g a l _ s t a r p v _ t e s t  
 *  - - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_starpv routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_starpv  
 *     gal_vdv  
 *     gal_viv  
 *  
 *  This Revision:
 *  
 *     2008 January 9 ( c version 2008 February 16 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_starpv.h"  
#include "gal_starpv_test.h"  
#include "gal_test.h"  
  
void  
gal_starpv_test  
 (  
 )  
{  
    double ra, dec, pmr, pmd, px, rv, pv[2][3] ;  
    int j ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    ra  =      0.01686756 ;  
    dec =    -1.093989828 ;  
    pmr = -1.78323516e-05 ;  
    pmd = 2.336024047e-06 ;  
    px  =         0.74723 ;  
    rv  =           -21.6 ;  
  
    j = gal_starpv ( ra, dec, pmr, pmd, px, rv, pv ) ;  
    gal_vdv ( pv[0][0],      126668.5912743160734, 1e-10 /* 12 */, "gal_starpv", "pv[0][0]" ) ;  
    gal_vdv ( pv[0][1],      2136.792716839935565, 1e-12, "gal_starpv", "pv[0][1]" ) ;  
    gal_vdv ( pv[0][2],     -245251.2339876830229, 1e-12, "gal_starpv", "pv[0][2]" ) ;  
    gal_vdv ( pv[1][0],  -0.405185403574071303e-2, 1e-12, "gal_starpv", "pv[1][0]" ) ;  
    gal_vdv ( pv[1][1], -0.6253919754866175788e-2, 1e-12, "gal_starpv", "pv[1][1]" ) ;  
    gal_vdv ( pv[1][2],  0.1189353719774107615e-1, 1e-12, "gal_starpv", "pv[1][2]" ) ;  
    gal_viv ( j,                                0,        "gal_starpv", "j" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
