/*  
 *  - - - - - - - - - - - - - - - - - - - 
 *   g a l _ t s t a r - ( m a i n . c )  
 *  - - - - - - - - - - - - - - - - - - - 
 *  
 *  This program is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This program runs the test suite for the star sub-library
 *  
 *  Status: 
 *  
 *     Library test program  
 *  
 *  Returned:  
 *  
 *     gal_tstar        i           0 is returned if all the tests pass, 
 *                                  1 is returned if any of the tests fail
 *  
 *  Called:  
 *  
 *     gal_test_start               Initialize and start the test run
 *     gal_test_stop                Stop the test run and output the statistics
 *     gal_fk5hip_test              gal_fk5hip test routine
 *     gal_fk5hz_test               gal_fk5hz test routine
 *     gal_fk52h_test               gal_fk52h test routine
 *     gal_h2fk5_test               gal_h2fk5 test routine
 *     gal_hfk5z_test               gal_hfk5z test routine
 *     gal_pvstar_test              gal_pvstar test routine
 *     gal_starpm_test              gal_starpm test routine
 *     gal_starpv_test              gal_starpv test routine
 *  
 *  This revision:  
 * 
 *     2008 March 15 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include "gal_test_common.h"
#include "gal_test.h"
#include "gal_fk5hip_test.h"
#include "gal_fk5hz_test.h"
#include "gal_fk52h_test.h"
#include "gal_h2fk5_test.h"
#include "gal_hfk5z_test.h"
#include "gal_pvstar_test.h"
#include "gal_starpm_test.h"
#include "gal_starpv_test.h"

int
main
  (
  )
  
{

/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_test_start ( "Star", 0 ) ;
  
  gal_fk5hip_test () ;
  gal_fk5hz_test  () ;
  gal_fk52h_test  () ;
  gal_h2fk5_test  () ;
  gal_hfk5z_test  () ;
  gal_pvstar_test () ;
  gal_starpm_test () ;
  gal_starpv_test () ;
  
  return gal_test_stop () ;
  
/*  
 * Finished.  
 */  

}

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
