/*  
 *  - - - - - - - - - - - 
 *   g a l _ t e s t . h  
 *  - - - - - - - - - - - 
 *  
 *  This header file is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This header file includes the header files of the routines that make
 *     up the GAL test system. This file must be included in each test routine.
 *  
 *  Status: 
 *  
 *     Internal header file for the test system  
 *  
 *  Includes:
 *
 *     gal_test_start.h
 *     gal_test_stop.h
 *     gal_vcv.h
 *     gal_vdv.h
 *     gal_viv.h
 *     gal_vsv.h
 *     gal_vldv.h
 *  
 *  This revision:  
 *  
 *     2008 June 15 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#ifndef _GAL_TEST_H_  
#define _GAL_TEST_H_ 1  

#include "gal_test_start.h"
#include "gal_test_stop.h"
#include "gal_vcv.h"
#include "gal_vdv.h"
#include "gal_vldv.h"
#include "gal_viv.h"
#include "gal_vsv.h"
  
#endif /* !_GAL_TEST_H_ */ 

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
