/*  
 *  - - - - - - - - - - - - - - 
 *   g a l _ t e s t _ s t o p  
 *  - - - - - - - - - - - - - - 
 *  
 *  This routine is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This stops a test run and prints the statistics
 *  
 *  Status: 
 *  
 *     Internal test routine  
 *  
 *  Returned:  
 *  
 *     gal_test_stop    i           0 is returned if there were no tests
 *                                  that failed during the run. 1 is returned 
 *                                  if any of the tests failed.
 *
 *  Notes:
 *
 *  1). A previous call must have been made to gal_test_start.
 *  
 *  This revision:  
 * 
 *     2008 March 2 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include <stdio.h>
#include "gal_test_stop.h"

int
gal_test_stop
  (
  ) 
  
{  
  
  extern int  gal_tpass ; 
  extern int  gal_tfail ;
  extern int  gal_tfunc ;  
  extern char gal_tlibn[] ; 
  
  int ok = 0 ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
  printf ( "%i routines tested\n", gal_tfunc ) ;  
  printf ( "%i tests passed\n"   , gal_tpass ) ;  
  
  if ( gal_tfail == 0 ) { 
    printf ( "No tests failed\n") ;
	printf ( "\n%s test passed\n",gal_tlibn ) ;  
  }  
  else {  
    ok = 1 ; 
    printf ( "%i tests failed\n", gal_tfail ) ;  
    printf ( "\n%s test failed\n", gal_tlibn ) ;  
  }
	
  return ok ;  
  
/*  
 * Finished.  
 */  
  
}  
 
/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
