/*  
 *  - - - - - - - -  
 *   g a l _ v c v  
 *  - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This routine validates a character result.
 *  
 *  Status: 
 *  
 *     Internal test routine 
 *  
 *  Given:  
 *
 *     cval            c            Value computed by the routine under test  
 *     cvalok          c            Correct value  
 *     *routine       c[]           Name of the routine under test  
 *     *test          c[]           Name of the individual test
 *  
 *  Notes:  
 *  
 *  1) The external variables gal_test_success and gal_test_failure are incremented
 *     depending upon the outcome of the test.
 *
 *  2) If the external variable gal_test_verbose is set to 1 then both test success
 *     and test failure messages are sent to the standard output. If set to 0 then
 *     only test failure messages are sent to the standard output.
 *  
 *  This revision:  
 * 
 *     2008 March 2 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#ifndef _GAL_VCV_H_  
#define _GAL_VCV_H_ 1  
  
#undef  __BEGIN_DECLS  
#undef  __END_DECLS  
#ifdef  __cplusplus  
#define __BEGIN_DECLS extern "C" {  
#define __END_DECLS }  
#else  
#define __BEGIN_DECLS /* empty */  
#define __END_DECLS   /* empty */  
#endif
  
__BEGIN_DECLS  
  
void   
gal_vcv  
  (  
    char cval,  
    char cvalok,
    char *func,  
    char *test  
  ) ;  
 
__END_DECLS  
  
#endif /* !_GAL_VCV_ */ 

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
