/*  
 *  - - - - - - - - - - - - -  
 *   g a l _ c 2 s _ t e s t  
 *  - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_c2s routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_c2s  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 3 ( c version 2008 February 2 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_c2s.h"  
#include "gal_c2s_test.h"  
#include "gal_test.h"  
  
void  
gal_c2s_test  
 (  
 )  
{  
  
    double theta, phi,  
           p[3] = { 100.0, -50.0, 25.0 } ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_c2s ( p, &theta, &phi ) ;  
    gal_vdv ( theta, -0.4636476090008061, 1e-6, "gal_c2s", "theta" ) ;  
    gal_vdv ( phi,    0.2199879773954594, 1e-6, "gal_c2s", "phi" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
