/*  
 *  - - - - - - - - - - - - - -  
 *   g a l _ d 2 t f _ t e s t  
 *  - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_d2tf routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_d2tf  
 *     gal_viv  
 *     gal_vdv  
 *     gal_vcv  
 *  
 *  This Revision:
 *  
 *     2007 December 28 ( c version 2008 February 2 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_d2tf.h"  
#include "gal_d2tf_test.h"  
#include "gal_test.h"  
  
void  
gal_d2tf_test  
 (  
 )  
{  
  
    int ihmsf[4] ;  
    char s ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_d2tf ( 4, -0.987654321, &s, ihmsf ) ;  
    gal_vcv ( s, '-', "gal_d2tf", "s" ) ;  
    gal_viv ( ihmsf[0], 23, "gal_d2tf", "[0]" ) ;  
    gal_viv ( ihmsf[1], 42, "gal_d2tf", "[1]" ) ;  
    gal_viv ( ihmsf[2], 13, "gal_d2tf", "[3]" ) ;  
    gal_vdv ( ( double )( ihmsf[3] ), 3333.0, 2000.0, "gal_d2tf", "[3]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
