/*  
 *  - - - - - - - - - - - - - -  
 *   g a l _ p 2 p v _ t e s t  
 *  - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_p2pv routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_p2pv  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 7 ( c version 2008 February 10 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_p2pv.h"  
#include "gal_p2pv_test.h"  
#include "gal_test.h"  
  
void  
gal_p2pv_test  
 (  
 )  
{  
  
    double p[3], pv[2][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    p[0] = 0.25 ;  
    p[1] =  1.2 ;  
    p[2] =  3.0 ;  
  
    pv[0][0] =  0.3 ;  
    pv[0][1] =  1.2 ;  
    pv[0][2] = -2.5 ;  
    pv[1][0] = -0.5 ;  
    pv[1][1] =  3.1 ;  
    pv[1][2] =  0.9 ;  
  
    gal_p2pv ( p, pv ) ;  
    gal_vdv ( pv[0][0], 0.25, 0.0, "gal_p2pv", "pv[0][0]" ) ;  
    gal_vdv ( pv[0][1],  1.2, 0.0, "gal_p2pv", "pv[0][1]" ) ;  
    gal_vdv ( pv[0][2],  3.0, 0.0, "gal_p2pv", "pv[0][2]" ) ;  
    gal_vdv ( pv[1][0],  0.0, 0.0, "gal_p2pv", "pv[1][0]" ) ;  
    gal_vdv ( pv[1][1],  0.0, 0.0, "gal_p2pv", "pv[1][1]" ) ;  
    gal_vdv ( pv[1][2],  0.0, 0.0, "gal_p2pv", "pv[1][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
