/*  
 *  - - - - - - - - - - - - - -  
 *   g a l _ p v 2 s _ t e s t  
 *  - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_pv2s routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_pv2s  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 8 ( c version 2008 February 12 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_pv2s.h"  
#include "gal_pv2s_test.h"  
#include "gal_test.h"  
  
void  
gal_pv2s_test  
 (  
 )  
{  
  
    double pv[2][3], theta, phi, r, td, pd, rd ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    pv[0][0] =  -0.4514964673880165 ;  
    pv[0][1] =  0.03093394277342585 ;  
    pv[0][2] =  0.05594668105108779 ;  
    pv[1][0] = 1.292270850663260e-5 ;  
    pv[1][1] = 2.652814182060692e-6 ;  
    pv[1][2] = 2.568431853930293e-6 ;  
  
    gal_pv2s ( pv, &theta, &phi, &r, &td, &pd, &rd ) ;  
    gal_vdv ( theta, 3.073185307179586712, 1e-12, "gal_pv2s", "theta" ) ;  
    gal_vdv ( phi,                  0.123, 1e-12, "gal_pv2s", "phi"   ) ;  
    gal_vdv ( r,                    0.456, 1e-12, "gal_pv2s", "r"     ) ;  
    gal_vdv ( td,                 -7.8e-6, 1e-12, "gal_pv2s", "td"    ) ;  
    gal_vdv ( pd,                 9.01e-6, 1e-12, "gal_pv2s", "pd"    ) ;  
    gal_vdv ( rd,                -1.23e-5, 1e-12, "gal_pv2s", "rd"    ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
