/*  
 *  - - - - - - - - - - - - -  
 *   g a l _ p v m _ t e s t  
 *  - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_pvm routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_pvm  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 8 ( c version 2008 February 16 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_pvm.h"  
#include "gal_pvm_test.h"  
#include "gal_test.h"  
  
void  
gal_pvm_test  
 (  
 )  
{  
    double pv[2][3], r, s ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    pv[0][0] =   0.3 ;  
    pv[0][1] =   1.2 ;  
    pv[0][2] =  -2.5 ;  
    pv[1][0] =  0.45 ;  
    pv[1][1] = -0.25 ;  
    pv[1][2] =   1.1 ;  
  
    gal_pvm ( pv, &r, &s ) ;  
    gal_vdv ( r, 2.789265136196270589, 0.0, "gal_pvm", "r" ) ;  
    gal_vdv ( s, 1.214495780149112081, 1e-15 /* 0.0 */, "gal_pvm", "s" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
