/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ p v p p v _ t e s t  
 *  - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_pvppv routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_pvdpv  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 9 ( c version 2008 February 16 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_pvppv.h"  
#include "gal_pvppv_test.h"  
#include "gal_test.h"  
  
void  
gal_pvppv_test  
 (  
 )  
{  
  
    double a[2][3], b[2][3], apb[2][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    a[0][0] = 2.0 ;  
    a[0][1] = 2.0 ;  
    a[0][2] = 3.0 ;  
    a[1][0] = 5.0 ;  
    a[1][1] = 6.0 ;  
    a[1][2] = 3.0 ;  
  
    b[0][0] = 1.0 ;  
    b[0][1] = 3.0 ;  
    b[0][2] = 4.0 ;  
    b[1][0] = 3.0 ;  
    b[1][1] = 2.0 ;  
    b[1][2] = 1.0 ;  
  
    gal_pvppv (  a, b, apb ) ;  
    gal_vdv ( apb[0][0], 3.0, 1e-12, "gal_pvppv", "apb[0][0]" ) ;  
    gal_vdv ( apb[0][1], 5.0, 1e-12, "gal_pvppv", "apb[0][1]" ) ;  
    gal_vdv ( apb[0][2], 7.0, 1e-12, "gal_pvppv", "apb[0][2]" ) ;  
    gal_vdv ( apb[1][0], 8.0, 1e-12, "gal_pvppv", "apb[1][0]" ) ;  
    gal_vdv ( apb[1][1], 8.0, 1e-12, "gal_pvppv", "apb[1][1]" ) ;  
    gal_vdv ( apb[1][2], 4.0, 1e-12, "gal_pvppv", "apb[1][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
