/*  
 *  - - - - - - - - - - - - -  
 *   g a l _ p v u _ t e s t  
 *  - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_pvu routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_pvu  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 9 ( c version 2008 February 16 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_pvu.h"  
#include "gal_pvu_test.h"  
#include "gal_test.h"  
  
void  
gal_pvu_test  
 (  
 )  
{  
    double pv[2][3], upv[2][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    pv[0][0] =       126668.5912743160734 ;  
    pv[0][1] =       2136.792716839935565 ;  
    pv[0][2] =      -245251.2339876830229 ;  
    pv[1][0] = -0.4051854035740713039e-02 ;  
    pv[1][1] = -0.6253919754866175788e-02 ;  
    pv[1][2] =  0.1189353719774107615e-01 ;  
  
    gal_pvu ( 2920.0, pv, upv ) ;  
    gal_vdv ( upv[0][0],       126656.7598605317035, 1e-12, "gal_pvu", "upv[0][0]" ) ;  
    gal_vdv ( upv[0][1],       2118.531271155726245, 1e-12, "gal_pvu", "upv[0][1]" ) ;  
    gal_vdv ( upv[0][2],      -245216.5048590656079, 1e-12, "gal_pvu", "upv[0][2]" ) ;  
    gal_vdv ( upv[1][0], -0.4051854035740713039e-02, 1e-12, "gal_pvu", "upv[1][0]" ) ;  
    gal_vdv ( upv[1][1], -0.6253919754866175788e-02, 1e-12, "gal_pvu", "upv[1][1]" ) ;  
    gal_vdv ( upv[1][2],  0.1189353719774107615e-01, 1e-12, "gal_pvu", "upv[1][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
