/*  
 *  - - - - - - - - - - - - - -  
 *   g a l _ r m 2 v _ t e s t  
 *  - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_rm2v routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_rm2v  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 9 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_rm2v.h"  
#include "gal_rm2v_test.h"  
#include "gal_test.h"  
  
void  
gal_rm2v_test  
 (  
 )  
{  
    double r[3][3], w[3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    r[0][0] =   0.0 ;  
    r[0][1] = -0.80 ;  
    r[0][2] = -0.60 ;  
    r[1][0] =  0.80 ;  
    r[1][1] = -0.36 ;  
    r[1][2] =  0.48 ;  
    r[2][0] =  0.60 ;  
    r[2][1] =  0.48 ;  
    r[2][2] = -0.64 ;  
  
    gal_rm2v ( r, w ) ;  
    gal_vdv ( w[0],         0.0, 1e-5, "gal_rm2v", "w[0]" ) ;  
    gal_vdv ( w[1],  1.41371669, 1e-5, "gal_rm2v", "w[1]" ) ;  
    gal_vdv ( w[2], -1.88495559, 1e-5, "gal_rm2v", "w[2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
