/*  
 *  - - - - - - - - - - - - - -  
 *   g a l _ r v 2 m _ t e s t  
 *  - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_rv2m routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_rv2m  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 9 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_rv2m.h"  
#include "gal_rv2m_test.h"  
#include "gal_test.h"  
  
void  
gal_rv2m_test  
 (  
 )  
{  
    double w[3], r[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    w[0] =         0.0 ;  
    w[1] =  1.41371669 ;  
    w[2] = -1.88495559 ;  
  
    gal_rv2m ( w, r ) ;  
    gal_vdv ( r[0][0],    -0.707106778, 1e-5, "gal_rv2m", "r[0][0]" ) ;  
    gal_vdv ( r[0][1],      -0.5656854, 1e-5, "gal_rv2m", "r[0][1]" ) ;  
    gal_vdv ( r[0][2],     -.424264070, 1e-5, "gal_rv2m", "r[0][2]" ) ;  
    gal_vdv ( r[1][0],   0.56568542768, 1e-5, "gal_rv2m", "r[1][0]" ) ;  
    gal_vdv ( r[1][1], -.9254833945e-1, 1e-5, "gal_rv2m", "r[1][1]" ) ;  
    gal_vdv ( r[1][2],     -0.81941125, 1e-5, "gal_rv2m", "r[1][2]" ) ;  
    gal_vdv ( r[2][0],      .424264070, 1e-5, "gal_rv2m", "r[2][0]" ) ;  
    gal_vdv ( r[2][1],     -0.81941125, 1e-5, "gal_rv2m", "r[2][1]" ) ;  
    gal_vdv ( r[2][2],      0.38544156, 1e-5, "gal_rv2m", "r[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
