/*  
 *  - - - - - - - - - - - -  
 *   g a l _ r x _ t e s t  
 *  - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_rx routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_rx  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 4 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_rx.h"  
#include "gal_rx_test.h"  
#include "gal_test.h"  
  
void  
gal_rx_test  
 (  
 )  
{  
  
    double phi, r[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    phi = 0.3456789 ;  
    r[0][0] = 2.0 ;  
    r[0][1] = 3.0 ;  
    r[0][2] = 2.0 ;  
    r[1][0] = 3.0 ;  
    r[1][1] = 2.0 ;  
    r[1][2] = 3.0 ;  
    r[2][0] = 3.0 ;  
    r[2][1] = 4.0 ;  
    r[2][2] = 5.0 ;  
  
    gal_rx ( phi, r ) ;  
    gal_vdv ( r[0][0], 2.0,                    0.0, "gal_rx", "r[0][0]" ) ;  
    gal_vdv ( r[0][1], 3.0,                    0.0, "gal_rx", "r[0][1]" ) ;  
    gal_vdv ( r[0][2], 2.0,                    0.0, "gal_rx", "r[0][2]" ) ;  
    gal_vdv ( r[1][0], 3.839043388235612309, 1e-12, "gal_rx", "r[1][0]" ) ;  
    gal_vdv ( r[1][1], 3.237033249594111872, 1e-12, "gal_rx", "r[1][1]" ) ;  
    gal_vdv ( r[1][2], 4.516714379005982494, 1e-12, "gal_rx", "r[1][2]" ) ;  
    gal_vdv ( r[2][0], 1.806030415924501531, 1e-12, "gal_rx", "r[2][0]" ) ;  
    gal_vdv ( r[2][1], 3.085711545336372374, 1e-12, "gal_rx", "r[2][1]" ) ;  
    gal_vdv ( r[2][2], 3.687721683977872811, 1e-12, "gal_rx", "r[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
