/*  
 *  - - - - - - - - - - - - -  
 *   g a l _ r x r _ t e s t  
 *  - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_rxr routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_rxr  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 7 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_rxr.h"  
#include "gal_rxr_test.h"  
#include "gal_test.h"  
  
void  
gal_rxr_test  
 (  
 )  
{  
  
    double a[3][3], b[3][3], atb[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    a[0][0] = 2.0 ;  
    a[0][1] = 3.0 ;  
    a[0][2] = 2.0 ;  
    a[1][0] = 3.0 ;  
    a[1][1] = 2.0 ;  
    a[1][2] = 3.0 ;  
    a[2][0] = 3.0 ;  
    a[2][1] = 4.0 ;  
    a[2][2] = 5.0 ;  
  
    b[0][0] = 1.0 ;  
    b[0][1] = 2.0 ;  
    b[0][2] = 2.0 ;  
    b[1][0] = 4.0 ;  
    b[1][1] = 1.0 ;  
    b[1][2] = 1.0 ;  
    b[2][0] = 3.0 ;  
    b[2][1] = 0.0 ;  
    b[2][2] = 1.0 ;  
  
    gal_rxr (  a, b, atb ) ;  
    gal_vdv ( atb[0][0], 20.0, 1e-12, "gal_rxr", "atb[0][0]" ) ;  
    gal_vdv ( atb[0][1],  7.0, 1e-12, "gal_rxr", "atb[0][1]" ) ;  
    gal_vdv ( atb[0][2],  9.0, 1e-12, "gal_rxr", "atb[0][2]" ) ;  
    gal_vdv ( atb[1][0], 20.0, 1e-12, "gal_rxr", "atb[1][0]" ) ;  
    gal_vdv ( atb[1][1],  8.0, 1e-12, "gal_rxr", "atb[1][1]" ) ;  
    gal_vdv ( atb[1][2], 11.0, 1e-12, "gal_rxr", "atb[1][2]" ) ;  
    gal_vdv ( atb[2][0], 34.0, 1e-12, "gal_rxr", "atb[2][0]" ) ;  
    gal_vdv ( atb[2][1], 10.0, 1e-12, "gal_rxr", "atb[2][1]" ) ;  
    gal_vdv ( atb[2][2], 15.0, 1e-12, "gal_rxr", "atb[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
