/*  
 *  - - - - - - - - - - - -  
 *   g a l _ r y _ t e s t  
 *  - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_ry routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_ry  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 4 ( c version 2008 June 14 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_ry.h"  
#include "gal_ry_test.h"  
#include "gal_test.h"  
  
void  
gal_ry_test  
 (  
 )  
{  
  
    double theta, r[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    theta = 0.3456789 ;  
    r[0][0] = 2.0 ;  
    r[0][1] = 3.0 ;  
    r[0][2] = 2.0 ;  
    r[1][0] = 3.0 ;  
    r[1][1] = 2.0 ;  
    r[1][2] = 3.0 ;  
    r[2][0] = 3.0 ;  
    r[2][1] = 4.0 ;  
    r[2][2] = 5.0 ;  
  
    gal_ry ( theta, r ) ;  
    gal_vdv ( r[0][0], 0.8651847818978157800, 1e-12, "gal_ry", "r[0][0]" ) ;  
    gal_vdv ( r[0][1], 1.467194920539316438,  1e-12, "gal_ry", "r[0][1]" ) ;  
    gal_vdv ( r[0][2], 0.1875137911274455393, 1e-12, "gal_ry", "r[0][2]" ) ;  
    gal_vdv ( r[1][0], 3.0,                   1e-12, "gal_ry", "r[1][0]" ) ;  
    gal_vdv ( r[1][1], 2.0,                   1e-12, "gal_ry", "r[1][1]" ) ;  
    gal_vdv ( r[1][2], 3.0,                   1e-12, "gal_ry", "r[1][2]" ) ;  
    gal_vdv ( r[2][0], 3.500207892850426994,  1e-12, "gal_ry", "r[2][0]" ) ;  
    gal_vdv ( r[2][1], 4.779889022262297615,  1e-12, "gal_ry", "r[2][1]" ) ;  
    gal_vdv ( r[2][2], 5.381899160903798496,  1e-12, "gal_ry", "r[2][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
