/*  
 *  - - - - - - - - - - - - - -  
 *   g a l _ s 2 p v _ t e s t  
 *  - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_s2pv routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_s2pv  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 4 ( c version 2008 February 9 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_s2pv.h"  
#include "gal_s2pv_test.h"  
#include "gal_test.h"  
  
void  
gal_s2pv_test  
 (  
 )  
{  
  
    double pv[2][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    gal_s2pv ( -3.21, 0.123, 0.456, -7.8e-6, 9.01e-6, -1.23e-5, pv ) ;  
    gal_vdv ( pv[0][0], -0.4514964673880165,   1e-12, "gal_s2pv", "pv[0][0]" ) ;  
    gal_vdv ( pv[0][1],  0.03093394277342585,  1e-12, "gal_s2pv", "pv[0][1]" ) ;  
    gal_vdv ( pv[0][2],  0.05594668105108779,  1e-12, "gal_s2pv", "pv[0][2]" ) ;  
    gal_vdv ( pv[1][0],  1.292270850663260e-5, 1e-12, "gal_s2pv", "pv[1][0]" ) ;  
    gal_vdv ( pv[1][1],  2.652814182060692e-6, 1e-12, "gal_s2pv", "pv[1][1]" ) ;  
    gal_vdv ( pv[1][2],  2.568431853930293e-6, 1e-12, "gal_s2pv", "pv[1][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
