/*  
 *  - - - - - - - - - - - - - - -  
 *   g a l _ s 2 x p v _ t e s t  
 *  - - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_s2xpv routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_s2xpv  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 4 ( c version 2008 February 9 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_s2xpv.h"  
#include "gal_s2xpv_test.h"  
#include "gal_test.h"  
  
void  
gal_s2xpv_test  
 (  
 )  
{  
  
    double s1, s2, pv[2][3], spv[2][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    s1 = 2.0 ;  
    s2 = 3.0 ;  
    pv[0][0] =  0.3 ;  
    pv[0][1] =  1.2 ;  
    pv[0][2] = -2.5 ;  
    pv[1][0] =  0.5 ;  
    pv[1][1] =  2.3 ;  
    pv[1][2] = -0.4 ;  
  
    gal_s2xpv ( s1, s2, pv, spv ) ;  
    gal_vdv ( spv[0][0],  0.6,   0.0, "gal_s2xpv", "spv[0][0]" ) ;  
    gal_vdv ( spv[0][1],  2.4,   0.0, "gal_s2xpv", "spv[0][1]" ) ;  
    gal_vdv ( spv[0][2], -5.0,   0.0, "gal_s2xpv", "spv[0][2]" ) ;  
    gal_vdv ( spv[1][0],  1.5, 1e-12, "gal_s2xpv", "spv[1][0]" ) ;  
    gal_vdv ( spv[1][1],  6.9, 1e-12, "gal_s2xpv", "spv[1][1]" ) ;  
    gal_vdv ( spv[1][2], -1.2, 1e-12, "gal_s2xpv", "spv[1][2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
