/*  
 *  - - - - - - - - - - - - - -  
 *   g a l _ s e p p _ t e s t  
 *  - - - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_sepp routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_sepp  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 3 ( c version 2008 June 8 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_sepp.h"  
#include "gal_sepp_test.h"  
#include "gal_test.h"  
  
void  
gal_sepp_test  
 (  
 )  
{  
  
    double s, a[3], b[3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    a[0] =  1.0 ;  
    a[1] =  0.1 ;  
    a[2] =  0.2 ;  
    b[0] = -3.0 ;  
    b[1] = 1e-3 ;  
    b[2] =  0.2 ;  
  
    s = gal_sepp ( a, b ) ;  
    gal_vdv ( s, 2.8603919190246608, 1e-4, "gal_sepp", "s" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
