/*  
 *  - - - - - - - - - - - - - - - - - - - - - 
 *   g a l _ t v e c m a t - ( m a i n . c )  
 *  - - - - - - - - - - - - - - - - - - - - - 
 *  
 *  This program is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This program runs the test suite for the vector matrix sub-library
 *  
 *  Status: 
 *  
 *     Library test program  
 *  
 *  Returned:  
 *  
 *     gal_tvecmat      i           0 is returned if all the tests pass, 
 *                                  1 is returned if any of the tests fail
 *  
 *  Called:  
 *  
 *     gal_test_start               Initialize and start the test run
 *     gal_test_stop                Stop the test run and output the statistics
 *     gal_a2af_test                gal_a2af test routine
 *     gal_a2tf_test                gal_a2tf test routine  
 *     gal_anp_test                 gal_anp test routine  
 *     gal_anpm_test                gal_anpm test routine  
 *     gal_c2s_test                 gal_c2s test routine  
 *     gal_cp_test                  gal_cp test routine  
 *     gal_cpv_test                 gal_cpv test routine   
 *     gal_cr_test                  gal_cr test routine  
 *     gal_d2tf_test                gal_d2tf test routine  
 *     gal_ir_test                  gal_ir test routine  
 *     gal_p2pv_test                gal_p2pv test routine  
 *     gal_p2s_test                 gal_p2s test routine  
 *     gal_pap_test                 gal_pap test routine  
 *     gal_pas_test                 gal_pas test routine  
 *     gal_pdp_test                 gal_pdp test routine  
 *     gal_pm_test                  gal_pm test routine  
 *     gal_pmp_test                 gal_pmp test routine  
 *     gal_pn_test                  gal_pn test routine  
 *     gal_ppp_test                 gal_ppp test routine  
 *     gal_ppsp_test                gal_ppsp test routine  
 *     gal_pv2p_test                gal_pv2p test routine  
 *     gal_pv2s_test                gal_pv2s test routine  
 *     gal_pvdpv_test               gal_pvdpv test routine  
 *     gal_pvm_test                 gal_pvm test routine  
 *     gal_pvmpv_test               gal_pvmpv test routine  
 *     gal_pvppv_test               gal_pvppv test routine  
 *     gal_pvu_test                 gal_pvu test routine
 *     gal_pvup_test                gal_pvup test routine  
 *     gal_pvxpv_test               gal_pvxpv test routine  
 *     gal_pxp_test                 gal_pxp test routine  
 *     gal_rm2v_test                gal_rm2v test routine  
 *     gal_rv2m_test                gal_rv2m test routine  
 *     gal_rx_test                  gal_rx test routine  
 *     gal_rxp_test                 gal_rxp test routine  
 *     gal_rxpv_test                gal_rxpv test routine  
 *     gal_rxr_test                 gal_rxr test routine  
 *     gal_ry_test                  gal_ry test routine  
 *     gal_rz_test                  gal_rz test routine  
 *     gal_s2c_test                 gal_s2c test routine  
 *     gal_s2p_test                 gal_s2p test routine  
 *     gal_s2pv_test                gal_s2pv test routine  
 *     gal_s2xpv_test               gal_s2xpv test routine  
 *     gal_sepp_test                gal_sepp test routine  
 *     gal_seps_test                gal_seps test routine  
 *     gal_sxp_test                 gal_sxp test routine
 *     gal_sxpv_test                gal_sxpv test routine  
 *     gal_tr_test                  gal_tr test routine  
 *     gal_trxp_test                gal_trxp test routine   
 *     gal_trxpv_test               gal_trxpv test routine  
 *     gal_zp_test                  gal_zp test routine  
 *     gal_zpv_test                 gal_zpv test routine  
 *     gal_zr_test                  gal_zr test routine 
 *  
 *  This revision:  
 * 
 *     2008 June 15 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include "gal_test_common.h"
#include "gal_test.h"
#include "gal_a2af_test.h"
#include "gal_a2tf_test.h"  
#include "gal_anp_test.h"  
#include "gal_anpm_test.h"  
#include "gal_c2s_test.h"  
#include "gal_cp_test.h"  
#include "gal_cpv_test.h"   
#include "gal_cr_test.h"  
#include "gal_d2tf_test.h"  
#include "gal_ir_test.h"  
#include "gal_p2pv_test.h"  
#include "gal_p2s_test.h"  
#include "gal_pap_test.h"  
#include "gal_pas_test.h"  
#include "gal_pdp_test.h"  
#include "gal_pm_test.h"  
#include "gal_pmp_test.h"  
#include "gal_pn_test.h"  
#include "gal_ppp_test.h" 
#include "gal_ppsp_test.h"  
#include "gal_pv2p_test.h"  
#include "gal_pv2s_test.h"  
#include "gal_pvdpv_test.h"  
#include "gal_pvm_test.h"  
#include "gal_pvmpv_test.h"  
#include "gal_pvppv_test.h"  
#include "gal_pvu_test.h"
#include "gal_pvup_test.h"  
#include "gal_pvxpv_test.h"  
#include "gal_pxp_test.h"  
#include "gal_rm2v_test.h"  
#include "gal_rv2m_test.h"  
#include "gal_rx_test.h"  
#include "gal_rxp_test.h"  
#include "gal_rxpv_test.h"  
#include "gal_rxr_test.h"  
#include "gal_ry_test.h"  
#include "gal_rz_test.h"  
#include "gal_s2c_test.h"  
#include "gal_s2p_test.h"  
#include "gal_s2pv_test.h"  
#include "gal_s2xpv_test.h"  
#include "gal_sepp_test.h"  
#include "gal_seps_test.h"  
#include "gal_sxp_test.h"
#include "gal_sxpv_test.h"  
#include "gal_tr_test.h"  
#include "gal_trxp_test.h"   
#include "gal_trxpv_test.h"  
#include "gal_zp_test.h"  
#include "gal_zpv_test.h"  
#include "gal_zr_test.h"

int
main
  (
  )
  
{

/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_test_start ( "Vector Matrix", 0 ) ;
  
  gal_a2af_test  () ;  
  gal_a2tf_test  () ;    
  gal_anp_test   () ;    
  gal_anpm_test  () ;    
  gal_c2s_test   () ;   
  gal_cp_test    () ;   
  gal_cpv_test   () ;     
  gal_cr_test    () ;   
  gal_d2tf_test  () ;    
  gal_ir_test    () ;  
  gal_p2pv_test  () ;   
  gal_p2s_test   () ;    
  gal_pap_test   () ;    
  gal_pas_test   () ;   
  gal_pdp_test   () ;   
  gal_pm_test    () ;   
  gal_pmp_test   () ;    
  gal_pn_test    () ;   
  gal_ppp_test   () ;  
  gal_ppsp_test  () ;   
  gal_pv2p_test  () ;   
  gal_pv2s_test  () ;   
  gal_pvdpv_test () ;   
  gal_pvm_test   () ;   
  gal_pvmpv_test () ;    
  gal_pvppv_test () ;   
  gal_pvu_test   () ;  
  gal_pvup_test  () ;   
  gal_pvxpv_test () ;   
  gal_pxp_test   () ;   
  gal_rm2v_test  () ;   
  gal_rv2m_test  () ;   
  gal_rx_test    () ;   
  gal_rxp_test   () ;   
  gal_rxpv_test  () ;   
  gal_rxr_test   () ;   
  gal_ry_test    () ;    
  gal_rz_test    () ;    
  gal_s2c_test   () ;   
  gal_s2p_test   () ;   
  gal_s2pv_test  () ;   
  gal_s2xpv_test () ;   
  gal_sepp_test  () ;   
  gal_seps_test  () ;    
  gal_sxp_test   () ;  
  gal_sxpv_test  () ;    
  gal_tr_test    () ;   
  gal_trxp_test  () ;    
  gal_trxpv_test () ;    
  gal_zp_test    () ;   
  gal_zpv_test   () ;   
  gal_zr_test    () ; 
  
  return gal_test_stop () ;
  
/*  
 * Finished.  
 */  

}

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
