/*  
 *  - - - - - - - - - - - -  
 *   g a l _ z p _ t e s t  
 *  - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_zp routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_zp  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 January 4 ( c version 2008 February 9 )  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_zp.h"  
#include "gal_zp_test.h"  
#include "gal_test.h"  
  
void  
gal_zp_test  
 (  
 )  
{  
    double p[3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    p[0] = 0.3 ;  
    p[1] = 1.2 ;  
    p[2] = -2.5 ;  
  
    gal_zp (  p ) ;  
    gal_vdv ( p[0], 0.0, 0.0, "gal_zp", "p[0]" ) ;  
    gal_vdv ( p[1], 0.0, 0.0, "gal_zp", "p[1]" ) ;  
    gal_vdv ( p[2], 0.0, 0.0, "gal_zp", "p[2]" ) ;  
  
    gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  
  
}  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
