/*  
 *  - - - - - - - - - - - - - - - - 
 *   g a l _ g m j g m 3 _ t e s t  
 *  - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_gmjgm3 gravity model definition.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_stget  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 March 29 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_gmjgm3_test.h"
#include "gal_test.h"
#include "gal_stget.h"
#include "gal_gm.h"
  
void  
gal_gmjgm3_test  
 (  
 ) 
 
{

  extern int gal_tfunc ;  
  
  double c, s ;
  
  extern gal_gm_t gal_gmjgm3 ;
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */   
  
  gal_stget ( 0, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.00000000000e+00, 0.0, "gal_gmjgm3", "c 0 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 0 0" ) ;  
  gal_stget ( 1, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 0.00000000000e+00, 0.0, "gal_gmjgm3", "c 1 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 1 0" ) ;  
  gal_stget ( 1, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 0.00000000000e+00, 0.0, "gal_gmjgm3", "c 1 1" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 1 1" ) ;  
  gal_stget ( 2, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.84169548456e-04, 0.0, "gal_gmjgm3", "c 2 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 2 0" ) ;  
  gal_stget ( 2, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.86987640000e-10, 0.0, "gal_gmjgm3", "c 2 1" ) ;  
  gal_vdv ( s, 1.19528010000e-09, 0.0, "gal_gmjgm3", "s 2 1" ) ;  
  gal_stget ( 2, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.43926074866e-06, 0.0, "gal_gmjgm3", "c 2 2" ) ;  
  gal_vdv ( s, -1.40026639759e-06, 0.0, "gal_gmjgm3", "s 2 2" ) ;  
  gal_stget ( 3, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.57170590888e-07, 0.0, "gal_gmjgm3", "c 3 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 3 0" ) ;  
  gal_stget ( 3, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.03013720555e-06, 0.0, "gal_gmjgm3", "c 3 1" ) ;  
  gal_vdv ( s, 2.48130798256e-07, 0.0, "gal_gmjgm3", "s 3 1" ) ;  
  gal_stget ( 3, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.04706341273e-07, 0.0, "gal_gmjgm3", "c 3 2" ) ;  
  gal_vdv ( s, -6.18922846478e-07, 0.0, "gal_gmjgm3", "s 3 2" ) ;  
  gal_stget ( 3, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.21144939823e-07, 0.0, "gal_gmjgm3", "c 3 3" ) ;  
  gal_vdv ( s, 1.41420398474e-06, 0.0, "gal_gmjgm3", "s 3 3" ) ;  
  gal_stget ( 4, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.39777068357e-07, 0.0, "gal_gmjgm3", "c 4 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 4 0" ) ;  
  gal_stget ( 4, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.36243554299e-07, 0.0, "gal_gmjgm3", "c 4 1" ) ;  
  gal_vdv ( s, -4.73772370616e-07, 0.0, "gal_gmjgm3", "s 4 1" ) ;  
  gal_stget ( 4, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.50670156459e-07, 0.0, "gal_gmjgm3", "c 4 2" ) ;  
  gal_vdv ( s, 6.62571345943e-07, 0.0, "gal_gmjgm3", "s 4 2" ) ;  
  gal_stget ( 4, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.90868905774e-07, 0.0, "gal_gmjgm3", "c 4 3" ) ;  
  gal_vdv ( s, -2.00987354847e-07, 0.0, "gal_gmjgm3", "s 4 3" ) ;  
  gal_stget ( 4, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.88481367425e-07, 0.0, "gal_gmjgm3", "c 4 4" ) ;  
  gal_vdv ( s, 3.08848036904e-07, 0.0, "gal_gmjgm3", "s 4 4" ) ;  
  gal_stget ( 5, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.86589879865e-08, 0.0, "gal_gmjgm3", "c 5 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 5 0" ) ;  
  gal_stget ( 5, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.27273696977e-08, 0.0, "gal_gmjgm3", "c 5 1" ) ;  
  gal_vdv ( s, -9.41946321344e-08, 0.0, "gal_gmjgm3", "s 5 1" ) ;  
  gal_stget ( 5, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.52459102764e-07, 0.0, "gal_gmjgm3", "c 5 2" ) ;  
  gal_vdv ( s, -3.23334352444e-07, 0.0, "gal_gmjgm3", "s 5 2" ) ;  
  gal_stget ( 5, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.51837048088e-07, 0.0, "gal_gmjgm3", "c 5 3" ) ;  
  gal_vdv ( s, -2.14954193464e-07, 0.0, "gal_gmjgm3", "s 5 3" ) ;  
  gal_stget ( 5, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.95123393022e-07, 0.0, "gal_gmjgm3", "c 5 4" ) ;  
  gal_vdv ( s, 4.97414272309e-08, 0.0, "gal_gmjgm3", "s 5 4" ) ;  
  gal_stget ( 5, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.74831577700e-07, 0.0, "gal_gmjgm3", "c 5 5" ) ;  
  gal_vdv ( s, -6.69392937249e-07, 0.0, "gal_gmjgm3", "s 5 5" ) ;  
  gal_stget ( 6, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.49671561786e-07, 0.0, "gal_gmjgm3", "c 6 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 6 0" ) ;  
  gal_stget ( 6, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.61035804073e-08, 0.0, "gal_gmjgm3", "c 6 1" ) ;  
  gal_vdv ( s, 2.68998189326e-08, 0.0, "gal_gmjgm3", "s 6 1" ) ;  
  gal_stget ( 6, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.83274721249e-08, 0.0, "gal_gmjgm3", "c 6 2" ) ;  
  gal_vdv ( s, -3.73815919444e-07, 0.0, "gal_gmjgm3", "s 6 2" ) ;  
  gal_stget ( 6, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.70209657580e-08, 0.0, "gal_gmjgm3", "c 6 3" ) ;  
  gal_vdv ( s, 8.88947380083e-09, 0.0, "gal_gmjgm3", "s 6 3" ) ;  
  gal_stget ( 6, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.62280326198e-08, 0.0, "gal_gmjgm3", "c 6 4" ) ;  
  gal_vdv ( s, -4.71405112321e-07, 0.0, "gal_gmjgm3", "s 6 4" ) ;  
  gal_stget ( 6, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.67112271720e-07, 0.0, "gal_gmjgm3", "c 6 5" ) ;  
  gal_vdv ( s, -5.36410164664e-07, 0.0, "gal_gmjgm3", "s 6 5" ) ;  
  gal_stget ( 6, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.50165183386e-09, 0.0, "gal_gmjgm3", "c 6 6" ) ;  
  gal_vdv ( s, -2.37261478895e-07, 0.0, "gal_gmjgm3", "s 6 6" ) ;  
  gal_stget ( 7, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.07229416432e-08, 0.0, "gal_gmjgm3", "c 7 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 7 0" ) ;  
  gal_stget ( 7, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.80286522037e-07, 0.0, "gal_gmjgm3", "c 7 1" ) ;  
  gal_vdv ( s, 9.47773178133e-08, 0.0, "gal_gmjgm3", "s 7 1" ) ;  
  gal_stget ( 7, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.29760227424e-07, 0.0, "gal_gmjgm3", "c 7 2" ) ;  
  gal_vdv ( s, 9.31936968310e-08, 0.0, "gal_gmjgm3", "s 7 2" ) ;  
  gal_stget ( 7, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.50501526750e-07, 0.0, "gal_gmjgm3", "c 7 3" ) ;  
  gal_vdv ( s, -2.17320108453e-07, 0.0, "gal_gmjgm3", "s 7 3" ) ;  
  gal_stget ( 7, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.75540963074e-07, 0.0, "gal_gmjgm3", "c 7 4" ) ;  
  gal_vdv ( s, -1.24141512485e-07, 0.0, "gal_gmjgm3", "s 7 4" ) ;  
  gal_stget ( 7, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.64400381464e-09, 0.0, "gal_gmjgm3", "c 7 5" ) ;  
  gal_vdv ( s, 1.80753352335e-08, 0.0, "gal_gmjgm3", "s 7 5" ) ;  
  gal_stget ( 7, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.58842633079e-07, 0.0, "gal_gmjgm3", "c 7 6" ) ;  
  gal_vdv ( s, 1.51778084434e-07, 0.0, "gal_gmjgm3", "s 7 6" ) ;  
  gal_stget ( 7, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.37951705641e-09, 0.0, "gal_gmjgm3", "c 7 7" ) ;  
  gal_vdv ( s, 2.41285940808e-08, 0.0, "gal_gmjgm3", "s 7 7" ) ;  
  gal_stget ( 8, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.91180031747e-08, 0.0, "gal_gmjgm3", "c 8 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 8 0" ) ;  
  gal_stget ( 8, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.33337516872e-08, 0.0, "gal_gmjgm3", "c 8 1" ) ;  
  gal_vdv ( s, 5.84992749394e-08, 0.0, "gal_gmjgm3", "s 8 1" ) ;  
  gal_stget ( 8, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.00706639316e-08, 0.0, "gal_gmjgm3", "c 8 2" ) ;  
  gal_vdv ( s, 6.55185590975e-08, 0.0, "gal_gmjgm3", "s 8 2" ) ;  
  gal_stget ( 8, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.92517643314e-08, 0.0, "gal_gmjgm3", "c 8 3" ) ;  
  gal_vdv ( s, -8.62858365342e-08, 0.0, "gal_gmjgm3", "s 8 3" ) ;  
  gal_stget ( 8, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.44358064393e-07, 0.0, "gal_gmjgm3", "c 8 4" ) ;  
  gal_vdv ( s, 6.98570748504e-08, 0.0, "gal_gmjgm3", "s 8 4" ) ;  
  gal_stget ( 8, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.54984100103e-08, 0.0, "gal_gmjgm3", "c 8 5" ) ;  
  gal_vdv ( s, 8.90902974946e-08, 0.0, "gal_gmjgm3", "s 8 5" ) ;  
  gal_stget ( 8, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.58593538644e-08, 0.0, "gal_gmjgm3", "c 8 6" ) ;  
  gal_vdv ( s, 3.08920641580e-07, 0.0, "gal_gmjgm3", "s 8 6" ) ;  
  gal_stget ( 8, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.72627018487e-08, 0.0, "gal_gmjgm3", "c 8 7" ) ;  
  gal_vdv ( s, 7.48131967687e-08, 0.0, "gal_gmjgm3", "s 8 7" ) ;  
  gal_stget ( 8, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.23970613955e-07, 0.0, "gal_gmjgm3", "c 8 8" ) ;  
  gal_vdv ( s, 1.20441006688e-07, 0.0, "gal_gmjgm3", "s 8 8" ) ;  
  gal_stget ( 9, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.73850609501e-08, 0.0, "gal_gmjgm3", "c 9 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 9 0" ) ;  
  gal_stget ( 9, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.42230258927e-07, 0.0, "gal_gmjgm3", "c 9 1" ) ;  
  gal_vdv ( s, 2.19096183494e-08, 0.0, "gal_gmjgm3", "s 9 1" ) ;  
  gal_stget ( 9, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.26206423558e-08, 0.0, "gal_gmjgm3", "c 9 2" ) ;  
  gal_vdv ( s, -3.21749849622e-08, 0.0, "gal_gmjgm3", "s 9 2" ) ;  
  gal_stget ( 9, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.61064278972e-07, 0.0, "gal_gmjgm3", "c 9 3" ) ;  
  gal_vdv ( s, -7.45454640614e-08, 0.0, "gal_gmjgm3", "s 9 3" ) ;  
  gal_stget ( 9, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.20173668779e-09, 0.0, "gal_gmjgm3", "c 9 4" ) ;  
  gal_vdv ( s, 2.00680932868e-08, 0.0, "gal_gmjgm3", "s 9 4" ) ;  
  gal_stget ( 9, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.63250615159e-08, 0.0, "gal_gmjgm3", "c 9 5" ) ;  
  gal_vdv ( s, -5.42714732480e-08, 0.0, "gal_gmjgm3", "s 9 5" ) ;  
  gal_stget ( 9, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.28331869224e-08, 0.0, "gal_gmjgm3", "c 9 6" ) ;  
  gal_vdv ( s, 2.22677310949e-07, 0.0, "gal_gmjgm3", "s 9 6" ) ;  
  gal_stget ( 9, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.18158852176e-07, 0.0, "gal_gmjgm3", "c 9 7" ) ;  
  gal_vdv ( s, -9.68993858400e-08, 0.0, "gal_gmjgm3", "s 9 7" ) ;  
  gal_stget ( 9, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.87984269547e-07, 0.0, "gal_gmjgm3", "c 9 8" ) ;  
  gal_vdv ( s, -3.01544406579e-09, 0.0, "gal_gmjgm3", "s 9 8" ) ;  
  gal_stget ( 9, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.77248219232e-08, 0.0, "gal_gmjgm3", "c 9 9" ) ;  
  gal_vdv ( s, 9.65855776308e-08, 0.0, "gal_gmjgm3", "s 9 9" ) ;  
  gal_stget ( 10, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.41304457388e-08, 0.0, "gal_gmjgm3", "c 10 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 10 0" ) ;  
  gal_stget ( 10, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.37588323327e-08, 0.0, "gal_gmjgm3", "c 10 1" ) ;  
  gal_vdv ( s, -1.31554065398e-07, 0.0, "gal_gmjgm3", "s 10 1" ) ;  
  gal_stget ( 10, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.35579256828e-08, 0.0, "gal_gmjgm3", "c 10 2" ) ;  
  gal_vdv ( s, -5.14158905849e-08, 0.0, "gal_gmjgm3", "s 10 2" ) ;  
  gal_stget ( 10, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.19673670736e-09, 0.0, "gal_gmjgm3", "c 10 3" ) ;  
  gal_vdv ( s, -1.54179881185e-07, 0.0, "gal_gmjgm3", "s 10 3" ) ;  
  gal_stget ( 10, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.43353523953e-08, 0.0, "gal_gmjgm3", "c 10 4" ) ;  
  gal_vdv ( s, -7.84853461718e-08, 0.0, "gal_gmjgm3", "s 10 4" ) ;  
  gal_stget ( 10, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.95197408181e-08, 0.0, "gal_gmjgm3", "c 10 5" ) ;  
  gal_vdv ( s, -5.02926935779e-08, 0.0, "gal_gmjgm3", "s 10 5" ) ;  
  gal_stget ( 10, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.74188337367e-08, 0.0, "gal_gmjgm3", "c 10 6" ) ;  
  gal_vdv ( s, -7.94642182750e-08, 0.0, "gal_gmjgm3", "s 10 6" ) ;  
  gal_stget ( 10, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.20840625208e-09, 0.0, "gal_gmjgm3", "c 10 7" ) ;  
  gal_vdv ( s, -3.14913584011e-09, 0.0, "gal_gmjgm3", "s 10 7" ) ;  
  gal_stget ( 10, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.04678418711e-08, 0.0, "gal_gmjgm3", "c 10 8" ) ;  
  gal_vdv ( s, -9.19166827344e-08, 0.0, "gal_gmjgm3", "s 10 8" ) ;  
  gal_stget ( 10, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.25402502523e-07, 0.0, "gal_gmjgm3", "c 10 9" ) ;  
  gal_vdv ( s, -3.77364777537e-08, 0.0, "gal_gmjgm3", "s 10 9" ) ;  
  gal_stget ( 10, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.00382331314e-07, 0.0, "gal_gmjgm3", "c 10 10" ) ;  
  gal_vdv ( s, -2.38094044472e-08, 0.0, "gal_gmjgm3", "s 10 10" ) ;  
  gal_stget ( 11, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.01613145957e-08, 0.0, "gal_gmjgm3", "c 11 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 11 0" ) ;  
  gal_stget ( 11, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.61070777387e-08, 0.0, "gal_gmjgm3", "c 11 1" ) ;  
  gal_vdv ( s, -2.78921528407e-08, 0.0, "gal_gmjgm3", "s 11 1" ) ;  
  gal_stget ( 11, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.84297954611e-08, 0.0, "gal_gmjgm3", "c 11 2" ) ;  
  gal_vdv ( s, -9.84521172044e-08, 0.0, "gal_gmjgm3", "s 11 2" ) ;  
  gal_stget ( 11, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.05606980075e-08, 0.0, "gal_gmjgm3", "c 11 3" ) ;  
  gal_vdv ( s, -1.48803090512e-07, 0.0, "gal_gmjgm3", "s 11 3" ) ;  
  gal_stget ( 11, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.00241077823e-08, 0.0, "gal_gmjgm3", "c 11 4" ) ;  
  gal_vdv ( s, -6.35965302134e-08, 0.0, "gal_gmjgm3", "s 11 4" ) ;  
  gal_stget ( 11, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.74358745677e-08, 0.0, "gal_gmjgm3", "c 11 5" ) ;  
  gal_vdv ( s, 4.98286316800e-08, 0.0, "gal_gmjgm3", "s 11 5" ) ;  
  gal_stget ( 11, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.46078140555e-09, 0.0, "gal_gmjgm3", "c 11 6" ) ;  
  gal_vdv ( s, 3.41731612304e-08, 0.0, "gal_gmjgm3", "s 11 6" ) ;  
  gal_stget ( 11, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.70618247402e-09, 0.0, "gal_gmjgm3", "c 11 7" ) ;  
  gal_vdv ( s, -8.97772350571e-08, 0.0, "gal_gmjgm3", "s 11 7" ) ;  
  gal_stget ( 11, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.14060310693e-09, 0.0, "gal_gmjgm3", "c 11 8" ) ;  
  gal_vdv ( s, 2.45722545052e-08, 0.0, "gal_gmjgm3", "s 11 8" ) ;  
  gal_stget ( 11, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.14555162277e-08, 0.0, "gal_gmjgm3", "c 11 9" ) ;  
  gal_vdv ( s, 4.20407136882e-08, 0.0, "gal_gmjgm3", "s 11 9" ) ;  
  gal_stget ( 11, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.21293085885e-08, 0.0, "gal_gmjgm3", "c 11 10" ) ;  
  gal_vdv ( s, -1.83022780022e-08, 0.0, "gal_gmjgm3", "s 11 10" ) ;  
  gal_stget ( 11, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.62269459741e-08, 0.0, "gal_gmjgm3", "c 11 11" ) ;  
  gal_vdv ( s, -6.95925137860e-08, 0.0, "gal_gmjgm3", "s 11 11" ) ;  
  gal_stget ( 12, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.63823406237e-08, 0.0, "gal_gmjgm3", "c 12 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 12 0" ) ;  
  gal_stget ( 12, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.41917013363e-08, 0.0, "gal_gmjgm3", "c 12 1" ) ;  
  gal_vdv ( s, -4.20117757677e-08, 0.0, "gal_gmjgm3", "s 12 1" ) ;  
  gal_stget ( 12, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.39857384606e-08, 0.0, "gal_gmjgm3", "c 12 2" ) ;  
  gal_vdv ( s, 3.10477696443e-08, 0.0, "gal_gmjgm3", "s 12 2" ) ;  
  gal_stget ( 12, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.89785207778e-08, 0.0, "gal_gmjgm3", "c 12 3" ) ;  
  gal_vdv ( s, 2.45765809599e-08, 0.0, "gal_gmjgm3", "s 12 3" ) ;  
  gal_stget ( 12, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.84196981871e-08, 0.0, "gal_gmjgm3", "c 12 4" ) ;  
  gal_vdv ( s, 2.95432560593e-09, 0.0, "gal_gmjgm3", "s 12 4" ) ;  
  gal_stget ( 12, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.11070755273e-08, 0.0, "gal_gmjgm3", "c 12 5" ) ;  
  gal_vdv ( s, 7.63878831243e-09, 0.0, "gal_gmjgm3", "s 12 5" ) ;  
  gal_stget ( 12, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.32441946804e-09, 0.0, "gal_gmjgm3", "c 12 6" ) ;  
  gal_vdv ( s, 3.93688334845e-08, 0.0, "gal_gmjgm3", "s 12 6" ) ;  
  gal_stget ( 12, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.86031065417e-08, 0.0, "gal_gmjgm3", "c 12 7" ) ;  
  gal_vdv ( s, 3.55708292492e-08, 0.0, "gal_gmjgm3", "s 12 7" ) ;  
  gal_stget ( 12, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.57024774027e-08, 0.0, "gal_gmjgm3", "c 12 8" ) ;  
  gal_vdv ( s, 1.66667944646e-08, 0.0, "gal_gmjgm3", "s 12 8" ) ;  
  gal_stget ( 12, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.17930777117e-08, 0.0, "gal_gmjgm3", "c 12 9" ) ;  
  gal_vdv ( s, 2.53245799090e-08, 0.0, "gal_gmjgm3", "s 12 9" ) ;  
  gal_stget ( 12, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.16938471209e-09, 0.0, "gal_gmjgm3", "c 12 10" ) ;  
  gal_vdv ( s, 3.09862629190e-08, 0.0, "gal_gmjgm3", "s 12 10" ) ;  
  gal_stget ( 12, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.13208272884e-08, 0.0, "gal_gmjgm3", "c 12 11" ) ;  
  gal_vdv ( s, -6.34422554485e-09, 0.0, "gal_gmjgm3", "s 12 11" ) ;  
  gal_stget ( 12, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.34927522693e-09, 0.0, "gal_gmjgm3", "c 12 12" ) ;  
  gal_vdv ( s, -1.09594265534e-08, 0.0, "gal_gmjgm3", "s 12 12" ) ;  
  gal_stget ( 13, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.99464287317e-08, 0.0, "gal_gmjgm3", "c 13 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 13 0" ) ;  
  gal_stget ( 13, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.29668682614e-08, 0.0, "gal_gmjgm3", "c 13 1" ) ;  
  gal_vdv ( s, 3.98768164474e-08, 0.0, "gal_gmjgm3", "s 13 1" ) ;  
  gal_stget ( 13, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.60391252754e-08, 0.0, "gal_gmjgm3", "c 13 2" ) ;  
  gal_vdv ( s, -6.26993413009e-08, 0.0, "gal_gmjgm3", "s 13 2" ) ;  
  gal_stget ( 13, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.18171319486e-08, 0.0, "gal_gmjgm3", "c 13 3" ) ;  
  gal_vdv ( s, 9.82089990775e-08, 0.0, "gal_gmjgm3", "s 13 3" ) ;  
  gal_stget ( 13, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.47093724418e-09, 0.0, "gal_gmjgm3", "c 13 4" ) ;  
  gal_vdv ( s, -1.26138487865e-08, 0.0, "gal_gmjgm3", "s 13 4" ) ;  
  gal_stget ( 13, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.82531254154e-08, 0.0, "gal_gmjgm3", "c 13 5" ) ;  
  gal_vdv ( s, 6.58456489681e-08, 0.0, "gal_gmjgm3", "s 13 5" ) ;  
  gal_stget ( 13, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.53119887404e-08, 0.0, "gal_gmjgm3", "c 13 6" ) ;  
  gal_vdv ( s, -6.05833152976e-09, 0.0, "gal_gmjgm3", "s 13 6" ) ;  
  gal_stget ( 13, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.70636492003e-09, 0.0, "gal_gmjgm3", "c 13 7" ) ;  
  gal_vdv ( s, -7.71105789145e-09, 0.0, "gal_gmjgm3", "s 13 7" ) ;  
  gal_stget ( 13, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.88717875865e-09, 0.0, "gal_gmjgm3", "c 13 8" ) ;  
  gal_vdv ( s, -9.72893716175e-09, 0.0, "gal_gmjgm3", "s 13 8" ) ;  
  gal_stget ( 13, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.47536300548e-08, 0.0, "gal_gmjgm3", "c 13 9" ) ;  
  gal_vdv ( s, 4.53592577207e-08, 0.0, "gal_gmjgm3", "s 13 9" ) ;  
  gal_stget ( 13, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.08921474586e-08, 0.0, "gal_gmjgm3", "c 13 10" ) ;  
  gal_vdv ( s, -3.70989434214e-08, 0.0, "gal_gmjgm3", "s 13 10" ) ;  
  gal_stget ( 13, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.47390745655e-08, 0.0, "gal_gmjgm3", "c 13 11" ) ;  
  gal_vdv ( s, -4.83289206073e-09, 0.0, "gal_gmjgm3", "s 13 11" ) ;  
  gal_stget ( 13, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.14100213465e-08, 0.0, "gal_gmjgm3", "c 13 12" ) ;  
  gal_vdv ( s, 8.81063493744e-08, 0.0, "gal_gmjgm3", "s 13 12" ) ;  
  gal_stget ( 13, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.12113410742e-08, 0.0, "gal_gmjgm3", "c 13 13" ) ;  
  gal_vdv ( s, 6.84087856909e-08, 0.0, "gal_gmjgm3", "s 13 13" ) ;  
  gal_stget ( 14, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.18038615472e-08, 0.0, "gal_gmjgm3", "c 14 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 14 0" ) ;  
  gal_stget ( 14, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.90237519415e-08, 0.0, "gal_gmjgm3", "c 14 1" ) ;  
  gal_vdv ( s, 2.74718260627e-08, 0.0, "gal_gmjgm3", "s 14 1" ) ;  
  gal_stget ( 14, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.69789660624e-08, 0.0, "gal_gmjgm3", "c 14 2" ) ;  
  gal_vdv ( s, -2.98910748984e-09, 0.0, "gal_gmjgm3", "s 14 2" ) ;  
  gal_stget ( 14, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.68094358394e-08, 0.0, "gal_gmjgm3", "c 14 3" ) ;  
  gal_vdv ( s, 2.03134043800e-08, 0.0, "gal_gmjgm3", "s 14 3" ) ;  
  gal_stget ( 14, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.71206603690e-09, 0.0, "gal_gmjgm3", "c 14 4" ) ;  
  gal_vdv ( s, -2.06880440006e-08, 0.0, "gal_gmjgm3", "s 14 4" ) ;  
  gal_stget ( 14, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.98994624501e-08, 0.0, "gal_gmjgm3", "c 14 5" ) ;  
  gal_vdv ( s, -1.68579108384e-08, 0.0, "gal_gmjgm3", "s 14 5" ) ;  
  gal_stget ( 14, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.94009817301e-08, 0.0, "gal_gmjgm3", "c 14 6" ) ;  
  gal_vdv ( s, 2.41295941300e-09, 0.0, "gal_gmjgm3", "s 14 6" ) ;  
  gal_stget ( 14, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.68511326315e-08, 0.0, "gal_gmjgm3", "c 14 7" ) ;  
  gal_vdv ( s, -4.22236458897e-09, 0.0, "gal_gmjgm3", "s 14 7" ) ;  
  gal_stget ( 14, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.48668529184e-08, 0.0, "gal_gmjgm3", "c 14 8" ) ;  
  gal_vdv ( s, -1.48884147887e-08, 0.0, "gal_gmjgm3", "s 14 8" ) ;  
  gal_stget ( 14, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.23766387782e-08, 0.0, "gal_gmjgm3", "c 14 9" ) ;  
  gal_vdv ( s, 2.86982125507e-08, 0.0, "gal_gmjgm3", "s 14 9" ) ;  
  gal_stget ( 14, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.88384894621e-08, 0.0, "gal_gmjgm3", "c 14 10" ) ;  
  gal_vdv ( s, -1.46465029369e-09, 0.0, "gal_gmjgm3", "s 14 10" ) ;  
  gal_stget ( 14, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.53565394629e-08, 0.0, "gal_gmjgm3", "c 14 11" ) ;  
  gal_vdv ( s, -3.90385031097e-08, 0.0, "gal_gmjgm3", "s 14 11" ) ;  
  gal_stget ( 14, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.50466461661e-09, 0.0, "gal_gmjgm3", "c 14 12" ) ;  
  gal_vdv ( s, -3.09217277403e-08, 0.0, "gal_gmjgm3", "s 14 12" ) ;  
  gal_stget ( 14, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.21667471351e-08, 0.0, "gal_gmjgm3", "c 14 13" ) ;  
  gal_vdv ( s, 4.52000811994e-08, 0.0, "gal_gmjgm3", "s 14 13" ) ;  
  gal_stget ( 14, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.17834363669e-08, 0.0, "gal_gmjgm3", "c 14 14" ) ;  
  gal_vdv ( s, -5.01357060897e-09, 0.0, "gal_gmjgm3", "s 14 14" ) ;  
  gal_stget ( 15, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.16595109262e-09, 0.0, "gal_gmjgm3", "c 15 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 15 0" ) ;  
  gal_stget ( 15, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.20190484678e-08, 0.0, "gal_gmjgm3", "c 15 1" ) ;  
  gal_vdv ( s, 8.17326710799e-09, 0.0, "gal_gmjgm3", "s 15 1" ) ;  
  gal_stget ( 15, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.17462728532e-08, 0.0, "gal_gmjgm3", "c 15 2" ) ;  
  gal_vdv ( s, -3.17330396220e-08, 0.0, "gal_gmjgm3", "s 15 2" ) ;  
  gal_stget ( 15, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.24030646688e-08, 0.0, "gal_gmjgm3", "c 15 3" ) ;  
  gal_vdv ( s, 1.51598623104e-08, 0.0, "gal_gmjgm3", "s 15 3" ) ;  
  gal_stget ( 15, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.21626914461e-08, 0.0, "gal_gmjgm3", "c 15 4" ) ;  
  gal_vdv ( s, 7.82709969099e-09, 0.0, "gal_gmjgm3", "s 15 4" ) ;  
  gal_stget ( 15, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.34508958467e-08, 0.0, "gal_gmjgm3", "c 15 5" ) ;  
  gal_vdv ( s, 8.98233496299e-09, 0.0, "gal_gmjgm3", "s 15 5" ) ;  
  gal_stget ( 15, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.34633862208e-08, 0.0, "gal_gmjgm3", "c 15 6" ) ;  
  gal_vdv ( s, -3.77525321326e-08, 0.0, "gal_gmjgm3", "s 15 6" ) ;  
  gal_stget ( 15, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.99127013549e-08, 0.0, "gal_gmjgm3", "c 15 7" ) ;  
  gal_vdv ( s, 6.05619232715e-09, 0.0, "gal_gmjgm3", "s 15 7" ) ;  
  gal_stget ( 15, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.19895524164e-08, 0.0, "gal_gmjgm3", "c 15 8" ) ;  
  gal_vdv ( s, 2.22709138831e-08, 0.0, "gal_gmjgm3", "s 15 8" ) ;  
  gal_stget ( 15, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.30267220243e-08, 0.0, "gal_gmjgm3", "c 15 9" ) ;  
  gal_vdv ( s, 3.78764137042e-08, 0.0, "gal_gmjgm3", "s 15 9" ) ;  
  gal_stget ( 15, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.03113307524e-08, 0.0, "gal_gmjgm3", "c 15 10" ) ;  
  gal_vdv ( s, 1.49563291952e-08, 0.0, "gal_gmjgm3", "s 15 10" ) ;  
  gal_stget ( 15, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.51744918496e-10, 0.0, "gal_gmjgm3", "c 15 11" ) ;  
  gal_vdv ( s, 1.87163366675e-08, 0.0, "gal_gmjgm3", "s 15 11" ) ;  
  gal_stget ( 15, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.27289916045e-08, 0.0, "gal_gmjgm3", "c 15 12" ) ;  
  gal_vdv ( s, 1.57197765289e-08, 0.0, "gal_gmjgm3", "s 15 12" ) ;  
  gal_stget ( 15, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.82889609266e-08, 0.0, "gal_gmjgm3", "c 15 13" ) ;  
  gal_vdv ( s, -4.29439585260e-09, 0.0, "gal_gmjgm3", "s 15 13" ) ;  
  gal_stget ( 15, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.30448112798e-09, 0.0, "gal_gmjgm3", "c 15 14" ) ;  
  gal_vdv ( s, -2.44424846227e-08, 0.0, "gal_gmjgm3", "s 15 14" ) ;  
  gal_stget ( 15, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.92275325578e-08, 0.0, "gal_gmjgm3", "c 15 15" ) ;  
  gal_vdv ( s, -4.70437177403e-09, 0.0, "gal_gmjgm3", "s 15 15" ) ;  
  gal_stget ( 16, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.43023208844e-09, 0.0, "gal_gmjgm3", "c 16 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 16 0" ) ;  
  gal_stget ( 16, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.75334993498e-08, 0.0, "gal_gmjgm3", "c 16 1" ) ;  
  gal_vdv ( s, 3.37081990437e-08, 0.0, "gal_gmjgm3", "s 16 1" ) ;  
  gal_stget ( 16, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.23952940063e-08, 0.0, "gal_gmjgm3", "c 16 2" ) ;  
  gal_vdv ( s, 2.62066133546e-08, 0.0, "gal_gmjgm3", "s 16 2" ) ;  
  gal_stget ( 16, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.51007890045e-08, 0.0, "gal_gmjgm3", "c 16 3" ) ;  
  gal_vdv ( s, -2.32415199680e-08, 0.0, "gal_gmjgm3", "s 16 3" ) ;  
  gal_stget ( 16, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.12189767399e-08, 0.0, "gal_gmjgm3", "c 16 4" ) ;  
  gal_vdv ( s, 4.60566969766e-08, 0.0, "gal_gmjgm3", "s 16 4" ) ;  
  gal_stget ( 16, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.34952635757e-08, 0.0, "gal_gmjgm3", "c 16 5" ) ;  
  gal_vdv ( s, -1.67885070609e-09, 0.0, "gal_gmjgm3", "s 16 5" ) ;  
  gal_stget ( 16, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.43210546505e-08, 0.0, "gal_gmjgm3", "c 16 6" ) ;  
  gal_vdv ( s, -3.44453592516e-08, 0.0, "gal_gmjgm3", "s 16 6" ) ;  
  gal_stget ( 16, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.81296622069e-09, 0.0, "gal_gmjgm3", "c 16 7" ) ;  
  gal_vdv ( s, -8.51014325206e-09, 0.0, "gal_gmjgm3", "s 16 7" ) ;  
  gal_stget ( 16, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.15378422697e-08, 0.0, "gal_gmjgm3", "c 16 8" ) ;  
  gal_vdv ( s, 5.24757504003e-09, 0.0, "gal_gmjgm3", "s 16 8" ) ;  
  gal_stget ( 16, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.27767152892e-08, 0.0, "gal_gmjgm3", "c 16 9" ) ;  
  gal_vdv ( s, -3.89238874533e-08, 0.0, "gal_gmjgm3", "s 16 9" ) ;  
  gal_stget ( 16, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.21287100211e-08, 0.0, "gal_gmjgm3", "c 16 10" ) ;  
  gal_vdv ( s, 1.20646359931e-08, 0.0, "gal_gmjgm3", "s 16 10" ) ;  
  gal_stget ( 16, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.92658351833e-08, 0.0, "gal_gmjgm3", "c 16 11" ) ;  
  gal_vdv ( s, -2.97475752027e-09, 0.0, "gal_gmjgm3", "s 16 11" ) ;  
  gal_stget ( 16, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.96977425594e-08, 0.0, "gal_gmjgm3", "c 16 12" ) ;  
  gal_vdv ( s, 6.91450927978e-09, 0.0, "gal_gmjgm3", "s 16 12" ) ;  
  gal_stget ( 16, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.38373301892e-08, 0.0, "gal_gmjgm3", "c 16 13" ) ;  
  gal_vdv ( s, 9.93931047643e-10, 0.0, "gal_gmjgm3", "s 16 13" ) ;  
  gal_stget ( 16, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.91259290846e-08, 0.0, "gal_gmjgm3", "c 16 14" ) ;  
  gal_vdv ( s, -3.88601607315e-08, 0.0, "gal_gmjgm3", "s 16 14" ) ;  
  gal_stget ( 16, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.44605112506e-08, 0.0, "gal_gmjgm3", "c 16 15" ) ;  
  gal_vdv ( s, -3.26991029842e-08, 0.0, "gal_gmjgm3", "s 16 15" ) ;  
  gal_stget ( 16, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.75294246599e-08, 0.0, "gal_gmjgm3", "c 16 16" ) ;  
  gal_vdv ( s, 3.59110383412e-09, 0.0, "gal_gmjgm3", "s 16 16" ) ;  
  gal_stget ( 17, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.81083750598e-08, 0.0, "gal_gmjgm3", "c 17 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 17 0" ) ;  
  gal_stget ( 17, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.63888623964e-08, 0.0, "gal_gmjgm3", "c 17 1" ) ;  
  gal_vdv ( s, -2.98528557535e-08, 0.0, "gal_gmjgm3", "s 17 1" ) ;  
  gal_stget ( 17, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.73785969947e-08, 0.0, "gal_gmjgm3", "c 17 2" ) ;  
  gal_vdv ( s, 9.19674929740e-09, 0.0, "gal_gmjgm3", "s 17 2" ) ;  
  gal_stget ( 17, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.42256153378e-09, 0.0, "gal_gmjgm3", "c 17 3" ) ;  
  gal_vdv ( s, 8.19465237243e-09, 0.0, "gal_gmjgm3", "s 17 3" ) ;  
  gal_stget ( 17, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.52025612808e-09, 0.0, "gal_gmjgm3", "c 17 4" ) ;  
  gal_vdv ( s, 2.33819948710e-08, 0.0, "gal_gmjgm3", "s 17 4" ) ;  
  gal_stget ( 17, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.70580525942e-08, 0.0, "gal_gmjgm3", "c 17 5" ) ;  
  gal_vdv ( s, 5.35320656218e-09, 0.0, "gal_gmjgm3", "s 17 5" ) ;  
  gal_stget ( 17, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.34666100110e-08, 0.0, "gal_gmjgm3", "c 17 6" ) ;  
  gal_vdv ( s, -2.82748374362e-08, 0.0, "gal_gmjgm3", "s 17 6" ) ;  
  gal_stget ( 17, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.40111196379e-08, 0.0, "gal_gmjgm3", "c 17 7" ) ;  
  gal_vdv ( s, -5.88355438684e-09, 0.0, "gal_gmjgm3", "s 17 7" ) ;  
  gal_stget ( 17, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.76245618668e-08, 0.0, "gal_gmjgm3", "c 17 8" ) ;  
  gal_vdv ( s, 3.76095603594e-09, 0.0, "gal_gmjgm3", "s 17 8" ) ;  
  gal_stget ( 17, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.29048997604e-09, 0.0, "gal_gmjgm3", "c 17 9" ) ;  
  gal_vdv ( s, -2.85857664019e-08, 0.0, "gal_gmjgm3", "s 17 9" ) ;  
  gal_stget ( 17, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.30407782970e-09, 0.0, "gal_gmjgm3", "c 17 10" ) ;  
  gal_vdv ( s, 1.80384439877e-08, 0.0, "gal_gmjgm3", "s 17 10" ) ;  
  gal_stget ( 17, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.57255191146e-08, 0.0, "gal_gmjgm3", "c 17 11" ) ;  
  gal_vdv ( s, 1.10208682279e-08, 0.0, "gal_gmjgm3", "s 17 11" ) ;  
  gal_stget ( 17, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.86891287894e-08, 0.0, "gal_gmjgm3", "c 17 12" ) ;  
  gal_vdv ( s, 2.07440697008e-08, 0.0, "gal_gmjgm3", "s 17 12" ) ;  
  gal_stget ( 17, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.66030667389e-08, 0.0, "gal_gmjgm3", "c 17 13" ) ;  
  gal_vdv ( s, 2.03048086784e-08, 0.0, "gal_gmjgm3", "s 17 13" ) ;  
  gal_stget ( 17, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.40607941032e-08, 0.0, "gal_gmjgm3", "c 17 14" ) ;  
  gal_vdv ( s, 1.13757053430e-08, 0.0, "gal_gmjgm3", "s 17 14" ) ;  
  gal_stget ( 17, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.33185582731e-09, 0.0, "gal_gmjgm3", "c 17 15" ) ;  
  gal_vdv ( s, 5.38710072517e-09, 0.0, "gal_gmjgm3", "s 17 15" ) ;  
  gal_stget ( 17, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.00610168116e-08, 0.0, "gal_gmjgm3", "c 17 16" ) ;  
  gal_vdv ( s, 3.72408860961e-09, 0.0, "gal_gmjgm3", "s 17 16" ) ;  
  gal_stget ( 17, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.40641085422e-08, 0.0, "gal_gmjgm3", "c 17 17" ) ;  
  gal_vdv ( s, -1.97332149060e-08, 0.0, "gal_gmjgm3", "s 17 17" ) ;  
  gal_stget ( 18, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.26918460072e-09, 0.0, "gal_gmjgm3", "c 18 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 18 0" ) ;  
  gal_stget ( 18, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.21001670372e-09, 0.0, "gal_gmjgm3", "c 18 1" ) ;  
  gal_vdv ( s, -3.90758931456e-08, 0.0, "gal_gmjgm3", "s 18 1" ) ;  
  gal_stget ( 18, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.28282488663e-08, 0.0, "gal_gmjgm3", "c 18 2" ) ;  
  gal_vdv ( s, 1.35863599790e-08, 0.0, "gal_gmjgm3", "s 18 2" ) ;  
  gal_stget ( 18, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.75966759094e-09, 0.0, "gal_gmjgm3", "c 18 3" ) ;  
  gal_vdv ( s, -3.10905629936e-09, 0.0, "gal_gmjgm3", "s 18 3" ) ;  
  gal_stget ( 18, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.30922910408e-08, 0.0, "gal_gmjgm3", "c 18 4" ) ;  
  gal_vdv ( s, 1.45969988307e-09, 0.0, "gal_gmjgm3", "s 18 4" ) ;  
  gal_stget ( 18, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.31442203594e-09, 0.0, "gal_gmjgm3", "c 18 5" ) ;  
  gal_vdv ( s, 2.46503511368e-08, 0.0, "gal_gmjgm3", "s 18 5" ) ;  
  gal_stget ( 18, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.33778399892e-08, 0.0, "gal_gmjgm3", "c 18 6" ) ;  
  gal_vdv ( s, -1.56609960659e-08, 0.0, "gal_gmjgm3", "s 18 6" ) ;  
  gal_stget ( 18, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.52858771149e-09, 0.0, "gal_gmjgm3", "c 18 7" ) ;  
  gal_vdv ( s, 6.28026301655e-09, 0.0, "gal_gmjgm3", "s 18 7" ) ;  
  gal_stget ( 18, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.10661164348e-08, 0.0, "gal_gmjgm3", "c 18 8" ) ;  
  gal_vdv ( s, 2.47013406569e-09, 0.0, "gal_gmjgm3", "s 18 8" ) ;  
  gal_stget ( 18, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.91831235593e-08, 0.0, "gal_gmjgm3", "c 18 9" ) ;  
  gal_vdv ( s, 3.61443872003e-08, 0.0, "gal_gmjgm3", "s 18 9" ) ;  
  gal_stget ( 18, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.56615602556e-09, 0.0, "gal_gmjgm3", "c 18 10" ) ;  
  gal_vdv ( s, -4.59538683139e-09, 0.0, "gal_gmjgm3", "s 18 10" ) ;  
  gal_stget ( 18, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.64247535871e-09, 0.0, "gal_gmjgm3", "c 18 11" ) ;  
  gal_vdv ( s, 2.11715136603e-09, 0.0, "gal_gmjgm3", "s 18 11" ) ;  
  gal_stget ( 18, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.96030199745e-08, 0.0, "gal_gmjgm3", "c 18 12" ) ;  
  gal_vdv ( s, -1.61924646618e-08, 0.0, "gal_gmjgm3", "s 18 12" ) ;  
  gal_stget ( 18, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.37993303475e-09, 0.0, "gal_gmjgm3", "c 18 13" ) ;  
  gal_vdv ( s, -3.49797303124e-08, 0.0, "gal_gmjgm3", "s 18 13" ) ;  
  gal_stget ( 18, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.00283215532e-09, 0.0, "gal_gmjgm3", "c 18 14" ) ;  
  gal_vdv ( s, -1.30783750357e-08, 0.0, "gal_gmjgm3", "s 18 14" ) ;  
  gal_stget ( 18, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.05355669223e-08, 0.0, "gal_gmjgm3", "c 18 15" ) ;  
  gal_vdv ( s, -2.02494268224e-08, 0.0, "gal_gmjgm3", "s 18 15" ) ;  
  gal_stget ( 18, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.06709138405e-08, 0.0, "gal_gmjgm3", "c 18 16" ) ;  
  gal_vdv ( s, 6.96543691109e-09, 0.0, "gal_gmjgm3", "s 18 16" ) ;  
  gal_stget ( 18, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.60031919416e-09, 0.0, "gal_gmjgm3", "c 18 17" ) ;  
  gal_vdv ( s, 4.51037605479e-09, 0.0, "gal_gmjgm3", "s 18 17" ) ;  
  gal_stget ( 18, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.62060609734e-09, 0.0, "gal_gmjgm3", "c 18 18" ) ;  
  gal_vdv ( s, -1.08100584063e-08, 0.0, "gal_gmjgm3", "s 18 18" ) ;  
  gal_stget ( 19, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.51855030981e-09, 0.0, "gal_gmjgm3", "c 19 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 19 0" ) ;  
  gal_stget ( 19, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.96750144486e-09, 0.0, "gal_gmjgm3", "c 19 1" ) ;  
  gal_vdv ( s, 1.58048507374e-10, 0.0, "gal_gmjgm3", "s 19 1" ) ;  
  gal_stget ( 19, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.14350515722e-08, 0.0, "gal_gmjgm3", "c 19 2" ) ;  
  gal_vdv ( s, -4.32954797743e-09, 0.0, "gal_gmjgm3", "s 19 2" ) ;  
  gal_stget ( 19, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.89999332042e-09, 0.0, "gal_gmjgm3", "c 19 3" ) ;  
  gal_vdv ( s, -9.88212084385e-10, 0.0, "gal_gmjgm3", "s 19 3" ) ;  
  gal_stget ( 19, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.58267868073e-08, 0.0, "gal_gmjgm3", "c 19 4" ) ;  
  gal_vdv ( s, -5.66193768936e-09, 0.0, "gal_gmjgm3", "s 19 4" ) ;  
  gal_stget ( 19, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.20582237929e-08, 0.0, "gal_gmjgm3", "c 19 5" ) ;  
  gal_vdv ( s, 2.72044440646e-08, 0.0, "gal_gmjgm3", "s 19 5" ) ;  
  gal_stget ( 19, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.38500620077e-09, 0.0, "gal_gmjgm3", "c 19 6" ) ;  
  gal_vdv ( s, 1.79516595915e-08, 0.0, "gal_gmjgm3", "s 19 6" ) ;  
  gal_stget ( 19, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.36778591222e-09, 0.0, "gal_gmjgm3", "c 19 7" ) ;  
  gal_vdv ( s, -8.66484817195e-09, 0.0, "gal_gmjgm3", "s 19 7" ) ;  
  gal_stget ( 19, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.10521890736e-08, 0.0, "gal_gmjgm3", "c 19 8" ) ;  
  gal_vdv ( s, -1.04626088472e-08, 0.0, "gal_gmjgm3", "s 19 8" ) ;  
  gal_stget ( 19, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.03046616376e-09, 0.0, "gal_gmjgm3", "c 19 9" ) ;  
  gal_vdv ( s, 6.45155665369e-09, 0.0, "gal_gmjgm3", "s 19 9" ) ;  
  gal_stget ( 19, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.33774895894e-08, 0.0, "gal_gmjgm3", "c 19 10" ) ;  
  gal_vdv ( s, -7.09017930783e-09, 0.0, "gal_gmjgm3", "s 19 10" ) ;  
  gal_stget ( 19, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.60807201977e-08, 0.0, "gal_gmjgm3", "c 19 11" ) ;  
  gal_vdv ( s, 1.10003173288e-08, 0.0, "gal_gmjgm3", "s 19 11" ) ;  
  gal_stget ( 19, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.98865572632e-09, 0.0, "gal_gmjgm3", "c 19 12" ) ;  
  gal_vdv ( s, 9.30967987884e-09, 0.0, "gal_gmjgm3", "s 19 12" ) ;  
  gal_stget ( 19, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.44655150908e-09, 0.0, "gal_gmjgm3", "c 19 13" ) ;  
  gal_vdv ( s, -2.83983038541e-08, 0.0, "gal_gmjgm3", "s 19 13" ) ;  
  gal_stget ( 19, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.52943207373e-09, 0.0, "gal_gmjgm3", "c 19 14" ) ;  
  gal_vdv ( s, -1.31134526890e-08, 0.0, "gal_gmjgm3", "s 19 14" ) ;  
  gal_stget ( 19, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.78384586154e-08, 0.0, "gal_gmjgm3", "c 19 15" ) ;  
  gal_vdv ( s, -1.41059161725e-08, 0.0, "gal_gmjgm3", "s 19 15" ) ;  
  gal_stget ( 19, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.14212124130e-08, 0.0, "gal_gmjgm3", "c 19 16" ) ;  
  gal_vdv ( s, -6.95745086793e-09, 0.0, "gal_gmjgm3", "s 19 16" ) ;  
  gal_stget ( 19, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.91057530676e-08, 0.0, "gal_gmjgm3", "c 19 17" ) ;  
  gal_vdv ( s, -1.51525371480e-08, 0.0, "gal_gmjgm3", "s 19 17" ) ;  
  gal_stget ( 19, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.47143402904e-08, 0.0, "gal_gmjgm3", "c 19 18" ) ;  
  gal_vdv ( s, -9.43857745550e-09, 0.0, "gal_gmjgm3", "s 19 18" ) ;  
  gal_stget ( 19, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.37085820000e-09, 0.0, "gal_gmjgm3", "c 19 19" ) ;  
  gal_vdv ( s, 4.77960914790e-09, 0.0, "gal_gmjgm3", "s 19 19" ) ;  
  gal_stget ( 20, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.87899865498e-08, 0.0, "gal_gmjgm3", "c 20 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 20 0" ) ;  
  gal_stget ( 20, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.34776750113e-09, 0.0, "gal_gmjgm3", "c 20 1" ) ;  
  gal_vdv ( s, 6.24452941693e-09, 0.0, "gal_gmjgm3", "s 20 1" ) ;  
  gal_stget ( 20, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.00304480295e-08, 0.0, "gal_gmjgm3", "c 20 2" ) ;  
  gal_vdv ( s, 1.48844700886e-08, 0.0, "gal_gmjgm3", "s 20 2" ) ;  
  gal_stget ( 20, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.93499490668e-09, 0.0, "gal_gmjgm3", "c 20 3" ) ;  
  gal_vdv ( s, 3.55711511711e-08, 0.0, "gal_gmjgm3", "s 20 3" ) ;  
  gal_stget ( 20, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.45717472347e-09, 0.0, "gal_gmjgm3", "c 20 4" ) ;  
  gal_vdv ( s, -2.24101011983e-08, 0.0, "gal_gmjgm3", "s 20 4" ) ;  
  gal_stget ( 20, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.14523183889e-08, 0.0, "gal_gmjgm3", "c 20 5" ) ;  
  gal_vdv ( s, -6.93507758649e-09, 0.0, "gal_gmjgm3", "s 20 5" ) ;  
  gal_stget ( 20, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.15654010973e-08, 0.0, "gal_gmjgm3", "c 20 6" ) ;  
  gal_vdv ( s, -4.23417320021e-10, 0.0, "gal_gmjgm3", "s 20 6" ) ;  
  gal_stget ( 20, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.03015102281e-08, 0.0, "gal_gmjgm3", "c 20 7" ) ;  
  gal_vdv ( s, -1.29958892264e-10, 0.0, "gal_gmjgm3", "s 20 7" ) ;  
  gal_stget ( 20, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.92220313056e-09, 0.0, "gal_gmjgm3", "c 20 8" ) ;  
  gal_vdv ( s, 4.06716184366e-09, 0.0, "gal_gmjgm3", "s 20 8" ) ;  
  gal_stget ( 20, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.80439125534e-08, 0.0, "gal_gmjgm3", "c 20 9" ) ;  
  gal_vdv ( s, -5.86487138672e-09, 0.0, "gal_gmjgm3", "s 20 9" ) ;  
  gal_stget ( 20, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.25490346724e-08, 0.0, "gal_gmjgm3", "c 20 10" ) ;  
  gal_vdv ( s, -5.76018319921e-09, 0.0, "gal_gmjgm3", "s 20 10" ) ;  
  gal_stget ( 20, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.45627627208e-08, 0.0, "gal_gmjgm3", "c 20 11" ) ;  
  gal_vdv ( s, -1.89297512983e-08, 0.0, "gal_gmjgm3", "s 20 11" ) ;  
  gal_stget ( 20, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.40921540838e-09, 0.0, "gal_gmjgm3", "c 20 12" ) ;  
  gal_vdv ( s, 1.81542209426e-08, 0.0, "gal_gmjgm3", "s 20 12" ) ;  
  gal_stget ( 20, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.73234905392e-08, 0.0, "gal_gmjgm3", "c 20 13" ) ;  
  gal_vdv ( s, 7.03251296621e-09, 0.0, "gal_gmjgm3", "s 20 13" ) ;  
  gal_stget ( 20, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.18943770266e-08, 0.0, "gal_gmjgm3", "c 20 14" ) ;  
  gal_vdv ( s, -1.44722338577e-08, 0.0, "gal_gmjgm3", "s 20 14" ) ;  
  gal_stget ( 20, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.58327376783e-08, 0.0, "gal_gmjgm3", "c 20 15" ) ;  
  gal_vdv ( s, -7.65802414907e-10, 0.0, "gal_gmjgm3", "s 20 15" ) ;  
  gal_stget ( 20, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.20637046415e-08, 0.0, "gal_gmjgm3", "c 20 16" ) ;  
  gal_vdv ( s, 3.30018839924e-10, 0.0, "gal_gmjgm3", "s 20 16" ) ;  
  gal_stget ( 20, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.43472483728e-09, 0.0, "gal_gmjgm3", "c 20 17" ) ;  
  gal_vdv ( s, -1.37034054600e-08, 0.0, "gal_gmjgm3", "s 20 17" ) ;  
  gal_stget ( 20, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.49166321827e-08, 0.0, "gal_gmjgm3", "c 20 18" ) ;  
  gal_vdv ( s, -9.83692915354e-10, 0.0, "gal_gmjgm3", "s 20 18" ) ;  
  gal_stget ( 20, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.96262452972e-09, 0.0, "gal_gmjgm3", "c 20 19" ) ;  
  gal_vdv ( s, 1.09596496475e-08, 0.0, "gal_gmjgm3", "s 20 19" ) ;  
  gal_stget ( 20, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.04458409553e-09, 0.0, "gal_gmjgm3", "c 20 20" ) ;  
  gal_vdv ( s, -1.23466183379e-08, 0.0, "gal_gmjgm3", "s 20 20" ) ;  
  gal_stget ( 21, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.50993428267e-09, 0.0, "gal_gmjgm3", "c 21 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 21 0" ) ;  
  gal_stget ( 21, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.57933693232e-08, 0.0, "gal_gmjgm3", "c 21 1" ) ;  
  gal_vdv ( s, 2.67040699921e-08, 0.0, "gal_gmjgm3", "s 21 1" ) ;  
  gal_stget ( 21, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.32458773618e-09, 0.0, "gal_gmjgm3", "c 21 2" ) ;  
  gal_vdv ( s, 5.86062937429e-09, 0.0, "gal_gmjgm3", "s 21 2" ) ;  
  gal_stget ( 21, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.02228912331e-08, 0.0, "gal_gmjgm3", "c 21 3" ) ;  
  gal_vdv ( s, 2.19308534115e-08, 0.0, "gal_gmjgm3", "s 21 3" ) ;  
  gal_stget ( 21, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.59424117269e-09, 0.0, "gal_gmjgm3", "c 21 4" ) ;  
  gal_vdv ( s, 1.77565484348e-08, 0.0, "gal_gmjgm3", "s 21 4" ) ;  
  gal_stget ( 21, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.86573023323e-09, 0.0, "gal_gmjgm3", "c 21 5" ) ;  
  gal_vdv ( s, 5.51692221103e-10, 0.0, "gal_gmjgm3", "s 21 5" ) ;  
  gal_stget ( 21, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.44218957525e-08, 0.0, "gal_gmjgm3", "c 21 6" ) ;  
  gal_vdv ( s, 5.29079533441e-10, 0.0, "gal_gmjgm3", "s 21 6" ) ;  
  gal_stget ( 21, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.26799945218e-09, 0.0, "gal_gmjgm3", "c 21 7" ) ;  
  gal_vdv ( s, 4.21915981018e-09, 0.0, "gal_gmjgm3", "s 21 7" ) ;  
  gal_stget ( 21, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.76020281907e-08, 0.0, "gal_gmjgm3", "c 21 8" ) ;  
  gal_vdv ( s, 3.45589847067e-09, 0.0, "gal_gmjgm3", "s 21 8" ) ;  
  gal_stget ( 21, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.64053281196e-08, 0.0, "gal_gmjgm3", "c 21 9" ) ;  
  gal_vdv ( s, 9.89553908889e-09, 0.0, "gal_gmjgm3", "s 21 9" ) ;  
  gal_stget ( 21, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.15421294408e-08, 0.0, "gal_gmjgm3", "c 21 10" ) ;  
  gal_vdv ( s, -1.10254223750e-09, 0.0, "gal_gmjgm3", "s 21 10" ) ;  
  gal_stget ( 21, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.66476716091e-09, 0.0, "gal_gmjgm3", "c 21 11" ) ;  
  gal_vdv ( s, -3.59578081349e-08, 0.0, "gal_gmjgm3", "s 21 11" ) ;  
  gal_stget ( 21, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.26231546804e-09, 0.0, "gal_gmjgm3", "c 21 12" ) ;  
  gal_vdv ( s, 1.51724494829e-08, 0.0, "gal_gmjgm3", "s 21 12" ) ;  
  gal_stget ( 21, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.92326778254e-08, 0.0, "gal_gmjgm3", "c 21 13" ) ;  
  gal_vdv ( s, 1.33911931473e-08, 0.0, "gal_gmjgm3", "s 21 13" ) ;  
  gal_stget ( 21, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.03321064886e-08, 0.0, "gal_gmjgm3", "c 21 14" ) ;  
  gal_vdv ( s, 7.52604625788e-09, 0.0, "gal_gmjgm3", "s 21 14" ) ;  
  gal_stget ( 21, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.75530086267e-08, 0.0, "gal_gmjgm3", "c 21 15" ) ;  
  gal_vdv ( s, 1.05638832064e-08, 0.0, "gal_gmjgm3", "s 21 15" ) ;  
  gal_stget ( 21, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.84763801597e-09, 0.0, "gal_gmjgm3", "c 21 16" ) ;  
  gal_vdv ( s, -6.63276083955e-09, 0.0, "gal_gmjgm3", "s 21 16" ) ;  
  gal_stget ( 21, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.71238378354e-09, 0.0, "gal_gmjgm3", "c 21 17" ) ;  
  gal_vdv ( s, -7.49236745825e-09, 0.0, "gal_gmjgm3", "s 21 17" ) ;  
  gal_stget ( 21, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.58276952372e-08, 0.0, "gal_gmjgm3", "c 21 18" ) ;  
  gal_vdv ( s, -1.09836716595e-08, 0.0, "gal_gmjgm3", "s 21 18" ) ;  
  gal_stget ( 21, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.71300063248e-08, 0.0, "gal_gmjgm3", "c 21 19" ) ;  
  gal_vdv ( s, 1.65272388955e-08, 0.0, "gal_gmjgm3", "s 21 19" ) ;  
  gal_stget ( 21, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.67790675363e-08, 0.0, "gal_gmjgm3", "c 21 20" ) ;  
  gal_vdv ( s, 1.62556030387e-08, 0.0, "gal_gmjgm3", "s 21 20" ) ;  
  gal_stget ( 21, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.41960292094e-09, 0.0, "gal_gmjgm3", "c 21 21" ) ;  
  gal_vdv ( s, -3.71783287778e-09, 0.0, "gal_gmjgm3", "s 21 21" ) ;  
  gal_stget ( 22, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.12601541412e-08, 0.0, "gal_gmjgm3", "c 22 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 22 0" ) ;  
  gal_stget ( 22, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.37048961937e-08, 0.0, "gal_gmjgm3", "c 22 1" ) ;  
  gal_vdv ( s, -2.43307651890e-09, 0.0, "gal_gmjgm3", "s 22 1" ) ;  
  gal_stget ( 22, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.44584301941e-08, 0.0, "gal_gmjgm3", "c 22 2" ) ;  
  gal_vdv ( s, -9.53277263531e-10, 0.0, "gal_gmjgm3", "s 22 2" ) ;  
  gal_stget ( 22, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.05114408017e-08, 0.0, "gal_gmjgm3", "c 22 3" ) ;  
  gal_vdv ( s, 1.18536610256e-08, 0.0, "gal_gmjgm3", "s 22 3" ) ;  
  gal_stget ( 22, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.54522322008e-09, 0.0, "gal_gmjgm3", "c 22 4" ) ;  
  gal_vdv ( s, 1.75240879154e-08, 0.0, "gal_gmjgm3", "s 22 4" ) ;  
  gal_stget ( 22, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.34442374550e-09, 0.0, "gal_gmjgm3", "c 22 5" ) ;  
  gal_vdv ( s, 5.97643668307e-10, 0.0, "gal_gmjgm3", "s 22 5" ) ;  
  gal_stget ( 22, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.61822706221e-09, 0.0, "gal_gmjgm3", "c 22 6" ) ;  
  gal_vdv ( s, -9.19138692438e-09, 0.0, "gal_gmjgm3", "s 22 6" ) ;  
  gal_stget ( 22, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.51238218737e-08, 0.0, "gal_gmjgm3", "c 22 7" ) ;  
  gal_vdv ( s, 4.61256282261e-09, 0.0, "gal_gmjgm3", "s 22 7" ) ;  
  gal_stget ( 22, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.44947096152e-08, 0.0, "gal_gmjgm3", "c 22 8" ) ;  
  gal_vdv ( s, 3.04101571333e-09, 0.0, "gal_gmjgm3", "s 22 8" ) ;  
  gal_stget ( 22, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.31650931544e-09, 0.0, "gal_gmjgm3", "c 22 9" ) ;  
  gal_vdv ( s, 9.50156256013e-09, 0.0, "gal_gmjgm3", "s 22 9" ) ;  
  gal_stget ( 22, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.95093756449e-09, 0.0, "gal_gmjgm3", "c 22 10" ) ;  
  gal_vdv ( s, 2.49759318221e-08, 0.0, "gal_gmjgm3", "s 22 10" ) ;  
  gal_stget ( 22, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.58663484405e-09, 0.0, "gal_gmjgm3", "c 22 11" ) ;  
  gal_vdv ( s, -1.71428449887e-08, 0.0, "gal_gmjgm3", "s 22 11" ) ;  
  gal_stget ( 22, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.58107478826e-09, 0.0, "gal_gmjgm3", "c 22 12" ) ;  
  gal_vdv ( s, -7.71074931630e-09, 0.0, "gal_gmjgm3", "s 22 12" ) ;  
  gal_stget ( 22, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.71780416809e-08, 0.0, "gal_gmjgm3", "c 22 13" ) ;  
  gal_vdv ( s, 1.97369486467e-08, 0.0, "gal_gmjgm3", "s 22 13" ) ;  
  gal_stget ( 22, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.12610913567e-08, 0.0, "gal_gmjgm3", "c 22 14" ) ;  
  gal_vdv ( s, 7.81175046806e-09, 0.0, "gal_gmjgm3", "s 22 14" ) ;  
  gal_stget ( 22, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.58527228094e-08, 0.0, "gal_gmjgm3", "c 22 15" ) ;  
  gal_vdv ( s, 4.83217663445e-09, 0.0, "gal_gmjgm3", "s 22 15" ) ;  
  gal_stget ( 22, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.48205602273e-10, 0.0, "gal_gmjgm3", "c 22 16" ) ;  
  gal_vdv ( s, -6.88046161673e-09, 0.0, "gal_gmjgm3", "s 22 16" ) ;  
  gal_stget ( 22, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.63014687225e-09, 0.0, "gal_gmjgm3", "c 22 17" ) ;  
  gal_vdv ( s, -1.45224299133e-08, 0.0, "gal_gmjgm3", "s 22 17" ) ;  
  gal_stget ( 22, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.00537083414e-08, 0.0, "gal_gmjgm3", "c 22 18" ) ;  
  gal_vdv ( s, -1.61604987652e-08, 0.0, "gal_gmjgm3", "s 22 18" ) ;  
  gal_stget ( 22, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.36504879275e-08, 0.0, "gal_gmjgm3", "c 22 19" ) ;  
  gal_vdv ( s, -3.60884998524e-09, 0.0, "gal_gmjgm3", "s 22 19" ) ;  
  gal_stget ( 22, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.67495782938e-08, 0.0, "gal_gmjgm3", "c 22 20" ) ;  
  gal_vdv ( s, 2.00352666832e-08, 0.0, "gal_gmjgm3", "s 22 20" ) ;  
  gal_stget ( 22, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.49064537139e-08, 0.0, "gal_gmjgm3", "c 22 21" ) ;  
  gal_vdv ( s, 2.38171469743e-08, 0.0, "gal_gmjgm3", "s 22 21" ) ;  
  gal_stget ( 22, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.54854136128e-09, 0.0, "gal_gmjgm3", "c 22 22" ) ;  
  gal_vdv ( s, 2.37649205876e-09, 0.0, "gal_gmjgm3", "s 22 22" ) ;  
  gal_stget ( 23, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.29154104167e-08, 0.0, "gal_gmjgm3", "c 23 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 23 0" ) ;  
  gal_stget ( 23, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.02722283056e-08, 0.0, "gal_gmjgm3", "c 23 1" ) ;  
  gal_vdv ( s, 1.69685651784e-08, 0.0, "gal_gmjgm3", "s 23 1" ) ;  
  gal_stget ( 23, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.35942803462e-08, 0.0, "gal_gmjgm3", "c 23 2" ) ;  
  gal_vdv ( s, -5.70232954932e-09, 0.0, "gal_gmjgm3", "s 23 2" ) ;  
  gal_stget ( 23, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.39803894816e-08, 0.0, "gal_gmjgm3", "c 23 3" ) ;  
  gal_vdv ( s, -1.67738733825e-08, 0.0, "gal_gmjgm3", "s 23 3" ) ;  
  gal_stget ( 23, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.25405773786e-08, 0.0, "gal_gmjgm3", "c 23 4" ) ;  
  gal_vdv ( s, 7.15791968507e-09, 0.0, "gal_gmjgm3", "s 23 4" ) ;  
  gal_stget ( 23, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.04591053806e-10, 0.0, "gal_gmjgm3", "c 23 5" ) ;  
  gal_vdv ( s, -1.06672582181e-09, 0.0, "gal_gmjgm3", "s 23 5" ) ;  
  gal_stget ( 23, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.34306953190e-08, 0.0, "gal_gmjgm3", "c 23 6" ) ;  
  gal_vdv ( s, 1.57843886422e-08, 0.0, "gal_gmjgm3", "s 23 6" ) ;  
  gal_stget ( 23, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.14659943183e-09, 0.0, "gal_gmjgm3", "c 23 7" ) ;  
  gal_vdv ( s, -3.65242146405e-09, 0.0, "gal_gmjgm3", "s 23 7" ) ;  
  gal_stget ( 23, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.04352884365e-09, 0.0, "gal_gmjgm3", "c 23 8" ) ;  
  gal_vdv ( s, -1.57140179576e-09, 0.0, "gal_gmjgm3", "s 23 8" ) ;  
  gal_stget ( 23, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.85131544407e-11, 0.0, "gal_gmjgm3", "c 23 9" ) ;  
  gal_vdv ( s, -1.44707916723e-08, 0.0, "gal_gmjgm3", "s 23 9" ) ;  
  gal_stget ( 23, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.46943379111e-08, 0.0, "gal_gmjgm3", "c 23 10" ) ;  
  gal_vdv ( s, -2.65163673672e-09, 0.0, "gal_gmjgm3", "s 23 10" ) ;  
  gal_stget ( 23, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.09589920861e-09, 0.0, "gal_gmjgm3", "c 23 11" ) ;  
  gal_vdv ( s, 1.57588578795e-08, 0.0, "gal_gmjgm3", "s 23 11" ) ;  
  gal_stget ( 23, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.64991389186e-08, 0.0, "gal_gmjgm3", "c 23 12" ) ;  
  gal_vdv ( s, -1.27647077341e-08, 0.0, "gal_gmjgm3", "s 23 12" ) ;  
  gal_stget ( 23, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.13874561059e-08, 0.0, "gal_gmjgm3", "c 23 13" ) ;  
  gal_vdv ( s, -5.08137172499e-09, 0.0, "gal_gmjgm3", "s 23 13" ) ;  
  gal_stget ( 23, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.72064427678e-09, 0.0, "gal_gmjgm3", "c 23 14" ) ;  
  gal_vdv ( s, -2.44596186414e-09, 0.0, "gal_gmjgm3", "s 23 14" ) ;  
  gal_stget ( 23, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.83111826282e-08, 0.0, "gal_gmjgm3", "c 23 15" ) ;  
  gal_vdv ( s, -3.47572091954e-09, 0.0, "gal_gmjgm3", "s 23 15" ) ;  
  gal_stget ( 23, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.20008962769e-09, 0.0, "gal_gmjgm3", "c 23 16" ) ;  
  gal_vdv ( s, 1.14788718783e-08, 0.0, "gal_gmjgm3", "s 23 16" ) ;  
  gal_stget ( 23, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.54483599999e-09, 0.0, "gal_gmjgm3", "c 23 17" ) ;  
  gal_vdv ( s, -1.26742837536e-08, 0.0, "gal_gmjgm3", "s 23 17" ) ;  
  gal_stget ( 23, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.09084439317e-09, 0.0, "gal_gmjgm3", "c 23 18" ) ;  
  gal_vdv ( s, -1.41933738709e-08, 0.0, "gal_gmjgm3", "s 23 18" ) ;  
  gal_stget ( 23, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.29839665585e-09, 0.0, "gal_gmjgm3", "c 23 19" ) ;  
  gal_vdv ( s, 1.08658005526e-08, 0.0, "gal_gmjgm3", "s 23 19" ) ;  
  gal_stget ( 23, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.17220964955e-09, 0.0, "gal_gmjgm3", "c 23 20" ) ;  
  gal_vdv ( s, -5.62744185338e-09, 0.0, "gal_gmjgm3", "s 23 20" ) ;  
  gal_stget ( 23, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.55619607284e-08, 0.0, "gal_gmjgm3", "c 23 21" ) ;  
  gal_vdv ( s, 1.16601440723e-08, 0.0, "gal_gmjgm3", "s 23 21" ) ;  
  gal_stget ( 23, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.76491568244e-08, 0.0, "gal_gmjgm3", "c 23 22" ) ;  
  gal_vdv ( s, 4.75657503014e-09, 0.0, "gal_gmjgm3", "s 23 22" ) ;  
  gal_stget ( 23, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.28239737448e-09, 0.0, "gal_gmjgm3", "c 23 23" ) ;  
  gal_vdv ( s, -1.07178054661e-08, 0.0, "gal_gmjgm3", "s 23 23" ) ;  
  gal_stget ( 24, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.09792893549e-10, 0.0, "gal_gmjgm3", "c 24 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 24 0" ) ;  
  gal_stget ( 24, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.62085575880e-09, 0.0, "gal_gmjgm3", "c 24 1" ) ;  
  gal_vdv ( s, -3.30219384874e-09, 0.0, "gal_gmjgm3", "s 24 1" ) ;  
  gal_stget ( 24, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.33536918666e-10, 0.0, "gal_gmjgm3", "c 24 2" ) ;  
  gal_vdv ( s, 1.51082480670e-08, 0.0, "gal_gmjgm3", "s 24 2" ) ;  
  gal_stget ( 24, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.28569805187e-09, 0.0, "gal_gmjgm3", "c 24 3" ) ;  
  gal_vdv ( s, -8.85037191396e-09, 0.0, "gal_gmjgm3", "s 24 3" ) ;  
  gal_stget ( 24, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.40309919984e-09, 0.0, "gal_gmjgm3", "c 24 4" ) ;  
  gal_vdv ( s, 4.95595619617e-09, 0.0, "gal_gmjgm3", "s 24 4" ) ;  
  gal_stget ( 24, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.35182947139e-09, 0.0, "gal_gmjgm3", "c 24 5" ) ;  
  gal_vdv ( s, -2.08583355032e-08, 0.0, "gal_gmjgm3", "s 24 5" ) ;  
  gal_stget ( 24, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.98596468492e-09, 0.0, "gal_gmjgm3", "c 24 6" ) ;  
  gal_vdv ( s, 3.29632628607e-09, 0.0, "gal_gmjgm3", "s 24 6" ) ;  
  gal_stget ( 24, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.06244740156e-09, 0.0, "gal_gmjgm3", "c 24 7" ) ;  
  gal_vdv ( s, 4.11332518673e-09, 0.0, "gal_gmjgm3", "s 24 7" ) ;  
  gal_stget ( 24, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.56268347396e-08, 0.0, "gal_gmjgm3", "c 24 8" ) ;  
  gal_vdv ( s, -4.60318985744e-09, 0.0, "gal_gmjgm3", "s 24 8" ) ;  
  gal_stget ( 24, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.08420302165e-08, 0.0, "gal_gmjgm3", "c 24 9" ) ;  
  gal_vdv ( s, -1.84786329355e-08, 0.0, "gal_gmjgm3", "s 24 9" ) ;  
  gal_stget ( 24, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.48276779348e-09, 0.0, "gal_gmjgm3", "c 24 10" ) ;  
  gal_vdv ( s, 1.80114753310e-08, 0.0, "gal_gmjgm3", "s 24 10" ) ;  
  gal_stget ( 24, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.30844515954e-08, 0.0, "gal_gmjgm3", "c 24 11" ) ;  
  gal_vdv ( s, 1.81004120520e-08, 0.0, "gal_gmjgm3", "s 24 11" ) ;  
  gal_stget ( 24, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.20136322603e-08, 0.0, "gal_gmjgm3", "c 24 12" ) ;  
  gal_vdv ( s, -5.56560648198e-09, 0.0, "gal_gmjgm3", "s 24 12" ) ;  
  gal_stget ( 24, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.97337119658e-09, 0.0, "gal_gmjgm3", "c 24 13" ) ;  
  gal_vdv ( s, 3.23837116208e-09, 0.0, "gal_gmjgm3", "s 24 13" ) ;  
  gal_stget ( 24, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.95872631985e-08, 0.0, "gal_gmjgm3", "c 24 14" ) ;  
  gal_vdv ( s, -1.81406048020e-09, 0.0, "gal_gmjgm3", "s 24 14" ) ;  
  gal_stget ( 24, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.54443761057e-09, 0.0, "gal_gmjgm3", "c 24 15" ) ;  
  gal_vdv ( s, -1.59796617896e-08, 0.0, "gal_gmjgm3", "s 24 15" ) ;  
  gal_stget ( 24, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.97262480066e-09, 0.0, "gal_gmjgm3", "c 24 16" ) ;  
  gal_vdv ( s, 3.07620475062e-09, 0.0, "gal_gmjgm3", "s 24 16" ) ;  
  gal_stget ( 24, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.23557295458e-08, 0.0, "gal_gmjgm3", "c 24 17" ) ;  
  gal_vdv ( s, -5.78838592644e-09, 0.0, "gal_gmjgm3", "s 24 17" ) ;  
  gal_stget ( 24, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.65809509489e-10, 0.0, "gal_gmjgm3", "c 24 18" ) ;  
  gal_vdv ( s, -1.00589574214e-08, 0.0, "gal_gmjgm3", "s 24 18" ) ;  
  gal_stget ( 24, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.16925492198e-09, 0.0, "gal_gmjgm3", "c 24 19" ) ;  
  gal_vdv ( s, -8.21916980517e-09, 0.0, "gal_gmjgm3", "s 24 19" ) ;  
  gal_stget ( 24, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.08716644710e-09, 0.0, "gal_gmjgm3", "c 24 20" ) ;  
  gal_vdv ( s, 8.85599643966e-09, 0.0, "gal_gmjgm3", "s 24 20" ) ;  
  gal_stget ( 24, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.99942209920e-09, 0.0, "gal_gmjgm3", "c 24 21" ) ;  
  gal_vdv ( s, 1.31665512065e-08, 0.0, "gal_gmjgm3", "s 24 21" ) ;  
  gal_stget ( 24, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.52527863573e-09, 0.0, "gal_gmjgm3", "c 24 22" ) ;  
  gal_vdv ( s, -3.54735194562e-09, 0.0, "gal_gmjgm3", "s 24 22" ) ;  
  gal_stget ( 24, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.58105631862e-09, 0.0, "gal_gmjgm3", "c 24 23" ) ;  
  gal_vdv ( s, -8.27273535627e-09, 0.0, "gal_gmjgm3", "s 24 23" ) ;  
  gal_stget ( 24, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.18849042557e-08, 0.0, "gal_gmjgm3", "c 24 24" ) ;  
  gal_vdv ( s, -4.32925447771e-09, 0.0, "gal_gmjgm3", "s 24 24" ) ;  
  gal_stget ( 25, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.84462611116e-09, 0.0, "gal_gmjgm3", "c 25 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 25 0" ) ;  
  gal_stget ( 25, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.99088382254e-09, 0.0, "gal_gmjgm3", "c 25 1" ) ;  
  gal_vdv ( s, -1.04573902029e-08, 0.0, "gal_gmjgm3", "s 25 1" ) ;  
  gal_stget ( 25, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.90659942548e-08, 0.0, "gal_gmjgm3", "c 25 2" ) ;  
  gal_vdv ( s, 8.61806850386e-09, 0.0, "gal_gmjgm3", "s 25 2" ) ;  
  gal_stget ( 25, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.04401285168e-08, 0.0, "gal_gmjgm3", "c 25 3" ) ;  
  gal_vdv ( s, -1.50854807348e-08, 0.0, "gal_gmjgm3", "s 25 3" ) ;  
  gal_stget ( 25, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.17029534797e-09, 0.0, "gal_gmjgm3", "c 25 4" ) ;  
  gal_vdv ( s, -4.01609479120e-10, 0.0, "gal_gmjgm3", "s 25 4" ) ;  
  gal_stget ( 25, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.62004626219e-09, 0.0, "gal_gmjgm3", "c 25 5" ) ;  
  gal_vdv ( s, -2.83708599712e-09, 0.0, "gal_gmjgm3", "s 25 5" ) ;  
  gal_stget ( 25, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.90097627404e-08, 0.0, "gal_gmjgm3", "c 25 6" ) ;  
  gal_vdv ( s, -6.92933323264e-11, 0.0, "gal_gmjgm3", "s 25 6" ) ;  
  gal_stget ( 25, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.67677360164e-09, 0.0, "gal_gmjgm3", "c 25 7" ) ;  
  gal_vdv ( s, -6.79979346600e-09, 0.0, "gal_gmjgm3", "s 25 7" ) ;  
  gal_stget ( 25, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.98225814008e-09, 0.0, "gal_gmjgm3", "c 25 8" ) ;  
  gal_vdv ( s, 2.17814358045e-09, 0.0, "gal_gmjgm3", "s 25 8" ) ;  
  gal_stget ( 25, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.87767753891e-08, 0.0, "gal_gmjgm3", "c 25 9" ) ;  
  gal_vdv ( s, 2.15466146303e-08, 0.0, "gal_gmjgm3", "s 25 9" ) ;  
  gal_stget ( 25, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.72294232592e-09, 0.0, "gal_gmjgm3", "c 25 10" ) ;  
  gal_vdv ( s, -3.51689958967e-09, 0.0, "gal_gmjgm3", "s 25 10" ) ;  
  gal_stget ( 25, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.24347694506e-09, 0.0, "gal_gmjgm3", "c 25 11" ) ;  
  gal_vdv ( s, 9.19608927727e-09, 0.0, "gal_gmjgm3", "s 25 11" ) ;  
  gal_stget ( 25, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.55709418402e-09, 0.0, "gal_gmjgm3", "c 25 12" ) ;  
  gal_vdv ( s, 1.20135367060e-08, 0.0, "gal_gmjgm3", "s 25 12" ) ;  
  gal_stget ( 25, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.53987466332e-09, 0.0, "gal_gmjgm3", "c 25 13" ) ;  
  gal_vdv ( s, -1.24962504190e-08, 0.0, "gal_gmjgm3", "s 25 13" ) ;  
  gal_stget ( 25, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.05942850384e-08, 0.0, "gal_gmjgm3", "c 25 14" ) ;  
  gal_vdv ( s, 6.99208956465e-09, 0.0, "gal_gmjgm3", "s 25 14" ) ;  
  gal_stget ( 25, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.50379664226e-09, 0.0, "gal_gmjgm3", "c 25 15" ) ;  
  gal_vdv ( s, -7.37078545029e-09, 0.0, "gal_gmjgm3", "s 25 15" ) ;  
  gal_stget ( 25, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.22870717214e-10, 0.0, "gal_gmjgm3", "c 25 16" ) ;  
  gal_vdv ( s, -1.31138582876e-08, 0.0, "gal_gmjgm3", "s 25 16" ) ;  
  gal_stget ( 25, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.52078994642e-08, 0.0, "gal_gmjgm3", "c 25 17" ) ;  
  gal_vdv ( s, -3.14407812492e-09, 0.0, "gal_gmjgm3", "s 25 17" ) ;  
  gal_stget ( 25, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.85188602110e-10, 0.0, "gal_gmjgm3", "c 25 18" ) ;  
  gal_vdv ( s, -1.53834777043e-08, 0.0, "gal_gmjgm3", "s 25 18" ) ;  
  gal_stget ( 25, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.80213288045e-09, 0.0, "gal_gmjgm3", "c 25 19" ) ;  
  gal_vdv ( s, 9.59776921641e-09, 0.0, "gal_gmjgm3", "s 25 19" ) ;  
  gal_stget ( 25, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.42404838833e-09, 0.0, "gal_gmjgm3", "c 25 20" ) ;  
  gal_vdv ( s, -2.38307902794e-10, 0.0, "gal_gmjgm3", "s 25 20" ) ;  
  gal_stget ( 25, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.10912779676e-08, 0.0, "gal_gmjgm3", "c 25 21" ) ;  
  gal_vdv ( s, 7.57518878831e-09, 0.0, "gal_gmjgm3", "s 25 21" ) ;  
  gal_stget ( 25, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.35299500435e-08, 0.0, "gal_gmjgm3", "c 25 22" ) ;  
  gal_vdv ( s, 3.70788518473e-09, 0.0, "gal_gmjgm3", "s 25 22" ) ;  
  gal_stget ( 25, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.20206863388e-09, 0.0, "gal_gmjgm3", "c 25 23" ) ;  
  gal_vdv ( s, -1.20051703677e-08, 0.0, "gal_gmjgm3", "s 25 23" ) ;  
  gal_stget ( 25, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.82227991214e-09, 0.0, "gal_gmjgm3", "c 25 24" ) ;  
  gal_vdv ( s, -8.18029166280e-09, 0.0, "gal_gmjgm3", "s 25 24" ) ;  
  gal_stget ( 25, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.06623355332e-08, 0.0, "gal_gmjgm3", "c 25 25" ) ;  
  gal_vdv ( s, 4.13281609186e-09, 0.0, "gal_gmjgm3", "s 25 25" ) ;  
  gal_stget ( 26, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.96680506568e-09, 0.0, "gal_gmjgm3", "c 26 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 26 0" ) ;  
  gal_stget ( 26, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.13495160273e-09, 0.0, "gal_gmjgm3", "c 26 1" ) ;  
  gal_vdv ( s, -5.94552958308e-09, 0.0, "gal_gmjgm3", "s 26 1" ) ;  
  gal_stget ( 26, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.13749509456e-09, 0.0, "gal_gmjgm3", "c 26 2" ) ;  
  gal_vdv ( s, 1.23684178429e-08, 0.0, "gal_gmjgm3", "s 26 2" ) ;  
  gal_stget ( 26, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.13262658002e-08, 0.0, "gal_gmjgm3", "c 26 3" ) ;  
  gal_vdv ( s, 1.63901423945e-09, 0.0, "gal_gmjgm3", "s 26 3" ) ;  
  gal_stget ( 26, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.75655612651e-08, 0.0, "gal_gmjgm3", "c 26 4" ) ;  
  gal_vdv ( s, -1.73159243817e-08, 0.0, "gal_gmjgm3", "s 26 4" ) ;  
  gal_stget ( 26, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.12396068649e-08, 0.0, "gal_gmjgm3", "c 26 5" ) ;  
  gal_vdv ( s, 8.75475218545e-09, 0.0, "gal_gmjgm3", "s 26 5" ) ;  
  gal_stget ( 26, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.12396271662e-08, 0.0, "gal_gmjgm3", "c 26 6" ) ;  
  gal_vdv ( s, -9.90393398205e-09, 0.0, "gal_gmjgm3", "s 26 6" ) ;  
  gal_stget ( 26, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.74238998630e-09, 0.0, "gal_gmjgm3", "c 26 7" ) ;  
  gal_vdv ( s, 3.93735066911e-09, 0.0, "gal_gmjgm3", "s 26 7" ) ;  
  gal_stget ( 26, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.94057338165e-09, 0.0, "gal_gmjgm3", "c 26 8" ) ;  
  gal_vdv ( s, 2.15432858150e-09, 0.0, "gal_gmjgm3", "s 26 8" ) ;  
  gal_stget ( 26, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.15940814099e-08, 0.0, "gal_gmjgm3", "c 26 9" ) ;  
  gal_vdv ( s, 1.82589419372e-09, 0.0, "gal_gmjgm3", "s 26 9" ) ;  
  gal_stget ( 26, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.34371434504e-08, 0.0, "gal_gmjgm3", "c 26 10" ) ;  
  gal_vdv ( s, -3.58165991063e-09, 0.0, "gal_gmjgm3", "s 26 10" ) ;  
  gal_stget ( 26, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.93654224513e-09, 0.0, "gal_gmjgm3", "c 26 11" ) ;  
  gal_vdv ( s, 8.75042981724e-10, 0.0, "gal_gmjgm3", "s 26 11" ) ;  
  gal_stget ( 26, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.74409575019e-08, 0.0, "gal_gmjgm3", "c 26 12" ) ;  
  gal_vdv ( s, 1.58145270369e-09, 0.0, "gal_gmjgm3", "s 26 12" ) ;  
  gal_stget ( 26, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.45411998011e-10, 0.0, "gal_gmjgm3", "c 26 13" ) ;  
  gal_vdv ( s, 1.26567907745e-09, 0.0, "gal_gmjgm3", "s 26 13" ) ;  
  gal_stget ( 26, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.33328575553e-09, 0.0, "gal_gmjgm3", "c 26 14" ) ;  
  gal_vdv ( s, 7.18494309093e-09, 0.0, "gal_gmjgm3", "s 26 14" ) ;  
  gal_stget ( 26, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.37430953401e-08, 0.0, "gal_gmjgm3", "c 26 15" ) ;  
  gal_vdv ( s, 8.27093429706e-09, 0.0, "gal_gmjgm3", "s 26 15" ) ;  
  gal_stget ( 26, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.48341174134e-09, 0.0, "gal_gmjgm3", "c 26 16" ) ;  
  gal_vdv ( s, -6.15636967807e-09, 0.0, "gal_gmjgm3", "s 26 16" ) ;  
  gal_stget ( 26, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.19682641497e-08, 0.0, "gal_gmjgm3", "c 26 17" ) ;  
  gal_vdv ( s, 7.94368718973e-09, 0.0, "gal_gmjgm3", "s 26 17" ) ;  
  gal_stget ( 26, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.32770816498e-08, 0.0, "gal_gmjgm3", "c 26 18" ) ;  
  gal_vdv ( s, 5.12854152912e-09, 0.0, "gal_gmjgm3", "s 26 18" ) ;  
  gal_stget ( 26, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.98318998878e-09, 0.0, "gal_gmjgm3", "c 26 19" ) ;  
  gal_vdv ( s, 3.35478720664e-09, 0.0, "gal_gmjgm3", "s 26 19" ) ;  
  gal_stget ( 26, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.48132426995e-09, 0.0, "gal_gmjgm3", "c 26 20" ) ;  
  gal_vdv ( s, -1.18755768360e-08, 0.0, "gal_gmjgm3", "s 26 20" ) ;  
  gal_stget ( 26, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.81932864304e-09, 0.0, "gal_gmjgm3", "c 26 21" ) ;  
  gal_vdv ( s, 1.91341391074e-09, 0.0, "gal_gmjgm3", "s 26 21" ) ;  
  gal_stget ( 26, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.13901927954e-08, 0.0, "gal_gmjgm3", "c 26 22" ) ;  
  gal_vdv ( s, 7.03123793855e-09, 0.0, "gal_gmjgm3", "s 26 22" ) ;  
  gal_stget ( 26, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.12001891962e-09, 0.0, "gal_gmjgm3", "c 26 23" ) ;  
  gal_vdv ( s, 1.14721114436e-08, 0.0, "gal_gmjgm3", "s 26 23" ) ;  
  gal_stget ( 26, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.60427320695e-09, 0.0, "gal_gmjgm3", "c 26 24" ) ;  
  gal_vdv ( s, 1.46086996069e-08, 0.0, "gal_gmjgm3", "s 26 24" ) ;  
  gal_stget ( 26, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.35766855632e-09, 0.0, "gal_gmjgm3", "c 26 25" ) ;  
  gal_vdv ( s, -1.17012167226e-09, 0.0, "gal_gmjgm3", "s 26 25" ) ;  
  gal_stget ( 26, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.64844245619e-10, 0.0, "gal_gmjgm3", "c 26 26" ) ;  
  gal_vdv ( s, 2.07912484750e-09, 0.0, "gal_gmjgm3", "s 26 26" ) ;  
  gal_stget ( 27, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.36748143377e-09, 0.0, "gal_gmjgm3", "c 27 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 27 0" ) ;  
  gal_stget ( 27, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.16226146530e-09, 0.0, "gal_gmjgm3", "c 27 1" ) ;  
  gal_vdv ( s, -9.14979690843e-10, 0.0, "gal_gmjgm3", "s 27 1" ) ;  
  gal_stget ( 27, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.02505397083e-09, 0.0, "gal_gmjgm3", "c 27 2" ) ;  
  gal_vdv ( s, 7.41010941136e-10, 0.0, "gal_gmjgm3", "s 27 2" ) ;  
  gal_stget ( 27, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.60952560124e-09, 0.0, "gal_gmjgm3", "c 27 3" ) ;  
  gal_vdv ( s, 7.98753901580e-09, 0.0, "gal_gmjgm3", "s 27 3" ) ;  
  gal_stget ( 27, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.28122160907e-10, 0.0, "gal_gmjgm3", "c 27 4" ) ;  
  gal_vdv ( s, 9.10311914716e-09, 0.0, "gal_gmjgm3", "s 27 4" ) ;  
  gal_stget ( 27, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.44627254247e-08, 0.0, "gal_gmjgm3", "c 27 5" ) ;  
  gal_vdv ( s, 1.51001286203e-08, 0.0, "gal_gmjgm3", "s 27 5" ) ;  
  gal_stget ( 27, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.29537680671e-09, 0.0, "gal_gmjgm3", "c 27 6" ) ;  
  gal_vdv ( s, 8.43556193185e-09, 0.0, "gal_gmjgm3", "s 27 6" ) ;  
  gal_stget ( 27, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.28784274110e-08, 0.0, "gal_gmjgm3", "c 27 7" ) ;  
  gal_vdv ( s, -3.74322462286e-09, 0.0, "gal_gmjgm3", "s 27 7" ) ;  
  gal_stget ( 27, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.21006246055e-08, 0.0, "gal_gmjgm3", "c 27 8" ) ;  
  gal_vdv ( s, -1.08880708475e-08, 0.0, "gal_gmjgm3", "s 27 8" ) ;  
  gal_stget ( 27, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.83305533189e-09, 0.0, "gal_gmjgm3", "c 27 9" ) ;  
  gal_vdv ( s, 1.20227819665e-08, 0.0, "gal_gmjgm3", "s 27 9" ) ;  
  gal_stget ( 27, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.39149953554e-08, 0.0, "gal_gmjgm3", "c 27 10" ) ;  
  gal_vdv ( s, -8.58405783897e-10, 0.0, "gal_gmjgm3", "s 27 10" ) ;  
  gal_stget ( 27, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.70680082161e-09, 0.0, "gal_gmjgm3", "c 27 11" ) ;  
  gal_vdv ( s, -8.60240126452e-09, 0.0, "gal_gmjgm3", "s 27 11" ) ;  
  gal_stget ( 27, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.81355480938e-09, 0.0, "gal_gmjgm3", "c 27 12" ) ;  
  gal_vdv ( s, 5.78586364661e-10, 0.0, "gal_gmjgm3", "s 27 12" ) ;  
  gal_stget ( 27, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.91524236376e-09, 0.0, "gal_gmjgm3", "c 27 13" ) ;  
  gal_vdv ( s, -4.77477576951e-09, 0.0, "gal_gmjgm3", "s 27 13" ) ;  
  gal_stget ( 27, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.79809347131e-08, 0.0, "gal_gmjgm3", "c 27 14" ) ;  
  gal_vdv ( s, 1.01215406620e-08, 0.0, "gal_gmjgm3", "s 27 14" ) ;  
  gal_stget ( 27, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.26250318376e-09, 0.0, "gal_gmjgm3", "c 27 15" ) ;  
  gal_vdv ( s, 1.96138533619e-09, 0.0, "gal_gmjgm3", "s 27 15" ) ;  
  gal_stget ( 27, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.63278420984e-09, 0.0, "gal_gmjgm3", "c 27 16" ) ;  
  gal_vdv ( s, 3.73444873218e-09, 0.0, "gal_gmjgm3", "s 27 16" ) ;  
  gal_stget ( 27, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.59543838505e-09, 0.0, "gal_gmjgm3", "c 27 17" ) ;  
  gal_vdv ( s, 6.12303639851e-10, 0.0, "gal_gmjgm3", "s 27 17" ) ;  
  gal_stget ( 27, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.70127595484e-09, 0.0, "gal_gmjgm3", "c 27 18" ) ;  
  gal_vdv ( s, 8.71434262682e-09, 0.0, "gal_gmjgm3", "s 27 18" ) ;  
  gal_stget ( 27, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.04881295228e-10, 0.0, "gal_gmjgm3", "c 27 19" ) ;  
  gal_vdv ( s, -2.90153735502e-09, 0.0, "gal_gmjgm3", "s 27 19" ) ;  
  gal_stget ( 27, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.14095174509e-09, 0.0, "gal_gmjgm3", "c 27 20" ) ;  
  gal_vdv ( s, 3.96074458178e-09, 0.0, "gal_gmjgm3", "s 27 20" ) ;  
  gal_stget ( 27, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.91166777028e-09, 0.0, "gal_gmjgm3", "c 27 21" ) ;  
  gal_vdv ( s, -6.51734524026e-09, 0.0, "gal_gmjgm3", "s 27 21" ) ;  
  gal_stget ( 27, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.44218689079e-09, 0.0, "gal_gmjgm3", "c 27 22" ) ;  
  gal_vdv ( s, 3.62043372009e-09, 0.0, "gal_gmjgm3", "s 27 22" ) ;  
  gal_stget ( 27, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.04888782891e-09, 0.0, "gal_gmjgm3", "c 27 23" ) ;  
  gal_vdv ( s, -1.02435837310e-08, 0.0, "gal_gmjgm3", "s 27 23" ) ;  
  gal_stget ( 27, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.05697576917e-11, 0.0, "gal_gmjgm3", "c 27 24" ) ;  
  gal_vdv ( s, -1.86594056064e-09, 0.0, "gal_gmjgm3", "s 27 24" ) ;  
  gal_stget ( 27, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.24182514718e-08, 0.0, "gal_gmjgm3", "c 27 25" ) ;  
  gal_vdv ( s, 5.18516769882e-09, 0.0, "gal_gmjgm3", "s 27 25" ) ;  
  gal_stget ( 27, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.58403983176e-09, 0.0, "gal_gmjgm3", "c 27 26" ) ;  
  gal_vdv ( s, -2.39279957482e-09, 0.0, "gal_gmjgm3", "s 27 26" ) ;  
  gal_stget ( 27, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.87619005414e-09, 0.0, "gal_gmjgm3", "c 27 27" ) ;  
  gal_vdv ( s, 1.12646498574e-09, 0.0, "gal_gmjgm3", "s 27 27" ) ;  
  gal_stget ( 28, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.15361934561e-09, 0.0, "gal_gmjgm3", "c 28 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 28 0" ) ;  
  gal_stget ( 28, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.98421241774e-09, 0.0, "gal_gmjgm3", "c 28 1" ) ;  
  gal_vdv ( s, 6.29533272003e-09, 0.0, "gal_gmjgm3", "s 28 1" ) ;  
  gal_stget ( 28, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.44593691732e-08, 0.0, "gal_gmjgm3", "c 28 2" ) ;  
  gal_vdv ( s, -9.61917922816e-09, 0.0, "gal_gmjgm3", "s 28 2" ) ;  
  gal_stget ( 28, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.33225860627e-09, 0.0, "gal_gmjgm3", "c 28 3" ) ;  
  gal_vdv ( s, 1.24110429386e-08, 0.0, "gal_gmjgm3", "s 28 3" ) ;  
  gal_stget ( 28, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.37175181834e-09, 0.0, "gal_gmjgm3", "c 28 4" ) ;  
  gal_vdv ( s, 6.94500345527e-09, 0.0, "gal_gmjgm3", "s 28 4" ) ;  
  gal_stget ( 28, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.16086494283e-08, 0.0, "gal_gmjgm3", "c 28 5" ) ;  
  gal_vdv ( s, -2.37426699801e-09, 0.0, "gal_gmjgm3", "s 28 5" ) ;  
  gal_stget ( 28, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.35614713599e-09, 0.0, "gal_gmjgm3", "c 28 6" ) ;  
  gal_vdv ( s, 9.77067778607e-09, 0.0, "gal_gmjgm3", "s 28 6" ) ;  
  gal_stget ( 28, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.15124896602e-09, 0.0, "gal_gmjgm3", "c 28 7" ) ;  
  gal_vdv ( s, 7.58101179975e-09, 0.0, "gal_gmjgm3", "s 28 7" ) ;  
  gal_stget ( 28, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.82523748308e-09, 0.0, "gal_gmjgm3", "c 28 8" ) ;  
  gal_vdv ( s, -5.09891339901e-09, 0.0, "gal_gmjgm3", "s 28 8" ) ;  
  gal_stget ( 28, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.12363070311e-09, 0.0, "gal_gmjgm3", "c 28 9" ) ;  
  gal_vdv ( s, -9.35213576683e-09, 0.0, "gal_gmjgm3", "s 28 9" ) ;  
  gal_stget ( 28, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.84415478878e-09, 0.0, "gal_gmjgm3", "c 28 10" ) ;  
  gal_vdv ( s, 8.66405071821e-09, 0.0, "gal_gmjgm3", "s 28 10" ) ;  
  gal_stget ( 28, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.28720795080e-09, 0.0, "gal_gmjgm3", "c 28 11" ) ;  
  gal_vdv ( s, 4.43530783321e-10, 0.0, "gal_gmjgm3", "s 28 11" ) ;  
  gal_stget ( 28, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.50978007962e-09, 0.0, "gal_gmjgm3", "c 28 12" ) ;  
  gal_vdv ( s, 1.14221017283e-08, 0.0, "gal_gmjgm3", "s 28 12" ) ;  
  gal_stget ( 28, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.17292944010e-09, 0.0, "gal_gmjgm3", "c 28 13" ) ;  
  gal_vdv ( s, 6.37692690887e-09, 0.0, "gal_gmjgm3", "s 28 13" ) ;  
  gal_stget ( 28, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.48542009027e-09, 0.0, "gal_gmjgm3", "c 28 14" ) ;  
  gal_vdv ( s, -1.25550911627e-08, 0.0, "gal_gmjgm3", "s 28 14" ) ;  
  gal_stget ( 28, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.12853495269e-08, 0.0, "gal_gmjgm3", "c 28 15" ) ;  
  gal_vdv ( s, -2.89952814398e-09, 0.0, "gal_gmjgm3", "s 28 15" ) ;  
  gal_stget ( 28, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.99877003764e-09, 0.0, "gal_gmjgm3", "c 28 16" ) ;  
  gal_vdv ( s, -1.28689393646e-08, 0.0, "gal_gmjgm3", "s 28 16" ) ;  
  gal_stget ( 28, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.35476998945e-08, 0.0, "gal_gmjgm3", "c 28 17" ) ;  
  gal_vdv ( s, -5.02404308666e-09, 0.0, "gal_gmjgm3", "s 28 17" ) ;  
  gal_stget ( 28, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.99767832993e-09, 0.0, "gal_gmjgm3", "c 28 18" ) ;  
  gal_vdv ( s, -4.02312963822e-09, 0.0, "gal_gmjgm3", "s 28 18" ) ;  
  gal_stget ( 28, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.98283081119e-09, 0.0, "gal_gmjgm3", "c 28 19" ) ;  
  gal_vdv ( s, 2.40769031267e-08, 0.0, "gal_gmjgm3", "s 28 19" ) ;  
  gal_stget ( 28, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.70762064686e-09, 0.0, "gal_gmjgm3", "c 28 20" ) ;  
  gal_vdv ( s, 7.02974931214e-09, 0.0, "gal_gmjgm3", "s 28 20" ) ;  
  gal_stget ( 28, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.75688228354e-09, 0.0, "gal_gmjgm3", "c 28 21" ) ;  
  gal_vdv ( s, 6.62068357706e-09, 0.0, "gal_gmjgm3", "s 28 21" ) ;  
  gal_stget ( 28, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.71828575641e-09, 0.0, "gal_gmjgm3", "c 28 22" ) ;  
  gal_vdv ( s, -6.47900630684e-09, 0.0, "gal_gmjgm3", "s 28 22" ) ;  
  gal_stget ( 28, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.81776623861e-09, 0.0, "gal_gmjgm3", "c 28 23" ) ;  
  gal_vdv ( s, 3.03911010021e-09, 0.0, "gal_gmjgm3", "s 28 23" ) ;  
  gal_stget ( 28, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.02566159074e-08, 0.0, "gal_gmjgm3", "c 28 24" ) ;  
  gal_vdv ( s, -1.37198344010e-08, 0.0, "gal_gmjgm3", "s 28 24" ) ;  
  gal_stget ( 28, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.28624118537e-09, 0.0, "gal_gmjgm3", "c 28 25" ) ;  
  gal_vdv ( s, -1.71900614887e-08, 0.0, "gal_gmjgm3", "s 28 25" ) ;  
  gal_stget ( 28, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.19329447683e-08, 0.0, "gal_gmjgm3", "c 28 26" ) ;  
  gal_vdv ( s, 3.88222458603e-09, 0.0, "gal_gmjgm3", "s 28 26" ) ;  
  gal_stget ( 28, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.85325334159e-09, 0.0, "gal_gmjgm3", "c 28 27" ) ;  
  gal_vdv ( s, 9.36635653982e-10, 0.0, "gal_gmjgm3", "s 28 27" ) ;  
  gal_stget ( 28, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.71467421181e-09, 0.0, "gal_gmjgm3", "c 28 28" ) ;  
  gal_vdv ( s, 7.59037001471e-09, 0.0, "gal_gmjgm3", "s 28 28" ) ;  
  gal_stget ( 29, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.96794329014e-09, 0.0, "gal_gmjgm3", "c 29 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 29 0" ) ;  
  gal_stget ( 29, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.48281646839e-09, 0.0, "gal_gmjgm3", "c 29 1" ) ;  
  gal_vdv ( s, -9.49637291649e-09, 0.0, "gal_gmjgm3", "s 29 1" ) ;  
  gal_stget ( 29, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.20240726639e-09, 0.0, "gal_gmjgm3", "c 29 2" ) ;  
  gal_vdv ( s, -4.03937800099e-09, 0.0, "gal_gmjgm3", "s 29 2" ) ;  
  gal_stget ( 29, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.96133759064e-10, 0.0, "gal_gmjgm3", "c 29 3" ) ;  
  gal_vdv ( s, -1.03321936345e-08, 0.0, "gal_gmjgm3", "s 29 3" ) ;  
  gal_stget ( 29, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.65462030345e-08, 0.0, "gal_gmjgm3", "c 29 4" ) ;  
  gal_vdv ( s, -1.05185368696e-10, 0.0, "gal_gmjgm3", "s 29 4" ) ;  
  gal_stget ( 29, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.89682963171e-09, 0.0, "gal_gmjgm3", "c 29 5" ) ;  
  gal_vdv ( s, 3.79925317612e-09, 0.0, "gal_gmjgm3", "s 29 5" ) ;  
  gal_stget ( 29, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.28989283622e-08, 0.0, "gal_gmjgm3", "c 29 6" ) ;  
  gal_vdv ( s, 4.21337130463e-09, 0.0, "gal_gmjgm3", "s 29 6" ) ;  
  gal_stget ( 29, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.09220931577e-09, 0.0, "gal_gmjgm3", "c 29 7" ) ;  
  gal_vdv ( s, -5.55166021841e-09, 0.0, "gal_gmjgm3", "s 29 7" ) ;  
  gal_stget ( 29, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.58795556914e-08, 0.0, "gal_gmjgm3", "c 29 8" ) ;  
  gal_vdv ( s, 1.06472937369e-08, 0.0, "gal_gmjgm3", "s 29 8" ) ;  
  gal_stget ( 29, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.74483555548e-09, 0.0, "gal_gmjgm3", "c 29 9" ) ;  
  gal_vdv ( s, -4.72812701989e-10, 0.0, "gal_gmjgm3", "s 29 9" ) ;  
  gal_stget ( 29, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.42355684039e-08, 0.0, "gal_gmjgm3", "c 29 10" ) ;  
  gal_vdv ( s, 4.31726008604e-09, 0.0, "gal_gmjgm3", "s 29 10" ) ;  
  gal_stget ( 29, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.57275259763e-09, 0.0, "gal_gmjgm3", "c 29 11" ) ;  
  gal_vdv ( s, 7.95957034740e-09, 0.0, "gal_gmjgm3", "s 29 11" ) ;  
  gal_stget ( 29, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.73575755500e-09, 0.0, "gal_gmjgm3", "c 29 12" ) ;  
  gal_vdv ( s, -2.90215073796e-09, 0.0, "gal_gmjgm3", "s 29 12" ) ;  
  gal_stget ( 29, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.39417193709e-09, 0.0, "gal_gmjgm3", "c 29 13" ) ;  
  gal_vdv ( s, -2.23796808209e-09, 0.0, "gal_gmjgm3", "s 29 13" ) ;  
  gal_stget ( 29, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.47204573794e-09, 0.0, "gal_gmjgm3", "c 29 14" ) ;  
  gal_vdv ( s, -3.41280282592e-09, 0.0, "gal_gmjgm3", "s 29 14" ) ;  
  gal_stget ( 29, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.37488490075e-09, 0.0, "gal_gmjgm3", "c 29 15" ) ;  
  gal_vdv ( s, -7.53447711483e-09, 0.0, "gal_gmjgm3", "s 29 15" ) ;  
  gal_stget ( 29, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.59431313619e-10, 0.0, "gal_gmjgm3", "c 29 16" ) ;  
  gal_vdv ( s, -1.48393428430e-08, 0.0, "gal_gmjgm3", "s 29 16" ) ;  
  gal_stget ( 29, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.40981563301e-09, 0.0, "gal_gmjgm3", "c 29 17" ) ;  
  gal_vdv ( s, -4.05140902240e-09, 0.0, "gal_gmjgm3", "s 29 17" ) ;  
  gal_stget ( 29, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.16592483535e-09, 0.0, "gal_gmjgm3", "c 29 18" ) ;  
  gal_vdv ( s, -4.02543042994e-09, 0.0, "gal_gmjgm3", "s 29 18" ) ;  
  gal_stget ( 29, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.86535171961e-09, 0.0, "gal_gmjgm3", "c 29 19" ) ;  
  gal_vdv ( s, 6.08210751014e-09, 0.0, "gal_gmjgm3", "s 29 19" ) ;  
  gal_stget ( 29, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.51160272132e-09, 0.0, "gal_gmjgm3", "c 29 20" ) ;  
  gal_vdv ( s, 4.88408564416e-09, 0.0, "gal_gmjgm3", "s 29 20" ) ;  
  gal_stget ( 29, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.94729926398e-09, 0.0, "gal_gmjgm3", "c 29 21" ) ;  
  gal_vdv ( s, -5.44189772184e-09, 0.0, "gal_gmjgm3", "s 29 21" ) ;  
  gal_stget ( 29, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.25274989471e-08, 0.0, "gal_gmjgm3", "c 29 22" ) ;  
  gal_vdv ( s, -7.38943001330e-10, 0.0, "gal_gmjgm3", "s 29 22" ) ;  
  gal_stget ( 29, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.35607719317e-09, 0.0, "gal_gmjgm3", "c 29 23" ) ;  
  gal_vdv ( s, 2.81759447278e-09, 0.0, "gal_gmjgm3", "s 29 23" ) ;  
  gal_stget ( 29, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.13470516737e-12, 0.0, "gal_gmjgm3", "c 29 24" ) ;  
  gal_vdv ( s, -2.19494579445e-09, 0.0, "gal_gmjgm3", "s 29 24" ) ;  
  gal_stget ( 29, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.65448036478e-09, 0.0, "gal_gmjgm3", "c 29 25" ) ;  
  gal_vdv ( s, 8.21195069965e-09, 0.0, "gal_gmjgm3", "s 29 25" ) ;  
  gal_stget ( 29, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.27153649361e-09, 0.0, "gal_gmjgm3", "c 29 26" ) ;  
  gal_vdv ( s, -7.01709168409e-09, 0.0, "gal_gmjgm3", "s 29 26" ) ;  
  gal_stget ( 29, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.68201962201e-09, 0.0, "gal_gmjgm3", "c 29 27" ) ;  
  gal_vdv ( s, -7.50049040603e-10, 0.0, "gal_gmjgm3", "s 29 27" ) ;  
  gal_stget ( 29, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.81863058457e-09, 0.0, "gal_gmjgm3", "c 29 28" ) ;  
  gal_vdv ( s, -6.05482843933e-09, 0.0, "gal_gmjgm3", "s 29 28" ) ;  
  gal_stget ( 29, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.34153016461e-08, 0.0, "gal_gmjgm3", "c 29 29" ) ;  
  gal_vdv ( s, -5.30303426610e-09, 0.0, "gal_gmjgm3", "s 29 29" ) ;  
  gal_stget ( 30, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.32379960465e-08, 0.0, "gal_gmjgm3", "c 30 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 30 0" ) ;  
  gal_stget ( 30, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.54498500403e-12, 0.0, "gal_gmjgm3", "c 30 1" ) ;  
  gal_vdv ( s, 2.61631743822e-09, 0.0, "gal_gmjgm3", "s 30 1" ) ;  
  gal_stget ( 30, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.48313170418e-09, 0.0, "gal_gmjgm3", "c 30 2" ) ;  
  gal_vdv ( s, -4.07064135648e-10, 0.0, "gal_gmjgm3", "s 30 2" ) ;  
  gal_stget ( 30, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.85523265646e-10, 0.0, "gal_gmjgm3", "c 30 3" ) ;  
  gal_vdv ( s, -1.44882237852e-08, 0.0, "gal_gmjgm3", "s 30 3" ) ;  
  gal_stget ( 30, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.67173542329e-09, 0.0, "gal_gmjgm3", "c 30 4" ) ;  
  gal_vdv ( s, -1.60970589135e-10, 0.0, "gal_gmjgm3", "s 30 4" ) ;  
  gal_stget ( 30, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.43958118228e-09, 0.0, "gal_gmjgm3", "c 30 5" ) ;  
  gal_vdv ( s, -5.69604649683e-09, 0.0, "gal_gmjgm3", "s 30 5" ) ;  
  gal_stget ( 30, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.56823976108e-09, 0.0, "gal_gmjgm3", "c 30 6" ) ;  
  gal_vdv ( s, 2.50661659503e-09, 0.0, "gal_gmjgm3", "s 30 6" ) ;  
  gal_stget ( 30, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.23490135884e-09, 0.0, "gal_gmjgm3", "c 30 7" ) ;  
  gal_vdv ( s, -3.18026098645e-10, 0.0, "gal_gmjgm3", "s 30 7" ) ;  
  gal_stget ( 30, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.94381339819e-09, 0.0, "gal_gmjgm3", "c 30 8" ) ;  
  gal_vdv ( s, 2.62451491979e-09, 0.0, "gal_gmjgm3", "s 30 8" ) ;  
  gal_stget ( 30, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.33601946828e-09, 0.0, "gal_gmjgm3", "c 30 9" ) ;  
  gal_vdv ( s, -1.19616806242e-08, 0.0, "gal_gmjgm3", "s 30 9" ) ;  
  gal_stget ( 30, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.69862405739e-09, 0.0, "gal_gmjgm3", "c 30 10" ) ;  
  gal_vdv ( s, -5.94013585731e-09, 0.0, "gal_gmjgm3", "s 30 10" ) ;  
  gal_stget ( 30, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.21993569804e-09, 0.0, "gal_gmjgm3", "c 30 11" ) ;  
  gal_vdv ( s, 1.00589014881e-08, 0.0, "gal_gmjgm3", "s 30 11" ) ;  
  gal_stget ( 30, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.49608151999e-08, 0.0, "gal_gmjgm3", "c 30 12" ) ;  
  gal_vdv ( s, -1.09619735402e-08, 0.0, "gal_gmjgm3", "s 30 12" ) ;  
  gal_stget ( 30, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.44132967397e-08, 0.0, "gal_gmjgm3", "c 30 13" ) ;  
  gal_vdv ( s, 2.61908457200e-09, 0.0, "gal_gmjgm3", "s 30 13" ) ;  
  gal_stget ( 30, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.20029240606e-09, 0.0, "gal_gmjgm3", "c 30 14" ) ;  
  gal_vdv ( s, 7.24543510068e-09, 0.0, "gal_gmjgm3", "s 30 14" ) ;  
  gal_stget ( 30, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.55599215667e-10, 0.0, "gal_gmjgm3", "c 30 15" ) ;  
  gal_vdv ( s, 4.82395940445e-10, 0.0, "gal_gmjgm3", "s 30 15" ) ;  
  gal_stget ( 30, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.69704794945e-09, 0.0, "gal_gmjgm3", "c 30 16" ) ;  
  gal_vdv ( s, 4.62899138280e-09, 0.0, "gal_gmjgm3", "s 30 16" ) ;  
  gal_stget ( 30, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.84313632772e-09, 0.0, "gal_gmjgm3", "c 30 17" ) ;  
  gal_vdv ( s, -4.48567409818e-09, 0.0, "gal_gmjgm3", "s 30 17" ) ;  
  gal_stget ( 30, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.16718600106e-08, 0.0, "gal_gmjgm3", "c 30 18" ) ;  
  gal_vdv ( s, -7.60624947824e-09, 0.0, "gal_gmjgm3", "s 30 18" ) ;  
  gal_stget ( 30, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.34670912707e-08, 0.0, "gal_gmjgm3", "c 30 19" ) ;  
  gal_vdv ( s, 2.60379873042e-09, 0.0, "gal_gmjgm3", "s 30 19" ) ;  
  gal_stget ( 30, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.70511215109e-09, 0.0, "gal_gmjgm3", "c 30 20" ) ;  
  gal_vdv ( s, 1.21736034481e-08, 0.0, "gal_gmjgm3", "s 30 20" ) ;  
  gal_stget ( 30, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.10114119161e-08, 0.0, "gal_gmjgm3", "c 30 21" ) ;  
  gal_vdv ( s, -6.90387401512e-09, 0.0, "gal_gmjgm3", "s 30 21" ) ;  
  gal_stget ( 30, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.77534266065e-09, 0.0, "gal_gmjgm3", "c 30 22" ) ;  
  gal_vdv ( s, -8.66785088546e-09, 0.0, "gal_gmjgm3", "s 30 22" ) ;  
  gal_stget ( 30, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.72349720343e-09, 0.0, "gal_gmjgm3", "c 30 23" ) ;  
  gal_vdv ( s, -9.90552521322e-09, 0.0, "gal_gmjgm3", "s 30 23" ) ;  
  gal_stget ( 30, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.87123736340e-09, 0.0, "gal_gmjgm3", "c 30 24" ) ;  
  gal_vdv ( s, -2.72074624714e-09, 0.0, "gal_gmjgm3", "s 30 24" ) ;  
  gal_stget ( 30, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.65263556932e-09, 0.0, "gal_gmjgm3", "c 30 25" ) ;  
  gal_vdv ( s, -1.62642190226e-08, 0.0, "gal_gmjgm3", "s 30 25" ) ;  
  gal_stget ( 30, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.46745645593e-09, 0.0, "gal_gmjgm3", "c 30 26" ) ;  
  gal_vdv ( s, 1.21435283015e-08, 0.0, "gal_gmjgm3", "s 30 26" ) ;  
  gal_stget ( 30, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.41008549687e-09, 0.0, "gal_gmjgm3", "c 30 27" ) ;  
  gal_vdv ( s, 1.23700710391e-08, 0.0, "gal_gmjgm3", "s 30 27" ) ;  
  gal_stget ( 30, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.93705944309e-09, 0.0, "gal_gmjgm3", "c 30 28" ) ;  
  gal_vdv ( s, -7.76723128124e-09, 0.0, "gal_gmjgm3", "s 30 28" ) ;  
  gal_stget ( 30, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.30451584803e-09, 0.0, "gal_gmjgm3", "c 30 29" ) ;  
  gal_vdv ( s, 1.91662891962e-09, 0.0, "gal_gmjgm3", "s 30 29" ) ;  
  gal_stget ( 30, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.93366158447e-09, 0.0, "gal_gmjgm3", "c 30 30" ) ;  
  gal_vdv ( s, 7.24671048022e-09, 0.0, "gal_gmjgm3", "s 30 30" ) ;  
  gal_stget ( 31, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.63616735591e-09, 0.0, "gal_gmjgm3", "c 31 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 31 0" ) ;  
  gal_stget ( 31, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.03750803052e-09, 0.0, "gal_gmjgm3", "c 31 1" ) ;  
  gal_vdv ( s, -2.12528683271e-08, 0.0, "gal_gmjgm3", "s 31 1" ) ;  
  gal_stget ( 31, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.04500039932e-09, 0.0, "gal_gmjgm3", "c 31 2" ) ;  
  gal_vdv ( s, 4.03576454286e-09, 0.0, "gal_gmjgm3", "s 31 2" ) ;  
  gal_stget ( 31, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.49977699083e-09, 0.0, "gal_gmjgm3", "c 31 3" ) ;  
  gal_vdv ( s, -1.15908867934e-08, 0.0, "gal_gmjgm3", "s 31 3" ) ;  
  gal_stget ( 31, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.31090960595e-08, 0.0, "gal_gmjgm3", "c 31 4" ) ;  
  gal_vdv ( s, -3.61592878124e-09, 0.0, "gal_gmjgm3", "s 31 4" ) ;  
  gal_stget ( 31, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.24889244388e-09, 0.0, "gal_gmjgm3", "c 31 5" ) ;  
  gal_vdv ( s, 2.55197261152e-09, 0.0, "gal_gmjgm3", "s 31 5" ) ;  
  gal_stget ( 31, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.53522528325e-09, 0.0, "gal_gmjgm3", "c 31 6" ) ;  
  gal_vdv ( s, 4.78172802439e-09, 0.0, "gal_gmjgm3", "s 31 6" ) ;  
  gal_stget ( 31, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.41958298125e-10, 0.0, "gal_gmjgm3", "c 31 7" ) ;  
  gal_vdv ( s, -2.29128089202e-09, 0.0, "gal_gmjgm3", "s 31 7" ) ;  
  gal_stget ( 31, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.23379260356e-09, 0.0, "gal_gmjgm3", "c 31 8" ) ;  
  gal_vdv ( s, 2.06309232719e-09, 0.0, "gal_gmjgm3", "s 31 8" ) ;  
  gal_stget ( 31, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.38017362027e-11, 0.0, "gal_gmjgm3", "c 31 9" ) ;  
  gal_vdv ( s, 6.01101305303e-09, 0.0, "gal_gmjgm3", "s 31 9" ) ;  
  gal_stget ( 31, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.51735516980e-09, 0.0, "gal_gmjgm3", "c 31 10" ) ;  
  gal_vdv ( s, -9.57366121871e-09, 0.0, "gal_gmjgm3", "s 31 10" ) ;  
  gal_stget ( 31, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.62739467426e-10, 0.0, "gal_gmjgm3", "c 31 11" ) ;  
  gal_vdv ( s, 2.13385387501e-08, 0.0, "gal_gmjgm3", "s 31 11" ) ;  
  gal_stget ( 31, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.39991512539e-09, 0.0, "gal_gmjgm3", "c 31 12" ) ;  
  gal_vdv ( s, 3.53177971938e-09, 0.0, "gal_gmjgm3", "s 31 12" ) ;  
  gal_stget ( 31, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.90219954765e-09, 0.0, "gal_gmjgm3", "c 31 13" ) ;  
  gal_vdv ( s, 3.02650892071e-09, 0.0, "gal_gmjgm3", "s 31 13" ) ;  
  gal_stget ( 31, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.82532342427e-09, 0.0, "gal_gmjgm3", "c 31 14" ) ;  
  gal_vdv ( s, 2.00049001358e-09, 0.0, "gal_gmjgm3", "s 31 14" ) ;  
  gal_stget ( 31, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.62831346966e-09, 0.0, "gal_gmjgm3", "c 31 15" ) ;  
  gal_vdv ( s, -2.18060174341e-09, 0.0, "gal_gmjgm3", "s 31 15" ) ;  
  gal_stget ( 31, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.35656561150e-09, 0.0, "gal_gmjgm3", "c 31 16" ) ;  
  gal_vdv ( s, 6.20785702044e-09, 0.0, "gal_gmjgm3", "s 31 16" ) ;  
  gal_stget ( 31, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.89999570287e-09, 0.0, "gal_gmjgm3", "c 31 17" ) ;  
  gal_vdv ( s, 6.78280316240e-09, 0.0, "gal_gmjgm3", "s 31 17" ) ;  
  gal_stget ( 31, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.96521628250e-10, 0.0, "gal_gmjgm3", "c 31 18" ) ;  
  gal_vdv ( s, 8.51008404412e-10, 0.0, "gal_gmjgm3", "s 31 18" ) ;  
  gal_stget ( 31, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.03338739397e-09, 0.0, "gal_gmjgm3", "c 31 19" ) ;  
  gal_vdv ( s, 4.82164330612e-09, 0.0, "gal_gmjgm3", "s 31 19" ) ;  
  gal_stget ( 31, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.91926685427e-09, 0.0, "gal_gmjgm3", "c 31 20" ) ;  
  gal_vdv ( s, 7.53239208166e-09, 0.0, "gal_gmjgm3", "s 31 20" ) ;  
  gal_stget ( 31, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.59460792855e-09, 0.0, "gal_gmjgm3", "c 31 21" ) ;  
  gal_vdv ( s, 6.33883718413e-09, 0.0, "gal_gmjgm3", "s 31 21" ) ;  
  gal_stget ( 31, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.09452012393e-09, 0.0, "gal_gmjgm3", "c 31 22" ) ;  
  gal_vdv ( s, -1.14182842389e-08, 0.0, "gal_gmjgm3", "s 31 22" ) ;  
  gal_stget ( 31, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.54999485465e-09, 0.0, "gal_gmjgm3", "c 31 23" ) ;  
  gal_vdv ( s, 4.42458820144e-09, 0.0, "gal_gmjgm3", "s 31 23" ) ;  
  gal_stget ( 31, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.88345590629e-09, 0.0, "gal_gmjgm3", "c 31 24" ) ;  
  gal_vdv ( s, -3.69915739628e-09, 0.0, "gal_gmjgm3", "s 31 24" ) ;  
  gal_stget ( 31, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.66591444212e-08, 0.0, "gal_gmjgm3", "c 31 25" ) ;  
  gal_vdv ( s, -2.31658878485e-09, 0.0, "gal_gmjgm3", "s 31 25" ) ;  
  gal_stget ( 31, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.16680076487e-08, 0.0, "gal_gmjgm3", "c 31 26" ) ;  
  gal_vdv ( s, 1.69998957466e-09, 0.0, "gal_gmjgm3", "s 31 26" ) ;  
  gal_stget ( 31, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.22960336608e-09, 0.0, "gal_gmjgm3", "c 31 27" ) ;  
  gal_vdv ( s, 1.06854955638e-08, 0.0, "gal_gmjgm3", "s 31 27" ) ;  
  gal_stget ( 31, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.04039315628e-08, 0.0, "gal_gmjgm3", "c 31 28" ) ;  
  gal_vdv ( s, 2.65867822649e-09, 0.0, "gal_gmjgm3", "s 31 28" ) ;  
  gal_stget ( 31, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.16267174863e-09, 0.0, "gal_gmjgm3", "c 31 29" ) ;  
  gal_vdv ( s, -2.41643367718e-09, 0.0, "gal_gmjgm3", "s 31 29" ) ;  
  gal_stget ( 31, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.68445125041e-10, 0.0, "gal_gmjgm3", "c 31 30" ) ;  
  gal_vdv ( s, -7.10941117511e-09, 0.0, "gal_gmjgm3", "s 31 30" ) ;  
  gal_stget ( 31, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.45741004849e-09, 0.0, "gal_gmjgm3", "c 31 31" ) ;  
  gal_vdv ( s, -9.74142028949e-10, 0.0, "gal_gmjgm3", "s 31 31" ) ;  
  gal_stget ( 32, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.57477329852e-09, 0.0, "gal_gmjgm3", "c 32 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 32 0" ) ;  
  gal_stget ( 32, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.58595968478e-09, 0.0, "gal_gmjgm3", "c 32 1" ) ;  
  gal_vdv ( s, 2.97636879826e-09, 0.0, "gal_gmjgm3", "s 32 1" ) ;  
  gal_stget ( 32, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.83643655216e-09, 0.0, "gal_gmjgm3", "c 32 2" ) ;  
  gal_vdv ( s, -3.09838528075e-09, 0.0, "gal_gmjgm3", "s 32 2" ) ;  
  gal_stget ( 32, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.13225005638e-09, 0.0, "gal_gmjgm3", "c 32 3" ) ;  
  gal_vdv ( s, 1.54153367200e-09, 0.0, "gal_gmjgm3", "s 32 3" ) ;  
  gal_stget ( 32, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.44610493815e-09, 0.0, "gal_gmjgm3", "c 32 4" ) ;  
  gal_vdv ( s, -1.03367612735e-08, 0.0, "gal_gmjgm3", "s 32 4" ) ;  
  gal_stget ( 32, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.85572673545e-09, 0.0, "gal_gmjgm3", "c 32 5" ) ;  
  gal_vdv ( s, -7.54838985545e-11, 0.0, "gal_gmjgm3", "s 32 5" ) ;  
  gal_stget ( 32, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.29498854773e-09, 0.0, "gal_gmjgm3", "c 32 6" ) ;  
  gal_vdv ( s, -1.05023379365e-08, 0.0, "gal_gmjgm3", "s 32 6" ) ;  
  gal_stget ( 32, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.01841108483e-09, 0.0, "gal_gmjgm3", "c 32 7" ) ;  
  gal_vdv ( s, 4.09156773413e-09, 0.0, "gal_gmjgm3", "s 32 7" ) ;  
  gal_stget ( 32, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.55893367874e-08, 0.0, "gal_gmjgm3", "c 32 8" ) ;  
  gal_vdv ( s, 4.94616484080e-09, 0.0, "gal_gmjgm3", "s 32 8" ) ;  
  gal_stget ( 32, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.50935523976e-09, 0.0, "gal_gmjgm3", "c 32 9" ) ;  
  gal_vdv ( s, 2.26860641901e-09, 0.0, "gal_gmjgm3", "s 32 9" ) ;  
  gal_stget ( 32, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.92464106851e-10, 0.0, "gal_gmjgm3", "c 32 10" ) ;  
  gal_vdv ( s, -4.59343852206e-09, 0.0, "gal_gmjgm3", "s 32 10" ) ;  
  gal_stget ( 32, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.05991987187e-09, 0.0, "gal_gmjgm3", "c 32 11" ) ;  
  gal_vdv ( s, 7.13323974052e-09, 0.0, "gal_gmjgm3", "s 32 11" ) ;  
  gal_stget ( 32, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.48348324618e-08, 0.0, "gal_gmjgm3", "c 32 12" ) ;  
  gal_vdv ( s, 1.59055474897e-08, 0.0, "gal_gmjgm3", "s 32 12" ) ;  
  gal_stget ( 32, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.31413395011e-09, 0.0, "gal_gmjgm3", "c 32 13" ) ;  
  gal_vdv ( s, 4.85095269743e-09, 0.0, "gal_gmjgm3", "s 32 13" ) ;  
  gal_stget ( 32, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.56679195109e-09, 0.0, "gal_gmjgm3", "c 32 14" ) ;  
  gal_vdv ( s, 1.48911734904e-09, 0.0, "gal_gmjgm3", "s 32 14" ) ;  
  gal_stget ( 32, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.06646203180e-09, 0.0, "gal_gmjgm3", "c 32 15" ) ;  
  gal_vdv ( s, -9.86377746104e-09, 0.0, "gal_gmjgm3", "s 32 15" ) ;  
  gal_stget ( 32, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.38463799239e-09, 0.0, "gal_gmjgm3", "c 32 16" ) ;  
  gal_vdv ( s, 3.83683387410e-09, 0.0, "gal_gmjgm3", "s 32 16" ) ;  
  gal_stget ( 32, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.68341887128e-09, 0.0, "gal_gmjgm3", "c 32 17" ) ;  
  gal_vdv ( s, 9.60615615391e-09, 0.0, "gal_gmjgm3", "s 32 17" ) ;  
  gal_stget ( 32, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.25190746420e-08, 0.0, "gal_gmjgm3", "c 32 18" ) ;  
  gal_vdv ( s, -1.17893429560e-09, 0.0, "gal_gmjgm3", "s 32 18" ) ;  
  gal_stget ( 32, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.41393638979e-09, 0.0, "gal_gmjgm3", "c 32 19" ) ;  
  gal_vdv ( s, -2.47030123748e-09, 0.0, "gal_gmjgm3", "s 32 19" ) ;  
  gal_stget ( 32, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.21656652513e-09, 0.0, "gal_gmjgm3", "c 32 20" ) ;  
  gal_vdv ( s, 9.84359762811e-10, 0.0, "gal_gmjgm3", "s 32 20" ) ;  
  gal_stget ( 32, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.24875676422e-09, 0.0, "gal_gmjgm3", "c 32 21" ) ;  
  gal_vdv ( s, 1.12608624006e-08, 0.0, "gal_gmjgm3", "s 32 21" ) ;  
  gal_stget ( 32, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.12093036463e-08, 0.0, "gal_gmjgm3", "c 32 22" ) ;  
  gal_vdv ( s, -2.38366192469e-09, 0.0, "gal_gmjgm3", "s 32 22" ) ;  
  gal_stget ( 32, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.11085964279e-09, 0.0, "gal_gmjgm3", "c 32 23" ) ;  
  gal_vdv ( s, -1.51409016862e-09, 0.0, "gal_gmjgm3", "s 32 23" ) ;  
  gal_stget ( 32, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.27355934510e-09, 0.0, "gal_gmjgm3", "c 32 24" ) ;  
  gal_vdv ( s, 3.02489673471e-10, 0.0, "gal_gmjgm3", "s 32 24" ) ;  
  gal_stget ( 32, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.95293437011e-08, 0.0, "gal_gmjgm3", "c 32 25" ) ;  
  gal_vdv ( s, -6.31274941219e-09, 0.0, "gal_gmjgm3", "s 32 25" ) ;  
  gal_stget ( 32, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.62756364177e-09, 0.0, "gal_gmjgm3", "c 32 26" ) ;  
  gal_vdv ( s, -3.51811428641e-09, 0.0, "gal_gmjgm3", "s 32 26" ) ;  
  gal_stget ( 32, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.77369584677e-09, 0.0, "gal_gmjgm3", "c 32 27" ) ;  
  gal_vdv ( s, -6.49900897377e-09, 0.0, "gal_gmjgm3", "s 32 27" ) ;  
  gal_stget ( 32, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.95097850976e-09, 0.0, "gal_gmjgm3", "c 32 28" ) ;  
  gal_vdv ( s, -5.29888946011e-09, 0.0, "gal_gmjgm3", "s 32 28" ) ;  
  gal_stget ( 32, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.45442302410e-09, 0.0, "gal_gmjgm3", "c 32 29" ) ;  
  gal_vdv ( s, 3.15869838103e-09, 0.0, "gal_gmjgm3", "s 32 29" ) ;  
  gal_stget ( 32, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.33388350333e-09, 0.0, "gal_gmjgm3", "c 32 30" ) ;  
  gal_vdv ( s, 1.06059606532e-09, 0.0, "gal_gmjgm3", "s 32 30" ) ;  
  gal_stget ( 32, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.10972582582e-09, 0.0, "gal_gmjgm3", "c 32 31" ) ;  
  gal_vdv ( s, 8.28028438985e-10, 0.0, "gal_gmjgm3", "s 32 31" ) ;  
  gal_stget ( 32, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.39411178431e-09, 0.0, "gal_gmjgm3", "c 32 32" ) ;  
  gal_vdv ( s, 2.77164254394e-09, 0.0, "gal_gmjgm3", "s 32 32" ) ;  
  gal_stget ( 33, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.11171668569e-10, 0.0, "gal_gmjgm3", "c 33 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 33 0" ) ;  
  gal_stget ( 33, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.69879192150e-09, 0.0, "gal_gmjgm3", "c 33 1" ) ;  
  gal_vdv ( s, -1.58088015066e-09, 0.0, "gal_gmjgm3", "s 33 1" ) ;  
  gal_stget ( 33, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.30494979526e-09, 0.0, "gal_gmjgm3", "c 33 2" ) ;  
  gal_vdv ( s, 1.86936866566e-09, 0.0, "gal_gmjgm3", "s 33 2" ) ;  
  gal_stget ( 33, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.52593111722e-09, 0.0, "gal_gmjgm3", "c 33 3" ) ;  
  gal_vdv ( s, 5.64183552964e-09, 0.0, "gal_gmjgm3", "s 33 3" ) ;  
  gal_stget ( 33, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.01354637766e-09, 0.0, "gal_gmjgm3", "c 33 4" ) ;  
  gal_vdv ( s, 2.50361175741e-09, 0.0, "gal_gmjgm3", "s 33 4" ) ;  
  gal_stget ( 33, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.86024661248e-09, 0.0, "gal_gmjgm3", "c 33 5" ) ;  
  gal_vdv ( s, 3.54890050622e-09, 0.0, "gal_gmjgm3", "s 33 5" ) ;  
  gal_stget ( 33, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.20039277574e-10, 0.0, "gal_gmjgm3", "c 33 6" ) ;  
  gal_vdv ( s, -5.98358931571e-09, 0.0, "gal_gmjgm3", "s 33 6" ) ;  
  gal_stget ( 33, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.59516984370e-09, 0.0, "gal_gmjgm3", "c 33 7" ) ;  
  gal_vdv ( s, -1.53766592618e-10, 0.0, "gal_gmjgm3", "s 33 7" ) ;  
  gal_stget ( 33, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.29835683808e-09, 0.0, "gal_gmjgm3", "c 33 8" ) ;  
  gal_vdv ( s, 1.43317322069e-08, 0.0, "gal_gmjgm3", "s 33 8" ) ;  
  gal_stget ( 33, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.38165686754e-09, 0.0, "gal_gmjgm3", "c 33 9" ) ;  
  gal_vdv ( s, 7.41930366326e-09, 0.0, "gal_gmjgm3", "s 33 9" ) ;  
  gal_stget ( 33, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.63015531797e-09, 0.0, "gal_gmjgm3", "c 33 10" ) ;  
  gal_vdv ( s, 3.46437321670e-09, 0.0, "gal_gmjgm3", "s 33 10" ) ;  
  gal_stget ( 33, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.10549177468e-09, 0.0, "gal_gmjgm3", "c 33 11" ) ;  
  gal_vdv ( s, -7.46295754586e-09, 0.0, "gal_gmjgm3", "s 33 11" ) ;  
  gal_stget ( 33, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.62938069275e-09, 0.0, "gal_gmjgm3", "c 33 12" ) ;  
  gal_vdv ( s, 1.00538450504e-08, 0.0, "gal_gmjgm3", "s 33 12" ) ;  
  gal_stget ( 33, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.46103928947e-09, 0.0, "gal_gmjgm3", "c 33 13" ) ;  
  gal_vdv ( s, 4.86886199709e-09, 0.0, "gal_gmjgm3", "s 33 13" ) ;  
  gal_stget ( 33, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.73517940367e-09, 0.0, "gal_gmjgm3", "c 33 14" ) ;  
  gal_vdv ( s, 5.08413772476e-09, 0.0, "gal_gmjgm3", "s 33 14" ) ;  
  gal_stget ( 33, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.45595675246e-09, 0.0, "gal_gmjgm3", "c 33 15" ) ;  
  gal_vdv ( s, -2.64499975097e-09, 0.0, "gal_gmjgm3", "s 33 15" ) ;  
  gal_stget ( 33, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.37355036933e-09, 0.0, "gal_gmjgm3", "c 33 16" ) ;  
  gal_vdv ( s, 5.60728859975e-09, 0.0, "gal_gmjgm3", "s 33 16" ) ;  
  gal_stget ( 33, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.09886062416e-09, 0.0, "gal_gmjgm3", "c 33 17" ) ;  
  gal_vdv ( s, 1.24209076436e-08, 0.0, "gal_gmjgm3", "s 33 17" ) ;  
  gal_stget ( 33, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.08465080843e-08, 0.0, "gal_gmjgm3", "c 33 18" ) ;  
  gal_vdv ( s, -3.23028705293e-09, 0.0, "gal_gmjgm3", "s 33 18" ) ;  
  gal_stget ( 33, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.18412569191e-09, 0.0, "gal_gmjgm3", "c 33 19" ) ;  
  gal_vdv ( s, 1.92590266691e-09, 0.0, "gal_gmjgm3", "s 33 19" ) ;  
  gal_stget ( 33, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.68423851204e-09, 0.0, "gal_gmjgm3", "c 33 20" ) ;  
  gal_vdv ( s, -1.00280781223e-08, 0.0, "gal_gmjgm3", "s 33 20" ) ;  
  gal_stget ( 33, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.12229891183e-09, 0.0, "gal_gmjgm3", "c 33 21" ) ;  
  gal_vdv ( s, 3.91441761245e-10, 0.0, "gal_gmjgm3", "s 33 21" ) ;  
  gal_stget ( 33, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.90026429837e-09, 0.0, "gal_gmjgm3", "c 33 22" ) ;  
  gal_vdv ( s, -1.53549105666e-08, 0.0, "gal_gmjgm3", "s 33 22" ) ;  
  gal_stget ( 33, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.99673167057e-10, 0.0, "gal_gmjgm3", "c 33 23" ) ;  
  gal_vdv ( s, -8.41623554364e-09, 0.0, "gal_gmjgm3", "s 33 23" ) ;  
  gal_stget ( 33, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.12166873620e-08, 0.0, "gal_gmjgm3", "c 33 24" ) ;  
  gal_vdv ( s, -7.92862173439e-09, 0.0, "gal_gmjgm3", "s 33 24" ) ;  
  gal_stget ( 33, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.85169365885e-09, 0.0, "gal_gmjgm3", "c 33 25" ) ;  
  gal_vdv ( s, -1.05748736092e-08, 0.0, "gal_gmjgm3", "s 33 25" ) ;  
  gal_stget ( 33, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.10008832074e-08, 0.0, "gal_gmjgm3", "c 33 26" ) ;  
  gal_vdv ( s, 4.53696447481e-09, 0.0, "gal_gmjgm3", "s 33 26" ) ;  
  gal_stget ( 33, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.34538054347e-10, 0.0, "gal_gmjgm3", "c 33 27" ) ;  
  gal_vdv ( s, 1.66687765641e-09, 0.0, "gal_gmjgm3", "s 33 27" ) ;  
  gal_stget ( 33, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.65366639624e-09, 0.0, "gal_gmjgm3", "c 33 28" ) ;  
  gal_vdv ( s, -1.20913663609e-09, 0.0, "gal_gmjgm3", "s 33 28" ) ;  
  gal_stget ( 33, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.58760824893e-08, 0.0, "gal_gmjgm3", "c 33 29" ) ;  
  gal_vdv ( s, 5.48979114962e-09, 0.0, "gal_gmjgm3", "s 33 29" ) ;  
  gal_stget ( 33, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.20845512802e-10, 0.0, "gal_gmjgm3", "c 33 30" ) ;  
  gal_vdv ( s, -1.75618349924e-08, 0.0, "gal_gmjgm3", "s 33 30" ) ;  
  gal_stget ( 33, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.70153406954e-09, 0.0, "gal_gmjgm3", "c 33 31" ) ;  
  gal_vdv ( s, 2.49154762799e-09, 0.0, "gal_gmjgm3", "s 33 31" ) ;  
  gal_stget ( 33, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.87931413475e-09, 0.0, "gal_gmjgm3", "c 33 32" ) ;  
  gal_vdv ( s, -3.15094244169e-09, 0.0, "gal_gmjgm3", "s 33 32" ) ;  
  gal_stget ( 33, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.45052624408e-09, 0.0, "gal_gmjgm3", "c 33 33" ) ;  
  gal_vdv ( s, 8.71173716978e-09, 0.0, "gal_gmjgm3", "s 33 33" ) ;  
  gal_stget ( 34, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.29072597352e-09, 0.0, "gal_gmjgm3", "c 34 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 34 0" ) ;  
  gal_stget ( 34, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.56895575256e-09, 0.0, "gal_gmjgm3", "c 34 1" ) ;  
  gal_vdv ( s, 4.68126683706e-09, 0.0, "gal_gmjgm3", "s 34 1" ) ;  
  gal_stget ( 34, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.09108499695e-08, 0.0, "gal_gmjgm3", "c 34 2" ) ;  
  gal_vdv ( s, 5.37273616142e-09, 0.0, "gal_gmjgm3", "s 34 2" ) ;  
  gal_stget ( 34, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.11307138450e-08, 0.0, "gal_gmjgm3", "c 34 3" ) ;  
  gal_vdv ( s, 8.10055228899e-09, 0.0, "gal_gmjgm3", "s 34 3" ) ;  
  gal_stget ( 34, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.18254581764e-09, 0.0, "gal_gmjgm3", "c 34 4" ) ;  
  gal_vdv ( s, -2.49047902896e-09, 0.0, "gal_gmjgm3", "s 34 4" ) ;  
  gal_stget ( 34, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.71946832876e-09, 0.0, "gal_gmjgm3", "c 34 5" ) ;  
  gal_vdv ( s, 7.15595031653e-09, 0.0, "gal_gmjgm3", "s 34 5" ) ;  
  gal_stget ( 34, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.80527565511e-09, 0.0, "gal_gmjgm3", "c 34 6" ) ;  
  gal_vdv ( s, 6.94602979361e-09, 0.0, "gal_gmjgm3", "s 34 6" ) ;  
  gal_stget ( 34, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.27655009510e-09, 0.0, "gal_gmjgm3", "c 34 7" ) ;  
  gal_vdv ( s, -4.46397778854e-09, 0.0, "gal_gmjgm3", "s 34 7" ) ;  
  gal_stget ( 34, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.44075094365e-08, 0.0, "gal_gmjgm3", "c 34 8" ) ;  
  gal_vdv ( s, 4.14803669630e-09, 0.0, "gal_gmjgm3", "s 34 8" ) ;  
  gal_stget ( 34, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.43577444678e-10, 0.0, "gal_gmjgm3", "c 34 9" ) ;  
  gal_vdv ( s, 2.54923713521e-09, 0.0, "gal_gmjgm3", "s 34 9" ) ;  
  gal_stget ( 34, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.03762994426e-08, 0.0, "gal_gmjgm3", "c 34 10" ) ;  
  gal_vdv ( s, 6.59395999336e-10, 0.0, "gal_gmjgm3", "s 34 10" ) ;  
  gal_stget ( 34, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.40114586431e-09, 0.0, "gal_gmjgm3", "c 34 11" ) ;  
  gal_vdv ( s, 9.60209335639e-10, 0.0, "gal_gmjgm3", "s 34 11" ) ;  
  gal_stget ( 34, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.33796105554e-08, 0.0, "gal_gmjgm3", "c 34 12" ) ;  
  gal_vdv ( s, -4.32296910819e-09, 0.0, "gal_gmjgm3", "s 34 12" ) ;  
  gal_stget ( 34, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.78344644247e-09, 0.0, "gal_gmjgm3", "c 34 13" ) ;  
  gal_vdv ( s, 2.91859090035e-09, 0.0, "gal_gmjgm3", "s 34 13" ) ;  
  gal_stget ( 34, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.08752931259e-09, 0.0, "gal_gmjgm3", "c 34 14" ) ;  
  gal_vdv ( s, 8.96899004787e-09, 0.0, "gal_gmjgm3", "s 34 14" ) ;  
  gal_stget ( 34, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.03940868940e-10, 0.0, "gal_gmjgm3", "c 34 15" ) ;  
  gal_vdv ( s, 7.54961735095e-09, 0.0, "gal_gmjgm3", "s 34 15" ) ;  
  gal_stget ( 34, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.53559516499e-10, 0.0, "gal_gmjgm3", "c 34 16" ) ;  
  gal_vdv ( s, -1.77527874631e-09, 0.0, "gal_gmjgm3", "s 34 16" ) ;  
  gal_stget ( 34, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.80347348909e-09, 0.0, "gal_gmjgm3", "c 34 17" ) ;  
  gal_vdv ( s, 2.95601529411e-09, 0.0, "gal_gmjgm3", "s 34 17" ) ;  
  gal_stget ( 34, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.36855956635e-08, 0.0, "gal_gmjgm3", "c 34 18" ) ;  
  gal_vdv ( s, -4.92412136386e-09, 0.0, "gal_gmjgm3", "s 34 18" ) ;  
  gal_stget ( 34, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.66385408531e-09, 0.0, "gal_gmjgm3", "c 34 19" ) ;  
  gal_vdv ( s, 6.13872663992e-09, 0.0, "gal_gmjgm3", "s 34 19" ) ;  
  gal_stget ( 34, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.08170494337e-09, 0.0, "gal_gmjgm3", "c 34 20" ) ;  
  gal_vdv ( s, -8.72646609274e-09, 0.0, "gal_gmjgm3", "s 34 20" ) ;  
  gal_stget ( 34, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.73051733716e-09, 0.0, "gal_gmjgm3", "c 34 21" ) ;  
  gal_vdv ( s, -7.94012936470e-09, 0.0, "gal_gmjgm3", "s 34 21" ) ;  
  gal_stget ( 34, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.84225473878e-09, 0.0, "gal_gmjgm3", "c 34 22" ) ;  
  gal_vdv ( s, 3.49851962299e-09, 0.0, "gal_gmjgm3", "s 34 22" ) ;  
  gal_stget ( 34, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.38799008582e-09, 0.0, "gal_gmjgm3", "c 34 23" ) ;  
  gal_vdv ( s, -1.12051159230e-08, 0.0, "gal_gmjgm3", "s 34 23" ) ;  
  gal_stget ( 34, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.87769223786e-09, 0.0, "gal_gmjgm3", "c 34 24" ) ;  
  gal_vdv ( s, 5.06721973604e-09, 0.0, "gal_gmjgm3", "s 34 24" ) ;  
  gal_stget ( 34, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.11805708206e-09, 0.0, "gal_gmjgm3", "c 34 25" ) ;  
  gal_vdv ( s, -1.02529548801e-08, 0.0, "gal_gmjgm3", "s 34 25" ) ;  
  gal_stget ( 34, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.45584819183e-09, 0.0, "gal_gmjgm3", "c 34 26" ) ;  
  gal_vdv ( s, -1.31764109716e-08, 0.0, "gal_gmjgm3", "s 34 26" ) ;  
  gal_stget ( 34, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.28836901089e-08, 0.0, "gal_gmjgm3", "c 34 27" ) ;  
  gal_vdv ( s, -3.82372994386e-09, 0.0, "gal_gmjgm3", "s 34 27" ) ;  
  gal_stget ( 34, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.28672414781e-10, 0.0, "gal_gmjgm3", "c 34 28" ) ;  
  gal_vdv ( s, -2.00605526350e-08, 0.0, "gal_gmjgm3", "s 34 28" ) ;  
  gal_stget ( 34, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.05637247721e-09, 0.0, "gal_gmjgm3", "c 34 29" ) ;  
  gal_vdv ( s, -4.51133530083e-09, 0.0, "gal_gmjgm3", "s 34 29" ) ;  
  gal_stget ( 34, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.97830531221e-08, 0.0, "gal_gmjgm3", "c 34 30" ) ;  
  gal_vdv ( s, -6.36284528336e-10, 0.0, "gal_gmjgm3", "s 34 30" ) ;  
  gal_stget ( 34, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.82072527438e-09, 0.0, "gal_gmjgm3", "c 34 31" ) ;  
  gal_vdv ( s, -1.60957376339e-10, 0.0, "gal_gmjgm3", "s 34 31" ) ;  
  gal_stget ( 34, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.10004680189e-09, 0.0, "gal_gmjgm3", "c 34 32" ) ;  
  gal_vdv ( s, 3.27169236363e-09, 0.0, "gal_gmjgm3", "s 34 32" ) ;  
  gal_stget ( 34, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.25013886316e-08, 0.0, "gal_gmjgm3", "c 34 33" ) ;  
  gal_vdv ( s, 3.76446790614e-09, 0.0, "gal_gmjgm3", "s 34 33" ) ;  
  gal_stget ( 34, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.99903685495e-09, 0.0, "gal_gmjgm3", "c 34 34" ) ;  
  gal_vdv ( s, 2.39169964334e-09, 0.0, "gal_gmjgm3", "s 34 34" ) ;  
  gal_stget ( 35, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.85444691885e-09, 0.0, "gal_gmjgm3", "c 35 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 35 0" ) ;  
  gal_stget ( 35, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.48819142717e-08, 0.0, "gal_gmjgm3", "c 35 1" ) ;  
  gal_vdv ( s, -1.06983405975e-08, 0.0, "gal_gmjgm3", "s 35 1" ) ;  
  gal_stget ( 35, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.67719949443e-08, 0.0, "gal_gmjgm3", "c 35 2" ) ;  
  gal_vdv ( s, -6.13723190062e-11, 0.0, "gal_gmjgm3", "s 35 2" ) ;  
  gal_stget ( 35, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.06442123655e-09, 0.0, "gal_gmjgm3", "c 35 3" ) ;  
  gal_vdv ( s, 4.89555001859e-09, 0.0, "gal_gmjgm3", "s 35 3" ) ;  
  gal_stget ( 35, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.22155506450e-09, 0.0, "gal_gmjgm3", "c 35 4" ) ;  
  gal_vdv ( s, 2.93850156504e-09, 0.0, "gal_gmjgm3", "s 35 4" ) ;  
  gal_stget ( 35, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.29855069370e-09, 0.0, "gal_gmjgm3", "c 35 5" ) ;  
  gal_vdv ( s, -1.12764428214e-08, 0.0, "gal_gmjgm3", "s 35 5" ) ;  
  gal_stget ( 35, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.74278657546e-09, 0.0, "gal_gmjgm3", "c 35 6" ) ;  
  gal_vdv ( s, 8.24261742573e-09, 0.0, "gal_gmjgm3", "s 35 6" ) ;  
  gal_stget ( 35, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.06807357190e-09, 0.0, "gal_gmjgm3", "c 35 7" ) ;  
  gal_vdv ( s, 1.84205647045e-09, 0.0, "gal_gmjgm3", "s 35 7" ) ;  
  gal_stget ( 35, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.13682075955e-10, 0.0, "gal_gmjgm3", "c 35 8" ) ;  
  gal_vdv ( s, 1.01210512693e-08, 0.0, "gal_gmjgm3", "s 35 8" ) ;  
  gal_stget ( 35, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.64579552812e-09, 0.0, "gal_gmjgm3", "c 35 9" ) ;  
  gal_vdv ( s, 9.18054448246e-11, 0.0, "gal_gmjgm3", "s 35 9" ) ;  
  gal_stget ( 35, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.70163243439e-09, 0.0, "gal_gmjgm3", "c 35 10" ) ;  
  gal_vdv ( s, 1.10576575662e-08, 0.0, "gal_gmjgm3", "s 35 10" ) ;  
  gal_stget ( 35, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.55397048860e-09, 0.0, "gal_gmjgm3", "c 35 11" ) ;  
  gal_vdv ( s, -3.28909117197e-10, 0.0, "gal_gmjgm3", "s 35 11" ) ;  
  gal_stget ( 35, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.78866265428e-09, 0.0, "gal_gmjgm3", "c 35 12" ) ;  
  gal_vdv ( s, -5.07455344353e-09, 0.0, "gal_gmjgm3", "s 35 12" ) ;  
  gal_stget ( 35, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.75738423329e-09, 0.0, "gal_gmjgm3", "c 35 13" ) ;  
  gal_vdv ( s, 1.96258230853e-09, 0.0, "gal_gmjgm3", "s 35 13" ) ;  
  gal_stget ( 35, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.58957729506e-09, 0.0, "gal_gmjgm3", "c 35 14" ) ;  
  gal_vdv ( s, -6.31077229764e-09, 0.0, "gal_gmjgm3", "s 35 14" ) ;  
  gal_stget ( 35, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.65842915861e-08, 0.0, "gal_gmjgm3", "c 35 15" ) ;  
  gal_vdv ( s, 8.07217634225e-09, 0.0, "gal_gmjgm3", "s 35 15" ) ;  
  gal_stget ( 35, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.18677965668e-09, 0.0, "gal_gmjgm3", "c 35 16" ) ;  
  gal_vdv ( s, -5.74578747679e-09, 0.0, "gal_gmjgm3", "s 35 16" ) ;  
  gal_stget ( 35, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.66335234150e-09, 0.0, "gal_gmjgm3", "c 35 17" ) ;  
  gal_vdv ( s, -9.53973033651e-09, 0.0, "gal_gmjgm3", "s 35 17" ) ;  
  gal_stget ( 35, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.48736433379e-09, 0.0, "gal_gmjgm3", "c 35 18" ) ;  
  gal_vdv ( s, -1.04591632487e-08, 0.0, "gal_gmjgm3", "s 35 18" ) ;  
  gal_stget ( 35, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.18687455596e-10, 0.0, "gal_gmjgm3", "c 35 19" ) ;  
  gal_vdv ( s, -3.66060346132e-09, 0.0, "gal_gmjgm3", "s 35 19" ) ;  
  gal_stget ( 35, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.55150746105e-09, 0.0, "gal_gmjgm3", "c 35 20" ) ;  
  gal_vdv ( s, 2.27850690913e-09, 0.0, "gal_gmjgm3", "s 35 20" ) ;  
  gal_stget ( 35, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.27878932992e-08, 0.0, "gal_gmjgm3", "c 35 21" ) ;  
  gal_vdv ( s, 5.82773939092e-11, 0.0, "gal_gmjgm3", "s 35 21" ) ;  
  gal_stget ( 35, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.04500675104e-09, 0.0, "gal_gmjgm3", "c 35 22" ) ;  
  gal_vdv ( s, 6.49812790298e-09, 0.0, "gal_gmjgm3", "s 35 22" ) ;  
  gal_stget ( 35, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.53909393126e-09, 0.0, "gal_gmjgm3", "c 35 23" ) ;  
  gal_vdv ( s, -1.94675434344e-09, 0.0, "gal_gmjgm3", "s 35 23" ) ;  
  gal_stget ( 35, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.68517178208e-10, 0.0, "gal_gmjgm3", "c 35 24" ) ;  
  gal_vdv ( s, 5.33737330339e-09, 0.0, "gal_gmjgm3", "s 35 24" ) ;  
  gal_stget ( 35, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.19723563220e-09, 0.0, "gal_gmjgm3", "c 35 25" ) ;  
  gal_vdv ( s, 1.38180824975e-09, 0.0, "gal_gmjgm3", "s 35 25" ) ;  
  gal_stget ( 35, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.60415148735e-09, 0.0, "gal_gmjgm3", "c 35 26" ) ;  
  gal_vdv ( s, 3.78188303703e-09, 0.0, "gal_gmjgm3", "s 35 26" ) ;  
  gal_stget ( 35, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.14397059996e-08, 0.0, "gal_gmjgm3", "c 35 27" ) ;  
  gal_vdv ( s, -1.32232402652e-08, 0.0, "gal_gmjgm3", "s 35 27" ) ;  
  gal_stget ( 35, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.69898276333e-09, 0.0, "gal_gmjgm3", "c 35 28" ) ;  
  gal_vdv ( s, -1.55631511939e-08, 0.0, "gal_gmjgm3", "s 35 28" ) ;  
  gal_stget ( 35, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.36633824377e-09, 0.0, "gal_gmjgm3", "c 35 29" ) ;  
  gal_vdv ( s, 3.37097035300e-09, 0.0, "gal_gmjgm3", "s 35 29" ) ;  
  gal_stget ( 35, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.79461598482e-09, 0.0, "gal_gmjgm3", "c 35 30" ) ;  
  gal_vdv ( s, 3.33317981915e-09, 0.0, "gal_gmjgm3", "s 35 30" ) ;  
  gal_stget ( 35, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.59678687919e-09, 0.0, "gal_gmjgm3", "c 35 31" ) ;  
  gal_vdv ( s, 4.14449835104e-09, 0.0, "gal_gmjgm3", "s 35 31" ) ;  
  gal_stget ( 35, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.68992388002e-09, 0.0, "gal_gmjgm3", "c 35 32" ) ;  
  gal_vdv ( s, -6.79099678579e-09, 0.0, "gal_gmjgm3", "s 35 32" ) ;  
  gal_stget ( 35, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.46890020649e-09, 0.0, "gal_gmjgm3", "c 35 33" ) ;  
  gal_vdv ( s, -2.91765392755e-09, 0.0, "gal_gmjgm3", "s 35 33" ) ;  
  gal_stget ( 35, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.46928882926e-09, 0.0, "gal_gmjgm3", "c 35 34" ) ;  
  gal_vdv ( s, 1.27716144133e-09, 0.0, "gal_gmjgm3", "s 35 34" ) ;  
  gal_stget ( 35, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.51786268003e-09, 0.0, "gal_gmjgm3", "c 35 35" ) ;  
  gal_vdv ( s, -4.37989127791e-09, 0.0, "gal_gmjgm3", "s 35 35" ) ;  
  gal_stget ( 36, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.05190486367e-09, 0.0, "gal_gmjgm3", "c 36 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 36 0" ) ;  
  gal_stget ( 36, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.49913887143e-09, 0.0, "gal_gmjgm3", "c 36 1" ) ;  
  gal_vdv ( s, 8.34256478569e-09, 0.0, "gal_gmjgm3", "s 36 1" ) ;  
  gal_stget ( 36, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.10496174791e-09, 0.0, "gal_gmjgm3", "c 36 2" ) ;  
  gal_vdv ( s, -3.42210099138e-09, 0.0, "gal_gmjgm3", "s 36 2" ) ;  
  gal_stget ( 36, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.32659966596e-09, 0.0, "gal_gmjgm3", "c 36 3" ) ;  
  gal_vdv ( s, -1.47386104707e-08, 0.0, "gal_gmjgm3", "s 36 3" ) ;  
  gal_stget ( 36, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.54446147723e-12, 0.0, "gal_gmjgm3", "c 36 4" ) ;  
  gal_vdv ( s, -1.50372061855e-09, 0.0, "gal_gmjgm3", "s 36 4" ) ;  
  gal_stget ( 36, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.68651686801e-09, 0.0, "gal_gmjgm3", "c 36 5" ) ;  
  gal_vdv ( s, -9.42820310803e-10, 0.0, "gal_gmjgm3", "s 36 5" ) ;  
  gal_stget ( 36, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.80105650092e-09, 0.0, "gal_gmjgm3", "c 36 6" ) ;  
  gal_vdv ( s, -7.25463441128e-09, 0.0, "gal_gmjgm3", "s 36 6" ) ;  
  gal_stget ( 36, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.17937564904e-10, 0.0, "gal_gmjgm3", "c 36 7" ) ;  
  gal_vdv ( s, 3.48965169769e-09, 0.0, "gal_gmjgm3", "s 36 7" ) ;  
  gal_stget ( 36, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.49814215955e-09, 0.0, "gal_gmjgm3", "c 36 8" ) ;  
  gal_vdv ( s, -6.25214700016e-09, 0.0, "gal_gmjgm3", "s 36 8" ) ;  
  gal_stget ( 36, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.66630664254e-09, 0.0, "gal_gmjgm3", "c 36 9" ) ;  
  gal_vdv ( s, -2.61551870547e-09, 0.0, "gal_gmjgm3", "s 36 9" ) ;  
  gal_stget ( 36, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.75263870608e-09, 0.0, "gal_gmjgm3", "c 36 10" ) ;  
  gal_vdv ( s, 8.82704412112e-09, 0.0, "gal_gmjgm3", "s 36 10" ) ;  
  gal_stget ( 36, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.25708219023e-09, 0.0, "gal_gmjgm3", "c 36 11" ) ;  
  gal_vdv ( s, 3.79463639031e-09, 0.0, "gal_gmjgm3", "s 36 11" ) ;  
  gal_stget ( 36, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.52714091918e-10, 0.0, "gal_gmjgm3", "c 36 12" ) ;  
  gal_vdv ( s, -6.06604000845e-09, 0.0, "gal_gmjgm3", "s 36 12" ) ;  
  gal_stget ( 36, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.57481064351e-09, 0.0, "gal_gmjgm3", "c 36 13" ) ;  
  gal_vdv ( s, 5.60690850789e-09, 0.0, "gal_gmjgm3", "s 36 13" ) ;  
  gal_stget ( 36, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.05062337049e-08, 0.0, "gal_gmjgm3", "c 36 14" ) ;  
  gal_vdv ( s, -6.29979239803e-09, 0.0, "gal_gmjgm3", "s 36 14" ) ;  
  gal_stget ( 36, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.71663133023e-09, 0.0, "gal_gmjgm3", "c 36 15" ) ;  
  gal_vdv ( s, 3.08235988150e-09, 0.0, "gal_gmjgm3", "s 36 15" ) ;  
  gal_stget ( 36, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.00461268277e-10, 0.0, "gal_gmjgm3", "c 36 16" ) ;  
  gal_vdv ( s, 1.57329875424e-09, 0.0, "gal_gmjgm3", "s 36 16" ) ;  
  gal_stget ( 36, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.92152372880e-09, 0.0, "gal_gmjgm3", "c 36 17" ) ;  
  gal_vdv ( s, -7.39659776135e-09, 0.0, "gal_gmjgm3", "s 36 17" ) ;  
  gal_stget ( 36, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.67854330803e-10, 0.0, "gal_gmjgm3", "c 36 18" ) ;  
  gal_vdv ( s, 4.06865904107e-09, 0.0, "gal_gmjgm3", "s 36 18" ) ;  
  gal_stget ( 36, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.96955261266e-09, 0.0, "gal_gmjgm3", "c 36 19" ) ;  
  gal_vdv ( s, -4.74961350269e-09, 0.0, "gal_gmjgm3", "s 36 19" ) ;  
  gal_stget ( 36, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.41481977932e-09, 0.0, "gal_gmjgm3", "c 36 20" ) ;  
  gal_vdv ( s, 2.63109663729e-09, 0.0, "gal_gmjgm3", "s 36 20" ) ;  
  gal_stget ( 36, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.75498763509e-09, 0.0, "gal_gmjgm3", "c 36 21" ) ;  
  gal_vdv ( s, -4.83689134654e-09, 0.0, "gal_gmjgm3", "s 36 21" ) ;  
  gal_stget ( 36, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.20185567614e-09, 0.0, "gal_gmjgm3", "c 36 22" ) ;  
  gal_vdv ( s, 1.52485680734e-09, 0.0, "gal_gmjgm3", "s 36 22" ) ;  
  gal_stget ( 36, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.41844305414e-09, 0.0, "gal_gmjgm3", "c 36 23" ) ;  
  gal_vdv ( s, 1.93811295280e-09, 0.0, "gal_gmjgm3", "s 36 23" ) ;  
  gal_stget ( 36, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.97948883995e-11, 0.0, "gal_gmjgm3", "c 36 24" ) ;  
  gal_vdv ( s, -5.14649007867e-09, 0.0, "gal_gmjgm3", "s 36 24" ) ;  
  gal_stget ( 36, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.04541919085e-09, 0.0, "gal_gmjgm3", "c 36 25" ) ;  
  gal_vdv ( s, 1.44317924511e-08, 0.0, "gal_gmjgm3", "s 36 25" ) ;  
  gal_stget ( 36, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.17246913410e-09, 0.0, "gal_gmjgm3", "c 36 26" ) ;  
  gal_vdv ( s, 8.35500986302e-09, 0.0, "gal_gmjgm3", "s 36 26" ) ;  
  gal_stget ( 36, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.12158520329e-09, 0.0, "gal_gmjgm3", "c 36 27" ) ;  
  gal_vdv ( s, 8.84962507165e-09, 0.0, "gal_gmjgm3", "s 36 27" ) ;  
  gal_stget ( 36, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.79638537688e-09, 0.0, "gal_gmjgm3", "c 36 28" ) ;  
  gal_vdv ( s, -4.67112493008e-09, 0.0, "gal_gmjgm3", "s 36 28" ) ;  
  gal_stget ( 36, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.37926752821e-09, 0.0, "gal_gmjgm3", "c 36 29" ) ;  
  gal_vdv ( s, 2.32428666715e-10, 0.0, "gal_gmjgm3", "s 36 29" ) ;  
  gal_stget ( 36, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.17553088203e-09, 0.0, "gal_gmjgm3", "c 36 30" ) ;  
  gal_vdv ( s, 6.55152207858e-09, 0.0, "gal_gmjgm3", "s 36 30" ) ;  
  gal_stget ( 36, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.00764724172e-09, 0.0, "gal_gmjgm3", "c 36 31" ) ;  
  gal_vdv ( s, -4.00453240481e-09, 0.0, "gal_gmjgm3", "s 36 31" ) ;  
  gal_stget ( 36, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.15271814791e-08, 0.0, "gal_gmjgm3", "c 36 32" ) ;  
  gal_vdv ( s, 3.63184918949e-09, 0.0, "gal_gmjgm3", "s 36 32" ) ;  
  gal_stget ( 36, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.08776622849e-09, 0.0, "gal_gmjgm3", "c 36 33" ) ;  
  gal_vdv ( s, -4.34650962461e-09, 0.0, "gal_gmjgm3", "s 36 33" ) ;  
  gal_stget ( 36, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.15331707517e-09, 0.0, "gal_gmjgm3", "c 36 34" ) ;  
  gal_vdv ( s, 4.52383686043e-09, 0.0, "gal_gmjgm3", "s 36 34" ) ;  
  gal_stget ( 36, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.25019397276e-10, 0.0, "gal_gmjgm3", "c 36 35" ) ;  
  gal_vdv ( s, -1.22912576946e-08, 0.0, "gal_gmjgm3", "s 36 35" ) ;  
  gal_stget ( 36, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.17691719381e-09, 0.0, "gal_gmjgm3", "c 36 36" ) ;  
  gal_vdv ( s, -6.68281272527e-09, 0.0, "gal_gmjgm3", "s 36 36" ) ;  
  gal_stget ( 37, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.87579988601e-09, 0.0, "gal_gmjgm3", "c 37 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 37 0" ) ;  
  gal_stget ( 37, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.04295387752e-09, 0.0, "gal_gmjgm3", "c 37 1" ) ;  
  gal_vdv ( s, -6.87105704675e-10, 0.0, "gal_gmjgm3", "s 37 1" ) ;  
  gal_stget ( 37, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.81754063874e-09, 0.0, "gal_gmjgm3", "c 37 2" ) ;  
  gal_vdv ( s, -1.11517035066e-08, 0.0, "gal_gmjgm3", "s 37 2" ) ;  
  gal_stget ( 37, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.52423538749e-09, 0.0, "gal_gmjgm3", "c 37 3" ) ;  
  gal_vdv ( s, -2.81212407514e-10, 0.0, "gal_gmjgm3", "s 37 3" ) ;  
  gal_stget ( 37, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.39064849470e-09, 0.0, "gal_gmjgm3", "c 37 4" ) ;  
  gal_vdv ( s, 1.59707645902e-09, 0.0, "gal_gmjgm3", "s 37 4" ) ;  
  gal_stget ( 37, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.77057240008e-09, 0.0, "gal_gmjgm3", "c 37 5" ) ;  
  gal_vdv ( s, -1.75780309523e-10, 0.0, "gal_gmjgm3", "s 37 5" ) ;  
  gal_stget ( 37, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.84610671920e-09, 0.0, "gal_gmjgm3", "c 37 6" ) ;  
  gal_vdv ( s, 7.23916944277e-09, 0.0, "gal_gmjgm3", "s 37 6" ) ;  
  gal_stget ( 37, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.27250430633e-09, 0.0, "gal_gmjgm3", "c 37 7" ) ;  
  gal_vdv ( s, 5.13366404977e-09, 0.0, "gal_gmjgm3", "s 37 7" ) ;  
  gal_stget ( 37, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.09656904451e-09, 0.0, "gal_gmjgm3", "c 37 8" ) ;  
  gal_vdv ( s, -2.39214799222e-09, 0.0, "gal_gmjgm3", "s 37 8" ) ;  
  gal_stget ( 37, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.72345710121e-10, 0.0, "gal_gmjgm3", "c 37 9" ) ;  
  gal_vdv ( s, -3.83282832923e-09, 0.0, "gal_gmjgm3", "s 37 9" ) ;  
  gal_stget ( 37, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.97908707139e-10, 0.0, "gal_gmjgm3", "c 37 10" ) ;  
  gal_vdv ( s, 2.19669992378e-09, 0.0, "gal_gmjgm3", "s 37 10" ) ;  
  gal_stget ( 37, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.94202089259e-10, 0.0, "gal_gmjgm3", "c 37 11" ) ;  
  gal_vdv ( s, 2.64416927240e-09, 0.0, "gal_gmjgm3", "s 37 11" ) ;  
  gal_stget ( 37, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.95606555984e-09, 0.0, "gal_gmjgm3", "c 37 12" ) ;  
  gal_vdv ( s, -4.44819830460e-09, 0.0, "gal_gmjgm3", "s 37 12" ) ;  
  gal_stget ( 37, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.60736920584e-10, 0.0, "gal_gmjgm3", "c 37 13" ) ;  
  gal_vdv ( s, -9.38001317110e-09, 0.0, "gal_gmjgm3", "s 37 13" ) ;  
  gal_stget ( 37, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.54612691645e-09, 0.0, "gal_gmjgm3", "c 37 14" ) ;  
  gal_vdv ( s, -3.68382911260e-09, 0.0, "gal_gmjgm3", "s 37 14" ) ;  
  gal_stget ( 37, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.42712767442e-09, 0.0, "gal_gmjgm3", "c 37 15" ) ;  
  gal_vdv ( s, -1.71182242321e-09, 0.0, "gal_gmjgm3", "s 37 15" ) ;  
  gal_stget ( 37, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.17294136667e-09, 0.0, "gal_gmjgm3", "c 37 16" ) ;  
  gal_vdv ( s, 1.44759365585e-08, 0.0, "gal_gmjgm3", "s 37 16" ) ;  
  gal_stget ( 37, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.47017375907e-09, 0.0, "gal_gmjgm3", "c 37 17" ) ;  
  gal_vdv ( s, -2.56553058520e-09, 0.0, "gal_gmjgm3", "s 37 17" ) ;  
  gal_stget ( 37, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.20027942568e-10, 0.0, "gal_gmjgm3", "c 37 18" ) ;  
  gal_vdv ( s, 4.05694535116e-09, 0.0, "gal_gmjgm3", "s 37 18" ) ;  
  gal_stget ( 37, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.61201975625e-09, 0.0, "gal_gmjgm3", "c 37 19" ) ;  
  gal_vdv ( s, -1.87939027581e-10, 0.0, "gal_gmjgm3", "s 37 19" ) ;  
  gal_stget ( 37, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.40089185369e-09, 0.0, "gal_gmjgm3", "c 37 20" ) ;  
  gal_vdv ( s, -2.84263896180e-09, 0.0, "gal_gmjgm3", "s 37 20" ) ;  
  gal_stget ( 37, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.22977048089e-09, 0.0, "gal_gmjgm3", "c 37 21" ) ;  
  gal_vdv ( s, -2.30647814333e-09, 0.0, "gal_gmjgm3", "s 37 21" ) ;  
  gal_stget ( 37, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.96277443025e-09, 0.0, "gal_gmjgm3", "c 37 22" ) ;  
  gal_vdv ( s, 8.36152886923e-10, 0.0, "gal_gmjgm3", "s 37 22" ) ;  
  gal_stget ( 37, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.54007790501e-10, 0.0, "gal_gmjgm3", "c 37 23" ) ;  
  gal_vdv ( s, 2.27452258693e-09, 0.0, "gal_gmjgm3", "s 37 23" ) ;  
  gal_stget ( 37, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.60016414571e-09, 0.0, "gal_gmjgm3", "c 37 24" ) ;  
  gal_vdv ( s, -9.19664451814e-09, 0.0, "gal_gmjgm3", "s 37 24" ) ;  
  gal_stget ( 37, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.71658175887e-09, 0.0, "gal_gmjgm3", "c 37 25" ) ;  
  gal_vdv ( s, -3.64053783185e-09, 0.0, "gal_gmjgm3", "s 37 25" ) ;  
  gal_stget ( 37, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.58152965210e-09, 0.0, "gal_gmjgm3", "c 37 26" ) ;  
  gal_vdv ( s, 1.03549926795e-08, 0.0, "gal_gmjgm3", "s 37 26" ) ;  
  gal_stget ( 37, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.96654429232e-09, 0.0, "gal_gmjgm3", "c 37 27" ) ;  
  gal_vdv ( s, 4.60138723949e-09, 0.0, "gal_gmjgm3", "s 37 27" ) ;  
  gal_stget ( 37, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.31865304886e-08, 0.0, "gal_gmjgm3", "c 37 28" ) ;  
  gal_vdv ( s, 3.55791828330e-09, 0.0, "gal_gmjgm3", "s 37 28" ) ;  
  gal_stget ( 37, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.19685015993e-09, 0.0, "gal_gmjgm3", "c 37 29" ) ;  
  gal_vdv ( s, 6.44826674586e-09, 0.0, "gal_gmjgm3", "s 37 29" ) ;  
  gal_stget ( 37, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.64424049959e-09, 0.0, "gal_gmjgm3", "c 37 30" ) ;  
  gal_vdv ( s, 1.34243943584e-08, 0.0, "gal_gmjgm3", "s 37 30" ) ;  
  gal_stget ( 37, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.46685128106e-09, 0.0, "gal_gmjgm3", "c 37 31" ) ;  
  gal_vdv ( s, -7.69364950152e-09, 0.0, "gal_gmjgm3", "s 37 31" ) ;  
  gal_stget ( 37, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.04703432797e-11, 0.0, "gal_gmjgm3", "c 37 32" ) ;  
  gal_vdv ( s, 5.07648772180e-09, 0.0, "gal_gmjgm3", "s 37 32" ) ;  
  gal_stget ( 37, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.31897286484e-10, 0.0, "gal_gmjgm3", "c 37 33" ) ;  
  gal_vdv ( s, -1.58884909541e-08, 0.0, "gal_gmjgm3", "s 37 33" ) ;  
  gal_stget ( 37, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.47300785978e-09, 0.0, "gal_gmjgm3", "c 37 34" ) ;  
  gal_vdv ( s, 1.67925357714e-10, 0.0, "gal_gmjgm3", "s 37 34" ) ;  
  gal_stget ( 37, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.91585387212e-09, 0.0, "gal_gmjgm3", "c 37 35" ) ;  
  gal_vdv ( s, -8.55287069117e-09, 0.0, "gal_gmjgm3", "s 37 35" ) ;  
  gal_stget ( 37, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.33052834940e-09, 0.0, "gal_gmjgm3", "c 37 36" ) ;  
  gal_vdv ( s, -3.69131459320e-09, 0.0, "gal_gmjgm3", "s 37 36" ) ;  
  gal_stget ( 37, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.26626311387e-09, 0.0, "gal_gmjgm3", "c 37 37" ) ;  
  gal_vdv ( s, -3.97420600104e-09, 0.0, "gal_gmjgm3", "s 37 37" ) ;  
  gal_stget ( 38, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.37741547966e-09, 0.0, "gal_gmjgm3", "c 38 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 38 0" ) ;  
  gal_stget ( 38, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.88543068701e-09, 0.0, "gal_gmjgm3", "c 38 1" ) ;  
  gal_vdv ( s, 1.71828806230e-10, 0.0, "gal_gmjgm3", "s 38 1" ) ;  
  gal_stget ( 38, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.22533984299e-09, 0.0, "gal_gmjgm3", "c 38 2" ) ;  
  gal_vdv ( s, -1.16469431626e-10, 0.0, "gal_gmjgm3", "s 38 2" ) ;  
  gal_stget ( 38, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.91897043380e-09, 0.0, "gal_gmjgm3", "c 38 3" ) ;  
  gal_vdv ( s, -2.21331217111e-09, 0.0, "gal_gmjgm3", "s 38 3" ) ;  
  gal_stget ( 38, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.61605196612e-09, 0.0, "gal_gmjgm3", "c 38 4" ) ;  
  gal_vdv ( s, -3.41187004995e-09, 0.0, "gal_gmjgm3", "s 38 4" ) ;  
  gal_stget ( 38, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.03177568223e-09, 0.0, "gal_gmjgm3", "c 38 5" ) ;  
  gal_vdv ( s, 9.27330363757e-09, 0.0, "gal_gmjgm3", "s 38 5" ) ;  
  gal_stget ( 38, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.18739653570e-08, 0.0, "gal_gmjgm3", "c 38 6" ) ;  
  gal_vdv ( s, 3.20016338846e-09, 0.0, "gal_gmjgm3", "s 38 6" ) ;  
  gal_stget ( 38, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.88787201103e-11, 0.0, "gal_gmjgm3", "c 38 7" ) ;  
  gal_vdv ( s, -2.10309324014e-09, 0.0, "gal_gmjgm3", "s 38 7" ) ;  
  gal_stget ( 38, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.88619322750e-09, 0.0, "gal_gmjgm3", "c 38 8" ) ;  
  gal_vdv ( s, 3.77995060467e-09, 0.0, "gal_gmjgm3", "s 38 8" ) ;  
  gal_stget ( 38, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.40144977192e-09, 0.0, "gal_gmjgm3", "c 38 9" ) ;  
  gal_vdv ( s, 6.00531197234e-10, 0.0, "gal_gmjgm3", "s 38 9" ) ;  
  gal_stget ( 38, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.29428136561e-09, 0.0, "gal_gmjgm3", "c 38 10" ) ;  
  gal_vdv ( s, -6.52123387026e-09, 0.0, "gal_gmjgm3", "s 38 10" ) ;  
  gal_stget ( 38, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.43132255035e-11, 0.0, "gal_gmjgm3", "c 38 11" ) ;  
  gal_vdv ( s, 9.05133397112e-09, 0.0, "gal_gmjgm3", "s 38 11" ) ;  
  gal_stget ( 38, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.60131647895e-09, 0.0, "gal_gmjgm3", "c 38 12" ) ;  
  gal_vdv ( s, -4.77509647424e-09, 0.0, "gal_gmjgm3", "s 38 12" ) ;  
  gal_stget ( 38, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.72136278669e-10, 0.0, "gal_gmjgm3", "c 38 13" ) ;  
  gal_vdv ( s, -1.03395119835e-08, 0.0, "gal_gmjgm3", "s 38 13" ) ;  
  gal_stget ( 38, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.92919704126e-09, 0.0, "gal_gmjgm3", "c 38 14" ) ;  
  gal_vdv ( s, 2.54065964420e-09, 0.0, "gal_gmjgm3", "s 38 14" ) ;  
  gal_stget ( 38, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.40187411793e-09, 0.0, "gal_gmjgm3", "c 38 15" ) ;  
  gal_vdv ( s, -4.88168246525e-09, 0.0, "gal_gmjgm3", "s 38 15" ) ;  
  gal_stget ( 38, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.51611285948e-09, 0.0, "gal_gmjgm3", "c 38 16" ) ;  
  gal_vdv ( s, 8.13096985423e-09, 0.0, "gal_gmjgm3", "s 38 16" ) ;  
  gal_stget ( 38, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.65475320184e-09, 0.0, "gal_gmjgm3", "c 38 17" ) ;  
  gal_vdv ( s, 1.59212808241e-09, 0.0, "gal_gmjgm3", "s 38 17" ) ;  
  gal_stget ( 38, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.47805992768e-09, 0.0, "gal_gmjgm3", "c 38 18" ) ;  
  gal_vdv ( s, -2.15383864071e-09, 0.0, "gal_gmjgm3", "s 38 18" ) ;  
  gal_stget ( 38, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.95187040458e-09, 0.0, "gal_gmjgm3", "c 38 19" ) ;  
  gal_vdv ( s, -1.77537677314e-09, 0.0, "gal_gmjgm3", "s 38 19" ) ;  
  gal_stget ( 38, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.53293458055e-09, 0.0, "gal_gmjgm3", "c 38 20" ) ;  
  gal_vdv ( s, -2.16741637043e-09, 0.0, "gal_gmjgm3", "s 38 20" ) ;  
  gal_stget ( 38, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.19361395703e-10, 0.0, "gal_gmjgm3", "c 38 21" ) ;  
  gal_vdv ( s, 1.20682298153e-09, 0.0, "gal_gmjgm3", "s 38 21" ) ;  
  gal_stget ( 38, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.06334757686e-10, 0.0, "gal_gmjgm3", "c 38 22" ) ;  
  gal_vdv ( s, 8.04663010841e-09, 0.0, "gal_gmjgm3", "s 38 22" ) ;  
  gal_stget ( 38, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.20846959279e-09, 0.0, "gal_gmjgm3", "c 38 23" ) ;  
  gal_vdv ( s, 6.45179657548e-09, 0.0, "gal_gmjgm3", "s 38 23" ) ;  
  gal_stget ( 38, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.20551524642e-08, 0.0, "gal_gmjgm3", "c 38 24" ) ;  
  gal_vdv ( s, 5.52290150692e-11, 0.0, "gal_gmjgm3", "s 38 24" ) ;  
  gal_stget ( 38, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.75094691654e-09, 0.0, "gal_gmjgm3", "c 38 25" ) ;  
  gal_vdv ( s, -3.58784444825e-09, 0.0, "gal_gmjgm3", "s 38 25" ) ;  
  gal_stget ( 38, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.10356417728e-09, 0.0, "gal_gmjgm3", "c 38 26" ) ;  
  gal_vdv ( s, 4.86788761542e-09, 0.0, "gal_gmjgm3", "s 38 26" ) ;  
  gal_stget ( 38, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.40702191692e-09, 0.0, "gal_gmjgm3", "c 38 27" ) ;  
  gal_vdv ( s, 8.92217132908e-09, 0.0, "gal_gmjgm3", "s 38 27" ) ;  
  gal_stget ( 38, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.66521868466e-09, 0.0, "gal_gmjgm3", "c 38 28" ) ;  
  gal_vdv ( s, -5.27501312439e-09, 0.0, "gal_gmjgm3", "s 38 28" ) ;  
  gal_stget ( 38, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.80984771126e-09, 0.0, "gal_gmjgm3", "c 38 29" ) ;  
  gal_vdv ( s, 2.80528644797e-09, 0.0, "gal_gmjgm3", "s 38 29" ) ;  
  gal_stget ( 38, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.01255824200e-10, 0.0, "gal_gmjgm3", "c 38 30" ) ;  
  gal_vdv ( s, 2.52779279813e-09, 0.0, "gal_gmjgm3", "s 38 30" ) ;  
  gal_stget ( 38, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.56791768640e-09, 0.0, "gal_gmjgm3", "c 38 31" ) ;  
  gal_vdv ( s, -5.88490966228e-09, 0.0, "gal_gmjgm3", "s 38 31" ) ;  
  gal_stget ( 38, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.39663292986e-09, 0.0, "gal_gmjgm3", "c 38 32" ) ;  
  gal_vdv ( s, 2.68041739615e-09, 0.0, "gal_gmjgm3", "s 38 32" ) ;  
  gal_stget ( 38, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.60737953678e-09, 0.0, "gal_gmjgm3", "c 38 33" ) ;  
  gal_vdv ( s, 1.39025147744e-08, 0.0, "gal_gmjgm3", "s 38 33" ) ;  
  gal_stget ( 38, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.74974127606e-09, 0.0, "gal_gmjgm3", "c 38 34" ) ;  
  gal_vdv ( s, 2.79012650033e-09, 0.0, "gal_gmjgm3", "s 38 34" ) ;  
  gal_stget ( 38, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.00686961564e-09, 0.0, "gal_gmjgm3", "c 38 35" ) ;  
  gal_vdv ( s, 2.87274007453e-09, 0.0, "gal_gmjgm3", "s 38 35" ) ;  
  gal_stget ( 38, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.86692211354e-10, 0.0, "gal_gmjgm3", "c 38 36" ) ;  
  gal_vdv ( s, -9.18040182975e-10, 0.0, "gal_gmjgm3", "s 38 36" ) ;  
  gal_stget ( 38, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.91618247092e-09, 0.0, "gal_gmjgm3", "c 38 37" ) ;  
  gal_vdv ( s, 2.45085927488e-09, 0.0, "gal_gmjgm3", "s 38 37" ) ;  
  gal_stget ( 38, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.17523157242e-09, 0.0, "gal_gmjgm3", "c 38 38" ) ;  
  gal_vdv ( s, -6.83692888732e-10, 0.0, "gal_gmjgm3", "s 38 38" ) ;  
  gal_stget ( 39, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.01373022927e-09, 0.0, "gal_gmjgm3", "c 39 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 39 0" ) ;  
  gal_stget ( 39, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.12712968935e-09, 0.0, "gal_gmjgm3", "c 39 1" ) ;  
  gal_vdv ( s, 3.68065044795e-09, 0.0, "gal_gmjgm3", "s 39 1" ) ;  
  gal_stget ( 39, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.47504566671e-09, 0.0, "gal_gmjgm3", "c 39 2" ) ;  
  gal_vdv ( s, 7.70517860971e-09, 0.0, "gal_gmjgm3", "s 39 2" ) ;  
  gal_stget ( 39, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.11973103305e-09, 0.0, "gal_gmjgm3", "c 39 3" ) ;  
  gal_vdv ( s, 7.23070658471e-09, 0.0, "gal_gmjgm3", "s 39 3" ) ;  
  gal_stget ( 39, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.28661141056e-09, 0.0, "gal_gmjgm3", "c 39 4" ) ;  
  gal_vdv ( s, -5.25289049984e-09, 0.0, "gal_gmjgm3", "s 39 4" ) ;  
  gal_stget ( 39, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.91931878290e-09, 0.0, "gal_gmjgm3", "c 39 5" ) ;  
  gal_vdv ( s, 2.04507538159e-09, 0.0, "gal_gmjgm3", "s 39 5" ) ;  
  gal_stget ( 39, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.77970516624e-09, 0.0, "gal_gmjgm3", "c 39 6" ) ;  
  gal_vdv ( s, 3.17989508208e-09, 0.0, "gal_gmjgm3", "s 39 6" ) ;  
  gal_stget ( 39, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.87210795435e-09, 0.0, "gal_gmjgm3", "c 39 7" ) ;  
  gal_vdv ( s, -5.74890606807e-09, 0.0, "gal_gmjgm3", "s 39 7" ) ;  
  gal_stget ( 39, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.36008083963e-09, 0.0, "gal_gmjgm3", "c 39 8" ) ;  
  gal_vdv ( s, 9.85694687496e-09, 0.0, "gal_gmjgm3", "s 39 8" ) ;  
  gal_stget ( 39, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.69491628691e-09, 0.0, "gal_gmjgm3", "c 39 9" ) ;  
  gal_vdv ( s, 6.38284369737e-09, 0.0, "gal_gmjgm3", "s 39 9" ) ;  
  gal_stget ( 39, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.54303377748e-10, 0.0, "gal_gmjgm3", "c 39 10" ) ;  
  gal_vdv ( s, -2.08558326627e-10, 0.0, "gal_gmjgm3", "s 39 10" ) ;  
  gal_stget ( 39, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.42134634925e-08, 0.0, "gal_gmjgm3", "c 39 11" ) ;  
  gal_vdv ( s, -2.64222377110e-10, 0.0, "gal_gmjgm3", "s 39 11" ) ;  
  gal_stget ( 39, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.96034604972e-09, 0.0, "gal_gmjgm3", "c 39 12" ) ;  
  gal_vdv ( s, 9.40275401109e-09, 0.0, "gal_gmjgm3", "s 39 12" ) ;  
  gal_stget ( 39, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.65301932631e-09, 0.0, "gal_gmjgm3", "c 39 13" ) ;  
  gal_vdv ( s, -5.40467600525e-09, 0.0, "gal_gmjgm3", "s 39 13" ) ;  
  gal_stget ( 39, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.86775941407e-09, 0.0, "gal_gmjgm3", "c 39 14" ) ;  
  gal_vdv ( s, 3.18206086872e-09, 0.0, "gal_gmjgm3", "s 39 14" ) ;  
  gal_stget ( 39, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.96155619188e-09, 0.0, "gal_gmjgm3", "c 39 15" ) ;  
  gal_vdv ( s, 1.20907843990e-09, 0.0, "gal_gmjgm3", "s 39 15" ) ;  
  gal_stget ( 39, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.05604047303e-09, 0.0, "gal_gmjgm3", "c 39 16" ) ;  
  gal_vdv ( s, -2.97186749790e-09, 0.0, "gal_gmjgm3", "s 39 16" ) ;  
  gal_stget ( 39, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.21909577255e-09, 0.0, "gal_gmjgm3", "c 39 17" ) ;  
  gal_vdv ( s, -1.75818317287e-09, 0.0, "gal_gmjgm3", "s 39 17" ) ;  
  gal_stget ( 39, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.55981653186e-09, 0.0, "gal_gmjgm3", "c 39 18" ) ;  
  gal_vdv ( s, -2.30237131235e-09, 0.0, "gal_gmjgm3", "s 39 18" ) ;  
  gal_stget ( 39, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.43559415977e-09, 0.0, "gal_gmjgm3", "c 39 19" ) ;  
  gal_vdv ( s, 5.47284279872e-09, 0.0, "gal_gmjgm3", "s 39 19" ) ;  
  gal_stget ( 39, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.60699546018e-10, 0.0, "gal_gmjgm3", "c 39 20" ) ;  
  gal_vdv ( s, -1.09511900214e-08, 0.0, "gal_gmjgm3", "s 39 20" ) ;  
  gal_stget ( 39, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.08113780230e-09, 0.0, "gal_gmjgm3", "c 39 21" ) ;  
  gal_vdv ( s, -8.20012058660e-10, 0.0, "gal_gmjgm3", "s 39 21" ) ;  
  gal_stget ( 39, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.02136326997e-09, 0.0, "gal_gmjgm3", "c 39 22" ) ;  
  gal_vdv ( s, -5.31748477003e-10, 0.0, "gal_gmjgm3", "s 39 22" ) ;  
  gal_stget ( 39, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.91486963054e-09, 0.0, "gal_gmjgm3", "c 39 23" ) ;  
  gal_vdv ( s, 7.16529294729e-09, 0.0, "gal_gmjgm3", "s 39 23" ) ;  
  gal_stget ( 39, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.37381166457e-09, 0.0, "gal_gmjgm3", "c 39 24" ) ;  
  gal_vdv ( s, 8.34364327544e-09, 0.0, "gal_gmjgm3", "s 39 24" ) ;  
  gal_stget ( 39, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.53960187252e-09, 0.0, "gal_gmjgm3", "c 39 25" ) ;  
  gal_vdv ( s, -5.21593333783e-09, 0.0, "gal_gmjgm3", "s 39 25" ) ;  
  gal_stget ( 39, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.85902736370e-09, 0.0, "gal_gmjgm3", "c 39 26" ) ;  
  gal_vdv ( s, 7.46941614713e-09, 0.0, "gal_gmjgm3", "s 39 26" ) ;  
  gal_stget ( 39, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.19124855275e-09, 0.0, "gal_gmjgm3", "c 39 27" ) ;  
  gal_vdv ( s, -2.52527164022e-09, 0.0, "gal_gmjgm3", "s 39 27" ) ;  
  gal_stget ( 39, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.15003037929e-09, 0.0, "gal_gmjgm3", "c 39 28" ) ;  
  gal_vdv ( s, -1.14643804153e-08, 0.0, "gal_gmjgm3", "s 39 28" ) ;  
  gal_stget ( 39, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.23928524287e-10, 0.0, "gal_gmjgm3", "c 39 29" ) ;  
  gal_vdv ( s, -2.94802614969e-09, 0.0, "gal_gmjgm3", "s 39 29" ) ;  
  gal_stget ( 39, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.97525184773e-09, 0.0, "gal_gmjgm3", "c 39 30" ) ;  
  gal_vdv ( s, -1.05006910318e-08, 0.0, "gal_gmjgm3", "s 39 30" ) ;  
  gal_stget ( 39, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.56466779957e-09, 0.0, "gal_gmjgm3", "c 39 31" ) ;  
  gal_vdv ( s, -1.05708528075e-08, 0.0, "gal_gmjgm3", "s 39 31" ) ;  
  gal_stget ( 39, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.12967545975e-09, 0.0, "gal_gmjgm3", "c 39 32" ) ;  
  gal_vdv ( s, 5.73965046072e-09, 0.0, "gal_gmjgm3", "s 39 32" ) ;  
  gal_stget ( 39, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.26658519449e-09, 0.0, "gal_gmjgm3", "c 39 33" ) ;  
  gal_vdv ( s, 3.62526976564e-09, 0.0, "gal_gmjgm3", "s 39 33" ) ;  
  gal_stget ( 39, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.15176579051e-09, 0.0, "gal_gmjgm3", "c 39 34" ) ;  
  gal_vdv ( s, 1.89307425450e-09, 0.0, "gal_gmjgm3", "s 39 34" ) ;  
  gal_stget ( 39, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.21165497595e-08, 0.0, "gal_gmjgm3", "c 39 35" ) ;  
  gal_vdv ( s, 2.09743587248e-09, 0.0, "gal_gmjgm3", "s 39 35" ) ;  
  gal_stget ( 39, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.36954110687e-09, 0.0, "gal_gmjgm3", "c 39 36" ) ;  
  gal_vdv ( s, -3.10805439997e-09, 0.0, "gal_gmjgm3", "s 39 36" ) ;  
  gal_stget ( 39, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.29132408548e-10, 0.0, "gal_gmjgm3", "c 39 37" ) ;  
  gal_vdv ( s, -4.63626809784e-09, 0.0, "gal_gmjgm3", "s 39 37" ) ;  
  gal_stget ( 39, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.71817422074e-10, 0.0, "gal_gmjgm3", "c 39 38" ) ;  
  gal_vdv ( s, 7.41832526602e-09, 0.0, "gal_gmjgm3", "s 39 38" ) ;  
  gal_stget ( 39, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.17726877002e-09, 0.0, "gal_gmjgm3", "c 39 39" ) ;  
  gal_vdv ( s, 1.40472997311e-09, 0.0, "gal_gmjgm3", "s 39 39" ) ;  
  gal_stget ( 40, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.82088596426e-09, 0.0, "gal_gmjgm3", "c 40 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 40 0" ) ;  
  gal_stget ( 40, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.74236482356e-09, 0.0, "gal_gmjgm3", "c 40 1" ) ;  
  gal_vdv ( s, -2.01175317090e-09, 0.0, "gal_gmjgm3", "s 40 1" ) ;  
  gal_stget ( 40, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.09356467433e-09, 0.0, "gal_gmjgm3", "c 40 2" ) ;  
  gal_vdv ( s, 1.28937459576e-09, 0.0, "gal_gmjgm3", "s 40 2" ) ;  
  gal_stget ( 40, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.89440089746e-09, 0.0, "gal_gmjgm3", "c 40 3" ) ;  
  gal_vdv ( s, -2.76313026598e-09, 0.0, "gal_gmjgm3", "s 40 3" ) ;  
  gal_stget ( 40, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.92298351971e-09, 0.0, "gal_gmjgm3", "c 40 4" ) ;  
  gal_vdv ( s, -6.17053731543e-09, 0.0, "gal_gmjgm3", "s 40 4" ) ;  
  gal_stget ( 40, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.18273349810e-08, 0.0, "gal_gmjgm3", "c 40 5" ) ;  
  gal_vdv ( s, 2.39099530885e-09, 0.0, "gal_gmjgm3", "s 40 5" ) ;  
  gal_stget ( 40, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.42830817571e-09, 0.0, "gal_gmjgm3", "c 40 6" ) ;  
  gal_vdv ( s, 1.63155483898e-09, 0.0, "gal_gmjgm3", "s 40 6" ) ;  
  gal_stget ( 40, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.03509207773e-09, 0.0, "gal_gmjgm3", "c 40 7" ) ;  
  gal_vdv ( s, 3.99086478653e-09, 0.0, "gal_gmjgm3", "s 40 7" ) ;  
  gal_stget ( 40, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.32837309200e-09, 0.0, "gal_gmjgm3", "c 40 8" ) ;  
  gal_vdv ( s, 7.51385732425e-10, 0.0, "gal_gmjgm3", "s 40 8" ) ;  
  gal_stget ( 40, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.88469975380e-09, 0.0, "gal_gmjgm3", "c 40 9" ) ;  
  gal_vdv ( s, 2.35404951159e-09, 0.0, "gal_gmjgm3", "s 40 9" ) ;  
  gal_stget ( 40, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.54810330943e-09, 0.0, "gal_gmjgm3", "c 40 10" ) ;  
  gal_vdv ( s, 3.99696841232e-09, 0.0, "gal_gmjgm3", "s 40 10" ) ;  
  gal_stget ( 40, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.22593644297e-09, 0.0, "gal_gmjgm3", "c 40 11" ) ;  
  gal_vdv ( s, -2.12058432433e-09, 0.0, "gal_gmjgm3", "s 40 11" ) ;  
  gal_stget ( 40, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.23486003533e-09, 0.0, "gal_gmjgm3", "c 40 12" ) ;  
  gal_vdv ( s, 2.83547111634e-10, 0.0, "gal_gmjgm3", "s 40 12" ) ;  
  gal_stget ( 40, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.79846209032e-09, 0.0, "gal_gmjgm3", "c 40 13" ) ;  
  gal_vdv ( s, -4.59348932947e-09, 0.0, "gal_gmjgm3", "s 40 13" ) ;  
  gal_stget ( 40, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.76188488020e-09, 0.0, "gal_gmjgm3", "c 40 14" ) ;  
  gal_vdv ( s, 6.73629158107e-10, 0.0, "gal_gmjgm3", "s 40 14" ) ;  
  gal_stget ( 40, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.97547980798e-09, 0.0, "gal_gmjgm3", "c 40 15" ) ;  
  gal_vdv ( s, 1.11540437791e-09, 0.0, "gal_gmjgm3", "s 40 15" ) ;  
  gal_stget ( 40, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.05978214943e-09, 0.0, "gal_gmjgm3", "c 40 16" ) ;  
  gal_vdv ( s, -2.32379564090e-09, 0.0, "gal_gmjgm3", "s 40 16" ) ;  
  gal_stget ( 40, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.92297790822e-10, 0.0, "gal_gmjgm3", "c 40 17" ) ;  
  gal_vdv ( s, 1.81910314280e-09, 0.0, "gal_gmjgm3", "s 40 17" ) ;  
  gal_stget ( 40, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.45614207014e-11, 0.0, "gal_gmjgm3", "c 40 18" ) ;  
  gal_vdv ( s, 5.94037526919e-10, 0.0, "gal_gmjgm3", "s 40 18" ) ;  
  gal_stget ( 40, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.85243663996e-09, 0.0, "gal_gmjgm3", "c 40 19" ) ;  
  gal_vdv ( s, 1.35928394913e-09, 0.0, "gal_gmjgm3", "s 40 19" ) ;  
  gal_stget ( 40, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.27091045671e-09, 0.0, "gal_gmjgm3", "c 40 20" ) ;  
  gal_vdv ( s, 5.70708915791e-09, 0.0, "gal_gmjgm3", "s 40 20" ) ;  
  gal_stget ( 40, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.44155180244e-09, 0.0, "gal_gmjgm3", "c 40 21" ) ;  
  gal_vdv ( s, -2.05606274240e-09, 0.0, "gal_gmjgm3", "s 40 21" ) ;  
  gal_stget ( 40, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.11231020211e-08, 0.0, "gal_gmjgm3", "c 40 22" ) ;  
  gal_vdv ( s, -1.52394478406e-08, 0.0, "gal_gmjgm3", "s 40 22" ) ;  
  gal_stget ( 40, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.66330678037e-10, 0.0, "gal_gmjgm3", "c 40 23" ) ;  
  gal_vdv ( s, -1.19600412973e-08, 0.0, "gal_gmjgm3", "s 40 23" ) ;  
  gal_stget ( 40, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.89547775723e-09, 0.0, "gal_gmjgm3", "c 40 24" ) ;  
  gal_vdv ( s, 5.64994010627e-09, 0.0, "gal_gmjgm3", "s 40 24" ) ;  
  gal_stget ( 40, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.97328902353e-10, 0.0, "gal_gmjgm3", "c 40 25" ) ;  
  gal_vdv ( s, -3.36739722006e-09, 0.0, "gal_gmjgm3", "s 40 25" ) ;  
  gal_stget ( 40, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.95557683169e-09, 0.0, "gal_gmjgm3", "c 40 26" ) ;  
  gal_vdv ( s, -3.89478227489e-09, 0.0, "gal_gmjgm3", "s 40 26" ) ;  
  gal_stget ( 40, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.07128972099e-09, 0.0, "gal_gmjgm3", "c 40 27" ) ;  
  gal_vdv ( s, 2.49653980067e-09, 0.0, "gal_gmjgm3", "s 40 27" ) ;  
  gal_stget ( 40, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.82013739101e-09, 0.0, "gal_gmjgm3", "c 40 28" ) ;  
  gal_vdv ( s, 5.74973933875e-09, 0.0, "gal_gmjgm3", "s 40 28" ) ;  
  gal_stget ( 40, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.79530142197e-09, 0.0, "gal_gmjgm3", "c 40 29" ) ;  
  gal_vdv ( s, 1.58954222201e-09, 0.0, "gal_gmjgm3", "s 40 29" ) ;  
  gal_stget ( 40, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.01346399335e-09, 0.0, "gal_gmjgm3", "c 40 30" ) ;  
  gal_vdv ( s, 1.82589456725e-09, 0.0, "gal_gmjgm3", "s 40 30" ) ;  
  gal_stget ( 40, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.85875153308e-09, 0.0, "gal_gmjgm3", "c 40 31" ) ;  
  gal_vdv ( s, -9.56256209018e-11, 0.0, "gal_gmjgm3", "s 40 31" ) ;  
  gal_stget ( 40, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.42205336950e-09, 0.0, "gal_gmjgm3", "c 40 32" ) ;  
  gal_vdv ( s, -4.48861984488e-09, 0.0, "gal_gmjgm3", "s 40 32" ) ;  
  gal_stget ( 40, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.41129684394e-09, 0.0, "gal_gmjgm3", "c 40 33" ) ;  
  gal_vdv ( s, -2.31924715487e-09, 0.0, "gal_gmjgm3", "s 40 33" ) ;  
  gal_stget ( 40, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.14011777891e-10, 0.0, "gal_gmjgm3", "c 40 34" ) ;  
  gal_vdv ( s, 1.39607594638e-09, 0.0, "gal_gmjgm3", "s 40 34" ) ;  
  gal_stget ( 40, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.40082285391e-09, 0.0, "gal_gmjgm3", "c 40 35" ) ;  
  gal_vdv ( s, -8.02322316526e-09, 0.0, "gal_gmjgm3", "s 40 35" ) ;  
  gal_stget ( 40, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.03670775731e-09, 0.0, "gal_gmjgm3", "c 40 36" ) ;  
  gal_vdv ( s, 4.85761844090e-09, 0.0, "gal_gmjgm3", "s 40 36" ) ;  
  gal_stget ( 40, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.01237833305e-09, 0.0, "gal_gmjgm3", "c 40 37" ) ;  
  gal_vdv ( s, 7.86440147417e-10, 0.0, "gal_gmjgm3", "s 40 37" ) ;  
  gal_stget ( 40, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.17697496558e-10, 0.0, "gal_gmjgm3", "c 40 38" ) ;  
  gal_vdv ( s, 3.80828324440e-09, 0.0, "gal_gmjgm3", "s 40 38" ) ;  
  gal_stget ( 40, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.73933446926e-09, 0.0, "gal_gmjgm3", "c 40 39" ) ;  
  gal_vdv ( s, 3.28723227668e-09, 0.0, "gal_gmjgm3", "s 40 39" ) ;  
  gal_stget ( 40, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.02749004865e-09, 0.0, "gal_gmjgm3", "c 40 40" ) ;  
  gal_vdv ( s, -2.19117945827e-10, 0.0, "gal_gmjgm3", "s 40 40" ) ;  
  gal_stget ( 41, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.53365833736e-10, 0.0, "gal_gmjgm3", "c 41 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 41 0" ) ;  
  gal_stget ( 41, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.55638128307e-09, 0.0, "gal_gmjgm3", "c 41 1" ) ;  
  gal_vdv ( s, -3.44371936264e-09, 0.0, "gal_gmjgm3", "s 41 1" ) ;  
  gal_stget ( 41, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.87864729033e-09, 0.0, "gal_gmjgm3", "c 41 2" ) ;  
  gal_vdv ( s, 2.05546458666e-09, 0.0, "gal_gmjgm3", "s 41 2" ) ;  
  gal_stget ( 41, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.97159852110e-09, 0.0, "gal_gmjgm3", "c 41 3" ) ;  
  gal_vdv ( s, 4.57272009587e-09, 0.0, "gal_gmjgm3", "s 41 3" ) ;  
  gal_stget ( 41, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.64080268515e-09, 0.0, "gal_gmjgm3", "c 41 4" ) ;  
  gal_vdv ( s, 2.94911529980e-09, 0.0, "gal_gmjgm3", "s 41 4" ) ;  
  gal_stget ( 41, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.16859533193e-09, 0.0, "gal_gmjgm3", "c 41 5" ) ;  
  gal_vdv ( s, -2.78651614181e-09, 0.0, "gal_gmjgm3", "s 41 5" ) ;  
  gal_stget ( 41, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.74277951019e-10, 0.0, "gal_gmjgm3", "c 41 6" ) ;  
  gal_vdv ( s, 2.95094188332e-09, 0.0, "gal_gmjgm3", "s 41 6" ) ;  
  gal_stget ( 41, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.41186376009e-10, 0.0, "gal_gmjgm3", "c 41 7" ) ;  
  gal_vdv ( s, 1.42010519074e-09, 0.0, "gal_gmjgm3", "s 41 7" ) ;  
  gal_stget ( 41, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.91072337663e-09, 0.0, "gal_gmjgm3", "c 41 8" ) ;  
  gal_vdv ( s, -2.40420168965e-09, 0.0, "gal_gmjgm3", "s 41 8" ) ;  
  gal_stget ( 41, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.75639603545e-09, 0.0, "gal_gmjgm3", "c 41 9" ) ;  
  gal_vdv ( s, 3.46823361351e-09, 0.0, "gal_gmjgm3", "s 41 9" ) ;  
  gal_stget ( 41, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.18048291895e-09, 0.0, "gal_gmjgm3", "c 41 10" ) ;  
  gal_vdv ( s, 2.23613064291e-09, 0.0, "gal_gmjgm3", "s 41 10" ) ;  
  gal_stget ( 41, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.35580884586e-09, 0.0, "gal_gmjgm3", "c 41 11" ) ;  
  gal_vdv ( s, -6.67199502219e-09, 0.0, "gal_gmjgm3", "s 41 11" ) ;  
  gal_stget ( 41, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.74064912818e-09, 0.0, "gal_gmjgm3", "c 41 12" ) ;  
  gal_vdv ( s, 9.36681085281e-10, 0.0, "gal_gmjgm3", "s 41 12" ) ;  
  gal_stget ( 41, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.04704690909e-09, 0.0, "gal_gmjgm3", "c 41 13" ) ;  
  gal_vdv ( s, 1.41901496339e-09, 0.0, "gal_gmjgm3", "s 41 13" ) ;  
  gal_stget ( 41, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.08176607956e-09, 0.0, "gal_gmjgm3", "c 41 14" ) ;  
  gal_vdv ( s, -2.49875189084e-09, 0.0, "gal_gmjgm3", "s 41 14" ) ;  
  gal_stget ( 41, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.87567534067e-09, 0.0, "gal_gmjgm3", "c 41 15" ) ;  
  gal_vdv ( s, 1.48320181684e-09, 0.0, "gal_gmjgm3", "s 41 15" ) ;  
  gal_stget ( 41, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.19339146208e-09, 0.0, "gal_gmjgm3", "c 41 16" ) ;  
  gal_vdv ( s, -3.10775806326e-09, 0.0, "gal_gmjgm3", "s 41 16" ) ;  
  gal_stget ( 41, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.97930675153e-09, 0.0, "gal_gmjgm3", "c 41 17" ) ;  
  gal_vdv ( s, 2.28780444882e-09, 0.0, "gal_gmjgm3", "s 41 17" ) ;  
  gal_stget ( 41, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.47877157253e-10, 0.0, "gal_gmjgm3", "c 41 18" ) ;  
  gal_vdv ( s, 6.59561609668e-09, 0.0, "gal_gmjgm3", "s 41 18" ) ;  
  gal_stget ( 41, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.09632060696e-10, 0.0, "gal_gmjgm3", "c 41 19" ) ;  
  gal_vdv ( s, 1.37104604672e-10, 0.0, "gal_gmjgm3", "s 41 19" ) ;  
  gal_stget ( 41, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.04889249562e-09, 0.0, "gal_gmjgm3", "c 41 20" ) ;  
  gal_vdv ( s, 6.51104247000e-10, 0.0, "gal_gmjgm3", "s 41 20" ) ;  
  gal_stget ( 41, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.77387835499e-11, 0.0, "gal_gmjgm3", "c 41 21" ) ;  
  gal_vdv ( s, -2.02030279757e-09, 0.0, "gal_gmjgm3", "s 41 21" ) ;  
  gal_stget ( 41, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.22678609956e-09, 0.0, "gal_gmjgm3", "c 41 22" ) ;  
  gal_vdv ( s, -2.49570734923e-09, 0.0, "gal_gmjgm3", "s 41 22" ) ;  
  gal_stget ( 41, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.18096751177e-10, 0.0, "gal_gmjgm3", "c 41 23" ) ;  
  gal_vdv ( s, -1.35121780966e-08, 0.0, "gal_gmjgm3", "s 41 23" ) ;  
  gal_stget ( 41, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.61871580204e-09, 0.0, "gal_gmjgm3", "c 41 24" ) ;  
  gal_vdv ( s, -7.02948310967e-10, 0.0, "gal_gmjgm3", "s 41 24" ) ;  
  gal_stget ( 41, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.73131261226e-09, 0.0, "gal_gmjgm3", "c 41 25" ) ;  
  gal_vdv ( s, 3.98787087994e-09, 0.0, "gal_gmjgm3", "s 41 25" ) ;  
  gal_stget ( 41, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.04214012171e-09, 0.0, "gal_gmjgm3", "c 41 26" ) ;  
  gal_vdv ( s, -8.16123318815e-09, 0.0, "gal_gmjgm3", "s 41 26" ) ;  
  gal_stget ( 41, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.07984982141e-09, 0.0, "gal_gmjgm3", "c 41 27" ) ;  
  gal_vdv ( s, 3.90173834912e-10, 0.0, "gal_gmjgm3", "s 41 27" ) ;  
  gal_stget ( 41, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.56006598111e-10, 0.0, "gal_gmjgm3", "c 41 28" ) ;  
  gal_vdv ( s, -5.30825936816e-09, 0.0, "gal_gmjgm3", "s 41 28" ) ;  
  gal_stget ( 41, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.41518356781e-09, 0.0, "gal_gmjgm3", "c 41 29" ) ;  
  gal_vdv ( s, 5.79659923386e-09, 0.0, "gal_gmjgm3", "s 41 29" ) ;  
  gal_stget ( 41, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.60851177475e-09, 0.0, "gal_gmjgm3", "c 41 30" ) ;  
  gal_vdv ( s, -1.61688594070e-10, 0.0, "gal_gmjgm3", "s 41 30" ) ;  
  gal_stget ( 41, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.06825921334e-08, 0.0, "gal_gmjgm3", "c 41 31" ) ;  
  gal_vdv ( s, 1.83212628686e-09, 0.0, "gal_gmjgm3", "s 41 31" ) ;  
  gal_stget ( 41, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.85586570205e-09, 0.0, "gal_gmjgm3", "c 41 32" ) ;  
  gal_vdv ( s, 5.33169731250e-09, 0.0, "gal_gmjgm3", "s 41 32" ) ;  
  gal_stget ( 41, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.34515441279e-09, 0.0, "gal_gmjgm3", "c 41 33" ) ;  
  gal_vdv ( s, 1.00282901881e-08, 0.0, "gal_gmjgm3", "s 41 33" ) ;  
  gal_stget ( 41, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.80093347210e-09, 0.0, "gal_gmjgm3", "c 41 34" ) ;  
  gal_vdv ( s, 2.94341844834e-09, 0.0, "gal_gmjgm3", "s 41 34" ) ;  
  gal_stget ( 41, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.35759404778e-08, 0.0, "gal_gmjgm3", "c 41 35" ) ;  
  gal_vdv ( s, 2.94482206251e-09, 0.0, "gal_gmjgm3", "s 41 35" ) ;  
  gal_stget ( 41, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.49659576602e-09, 0.0, "gal_gmjgm3", "c 41 36" ) ;  
  gal_vdv ( s, -1.95569237253e-09, 0.0, "gal_gmjgm3", "s 41 36" ) ;  
  gal_stget ( 41, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.85039559453e-10, 0.0, "gal_gmjgm3", "c 41 37" ) ;  
  gal_vdv ( s, -1.02676187509e-08, 0.0, "gal_gmjgm3", "s 41 37" ) ;  
  gal_stget ( 41, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.17692373339e-09, 0.0, "gal_gmjgm3", "c 41 38" ) ;  
  gal_vdv ( s, -1.46206051159e-10, 0.0, "gal_gmjgm3", "s 41 38" ) ;  
  gal_stget ( 41, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.63560859383e-09, 0.0, "gal_gmjgm3", "c 41 39" ) ;  
  gal_vdv ( s, -2.21554693652e-09, 0.0, "gal_gmjgm3", "s 41 39" ) ;  
  gal_stget ( 41, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.15130482529e-09, 0.0, "gal_gmjgm3", "c 41 40" ) ;  
  gal_vdv ( s, -5.02758439058e-09, 0.0, "gal_gmjgm3", "s 41 40" ) ;  
  gal_stget ( 41, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.57972810526e-09, 0.0, "gal_gmjgm3", "c 41 41" ) ;  
  gal_vdv ( s, 6.79191040367e-09, 0.0, "gal_gmjgm3", "s 41 41" ) ;  
  gal_stget ( 42, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.43734938840e-10, 0.0, "gal_gmjgm3", "c 42 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 42 0" ) ;  
  gal_stget ( 42, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.77742828685e-09, 0.0, "gal_gmjgm3", "c 42 1" ) ;  
  gal_vdv ( s, 2.74790516524e-09, 0.0, "gal_gmjgm3", "s 42 1" ) ;  
  gal_stget ( 42, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.23181371336e-09, 0.0, "gal_gmjgm3", "c 42 2" ) ;  
  gal_vdv ( s, -4.95476057613e-09, 0.0, "gal_gmjgm3", "s 42 2" ) ;  
  gal_stget ( 42, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.24132891264e-09, 0.0, "gal_gmjgm3", "c 42 3" ) ;  
  gal_vdv ( s, 7.49905046368e-09, 0.0, "gal_gmjgm3", "s 42 3" ) ;  
  gal_stget ( 42, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.90846745635e-09, 0.0, "gal_gmjgm3", "c 42 4" ) ;  
  gal_vdv ( s, 2.43843701488e-09, 0.0, "gal_gmjgm3", "s 42 4" ) ;  
  gal_stget ( 42, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.45674384456e-09, 0.0, "gal_gmjgm3", "c 42 5" ) ;  
  gal_vdv ( s, -5.66827431536e-09, 0.0, "gal_gmjgm3", "s 42 5" ) ;  
  gal_stget ( 42, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.79414610462e-10, 0.0, "gal_gmjgm3", "c 42 6" ) ;  
  gal_vdv ( s, -3.80979617581e-10, 0.0, "gal_gmjgm3", "s 42 6" ) ;  
  gal_stget ( 42, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.57780042258e-09, 0.0, "gal_gmjgm3", "c 42 7" ) ;  
  gal_vdv ( s, -3.80745545384e-09, 0.0, "gal_gmjgm3", "s 42 7" ) ;  
  gal_stget ( 42, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.55071194147e-10, 0.0, "gal_gmjgm3", "c 42 8" ) ;  
  gal_vdv ( s, 1.91761925137e-09, 0.0, "gal_gmjgm3", "s 42 8" ) ;  
  gal_stget ( 42, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.44307275084e-10, 0.0, "gal_gmjgm3", "c 42 9" ) ;  
  gal_vdv ( s, 3.39039481458e-09, 0.0, "gal_gmjgm3", "s 42 9" ) ;  
  gal_stget ( 42, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.35619581289e-09, 0.0, "gal_gmjgm3", "c 42 10" ) ;  
  gal_vdv ( s, 6.70614595666e-09, 0.0, "gal_gmjgm3", "s 42 10" ) ;  
  gal_stget ( 42, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.83620418157e-10, 0.0, "gal_gmjgm3", "c 42 11" ) ;  
  gal_vdv ( s, 3.65070271038e-09, 0.0, "gal_gmjgm3", "s 42 11" ) ;  
  gal_stget ( 42, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.19458043282e-09, 0.0, "gal_gmjgm3", "c 42 12" ) ;  
  gal_vdv ( s, -8.65303769430e-09, 0.0, "gal_gmjgm3", "s 42 12" ) ;  
  gal_stget ( 42, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.96758882115e-10, 0.0, "gal_gmjgm3", "c 42 13" ) ;  
  gal_vdv ( s, 3.74736868338e-09, 0.0, "gal_gmjgm3", "s 42 13" ) ;  
  gal_stget ( 42, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.43609789886e-09, 0.0, "gal_gmjgm3", "c 42 14" ) ;  
  gal_vdv ( s, 4.20486910189e-09, 0.0, "gal_gmjgm3", "s 42 14" ) ;  
  gal_stget ( 42, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.52689305148e-09, 0.0, "gal_gmjgm3", "c 42 15" ) ;  
  gal_vdv ( s, 6.83358003514e-09, 0.0, "gal_gmjgm3", "s 42 15" ) ;  
  gal_stget ( 42, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.75176546200e-10, 0.0, "gal_gmjgm3", "c 42 16" ) ;  
  gal_vdv ( s, -4.33405863054e-09, 0.0, "gal_gmjgm3", "s 42 16" ) ;  
  gal_stget ( 42, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.65759688094e-09, 0.0, "gal_gmjgm3", "c 42 17" ) ;  
  gal_vdv ( s, -4.15778421455e-09, 0.0, "gal_gmjgm3", "s 42 17" ) ;  
  gal_stget ( 42, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.11883370524e-08, 0.0, "gal_gmjgm3", "c 42 18" ) ;  
  gal_vdv ( s, 2.34055955413e-09, 0.0, "gal_gmjgm3", "s 42 18" ) ;  
  gal_stget ( 42, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.21157560369e-09, 0.0, "gal_gmjgm3", "c 42 19" ) ;  
  gal_vdv ( s, -3.58567275244e-09, 0.0, "gal_gmjgm3", "s 42 19" ) ;  
  gal_stget ( 42, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.20931986183e-09, 0.0, "gal_gmjgm3", "c 42 20" ) ;  
  gal_vdv ( s, 1.16023978755e-09, 0.0, "gal_gmjgm3", "s 42 20" ) ;  
  gal_stget ( 42, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.92933934907e-09, 0.0, "gal_gmjgm3", "c 42 21" ) ;  
  gal_vdv ( s, -2.72104110142e-09, 0.0, "gal_gmjgm3", "s 42 21" ) ;  
  gal_stget ( 42, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.47973008298e-09, 0.0, "gal_gmjgm3", "c 42 22" ) ;  
  gal_vdv ( s, -1.78317318164e-09, 0.0, "gal_gmjgm3", "s 42 22" ) ;  
  gal_stget ( 42, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.83508508599e-09, 0.0, "gal_gmjgm3", "c 42 23" ) ;  
  gal_vdv ( s, -3.04022055262e-09, 0.0, "gal_gmjgm3", "s 42 23" ) ;  
  gal_stget ( 42, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.81224073008e-09, 0.0, "gal_gmjgm3", "c 42 24" ) ;  
  gal_vdv ( s, 1.82732535442e-09, 0.0, "gal_gmjgm3", "s 42 24" ) ;  
  gal_stget ( 42, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.07589801595e-09, 0.0, "gal_gmjgm3", "c 42 25" ) ;  
  gal_vdv ( s, 3.30397388725e-09, 0.0, "gal_gmjgm3", "s 42 25" ) ;  
  gal_stget ( 42, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.91759280212e-09, 0.0, "gal_gmjgm3", "c 42 26" ) ;  
  gal_vdv ( s, -6.30985167279e-09, 0.0, "gal_gmjgm3", "s 42 26" ) ;  
  gal_stget ( 42, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.52682537543e-09, 0.0, "gal_gmjgm3", "c 42 27" ) ;  
  gal_vdv ( s, -2.73309043557e-09, 0.0, "gal_gmjgm3", "s 42 27" ) ;  
  gal_stget ( 42, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.67741855559e-09, 0.0, "gal_gmjgm3", "c 42 28" ) ;  
  gal_vdv ( s, 2.11310182560e-09, 0.0, "gal_gmjgm3", "s 42 28" ) ;  
  gal_stget ( 42, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.64161290303e-09, 0.0, "gal_gmjgm3", "c 42 29" ) ;  
  gal_vdv ( s, -1.00365702368e-09, 0.0, "gal_gmjgm3", "s 42 29" ) ;  
  gal_stget ( 42, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.60902549739e-09, 0.0, "gal_gmjgm3", "c 42 30" ) ;  
  gal_vdv ( s, 2.17521047299e-09, 0.0, "gal_gmjgm3", "s 42 30" ) ;  
  gal_stget ( 42, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.71451541794e-09, 0.0, "gal_gmjgm3", "c 42 31" ) ;  
  gal_vdv ( s, 5.09587401297e-09, 0.0, "gal_gmjgm3", "s 42 31" ) ;  
  gal_stget ( 42, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.09751034045e-09, 0.0, "gal_gmjgm3", "c 42 32" ) ;  
  gal_vdv ( s, 6.04727482976e-09, 0.0, "gal_gmjgm3", "s 42 32" ) ;  
  gal_stget ( 42, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.82334452669e-09, 0.0, "gal_gmjgm3", "c 42 33" ) ;  
  gal_vdv ( s, 6.46518309562e-09, 0.0, "gal_gmjgm3", "s 42 33" ) ;  
  gal_stget ( 42, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.46506841311e-09, 0.0, "gal_gmjgm3", "c 42 34" ) ;  
  gal_vdv ( s, 9.70181952459e-09, 0.0, "gal_gmjgm3", "s 42 34" ) ;  
  gal_stget ( 42, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.44723185815e-09, 0.0, "gal_gmjgm3", "c 42 35" ) ;  
  gal_vdv ( s, -1.32993953657e-09, 0.0, "gal_gmjgm3", "s 42 35" ) ;  
  gal_stget ( 42, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.54308555825e-09, 0.0, "gal_gmjgm3", "c 42 36" ) ;  
  gal_vdv ( s, -5.85832842148e-09, 0.0, "gal_gmjgm3", "s 42 36" ) ;  
  gal_stget ( 42, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.55220929674e-09, 0.0, "gal_gmjgm3", "c 42 37" ) ;  
  gal_vdv ( s, 3.31968312748e-09, 0.0, "gal_gmjgm3", "s 42 37" ) ;  
  gal_stget ( 42, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.69045763343e-09, 0.0, "gal_gmjgm3", "c 42 38" ) ;  
  gal_vdv ( s, -1.08979372874e-08, 0.0, "gal_gmjgm3", "s 42 38" ) ;  
  gal_stget ( 42, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.85807331129e-09, 0.0, "gal_gmjgm3", "c 42 39" ) ;  
  gal_vdv ( s, 1.05132418824e-08, 0.0, "gal_gmjgm3", "s 42 39" ) ;  
  gal_stget ( 42, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.18657841643e-09, 0.0, "gal_gmjgm3", "c 42 40" ) ;  
  gal_vdv ( s, -2.85359201248e-09, 0.0, "gal_gmjgm3", "s 42 40" ) ;  
  gal_stget ( 42, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.40051186066e-10, 0.0, "gal_gmjgm3", "c 42 41" ) ;  
  gal_vdv ( s, 1.93840722068e-09, 0.0, "gal_gmjgm3", "s 42 41" ) ;  
  gal_stget ( 42, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.78617459581e-09, 0.0, "gal_gmjgm3", "c 42 42" ) ;  
  gal_vdv ( s, 1.90639259771e-09, 0.0, "gal_gmjgm3", "s 42 42" ) ;  
  gal_stget ( 43, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.42096765866e-09, 0.0, "gal_gmjgm3", "c 43 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 43 0" ) ;  
  gal_stget ( 43, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.35138097459e-10, 0.0, "gal_gmjgm3", "c 43 1" ) ;  
  gal_vdv ( s, 4.02525732982e-09, 0.0, "gal_gmjgm3", "s 43 1" ) ;  
  gal_stget ( 43, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.70733548671e-09, 0.0, "gal_gmjgm3", "c 43 2" ) ;  
  gal_vdv ( s, -2.93678050545e-11, 0.0, "gal_gmjgm3", "s 43 2" ) ;  
  gal_stget ( 43, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.28222551605e-09, 0.0, "gal_gmjgm3", "c 43 3" ) ;  
  gal_vdv ( s, -4.22747056618e-10, 0.0, "gal_gmjgm3", "s 43 3" ) ;  
  gal_stget ( 43, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.70312208862e-10, 0.0, "gal_gmjgm3", "c 43 4" ) ;  
  gal_vdv ( s, 1.18859439241e-09, 0.0, "gal_gmjgm3", "s 43 4" ) ;  
  gal_stget ( 43, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.61742700781e-09, 0.0, "gal_gmjgm3", "c 43 5" ) ;  
  gal_vdv ( s, 2.98428841072e-09, 0.0, "gal_gmjgm3", "s 43 5" ) ;  
  gal_stget ( 43, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.89273195903e-09, 0.0, "gal_gmjgm3", "c 43 6" ) ;  
  gal_vdv ( s, 1.85807871266e-09, 0.0, "gal_gmjgm3", "s 43 6" ) ;  
  gal_stget ( 43, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.10220765595e-10, 0.0, "gal_gmjgm3", "c 43 7" ) ;  
  gal_vdv ( s, -1.40435815218e-09, 0.0, "gal_gmjgm3", "s 43 7" ) ;  
  gal_stget ( 43, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.99422816494e-10, 0.0, "gal_gmjgm3", "c 43 8" ) ;  
  gal_vdv ( s, 2.40896193288e-09, 0.0, "gal_gmjgm3", "s 43 8" ) ;  
  gal_stget ( 43, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.19449389589e-09, 0.0, "gal_gmjgm3", "c 43 9" ) ;  
  gal_vdv ( s, -6.84542591840e-09, 0.0, "gal_gmjgm3", "s 43 9" ) ;  
  gal_stget ( 43, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.00220352176e-09, 0.0, "gal_gmjgm3", "c 43 10" ) ;  
  gal_vdv ( s, 1.26131739846e-09, 0.0, "gal_gmjgm3", "s 43 10" ) ;  
  gal_stget ( 43, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.32843353022e-09, 0.0, "gal_gmjgm3", "c 43 11" ) ;  
  gal_vdv ( s, 6.64576137468e-09, 0.0, "gal_gmjgm3", "s 43 11" ) ;  
  gal_stget ( 43, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.39542749839e-10, 0.0, "gal_gmjgm3", "c 43 12" ) ;  
  gal_vdv ( s, 8.46034514322e-10, 0.0, "gal_gmjgm3", "s 43 12" ) ;  
  gal_stget ( 43, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.66291444462e-09, 0.0, "gal_gmjgm3", "c 43 13" ) ;  
  gal_vdv ( s, -2.56788458694e-09, 0.0, "gal_gmjgm3", "s 43 13" ) ;  
  gal_stget ( 43, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.75798344455e-09, 0.0, "gal_gmjgm3", "c 43 14" ) ;  
  gal_vdv ( s, 1.00413748736e-09, 0.0, "gal_gmjgm3", "s 43 14" ) ;  
  gal_stget ( 43, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.73679368671e-09, 0.0, "gal_gmjgm3", "c 43 15" ) ;  
  gal_vdv ( s, 7.67230450741e-09, 0.0, "gal_gmjgm3", "s 43 15" ) ;  
  gal_stget ( 43, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.80992424731e-09, 0.0, "gal_gmjgm3", "c 43 16" ) ;  
  gal_vdv ( s, 1.39965230263e-09, 0.0, "gal_gmjgm3", "s 43 16" ) ;  
  gal_stget ( 43, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.42518602750e-10, 0.0, "gal_gmjgm3", "c 43 17" ) ;  
  gal_vdv ( s, -2.65028019605e-09, 0.0, "gal_gmjgm3", "s 43 17" ) ;  
  gal_stget ( 43, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.98177739224e-09, 0.0, "gal_gmjgm3", "c 43 18" ) ;  
  gal_vdv ( s, -4.34694610662e-09, 0.0, "gal_gmjgm3", "s 43 18" ) ;  
  gal_stget ( 43, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.73802762209e-09, 0.0, "gal_gmjgm3", "c 43 19" ) ;  
  gal_vdv ( s, -4.87346786522e-09, 0.0, "gal_gmjgm3", "s 43 19" ) ;  
  gal_stget ( 43, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.23496856718e-10, 0.0, "gal_gmjgm3", "c 43 20" ) ;  
  gal_vdv ( s, 8.10292122771e-10, 0.0, "gal_gmjgm3", "s 43 20" ) ;  
  gal_stget ( 43, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.13143142500e-09, 0.0, "gal_gmjgm3", "c 43 21" ) ;  
  gal_vdv ( s, 4.95801512072e-09, 0.0, "gal_gmjgm3", "s 43 21" ) ;  
  gal_stget ( 43, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.23959044884e-09, 0.0, "gal_gmjgm3", "c 43 22" ) ;  
  gal_vdv ( s, -6.34115349688e-10, 0.0, "gal_gmjgm3", "s 43 22" ) ;  
  gal_stget ( 43, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.33400964709e-10, 0.0, "gal_gmjgm3", "c 43 23" ) ;  
  gal_vdv ( s, -8.31659202705e-09, 0.0, "gal_gmjgm3", "s 43 23" ) ;  
  gal_stget ( 43, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.77798511430e-09, 0.0, "gal_gmjgm3", "c 43 24" ) ;  
  gal_vdv ( s, -1.69101102988e-11, 0.0, "gal_gmjgm3", "s 43 24" ) ;  
  gal_stget ( 43, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.53248226851e-10, 0.0, "gal_gmjgm3", "c 43 25" ) ;  
  gal_vdv ( s, 1.74678746585e-09, 0.0, "gal_gmjgm3", "s 43 25" ) ;  
  gal_stget ( 43, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.93588990877e-09, 0.0, "gal_gmjgm3", "c 43 26" ) ;  
  gal_vdv ( s, 2.47247393484e-09, 0.0, "gal_gmjgm3", "s 43 26" ) ;  
  gal_stget ( 43, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.75396056547e-09, 0.0, "gal_gmjgm3", "c 43 27" ) ;  
  gal_vdv ( s, -1.92156342209e-11, 0.0, "gal_gmjgm3", "s 43 27" ) ;  
  gal_stget ( 43, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.40885042927e-09, 0.0, "gal_gmjgm3", "c 43 28" ) ;  
  gal_vdv ( s, 8.56825456069e-09, 0.0, "gal_gmjgm3", "s 43 28" ) ;  
  gal_stget ( 43, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.47143823777e-11, 0.0, "gal_gmjgm3", "c 43 29" ) ;  
  gal_vdv ( s, 1.69173676580e-09, 0.0, "gal_gmjgm3", "s 43 29" ) ;  
  gal_stget ( 43, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.01490197831e-08, 0.0, "gal_gmjgm3", "c 43 30" ) ;  
  gal_vdv ( s, -6.02754517752e-09, 0.0, "gal_gmjgm3", "s 43 30" ) ;  
  gal_stget ( 43, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.71259779941e-09, 0.0, "gal_gmjgm3", "c 43 31" ) ;  
  gal_vdv ( s, -7.86464970842e-11, 0.0, "gal_gmjgm3", "s 43 31" ) ;  
  gal_stget ( 43, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.96049873578e-09, 0.0, "gal_gmjgm3", "c 43 32" ) ;  
  gal_vdv ( s, 6.07474015926e-09, 0.0, "gal_gmjgm3", "s 43 32" ) ;  
  gal_stget ( 43, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.46406537550e-09, 0.0, "gal_gmjgm3", "c 43 33" ) ;  
  gal_vdv ( s, -7.43582523463e-10, 0.0, "gal_gmjgm3", "s 43 33" ) ;  
  gal_stget ( 43, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.10740006054e-09, 0.0, "gal_gmjgm3", "c 43 34" ) ;  
  gal_vdv ( s, -7.95853897613e-10, 0.0, "gal_gmjgm3", "s 43 34" ) ;  
  gal_stget ( 43, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.70823061897e-10, 0.0, "gal_gmjgm3", "c 43 35" ) ;  
  gal_vdv ( s, 4.78061785285e-09, 0.0, "gal_gmjgm3", "s 43 35" ) ;  
  gal_stget ( 43, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.93978866798e-10, 0.0, "gal_gmjgm3", "c 43 36" ) ;  
  gal_vdv ( s, -3.72473519626e-09, 0.0, "gal_gmjgm3", "s 43 36" ) ;  
  gal_stget ( 43, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.81009513435e-09, 0.0, "gal_gmjgm3", "c 43 37" ) ;  
  gal_vdv ( s, 5.20215950466e-09, 0.0, "gal_gmjgm3", "s 43 37" ) ;  
  gal_stget ( 43, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.12893824793e-09, 0.0, "gal_gmjgm3", "c 43 38" ) ;  
  gal_vdv ( s, 4.36189671009e-10, 0.0, "gal_gmjgm3", "s 43 38" ) ;  
  gal_stget ( 43, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.21167137508e-09, 0.0, "gal_gmjgm3", "c 43 39" ) ;  
  gal_vdv ( s, -6.60050492807e-10, 0.0, "gal_gmjgm3", "s 43 39" ) ;  
  gal_stget ( 43, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.08845599489e-08, 0.0, "gal_gmjgm3", "c 43 40" ) ;  
  gal_vdv ( s, 1.29748040309e-09, 0.0, "gal_gmjgm3", "s 43 40" ) ;  
  gal_stget ( 43, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.27036085873e-09, 0.0, "gal_gmjgm3", "c 43 41" ) ;  
  gal_vdv ( s, 3.16095448373e-09, 0.0, "gal_gmjgm3", "s 43 41" ) ;  
  gal_stget ( 43, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.11212859280e-09, 0.0, "gal_gmjgm3", "c 43 42" ) ;  
  gal_vdv ( s, 5.57709311403e-09, 0.0, "gal_gmjgm3", "s 43 42" ) ;  
  gal_stget ( 43, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.31429572435e-09, 0.0, "gal_gmjgm3", "c 43 43" ) ;  
  gal_vdv ( s, -9.56951860827e-09, 0.0, "gal_gmjgm3", "s 43 43" ) ;  
  gal_stget ( 44, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.40070689983e-09, 0.0, "gal_gmjgm3", "c 44 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 44 0" ) ;  
  gal_stget ( 44, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.02954516018e-09, 0.0, "gal_gmjgm3", "c 44 1" ) ;  
  gal_vdv ( s, -1.67726618840e-09, 0.0, "gal_gmjgm3", "s 44 1" ) ;  
  gal_stget ( 44, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.16551600234e-10, 0.0, "gal_gmjgm3", "c 44 2" ) ;  
  gal_vdv ( s, 3.58184301461e-09, 0.0, "gal_gmjgm3", "s 44 2" ) ;  
  gal_stget ( 44, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.44082791098e-09, 0.0, "gal_gmjgm3", "c 44 3" ) ;  
  gal_vdv ( s, -6.26444623621e-09, 0.0, "gal_gmjgm3", "s 44 3" ) ;  
  gal_stget ( 44, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.75921592773e-10, 0.0, "gal_gmjgm3", "c 44 4" ) ;  
  gal_vdv ( s, -7.63912154582e-10, 0.0, "gal_gmjgm3", "s 44 4" ) ;  
  gal_stget ( 44, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.85049206397e-09, 0.0, "gal_gmjgm3", "c 44 5" ) ;  
  gal_vdv ( s, 4.18051838461e-09, 0.0, "gal_gmjgm3", "s 44 5" ) ;  
  gal_stget ( 44, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.62440864657e-09, 0.0, "gal_gmjgm3", "c 44 6" ) ;  
  gal_vdv ( s, 2.01047985610e-09, 0.0, "gal_gmjgm3", "s 44 6" ) ;  
  gal_stget ( 44, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.70758528247e-09, 0.0, "gal_gmjgm3", "c 44 7" ) ;  
  gal_vdv ( s, 9.57301492712e-09, 0.0, "gal_gmjgm3", "s 44 7" ) ;  
  gal_stget ( 44, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.83003757692e-09, 0.0, "gal_gmjgm3", "c 44 8" ) ;  
  gal_vdv ( s, 6.71821287148e-10, 0.0, "gal_gmjgm3", "s 44 8" ) ;  
  gal_stget ( 44, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.78086825148e-09, 0.0, "gal_gmjgm3", "c 44 9" ) ;  
  gal_vdv ( s, -4.41567093176e-09, 0.0, "gal_gmjgm3", "s 44 9" ) ;  
  gal_stget ( 44, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.97663025828e-09, 0.0, "gal_gmjgm3", "c 44 10" ) ;  
  gal_vdv ( s, -4.13500401961e-09, 0.0, "gal_gmjgm3", "s 44 10" ) ;  
  gal_stget ( 44, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.77019238780e-09, 0.0, "gal_gmjgm3", "c 44 11" ) ;  
  gal_vdv ( s, -3.47542637215e-10, 0.0, "gal_gmjgm3", "s 44 11" ) ;  
  gal_stget ( 44, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.27668161991e-09, 0.0, "gal_gmjgm3", "c 44 12" ) ;  
  gal_vdv ( s, -2.33755571459e-09, 0.0, "gal_gmjgm3", "s 44 12" ) ;  
  gal_stget ( 44, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.86907905634e-09, 0.0, "gal_gmjgm3", "c 44 13" ) ;  
  gal_vdv ( s, -4.51713349299e-09, 0.0, "gal_gmjgm3", "s 44 13" ) ;  
  gal_stget ( 44, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.20755101114e-09, 0.0, "gal_gmjgm3", "c 44 14" ) ;  
  gal_vdv ( s, -5.35375724375e-09, 0.0, "gal_gmjgm3", "s 44 14" ) ;  
  gal_stget ( 44, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.00970533693e-09, 0.0, "gal_gmjgm3", "c 44 15" ) ;  
  gal_vdv ( s, -6.73558700269e-09, 0.0, "gal_gmjgm3", "s 44 15" ) ;  
  gal_stget ( 44, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.93799848076e-09, 0.0, "gal_gmjgm3", "c 44 16" ) ;  
  gal_vdv ( s, 4.56116504552e-09, 0.0, "gal_gmjgm3", "s 44 16" ) ;  
  gal_stget ( 44, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.64928802141e-09, 0.0, "gal_gmjgm3", "c 44 17" ) ;  
  gal_vdv ( s, 3.04074439102e-09, 0.0, "gal_gmjgm3", "s 44 17" ) ;  
  gal_stget ( 44, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.65269882231e-09, 0.0, "gal_gmjgm3", "c 44 18" ) ;  
  gal_vdv ( s, -2.69964074502e-09, 0.0, "gal_gmjgm3", "s 44 18" ) ;  
  gal_stget ( 44, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.74012343377e-09, 0.0, "gal_gmjgm3", "c 44 19" ) ;  
  gal_vdv ( s, -3.10599023944e-09, 0.0, "gal_gmjgm3", "s 44 19" ) ;  
  gal_stget ( 44, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.28291010331e-09, 0.0, "gal_gmjgm3", "c 44 20" ) ;  
  gal_vdv ( s, -1.23239720874e-09, 0.0, "gal_gmjgm3", "s 44 20" ) ;  
  gal_stget ( 44, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.49676525143e-09, 0.0, "gal_gmjgm3", "c 44 21" ) ;  
  gal_vdv ( s, -3.26382419639e-10, 0.0, "gal_gmjgm3", "s 44 21" ) ;  
  gal_stget ( 44, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.71329846371e-09, 0.0, "gal_gmjgm3", "c 44 22" ) ;  
  gal_vdv ( s, 2.06943901513e-09, 0.0, "gal_gmjgm3", "s 44 22" ) ;  
  gal_stget ( 44, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.45053394774e-10, 0.0, "gal_gmjgm3", "c 44 23" ) ;  
  gal_vdv ( s, 6.25602967204e-09, 0.0, "gal_gmjgm3", "s 44 23" ) ;  
  gal_stget ( 44, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.13447357410e-09, 0.0, "gal_gmjgm3", "c 44 24" ) ;  
  gal_vdv ( s, -7.05861221262e-09, 0.0, "gal_gmjgm3", "s 44 24" ) ;  
  gal_stget ( 44, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.39421026096e-09, 0.0, "gal_gmjgm3", "c 44 25" ) ;  
  gal_vdv ( s, -1.10997702405e-10, 0.0, "gal_gmjgm3", "s 44 25" ) ;  
  gal_stget ( 44, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.75841063777e-09, 0.0, "gal_gmjgm3", "c 44 26" ) ;  
  gal_vdv ( s, -6.82169513246e-11, 0.0, "gal_gmjgm3", "s 44 26" ) ;  
  gal_stget ( 44, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.57922764932e-09, 0.0, "gal_gmjgm3", "c 44 27" ) ;  
  gal_vdv ( s, -2.74971954942e-09, 0.0, "gal_gmjgm3", "s 44 27" ) ;  
  gal_stget ( 44, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.48517076219e-09, 0.0, "gal_gmjgm3", "c 44 28" ) ;  
  gal_vdv ( s, 4.08306276416e-09, 0.0, "gal_gmjgm3", "s 44 28" ) ;  
  gal_stget ( 44, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.64150666973e-09, 0.0, "gal_gmjgm3", "c 44 29" ) ;  
  gal_vdv ( s, 4.45190232121e-09, 0.0, "gal_gmjgm3", "s 44 29" ) ;  
  gal_stget ( 44, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.73998179594e-09, 0.0, "gal_gmjgm3", "c 44 30" ) ;  
  gal_vdv ( s, 3.91987876556e-09, 0.0, "gal_gmjgm3", "s 44 30" ) ;  
  gal_stget ( 44, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.20330046699e-09, 0.0, "gal_gmjgm3", "c 44 31" ) ;  
  gal_vdv ( s, 4.64230016851e-09, 0.0, "gal_gmjgm3", "s 44 31" ) ;  
  gal_stget ( 44, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.56926008657e-09, 0.0, "gal_gmjgm3", "c 44 32" ) ;  
  gal_vdv ( s, 7.48379084273e-10, 0.0, "gal_gmjgm3", "s 44 32" ) ;  
  gal_stget ( 44, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.46059513242e-09, 0.0, "gal_gmjgm3", "c 44 33" ) ;  
  gal_vdv ( s, -2.90390190295e-11, 0.0, "gal_gmjgm3", "s 44 33" ) ;  
  gal_stget ( 44, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.80585326479e-09, 0.0, "gal_gmjgm3", "c 44 34" ) ;  
  gal_vdv ( s, 4.55379985018e-09, 0.0, "gal_gmjgm3", "s 44 34" ) ;  
  gal_stget ( 44, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.83700003329e-09, 0.0, "gal_gmjgm3", "c 44 35" ) ;  
  gal_vdv ( s, -3.58956991924e-09, 0.0, "gal_gmjgm3", "s 44 35" ) ;  
  gal_stget ( 44, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.39867811430e-09, 0.0, "gal_gmjgm3", "c 44 36" ) ;  
  gal_vdv ( s, -7.78085176507e-09, 0.0, "gal_gmjgm3", "s 44 36" ) ;  
  gal_stget ( 44, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.67298417655e-09, 0.0, "gal_gmjgm3", "c 44 37" ) ;  
  gal_vdv ( s, 6.74398634672e-09, 0.0, "gal_gmjgm3", "s 44 37" ) ;  
  gal_stget ( 44, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.29192343774e-09, 0.0, "gal_gmjgm3", "c 44 38" ) ;  
  gal_vdv ( s, -6.41747707993e-09, 0.0, "gal_gmjgm3", "s 44 38" ) ;  
  gal_stget ( 44, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.91492094914e-09, 0.0, "gal_gmjgm3", "c 44 39" ) ;  
  gal_vdv ( s, 3.14109253924e-09, 0.0, "gal_gmjgm3", "s 44 39" ) ;  
  gal_stget ( 44, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.80835351999e-09, 0.0, "gal_gmjgm3", "c 44 40" ) ;  
  gal_vdv ( s, 7.63680258698e-09, 0.0, "gal_gmjgm3", "s 44 40" ) ;  
  gal_stget ( 44, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.76127798868e-09, 0.0, "gal_gmjgm3", "c 44 41" ) ;  
  gal_vdv ( s, -2.71408420382e-10, 0.0, "gal_gmjgm3", "s 44 41" ) ;  
  gal_stget ( 44, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.50004215498e-09, 0.0, "gal_gmjgm3", "c 44 42" ) ;  
  gal_vdv ( s, -1.41368809451e-09, 0.0, "gal_gmjgm3", "s 44 42" ) ;  
  gal_stget ( 44, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.51049988978e-09, 0.0, "gal_gmjgm3", "c 44 43" ) ;  
  gal_vdv ( s, -3.58910276182e-09, 0.0, "gal_gmjgm3", "s 44 43" ) ;  
  gal_stget ( 44, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.39085044505e-09, 0.0, "gal_gmjgm3", "c 44 44" ) ;  
  gal_vdv ( s, -2.07728158106e-09, 0.0, "gal_gmjgm3", "s 44 44" ) ;  
  gal_stget ( 45, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.61578461877e-09, 0.0, "gal_gmjgm3", "c 45 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 45 0" ) ;  
  gal_stget ( 45, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.04861644734e-09, 0.0, "gal_gmjgm3", "c 45 1" ) ;  
  gal_vdv ( s, -4.58311108272e-09, 0.0, "gal_gmjgm3", "s 45 1" ) ;  
  gal_stget ( 45, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.38430667358e-09, 0.0, "gal_gmjgm3", "c 45 2" ) ;  
  gal_vdv ( s, -1.88879514604e-09, 0.0, "gal_gmjgm3", "s 45 2" ) ;  
  gal_stget ( 45, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.51313773302e-10, 0.0, "gal_gmjgm3", "c 45 3" ) ;  
  gal_vdv ( s, -4.72299133543e-09, 0.0, "gal_gmjgm3", "s 45 3" ) ;  
  gal_stget ( 45, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.41462880376e-09, 0.0, "gal_gmjgm3", "c 45 4" ) ;  
  gal_vdv ( s, -1.63890431600e-09, 0.0, "gal_gmjgm3", "s 45 4" ) ;  
  gal_stget ( 45, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.51415682235e-09, 0.0, "gal_gmjgm3", "c 45 5" ) ;  
  gal_vdv ( s, -6.61247418852e-10, 0.0, "gal_gmjgm3", "s 45 5" ) ;  
  gal_stget ( 45, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.37440708073e-09, 0.0, "gal_gmjgm3", "c 45 6" ) ;  
  gal_vdv ( s, 9.57420055291e-10, 0.0, "gal_gmjgm3", "s 45 6" ) ;  
  gal_stget ( 45, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.24911235821e-10, 0.0, "gal_gmjgm3", "c 45 7" ) ;  
  gal_vdv ( s, -2.07006248455e-10, 0.0, "gal_gmjgm3", "s 45 7" ) ;  
  gal_stget ( 45, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.22739075485e-09, 0.0, "gal_gmjgm3", "c 45 8" ) ;  
  gal_vdv ( s, 2.45779954881e-09, 0.0, "gal_gmjgm3", "s 45 8" ) ;  
  gal_stget ( 45, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.46667652695e-09, 0.0, "gal_gmjgm3", "c 45 9" ) ;  
  gal_vdv ( s, -4.25515412696e-09, 0.0, "gal_gmjgm3", "s 45 9" ) ;  
  gal_stget ( 45, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.04093897212e-10, 0.0, "gal_gmjgm3", "c 45 10" ) ;  
  gal_vdv ( s, 2.17546212401e-10, 0.0, "gal_gmjgm3", "s 45 10" ) ;  
  gal_stget ( 45, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.43585491508e-10, 0.0, "gal_gmjgm3", "c 45 11" ) ;  
  gal_vdv ( s, -2.74405417698e-09, 0.0, "gal_gmjgm3", "s 45 11" ) ;  
  gal_stget ( 45, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.77981497787e-09, 0.0, "gal_gmjgm3", "c 45 12" ) ;  
  gal_vdv ( s, -1.43239392147e-09, 0.0, "gal_gmjgm3", "s 45 12" ) ;  
  gal_stget ( 45, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.23460209922e-09, 0.0, "gal_gmjgm3", "c 45 13" ) ;  
  gal_vdv ( s, -2.11748316766e-09, 0.0, "gal_gmjgm3", "s 45 13" ) ;  
  gal_stget ( 45, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.18058229187e-09, 0.0, "gal_gmjgm3", "c 45 14" ) ;  
  gal_vdv ( s, -5.73039898550e-09, 0.0, "gal_gmjgm3", "s 45 14" ) ;  
  gal_stget ( 45, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.65178994469e-09, 0.0, "gal_gmjgm3", "c 45 15" ) ;  
  gal_vdv ( s, 4.19239071769e-10, 0.0, "gal_gmjgm3", "s 45 15" ) ;  
  gal_stget ( 45, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.40319124913e-09, 0.0, "gal_gmjgm3", "c 45 16" ) ;  
  gal_vdv ( s, -5.48178489984e-10, 0.0, "gal_gmjgm3", "s 45 16" ) ;  
  gal_stget ( 45, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.55970923284e-09, 0.0, "gal_gmjgm3", "c 45 17" ) ;  
  gal_vdv ( s, -1.26548545764e-09, 0.0, "gal_gmjgm3", "s 45 17" ) ;  
  gal_stget ( 45, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.44631497049e-09, 0.0, "gal_gmjgm3", "c 45 18" ) ;  
  gal_vdv ( s, -5.51421050172e-09, 0.0, "gal_gmjgm3", "s 45 18" ) ;  
  gal_stget ( 45, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.48937882653e-09, 0.0, "gal_gmjgm3", "c 45 19" ) ;  
  gal_vdv ( s, -3.10250615371e-09, 0.0, "gal_gmjgm3", "s 45 19" ) ;  
  gal_stget ( 45, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.69139383940e-09, 0.0, "gal_gmjgm3", "c 45 20" ) ;  
  gal_vdv ( s, 7.32984897318e-10, 0.0, "gal_gmjgm3", "s 45 20" ) ;  
  gal_stget ( 45, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.63974323993e-09, 0.0, "gal_gmjgm3", "c 45 21" ) ;  
  gal_vdv ( s, -7.03022258349e-10, 0.0, "gal_gmjgm3", "s 45 21" ) ;  
  gal_stget ( 45, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.50698795823e-09, 0.0, "gal_gmjgm3", "c 45 22" ) ;  
  gal_vdv ( s, 3.68126675905e-09, 0.0, "gal_gmjgm3", "s 45 22" ) ;  
  gal_stget ( 45, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.04215314382e-09, 0.0, "gal_gmjgm3", "c 45 23" ) ;  
  gal_vdv ( s, 5.37488984386e-09, 0.0, "gal_gmjgm3", "s 45 23" ) ;  
  gal_stget ( 45, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.88495823118e-09, 0.0, "gal_gmjgm3", "c 45 24" ) ;  
  gal_vdv ( s, 3.80475298015e-09, 0.0, "gal_gmjgm3", "s 45 24" ) ;  
  gal_stget ( 45, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.41594148089e-09, 0.0, "gal_gmjgm3", "c 45 25" ) ;  
  gal_vdv ( s, -3.29048272996e-09, 0.0, "gal_gmjgm3", "s 45 25" ) ;  
  gal_stget ( 45, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.34834118889e-09, 0.0, "gal_gmjgm3", "c 45 26" ) ;  
  gal_vdv ( s, 4.41271421492e-09, 0.0, "gal_gmjgm3", "s 45 26" ) ;  
  gal_stget ( 45, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.27446912619e-09, 0.0, "gal_gmjgm3", "c 45 27" ) ;  
  gal_vdv ( s, -3.02355280723e-10, 0.0, "gal_gmjgm3", "s 45 27" ) ;  
  gal_stget ( 45, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.84062210169e-09, 0.0, "gal_gmjgm3", "c 45 28" ) ;  
  gal_vdv ( s, -1.58366851828e-09, 0.0, "gal_gmjgm3", "s 45 28" ) ;  
  gal_stget ( 45, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.76755067117e-09, 0.0, "gal_gmjgm3", "c 45 29" ) ;  
  gal_vdv ( s, -3.74723961159e-09, 0.0, "gal_gmjgm3", "s 45 29" ) ;  
  gal_stget ( 45, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.90158624984e-10, 0.0, "gal_gmjgm3", "c 45 30" ) ;  
  gal_vdv ( s, 2.31318878240e-10, 0.0, "gal_gmjgm3", "s 45 30" ) ;  
  gal_stget ( 45, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.13583285252e-09, 0.0, "gal_gmjgm3", "c 45 31" ) ;  
  gal_vdv ( s, -3.30599884305e-09, 0.0, "gal_gmjgm3", "s 45 31" ) ;  
  gal_stget ( 45, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.91296330436e-09, 0.0, "gal_gmjgm3", "c 45 32" ) ;  
  gal_vdv ( s, -2.24491209985e-09, 0.0, "gal_gmjgm3", "s 45 32" ) ;  
  gal_stget ( 45, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.87146450956e-09, 0.0, "gal_gmjgm3", "c 45 33" ) ;  
  gal_vdv ( s, -2.91204220449e-09, 0.0, "gal_gmjgm3", "s 45 33" ) ;  
  gal_stget ( 45, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.37722985277e-09, 0.0, "gal_gmjgm3", "c 45 34" ) ;  
  gal_vdv ( s, 4.81729315988e-09, 0.0, "gal_gmjgm3", "s 45 34" ) ;  
  gal_stget ( 45, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.87488626823e-09, 0.0, "gal_gmjgm3", "c 45 35" ) ;  
  gal_vdv ( s, 6.48801208171e-09, 0.0, "gal_gmjgm3", "s 45 35" ) ;  
  gal_stget ( 45, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.19930884419e-09, 0.0, "gal_gmjgm3", "c 45 36" ) ;  
  gal_vdv ( s, 8.60401206264e-09, 0.0, "gal_gmjgm3", "s 45 36" ) ;  
  gal_stget ( 45, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.63935068590e-09, 0.0, "gal_gmjgm3", "c 45 37" ) ;  
  gal_vdv ( s, 3.90739016672e-09, 0.0, "gal_gmjgm3", "s 45 37" ) ;  
  gal_stget ( 45, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.11174897561e-09, 0.0, "gal_gmjgm3", "c 45 38" ) ;  
  gal_vdv ( s, 3.52689951178e-09, 0.0, "gal_gmjgm3", "s 45 38" ) ;  
  gal_stget ( 45, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.32656350833e-09, 0.0, "gal_gmjgm3", "c 45 39" ) ;  
  gal_vdv ( s, -7.79804766092e-09, 0.0, "gal_gmjgm3", "s 45 39" ) ;  
  gal_stget ( 45, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.28679765405e-09, 0.0, "gal_gmjgm3", "c 45 40" ) ;  
  gal_vdv ( s, -3.08897215296e-09, 0.0, "gal_gmjgm3", "s 45 40" ) ;  
  gal_stget ( 45, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.01707622017e-09, 0.0, "gal_gmjgm3", "c 45 41" ) ;  
  gal_vdv ( s, 4.84678296256e-10, 0.0, "gal_gmjgm3", "s 45 41" ) ;  
  gal_stget ( 45, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.60313533637e-09, 0.0, "gal_gmjgm3", "c 45 42" ) ;  
  gal_vdv ( s, -1.07608693418e-08, 0.0, "gal_gmjgm3", "s 45 42" ) ;  
  gal_stget ( 45, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.10751140308e-09, 0.0, "gal_gmjgm3", "c 45 43" ) ;  
  gal_vdv ( s, 9.68676277016e-10, 0.0, "gal_gmjgm3", "s 45 43" ) ;  
  gal_stget ( 45, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.26391388880e-08, 0.0, "gal_gmjgm3", "c 45 44" ) ;  
  gal_vdv ( s, 2.14129995112e-09, 0.0, "gal_gmjgm3", "s 45 44" ) ;  
  gal_stget ( 45, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.42271481600e-09, 0.0, "gal_gmjgm3", "c 45 45" ) ;  
  gal_vdv ( s, 6.57604698412e-10, 0.0, "gal_gmjgm3", "s 45 45" ) ;  
  gal_stget ( 46, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.26048623403e-09, 0.0, "gal_gmjgm3", "c 46 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 46 0" ) ;  
  gal_stget ( 46, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.80575577512e-10, 0.0, "gal_gmjgm3", "c 46 1" ) ;  
  gal_vdv ( s, -7.60926411595e-11, 0.0, "gal_gmjgm3", "s 46 1" ) ;  
  gal_stget ( 46, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.89038118970e-09, 0.0, "gal_gmjgm3", "c 46 2" ) ;  
  gal_vdv ( s, 1.10240774404e-09, 0.0, "gal_gmjgm3", "s 46 2" ) ;  
  gal_stget ( 46, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.35994912450e-09, 0.0, "gal_gmjgm3", "c 46 3" ) ;  
  gal_vdv ( s, 7.73100837913e-10, 0.0, "gal_gmjgm3", "s 46 3" ) ;  
  gal_stget ( 46, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.31457068882e-09, 0.0, "gal_gmjgm3", "c 46 4" ) ;  
  gal_vdv ( s, -6.51916607090e-09, 0.0, "gal_gmjgm3", "s 46 4" ) ;  
  gal_stget ( 46, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.62719205193e-09, 0.0, "gal_gmjgm3", "c 46 5" ) ;  
  gal_vdv ( s, -7.26950702892e-09, 0.0, "gal_gmjgm3", "s 46 5" ) ;  
  gal_stget ( 46, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.02600114880e-09, 0.0, "gal_gmjgm3", "c 46 6" ) ;  
  gal_vdv ( s, -1.86230921183e-09, 0.0, "gal_gmjgm3", "s 46 6" ) ;  
  gal_stget ( 46, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.58135430475e-09, 0.0, "gal_gmjgm3", "c 46 7" ) ;  
  gal_vdv ( s, -8.93453601822e-09, 0.0, "gal_gmjgm3", "s 46 7" ) ;  
  gal_stget ( 46, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.03408967421e-10, 0.0, "gal_gmjgm3", "c 46 8" ) ;  
  gal_vdv ( s, 2.44530791399e-09, 0.0, "gal_gmjgm3", "s 46 8" ) ;  
  gal_stget ( 46, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.49795033181e-09, 0.0, "gal_gmjgm3", "c 46 9" ) ;  
  gal_vdv ( s, 6.56927316109e-09, 0.0, "gal_gmjgm3", "s 46 9" ) ;  
  gal_stget ( 46, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.84171111730e-10, 0.0, "gal_gmjgm3", "c 46 10" ) ;  
  gal_vdv ( s, 9.80267053612e-10, 0.0, "gal_gmjgm3", "s 46 10" ) ;  
  gal_stget ( 46, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.28022703681e-09, 0.0, "gal_gmjgm3", "c 46 11" ) ;  
  gal_vdv ( s, -1.90358512487e-09, 0.0, "gal_gmjgm3", "s 46 11" ) ;  
  gal_stget ( 46, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.90495884445e-10, 0.0, "gal_gmjgm3", "c 46 12" ) ;  
  gal_vdv ( s, -4.72242862954e-10, 0.0, "gal_gmjgm3", "s 46 12" ) ;  
  gal_stget ( 46, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.76839942639e-09, 0.0, "gal_gmjgm3", "c 46 13" ) ;  
  gal_vdv ( s, -1.17634409151e-09, 0.0, "gal_gmjgm3", "s 46 13" ) ;  
  gal_stget ( 46, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.48475463908e-09, 0.0, "gal_gmjgm3", "c 46 14" ) ;  
  gal_vdv ( s, 8.28312326746e-10, 0.0, "gal_gmjgm3", "s 46 14" ) ;  
  gal_stget ( 46, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.79965826456e-09, 0.0, "gal_gmjgm3", "c 46 15" ) ;  
  gal_vdv ( s, -1.22209527059e-09, 0.0, "gal_gmjgm3", "s 46 15" ) ;  
  gal_stget ( 46, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.75871001682e-09, 0.0, "gal_gmjgm3", "c 46 16" ) ;  
  gal_vdv ( s, 3.38688193220e-09, 0.0, "gal_gmjgm3", "s 46 16" ) ;  
  gal_stget ( 46, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.34619255805e-09, 0.0, "gal_gmjgm3", "c 46 17" ) ;  
  gal_vdv ( s, -3.47961329844e-10, 0.0, "gal_gmjgm3", "s 46 17" ) ;  
  gal_stget ( 46, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.34055642958e-09, 0.0, "gal_gmjgm3", "c 46 18" ) ;  
  gal_vdv ( s, -4.68618552299e-09, 0.0, "gal_gmjgm3", "s 46 18" ) ;  
  gal_stget ( 46, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.87524929865e-10, 0.0, "gal_gmjgm3", "c 46 19" ) ;  
  gal_vdv ( s, -3.90949638570e-09, 0.0, "gal_gmjgm3", "s 46 19" ) ;  
  gal_stget ( 46, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.17745001692e-09, 0.0, "gal_gmjgm3", "c 46 20" ) ;  
  gal_vdv ( s, -5.24506029676e-09, 0.0, "gal_gmjgm3", "s 46 20" ) ;  
  gal_stget ( 46, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.25622207103e-09, 0.0, "gal_gmjgm3", "c 46 21" ) ;  
  gal_vdv ( s, 2.09226885463e-09, 0.0, "gal_gmjgm3", "s 46 21" ) ;  
  gal_stget ( 46, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.13623650553e-09, 0.0, "gal_gmjgm3", "c 46 22" ) ;  
  gal_vdv ( s, 1.41488547185e-09, 0.0, "gal_gmjgm3", "s 46 22" ) ;  
  gal_stget ( 46, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.21677709312e-09, 0.0, "gal_gmjgm3", "c 46 23" ) ;  
  gal_vdv ( s, 3.90801437393e-09, 0.0, "gal_gmjgm3", "s 46 23" ) ;  
  gal_stget ( 46, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.71440288201e-09, 0.0, "gal_gmjgm3", "c 46 24" ) ;  
  gal_vdv ( s, 4.82460321149e-10, 0.0, "gal_gmjgm3", "s 46 24" ) ;  
  gal_stget ( 46, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.12295073989e-09, 0.0, "gal_gmjgm3", "c 46 25" ) ;  
  gal_vdv ( s, -7.43722061433e-09, 0.0, "gal_gmjgm3", "s 46 25" ) ;  
  gal_stget ( 46, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.45099176111e-09, 0.0, "gal_gmjgm3", "c 46 26" ) ;  
  gal_vdv ( s, 1.13116910705e-08, 0.0, "gal_gmjgm3", "s 46 26" ) ;  
  gal_stget ( 46, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.74445679563e-09, 0.0, "gal_gmjgm3", "c 46 27" ) ;  
  gal_vdv ( s, -4.71557948601e-10, 0.0, "gal_gmjgm3", "s 46 27" ) ;  
  gal_stget ( 46, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.02007412602e-09, 0.0, "gal_gmjgm3", "c 46 28" ) ;  
  gal_vdv ( s, -6.11238744322e-09, 0.0, "gal_gmjgm3", "s 46 28" ) ;  
  gal_stget ( 46, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.75311093204e-09, 0.0, "gal_gmjgm3", "c 46 29" ) ;  
  gal_vdv ( s, -4.05816108983e-09, 0.0, "gal_gmjgm3", "s 46 29" ) ;  
  gal_stget ( 46, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.17922391668e-09, 0.0, "gal_gmjgm3", "c 46 30" ) ;  
  gal_vdv ( s, -7.86925664554e-09, 0.0, "gal_gmjgm3", "s 46 30" ) ;  
  gal_stget ( 46, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.44978176654e-09, 0.0, "gal_gmjgm3", "c 46 31" ) ;  
  gal_vdv ( s, 7.61688312668e-11, 0.0, "gal_gmjgm3", "s 46 31" ) ;  
  gal_stget ( 46, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.62050238138e-09, 0.0, "gal_gmjgm3", "c 46 32" ) ;  
  gal_vdv ( s, -2.42005961375e-09, 0.0, "gal_gmjgm3", "s 46 32" ) ;  
  gal_stget ( 46, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.43465059553e-08, 0.0, "gal_gmjgm3", "c 46 33" ) ;  
  gal_vdv ( s, 1.12721186348e-10, 0.0, "gal_gmjgm3", "s 46 33" ) ;  
  gal_stget ( 46, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.03600976463e-09, 0.0, "gal_gmjgm3", "c 46 34" ) ;  
  gal_vdv ( s, 3.40505519647e-09, 0.0, "gal_gmjgm3", "s 46 34" ) ;  
  gal_stget ( 46, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.28757033997e-09, 0.0, "gal_gmjgm3", "c 46 35" ) ;  
  gal_vdv ( s, 7.74940740615e-10, 0.0, "gal_gmjgm3", "s 46 35" ) ;  
  gal_stget ( 46, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.08475055850e-10, 0.0, "gal_gmjgm3", "c 46 36" ) ;  
  gal_vdv ( s, -1.16794380842e-09, 0.0, "gal_gmjgm3", "s 46 36" ) ;  
  gal_stget ( 46, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.41717877986e-09, 0.0, "gal_gmjgm3", "c 46 37" ) ;  
  gal_vdv ( s, 7.09043921430e-09, 0.0, "gal_gmjgm3", "s 46 37" ) ;  
  gal_stget ( 46, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.58784471646e-09, 0.0, "gal_gmjgm3", "c 46 38" ) ;  
  gal_vdv ( s, -3.08810813341e-09, 0.0, "gal_gmjgm3", "s 46 38" ) ;  
  gal_stget ( 46, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.76511690614e-09, 0.0, "gal_gmjgm3", "c 46 39" ) ;  
  gal_vdv ( s, -8.14159341946e-10, 0.0, "gal_gmjgm3", "s 46 39" ) ;  
  gal_stget ( 46, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.19127368565e-10, 0.0, "gal_gmjgm3", "c 46 40" ) ;  
  gal_vdv ( s, -4.89126478422e-10, 0.0, "gal_gmjgm3", "s 46 40" ) ;  
  gal_stget ( 46, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.57418406804e-09, 0.0, "gal_gmjgm3", "c 46 41" ) ;  
  gal_vdv ( s, -3.93985991483e-09, 0.0, "gal_gmjgm3", "s 46 41" ) ;  
  gal_stget ( 46, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.70115829471e-11, 0.0, "gal_gmjgm3", "c 46 42" ) ;  
  gal_vdv ( s, 6.97043476510e-09, 0.0, "gal_gmjgm3", "s 46 42" ) ;  
  gal_stget ( 46, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.73480755519e-09, 0.0, "gal_gmjgm3", "c 46 43" ) ;  
  gal_vdv ( s, 1.12667219014e-08, 0.0, "gal_gmjgm3", "s 46 43" ) ;  
  gal_stget ( 46, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.46564444758e-09, 0.0, "gal_gmjgm3", "c 46 44" ) ;  
  gal_vdv ( s, -3.27518579579e-09, 0.0, "gal_gmjgm3", "s 46 44" ) ;  
  gal_stget ( 46, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.83078730407e-09, 0.0, "gal_gmjgm3", "c 46 45" ) ;  
  gal_vdv ( s, 4.34291574474e-09, 0.0, "gal_gmjgm3", "s 46 45" ) ;  
  gal_stget ( 46, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.68723404015e-11, 0.0, "gal_gmjgm3", "c 46 46" ) ;  
  gal_vdv ( s, -2.32283062761e-09, 0.0, "gal_gmjgm3", "s 46 46" ) ;  
  gal_stget ( 47, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.76598102231e-10, 0.0, "gal_gmjgm3", "c 47 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 47 0" ) ;  
  gal_stget ( 47, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.90602038776e-09, 0.0, "gal_gmjgm3", "c 47 1" ) ;  
  gal_vdv ( s, -2.17471711654e-09, 0.0, "gal_gmjgm3", "s 47 1" ) ;  
  gal_stget ( 47, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.26383885263e-09, 0.0, "gal_gmjgm3", "c 47 2" ) ;  
  gal_vdv ( s, -4.84216571302e-10, 0.0, "gal_gmjgm3", "s 47 2" ) ;  
  gal_stget ( 47, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.84611571671e-09, 0.0, "gal_gmjgm3", "c 47 3" ) ;  
  gal_vdv ( s, 4.24439419955e-09, 0.0, "gal_gmjgm3", "s 47 3" ) ;  
  gal_stget ( 47, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.30821122111e-10, 0.0, "gal_gmjgm3", "c 47 4" ) ;  
  gal_vdv ( s, -1.22248497952e-09, 0.0, "gal_gmjgm3", "s 47 4" ) ;  
  gal_stget ( 47, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.16736595152e-10, 0.0, "gal_gmjgm3", "c 47 5" ) ;  
  gal_vdv ( s, -2.90342427846e-09, 0.0, "gal_gmjgm3", "s 47 5" ) ;  
  gal_stget ( 47, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.92108435128e-09, 0.0, "gal_gmjgm3", "c 47 6" ) ;  
  gal_vdv ( s, -2.20922471450e-09, 0.0, "gal_gmjgm3", "s 47 6" ) ;  
  gal_stget ( 47, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.03527867790e-10, 0.0, "gal_gmjgm3", "c 47 7" ) ;  
  gal_vdv ( s, -6.06175761595e-09, 0.0, "gal_gmjgm3", "s 47 7" ) ;  
  gal_stget ( 47, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.10138341429e-09, 0.0, "gal_gmjgm3", "c 47 8" ) ;  
  gal_vdv ( s, -1.26786685024e-09, 0.0, "gal_gmjgm3", "s 47 8" ) ;  
  gal_stget ( 47, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.14789132933e-09, 0.0, "gal_gmjgm3", "c 47 9" ) ;  
  gal_vdv ( s, 2.66744592987e-09, 0.0, "gal_gmjgm3", "s 47 9" ) ;  
  gal_stget ( 47, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.27593840778e-09, 0.0, "gal_gmjgm3", "c 47 10" ) ;  
  gal_vdv ( s, 3.53244217922e-09, 0.0, "gal_gmjgm3", "s 47 10" ) ;  
  gal_stget ( 47, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.25783264469e-09, 0.0, "gal_gmjgm3", "c 47 11" ) ;  
  gal_vdv ( s, -2.46414656303e-09, 0.0, "gal_gmjgm3", "s 47 11" ) ;  
  gal_stget ( 47, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.00971039125e-08, 0.0, "gal_gmjgm3", "c 47 12" ) ;  
  gal_vdv ( s, 2.34984660801e-09, 0.0, "gal_gmjgm3", "s 47 12" ) ;  
  gal_stget ( 47, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.56914435032e-09, 0.0, "gal_gmjgm3", "c 47 13" ) ;  
  gal_vdv ( s, -2.06027373210e-09, 0.0, "gal_gmjgm3", "s 47 13" ) ;  
  gal_stget ( 47, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.44583046511e-09, 0.0, "gal_gmjgm3", "c 47 14" ) ;  
  gal_vdv ( s, -8.57445555056e-10, 0.0, "gal_gmjgm3", "s 47 14" ) ;  
  gal_stget ( 47, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.88320354041e-09, 0.0, "gal_gmjgm3", "c 47 15" ) ;  
  gal_vdv ( s, 7.55885920220e-10, 0.0, "gal_gmjgm3", "s 47 15" ) ;  
  gal_stget ( 47, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.95088948802e-10, 0.0, "gal_gmjgm3", "c 47 16" ) ;  
  gal_vdv ( s, 4.65058258005e-10, 0.0, "gal_gmjgm3", "s 47 16" ) ;  
  gal_stget ( 47, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.47004952165e-09, 0.0, "gal_gmjgm3", "c 47 17" ) ;  
  gal_vdv ( s, 4.29131392921e-09, 0.0, "gal_gmjgm3", "s 47 17" ) ;  
  gal_stget ( 47, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.23952847792e-09, 0.0, "gal_gmjgm3", "c 47 18" ) ;  
  gal_vdv ( s, 9.32886128677e-09, 0.0, "gal_gmjgm3", "s 47 18" ) ;  
  gal_stget ( 47, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.55469941587e-09, 0.0, "gal_gmjgm3", "c 47 19" ) ;  
  gal_vdv ( s, 2.57779662275e-09, 0.0, "gal_gmjgm3", "s 47 19" ) ;  
  gal_stget ( 47, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.77923092202e-09, 0.0, "gal_gmjgm3", "c 47 20" ) ;  
  gal_vdv ( s, 1.93456950967e-09, 0.0, "gal_gmjgm3", "s 47 20" ) ;  
  gal_stget ( 47, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.08480566604e-09, 0.0, "gal_gmjgm3", "c 47 21" ) ;  
  gal_vdv ( s, -1.02038825859e-09, 0.0, "gal_gmjgm3", "s 47 21" ) ;  
  gal_stget ( 47, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.52539848029e-09, 0.0, "gal_gmjgm3", "c 47 22" ) ;  
  gal_vdv ( s, -3.00934839931e-10, 0.0, "gal_gmjgm3", "s 47 22" ) ;  
  gal_stget ( 47, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.53658543448e-09, 0.0, "gal_gmjgm3", "c 47 23" ) ;  
  gal_vdv ( s, 4.65006722985e-11, 0.0, "gal_gmjgm3", "s 47 23" ) ;  
  gal_stget ( 47, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.20560182120e-09, 0.0, "gal_gmjgm3", "c 47 24" ) ;  
  gal_vdv ( s, -1.15009156752e-09, 0.0, "gal_gmjgm3", "s 47 24" ) ;  
  gal_stget ( 47, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.84028555709e-10, 0.0, "gal_gmjgm3", "c 47 25" ) ;  
  gal_vdv ( s, -9.93664364537e-09, 0.0, "gal_gmjgm3", "s 47 25" ) ;  
  gal_stget ( 47, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.50615656007e-09, 0.0, "gal_gmjgm3", "c 47 26" ) ;  
  gal_vdv ( s, 9.67421494202e-10, 0.0, "gal_gmjgm3", "s 47 26" ) ;  
  gal_stget ( 47, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.81756319506e-09, 0.0, "gal_gmjgm3", "c 47 27" ) ;  
  gal_vdv ( s, -1.73274426816e-09, 0.0, "gal_gmjgm3", "s 47 27" ) ;  
  gal_stget ( 47, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.39782517702e-09, 0.0, "gal_gmjgm3", "c 47 28" ) ;  
  gal_vdv ( s, -5.76649471217e-09, 0.0, "gal_gmjgm3", "s 47 28" ) ;  
  gal_stget ( 47, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.50662199863e-09, 0.0, "gal_gmjgm3", "c 47 29" ) ;  
  gal_vdv ( s, -8.41604598080e-11, 0.0, "gal_gmjgm3", "s 47 29" ) ;  
  gal_stget ( 47, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.27092307170e-09, 0.0, "gal_gmjgm3", "c 47 30" ) ;  
  gal_vdv ( s, 1.80687302469e-09, 0.0, "gal_gmjgm3", "s 47 30" ) ;  
  gal_stget ( 47, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.28458767908e-09, 0.0, "gal_gmjgm3", "c 47 31" ) ;  
  gal_vdv ( s, 2.30563420822e-09, 0.0, "gal_gmjgm3", "s 47 31" ) ;  
  gal_stget ( 47, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.12145723919e-09, 0.0, "gal_gmjgm3", "c 47 32" ) ;  
  gal_vdv ( s, -2.95899548527e-10, 0.0, "gal_gmjgm3", "s 47 32" ) ;  
  gal_stget ( 47, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.69941017799e-09, 0.0, "gal_gmjgm3", "c 47 33" ) ;  
  gal_vdv ( s, 3.21777798648e-09, 0.0, "gal_gmjgm3", "s 47 33" ) ;  
  gal_stget ( 47, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.53607366325e-10, 0.0, "gal_gmjgm3", "c 47 34" ) ;  
  gal_vdv ( s, 1.96912027170e-09, 0.0, "gal_gmjgm3", "s 47 34" ) ;  
  gal_stget ( 47, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.33976785882e-09, 0.0, "gal_gmjgm3", "c 47 35" ) ;  
  gal_vdv ( s, 9.83575170714e-10, 0.0, "gal_gmjgm3", "s 47 35" ) ;  
  gal_stget ( 47, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.79760933263e-09, 0.0, "gal_gmjgm3", "c 47 36" ) ;  
  gal_vdv ( s, -3.88608882831e-09, 0.0, "gal_gmjgm3", "s 47 36" ) ;  
  gal_stget ( 47, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.45786452676e-09, 0.0, "gal_gmjgm3", "c 47 37" ) ;  
  gal_vdv ( s, 3.07456242909e-09, 0.0, "gal_gmjgm3", "s 47 37" ) ;  
  gal_stget ( 47, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.50179082011e-10, 0.0, "gal_gmjgm3", "c 47 38" ) ;  
  gal_vdv ( s, 8.26161665540e-12, 0.0, "gal_gmjgm3", "s 47 38" ) ;  
  gal_stget ( 47, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.25499567727e-10, 0.0, "gal_gmjgm3", "c 47 39" ) ;  
  gal_vdv ( s, 8.07055007718e-09, 0.0, "gal_gmjgm3", "s 47 39" ) ;  
  gal_stget ( 47, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.85364240369e-09, 0.0, "gal_gmjgm3", "c 47 40" ) ;  
  gal_vdv ( s, 7.57480659945e-09, 0.0, "gal_gmjgm3", "s 47 40" ) ;  
  gal_stget ( 47, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.62339682581e-09, 0.0, "gal_gmjgm3", "c 47 41" ) ;  
  gal_vdv ( s, 5.58251352019e-09, 0.0, "gal_gmjgm3", "s 47 41" ) ;  
  gal_stget ( 47, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.03704331974e-09, 0.0, "gal_gmjgm3", "c 47 42" ) ;  
  gal_vdv ( s, -3.98486967689e-09, 0.0, "gal_gmjgm3", "s 47 42" ) ;  
  gal_stget ( 47, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.23803252395e-11, 0.0, "gal_gmjgm3", "c 47 43" ) ;  
  gal_vdv ( s, 3.24879489634e-09, 0.0, "gal_gmjgm3", "s 47 43" ) ;  
  gal_stget ( 47, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.60531049214e-09, 0.0, "gal_gmjgm3", "c 47 44" ) ;  
  gal_vdv ( s, 8.49338110878e-09, 0.0, "gal_gmjgm3", "s 47 44" ) ;  
  gal_stget ( 47, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.77307281390e-09, 0.0, "gal_gmjgm3", "c 47 45" ) ;  
  gal_vdv ( s, 3.31979344953e-09, 0.0, "gal_gmjgm3", "s 47 45" ) ;  
  gal_stget ( 47, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.54992944123e-09, 0.0, "gal_gmjgm3", "c 47 46" ) ;  
  gal_vdv ( s, -3.14070739439e-09, 0.0, "gal_gmjgm3", "s 47 46" ) ;  
  gal_stget ( 47, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.27537502891e-09, 0.0, "gal_gmjgm3", "c 47 47" ) ;  
  gal_vdv ( s, -4.83222322998e-09, 0.0, "gal_gmjgm3", "s 47 47" ) ;  
  gal_stget ( 48, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.82028494314e-09, 0.0, "gal_gmjgm3", "c 48 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 48 0" ) ;  
  gal_stget ( 48, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.75662346595e-11, 0.0, "gal_gmjgm3", "c 48 1" ) ;  
  gal_vdv ( s, 6.44382383166e-10, 0.0, "gal_gmjgm3", "s 48 1" ) ;  
  gal_stget ( 48, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.02502349625e-09, 0.0, "gal_gmjgm3", "c 48 2" ) ;  
  gal_vdv ( s, 1.11633961095e-09, 0.0, "gal_gmjgm3", "s 48 2" ) ;  
  gal_stget ( 48, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.62865925457e-11, 0.0, "gal_gmjgm3", "c 48 3" ) ;  
  gal_vdv ( s, 3.25280752057e-09, 0.0, "gal_gmjgm3", "s 48 3" ) ;  
  gal_stget ( 48, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.88366633816e-09, 0.0, "gal_gmjgm3", "c 48 4" ) ;  
  gal_vdv ( s, -1.57606860933e-10, 0.0, "gal_gmjgm3", "s 48 4" ) ;  
  gal_stget ( 48, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.10514628163e-09, 0.0, "gal_gmjgm3", "c 48 5" ) ;  
  gal_vdv ( s, -6.62059865028e-10, 0.0, "gal_gmjgm3", "s 48 5" ) ;  
  gal_stget ( 48, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.61375930824e-09, 0.0, "gal_gmjgm3", "c 48 6" ) ;  
  gal_vdv ( s, 4.05716776605e-09, 0.0, "gal_gmjgm3", "s 48 6" ) ;  
  gal_stget ( 48, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.32680176367e-09, 0.0, "gal_gmjgm3", "c 48 7" ) ;  
  gal_vdv ( s, 3.17528497074e-09, 0.0, "gal_gmjgm3", "s 48 7" ) ;  
  gal_stget ( 48, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.18760805779e-09, 0.0, "gal_gmjgm3", "c 48 8" ) ;  
  gal_vdv ( s, 2.24877661062e-09, 0.0, "gal_gmjgm3", "s 48 8" ) ;  
  gal_stget ( 48, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.79104516431e-10, 0.0, "gal_gmjgm3", "c 48 9" ) ;  
  gal_vdv ( s, 4.59317610872e-09, 0.0, "gal_gmjgm3", "s 48 9" ) ;  
  gal_stget ( 48, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.01410992437e-09, 0.0, "gal_gmjgm3", "c 48 10" ) ;  
  gal_vdv ( s, 2.87195601042e-09, 0.0, "gal_gmjgm3", "s 48 10" ) ;  
  gal_stget ( 48, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.61484412918e-09, 0.0, "gal_gmjgm3", "c 48 11" ) ;  
  gal_vdv ( s, 5.74306683515e-10, 0.0, "gal_gmjgm3", "s 48 11" ) ;  
  gal_stget ( 48, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.12413091698e-09, 0.0, "gal_gmjgm3", "c 48 12" ) ;  
  gal_vdv ( s, -2.92637183793e-09, 0.0, "gal_gmjgm3", "s 48 12" ) ;  
  gal_stget ( 48, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.54101198539e-09, 0.0, "gal_gmjgm3", "c 48 13" ) ;  
  gal_vdv ( s, 7.32738097290e-10, 0.0, "gal_gmjgm3", "s 48 13" ) ;  
  gal_stget ( 48, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.25801321149e-10, 0.0, "gal_gmjgm3", "c 48 14" ) ;  
  gal_vdv ( s, 5.31019342943e-10, 0.0, "gal_gmjgm3", "s 48 14" ) ;  
  gal_stget ( 48, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.56649027792e-09, 0.0, "gal_gmjgm3", "c 48 15" ) ;  
  gal_vdv ( s, 1.02064549507e-09, 0.0, "gal_gmjgm3", "s 48 15" ) ;  
  gal_stget ( 48, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.38897705842e-10, 0.0, "gal_gmjgm3", "c 48 16" ) ;  
  gal_vdv ( s, 1.76007972507e-09, 0.0, "gal_gmjgm3", "s 48 16" ) ;  
  gal_stget ( 48, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.76063276186e-10, 0.0, "gal_gmjgm3", "c 48 17" ) ;  
  gal_vdv ( s, 1.94646797758e-09, 0.0, "gal_gmjgm3", "s 48 17" ) ;  
  gal_stget ( 48, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.70895197249e-09, 0.0, "gal_gmjgm3", "c 48 18" ) ;  
  gal_vdv ( s, 3.32205207360e-09, 0.0, "gal_gmjgm3", "s 48 18" ) ;  
  gal_stget ( 48, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.81885989457e-09, 0.0, "gal_gmjgm3", "c 48 19" ) ;  
  gal_vdv ( s, 3.06577686413e-09, 0.0, "gal_gmjgm3", "s 48 19" ) ;  
  gal_stget ( 48, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.47217789468e-09, 0.0, "gal_gmjgm3", "c 48 20" ) ;  
  gal_vdv ( s, 5.05297909768e-09, 0.0, "gal_gmjgm3", "s 48 20" ) ;  
  gal_stget ( 48, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.63897080968e-09, 0.0, "gal_gmjgm3", "c 48 21" ) ;  
  gal_vdv ( s, -1.12153354966e-09, 0.0, "gal_gmjgm3", "s 48 21" ) ;  
  gal_stget ( 48, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.79017520495e-09, 0.0, "gal_gmjgm3", "c 48 22" ) ;  
  gal_vdv ( s, 3.34490415010e-09, 0.0, "gal_gmjgm3", "s 48 22" ) ;  
  gal_stget ( 48, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.64710784217e-09, 0.0, "gal_gmjgm3", "c 48 23" ) ;  
  gal_vdv ( s, -1.50904252175e-09, 0.0, "gal_gmjgm3", "s 48 23" ) ;  
  gal_stget ( 48, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.64019518687e-09, 0.0, "gal_gmjgm3", "c 48 24" ) ;  
  gal_vdv ( s, -5.90721227895e-10, 0.0, "gal_gmjgm3", "s 48 24" ) ;  
  gal_stget ( 48, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.52292160620e-09, 0.0, "gal_gmjgm3", "c 48 25" ) ;  
  gal_vdv ( s, -1.60458398111e-10, 0.0, "gal_gmjgm3", "s 48 25" ) ;  
  gal_stget ( 48, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.30185008110e-10, 0.0, "gal_gmjgm3", "c 48 26" ) ;  
  gal_vdv ( s, -5.69823481572e-09, 0.0, "gal_gmjgm3", "s 48 26" ) ;  
  gal_stget ( 48, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.66280135147e-09, 0.0, "gal_gmjgm3", "c 48 27" ) ;  
  gal_vdv ( s, 6.26360124196e-09, 0.0, "gal_gmjgm3", "s 48 27" ) ;  
  gal_stget ( 48, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.45075833261e-09, 0.0, "gal_gmjgm3", "c 48 28" ) ;  
  gal_vdv ( s, -7.73685909694e-09, 0.0, "gal_gmjgm3", "s 48 28" ) ;  
  gal_stget ( 48, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.01147417647e-09, 0.0, "gal_gmjgm3", "c 48 29" ) ;  
  gal_vdv ( s, -5.00250514648e-09, 0.0, "gal_gmjgm3", "s 48 29" ) ;  
  gal_stget ( 48, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.62719930787e-10, 0.0, "gal_gmjgm3", "c 48 30" ) ;  
  gal_vdv ( s, -6.27373821872e-10, 0.0, "gal_gmjgm3", "s 48 30" ) ;  
  gal_stget ( 48, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.62984452694e-10, 0.0, "gal_gmjgm3", "c 48 31" ) ;  
  gal_vdv ( s, -2.65921739440e-09, 0.0, "gal_gmjgm3", "s 48 31" ) ;  
  gal_stget ( 48, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.40265788843e-09, 0.0, "gal_gmjgm3", "c 48 32" ) ;  
  gal_vdv ( s, -1.40130395323e-09, 0.0, "gal_gmjgm3", "s 48 32" ) ;  
  gal_stget ( 48, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.57634319949e-10, 0.0, "gal_gmjgm3", "c 48 33" ) ;  
  gal_vdv ( s, 4.41393630917e-10, 0.0, "gal_gmjgm3", "s 48 33" ) ;  
  gal_stget ( 48, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.00828879292e-09, 0.0, "gal_gmjgm3", "c 48 34" ) ;  
  gal_vdv ( s, 6.12388656065e-09, 0.0, "gal_gmjgm3", "s 48 34" ) ;  
  gal_stget ( 48, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.56583698378e-09, 0.0, "gal_gmjgm3", "c 48 35" ) ;  
  gal_vdv ( s, -9.53885732363e-10, 0.0, "gal_gmjgm3", "s 48 35" ) ;  
  gal_stget ( 48, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.68939407806e-09, 0.0, "gal_gmjgm3", "c 48 36" ) ;  
  gal_vdv ( s, 5.56357151157e-10, 0.0, "gal_gmjgm3", "s 48 36" ) ;  
  gal_stget ( 48, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.86192738634e-09, 0.0, "gal_gmjgm3", "c 48 37" ) ;  
  gal_vdv ( s, -2.53059729109e-09, 0.0, "gal_gmjgm3", "s 48 37" ) ;  
  gal_stget ( 48, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.00682641642e-08, 0.0, "gal_gmjgm3", "c 48 38" ) ;  
  gal_vdv ( s, -1.05776226162e-09, 0.0, "gal_gmjgm3", "s 48 38" ) ;  
  gal_stget ( 48, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.71643873714e-09, 0.0, "gal_gmjgm3", "c 48 39" ) ;  
  gal_vdv ( s, -9.48924085571e-09, 0.0, "gal_gmjgm3", "s 48 39" ) ;  
  gal_stget ( 48, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.39687386160e-09, 0.0, "gal_gmjgm3", "c 48 40" ) ;  
  gal_vdv ( s, 5.06144684372e-09, 0.0, "gal_gmjgm3", "s 48 40" ) ;  
  gal_stget ( 48, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.30730929249e-09, 0.0, "gal_gmjgm3", "c 48 41" ) ;  
  gal_vdv ( s, -8.42189147947e-09, 0.0, "gal_gmjgm3", "s 48 41" ) ;  
  gal_stget ( 48, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.82025584570e-09, 0.0, "gal_gmjgm3", "c 48 42" ) ;  
  gal_vdv ( s, 2.39584173991e-09, 0.0, "gal_gmjgm3", "s 48 42" ) ;  
  gal_stget ( 48, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.94643013124e-09, 0.0, "gal_gmjgm3", "c 48 43" ) ;  
  gal_vdv ( s, 5.07491387875e-09, 0.0, "gal_gmjgm3", "s 48 43" ) ;  
  gal_stget ( 48, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.42397676881e-11, 0.0, "gal_gmjgm3", "c 48 44" ) ;  
  gal_vdv ( s, -2.20716309816e-10, 0.0, "gal_gmjgm3", "s 48 44" ) ;  
  gal_stget ( 48, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.79754522159e-09, 0.0, "gal_gmjgm3", "c 48 45" ) ;  
  gal_vdv ( s, 3.34395039948e-09, 0.0, "gal_gmjgm3", "s 48 45" ) ;  
  gal_stget ( 48, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.40218225437e-09, 0.0, "gal_gmjgm3", "c 48 46" ) ;  
  gal_vdv ( s, 9.15741091457e-09, 0.0, "gal_gmjgm3", "s 48 46" ) ;  
  gal_stget ( 48, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.07626182752e-09, 0.0, "gal_gmjgm3", "c 48 47" ) ;  
  gal_vdv ( s, 5.33666739183e-09, 0.0, "gal_gmjgm3", "s 48 47" ) ;  
  gal_stget ( 48, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.20332980499e-09, 0.0, "gal_gmjgm3", "c 48 48" ) ;  
  gal_vdv ( s, -1.69824369672e-09, 0.0, "gal_gmjgm3", "s 48 48" ) ;  
  gal_stget ( 49, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.95624448388e-10, 0.0, "gal_gmjgm3", "c 49 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 49 0" ) ;  
  gal_stget ( 49, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.78559089916e-09, 0.0, "gal_gmjgm3", "c 49 1" ) ;  
  gal_vdv ( s, 2.66053652395e-10, 0.0, "gal_gmjgm3", "s 49 1" ) ;  
  gal_stget ( 49, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.50970925647e-10, 0.0, "gal_gmjgm3", "c 49 2" ) ;  
  gal_vdv ( s, 3.61309433754e-09, 0.0, "gal_gmjgm3", "s 49 2" ) ;  
  gal_stget ( 49, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.47067044883e-09, 0.0, "gal_gmjgm3", "c 49 3" ) ;  
  gal_vdv ( s, 9.60818949130e-10, 0.0, "gal_gmjgm3", "s 49 3" ) ;  
  gal_stget ( 49, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.21557547267e-10, 0.0, "gal_gmjgm3", "c 49 4" ) ;  
  gal_vdv ( s, 9.53983379066e-09, 0.0, "gal_gmjgm3", "s 49 4" ) ;  
  gal_stget ( 49, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.79850666974e-09, 0.0, "gal_gmjgm3", "c 49 5" ) ;  
  gal_vdv ( s, 1.19993392158e-10, 0.0, "gal_gmjgm3", "s 49 5" ) ;  
  gal_stget ( 49, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.08266964523e-09, 0.0, "gal_gmjgm3", "c 49 6" ) ;  
  gal_vdv ( s, 3.10719294670e-09, 0.0, "gal_gmjgm3", "s 49 6" ) ;  
  gal_stget ( 49, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.31472967170e-09, 0.0, "gal_gmjgm3", "c 49 7" ) ;  
  gal_vdv ( s, 2.76537375288e-09, 0.0, "gal_gmjgm3", "s 49 7" ) ;  
  gal_stget ( 49, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.77878788972e-09, 0.0, "gal_gmjgm3", "c 49 8" ) ;  
  gal_vdv ( s, 3.12732619492e-09, 0.0, "gal_gmjgm3", "s 49 8" ) ;  
  gal_stget ( 49, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.61068653475e-09, 0.0, "gal_gmjgm3", "c 49 9" ) ;  
  gal_vdv ( s, 4.45893271478e-09, 0.0, "gal_gmjgm3", "s 49 9" ) ;  
  gal_stget ( 49, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.23291542441e-09, 0.0, "gal_gmjgm3", "c 49 10" ) ;  
  gal_vdv ( s, -1.66730924204e-10, 0.0, "gal_gmjgm3", "s 49 10" ) ;  
  gal_stget ( 49, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.54856155557e-09, 0.0, "gal_gmjgm3", "c 49 11" ) ;  
  gal_vdv ( s, 1.22620044963e-09, 0.0, "gal_gmjgm3", "s 49 11" ) ;  
  gal_stget ( 49, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.39216921554e-09, 0.0, "gal_gmjgm3", "c 49 12" ) ;  
  gal_vdv ( s, -2.15177037651e-09, 0.0, "gal_gmjgm3", "s 49 12" ) ;  
  gal_stget ( 49, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.36885757532e-09, 0.0, "gal_gmjgm3", "c 49 13" ) ;  
  gal_vdv ( s, 2.72099206697e-09, 0.0, "gal_gmjgm3", "s 49 13" ) ;  
  gal_stget ( 49, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.24785150743e-09, 0.0, "gal_gmjgm3", "c 49 14" ) ;  
  gal_vdv ( s, -2.08015600059e-09, 0.0, "gal_gmjgm3", "s 49 14" ) ;  
  gal_stget ( 49, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.64327624872e-10, 0.0, "gal_gmjgm3", "c 49 15" ) ;  
  gal_vdv ( s, 3.39746112797e-10, 0.0, "gal_gmjgm3", "s 49 15" ) ;  
  gal_stget ( 49, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.29320727984e-09, 0.0, "gal_gmjgm3", "c 49 16" ) ;  
  gal_vdv ( s, -4.32209536169e-09, 0.0, "gal_gmjgm3", "s 49 16" ) ;  
  gal_stget ( 49, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.98979334778e-09, 0.0, "gal_gmjgm3", "c 49 17" ) ;  
  gal_vdv ( s, -1.42022308141e-09, 0.0, "gal_gmjgm3", "s 49 17" ) ;  
  gal_stget ( 49, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.65099177274e-10, 0.0, "gal_gmjgm3", "c 49 18" ) ;  
  gal_vdv ( s, -1.17152280066e-09, 0.0, "gal_gmjgm3", "s 49 18" ) ;  
  gal_stget ( 49, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.26094920447e-09, 0.0, "gal_gmjgm3", "c 49 19" ) ;  
  gal_vdv ( s, -8.03368813289e-10, 0.0, "gal_gmjgm3", "s 49 19" ) ;  
  gal_stget ( 49, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.29203341197e-09, 0.0, "gal_gmjgm3", "c 49 20" ) ;  
  gal_vdv ( s, 3.76918367992e-10, 0.0, "gal_gmjgm3", "s 49 20" ) ;  
  gal_stget ( 49, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.94141479739e-10, 0.0, "gal_gmjgm3", "c 49 21" ) ;  
  gal_vdv ( s, -3.80663939737e-09, 0.0, "gal_gmjgm3", "s 49 21" ) ;  
  gal_stget ( 49, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.47218131546e-10, 0.0, "gal_gmjgm3", "c 49 22" ) ;  
  gal_vdv ( s, 4.57484896881e-09, 0.0, "gal_gmjgm3", "s 49 22" ) ;  
  gal_stget ( 49, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.37232270238e-09, 0.0, "gal_gmjgm3", "c 49 23" ) ;  
  gal_vdv ( s, -3.94769981484e-10, 0.0, "gal_gmjgm3", "s 49 23" ) ;  
  gal_stget ( 49, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.08107864141e-09, 0.0, "gal_gmjgm3", "c 49 24" ) ;  
  gal_vdv ( s, 1.74393593742e-09, 0.0, "gal_gmjgm3", "s 49 24" ) ;  
  gal_stget ( 49, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.26023675810e-09, 0.0, "gal_gmjgm3", "c 49 25" ) ;  
  gal_vdv ( s, 3.91492420199e-09, 0.0, "gal_gmjgm3", "s 49 25" ) ;  
  gal_stget ( 49, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.13525244288e-09, 0.0, "gal_gmjgm3", "c 49 26" ) ;  
  gal_vdv ( s, -4.09632697446e-10, 0.0, "gal_gmjgm3", "s 49 26" ) ;  
  gal_stget ( 49, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.44787700043e-09, 0.0, "gal_gmjgm3", "c 49 27" ) ;  
  gal_vdv ( s, 3.93587855574e-09, 0.0, "gal_gmjgm3", "s 49 27" ) ;  
  gal_stget ( 49, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.84819582777e-09, 0.0, "gal_gmjgm3", "c 49 28" ) ;  
  gal_vdv ( s, -1.13481070152e-08, 0.0, "gal_gmjgm3", "s 49 28" ) ;  
  gal_stget ( 49, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.72148656579e-10, 0.0, "gal_gmjgm3", "c 49 29" ) ;  
  gal_vdv ( s, 5.82278588487e-10, 0.0, "gal_gmjgm3", "s 49 29" ) ;  
  gal_stget ( 49, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.63543777674e-09, 0.0, "gal_gmjgm3", "c 49 30" ) ;  
  gal_vdv ( s, 2.86327503600e-09, 0.0, "gal_gmjgm3", "s 49 30" ) ;  
  gal_stget ( 49, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.60937940384e-10, 0.0, "gal_gmjgm3", "c 49 31" ) ;  
  gal_vdv ( s, -6.37472612281e-09, 0.0, "gal_gmjgm3", "s 49 31" ) ;  
  gal_stget ( 49, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.73095611131e-09, 0.0, "gal_gmjgm3", "c 49 32" ) ;  
  gal_vdv ( s, -5.08735031905e-09, 0.0, "gal_gmjgm3", "s 49 32" ) ;  
  gal_stget ( 49, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.18474052785e-09, 0.0, "gal_gmjgm3", "c 49 33" ) ;  
  gal_vdv ( s, -1.84440050542e-09, 0.0, "gal_gmjgm3", "s 49 33" ) ;  
  gal_stget ( 49, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.91524073695e-09, 0.0, "gal_gmjgm3", "c 49 34" ) ;  
  gal_vdv ( s, 2.36867169627e-10, 0.0, "gal_gmjgm3", "s 49 34" ) ;  
  gal_stget ( 49, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.88892394018e-09, 0.0, "gal_gmjgm3", "c 49 35" ) ;  
  gal_vdv ( s, 4.11162598876e-09, 0.0, "gal_gmjgm3", "s 49 35" ) ;  
  gal_stget ( 49, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.10419221077e-09, 0.0, "gal_gmjgm3", "c 49 36" ) ;  
  gal_vdv ( s, 1.87879049910e-09, 0.0, "gal_gmjgm3", "s 49 36" ) ;  
  gal_stget ( 49, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.20041977493e-10, 0.0, "gal_gmjgm3", "c 49 37" ) ;  
  gal_vdv ( s, 1.74493970258e-09, 0.0, "gal_gmjgm3", "s 49 37" ) ;  
  gal_stget ( 49, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.10464707824e-10, 0.0, "gal_gmjgm3", "c 49 38" ) ;  
  gal_vdv ( s, -1.25266407707e-09, 0.0, "gal_gmjgm3", "s 49 38" ) ;  
  gal_stget ( 49, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.69765624825e-09, 0.0, "gal_gmjgm3", "c 49 39" ) ;  
  gal_vdv ( s, 1.28214218483e-09, 0.0, "gal_gmjgm3", "s 49 39" ) ;  
  gal_stget ( 49, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.26326623696e-09, 0.0, "gal_gmjgm3", "c 49 40" ) ;  
  gal_vdv ( s, 1.68200226553e-09, 0.0, "gal_gmjgm3", "s 49 40" ) ;  
  gal_stget ( 49, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.11583624193e-10, 0.0, "gal_gmjgm3", "c 49 41" ) ;  
  gal_vdv ( s, -1.83530621905e-09, 0.0, "gal_gmjgm3", "s 49 41" ) ;  
  gal_stget ( 49, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.54209826621e-09, 0.0, "gal_gmjgm3", "c 49 42" ) ;  
  gal_vdv ( s, 1.03880680496e-09, 0.0, "gal_gmjgm3", "s 49 42" ) ;  
  gal_stget ( 49, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.41435703986e-09, 0.0, "gal_gmjgm3", "c 49 43" ) ;  
  gal_vdv ( s, -6.52165816190e-09, 0.0, "gal_gmjgm3", "s 49 43" ) ;  
  gal_stget ( 49, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.41440261448e-09, 0.0, "gal_gmjgm3", "c 49 44" ) ;  
  gal_vdv ( s, 6.03278676887e-09, 0.0, "gal_gmjgm3", "s 49 44" ) ;  
  gal_stget ( 49, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.30729150653e-09, 0.0, "gal_gmjgm3", "c 49 45" ) ;  
  gal_vdv ( s, -1.51400693645e-09, 0.0, "gal_gmjgm3", "s 49 45" ) ;  
  gal_stget ( 49, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.47329958100e-09, 0.0, "gal_gmjgm3", "c 49 46" ) ;  
  gal_vdv ( s, 8.26046891241e-10, 0.0, "gal_gmjgm3", "s 49 46" ) ;  
  gal_stget ( 49, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.92010034845e-09, 0.0, "gal_gmjgm3", "c 49 47" ) ;  
  gal_vdv ( s, -4.79789635811e-11, 0.0, "gal_gmjgm3", "s 49 47" ) ;  
  gal_stget ( 49, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.29567233773e-09, 0.0, "gal_gmjgm3", "c 49 48" ) ;  
  gal_vdv ( s, 9.21983359328e-10, 0.0, "gal_gmjgm3", "s 49 48" ) ;  
  gal_stget ( 49, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.95325315415e-09, 0.0, "gal_gmjgm3", "c 49 49" ) ;  
  gal_vdv ( s, 8.74022631912e-10, 0.0, "gal_gmjgm3", "s 49 49" ) ;  
  gal_stget ( 50, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.29781074273e-09, 0.0, "gal_gmjgm3", "c 50 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 50 0" ) ;  
  gal_stget ( 50, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.22487317990e-09, 0.0, "gal_gmjgm3", "c 50 1" ) ;  
  gal_vdv ( s, -1.53396999782e-09, 0.0, "gal_gmjgm3", "s 50 1" ) ;  
  gal_stget ( 50, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.42881929573e-09, 0.0, "gal_gmjgm3", "c 50 2" ) ;  
  gal_vdv ( s, -2.50151877173e-09, 0.0, "gal_gmjgm3", "s 50 2" ) ;  
  gal_stget ( 50, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.43687161631e-10, 0.0, "gal_gmjgm3", "c 50 3" ) ;  
  gal_vdv ( s, -9.51169406835e-10, 0.0, "gal_gmjgm3", "s 50 3" ) ;  
  gal_stget ( 50, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.60320936782e-09, 0.0, "gal_gmjgm3", "c 50 4" ) ;  
  gal_vdv ( s, 1.07774669857e-10, 0.0, "gal_gmjgm3", "s 50 4" ) ;  
  gal_stget ( 50, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.07937064684e-09, 0.0, "gal_gmjgm3", "c 50 5" ) ;  
  gal_vdv ( s, -1.47685009926e-09, 0.0, "gal_gmjgm3", "s 50 5" ) ;  
  gal_stget ( 50, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.25226005893e-10, 0.0, "gal_gmjgm3", "c 50 6" ) ;  
  gal_vdv ( s, 8.12543681068e-10, 0.0, "gal_gmjgm3", "s 50 6" ) ;  
  gal_stget ( 50, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.11837013921e-09, 0.0, "gal_gmjgm3", "c 50 7" ) ;  
  gal_vdv ( s, 3.76812830561e-09, 0.0, "gal_gmjgm3", "s 50 7" ) ;  
  gal_stget ( 50, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.33929670325e-09, 0.0, "gal_gmjgm3", "c 50 8" ) ;  
  gal_vdv ( s, -5.90963674634e-10, 0.0, "gal_gmjgm3", "s 50 8" ) ;  
  gal_stget ( 50, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.07454720546e-10, 0.0, "gal_gmjgm3", "c 50 9" ) ;  
  gal_vdv ( s, 3.79213903935e-09, 0.0, "gal_gmjgm3", "s 50 9" ) ;  
  gal_stget ( 50, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.05262101387e-09, 0.0, "gal_gmjgm3", "c 50 10" ) ;  
  gal_vdv ( s, -4.88367307787e-10, 0.0, "gal_gmjgm3", "s 50 10" ) ;  
  gal_stget ( 50, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.95557706307e-09, 0.0, "gal_gmjgm3", "c 50 11" ) ;  
  gal_vdv ( s, 3.05128250722e-09, 0.0, "gal_gmjgm3", "s 50 11" ) ;  
  gal_stget ( 50, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.89156826926e-09, 0.0, "gal_gmjgm3", "c 50 12" ) ;  
  gal_vdv ( s, 4.20745725538e-09, 0.0, "gal_gmjgm3", "s 50 12" ) ;  
  gal_stget ( 50, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.70267589360e-10, 0.0, "gal_gmjgm3", "c 50 13" ) ;  
  gal_vdv ( s, 5.64133420433e-10, 0.0, "gal_gmjgm3", "s 50 13" ) ;  
  gal_stget ( 50, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.88385120877e-09, 0.0, "gal_gmjgm3", "c 50 14" ) ;  
  gal_vdv ( s, 3.96844968995e-09, 0.0, "gal_gmjgm3", "s 50 14" ) ;  
  gal_stget ( 50, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.04903375703e-09, 0.0, "gal_gmjgm3", "c 50 15" ) ;  
  gal_vdv ( s, -3.52829040472e-09, 0.0, "gal_gmjgm3", "s 50 15" ) ;  
  gal_stget ( 50, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.89719314855e-09, 0.0, "gal_gmjgm3", "c 50 16" ) ;  
  gal_vdv ( s, -6.45965893978e-09, 0.0, "gal_gmjgm3", "s 50 16" ) ;  
  gal_stget ( 50, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.52954308093e-10, 0.0, "gal_gmjgm3", "c 50 17" ) ;  
  gal_vdv ( s, -3.14652737072e-09, 0.0, "gal_gmjgm3", "s 50 17" ) ;  
  gal_stget ( 50, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.19477551898e-09, 0.0, "gal_gmjgm3", "c 50 18" ) ;  
  gal_vdv ( s, -3.39479063949e-09, 0.0, "gal_gmjgm3", "s 50 18" ) ;  
  gal_stget ( 50, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.62062289162e-10, 0.0, "gal_gmjgm3", "c 50 19" ) ;  
  gal_vdv ( s, 1.35764059015e-09, 0.0, "gal_gmjgm3", "s 50 19" ) ;  
  gal_stget ( 50, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.27730938468e-09, 0.0, "gal_gmjgm3", "c 50 20" ) ;  
  gal_vdv ( s, -1.00865615465e-09, 0.0, "gal_gmjgm3", "s 50 20" ) ;  
  gal_stget ( 50, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.36979161014e-10, 0.0, "gal_gmjgm3", "c 50 21" ) ;  
  gal_vdv ( s, -5.38981422243e-10, 0.0, "gal_gmjgm3", "s 50 21" ) ;  
  gal_stget ( 50, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.58254744882e-10, 0.0, "gal_gmjgm3", "c 50 22" ) ;  
  gal_vdv ( s, 3.01701636577e-10, 0.0, "gal_gmjgm3", "s 50 22" ) ;  
  gal_stget ( 50, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.03781352468e-09, 0.0, "gal_gmjgm3", "c 50 23" ) ;  
  gal_vdv ( s, -6.36391820790e-09, 0.0, "gal_gmjgm3", "s 50 23" ) ;  
  gal_stget ( 50, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.31249348404e-09, 0.0, "gal_gmjgm3", "c 50 24" ) ;  
  gal_vdv ( s, -1.45632323598e-09, 0.0, "gal_gmjgm3", "s 50 24" ) ;  
  gal_stget ( 50, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.37800441395e-09, 0.0, "gal_gmjgm3", "c 50 25" ) ;  
  gal_vdv ( s, 1.74298977428e-09, 0.0, "gal_gmjgm3", "s 50 25" ) ;  
  gal_stget ( 50, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.72149563449e-09, 0.0, "gal_gmjgm3", "c 50 26" ) ;  
  gal_vdv ( s, -1.61331183254e-09, 0.0, "gal_gmjgm3", "s 50 26" ) ;  
  gal_stget ( 50, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.61134277249e-09, 0.0, "gal_gmjgm3", "c 50 27" ) ;  
  gal_vdv ( s, -1.42167274562e-09, 0.0, "gal_gmjgm3", "s 50 27" ) ;  
  gal_stget ( 50, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.09221023968e-09, 0.0, "gal_gmjgm3", "c 50 28" ) ;  
  gal_vdv ( s, 5.49868664128e-09, 0.0, "gal_gmjgm3", "s 50 28" ) ;  
  gal_stget ( 50, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.31470828590e-09, 0.0, "gal_gmjgm3", "c 50 29" ) ;  
  gal_vdv ( s, 3.03449931635e-09, 0.0, "gal_gmjgm3", "s 50 29" ) ;  
  gal_stget ( 50, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.24250744237e-09, 0.0, "gal_gmjgm3", "c 50 30" ) ;  
  gal_vdv ( s, 6.72252435059e-09, 0.0, "gal_gmjgm3", "s 50 30" ) ;  
  gal_stget ( 50, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.15183375967e-09, 0.0, "gal_gmjgm3", "c 50 31" ) ;  
  gal_vdv ( s, 5.78556028796e-09, 0.0, "gal_gmjgm3", "s 50 31" ) ;  
  gal_stget ( 50, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.69392944569e-10, 0.0, "gal_gmjgm3", "c 50 32" ) ;  
  gal_vdv ( s, 1.17674836497e-09, 0.0, "gal_gmjgm3", "s 50 32" ) ;  
  gal_stget ( 50, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.03004178263e-09, 0.0, "gal_gmjgm3", "c 50 33" ) ;  
  gal_vdv ( s, -1.75229040896e-09, 0.0, "gal_gmjgm3", "s 50 33" ) ;  
  gal_stget ( 50, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.92045464589e-09, 0.0, "gal_gmjgm3", "c 50 34" ) ;  
  gal_vdv ( s, -1.70024276454e-09, 0.0, "gal_gmjgm3", "s 50 34" ) ;  
  gal_stget ( 50, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.93547181290e-10, 0.0, "gal_gmjgm3", "c 50 35" ) ;  
  gal_vdv ( s, 2.30498043553e-10, 0.0, "gal_gmjgm3", "s 50 35" ) ;  
  gal_stget ( 50, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.03629232082e-10, 0.0, "gal_gmjgm3", "c 50 36" ) ;  
  gal_vdv ( s, -3.03111505097e-10, 0.0, "gal_gmjgm3", "s 50 36" ) ;  
  gal_stget ( 50, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.95747555765e-10, 0.0, "gal_gmjgm3", "c 50 37" ) ;  
  gal_vdv ( s, 3.23458099988e-11, 0.0, "gal_gmjgm3", "s 50 37" ) ;  
  gal_stget ( 50, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.66012690455e-09, 0.0, "gal_gmjgm3", "c 50 38" ) ;  
  gal_vdv ( s, -5.97958676611e-09, 0.0, "gal_gmjgm3", "s 50 38" ) ;  
  gal_stget ( 50, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.55329697404e-09, 0.0, "gal_gmjgm3", "c 50 39" ) ;  
  gal_vdv ( s, 7.76359813128e-09, 0.0, "gal_gmjgm3", "s 50 39" ) ;  
  gal_stget ( 50, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.00468906267e-09, 0.0, "gal_gmjgm3", "c 50 40" ) ;  
  gal_vdv ( s, 5.92800648107e-09, 0.0, "gal_gmjgm3", "s 50 40" ) ;  
  gal_stget ( 50, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.51370680912e-09, 0.0, "gal_gmjgm3", "c 50 41" ) ;  
  gal_vdv ( s, -4.50222682237e-09, 0.0, "gal_gmjgm3", "s 50 41" ) ;  
  gal_stget ( 50, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.07630252487e-09, 0.0, "gal_gmjgm3", "c 50 42" ) ;  
  gal_vdv ( s, -3.35773820807e-09, 0.0, "gal_gmjgm3", "s 50 42" ) ;  
  gal_stget ( 50, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.70735433810e-10, 0.0, "gal_gmjgm3", "c 50 43" ) ;  
  gal_vdv ( s, -1.93392441333e-09, 0.0, "gal_gmjgm3", "s 50 43" ) ;  
  gal_stget ( 50, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.51979751615e-10, 0.0, "gal_gmjgm3", "c 50 44" ) ;  
  gal_vdv ( s, -7.69393567099e-10, 0.0, "gal_gmjgm3", "s 50 44" ) ;  
  gal_stget ( 50, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.33200423556e-09, 0.0, "gal_gmjgm3", "c 50 45" ) ;  
  gal_vdv ( s, 4.16891594283e-09, 0.0, "gal_gmjgm3", "s 50 45" ) ;  
  gal_stget ( 50, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.84140865489e-09, 0.0, "gal_gmjgm3", "c 50 46" ) ;  
  gal_vdv ( s, 1.27227081847e-09, 0.0, "gal_gmjgm3", "s 50 46" ) ;  
  gal_stget ( 50, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.94709101901e-09, 0.0, "gal_gmjgm3", "c 50 47" ) ;  
  gal_vdv ( s, -1.06687833858e-08, 0.0, "gal_gmjgm3", "s 50 47" ) ;  
  gal_stget ( 50, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.74440063983e-10, 0.0, "gal_gmjgm3", "c 50 48" ) ;  
  gal_vdv ( s, -7.56276176285e-10, 0.0, "gal_gmjgm3", "s 50 48" ) ;  
  gal_stget ( 50, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.44187636901e-09, 0.0, "gal_gmjgm3", "c 50 49" ) ;  
  gal_vdv ( s, -5.26962376208e-09, 0.0, "gal_gmjgm3", "s 50 49" ) ;  
  gal_stget ( 50, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.47319967299e-09, 0.0, "gal_gmjgm3", "c 50 50" ) ;  
  gal_vdv ( s, 1.67105563933e-09, 0.0, "gal_gmjgm3", "s 50 50" ) ;  
  gal_stget ( 51, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.23042234746e-09, 0.0, "gal_gmjgm3", "c 51 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 51 0" ) ;  
  gal_stget ( 51, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.49143004484e-09, 0.0, "gal_gmjgm3", "c 51 1" ) ;  
  gal_vdv ( s, 5.06062223542e-09, 0.0, "gal_gmjgm3", "s 51 1" ) ;  
  gal_stget ( 51, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.74419454003e-09, 0.0, "gal_gmjgm3", "c 51 2" ) ;  
  gal_vdv ( s, 1.25723662997e-09, 0.0, "gal_gmjgm3", "s 51 2" ) ;  
  gal_stget ( 51, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.15272955668e-09, 0.0, "gal_gmjgm3", "c 51 3" ) ;  
  gal_vdv ( s, -6.12616521698e-09, 0.0, "gal_gmjgm3", "s 51 3" ) ;  
  gal_stget ( 51, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.54465070661e-09, 0.0, "gal_gmjgm3", "c 51 4" ) ;  
  gal_vdv ( s, 1.30603137324e-09, 0.0, "gal_gmjgm3", "s 51 4" ) ;  
  gal_stget ( 51, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.97782432626e-09, 0.0, "gal_gmjgm3", "c 51 5" ) ;  
  gal_vdv ( s, -4.72390282577e-09, 0.0, "gal_gmjgm3", "s 51 5" ) ;  
  gal_stget ( 51, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.17917506934e-10, 0.0, "gal_gmjgm3", "c 51 6" ) ;  
  gal_vdv ( s, -3.99846754699e-09, 0.0, "gal_gmjgm3", "s 51 6" ) ;  
  gal_stget ( 51, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.33179287285e-09, 0.0, "gal_gmjgm3", "c 51 7" ) ;  
  gal_vdv ( s, 1.29640082422e-09, 0.0, "gal_gmjgm3", "s 51 7" ) ;  
  gal_stget ( 51, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.13805571520e-10, 0.0, "gal_gmjgm3", "c 51 8" ) ;  
  gal_vdv ( s, 4.96416811073e-09, 0.0, "gal_gmjgm3", "s 51 8" ) ;  
  gal_stget ( 51, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.42048824307e-10, 0.0, "gal_gmjgm3", "c 51 9" ) ;  
  gal_vdv ( s, -4.26607310433e-09, 0.0, "gal_gmjgm3", "s 51 9" ) ;  
  gal_stget ( 51, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.14818459403e-09, 0.0, "gal_gmjgm3", "c 51 10" ) ;  
  gal_vdv ( s, -2.08781464630e-09, 0.0, "gal_gmjgm3", "s 51 10" ) ;  
  gal_stget ( 51, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.65803051862e-09, 0.0, "gal_gmjgm3", "c 51 11" ) ;  
  gal_vdv ( s, 8.14601689492e-10, 0.0, "gal_gmjgm3", "s 51 11" ) ;  
  gal_stget ( 51, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.59696592412e-09, 0.0, "gal_gmjgm3", "c 51 12" ) ;  
  gal_vdv ( s, 1.34115077638e-09, 0.0, "gal_gmjgm3", "s 51 12" ) ;  
  gal_stget ( 51, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.03768055770e-08, 0.0, "gal_gmjgm3", "c 51 13" ) ;  
  gal_vdv ( s, -1.27242376987e-09, 0.0, "gal_gmjgm3", "s 51 13" ) ;  
  gal_stget ( 51, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.16964090905e-09, 0.0, "gal_gmjgm3", "c 51 14" ) ;  
  gal_vdv ( s, 2.00612967889e-09, 0.0, "gal_gmjgm3", "s 51 14" ) ;  
  gal_stget ( 51, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.53630445797e-10, 0.0, "gal_gmjgm3", "c 51 15" ) ;  
  gal_vdv ( s, -4.50605156763e-10, 0.0, "gal_gmjgm3", "s 51 15" ) ;  
  gal_stget ( 51, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.32281057732e-10, 0.0, "gal_gmjgm3", "c 51 16" ) ;  
  gal_vdv ( s, -1.27988276455e-09, 0.0, "gal_gmjgm3", "s 51 16" ) ;  
  gal_stget ( 51, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.42465681867e-09, 0.0, "gal_gmjgm3", "c 51 17" ) ;  
  gal_vdv ( s, 1.03485583885e-10, 0.0, "gal_gmjgm3", "s 51 17" ) ;  
  gal_stget ( 51, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.67397355774e-10, 0.0, "gal_gmjgm3", "c 51 18" ) ;  
  gal_vdv ( s, -1.10823191506e-09, 0.0, "gal_gmjgm3", "s 51 18" ) ;  
  gal_stget ( 51, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.01125004997e-09, 0.0, "gal_gmjgm3", "c 51 19" ) ;  
  gal_vdv ( s, -5.74722783663e-10, 0.0, "gal_gmjgm3", "s 51 19" ) ;  
  gal_stget ( 51, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.67419822940e-10, 0.0, "gal_gmjgm3", "c 51 20" ) ;  
  gal_vdv ( s, 9.07049745550e-10, 0.0, "gal_gmjgm3", "s 51 20" ) ;  
  gal_stget ( 51, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.19419022164e-09, 0.0, "gal_gmjgm3", "c 51 21" ) ;  
  gal_vdv ( s, -8.97650591813e-10, 0.0, "gal_gmjgm3", "s 51 21" ) ;  
  gal_stget ( 51, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.45168851955e-09, 0.0, "gal_gmjgm3", "c 51 22" ) ;  
  gal_vdv ( s, -2.08150159712e-09, 0.0, "gal_gmjgm3", "s 51 22" ) ;  
  gal_stget ( 51, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.04581163689e-09, 0.0, "gal_gmjgm3", "c 51 23" ) ;  
  gal_vdv ( s, 1.84427215139e-09, 0.0, "gal_gmjgm3", "s 51 23" ) ;  
  gal_stget ( 51, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.27602177228e-09, 0.0, "gal_gmjgm3", "c 51 24" ) ;  
  gal_vdv ( s, -6.01021203093e-09, 0.0, "gal_gmjgm3", "s 51 24" ) ;  
  gal_stget ( 51, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.60730547544e-09, 0.0, "gal_gmjgm3", "c 51 25" ) ;  
  gal_vdv ( s, -2.91500961509e-09, 0.0, "gal_gmjgm3", "s 51 25" ) ;  
  gal_stget ( 51, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.70049126749e-10, 0.0, "gal_gmjgm3", "c 51 26" ) ;  
  gal_vdv ( s, -3.57339759541e-09, 0.0, "gal_gmjgm3", "s 51 26" ) ;  
  gal_stget ( 51, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.99365964100e-09, 0.0, "gal_gmjgm3", "c 51 27" ) ;  
  gal_vdv ( s, -7.10307933190e-09, 0.0, "gal_gmjgm3", "s 51 27" ) ;  
  gal_stget ( 51, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.57193492240e-09, 0.0, "gal_gmjgm3", "c 51 28" ) ;  
  gal_vdv ( s, 6.16536571361e-09, 0.0, "gal_gmjgm3", "s 51 28" ) ;  
  gal_stget ( 51, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.89930630723e-09, 0.0, "gal_gmjgm3", "c 51 29" ) ;  
  gal_vdv ( s, 1.02373788322e-09, 0.0, "gal_gmjgm3", "s 51 29" ) ;  
  gal_stget ( 51, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.02720818535e-09, 0.0, "gal_gmjgm3", "c 51 30" ) ;  
  gal_vdv ( s, 4.62872347716e-09, 0.0, "gal_gmjgm3", "s 51 30" ) ;  
  gal_stget ( 51, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.28101916352e-09, 0.0, "gal_gmjgm3", "c 51 31" ) ;  
  gal_vdv ( s, 7.45508234490e-09, 0.0, "gal_gmjgm3", "s 51 31" ) ;  
  gal_stget ( 51, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.26652635938e-09, 0.0, "gal_gmjgm3", "c 51 32" ) ;  
  gal_vdv ( s, 2.23607130005e-09, 0.0, "gal_gmjgm3", "s 51 32" ) ;  
  gal_stget ( 51, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.42666695240e-09, 0.0, "gal_gmjgm3", "c 51 33" ) ;  
  gal_vdv ( s, 2.15875068528e-09, 0.0, "gal_gmjgm3", "s 51 33" ) ;  
  gal_stget ( 51, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.46966956637e-09, 0.0, "gal_gmjgm3", "c 51 34" ) ;  
  gal_vdv ( s, -4.14777850772e-10, 0.0, "gal_gmjgm3", "s 51 34" ) ;  
  gal_stget ( 51, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.50765270164e-09, 0.0, "gal_gmjgm3", "c 51 35" ) ;  
  gal_vdv ( s, 1.63486092681e-09, 0.0, "gal_gmjgm3", "s 51 35" ) ;  
  gal_stget ( 51, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.12601981647e-09, 0.0, "gal_gmjgm3", "c 51 36" ) ;  
  gal_vdv ( s, 3.87249509505e-10, 0.0, "gal_gmjgm3", "s 51 36" ) ;  
  gal_stget ( 51, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.52887959313e-09, 0.0, "gal_gmjgm3", "c 51 37" ) ;  
  gal_vdv ( s, -5.94870235610e-09, 0.0, "gal_gmjgm3", "s 51 37" ) ;  
  gal_stget ( 51, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.23101818623e-09, 0.0, "gal_gmjgm3", "c 51 38" ) ;  
  gal_vdv ( s, -4.73200160345e-09, 0.0, "gal_gmjgm3", "s 51 38" ) ;  
  gal_stget ( 51, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.81017749635e-09, 0.0, "gal_gmjgm3", "c 51 39" ) ;  
  gal_vdv ( s, -8.33356339491e-10, 0.0, "gal_gmjgm3", "s 51 39" ) ;  
  gal_stget ( 51, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.49214490330e-09, 0.0, "gal_gmjgm3", "c 51 40" ) ;  
  gal_vdv ( s, -1.95028587394e-09, 0.0, "gal_gmjgm3", "s 51 40" ) ;  
  gal_stget ( 51, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.87881728799e-09, 0.0, "gal_gmjgm3", "c 51 41" ) ;  
  gal_vdv ( s, 2.06782558553e-09, 0.0, "gal_gmjgm3", "s 51 41" ) ;  
  gal_stget ( 51, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.67020672794e-10, 0.0, "gal_gmjgm3", "c 51 42" ) ;  
  gal_vdv ( s, 4.15775747459e-09, 0.0, "gal_gmjgm3", "s 51 42" ) ;  
  gal_stget ( 51, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.60488929549e-09, 0.0, "gal_gmjgm3", "c 51 43" ) ;  
  gal_vdv ( s, 2.30588780918e-09, 0.0, "gal_gmjgm3", "s 51 43" ) ;  
  gal_stget ( 51, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.72081391823e-10, 0.0, "gal_gmjgm3", "c 51 44" ) ;  
  gal_vdv ( s, 1.59016580232e-10, 0.0, "gal_gmjgm3", "s 51 44" ) ;  
  gal_stget ( 51, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.34246310591e-09, 0.0, "gal_gmjgm3", "c 51 45" ) ;  
  gal_vdv ( s, -4.71812686081e-09, 0.0, "gal_gmjgm3", "s 51 45" ) ;  
  gal_stget ( 51, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.16232885268e-10, 0.0, "gal_gmjgm3", "c 51 46" ) ;  
  gal_vdv ( s, 8.85000434474e-10, 0.0, "gal_gmjgm3", "s 51 46" ) ;  
  gal_stget ( 51, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.88022114131e-09, 0.0, "gal_gmjgm3", "c 51 47" ) ;  
  gal_vdv ( s, -1.77950564039e-09, 0.0, "gal_gmjgm3", "s 51 47" ) ;  
  gal_stget ( 51, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.22879732352e-09, 0.0, "gal_gmjgm3", "c 51 48" ) ;  
  gal_vdv ( s, 1.63431590802e-09, 0.0, "gal_gmjgm3", "s 51 48" ) ;  
  gal_stget ( 51, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.37153834421e-09, 0.0, "gal_gmjgm3", "c 51 49" ) ;  
  gal_vdv ( s, -2.06742882751e-09, 0.0, "gal_gmjgm3", "s 51 49" ) ;  
  gal_stget ( 51, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.20652636314e-09, 0.0, "gal_gmjgm3", "c 51 50" ) ;  
  gal_vdv ( s, 3.69697743504e-09, 0.0, "gal_gmjgm3", "s 51 50" ) ;  
  gal_stget ( 51, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.98905176119e-10, 0.0, "gal_gmjgm3", "c 51 51" ) ;  
  gal_vdv ( s, 4.62543097778e-09, 0.0, "gal_gmjgm3", "s 51 51" ) ;  
  gal_stget ( 52, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.04116886562e-09, 0.0, "gal_gmjgm3", "c 52 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 52 0" ) ;  
  gal_stget ( 52, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.71393392855e-10, 0.0, "gal_gmjgm3", "c 52 1" ) ;  
  gal_vdv ( s, -6.66784014911e-09, 0.0, "gal_gmjgm3", "s 52 1" ) ;  
  gal_stget ( 52, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.73444036621e-09, 0.0, "gal_gmjgm3", "c 52 2" ) ;  
  gal_vdv ( s, 3.06359411561e-09, 0.0, "gal_gmjgm3", "s 52 2" ) ;  
  gal_stget ( 52, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.87690052375e-09, 0.0, "gal_gmjgm3", "c 52 3" ) ;  
  gal_vdv ( s, -9.26376847437e-10, 0.0, "gal_gmjgm3", "s 52 3" ) ;  
  gal_stget ( 52, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.82478287240e-09, 0.0, "gal_gmjgm3", "c 52 4" ) ;  
  gal_vdv ( s, 2.15137605153e-09, 0.0, "gal_gmjgm3", "s 52 4" ) ;  
  gal_stget ( 52, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.63546226390e-09, 0.0, "gal_gmjgm3", "c 52 5" ) ;  
  gal_vdv ( s, -7.04104478390e-10, 0.0, "gal_gmjgm3", "s 52 5" ) ;  
  gal_stget ( 52, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.96682477224e-09, 0.0, "gal_gmjgm3", "c 52 6" ) ;  
  gal_vdv ( s, -1.12710773790e-09, 0.0, "gal_gmjgm3", "s 52 6" ) ;  
  gal_stget ( 52, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.85293976567e-09, 0.0, "gal_gmjgm3", "c 52 7" ) ;  
  gal_vdv ( s, -2.10583031465e-09, 0.0, "gal_gmjgm3", "s 52 7" ) ;  
  gal_stget ( 52, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.56147111780e-10, 0.0, "gal_gmjgm3", "c 52 8" ) ;  
  gal_vdv ( s, -1.39053811726e-09, 0.0, "gal_gmjgm3", "s 52 8" ) ;  
  gal_stget ( 52, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.38592800660e-09, 0.0, "gal_gmjgm3", "c 52 9" ) ;  
  gal_vdv ( s, -4.00892182493e-09, 0.0, "gal_gmjgm3", "s 52 9" ) ;  
  gal_stget ( 52, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.33809543616e-09, 0.0, "gal_gmjgm3", "c 52 10" ) ;  
  gal_vdv ( s, -1.62723148233e-09, 0.0, "gal_gmjgm3", "s 52 10" ) ;  
  gal_stget ( 52, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.70238621109e-10, 0.0, "gal_gmjgm3", "c 52 11" ) ;  
  gal_vdv ( s, 5.37951610399e-10, 0.0, "gal_gmjgm3", "s 52 11" ) ;  
  gal_stget ( 52, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.82313959810e-09, 0.0, "gal_gmjgm3", "c 52 12" ) ;  
  gal_vdv ( s, -4.31149953765e-09, 0.0, "gal_gmjgm3", "s 52 12" ) ;  
  gal_stget ( 52, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.92398534765e-09, 0.0, "gal_gmjgm3", "c 52 13" ) ;  
  gal_vdv ( s, 2.05163484690e-09, 0.0, "gal_gmjgm3", "s 52 13" ) ;  
  gal_stget ( 52, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.62101273517e-09, 0.0, "gal_gmjgm3", "c 52 14" ) ;  
  gal_vdv ( s, -3.31203025456e-10, 0.0, "gal_gmjgm3", "s 52 14" ) ;  
  gal_stget ( 52, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.54017261993e-09, 0.0, "gal_gmjgm3", "c 52 15" ) ;  
  gal_vdv ( s, 2.45055558128e-09, 0.0, "gal_gmjgm3", "s 52 15" ) ;  
  gal_stget ( 52, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.17125426978e-09, 0.0, "gal_gmjgm3", "c 52 16" ) ;  
  gal_vdv ( s, 3.19732568037e-10, 0.0, "gal_gmjgm3", "s 52 16" ) ;  
  gal_stget ( 52, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.65381602013e-10, 0.0, "gal_gmjgm3", "c 52 17" ) ;  
  gal_vdv ( s, 1.88674889494e-09, 0.0, "gal_gmjgm3", "s 52 17" ) ;  
  gal_stget ( 52, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.25569036211e-09, 0.0, "gal_gmjgm3", "c 52 18" ) ;  
  gal_vdv ( s, 3.34105536861e-10, 0.0, "gal_gmjgm3", "s 52 18" ) ;  
  gal_stget ( 52, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.31343100215e-10, 0.0, "gal_gmjgm3", "c 52 19" ) ;  
  gal_vdv ( s, 5.53409247371e-10, 0.0, "gal_gmjgm3", "s 52 19" ) ;  
  gal_stget ( 52, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.30021090628e-09, 0.0, "gal_gmjgm3", "c 52 20" ) ;  
  gal_vdv ( s, -2.58157916669e-09, 0.0, "gal_gmjgm3", "s 52 20" ) ;  
  gal_stget ( 52, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.36282848897e-10, 0.0, "gal_gmjgm3", "c 52 21" ) ;  
  gal_vdv ( s, -4.07753892609e-10, 0.0, "gal_gmjgm3", "s 52 21" ) ;  
  gal_stget ( 52, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.53264544720e-09, 0.0, "gal_gmjgm3", "c 52 22" ) ;  
  gal_vdv ( s, 2.39680634941e-09, 0.0, "gal_gmjgm3", "s 52 22" ) ;  
  gal_stget ( 52, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.15915967132e-09, 0.0, "gal_gmjgm3", "c 52 23" ) ;  
  gal_vdv ( s, 1.55698799847e-09, 0.0, "gal_gmjgm3", "s 52 23" ) ;  
  gal_stget ( 52, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.08216826887e-09, 0.0, "gal_gmjgm3", "c 52 24" ) ;  
  gal_vdv ( s, 1.69608849997e-09, 0.0, "gal_gmjgm3", "s 52 24" ) ;  
  gal_stget ( 52, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.21473957240e-09, 0.0, "gal_gmjgm3", "c 52 25" ) ;  
  gal_vdv ( s, -2.97872818061e-09, 0.0, "gal_gmjgm3", "s 52 25" ) ;  
  gal_stget ( 52, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.96335602115e-09, 0.0, "gal_gmjgm3", "c 52 26" ) ;  
  gal_vdv ( s, -2.03812463205e-09, 0.0, "gal_gmjgm3", "s 52 26" ) ;  
  gal_stget ( 52, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.23566060464e-10, 0.0, "gal_gmjgm3", "c 52 27" ) ;  
  gal_vdv ( s, -3.30786231569e-09, 0.0, "gal_gmjgm3", "s 52 27" ) ;  
  gal_stget ( 52, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.72386284666e-10, 0.0, "gal_gmjgm3", "c 52 28" ) ;  
  gal_vdv ( s, 1.57101785833e-09, 0.0, "gal_gmjgm3", "s 52 28" ) ;  
  gal_stget ( 52, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.76497529339e-09, 0.0, "gal_gmjgm3", "c 52 29" ) ;  
  gal_vdv ( s, -3.25103300374e-09, 0.0, "gal_gmjgm3", "s 52 29" ) ;  
  gal_stget ( 52, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.49152632419e-09, 0.0, "gal_gmjgm3", "c 52 30" ) ;  
  gal_vdv ( s, 1.48111228135e-09, 0.0, "gal_gmjgm3", "s 52 30" ) ;  
  gal_stget ( 52, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.04821947262e-10, 0.0, "gal_gmjgm3", "c 52 31" ) ;  
  gal_vdv ( s, -8.56870384582e-10, 0.0, "gal_gmjgm3", "s 52 31" ) ;  
  gal_stget ( 52, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.29933035281e-09, 0.0, "gal_gmjgm3", "c 52 32" ) ;  
  gal_vdv ( s, -5.50905154367e-09, 0.0, "gal_gmjgm3", "s 52 32" ) ;  
  gal_stget ( 52, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.68633788908e-10, 0.0, "gal_gmjgm3", "c 52 33" ) ;  
  gal_vdv ( s, -1.79940466750e-10, 0.0, "gal_gmjgm3", "s 52 33" ) ;  
  gal_stget ( 52, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.30675192196e-09, 0.0, "gal_gmjgm3", "c 52 34" ) ;  
  gal_vdv ( s, -1.25459087664e-09, 0.0, "gal_gmjgm3", "s 52 34" ) ;  
  gal_stget ( 52, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.25507624730e-09, 0.0, "gal_gmjgm3", "c 52 35" ) ;  
  gal_vdv ( s, 5.81354974896e-09, 0.0, "gal_gmjgm3", "s 52 35" ) ;  
  gal_stget ( 52, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.65379741208e-10, 0.0, "gal_gmjgm3", "c 52 36" ) ;  
  gal_vdv ( s, 3.97796148025e-09, 0.0, "gal_gmjgm3", "s 52 36" ) ;  
  gal_stget ( 52, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.26340745942e-09, 0.0, "gal_gmjgm3", "c 52 37" ) ;  
  gal_vdv ( s, 1.35482557801e-09, 0.0, "gal_gmjgm3", "s 52 37" ) ;  
  gal_stget ( 52, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.83604593300e-09, 0.0, "gal_gmjgm3", "c 52 38" ) ;  
  gal_vdv ( s, -7.72110305719e-10, 0.0, "gal_gmjgm3", "s 52 38" ) ;  
  gal_stget ( 52, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.43778981358e-09, 0.0, "gal_gmjgm3", "c 52 39" ) ;  
  gal_vdv ( s, -2.08959016916e-09, 0.0, "gal_gmjgm3", "s 52 39" ) ;  
  gal_stget ( 52, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.03013663768e-08, 0.0, "gal_gmjgm3", "c 52 40" ) ;  
  gal_vdv ( s, -1.73308973281e-09, 0.0, "gal_gmjgm3", "s 52 40" ) ;  
  gal_stget ( 52, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.89576306775e-09, 0.0, "gal_gmjgm3", "c 52 41" ) ;  
  gal_vdv ( s, -3.33881973991e-09, 0.0, "gal_gmjgm3", "s 52 41" ) ;  
  gal_stget ( 52, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.86005848002e-09, 0.0, "gal_gmjgm3", "c 52 42" ) ;  
  gal_vdv ( s, -6.25855588319e-09, 0.0, "gal_gmjgm3", "s 52 42" ) ;  
  gal_stget ( 52, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.08777992714e-09, 0.0, "gal_gmjgm3", "c 52 43" ) ;  
  gal_vdv ( s, -1.82454055737e-09, 0.0, "gal_gmjgm3", "s 52 43" ) ;  
  gal_stget ( 52, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.84041295569e-09, 0.0, "gal_gmjgm3", "c 52 44" ) ;  
  gal_vdv ( s, 5.02770000379e-10, 0.0, "gal_gmjgm3", "s 52 44" ) ;  
  gal_stget ( 52, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.17069195238e-09, 0.0, "gal_gmjgm3", "c 52 45" ) ;  
  gal_vdv ( s, -1.56505717452e-09, 0.0, "gal_gmjgm3", "s 52 45" ) ;  
  gal_stget ( 52, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.29075596535e-10, 0.0, "gal_gmjgm3", "c 52 46" ) ;  
  gal_vdv ( s, 4.44524497375e-09, 0.0, "gal_gmjgm3", "s 52 46" ) ;  
  gal_stget ( 52, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.11807919046e-09, 0.0, "gal_gmjgm3", "c 52 47" ) ;  
  gal_vdv ( s, 6.09482573544e-09, 0.0, "gal_gmjgm3", "s 52 47" ) ;  
  gal_stget ( 52, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.35073167506e-09, 0.0, "gal_gmjgm3", "c 52 48" ) ;  
  gal_vdv ( s, 2.39832133304e-09, 0.0, "gal_gmjgm3", "s 52 48" ) ;  
  gal_stget ( 52, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.34518285551e-09, 0.0, "gal_gmjgm3", "c 52 49" ) ;  
  gal_vdv ( s, 6.41975646198e-09, 0.0, "gal_gmjgm3", "s 52 49" ) ;  
  gal_stget ( 52, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.30121297544e-09, 0.0, "gal_gmjgm3", "c 52 50" ) ;  
  gal_vdv ( s, -7.62622023923e-11, 0.0, "gal_gmjgm3", "s 52 50" ) ;  
  gal_stget ( 52, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.71977417801e-09, 0.0, "gal_gmjgm3", "c 52 51" ) ;  
  gal_vdv ( s, -2.25469282542e-09, 0.0, "gal_gmjgm3", "s 52 51" ) ;  
  gal_stget ( 52, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.68468266889e-09, 0.0, "gal_gmjgm3", "c 52 52" ) ;  
  gal_vdv ( s, -3.05788299730e-09, 0.0, "gal_gmjgm3", "s 52 52" ) ;  
  gal_stget ( 53, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.99868413776e-09, 0.0, "gal_gmjgm3", "c 53 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 53 0" ) ;  
  gal_stget ( 53, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.00613019028e-09, 0.0, "gal_gmjgm3", "c 53 1" ) ;  
  gal_vdv ( s, 1.04786374342e-09, 0.0, "gal_gmjgm3", "s 53 1" ) ;  
  gal_stget ( 53, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.08646916317e-09, 0.0, "gal_gmjgm3", "c 53 2" ) ;  
  gal_vdv ( s, -1.18626186790e-09, 0.0, "gal_gmjgm3", "s 53 2" ) ;  
  gal_stget ( 53, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.48380809937e-10, 0.0, "gal_gmjgm3", "c 53 3" ) ;  
  gal_vdv ( s, 7.50799905115e-10, 0.0, "gal_gmjgm3", "s 53 3" ) ;  
  gal_stget ( 53, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.15325651813e-09, 0.0, "gal_gmjgm3", "c 53 4" ) ;  
  gal_vdv ( s, 5.34432664476e-10, 0.0, "gal_gmjgm3", "s 53 4" ) ;  
  gal_stget ( 53, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.67826083439e-10, 0.0, "gal_gmjgm3", "c 53 5" ) ;  
  gal_vdv ( s, -4.28522796562e-09, 0.0, "gal_gmjgm3", "s 53 5" ) ;  
  gal_stget ( 53, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.21958696306e-09, 0.0, "gal_gmjgm3", "c 53 6" ) ;  
  gal_vdv ( s, 1.94097047023e-10, 0.0, "gal_gmjgm3", "s 53 6" ) ;  
  gal_stget ( 53, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.35589516778e-10, 0.0, "gal_gmjgm3", "c 53 7" ) ;  
  gal_vdv ( s, -6.87088061725e-09, 0.0, "gal_gmjgm3", "s 53 7" ) ;  
  gal_stget ( 53, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.00727895525e-09, 0.0, "gal_gmjgm3", "c 53 8" ) ;  
  gal_vdv ( s, 4.19090731403e-11, 0.0, "gal_gmjgm3", "s 53 8" ) ;  
  gal_stget ( 53, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.51625557252e-09, 0.0, "gal_gmjgm3", "c 53 9" ) ;  
  gal_vdv ( s, -3.14171787009e-09, 0.0, "gal_gmjgm3", "s 53 9" ) ;  
  gal_stget ( 53, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.13227087557e-08, 0.0, "gal_gmjgm3", "c 53 10" ) ;  
  gal_vdv ( s, -3.03402912538e-09, 0.0, "gal_gmjgm3", "s 53 10" ) ;  
  gal_stget ( 53, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.13679061327e-10, 0.0, "gal_gmjgm3", "c 53 11" ) ;  
  gal_vdv ( s, 4.13665271095e-10, 0.0, "gal_gmjgm3", "s 53 11" ) ;  
  gal_stget ( 53, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.32330971887e-10, 0.0, "gal_gmjgm3", "c 53 12" ) ;  
  gal_vdv ( s, -4.32388413446e-09, 0.0, "gal_gmjgm3", "s 53 12" ) ;  
  gal_stget ( 53, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.06760556948e-09, 0.0, "gal_gmjgm3", "c 53 13" ) ;  
  gal_vdv ( s, 1.55463534436e-09, 0.0, "gal_gmjgm3", "s 53 13" ) ;  
  gal_stget ( 53, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.67057083330e-09, 0.0, "gal_gmjgm3", "c 53 14" ) ;  
  gal_vdv ( s, -1.16486960194e-09, 0.0, "gal_gmjgm3", "s 53 14" ) ;  
  gal_stget ( 53, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.12483666134e-09, 0.0, "gal_gmjgm3", "c 53 15" ) ;  
  gal_vdv ( s, 4.67339085685e-09, 0.0, "gal_gmjgm3", "s 53 15" ) ;  
  gal_stget ( 53, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.91558222016e-10, 0.0, "gal_gmjgm3", "c 53 16" ) ;  
  gal_vdv ( s, 3.91260373452e-09, 0.0, "gal_gmjgm3", "s 53 16" ) ;  
  gal_stget ( 53, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.05027893246e-09, 0.0, "gal_gmjgm3", "c 53 17" ) ;  
  gal_vdv ( s, 1.17070373205e-09, 0.0, "gal_gmjgm3", "s 53 17" ) ;  
  gal_stget ( 53, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.00575123399e-09, 0.0, "gal_gmjgm3", "c 53 18" ) ;  
  gal_vdv ( s, 2.43398012265e-09, 0.0, "gal_gmjgm3", "s 53 18" ) ;  
  gal_stget ( 53, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.24468357566e-09, 0.0, "gal_gmjgm3", "c 53 19" ) ;  
  gal_vdv ( s, -2.54724694358e-09, 0.0, "gal_gmjgm3", "s 53 19" ) ;  
  gal_stget ( 53, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.40343367242e-10, 0.0, "gal_gmjgm3", "c 53 20" ) ;  
  gal_vdv ( s, -4.73611518360e-10, 0.0, "gal_gmjgm3", "s 53 20" ) ;  
  gal_stget ( 53, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.69343525365e-09, 0.0, "gal_gmjgm3", "c 53 21" ) ;  
  gal_vdv ( s, 3.58987276527e-09, 0.0, "gal_gmjgm3", "s 53 21" ) ;  
  gal_stget ( 53, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.66510422454e-10, 0.0, "gal_gmjgm3", "c 53 22" ) ;  
  gal_vdv ( s, 4.82850109681e-09, 0.0, "gal_gmjgm3", "s 53 22" ) ;  
  gal_stget ( 53, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.77570641366e-09, 0.0, "gal_gmjgm3", "c 53 23" ) ;  
  gal_vdv ( s, -2.84406442066e-09, 0.0, "gal_gmjgm3", "s 53 23" ) ;  
  gal_stget ( 53, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.05102781649e-09, 0.0, "gal_gmjgm3", "c 53 24" ) ;  
  gal_vdv ( s, 5.96250162140e-09, 0.0, "gal_gmjgm3", "s 53 24" ) ;  
  gal_stget ( 53, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.37835333813e-10, 0.0, "gal_gmjgm3", "c 53 25" ) ;  
  gal_vdv ( s, -6.30993764972e-09, 0.0, "gal_gmjgm3", "s 53 25" ) ;  
  gal_stget ( 53, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.38014381056e-09, 0.0, "gal_gmjgm3", "c 53 26" ) ;  
  gal_vdv ( s, 1.64240044831e-09, 0.0, "gal_gmjgm3", "s 53 26" ) ;  
  gal_stget ( 53, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.62345086578e-10, 0.0, "gal_gmjgm3", "c 53 27" ) ;  
  gal_vdv ( s, -1.14838539774e-09, 0.0, "gal_gmjgm3", "s 53 27" ) ;  
  gal_stget ( 53, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.15198142674e-10, 0.0, "gal_gmjgm3", "c 53 28" ) ;  
  gal_vdv ( s, 3.39574317451e-09, 0.0, "gal_gmjgm3", "s 53 28" ) ;  
  gal_stget ( 53, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.44268253985e-09, 0.0, "gal_gmjgm3", "c 53 29" ) ;  
  gal_vdv ( s, -1.27460794355e-09, 0.0, "gal_gmjgm3", "s 53 29" ) ;  
  gal_stget ( 53, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.56216102816e-09, 0.0, "gal_gmjgm3", "c 53 30" ) ;  
  gal_vdv ( s, -6.46116021122e-09, 0.0, "gal_gmjgm3", "s 53 30" ) ;  
  gal_stget ( 53, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.91186385418e-09, 0.0, "gal_gmjgm3", "c 53 31" ) ;  
  gal_vdv ( s, 3.05467398725e-09, 0.0, "gal_gmjgm3", "s 53 31" ) ;  
  gal_stget ( 53, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.66959076734e-09, 0.0, "gal_gmjgm3", "c 53 32" ) ;  
  gal_vdv ( s, -2.33617977829e-09, 0.0, "gal_gmjgm3", "s 53 32" ) ;  
  gal_stget ( 53, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.74045201876e-10, 0.0, "gal_gmjgm3", "c 53 33" ) ;  
  gal_vdv ( s, 1.29633852652e-09, 0.0, "gal_gmjgm3", "s 53 33" ) ;  
  gal_stget ( 53, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.90394396299e-09, 0.0, "gal_gmjgm3", "c 53 34" ) ;  
  gal_vdv ( s, -7.70926276538e-09, 0.0, "gal_gmjgm3", "s 53 34" ) ;  
  gal_stget ( 53, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.00464521127e-09, 0.0, "gal_gmjgm3", "c 53 35" ) ;  
  gal_vdv ( s, -4.37293445351e-09, 0.0, "gal_gmjgm3", "s 53 35" ) ;  
  gal_stget ( 53, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.64090417540e-09, 0.0, "gal_gmjgm3", "c 53 36" ) ;  
  gal_vdv ( s, 2.48932711763e-09, 0.0, "gal_gmjgm3", "s 53 36" ) ;  
  gal_stget ( 53, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.00825570025e-09, 0.0, "gal_gmjgm3", "c 53 37" ) ;  
  gal_vdv ( s, -2.08881158910e-10, 0.0, "gal_gmjgm3", "s 53 37" ) ;  
  gal_stget ( 53, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.41817951763e-10, 0.0, "gal_gmjgm3", "c 53 38" ) ;  
  gal_vdv ( s, -1.38921549168e-09, 0.0, "gal_gmjgm3", "s 53 38" ) ;  
  gal_stget ( 53, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.68262796259e-09, 0.0, "gal_gmjgm3", "c 53 39" ) ;  
  gal_vdv ( s, -2.09017008189e-09, 0.0, "gal_gmjgm3", "s 53 39" ) ;  
  gal_stget ( 53, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.60783258762e-10, 0.0, "gal_gmjgm3", "c 53 40" ) ;  
  gal_vdv ( s, -2.27938634012e-09, 0.0, "gal_gmjgm3", "s 53 40" ) ;  
  gal_stget ( 53, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.45424555194e-09, 0.0, "gal_gmjgm3", "c 53 41" ) ;  
  gal_vdv ( s, -5.77896434863e-09, 0.0, "gal_gmjgm3", "s 53 41" ) ;  
  gal_stget ( 53, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.43131343657e-09, 0.0, "gal_gmjgm3", "c 53 42" ) ;  
  gal_vdv ( s, 2.03741745830e-09, 0.0, "gal_gmjgm3", "s 53 42" ) ;  
  gal_stget ( 53, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.43613300573e-10, 0.0, "gal_gmjgm3", "c 53 43" ) ;  
  gal_vdv ( s, 4.29048767432e-09, 0.0, "gal_gmjgm3", "s 53 43" ) ;  
  gal_stget ( 53, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.46097939052e-09, 0.0, "gal_gmjgm3", "c 53 44" ) ;  
  gal_vdv ( s, -1.23378331383e-09, 0.0, "gal_gmjgm3", "s 53 44" ) ;  
  gal_stget ( 53, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.78975381162e-09, 0.0, "gal_gmjgm3", "c 53 45" ) ;  
  gal_vdv ( s, 3.62156180545e-09, 0.0, "gal_gmjgm3", "s 53 45" ) ;  
  gal_stget ( 53, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.72082365372e-09, 0.0, "gal_gmjgm3", "c 53 46" ) ;  
  gal_vdv ( s, -5.17277737845e-09, 0.0, "gal_gmjgm3", "s 53 46" ) ;  
  gal_stget ( 53, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.68674078294e-10, 0.0, "gal_gmjgm3", "c 53 47" ) ;  
  gal_vdv ( s, 4.80984774619e-09, 0.0, "gal_gmjgm3", "s 53 47" ) ;  
  gal_stget ( 53, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.91001455790e-09, 0.0, "gal_gmjgm3", "c 53 48" ) ;  
  gal_vdv ( s, -3.59943061794e-09, 0.0, "gal_gmjgm3", "s 53 48" ) ;  
  gal_stget ( 53, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.53341022703e-09, 0.0, "gal_gmjgm3", "c 53 49" ) ;  
  gal_vdv ( s, -3.64550721439e-09, 0.0, "gal_gmjgm3", "s 53 49" ) ;  
  gal_stget ( 53, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.80772656199e-09, 0.0, "gal_gmjgm3", "c 53 50" ) ;  
  gal_vdv ( s, 1.08555758344e-09, 0.0, "gal_gmjgm3", "s 53 50" ) ;  
  gal_stget ( 53, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.76108389790e-09, 0.0, "gal_gmjgm3", "c 53 51" ) ;  
  gal_vdv ( s, 1.56607433569e-09, 0.0, "gal_gmjgm3", "s 53 51" ) ;  
  gal_stget ( 53, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.58161113606e-09, 0.0, "gal_gmjgm3", "c 53 52" ) ;  
  gal_vdv ( s, 1.51040809430e-09, 0.0, "gal_gmjgm3", "s 53 52" ) ;  
  gal_stget ( 53, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.28129041421e-09, 0.0, "gal_gmjgm3", "c 53 53" ) ;  
  gal_vdv ( s, 4.03180726007e-09, 0.0, "gal_gmjgm3", "s 53 53" ) ;  
  gal_stget ( 54, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.75872174931e-09, 0.0, "gal_gmjgm3", "c 54 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 54 0" ) ;  
  gal_stget ( 54, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.57396265608e-09, 0.0, "gal_gmjgm3", "c 54 1" ) ;  
  gal_vdv ( s, 2.42744691892e-09, 0.0, "gal_gmjgm3", "s 54 1" ) ;  
  gal_stget ( 54, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.69817973493e-10, 0.0, "gal_gmjgm3", "c 54 2" ) ;  
  gal_vdv ( s, -1.42754381112e-09, 0.0, "gal_gmjgm3", "s 54 2" ) ;  
  gal_stget ( 54, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.13135009851e-09, 0.0, "gal_gmjgm3", "c 54 3" ) ;  
  gal_vdv ( s, 1.53442434999e-09, 0.0, "gal_gmjgm3", "s 54 3" ) ;  
  gal_stget ( 54, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.13428641197e-09, 0.0, "gal_gmjgm3", "c 54 4" ) ;  
  gal_vdv ( s, -5.28034038668e-09, 0.0, "gal_gmjgm3", "s 54 4" ) ;  
  gal_stget ( 54, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.61004704385e-10, 0.0, "gal_gmjgm3", "c 54 5" ) ;  
  gal_vdv ( s, -2.86532284888e-09, 0.0, "gal_gmjgm3", "s 54 5" ) ;  
  gal_stget ( 54, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.85333503098e-09, 0.0, "gal_gmjgm3", "c 54 6" ) ;  
  gal_vdv ( s, -1.58874375404e-09, 0.0, "gal_gmjgm3", "s 54 6" ) ;  
  gal_stget ( 54, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.42573824936e-09, 0.0, "gal_gmjgm3", "c 54 7" ) ;  
  gal_vdv ( s, -1.37765642425e-09, 0.0, "gal_gmjgm3", "s 54 7" ) ;  
  gal_stget ( 54, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.53270339249e-09, 0.0, "gal_gmjgm3", "c 54 8" ) ;  
  gal_vdv ( s, -2.92888110505e-09, 0.0, "gal_gmjgm3", "s 54 8" ) ;  
  gal_stget ( 54, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.01266993573e-09, 0.0, "gal_gmjgm3", "c 54 9" ) ;  
  gal_vdv ( s, 5.81489966162e-09, 0.0, "gal_gmjgm3", "s 54 9" ) ;  
  gal_stget ( 54, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.58424022729e-09, 0.0, "gal_gmjgm3", "c 54 10" ) ;  
  gal_vdv ( s, -1.71784218979e-09, 0.0, "gal_gmjgm3", "s 54 10" ) ;  
  gal_stget ( 54, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.86351874057e-09, 0.0, "gal_gmjgm3", "c 54 11" ) ;  
  gal_vdv ( s, 9.69597602620e-10, 0.0, "gal_gmjgm3", "s 54 11" ) ;  
  gal_stget ( 54, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.22735807560e-10, 0.0, "gal_gmjgm3", "c 54 12" ) ;  
  gal_vdv ( s, -2.41433422638e-09, 0.0, "gal_gmjgm3", "s 54 12" ) ;  
  gal_stget ( 54, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.74437748702e-09, 0.0, "gal_gmjgm3", "c 54 13" ) ;  
  gal_vdv ( s, -7.00355436844e-10, 0.0, "gal_gmjgm3", "s 54 13" ) ;  
  gal_stget ( 54, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.26558147943e-09, 0.0, "gal_gmjgm3", "c 54 14" ) ;  
  gal_vdv ( s, 2.28167573998e-10, 0.0, "gal_gmjgm3", "s 54 14" ) ;  
  gal_stget ( 54, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.23698412293e-09, 0.0, "gal_gmjgm3", "c 54 15" ) ;  
  gal_vdv ( s, -3.82339076109e-09, 0.0, "gal_gmjgm3", "s 54 15" ) ;  
  gal_stget ( 54, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.93637272292e-09, 0.0, "gal_gmjgm3", "c 54 16" ) ;  
  gal_vdv ( s, 2.51416174661e-11, 0.0, "gal_gmjgm3", "s 54 16" ) ;  
  gal_stget ( 54, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.36014119847e-10, 0.0, "gal_gmjgm3", "c 54 17" ) ;  
  gal_vdv ( s, 5.84630885500e-09, 0.0, "gal_gmjgm3", "s 54 17" ) ;  
  gal_stget ( 54, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.36979303822e-09, 0.0, "gal_gmjgm3", "c 54 18" ) ;  
  gal_vdv ( s, -8.85457948073e-10, 0.0, "gal_gmjgm3", "s 54 18" ) ;  
  gal_stget ( 54, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.09821089663e-09, 0.0, "gal_gmjgm3", "c 54 19" ) ;  
  gal_vdv ( s, -1.39555514429e-09, 0.0, "gal_gmjgm3", "s 54 19" ) ;  
  gal_stget ( 54, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.33842696424e-10, 0.0, "gal_gmjgm3", "c 54 20" ) ;  
  gal_vdv ( s, -5.65459569802e-11, 0.0, "gal_gmjgm3", "s 54 20" ) ;  
  gal_stget ( 54, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.68552421507e-09, 0.0, "gal_gmjgm3", "c 54 21" ) ;  
  gal_vdv ( s, 3.17845069971e-09, 0.0, "gal_gmjgm3", "s 54 21" ) ;  
  gal_stget ( 54, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.60428939709e-09, 0.0, "gal_gmjgm3", "c 54 22" ) ;  
  gal_vdv ( s, 2.87112177448e-09, 0.0, "gal_gmjgm3", "s 54 22" ) ;  
  gal_stget ( 54, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.59216021781e-10, 0.0, "gal_gmjgm3", "c 54 23" ) ;  
  gal_vdv ( s, -8.70238325238e-10, 0.0, "gal_gmjgm3", "s 54 23" ) ;  
  gal_stget ( 54, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.75236199951e-09, 0.0, "gal_gmjgm3", "c 54 24" ) ;  
  gal_vdv ( s, 5.89221969527e-09, 0.0, "gal_gmjgm3", "s 54 24" ) ;  
  gal_stget ( 54, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.88121215173e-09, 0.0, "gal_gmjgm3", "c 54 25" ) ;  
  gal_vdv ( s, -1.45706112500e-09, 0.0, "gal_gmjgm3", "s 54 25" ) ;  
  gal_stget ( 54, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.39576987092e-09, 0.0, "gal_gmjgm3", "c 54 26" ) ;  
  gal_vdv ( s, -2.95105726888e-09, 0.0, "gal_gmjgm3", "s 54 26" ) ;  
  gal_stget ( 54, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.89357137991e-10, 0.0, "gal_gmjgm3", "c 54 27" ) ;  
  gal_vdv ( s, 4.45571931158e-09, 0.0, "gal_gmjgm3", "s 54 27" ) ;  
  gal_stget ( 54, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.64704762776e-09, 0.0, "gal_gmjgm3", "c 54 28" ) ;  
  gal_vdv ( s, -1.61591333981e-09, 0.0, "gal_gmjgm3", "s 54 28" ) ;  
  gal_stget ( 54, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.67663205087e-09, 0.0, "gal_gmjgm3", "c 54 29" ) ;  
  gal_vdv ( s, -1.08028107311e-10, 0.0, "gal_gmjgm3", "s 54 29" ) ;  
  gal_stget ( 54, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.74203836713e-09, 0.0, "gal_gmjgm3", "c 54 30" ) ;  
  gal_vdv ( s, 2.45570389985e-10, 0.0, "gal_gmjgm3", "s 54 30" ) ;  
  gal_stget ( 54, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.75930979063e-10, 0.0, "gal_gmjgm3", "c 54 31" ) ;  
  gal_vdv ( s, 3.89201082862e-09, 0.0, "gal_gmjgm3", "s 54 31" ) ;  
  gal_stget ( 54, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.94410522531e-09, 0.0, "gal_gmjgm3", "c 54 32" ) ;  
  gal_vdv ( s, 7.92226066816e-10, 0.0, "gal_gmjgm3", "s 54 32" ) ;  
  gal_stget ( 54, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.90638667618e-09, 0.0, "gal_gmjgm3", "c 54 33" ) ;  
  gal_vdv ( s, 8.54707123301e-10, 0.0, "gal_gmjgm3", "s 54 33" ) ;  
  gal_stget ( 54, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.05338039306e-09, 0.0, "gal_gmjgm3", "c 54 34" ) ;  
  gal_vdv ( s, -3.03443626770e-09, 0.0, "gal_gmjgm3", "s 54 34" ) ;  
  gal_stget ( 54, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.83354592548e-10, 0.0, "gal_gmjgm3", "c 54 35" ) ;  
  gal_vdv ( s, -8.82329357222e-09, 0.0, "gal_gmjgm3", "s 54 35" ) ;  
  gal_stget ( 54, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.95648498860e-09, 0.0, "gal_gmjgm3", "c 54 36" ) ;  
  gal_vdv ( s, -6.19166161375e-09, 0.0, "gal_gmjgm3", "s 54 36" ) ;  
  gal_stget ( 54, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.04309304577e-09, 0.0, "gal_gmjgm3", "c 54 37" ) ;  
  gal_vdv ( s, 1.23678874002e-09, 0.0, "gal_gmjgm3", "s 54 37" ) ;  
  gal_stget ( 54, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.19037282234e-10, 0.0, "gal_gmjgm3", "c 54 38" ) ;  
  gal_vdv ( s, -6.71301081647e-10, 0.0, "gal_gmjgm3", "s 54 38" ) ;  
  gal_stget ( 54, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.31528128731e-09, 0.0, "gal_gmjgm3", "c 54 39" ) ;  
  gal_vdv ( s, -1.54839162807e-09, 0.0, "gal_gmjgm3", "s 54 39" ) ;  
  gal_stget ( 54, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.08779487763e-09, 0.0, "gal_gmjgm3", "c 54 40" ) ;  
  gal_vdv ( s, -8.98982398209e-11, 0.0, "gal_gmjgm3", "s 54 40" ) ;  
  gal_stget ( 54, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.54761758063e-09, 0.0, "gal_gmjgm3", "c 54 41" ) ;  
  gal_vdv ( s, 3.73580246681e-09, 0.0, "gal_gmjgm3", "s 54 41" ) ;  
  gal_stget ( 54, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.53221827227e-09, 0.0, "gal_gmjgm3", "c 54 42" ) ;  
  gal_vdv ( s, 6.19079430120e-09, 0.0, "gal_gmjgm3", "s 54 42" ) ;  
  gal_stget ( 54, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.85256462731e-10, 0.0, "gal_gmjgm3", "c 54 43" ) ;  
  gal_vdv ( s, 3.29819696674e-09, 0.0, "gal_gmjgm3", "s 54 43" ) ;  
  gal_stget ( 54, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.85198605556e-09, 0.0, "gal_gmjgm3", "c 54 44" ) ;  
  gal_vdv ( s, 3.87788331855e-09, 0.0, "gal_gmjgm3", "s 54 44" ) ;  
  gal_stget ( 54, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.12336089377e-09, 0.0, "gal_gmjgm3", "c 54 45" ) ;  
  gal_vdv ( s, -4.63843537546e-09, 0.0, "gal_gmjgm3", "s 54 45" ) ;  
  gal_stget ( 54, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.42865409387e-09, 0.0, "gal_gmjgm3", "c 54 46" ) ;  
  gal_vdv ( s, -4.06338726006e-09, 0.0, "gal_gmjgm3", "s 54 46" ) ;  
  gal_stget ( 54, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.97510169877e-09, 0.0, "gal_gmjgm3", "c 54 47" ) ;  
  gal_vdv ( s, 3.91411337269e-09, 0.0, "gal_gmjgm3", "s 54 47" ) ;  
  gal_stget ( 54, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.29305173940e-09, 0.0, "gal_gmjgm3", "c 54 48" ) ;  
  gal_vdv ( s, 8.87657094061e-10, 0.0, "gal_gmjgm3", "s 54 48" ) ;  
  gal_stget ( 54, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.94589204016e-10, 0.0, "gal_gmjgm3", "c 54 49" ) ;  
  gal_vdv ( s, -6.27354915981e-10, 0.0, "gal_gmjgm3", "s 54 49" ) ;  
  gal_stget ( 54, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.49286648232e-09, 0.0, "gal_gmjgm3", "c 54 50" ) ;  
  gal_vdv ( s, -6.14549938930e-10, 0.0, "gal_gmjgm3", "s 54 50" ) ;  
  gal_stget ( 54, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.77139532319e-09, 0.0, "gal_gmjgm3", "c 54 51" ) ;  
  gal_vdv ( s, 2.04761869913e-09, 0.0, "gal_gmjgm3", "s 54 51" ) ;  
  gal_stget ( 54, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.45960908391e-09, 0.0, "gal_gmjgm3", "c 54 52" ) ;  
  gal_vdv ( s, -2.81907468026e-09, 0.0, "gal_gmjgm3", "s 54 52" ) ;  
  gal_stget ( 54, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.27135333714e-09, 0.0, "gal_gmjgm3", "c 54 53" ) ;  
  gal_vdv ( s, 2.28489355317e-09, 0.0, "gal_gmjgm3", "s 54 53" ) ;  
  gal_stget ( 54, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.60555522249e-09, 0.0, "gal_gmjgm3", "c 54 54" ) ;  
  gal_vdv ( s, 3.34684742796e-09, 0.0, "gal_gmjgm3", "s 54 54" ) ;  
  gal_stget ( 55, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.29096959937e-09, 0.0, "gal_gmjgm3", "c 55 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 55 0" ) ;  
  gal_stget ( 55, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.47366949825e-09, 0.0, "gal_gmjgm3", "c 55 1" ) ;  
  gal_vdv ( s, 3.18512379420e-09, 0.0, "gal_gmjgm3", "s 55 1" ) ;  
  gal_stget ( 55, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.12104902196e-09, 0.0, "gal_gmjgm3", "c 55 2" ) ;  
  gal_vdv ( s, -1.37932970136e-09, 0.0, "gal_gmjgm3", "s 55 2" ) ;  
  gal_stget ( 55, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.45274127963e-09, 0.0, "gal_gmjgm3", "c 55 3" ) ;  
  gal_vdv ( s, 2.27765049890e-09, 0.0, "gal_gmjgm3", "s 55 3" ) ;  
  gal_stget ( 55, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.71955576707e-10, 0.0, "gal_gmjgm3", "c 55 4" ) ;  
  gal_vdv ( s, 2.15816269162e-09, 0.0, "gal_gmjgm3", "s 55 4" ) ;  
  gal_stget ( 55, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.63756691870e-09, 0.0, "gal_gmjgm3", "c 55 5" ) ;  
  gal_vdv ( s, 2.73825061831e-09, 0.0, "gal_gmjgm3", "s 55 5" ) ;  
  gal_stget ( 55, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.32889395425e-09, 0.0, "gal_gmjgm3", "c 55 6" ) ;  
  gal_vdv ( s, -6.80809458951e-10, 0.0, "gal_gmjgm3", "s 55 6" ) ;  
  gal_stget ( 55, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.43759486537e-09, 0.0, "gal_gmjgm3", "c 55 7" ) ;  
  gal_vdv ( s, 3.09375422655e-09, 0.0, "gal_gmjgm3", "s 55 7" ) ;  
  gal_stget ( 55, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.98338953868e-09, 0.0, "gal_gmjgm3", "c 55 8" ) ;  
  gal_vdv ( s, 3.04509876525e-10, 0.0, "gal_gmjgm3", "s 55 8" ) ;  
  gal_stget ( 55, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.02209961679e-10, 0.0, "gal_gmjgm3", "c 55 9" ) ;  
  gal_vdv ( s, 2.42561003055e-09, 0.0, "gal_gmjgm3", "s 55 9" ) ;  
  gal_stget ( 55, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.12496128228e-10, 0.0, "gal_gmjgm3", "c 55 10" ) ;  
  gal_vdv ( s, 3.19058863658e-09, 0.0, "gal_gmjgm3", "s 55 10" ) ;  
  gal_stget ( 55, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.28912786502e-10, 0.0, "gal_gmjgm3", "c 55 11" ) ;  
  gal_vdv ( s, 3.85962087969e-09, 0.0, "gal_gmjgm3", "s 55 11" ) ;  
  gal_stget ( 55, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.73896151025e-09, 0.0, "gal_gmjgm3", "c 55 12" ) ;  
  gal_vdv ( s, 1.33766617806e-09, 0.0, "gal_gmjgm3", "s 55 12" ) ;  
  gal_stget ( 55, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.77054418126e-10, 0.0, "gal_gmjgm3", "c 55 13" ) ;  
  gal_vdv ( s, -5.03662343877e-10, 0.0, "gal_gmjgm3", "s 55 13" ) ;  
  gal_stget ( 55, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.45213397685e-10, 0.0, "gal_gmjgm3", "c 55 14" ) ;  
  gal_vdv ( s, -1.35476424655e-09, 0.0, "gal_gmjgm3", "s 55 14" ) ;  
  gal_stget ( 55, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.33773686533e-09, 0.0, "gal_gmjgm3", "c 55 15" ) ;  
  gal_vdv ( s, -4.83743380202e-09, 0.0, "gal_gmjgm3", "s 55 15" ) ;  
  gal_stget ( 55, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.27014842111e-09, 0.0, "gal_gmjgm3", "c 55 16" ) ;  
  gal_vdv ( s, -1.12640958657e-10, 0.0, "gal_gmjgm3", "s 55 16" ) ;  
  gal_stget ( 55, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.58374638907e-09, 0.0, "gal_gmjgm3", "c 55 17" ) ;  
  gal_vdv ( s, -6.32068758512e-10, 0.0, "gal_gmjgm3", "s 55 17" ) ;  
  gal_stget ( 55, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.24247408721e-09, 0.0, "gal_gmjgm3", "c 55 18" ) ;  
  gal_vdv ( s, 7.70193273726e-09, 0.0, "gal_gmjgm3", "s 55 18" ) ;  
  gal_stget ( 55, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.22403765889e-10, 0.0, "gal_gmjgm3", "c 55 19" ) ;  
  gal_vdv ( s, 7.69817489567e-10, 0.0, "gal_gmjgm3", "s 55 19" ) ;  
  gal_stget ( 55, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.46257653469e-09, 0.0, "gal_gmjgm3", "c 55 20" ) ;  
  gal_vdv ( s, 8.89123054461e-11, 0.0, "gal_gmjgm3", "s 55 20" ) ;  
  gal_stget ( 55, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.98340367648e-10, 0.0, "gal_gmjgm3", "c 55 21" ) ;  
  gal_vdv ( s, -1.47475131709e-09, 0.0, "gal_gmjgm3", "s 55 21" ) ;  
  gal_stget ( 55, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.52613661859e-09, 0.0, "gal_gmjgm3", "c 55 22" ) ;  
  gal_vdv ( s, -3.48485820972e-09, 0.0, "gal_gmjgm3", "s 55 22" ) ;  
  gal_stget ( 55, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.36370374991e-10, 0.0, "gal_gmjgm3", "c 55 23" ) ;  
  gal_vdv ( s, 4.76403072976e-09, 0.0, "gal_gmjgm3", "s 55 23" ) ;  
  gal_stget ( 55, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.80570502722e-09, 0.0, "gal_gmjgm3", "c 55 24" ) ;  
  gal_vdv ( s, 4.32838725392e-09, 0.0, "gal_gmjgm3", "s 55 24" ) ;  
  gal_stget ( 55, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.68120998959e-09, 0.0, "gal_gmjgm3", "c 55 25" ) ;  
  gal_vdv ( s, 1.78227834214e-09, 0.0, "gal_gmjgm3", "s 55 25" ) ;  
  gal_stget ( 55, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.30114765674e-09, 0.0, "gal_gmjgm3", "c 55 26" ) ;  
  gal_vdv ( s, -1.11446816786e-09, 0.0, "gal_gmjgm3", "s 55 26" ) ;  
  gal_stget ( 55, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.80825247521e-09, 0.0, "gal_gmjgm3", "c 55 27" ) ;  
  gal_vdv ( s, 3.29932592986e-09, 0.0, "gal_gmjgm3", "s 55 27" ) ;  
  gal_stget ( 55, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.66207021811e-10, 0.0, "gal_gmjgm3", "c 55 28" ) ;  
  gal_vdv ( s, 8.20110909962e-11, 0.0, "gal_gmjgm3", "s 55 28" ) ;  
  gal_stget ( 55, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.56822199624e-09, 0.0, "gal_gmjgm3", "c 55 29" ) ;  
  gal_vdv ( s, -6.58899693066e-10, 0.0, "gal_gmjgm3", "s 55 29" ) ;  
  gal_stget ( 55, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.92226565197e-09, 0.0, "gal_gmjgm3", "c 55 30" ) ;  
  gal_vdv ( s, -1.51999141840e-09, 0.0, "gal_gmjgm3", "s 55 30" ) ;  
  gal_stget ( 55, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.01197683609e-10, 0.0, "gal_gmjgm3", "c 55 31" ) ;  
  gal_vdv ( s, 1.66024487525e-10, 0.0, "gal_gmjgm3", "s 55 31" ) ;  
  gal_stget ( 55, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.85967640557e-10, 0.0, "gal_gmjgm3", "c 55 32" ) ;  
  gal_vdv ( s, -5.10735701873e-10, 0.0, "gal_gmjgm3", "s 55 32" ) ;  
  gal_stget ( 55, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.63136362002e-09, 0.0, "gal_gmjgm3", "c 55 33" ) ;  
  gal_vdv ( s, -8.32327531834e-10, 0.0, "gal_gmjgm3", "s 55 33" ) ;  
  gal_stget ( 55, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.63496405089e-09, 0.0, "gal_gmjgm3", "c 55 34" ) ;  
  gal_vdv ( s, 1.74033488451e-09, 0.0, "gal_gmjgm3", "s 55 34" ) ;  
  gal_stget ( 55, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.25009926105e-09, 0.0, "gal_gmjgm3", "c 55 35" ) ;  
  gal_vdv ( s, -2.50259288281e-09, 0.0, "gal_gmjgm3", "s 55 35" ) ;  
  gal_stget ( 55, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.52350258766e-09, 0.0, "gal_gmjgm3", "c 55 36" ) ;  
  gal_vdv ( s, 4.23838612084e-09, 0.0, "gal_gmjgm3", "s 55 36" ) ;  
  gal_stget ( 55, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.59888940356e-09, 0.0, "gal_gmjgm3", "c 55 37" ) ;  
  gal_vdv ( s, 4.85174027062e-09, 0.0, "gal_gmjgm3", "s 55 37" ) ;  
  gal_stget ( 55, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.05518595354e-09, 0.0, "gal_gmjgm3", "c 55 38" ) ;  
  gal_vdv ( s, 7.23852700839e-10, 0.0, "gal_gmjgm3", "s 55 38" ) ;  
  gal_stget ( 55, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.88508480219e-09, 0.0, "gal_gmjgm3", "c 55 39" ) ;  
  gal_vdv ( s, -5.08687470767e-09, 0.0, "gal_gmjgm3", "s 55 39" ) ;  
  gal_stget ( 55, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.30508884570e-09, 0.0, "gal_gmjgm3", "c 55 40" ) ;  
  gal_vdv ( s, -5.63858850676e-09, 0.0, "gal_gmjgm3", "s 55 40" ) ;  
  gal_stget ( 55, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.25778787780e-09, 0.0, "gal_gmjgm3", "c 55 41" ) ;  
  gal_vdv ( s, -1.22513038186e-09, 0.0, "gal_gmjgm3", "s 55 41" ) ;  
  gal_stget ( 55, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.34059202256e-09, 0.0, "gal_gmjgm3", "c 55 42" ) ;  
  gal_vdv ( s, -1.39808485435e-09, 0.0, "gal_gmjgm3", "s 55 42" ) ;  
  gal_stget ( 55, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.29791075323e-10, 0.0, "gal_gmjgm3", "c 55 43" ) ;  
  gal_vdv ( s, 6.00795968882e-10, 0.0, "gal_gmjgm3", "s 55 43" ) ;  
  gal_stget ( 55, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.78721763040e-09, 0.0, "gal_gmjgm3", "c 55 44" ) ;  
  gal_vdv ( s, -1.85884485172e-09, 0.0, "gal_gmjgm3", "s 55 44" ) ;  
  gal_stget ( 55, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.83032379136e-10, 0.0, "gal_gmjgm3", "c 55 45" ) ;  
  gal_vdv ( s, 4.53717921383e-09, 0.0, "gal_gmjgm3", "s 55 45" ) ;  
  gal_stget ( 55, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.42366641981e-09, 0.0, "gal_gmjgm3", "c 55 46" ) ;  
  gal_vdv ( s, -1.86239825595e-09, 0.0, "gal_gmjgm3", "s 55 46" ) ;  
  gal_stget ( 55, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.40846740892e-09, 0.0, "gal_gmjgm3", "c 55 47" ) ;  
  gal_vdv ( s, -1.39909547349e-09, 0.0, "gal_gmjgm3", "s 55 47" ) ;  
  gal_stget ( 55, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.94408521994e-09, 0.0, "gal_gmjgm3", "c 55 48" ) ;  
  gal_vdv ( s, -4.41596630876e-10, 0.0, "gal_gmjgm3", "s 55 48" ) ;  
  gal_stget ( 55, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.72294019512e-09, 0.0, "gal_gmjgm3", "c 55 49" ) ;  
  gal_vdv ( s, -2.28996026044e-09, 0.0, "gal_gmjgm3", "s 55 49" ) ;  
  gal_stget ( 55, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.62497958242e-09, 0.0, "gal_gmjgm3", "c 55 50" ) ;  
  gal_vdv ( s, 7.46360644978e-10, 0.0, "gal_gmjgm3", "s 55 50" ) ;  
  gal_stget ( 55, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.52241339448e-10, 0.0, "gal_gmjgm3", "c 55 51" ) ;  
  gal_vdv ( s, 4.07935023886e-09, 0.0, "gal_gmjgm3", "s 55 51" ) ;  
  gal_stget ( 55, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.46978934409e-09, 0.0, "gal_gmjgm3", "c 55 52" ) ;  
  gal_vdv ( s, -4.18020181194e-09, 0.0, "gal_gmjgm3", "s 55 52" ) ;  
  gal_stget ( 55, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.18643302129e-10, 0.0, "gal_gmjgm3", "c 55 53" ) ;  
  gal_vdv ( s, 1.90299078468e-09, 0.0, "gal_gmjgm3", "s 55 53" ) ;  
  gal_stget ( 55, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.75456199828e-09, 0.0, "gal_gmjgm3", "c 55 54" ) ;  
  gal_vdv ( s, -6.34146917086e-09, 0.0, "gal_gmjgm3", "s 55 54" ) ;  
  gal_stget ( 55, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.01952258446e-09, 0.0, "gal_gmjgm3", "c 55 55" ) ;  
  gal_vdv ( s, -6.95238487011e-09, 0.0, "gal_gmjgm3", "s 55 55" ) ;  
  gal_stget ( 56, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.96404966607e-09, 0.0, "gal_gmjgm3", "c 56 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 56 0" ) ;  
  gal_stget ( 56, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.41141200318e-09, 0.0, "gal_gmjgm3", "c 56 1" ) ;  
  gal_vdv ( s, 1.99242550035e-09, 0.0, "gal_gmjgm3", "s 56 1" ) ;  
  gal_stget ( 56, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.55445061276e-09, 0.0, "gal_gmjgm3", "c 56 2" ) ;  
  gal_vdv ( s, 2.72517306402e-09, 0.0, "gal_gmjgm3", "s 56 2" ) ;  
  gal_stget ( 56, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.43330314590e-09, 0.0, "gal_gmjgm3", "c 56 3" ) ;  
  gal_vdv ( s, 2.26593055189e-09, 0.0, "gal_gmjgm3", "s 56 3" ) ;  
  gal_stget ( 56, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.05361001775e-09, 0.0, "gal_gmjgm3", "c 56 4" ) ;  
  gal_vdv ( s, 5.07255743130e-09, 0.0, "gal_gmjgm3", "s 56 4" ) ;  
  gal_stget ( 56, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.58814853904e-09, 0.0, "gal_gmjgm3", "c 56 5" ) ;  
  gal_vdv ( s, 1.64622835839e-09, 0.0, "gal_gmjgm3", "s 56 5" ) ;  
  gal_stget ( 56, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.50374606541e-09, 0.0, "gal_gmjgm3", "c 56 6" ) ;  
  gal_vdv ( s, 1.59003612193e-09, 0.0, "gal_gmjgm3", "s 56 6" ) ;  
  gal_stget ( 56, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.77110631074e-09, 0.0, "gal_gmjgm3", "c 56 7" ) ;  
  gal_vdv ( s, 8.21912835433e-10, 0.0, "gal_gmjgm3", "s 56 7" ) ;  
  gal_stget ( 56, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.64510326084e-09, 0.0, "gal_gmjgm3", "c 56 8" ) ;  
  gal_vdv ( s, -5.01996548955e-09, 0.0, "gal_gmjgm3", "s 56 8" ) ;  
  gal_stget ( 56, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.75171941907e-09, 0.0, "gal_gmjgm3", "c 56 9" ) ;  
  gal_vdv ( s, 1.97741839921e-09, 0.0, "gal_gmjgm3", "s 56 9" ) ;  
  gal_stget ( 56, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.70454983855e-09, 0.0, "gal_gmjgm3", "c 56 10" ) ;  
  gal_vdv ( s, 1.85758745595e-09, 0.0, "gal_gmjgm3", "s 56 10" ) ;  
  gal_stget ( 56, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.60703110594e-10, 0.0, "gal_gmjgm3", "c 56 11" ) ;  
  gal_vdv ( s, 4.69937444394e-09, 0.0, "gal_gmjgm3", "s 56 11" ) ;  
  gal_stget ( 56, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.27031943936e-10, 0.0, "gal_gmjgm3", "c 56 12" ) ;  
  gal_vdv ( s, 4.35361810909e-09, 0.0, "gal_gmjgm3", "s 56 12" ) ;  
  gal_stget ( 56, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.50485637767e-09, 0.0, "gal_gmjgm3", "c 56 13" ) ;  
  gal_vdv ( s, 5.57517915760e-09, 0.0, "gal_gmjgm3", "s 56 13" ) ;  
  gal_stget ( 56, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.91611562012e-09, 0.0, "gal_gmjgm3", "c 56 14" ) ;  
  gal_vdv ( s, 2.92761782861e-09, 0.0, "gal_gmjgm3", "s 56 14" ) ;  
  gal_stget ( 56, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.43287420473e-09, 0.0, "gal_gmjgm3", "c 56 15" ) ;  
  gal_vdv ( s, 7.68049605372e-10, 0.0, "gal_gmjgm3", "s 56 15" ) ;  
  gal_stget ( 56, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.02393063357e-09, 0.0, "gal_gmjgm3", "c 56 16" ) ;  
  gal_vdv ( s, -3.02981063825e-09, 0.0, "gal_gmjgm3", "s 56 16" ) ;  
  gal_stget ( 56, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.88053949177e-09, 0.0, "gal_gmjgm3", "c 56 17" ) ;  
  gal_vdv ( s, -9.70251736754e-10, 0.0, "gal_gmjgm3", "s 56 17" ) ;  
  gal_stget ( 56, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.70941957912e-09, 0.0, "gal_gmjgm3", "c 56 18" ) ;  
  gal_vdv ( s, 2.01762007540e-09, 0.0, "gal_gmjgm3", "s 56 18" ) ;  
  gal_stget ( 56, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.19518133669e-09, 0.0, "gal_gmjgm3", "c 56 19" ) ;  
  gal_vdv ( s, -2.41925773846e-10, 0.0, "gal_gmjgm3", "s 56 19" ) ;  
  gal_stget ( 56, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.11576835600e-09, 0.0, "gal_gmjgm3", "c 56 20" ) ;  
  gal_vdv ( s, -2.19605271442e-09, 0.0, "gal_gmjgm3", "s 56 20" ) ;  
  gal_stget ( 56, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.19631751243e-09, 0.0, "gal_gmjgm3", "c 56 21" ) ;  
  gal_vdv ( s, -2.45843521129e-09, 0.0, "gal_gmjgm3", "s 56 21" ) ;  
  gal_stget ( 56, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.77865309686e-10, 0.0, "gal_gmjgm3", "c 56 22" ) ;  
  gal_vdv ( s, -5.90248453237e-10, 0.0, "gal_gmjgm3", "s 56 22" ) ;  
  gal_stget ( 56, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.86428561488e-10, 0.0, "gal_gmjgm3", "c 56 23" ) ;  
  gal_vdv ( s, 3.60027508145e-09, 0.0, "gal_gmjgm3", "s 56 23" ) ;  
  gal_stget ( 56, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.13625538097e-10, 0.0, "gal_gmjgm3", "c 56 24" ) ;  
  gal_vdv ( s, -1.56893987833e-09, 0.0, "gal_gmjgm3", "s 56 24" ) ;  
  gal_stget ( 56, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.47558884031e-09, 0.0, "gal_gmjgm3", "c 56 25" ) ;  
  gal_vdv ( s, 1.31006395075e-09, 0.0, "gal_gmjgm3", "s 56 25" ) ;  
  gal_stget ( 56, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.41032077850e-09, 0.0, "gal_gmjgm3", "c 56 26" ) ;  
  gal_vdv ( s, -4.68980464422e-09, 0.0, "gal_gmjgm3", "s 56 26" ) ;  
  gal_stget ( 56, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.72440585764e-09, 0.0, "gal_gmjgm3", "c 56 27" ) ;  
  gal_vdv ( s, 3.23106669232e-09, 0.0, "gal_gmjgm3", "s 56 27" ) ;  
  gal_stget ( 56, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.85386302128e-09, 0.0, "gal_gmjgm3", "c 56 28" ) ;  
  gal_vdv ( s, 7.35879464479e-10, 0.0, "gal_gmjgm3", "s 56 28" ) ;  
  gal_stget ( 56, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.81531234223e-09, 0.0, "gal_gmjgm3", "c 56 29" ) ;  
  gal_vdv ( s, -1.03067219903e-09, 0.0, "gal_gmjgm3", "s 56 29" ) ;  
  gal_stget ( 56, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.84395459396e-10, 0.0, "gal_gmjgm3", "c 56 30" ) ;  
  gal_vdv ( s, 2.49548141500e-09, 0.0, "gal_gmjgm3", "s 56 30" ) ;  
  gal_stget ( 56, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.91011185791e-10, 0.0, "gal_gmjgm3", "c 56 31" ) ;  
  gal_vdv ( s, -5.86812106940e-09, 0.0, "gal_gmjgm3", "s 56 31" ) ;  
  gal_stget ( 56, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.49888226472e-09, 0.0, "gal_gmjgm3", "c 56 32" ) ;  
  gal_vdv ( s, -3.00075570006e-09, 0.0, "gal_gmjgm3", "s 56 32" ) ;  
  gal_stget ( 56, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.04076246467e-09, 0.0, "gal_gmjgm3", "c 56 33" ) ;  
  gal_vdv ( s, 1.25208813890e-09, 0.0, "gal_gmjgm3", "s 56 33" ) ;  
  gal_stget ( 56, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.84691925150e-09, 0.0, "gal_gmjgm3", "c 56 34" ) ;  
  gal_vdv ( s, 1.58774013249e-09, 0.0, "gal_gmjgm3", "s 56 34" ) ;  
  gal_stget ( 56, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.36496098098e-09, 0.0, "gal_gmjgm3", "c 56 35" ) ;  
  gal_vdv ( s, -9.59192323794e-10, 0.0, "gal_gmjgm3", "s 56 35" ) ;  
  gal_stget ( 56, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.28505479883e-09, 0.0, "gal_gmjgm3", "c 56 36" ) ;  
  gal_vdv ( s, -2.03441510239e-09, 0.0, "gal_gmjgm3", "s 56 36" ) ;  
  gal_stget ( 56, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.00624826405e-09, 0.0, "gal_gmjgm3", "c 56 37" ) ;  
  gal_vdv ( s, 4.09240943827e-09, 0.0, "gal_gmjgm3", "s 56 37" ) ;  
  gal_stget ( 56, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.56147183176e-09, 0.0, "gal_gmjgm3", "c 56 38" ) ;  
  gal_vdv ( s, 3.47421360675e-09, 0.0, "gal_gmjgm3", "s 56 38" ) ;  
  gal_stget ( 56, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.15756637848e-10, 0.0, "gal_gmjgm3", "c 56 39" ) ;  
  gal_vdv ( s, -3.20469771847e-09, 0.0, "gal_gmjgm3", "s 56 39" ) ;  
  gal_stget ( 56, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.20509477602e-09, 0.0, "gal_gmjgm3", "c 56 40" ) ;  
  gal_vdv ( s, 2.47118484714e-09, 0.0, "gal_gmjgm3", "s 56 40" ) ;  
  gal_stget ( 56, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.10156129135e-10, 0.0, "gal_gmjgm3", "c 56 41" ) ;  
  gal_vdv ( s, 1.46040282582e-09, 0.0, "gal_gmjgm3", "s 56 41" ) ;  
  gal_stget ( 56, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.48896212101e-09, 0.0, "gal_gmjgm3", "c 56 42" ) ;  
  gal_vdv ( s, -9.16477649782e-10, 0.0, "gal_gmjgm3", "s 56 42" ) ;  
  gal_stget ( 56, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.26246834232e-10, 0.0, "gal_gmjgm3", "c 56 43" ) ;  
  gal_vdv ( s, -3.46515683338e-09, 0.0, "gal_gmjgm3", "s 56 43" ) ;  
  gal_stget ( 56, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.70268734730e-09, 0.0, "gal_gmjgm3", "c 56 44" ) ;  
  gal_vdv ( s, 2.55831798590e-09, 0.0, "gal_gmjgm3", "s 56 44" ) ;  
  gal_stget ( 56, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.49218004058e-09, 0.0, "gal_gmjgm3", "c 56 45" ) ;  
  gal_vdv ( s, -4.98244153578e-10, 0.0, "gal_gmjgm3", "s 56 45" ) ;  
  gal_stget ( 56, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.53818509648e-09, 0.0, "gal_gmjgm3", "c 56 46" ) ;  
  gal_vdv ( s, -4.49462564548e-09, 0.0, "gal_gmjgm3", "s 56 46" ) ;  
  gal_stget ( 56, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.92921323399e-09, 0.0, "gal_gmjgm3", "c 56 47" ) ;  
  gal_vdv ( s, 1.61819569387e-09, 0.0, "gal_gmjgm3", "s 56 47" ) ;  
  gal_stget ( 56, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.06766173612e-09, 0.0, "gal_gmjgm3", "c 56 48" ) ;  
  gal_vdv ( s, -3.82050017484e-09, 0.0, "gal_gmjgm3", "s 56 48" ) ;  
  gal_stget ( 56, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.80627024022e-09, 0.0, "gal_gmjgm3", "c 56 49" ) ;  
  gal_vdv ( s, 6.72640493144e-09, 0.0, "gal_gmjgm3", "s 56 49" ) ;  
  gal_stget ( 56, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.72813107288e-09, 0.0, "gal_gmjgm3", "c 56 50" ) ;  
  gal_vdv ( s, 2.06099751889e-09, 0.0, "gal_gmjgm3", "s 56 50" ) ;  
  gal_stget ( 56, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.08724652199e-09, 0.0, "gal_gmjgm3", "c 56 51" ) ;  
  gal_vdv ( s, -2.21042241803e-10, 0.0, "gal_gmjgm3", "s 56 51" ) ;  
  gal_stget ( 56, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.99123070837e-09, 0.0, "gal_gmjgm3", "c 56 52" ) ;  
  gal_vdv ( s, -2.76322253095e-09, 0.0, "gal_gmjgm3", "s 56 52" ) ;  
  gal_stget ( 56, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.64755815815e-09, 0.0, "gal_gmjgm3", "c 56 53" ) ;  
  gal_vdv ( s, 4.58943762954e-10, 0.0, "gal_gmjgm3", "s 56 53" ) ;  
  gal_stget ( 56, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.41671931496e-09, 0.0, "gal_gmjgm3", "c 56 54" ) ;  
  gal_vdv ( s, -8.66441706917e-10, 0.0, "gal_gmjgm3", "s 56 54" ) ;  
  gal_stget ( 56, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.75081507881e-10, 0.0, "gal_gmjgm3", "c 56 55" ) ;  
  gal_vdv ( s, -3.29254455068e-09, 0.0, "gal_gmjgm3", "s 56 55" ) ;  
  gal_stget ( 56, 56, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.51137539237e-11, 0.0, "gal_gmjgm3", "c 56 56" ) ;  
  gal_vdv ( s, -1.14227271738e-10, 0.0, "gal_gmjgm3", "s 56 56" ) ;  
  gal_stget ( 57, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.07709867395e-09, 0.0, "gal_gmjgm3", "c 57 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 57 0" ) ;  
  gal_stget ( 57, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.78583004317e-09, 0.0, "gal_gmjgm3", "c 57 1" ) ;  
  gal_vdv ( s, -1.52366166150e-09, 0.0, "gal_gmjgm3", "s 57 1" ) ;  
  gal_stget ( 57, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.29885501993e-09, 0.0, "gal_gmjgm3", "c 57 2" ) ;  
  gal_vdv ( s, -1.14494573959e-09, 0.0, "gal_gmjgm3", "s 57 2" ) ;  
  gal_stget ( 57, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.05015144588e-09, 0.0, "gal_gmjgm3", "c 57 3" ) ;  
  gal_vdv ( s, 4.67040911243e-09, 0.0, "gal_gmjgm3", "s 57 3" ) ;  
  gal_stget ( 57, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.28186624952e-09, 0.0, "gal_gmjgm3", "c 57 4" ) ;  
  gal_vdv ( s, -1.92784106160e-09, 0.0, "gal_gmjgm3", "s 57 4" ) ;  
  gal_stget ( 57, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.38272940019e-09, 0.0, "gal_gmjgm3", "c 57 5" ) ;  
  gal_vdv ( s, 7.24690890157e-10, 0.0, "gal_gmjgm3", "s 57 5" ) ;  
  gal_stget ( 57, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.29238663611e-10, 0.0, "gal_gmjgm3", "c 57 6" ) ;  
  gal_vdv ( s, -1.49193857107e-10, 0.0, "gal_gmjgm3", "s 57 6" ) ;  
  gal_stget ( 57, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.03809781128e-09, 0.0, "gal_gmjgm3", "c 57 7" ) ;  
  gal_vdv ( s, 8.71423001816e-10, 0.0, "gal_gmjgm3", "s 57 7" ) ;  
  gal_stget ( 57, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.42484492484e-09, 0.0, "gal_gmjgm3", "c 57 8" ) ;  
  gal_vdv ( s, 8.75316995874e-09, 0.0, "gal_gmjgm3", "s 57 8" ) ;  
  gal_stget ( 57, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.47332706840e-10, 0.0, "gal_gmjgm3", "c 57 9" ) ;  
  gal_vdv ( s, -3.65580946323e-09, 0.0, "gal_gmjgm3", "s 57 9" ) ;  
  gal_stget ( 57, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.47337204235e-09, 0.0, "gal_gmjgm3", "c 57 10" ) ;  
  gal_vdv ( s, 3.25932032349e-09, 0.0, "gal_gmjgm3", "s 57 10" ) ;  
  gal_stget ( 57, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.78403448803e-09, 0.0, "gal_gmjgm3", "c 57 11" ) ;  
  gal_vdv ( s, -6.93502266933e-09, 0.0, "gal_gmjgm3", "s 57 11" ) ;  
  gal_stget ( 57, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.52557912543e-09, 0.0, "gal_gmjgm3", "c 57 12" ) ;  
  gal_vdv ( s, 6.07457104892e-09, 0.0, "gal_gmjgm3", "s 57 12" ) ;  
  gal_stget ( 57, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.82942683322e-09, 0.0, "gal_gmjgm3", "c 57 13" ) ;  
  gal_vdv ( s, -1.72647944913e-09, 0.0, "gal_gmjgm3", "s 57 13" ) ;  
  gal_stget ( 57, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.23302579316e-09, 0.0, "gal_gmjgm3", "c 57 14" ) ;  
  gal_vdv ( s, 6.34977847002e-09, 0.0, "gal_gmjgm3", "s 57 14" ) ;  
  gal_stget ( 57, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.42454960846e-10, 0.0, "gal_gmjgm3", "c 57 15" ) ;  
  gal_vdv ( s, 4.11807610033e-09, 0.0, "gal_gmjgm3", "s 57 15" ) ;  
  gal_stget ( 57, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.71825314466e-10, 0.0, "gal_gmjgm3", "c 57 16" ) ;  
  gal_vdv ( s, -4.05309367382e-09, 0.0, "gal_gmjgm3", "s 57 16" ) ;  
  gal_stget ( 57, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.54613309736e-09, 0.0, "gal_gmjgm3", "c 57 17" ) ;  
  gal_vdv ( s, -3.25481424781e-10, 0.0, "gal_gmjgm3", "s 57 17" ) ;  
  gal_stget ( 57, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.64625233959e-09, 0.0, "gal_gmjgm3", "c 57 18" ) ;  
  gal_vdv ( s, -7.02130243604e-10, 0.0, "gal_gmjgm3", "s 57 18" ) ;  
  gal_stget ( 57, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.55579174416e-09, 0.0, "gal_gmjgm3", "c 57 19" ) ;  
  gal_vdv ( s, 2.96723561633e-09, 0.0, "gal_gmjgm3", "s 57 19" ) ;  
  gal_stget ( 57, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.33110417493e-09, 0.0, "gal_gmjgm3", "c 57 20" ) ;  
  gal_vdv ( s, 8.77846683427e-10, 0.0, "gal_gmjgm3", "s 57 20" ) ;  
  gal_stget ( 57, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.58091398783e-10, 0.0, "gal_gmjgm3", "c 57 21" ) ;  
  gal_vdv ( s, -6.40891843837e-10, 0.0, "gal_gmjgm3", "s 57 21" ) ;  
  gal_stget ( 57, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.34547921314e-09, 0.0, "gal_gmjgm3", "c 57 22" ) ;  
  gal_vdv ( s, -1.47587810064e-09, 0.0, "gal_gmjgm3", "s 57 22" ) ;  
  gal_stget ( 57, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.92707975037e-09, 0.0, "gal_gmjgm3", "c 57 23" ) ;  
  gal_vdv ( s, -6.42012830399e-10, 0.0, "gal_gmjgm3", "s 57 23" ) ;  
  gal_stget ( 57, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.06026943360e-09, 0.0, "gal_gmjgm3", "c 57 24" ) ;  
  gal_vdv ( s, -3.42167939682e-09, 0.0, "gal_gmjgm3", "s 57 24" ) ;  
  gal_stget ( 57, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.96481695646e-09, 0.0, "gal_gmjgm3", "c 57 25" ) ;  
  gal_vdv ( s, -3.13344543028e-09, 0.0, "gal_gmjgm3", "s 57 25" ) ;  
  gal_stget ( 57, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.87646644716e-09, 0.0, "gal_gmjgm3", "c 57 26" ) ;  
  gal_vdv ( s, -4.56333125644e-09, 0.0, "gal_gmjgm3", "s 57 26" ) ;  
  gal_stget ( 57, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.18512644627e-10, 0.0, "gal_gmjgm3", "c 57 27" ) ;  
  gal_vdv ( s, -2.49446761480e-10, 0.0, "gal_gmjgm3", "s 57 27" ) ;  
  gal_stget ( 57, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.05438603883e-09, 0.0, "gal_gmjgm3", "c 57 28" ) ;  
  gal_vdv ( s, -2.22403180729e-09, 0.0, "gal_gmjgm3", "s 57 28" ) ;  
  gal_stget ( 57, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.11857147328e-10, 0.0, "gal_gmjgm3", "c 57 29" ) ;  
  gal_vdv ( s, -7.81401101610e-10, 0.0, "gal_gmjgm3", "s 57 29" ) ;  
  gal_stget ( 57, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.35967852987e-09, 0.0, "gal_gmjgm3", "c 57 30" ) ;  
  gal_vdv ( s, 3.30493624450e-09, 0.0, "gal_gmjgm3", "s 57 30" ) ;  
  gal_stget ( 57, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.23497468201e-10, 0.0, "gal_gmjgm3", "c 57 31" ) ;  
  gal_vdv ( s, -2.10234429702e-09, 0.0, "gal_gmjgm3", "s 57 31" ) ;  
  gal_stget ( 57, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.19708484027e-09, 0.0, "gal_gmjgm3", "c 57 32" ) ;  
  gal_vdv ( s, -7.09800627570e-10, 0.0, "gal_gmjgm3", "s 57 32" ) ;  
  gal_stget ( 57, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.67011827524e-09, 0.0, "gal_gmjgm3", "c 57 33" ) ;  
  gal_vdv ( s, 3.22013383441e-09, 0.0, "gal_gmjgm3", "s 57 33" ) ;  
  gal_stget ( 57, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.61438840040e-09, 0.0, "gal_gmjgm3", "c 57 34" ) ;  
  gal_vdv ( s, 3.62139177656e-09, 0.0, "gal_gmjgm3", "s 57 34" ) ;  
  gal_stget ( 57, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.38690064060e-09, 0.0, "gal_gmjgm3", "c 57 35" ) ;  
  gal_vdv ( s, -3.35712561683e-09, 0.0, "gal_gmjgm3", "s 57 35" ) ;  
  gal_stget ( 57, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.81960334992e-09, 0.0, "gal_gmjgm3", "c 57 36" ) ;  
  gal_vdv ( s, -6.91654844234e-09, 0.0, "gal_gmjgm3", "s 57 36" ) ;  
  gal_stget ( 57, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.64618547895e-09, 0.0, "gal_gmjgm3", "c 57 37" ) ;  
  gal_vdv ( s, 1.62931502150e-09, 0.0, "gal_gmjgm3", "s 57 37" ) ;  
  gal_stget ( 57, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.59575528779e-09, 0.0, "gal_gmjgm3", "c 57 38" ) ;  
  gal_vdv ( s, 2.91654970921e-09, 0.0, "gal_gmjgm3", "s 57 38" ) ;  
  gal_stget ( 57, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.51450753261e-09, 0.0, "gal_gmjgm3", "c 57 39" ) ;  
  gal_vdv ( s, 1.26629012616e-09, 0.0, "gal_gmjgm3", "s 57 39" ) ;  
  gal_stget ( 57, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.36911007904e-09, 0.0, "gal_gmjgm3", "c 57 40" ) ;  
  gal_vdv ( s, 8.39073540957e-10, 0.0, "gal_gmjgm3", "s 57 40" ) ;  
  gal_stget ( 57, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.58945915983e-09, 0.0, "gal_gmjgm3", "c 57 41" ) ;  
  gal_vdv ( s, 1.97363544722e-09, 0.0, "gal_gmjgm3", "s 57 41" ) ;  
  gal_stget ( 57, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.49817911209e-09, 0.0, "gal_gmjgm3", "c 57 42" ) ;  
  gal_vdv ( s, 1.79838844078e-09, 0.0, "gal_gmjgm3", "s 57 42" ) ;  
  gal_stget ( 57, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.37768782415e-09, 0.0, "gal_gmjgm3", "c 57 43" ) ;  
  gal_vdv ( s, -7.29255118402e-09, 0.0, "gal_gmjgm3", "s 57 43" ) ;  
  gal_stget ( 57, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.96566206550e-09, 0.0, "gal_gmjgm3", "c 57 44" ) ;  
  gal_vdv ( s, -2.70491830654e-11, 0.0, "gal_gmjgm3", "s 57 44" ) ;  
  gal_stget ( 57, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.34835178463e-09, 0.0, "gal_gmjgm3", "c 57 45" ) ;  
  gal_vdv ( s, 5.42369909299e-09, 0.0, "gal_gmjgm3", "s 57 45" ) ;  
  gal_stget ( 57, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.54734394937e-09, 0.0, "gal_gmjgm3", "c 57 46" ) ;  
  gal_vdv ( s, 3.32493729609e-09, 0.0, "gal_gmjgm3", "s 57 46" ) ;  
  gal_stget ( 57, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.97990755838e-10, 0.0, "gal_gmjgm3", "c 57 47" ) ;  
  gal_vdv ( s, -1.41286395100e-09, 0.0, "gal_gmjgm3", "s 57 47" ) ;  
  gal_stget ( 57, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.91267584214e-10, 0.0, "gal_gmjgm3", "c 57 48" ) ;  
  gal_vdv ( s, 4.99049282284e-09, 0.0, "gal_gmjgm3", "s 57 48" ) ;  
  gal_stget ( 57, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.56378523715e-10, 0.0, "gal_gmjgm3", "c 57 49" ) ;  
  gal_vdv ( s, -9.59101414427e-10, 0.0, "gal_gmjgm3", "s 57 49" ) ;  
  gal_stget ( 57, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.16560470744e-09, 0.0, "gal_gmjgm3", "c 57 50" ) ;  
  gal_vdv ( s, -5.15616028624e-09, 0.0, "gal_gmjgm3", "s 57 50" ) ;  
  gal_stget ( 57, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.69718649016e-09, 0.0, "gal_gmjgm3", "c 57 51" ) ;  
  gal_vdv ( s, -2.51706784310e-09, 0.0, "gal_gmjgm3", "s 57 51" ) ;  
  gal_stget ( 57, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.18662645486e-09, 0.0, "gal_gmjgm3", "c 57 52" ) ;  
  gal_vdv ( s, -8.44923386104e-11, 0.0, "gal_gmjgm3", "s 57 52" ) ;  
  gal_stget ( 57, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.78324249858e-09, 0.0, "gal_gmjgm3", "c 57 53" ) ;  
  gal_vdv ( s, -2.82692114384e-09, 0.0, "gal_gmjgm3", "s 57 53" ) ;  
  gal_stget ( 57, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.40594042941e-09, 0.0, "gal_gmjgm3", "c 57 54" ) ;  
  gal_vdv ( s, 3.21382226575e-09, 0.0, "gal_gmjgm3", "s 57 54" ) ;  
  gal_stget ( 57, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.21216893632e-09, 0.0, "gal_gmjgm3", "c 57 55" ) ;  
  gal_vdv ( s, 1.23905440156e-09, 0.0, "gal_gmjgm3", "s 57 55" ) ;  
  gal_stget ( 57, 56, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.33227434742e-11, 0.0, "gal_gmjgm3", "c 57 56" ) ;  
  gal_vdv ( s, 3.31747229321e-09, 0.0, "gal_gmjgm3", "s 57 56" ) ;  
  gal_stget ( 57, 57, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.67290718337e-09, 0.0, "gal_gmjgm3", "c 57 57" ) ;  
  gal_vdv ( s, -1.14496540582e-09, 0.0, "gal_gmjgm3", "s 57 57" ) ;  
  gal_stget ( 58, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.54974258708e-09, 0.0, "gal_gmjgm3", "c 58 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 58 0" ) ;  
  gal_stget ( 58, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.26236274823e-10, 0.0, "gal_gmjgm3", "c 58 1" ) ;  
  gal_vdv ( s, 1.43928350604e-10, 0.0, "gal_gmjgm3", "s 58 1" ) ;  
  gal_stget ( 58, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.52824464044e-10, 0.0, "gal_gmjgm3", "c 58 2" ) ;  
  gal_vdv ( s, 3.95816842404e-09, 0.0, "gal_gmjgm3", "s 58 2" ) ;  
  gal_stget ( 58, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.52871606933e-09, 0.0, "gal_gmjgm3", "c 58 3" ) ;  
  gal_vdv ( s, -5.46650895473e-09, 0.0, "gal_gmjgm3", "s 58 3" ) ;  
  gal_stget ( 58, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.20597525148e-09, 0.0, "gal_gmjgm3", "c 58 4" ) ;  
  gal_vdv ( s, -1.22322934333e-09, 0.0, "gal_gmjgm3", "s 58 4" ) ;  
  gal_stget ( 58, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.12276697930e-09, 0.0, "gal_gmjgm3", "c 58 5" ) ;  
  gal_vdv ( s, -1.87070306803e-09, 0.0, "gal_gmjgm3", "s 58 5" ) ;  
  gal_stget ( 58, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.99053255911e-10, 0.0, "gal_gmjgm3", "c 58 6" ) ;  
  gal_vdv ( s, 1.08098496533e-09, 0.0, "gal_gmjgm3", "s 58 6" ) ;  
  gal_stget ( 58, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.51980703175e-09, 0.0, "gal_gmjgm3", "c 58 7" ) ;  
  gal_vdv ( s, 3.80697501748e-09, 0.0, "gal_gmjgm3", "s 58 7" ) ;  
  gal_stget ( 58, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.52051119097e-10, 0.0, "gal_gmjgm3", "c 58 8" ) ;  
  gal_vdv ( s, 4.90418050738e-09, 0.0, "gal_gmjgm3", "s 58 8" ) ;  
  gal_stget ( 58, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.61043354365e-09, 0.0, "gal_gmjgm3", "c 58 9" ) ;  
  gal_vdv ( s, -5.80200770954e-09, 0.0, "gal_gmjgm3", "s 58 9" ) ;  
  gal_stget ( 58, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.57935250809e-09, 0.0, "gal_gmjgm3", "c 58 10" ) ;  
  gal_vdv ( s, -2.85258260386e-09, 0.0, "gal_gmjgm3", "s 58 10" ) ;  
  gal_stget ( 58, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.03882450191e-09, 0.0, "gal_gmjgm3", "c 58 11" ) ;  
  gal_vdv ( s, -4.15159963420e-09, 0.0, "gal_gmjgm3", "s 58 11" ) ;  
  gal_stget ( 58, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.37862112335e-10, 0.0, "gal_gmjgm3", "c 58 12" ) ;  
  gal_vdv ( s, -4.63005475988e-10, 0.0, "gal_gmjgm3", "s 58 12" ) ;  
  gal_stget ( 58, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.63560788391e-09, 0.0, "gal_gmjgm3", "c 58 13" ) ;  
  gal_vdv ( s, -1.97327383215e-09, 0.0, "gal_gmjgm3", "s 58 13" ) ;  
  gal_stget ( 58, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.51739878349e-09, 0.0, "gal_gmjgm3", "c 58 14" ) ;  
  gal_vdv ( s, -3.59275997069e-09, 0.0, "gal_gmjgm3", "s 58 14" ) ;  
  gal_stget ( 58, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.50279494242e-10, 0.0, "gal_gmjgm3", "c 58 15" ) ;  
  gal_vdv ( s, -5.40921734459e-10, 0.0, "gal_gmjgm3", "s 58 15" ) ;  
  gal_stget ( 58, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.54851411538e-09, 0.0, "gal_gmjgm3", "c 58 16" ) ;  
  gal_vdv ( s, -3.67619047169e-09, 0.0, "gal_gmjgm3", "s 58 16" ) ;  
  gal_stget ( 58, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.96463289827e-09, 0.0, "gal_gmjgm3", "c 58 17" ) ;  
  gal_vdv ( s, 2.13949963706e-09, 0.0, "gal_gmjgm3", "s 58 17" ) ;  
  gal_stget ( 58, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.89579597568e-09, 0.0, "gal_gmjgm3", "c 58 18" ) ;  
  gal_vdv ( s, -1.20769404197e-09, 0.0, "gal_gmjgm3", "s 58 18" ) ;  
  gal_stget ( 58, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.86277864203e-09, 0.0, "gal_gmjgm3", "c 58 19" ) ;  
  gal_vdv ( s, 7.33591959684e-11, 0.0, "gal_gmjgm3", "s 58 19" ) ;  
  gal_stget ( 58, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.69590084503e-10, 0.0, "gal_gmjgm3", "c 58 20" ) ;  
  gal_vdv ( s, 1.51349881719e-09, 0.0, "gal_gmjgm3", "s 58 20" ) ;  
  gal_stget ( 58, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.47415659900e-09, 0.0, "gal_gmjgm3", "c 58 21" ) ;  
  gal_vdv ( s, 4.70871589876e-09, 0.0, "gal_gmjgm3", "s 58 21" ) ;  
  gal_stget ( 58, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.39992620583e-09, 0.0, "gal_gmjgm3", "c 58 22" ) ;  
  gal_vdv ( s, -4.46376194751e-09, 0.0, "gal_gmjgm3", "s 58 22" ) ;  
  gal_stget ( 58, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.61110708088e-10, 0.0, "gal_gmjgm3", "c 58 23" ) ;  
  gal_vdv ( s, 6.88285294397e-10, 0.0, "gal_gmjgm3", "s 58 23" ) ;  
  gal_stget ( 58, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.45400005877e-09, 0.0, "gal_gmjgm3", "c 58 24" ) ;  
  gal_vdv ( s, -2.35024332856e-09, 0.0, "gal_gmjgm3", "s 58 24" ) ;  
  gal_stget ( 58, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.30943746545e-09, 0.0, "gal_gmjgm3", "c 58 25" ) ;  
  gal_vdv ( s, -2.95845747231e-09, 0.0, "gal_gmjgm3", "s 58 25" ) ;  
  gal_stget ( 58, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.16382237221e-10, 0.0, "gal_gmjgm3", "c 58 26" ) ;  
  gal_vdv ( s, -1.56072884163e-10, 0.0, "gal_gmjgm3", "s 58 26" ) ;  
  gal_stget ( 58, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.71468260139e-09, 0.0, "gal_gmjgm3", "c 58 27" ) ;  
  gal_vdv ( s, -3.86830541140e-09, 0.0, "gal_gmjgm3", "s 58 27" ) ;  
  gal_stget ( 58, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.49220882664e-09, 0.0, "gal_gmjgm3", "c 58 28" ) ;  
  gal_vdv ( s, -2.70661463654e-09, 0.0, "gal_gmjgm3", "s 58 28" ) ;  
  gal_stget ( 58, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.42082814936e-09, 0.0, "gal_gmjgm3", "c 58 29" ) ;  
  gal_vdv ( s, -2.06049450533e-09, 0.0, "gal_gmjgm3", "s 58 29" ) ;  
  gal_stget ( 58, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.42074982296e-09, 0.0, "gal_gmjgm3", "c 58 30" ) ;  
  gal_vdv ( s, 3.26582967546e-09, 0.0, "gal_gmjgm3", "s 58 30" ) ;  
  gal_stget ( 58, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.31329585703e-09, 0.0, "gal_gmjgm3", "c 58 31" ) ;  
  gal_vdv ( s, 4.71450310880e-10, 0.0, "gal_gmjgm3", "s 58 31" ) ;  
  gal_stget ( 58, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.36459664081e-09, 0.0, "gal_gmjgm3", "c 58 32" ) ;  
  gal_vdv ( s, 7.17554404594e-10, 0.0, "gal_gmjgm3", "s 58 32" ) ;  
  gal_stget ( 58, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.18067875686e-09, 0.0, "gal_gmjgm3", "c 58 33" ) ;  
  gal_vdv ( s, 7.08358800644e-10, 0.0, "gal_gmjgm3", "s 58 33" ) ;  
  gal_stget ( 58, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.67190369608e-10, 0.0, "gal_gmjgm3", "c 58 34" ) ;  
  gal_vdv ( s, 2.46253710471e-09, 0.0, "gal_gmjgm3", "s 58 34" ) ;  
  gal_stget ( 58, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.33020858938e-09, 0.0, "gal_gmjgm3", "c 58 35" ) ;  
  gal_vdv ( s, 8.70016188063e-10, 0.0, "gal_gmjgm3", "s 58 35" ) ;  
  gal_stget ( 58, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.55607526459e-09, 0.0, "gal_gmjgm3", "c 58 36" ) ;  
  gal_vdv ( s, -2.42755820943e-09, 0.0, "gal_gmjgm3", "s 58 36" ) ;  
  gal_stget ( 58, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.22145745565e-09, 0.0, "gal_gmjgm3", "c 58 37" ) ;  
  gal_vdv ( s, -2.39321231806e-09, 0.0, "gal_gmjgm3", "s 58 37" ) ;  
  gal_stget ( 58, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.19128156557e-09, 0.0, "gal_gmjgm3", "c 58 38" ) ;  
  gal_vdv ( s, 1.27960557903e-09, 0.0, "gal_gmjgm3", "s 58 38" ) ;  
  gal_stget ( 58, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.93121993968e-10, 0.0, "gal_gmjgm3", "c 58 39" ) ;  
  gal_vdv ( s, -1.52921869521e-09, 0.0, "gal_gmjgm3", "s 58 39" ) ;  
  gal_stget ( 58, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.50514434173e-09, 0.0, "gal_gmjgm3", "c 58 40" ) ;  
  gal_vdv ( s, -3.42724493053e-09, 0.0, "gal_gmjgm3", "s 58 40" ) ;  
  gal_stget ( 58, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.03350027418e-09, 0.0, "gal_gmjgm3", "c 58 41" ) ;  
  gal_vdv ( s, 3.03152157562e-09, 0.0, "gal_gmjgm3", "s 58 41" ) ;  
  gal_stget ( 58, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.24448566832e-09, 0.0, "gal_gmjgm3", "c 58 42" ) ;  
  gal_vdv ( s, -1.14444641891e-09, 0.0, "gal_gmjgm3", "s 58 42" ) ;  
  gal_stget ( 58, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.43772180937e-10, 0.0, "gal_gmjgm3", "c 58 43" ) ;  
  gal_vdv ( s, -1.96048398993e-09, 0.0, "gal_gmjgm3", "s 58 43" ) ;  
  gal_stget ( 58, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.16282166477e-09, 0.0, "gal_gmjgm3", "c 58 44" ) ;  
  gal_vdv ( s, 7.99126475417e-10, 0.0, "gal_gmjgm3", "s 58 44" ) ;  
  gal_stget ( 58, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.08119564706e-10, 0.0, "gal_gmjgm3", "c 58 45" ) ;  
  gal_vdv ( s, 4.14433050788e-09, 0.0, "gal_gmjgm3", "s 58 45" ) ;  
  gal_stget ( 58, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.59285092719e-10, 0.0, "gal_gmjgm3", "c 58 46" ) ;  
  gal_vdv ( s, 2.68125233437e-09, 0.0, "gal_gmjgm3", "s 58 46" ) ;  
  gal_stget ( 58, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.32441798603e-10, 0.0, "gal_gmjgm3", "c 58 47" ) ;  
  gal_vdv ( s, 3.65104100062e-10, 0.0, "gal_gmjgm3", "s 58 47" ) ;  
  gal_stget ( 58, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.05432605583e-09, 0.0, "gal_gmjgm3", "c 58 48" ) ;  
  gal_vdv ( s, -3.14205205684e-09, 0.0, "gal_gmjgm3", "s 58 48" ) ;  
  gal_stget ( 58, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.36243587565e-09, 0.0, "gal_gmjgm3", "c 58 49" ) ;  
  gal_vdv ( s, 7.02361080861e-10, 0.0, "gal_gmjgm3", "s 58 49" ) ;  
  gal_stget ( 58, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.17688501798e-09, 0.0, "gal_gmjgm3", "c 58 50" ) ;  
  gal_vdv ( s, 8.46597390120e-09, 0.0, "gal_gmjgm3", "s 58 50" ) ;  
  gal_stget ( 58, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.80374130229e-10, 0.0, "gal_gmjgm3", "c 58 51" ) ;  
  gal_vdv ( s, -3.06770262612e-09, 0.0, "gal_gmjgm3", "s 58 51" ) ;  
  gal_stget ( 58, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.36434962392e-10, 0.0, "gal_gmjgm3", "c 58 52" ) ;  
  gal_vdv ( s, 5.60016235356e-09, 0.0, "gal_gmjgm3", "s 58 52" ) ;  
  gal_stget ( 58, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.51672354491e-09, 0.0, "gal_gmjgm3", "c 58 53" ) ;  
  gal_vdv ( s, -2.38125568428e-09, 0.0, "gal_gmjgm3", "s 58 53" ) ;  
  gal_stget ( 58, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.98253050403e-09, 0.0, "gal_gmjgm3", "c 58 54" ) ;  
  gal_vdv ( s, -4.80303214903e-10, 0.0, "gal_gmjgm3", "s 58 54" ) ;  
  gal_stget ( 58, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.27830369047e-09, 0.0, "gal_gmjgm3", "c 58 55" ) ;  
  gal_vdv ( s, -3.48667081996e-09, 0.0, "gal_gmjgm3", "s 58 55" ) ;  
  gal_stget ( 58, 56, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.10989745690e-10, 0.0, "gal_gmjgm3", "c 58 56" ) ;  
  gal_vdv ( s, -1.06540705592e-10, 0.0, "gal_gmjgm3", "s 58 56" ) ;  
  gal_stget ( 58, 57, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.07867173966e-09, 0.0, "gal_gmjgm3", "c 58 57" ) ;  
  gal_vdv ( s, 1.25842108699e-09, 0.0, "gal_gmjgm3", "s 58 57" ) ;  
  gal_stget ( 58, 58, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.47848047027e-09, 0.0, "gal_gmjgm3", "c 58 58" ) ;  
  gal_vdv ( s, 1.68763538934e-09, 0.0, "gal_gmjgm3", "s 58 58" ) ;  
  gal_stget ( 59, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.19608591921e-10, 0.0, "gal_gmjgm3", "c 59 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 59 0" ) ;  
  gal_stget ( 59, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.45376223039e-09, 0.0, "gal_gmjgm3", "c 59 1" ) ;  
  gal_vdv ( s, -2.13068460916e-09, 0.0, "gal_gmjgm3", "s 59 1" ) ;  
  gal_stget ( 59, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.13578978992e-09, 0.0, "gal_gmjgm3", "c 59 2" ) ;  
  gal_vdv ( s, 1.56400514099e-09, 0.0, "gal_gmjgm3", "s 59 2" ) ;  
  gal_stget ( 59, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.64017592657e-10, 0.0, "gal_gmjgm3", "c 59 3" ) ;  
  gal_vdv ( s, -5.22750928447e-09, 0.0, "gal_gmjgm3", "s 59 3" ) ;  
  gal_stget ( 59, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.72566940945e-09, 0.0, "gal_gmjgm3", "c 59 4" ) ;  
  gal_vdv ( s, 1.32020120054e-09, 0.0, "gal_gmjgm3", "s 59 4" ) ;  
  gal_stget ( 59, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.63311451163e-09, 0.0, "gal_gmjgm3", "c 59 5" ) ;  
  gal_vdv ( s, -4.09440247282e-09, 0.0, "gal_gmjgm3", "s 59 5" ) ;  
  gal_stget ( 59, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.35453228378e-09, 0.0, "gal_gmjgm3", "c 59 6" ) ;  
  gal_vdv ( s, -1.97010161164e-09, 0.0, "gal_gmjgm3", "s 59 6" ) ;  
  gal_stget ( 59, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.73754630324e-09, 0.0, "gal_gmjgm3", "c 59 7" ) ;  
  gal_vdv ( s, 2.16057225836e-09, 0.0, "gal_gmjgm3", "s 59 7" ) ;  
  gal_stget ( 59, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.93176606899e-09, 0.0, "gal_gmjgm3", "c 59 8" ) ;  
  gal_vdv ( s, 9.02813240137e-11, 0.0, "gal_gmjgm3", "s 59 8" ) ;  
  gal_stget ( 59, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.55111044600e-09, 0.0, "gal_gmjgm3", "c 59 9" ) ;  
  gal_vdv ( s, -8.64268872879e-11, 0.0, "gal_gmjgm3", "s 59 9" ) ;  
  gal_stget ( 59, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.69215511429e-09, 0.0, "gal_gmjgm3", "c 59 10" ) ;  
  gal_vdv ( s, -4.13876709742e-09, 0.0, "gal_gmjgm3", "s 59 10" ) ;  
  gal_stget ( 59, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.36138327371e-10, 0.0, "gal_gmjgm3", "c 59 11" ) ;  
  gal_vdv ( s, 8.70010769136e-10, 0.0, "gal_gmjgm3", "s 59 11" ) ;  
  gal_stget ( 59, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.16017422349e-09, 0.0, "gal_gmjgm3", "c 59 12" ) ;  
  gal_vdv ( s, -3.92787669137e-09, 0.0, "gal_gmjgm3", "s 59 12" ) ;  
  gal_stget ( 59, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.35705897967e-09, 0.0, "gal_gmjgm3", "c 59 13" ) ;  
  gal_vdv ( s, -5.60450410612e-10, 0.0, "gal_gmjgm3", "s 59 13" ) ;  
  gal_stget ( 59, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.50446111685e-10, 0.0, "gal_gmjgm3", "c 59 14" ) ;  
  gal_vdv ( s, -5.94376850386e-09, 0.0, "gal_gmjgm3", "s 59 14" ) ;  
  gal_stget ( 59, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.99126338989e-10, 0.0, "gal_gmjgm3", "c 59 15" ) ;  
  gal_vdv ( s, -4.11192110415e-09, 0.0, "gal_gmjgm3", "s 59 15" ) ;  
  gal_stget ( 59, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.43750447906e-10, 0.0, "gal_gmjgm3", "c 59 16" ) ;  
  gal_vdv ( s, -9.10599027438e-10, 0.0, "gal_gmjgm3", "s 59 16" ) ;  
  gal_stget ( 59, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.19470845859e-09, 0.0, "gal_gmjgm3", "c 59 17" ) ;  
  gal_vdv ( s, -9.63448581750e-10, 0.0, "gal_gmjgm3", "s 59 17" ) ;  
  gal_stget ( 59, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.12987158433e-09, 0.0, "gal_gmjgm3", "c 59 18" ) ;  
  gal_vdv ( s, 5.73071713345e-10, 0.0, "gal_gmjgm3", "s 59 18" ) ;  
  gal_stget ( 59, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.59757961861e-10, 0.0, "gal_gmjgm3", "c 59 19" ) ;  
  gal_vdv ( s, -3.43547535768e-09, 0.0, "gal_gmjgm3", "s 59 19" ) ;  
  gal_stget ( 59, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.76581381515e-09, 0.0, "gal_gmjgm3", "c 59 20" ) ;  
  gal_vdv ( s, -1.83876632717e-09, 0.0, "gal_gmjgm3", "s 59 20" ) ;  
  gal_stget ( 59, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.93641754039e-09, 0.0, "gal_gmjgm3", "c 59 21" ) ;  
  gal_vdv ( s, 8.30300256404e-10, 0.0, "gal_gmjgm3", "s 59 21" ) ;  
  gal_stget ( 59, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.53603163871e-09, 0.0, "gal_gmjgm3", "c 59 22" ) ;  
  gal_vdv ( s, -4.07320197814e-09, 0.0, "gal_gmjgm3", "s 59 22" ) ;  
  gal_stget ( 59, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.78524661312e-09, 0.0, "gal_gmjgm3", "c 59 23" ) ;  
  gal_vdv ( s, 2.71199173086e-09, 0.0, "gal_gmjgm3", "s 59 23" ) ;  
  gal_stget ( 59, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.56782835855e-09, 0.0, "gal_gmjgm3", "c 59 24" ) ;  
  gal_vdv ( s, 2.26358332831e-10, 0.0, "gal_gmjgm3", "s 59 24" ) ;  
  gal_stget ( 59, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.06352990205e-09, 0.0, "gal_gmjgm3", "c 59 25" ) ;  
  gal_vdv ( s, -9.13263721796e-10, 0.0, "gal_gmjgm3", "s 59 25" ) ;  
  gal_stget ( 59, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.61655839776e-10, 0.0, "gal_gmjgm3", "c 59 26" ) ;  
  gal_vdv ( s, 9.70110511396e-09, 0.0, "gal_gmjgm3", "s 59 26" ) ;  
  gal_stget ( 59, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.90893114014e-09, 0.0, "gal_gmjgm3", "c 59 27" ) ;  
  gal_vdv ( s, -4.75064595272e-10, 0.0, "gal_gmjgm3", "s 59 27" ) ;  
  gal_stget ( 59, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.68204416915e-10, 0.0, "gal_gmjgm3", "c 59 28" ) ;  
  gal_vdv ( s, -4.88969487829e-10, 0.0, "gal_gmjgm3", "s 59 28" ) ;  
  gal_stget ( 59, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.44218091310e-09, 0.0, "gal_gmjgm3", "c 59 29" ) ;  
  gal_vdv ( s, -5.66792463830e-10, 0.0, "gal_gmjgm3", "s 59 29" ) ;  
  gal_stget ( 59, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.34738283674e-09, 0.0, "gal_gmjgm3", "c 59 30" ) ;  
  gal_vdv ( s, -1.05344226872e-09, 0.0, "gal_gmjgm3", "s 59 30" ) ;  
  gal_stget ( 59, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.86823011690e-09, 0.0, "gal_gmjgm3", "c 59 31" ) ;  
  gal_vdv ( s, 2.57539173133e-09, 0.0, "gal_gmjgm3", "s 59 31" ) ;  
  gal_stget ( 59, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.69462060565e-10, 0.0, "gal_gmjgm3", "c 59 32" ) ;  
  gal_vdv ( s, -1.59633112880e-10, 0.0, "gal_gmjgm3", "s 59 32" ) ;  
  gal_stget ( 59, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.65928535032e-10, 0.0, "gal_gmjgm3", "c 59 33" ) ;  
  gal_vdv ( s, -1.95840424874e-10, 0.0, "gal_gmjgm3", "s 59 33" ) ;  
  gal_stget ( 59, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.32148357996e-09, 0.0, "gal_gmjgm3", "c 59 34" ) ;  
  gal_vdv ( s, -1.54443097813e-09, 0.0, "gal_gmjgm3", "s 59 34" ) ;  
  gal_stget ( 59, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.67296208106e-11, 0.0, "gal_gmjgm3", "c 59 35" ) ;  
  gal_vdv ( s, -9.42140241349e-10, 0.0, "gal_gmjgm3", "s 59 35" ) ;  
  gal_stget ( 59, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.78373005006e-10, 0.0, "gal_gmjgm3", "c 59 36" ) ;  
  gal_vdv ( s, 1.98871024892e-10, 0.0, "gal_gmjgm3", "s 59 36" ) ;  
  gal_stget ( 59, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.57707980975e-11, 0.0, "gal_gmjgm3", "c 59 37" ) ;  
  gal_vdv ( s, -3.04364493525e-09, 0.0, "gal_gmjgm3", "s 59 37" ) ;  
  gal_stget ( 59, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.88827695688e-10, 0.0, "gal_gmjgm3", "c 59 38" ) ;  
  gal_vdv ( s, 5.29392505499e-09, 0.0, "gal_gmjgm3", "s 59 38" ) ;  
  gal_stget ( 59, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.94388793684e-09, 0.0, "gal_gmjgm3", "c 59 39" ) ;  
  gal_vdv ( s, 6.09662060513e-10, 0.0, "gal_gmjgm3", "s 59 39" ) ;  
  gal_stget ( 59, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.40235349216e-09, 0.0, "gal_gmjgm3", "c 59 40" ) ;  
  gal_vdv ( s, 2.36107969566e-09, 0.0, "gal_gmjgm3", "s 59 40" ) ;  
  gal_stget ( 59, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.51289818072e-09, 0.0, "gal_gmjgm3", "c 59 41" ) ;  
  gal_vdv ( s, 2.05371983573e-09, 0.0, "gal_gmjgm3", "s 59 41" ) ;  
  gal_stget ( 59, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.90659709868e-09, 0.0, "gal_gmjgm3", "c 59 42" ) ;  
  gal_vdv ( s, -1.69084655050e-09, 0.0, "gal_gmjgm3", "s 59 42" ) ;  
  gal_stget ( 59, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.12336354443e-10, 0.0, "gal_gmjgm3", "c 59 43" ) ;  
  gal_vdv ( s, -1.56212016624e-09, 0.0, "gal_gmjgm3", "s 59 43" ) ;  
  gal_stget ( 59, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.21912247284e-09, 0.0, "gal_gmjgm3", "c 59 44" ) ;  
  gal_vdv ( s, -2.34676800076e-09, 0.0, "gal_gmjgm3", "s 59 44" ) ;  
  gal_stget ( 59, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.07837269237e-09, 0.0, "gal_gmjgm3", "c 59 45" ) ;  
  gal_vdv ( s, -3.79037609271e-10, 0.0, "gal_gmjgm3", "s 59 45" ) ;  
  gal_stget ( 59, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.34149323940e-09, 0.0, "gal_gmjgm3", "c 59 46" ) ;  
  gal_vdv ( s, 9.45486706134e-10, 0.0, "gal_gmjgm3", "s 59 46" ) ;  
  gal_stget ( 59, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.33591793787e-10, 0.0, "gal_gmjgm3", "c 59 47" ) ;  
  gal_vdv ( s, 4.41170700853e-09, 0.0, "gal_gmjgm3", "s 59 47" ) ;  
  gal_stget ( 59, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.26002529517e-09, 0.0, "gal_gmjgm3", "c 59 48" ) ;  
  gal_vdv ( s, 6.05989048492e-09, 0.0, "gal_gmjgm3", "s 59 48" ) ;  
  gal_stget ( 59, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.75956306269e-09, 0.0, "gal_gmjgm3", "c 59 49" ) ;  
  gal_vdv ( s, 4.80134896789e-09, 0.0, "gal_gmjgm3", "s 59 49" ) ;  
  gal_stget ( 59, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.68907914551e-09, 0.0, "gal_gmjgm3", "c 59 50" ) ;  
  gal_vdv ( s, 3.07423362047e-09, 0.0, "gal_gmjgm3", "s 59 50" ) ;  
  gal_stget ( 59, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.63294987414e-11, 0.0, "gal_gmjgm3", "c 59 51" ) ;  
  gal_vdv ( s, 1.00113094653e-09, 0.0, "gal_gmjgm3", "s 59 51" ) ;  
  gal_stget ( 59, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.64243018912e-09, 0.0, "gal_gmjgm3", "c 59 52" ) ;  
  gal_vdv ( s, 1.11734001346e-09, 0.0, "gal_gmjgm3", "s 59 52" ) ;  
  gal_stget ( 59, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.93515891470e-11, 0.0, "gal_gmjgm3", "c 59 53" ) ;  
  gal_vdv ( s, -3.98350072978e-09, 0.0, "gal_gmjgm3", "s 59 53" ) ;  
  gal_stget ( 59, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.38222010108e-09, 0.0, "gal_gmjgm3", "c 59 54" ) ;  
  gal_vdv ( s, -2.08260660263e-09, 0.0, "gal_gmjgm3", "s 59 54" ) ;  
  gal_stget ( 59, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.57989262370e-10, 0.0, "gal_gmjgm3", "c 59 55" ) ;  
  gal_vdv ( s, 2.34433079611e-09, 0.0, "gal_gmjgm3", "s 59 55" ) ;  
  gal_stget ( 59, 56, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.54215273177e-09, 0.0, "gal_gmjgm3", "c 59 56" ) ;  
  gal_vdv ( s, -3.28748145417e-09, 0.0, "gal_gmjgm3", "s 59 56" ) ;  
  gal_stget ( 59, 57, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.62754133100e-09, 0.0, "gal_gmjgm3", "c 59 57" ) ;  
  gal_vdv ( s, -3.81092800998e-09, 0.0, "gal_gmjgm3", "s 59 57" ) ;  
  gal_stget ( 59, 58, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.88333714736e-09, 0.0, "gal_gmjgm3", "c 59 58" ) ;  
  gal_vdv ( s, -2.04797867423e-09, 0.0, "gal_gmjgm3", "s 59 58" ) ;  
  gal_stget ( 59, 59, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.66242574724e-09, 0.0, "gal_gmjgm3", "c 59 59" ) ;  
  gal_vdv ( s, 2.81815180065e-10, 0.0, "gal_gmjgm3", "s 59 59" ) ;  
  gal_stget ( 60, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.19133632751e-09, 0.0, "gal_gmjgm3", "c 60 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 60 0" ) ;  
  gal_stget ( 60, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.65429604450e-10, 0.0, "gal_gmjgm3", "c 60 1" ) ;  
  gal_vdv ( s, -3.26635577881e-10, 0.0, "gal_gmjgm3", "s 60 1" ) ;  
  gal_stget ( 60, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.54139728002e-09, 0.0, "gal_gmjgm3", "c 60 2" ) ;  
  gal_vdv ( s, -1.80877312368e-09, 0.0, "gal_gmjgm3", "s 60 2" ) ;  
  gal_stget ( 60, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.81912368371e-09, 0.0, "gal_gmjgm3", "c 60 3" ) ;  
  gal_vdv ( s, -7.24169890102e-11, 0.0, "gal_gmjgm3", "s 60 3" ) ;  
  gal_stget ( 60, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.24988753960e-09, 0.0, "gal_gmjgm3", "c 60 4" ) ;  
  gal_vdv ( s, 6.16374991354e-10, 0.0, "gal_gmjgm3", "s 60 4" ) ;  
  gal_stget ( 60, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.30149295614e-11, 0.0, "gal_gmjgm3", "c 60 5" ) ;  
  gal_vdv ( s, -2.34852699108e-10, 0.0, "gal_gmjgm3", "s 60 5" ) ;  
  gal_stget ( 60, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.46142044766e-09, 0.0, "gal_gmjgm3", "c 60 6" ) ;  
  gal_vdv ( s, -2.58195223990e-09, 0.0, "gal_gmjgm3", "s 60 6" ) ;  
  gal_stget ( 60, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.52857785341e-10, 0.0, "gal_gmjgm3", "c 60 7" ) ;  
  gal_vdv ( s, -2.42438994721e-09, 0.0, "gal_gmjgm3", "s 60 7" ) ;  
  gal_stget ( 60, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.65167449471e-09, 0.0, "gal_gmjgm3", "c 60 8" ) ;  
  gal_vdv ( s, -1.07547214523e-09, 0.0, "gal_gmjgm3", "s 60 8" ) ;  
  gal_stget ( 60, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.31693637354e-10, 0.0, "gal_gmjgm3", "c 60 9" ) ;  
  gal_vdv ( s, 6.47837293093e-10, 0.0, "gal_gmjgm3", "s 60 9" ) ;  
  gal_stget ( 60, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.37873476120e-11, 0.0, "gal_gmjgm3", "c 60 10" ) ;  
  gal_vdv ( s, -1.36611007998e-09, 0.0, "gal_gmjgm3", "s 60 10" ) ;  
  gal_stget ( 60, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.95546489283e-09, 0.0, "gal_gmjgm3", "c 60 11" ) ;  
  gal_vdv ( s, 4.60554895796e-09, 0.0, "gal_gmjgm3", "s 60 11" ) ;  
  gal_stget ( 60, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.28771010816e-10, 0.0, "gal_gmjgm3", "c 60 12" ) ;  
  gal_vdv ( s, -2.01259522305e-09, 0.0, "gal_gmjgm3", "s 60 12" ) ;  
  gal_stget ( 60, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.53347223554e-10, 0.0, "gal_gmjgm3", "c 60 13" ) ;  
  gal_vdv ( s, -1.63179165022e-10, 0.0, "gal_gmjgm3", "s 60 13" ) ;  
  gal_stget ( 60, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.60550294910e-09, 0.0, "gal_gmjgm3", "c 60 14" ) ;  
  gal_vdv ( s, -8.63897958794e-10, 0.0, "gal_gmjgm3", "s 60 14" ) ;  
  gal_stget ( 60, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.32540215772e-10, 0.0, "gal_gmjgm3", "c 60 15" ) ;  
  gal_vdv ( s, 1.06927456632e-10, 0.0, "gal_gmjgm3", "s 60 15" ) ;  
  gal_stget ( 60, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.18709887266e-09, 0.0, "gal_gmjgm3", "c 60 16" ) ;  
  gal_vdv ( s, -5.04848033436e-10, 0.0, "gal_gmjgm3", "s 60 16" ) ;  
  gal_stget ( 60, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.19170335210e-09, 0.0, "gal_gmjgm3", "c 60 17" ) ;  
  gal_vdv ( s, 1.57772520847e-09, 0.0, "gal_gmjgm3", "s 60 17" ) ;  
  gal_stget ( 60, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.93029180743e-09, 0.0, "gal_gmjgm3", "c 60 18" ) ;  
  gal_vdv ( s, -3.76025802443e-09, 0.0, "gal_gmjgm3", "s 60 18" ) ;  
  gal_stget ( 60, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.48413180402e-09, 0.0, "gal_gmjgm3", "c 60 19" ) ;  
  gal_vdv ( s, -1.35808781167e-09, 0.0, "gal_gmjgm3", "s 60 19" ) ;  
  gal_stget ( 60, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.31797215045e-10, 0.0, "gal_gmjgm3", "c 60 20" ) ;  
  gal_vdv ( s, 6.68100562293e-10, 0.0, "gal_gmjgm3", "s 60 20" ) ;  
  gal_stget ( 60, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.20965097078e-09, 0.0, "gal_gmjgm3", "c 60 21" ) ;  
  gal_vdv ( s, -4.15147536528e-09, 0.0, "gal_gmjgm3", "s 60 21" ) ;  
  gal_stget ( 60, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.56772439952e-09, 0.0, "gal_gmjgm3", "c 60 22" ) ;  
  gal_vdv ( s, 2.45743632119e-09, 0.0, "gal_gmjgm3", "s 60 22" ) ;  
  gal_stget ( 60, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.17953307313e-09, 0.0, "gal_gmjgm3", "c 60 23" ) ;  
  gal_vdv ( s, -2.30271853751e-09, 0.0, "gal_gmjgm3", "s 60 23" ) ;  
  gal_stget ( 60, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.04866991983e-09, 0.0, "gal_gmjgm3", "c 60 24" ) ;  
  gal_vdv ( s, 5.65614419554e-10, 0.0, "gal_gmjgm3", "s 60 24" ) ;  
  gal_stget ( 60, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.79971948689e-09, 0.0, "gal_gmjgm3", "c 60 25" ) ;  
  gal_vdv ( s, 2.21861848138e-09, 0.0, "gal_gmjgm3", "s 60 25" ) ;  
  gal_stget ( 60, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.78794053443e-09, 0.0, "gal_gmjgm3", "c 60 26" ) ;  
  gal_vdv ( s, 4.44729471973e-09, 0.0, "gal_gmjgm3", "s 60 26" ) ;  
  gal_stget ( 60, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.03669679458e-09, 0.0, "gal_gmjgm3", "c 60 27" ) ;  
  gal_vdv ( s, 2.62395089818e-09, 0.0, "gal_gmjgm3", "s 60 27" ) ;  
  gal_stget ( 60, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.21836152476e-10, 0.0, "gal_gmjgm3", "c 60 28" ) ;  
  gal_vdv ( s, -1.89944654485e-09, 0.0, "gal_gmjgm3", "s 60 28" ) ;  
  gal_stget ( 60, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.48085506112e-09, 0.0, "gal_gmjgm3", "c 60 29" ) ;  
  gal_vdv ( s, 3.87984281163e-09, 0.0, "gal_gmjgm3", "s 60 29" ) ;  
  gal_stget ( 60, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.07695296867e-09, 0.0, "gal_gmjgm3", "c 60 30" ) ;  
  gal_vdv ( s, -2.24787772052e-09, 0.0, "gal_gmjgm3", "s 60 30" ) ;  
  gal_stget ( 60, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.72152129264e-09, 0.0, "gal_gmjgm3", "c 60 31" ) ;  
  gal_vdv ( s, -1.85442163393e-09, 0.0, "gal_gmjgm3", "s 60 31" ) ;  
  gal_stget ( 60, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.07750586601e-11, 0.0, "gal_gmjgm3", "c 60 32" ) ;  
  gal_vdv ( s, -1.72397602652e-10, 0.0, "gal_gmjgm3", "s 60 32" ) ;  
  gal_stget ( 60, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.96266096663e-09, 0.0, "gal_gmjgm3", "c 60 33" ) ;  
  gal_vdv ( s, 4.91879889757e-09, 0.0, "gal_gmjgm3", "s 60 33" ) ;  
  gal_stget ( 60, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.70883686966e-09, 0.0, "gal_gmjgm3", "c 60 34" ) ;  
  gal_vdv ( s, -2.48994203152e-09, 0.0, "gal_gmjgm3", "s 60 34" ) ;  
  gal_stget ( 60, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.66368544954e-09, 0.0, "gal_gmjgm3", "c 60 35" ) ;  
  gal_vdv ( s, -6.52010223128e-10, 0.0, "gal_gmjgm3", "s 60 35" ) ;  
  gal_stget ( 60, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.94828503590e-10, 0.0, "gal_gmjgm3", "c 60 36" ) ;  
  gal_vdv ( s, -1.20061954023e-10, 0.0, "gal_gmjgm3", "s 60 36" ) ;  
  gal_stget ( 60, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.68679877533e-09, 0.0, "gal_gmjgm3", "c 60 37" ) ;  
  gal_vdv ( s, 2.93347240104e-10, 0.0, "gal_gmjgm3", "s 60 37" ) ;  
  gal_stget ( 60, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.35449910931e-09, 0.0, "gal_gmjgm3", "c 60 38" ) ;  
  gal_vdv ( s, -5.85528500768e-10, 0.0, "gal_gmjgm3", "s 60 38" ) ;  
  gal_stget ( 60, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.45417742408e-10, 0.0, "gal_gmjgm3", "c 60 39" ) ;  
  gal_vdv ( s, -5.61938742439e-09, 0.0, "gal_gmjgm3", "s 60 39" ) ;  
  gal_stget ( 60, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.49536626036e-10, 0.0, "gal_gmjgm3", "c 60 40" ) ;  
  gal_vdv ( s, 1.13453610727e-09, 0.0, "gal_gmjgm3", "s 60 40" ) ;  
  gal_stget ( 60, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.03177165755e-10, 0.0, "gal_gmjgm3", "c 60 41" ) ;  
  gal_vdv ( s, 4.84544335883e-11, 0.0, "gal_gmjgm3", "s 60 41" ) ;  
  gal_stget ( 60, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.04204709812e-10, 0.0, "gal_gmjgm3", "c 60 42" ) ;  
  gal_vdv ( s, 2.93144620176e-09, 0.0, "gal_gmjgm3", "s 60 42" ) ;  
  gal_stget ( 60, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.42738294895e-09, 0.0, "gal_gmjgm3", "c 60 43" ) ;  
  gal_vdv ( s, 7.30213097946e-10, 0.0, "gal_gmjgm3", "s 60 43" ) ;  
  gal_stget ( 60, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.42885883047e-09, 0.0, "gal_gmjgm3", "c 60 44" ) ;  
  gal_vdv ( s, -7.44978229953e-10, 0.0, "gal_gmjgm3", "s 60 44" ) ;  
  gal_stget ( 60, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.67142191612e-09, 0.0, "gal_gmjgm3", "c 60 45" ) ;  
  gal_vdv ( s, -3.19481580178e-09, 0.0, "gal_gmjgm3", "s 60 45" ) ;  
  gal_stget ( 60, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.24361428426e-09, 0.0, "gal_gmjgm3", "c 60 46" ) ;  
  gal_vdv ( s, 5.35462659499e-10, 0.0, "gal_gmjgm3", "s 60 46" ) ;  
  gal_stget ( 60, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.20398691309e-10, 0.0, "gal_gmjgm3", "c 60 47" ) ;  
  gal_vdv ( s, 1.42644922653e-09, 0.0, "gal_gmjgm3", "s 60 47" ) ;  
  gal_stget ( 60, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.16803951352e-09, 0.0, "gal_gmjgm3", "c 60 48" ) ;  
  gal_vdv ( s, -3.75721613721e-09, 0.0, "gal_gmjgm3", "s 60 48" ) ;  
  gal_stget ( 60, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.03755512276e-09, 0.0, "gal_gmjgm3", "c 60 49" ) ;  
  gal_vdv ( s, -3.96273701254e-09, 0.0, "gal_gmjgm3", "s 60 49" ) ;  
  gal_stget ( 60, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.16628111180e-09, 0.0, "gal_gmjgm3", "c 60 50" ) ;  
  gal_vdv ( s, 4.20578289790e-09, 0.0, "gal_gmjgm3", "s 60 50" ) ;  
  gal_stget ( 60, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.25325601739e-09, 0.0, "gal_gmjgm3", "c 60 51" ) ;  
  gal_vdv ( s, -4.76312124729e-10, 0.0, "gal_gmjgm3", "s 60 51" ) ;  
  gal_stget ( 60, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.46369420423e-09, 0.0, "gal_gmjgm3", "c 60 52" ) ;  
  gal_vdv ( s, 5.54731444031e-09, 0.0, "gal_gmjgm3", "s 60 52" ) ;  
  gal_stget ( 60, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.65955054827e-09, 0.0, "gal_gmjgm3", "c 60 53" ) ;  
  gal_vdv ( s, 7.30905937107e-09, 0.0, "gal_gmjgm3", "s 60 53" ) ;  
  gal_stget ( 60, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.58945579469e-09, 0.0, "gal_gmjgm3", "c 60 54" ) ;  
  gal_vdv ( s, -2.67349492614e-09, 0.0, "gal_gmjgm3", "s 60 54" ) ;  
  gal_stget ( 60, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.12677107656e-09, 0.0, "gal_gmjgm3", "c 60 55" ) ;  
  gal_vdv ( s, 2.44946636370e-09, 0.0, "gal_gmjgm3", "s 60 55" ) ;  
  gal_stget ( 60, 56, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.03206411694e-09, 0.0, "gal_gmjgm3", "c 60 56" ) ;  
  gal_vdv ( s, -2.98838452824e-09, 0.0, "gal_gmjgm3", "s 60 56" ) ;  
  gal_stget ( 60, 57, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.14538605450e-09, 0.0, "gal_gmjgm3", "c 60 57" ) ;  
  gal_vdv ( s, 1.26337029945e-10, 0.0, "gal_gmjgm3", "s 60 57" ) ;  
  gal_stget ( 60, 58, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.97016635695e-09, 0.0, "gal_gmjgm3", "c 60 58" ) ;  
  gal_vdv ( s, 2.01779326686e-09, 0.0, "gal_gmjgm3", "s 60 58" ) ;  
  gal_stget ( 60, 59, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.71012357598e-09, 0.0, "gal_gmjgm3", "c 60 59" ) ;  
  gal_vdv ( s, 5.17090542033e-10, 0.0, "gal_gmjgm3", "s 60 59" ) ;  
  gal_stget ( 60, 60, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.29054531867e-09, 0.0, "gal_gmjgm3", "c 60 60" ) ;  
  gal_vdv ( s, 1.75046306013e-10, 0.0, "gal_gmjgm3", "s 60 60" ) ;  
  gal_stget ( 61, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.48966008886e-10, 0.0, "gal_gmjgm3", "c 61 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 61 0" ) ;  
  gal_stget ( 61, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.10771398494e-09, 0.0, "gal_gmjgm3", "c 61 1" ) ;  
  gal_vdv ( s, 4.58865578584e-10, 0.0, "gal_gmjgm3", "s 61 1" ) ;  
  gal_stget ( 61, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.68682104190e-10, 0.0, "gal_gmjgm3", "c 61 2" ) ;  
  gal_vdv ( s, -1.71306608311e-09, 0.0, "gal_gmjgm3", "s 61 2" ) ;  
  gal_stget ( 61, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.90844495403e-10, 0.0, "gal_gmjgm3", "c 61 3" ) ;  
  gal_vdv ( s, 5.16729289159e-09, 0.0, "gal_gmjgm3", "s 61 3" ) ;  
  gal_stget ( 61, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.53775775500e-09, 0.0, "gal_gmjgm3", "c 61 4" ) ;  
  gal_vdv ( s, -1.72969365358e-09, 0.0, "gal_gmjgm3", "s 61 4" ) ;  
  gal_stget ( 61, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.56858856324e-10, 0.0, "gal_gmjgm3", "c 61 5" ) ;  
  gal_vdv ( s, -4.27621685500e-10, 0.0, "gal_gmjgm3", "s 61 5" ) ;  
  gal_stget ( 61, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.02218352183e-09, 0.0, "gal_gmjgm3", "c 61 6" ) ;  
  gal_vdv ( s, -1.32512026043e-09, 0.0, "gal_gmjgm3", "s 61 6" ) ;  
  gal_stget ( 61, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.20973758259e-09, 0.0, "gal_gmjgm3", "c 61 7" ) ;  
  gal_vdv ( s, 6.30118990769e-10, 0.0, "gal_gmjgm3", "s 61 7" ) ;  
  gal_stget ( 61, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.74264201076e-10, 0.0, "gal_gmjgm3", "c 61 8" ) ;  
  gal_vdv ( s, -1.08627794215e-09, 0.0, "gal_gmjgm3", "s 61 8" ) ;  
  gal_stget ( 61, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.06672044928e-10, 0.0, "gal_gmjgm3", "c 61 9" ) ;  
  gal_vdv ( s, 4.05921402510e-09, 0.0, "gal_gmjgm3", "s 61 9" ) ;  
  gal_stget ( 61, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.22422803499e-09, 0.0, "gal_gmjgm3", "c 61 10" ) ;  
  gal_vdv ( s, 2.84816525418e-10, 0.0, "gal_gmjgm3", "s 61 10" ) ;  
  gal_stget ( 61, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.89868291755e-09, 0.0, "gal_gmjgm3", "c 61 11" ) ;  
  gal_vdv ( s, 3.78270054455e-09, 0.0, "gal_gmjgm3", "s 61 11" ) ;  
  gal_stget ( 61, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.01426424331e-10, 0.0, "gal_gmjgm3", "c 61 12" ) ;  
  gal_vdv ( s, -1.40687314072e-09, 0.0, "gal_gmjgm3", "s 61 12" ) ;  
  gal_stget ( 61, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.29451753478e-09, 0.0, "gal_gmjgm3", "c 61 13" ) ;  
  gal_vdv ( s, -1.72877079503e-09, 0.0, "gal_gmjgm3", "s 61 13" ) ;  
  gal_stget ( 61, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.14566712288e-09, 0.0, "gal_gmjgm3", "c 61 14" ) ;  
  gal_vdv ( s, 1.67491207527e-09, 0.0, "gal_gmjgm3", "s 61 14" ) ;  
  gal_stget ( 61, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.72479097224e-09, 0.0, "gal_gmjgm3", "c 61 15" ) ;  
  gal_vdv ( s, 2.01896622516e-10, 0.0, "gal_gmjgm3", "s 61 15" ) ;  
  gal_stget ( 61, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.61323316241e-09, 0.0, "gal_gmjgm3", "c 61 16" ) ;  
  gal_vdv ( s, -5.29024803865e-10, 0.0, "gal_gmjgm3", "s 61 16" ) ;  
  gal_stget ( 61, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.09844991048e-09, 0.0, "gal_gmjgm3", "c 61 17" ) ;  
  gal_vdv ( s, 2.41647440228e-09, 0.0, "gal_gmjgm3", "s 61 17" ) ;  
  gal_stget ( 61, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.39080655129e-09, 0.0, "gal_gmjgm3", "c 61 18" ) ;  
  gal_vdv ( s, -2.80111193346e-09, 0.0, "gal_gmjgm3", "s 61 18" ) ;  
  gal_stget ( 61, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.50985239114e-10, 0.0, "gal_gmjgm3", "c 61 19" ) ;  
  gal_vdv ( s, 2.29374482271e-09, 0.0, "gal_gmjgm3", "s 61 19" ) ;  
  gal_stget ( 61, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.50155956771e-09, 0.0, "gal_gmjgm3", "c 61 20" ) ;  
  gal_vdv ( s, 2.79862902172e-09, 0.0, "gal_gmjgm3", "s 61 20" ) ;  
  gal_stget ( 61, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.64412647890e-09, 0.0, "gal_gmjgm3", "c 61 21" ) ;  
  gal_vdv ( s, 3.84245981099e-09, 0.0, "gal_gmjgm3", "s 61 21" ) ;  
  gal_stget ( 61, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.72053067619e-10, 0.0, "gal_gmjgm3", "c 61 22" ) ;  
  gal_vdv ( s, 2.30108439927e-09, 0.0, "gal_gmjgm3", "s 61 22" ) ;  
  gal_stget ( 61, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.88371320551e-09, 0.0, "gal_gmjgm3", "c 61 23" ) ;  
  gal_vdv ( s, -4.92871378164e-10, 0.0, "gal_gmjgm3", "s 61 23" ) ;  
  gal_stget ( 61, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.24941727109e-09, 0.0, "gal_gmjgm3", "c 61 24" ) ;  
  gal_vdv ( s, 1.45513641166e-09, 0.0, "gal_gmjgm3", "s 61 24" ) ;  
  gal_stget ( 61, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.29537712191e-09, 0.0, "gal_gmjgm3", "c 61 25" ) ;  
  gal_vdv ( s, -2.10261548193e-09, 0.0, "gal_gmjgm3", "s 61 25" ) ;  
  gal_stget ( 61, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.06318367073e-10, 0.0, "gal_gmjgm3", "c 61 26" ) ;  
  gal_vdv ( s, -4.52498429506e-09, 0.0, "gal_gmjgm3", "s 61 26" ) ;  
  gal_stget ( 61, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.22321641837e-10, 0.0, "gal_gmjgm3", "c 61 27" ) ;  
  gal_vdv ( s, 2.70096926654e-10, 0.0, "gal_gmjgm3", "s 61 27" ) ;  
  gal_stget ( 61, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.15718039496e-09, 0.0, "gal_gmjgm3", "c 61 28" ) ;  
  gal_vdv ( s, -2.61502712114e-09, 0.0, "gal_gmjgm3", "s 61 28" ) ;  
  gal_stget ( 61, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.77671173551e-10, 0.0, "gal_gmjgm3", "c 61 29" ) ;  
  gal_vdv ( s, 3.58810535071e-09, 0.0, "gal_gmjgm3", "s 61 29" ) ;  
  gal_stget ( 61, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.21277318247e-10, 0.0, "gal_gmjgm3", "c 61 30" ) ;  
  gal_vdv ( s, 1.46574026963e-09, 0.0, "gal_gmjgm3", "s 61 30" ) ;  
  gal_stget ( 61, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.37984329351e-09, 0.0, "gal_gmjgm3", "c 61 31" ) ;  
  gal_vdv ( s, -1.13759625996e-09, 0.0, "gal_gmjgm3", "s 61 31" ) ;  
  gal_stget ( 61, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.47302103088e-09, 0.0, "gal_gmjgm3", "c 61 32" ) ;  
  gal_vdv ( s, 3.27742532267e-09, 0.0, "gal_gmjgm3", "s 61 32" ) ;  
  gal_stget ( 61, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.85812545460e-09, 0.0, "gal_gmjgm3", "c 61 33" ) ;  
  gal_vdv ( s, 3.68937267406e-10, 0.0, "gal_gmjgm3", "s 61 33" ) ;  
  gal_stget ( 61, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.53999839348e-10, 0.0, "gal_gmjgm3", "c 61 34" ) ;  
  gal_vdv ( s, -1.54870791097e-09, 0.0, "gal_gmjgm3", "s 61 34" ) ;  
  gal_stget ( 61, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.25329230124e-09, 0.0, "gal_gmjgm3", "c 61 35" ) ;  
  gal_vdv ( s, 2.04039606588e-09, 0.0, "gal_gmjgm3", "s 61 35" ) ;  
  gal_stget ( 61, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.78191889520e-10, 0.0, "gal_gmjgm3", "c 61 36" ) ;  
  gal_vdv ( s, 3.00853124470e-09, 0.0, "gal_gmjgm3", "s 61 36" ) ;  
  gal_stget ( 61, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.51028681415e-09, 0.0, "gal_gmjgm3", "c 61 37" ) ;  
  gal_vdv ( s, 2.45398966746e-10, 0.0, "gal_gmjgm3", "s 61 37" ) ;  
  gal_stget ( 61, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.23153206015e-09, 0.0, "gal_gmjgm3", "c 61 38" ) ;  
  gal_vdv ( s, -5.98543057703e-09, 0.0, "gal_gmjgm3", "s 61 38" ) ;  
  gal_stget ( 61, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.22937054901e-09, 0.0, "gal_gmjgm3", "c 61 39" ) ;  
  gal_vdv ( s, -3.77663057527e-09, 0.0, "gal_gmjgm3", "s 61 39" ) ;  
  gal_stget ( 61, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.17257357748e-09, 0.0, "gal_gmjgm3", "c 61 40" ) ;  
  gal_vdv ( s, -3.55887466323e-09, 0.0, "gal_gmjgm3", "s 61 40" ) ;  
  gal_stget ( 61, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.78181725471e-10, 0.0, "gal_gmjgm3", "c 61 41" ) ;  
  gal_vdv ( s, -3.07243057888e-09, 0.0, "gal_gmjgm3", "s 61 41" ) ;  
  gal_stget ( 61, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.09480195655e-09, 0.0, "gal_gmjgm3", "c 61 42" ) ;  
  gal_vdv ( s, 2.72940291506e-09, 0.0, "gal_gmjgm3", "s 61 42" ) ;  
  gal_stget ( 61, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.34338218580e-09, 0.0, "gal_gmjgm3", "c 61 43" ) ;  
  gal_vdv ( s, 3.10380580434e-09, 0.0, "gal_gmjgm3", "s 61 43" ) ;  
  gal_stget ( 61, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.95848199587e-10, 0.0, "gal_gmjgm3", "c 61 44" ) ;  
  gal_vdv ( s, 5.52550426195e-09, 0.0, "gal_gmjgm3", "s 61 44" ) ;  
  gal_stget ( 61, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.18068381757e-09, 0.0, "gal_gmjgm3", "c 61 45" ) ;  
  gal_vdv ( s, 2.56382478583e-09, 0.0, "gal_gmjgm3", "s 61 45" ) ;  
  gal_stget ( 61, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.36906826047e-10, 0.0, "gal_gmjgm3", "c 61 46" ) ;  
  gal_vdv ( s, 2.39469309538e-09, 0.0, "gal_gmjgm3", "s 61 46" ) ;  
  gal_stget ( 61, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.06238900724e-09, 0.0, "gal_gmjgm3", "c 61 47" ) ;  
  gal_vdv ( s, 2.82545272755e-09, 0.0, "gal_gmjgm3", "s 61 47" ) ;  
  gal_stget ( 61, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.97935379742e-10, 0.0, "gal_gmjgm3", "c 61 48" ) ;  
  gal_vdv ( s, 8.93131816519e-10, 0.0, "gal_gmjgm3", "s 61 48" ) ;  
  gal_stget ( 61, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.44067505684e-10, 0.0, "gal_gmjgm3", "c 61 49" ) ;  
  gal_vdv ( s, -6.64347507967e-10, 0.0, "gal_gmjgm3", "s 61 49" ) ;  
  gal_stget ( 61, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.65432658210e-09, 0.0, "gal_gmjgm3", "c 61 50" ) ;  
  gal_vdv ( s, 2.02649915390e-09, 0.0, "gal_gmjgm3", "s 61 50" ) ;  
  gal_stget ( 61, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.74300306743e-10, 0.0, "gal_gmjgm3", "c 61 51" ) ;  
  gal_vdv ( s, 1.07395529501e-09, 0.0, "gal_gmjgm3", "s 61 51" ) ;  
  gal_stget ( 61, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.66738056529e-09, 0.0, "gal_gmjgm3", "c 61 52" ) ;  
  gal_vdv ( s, -1.39185660329e-09, 0.0, "gal_gmjgm3", "s 61 52" ) ;  
  gal_stget ( 61, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.18499815198e-09, 0.0, "gal_gmjgm3", "c 61 53" ) ;  
  gal_vdv ( s, -5.78120222547e-09, 0.0, "gal_gmjgm3", "s 61 53" ) ;  
  gal_stget ( 61, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.07361688954e-09, 0.0, "gal_gmjgm3", "c 61 54" ) ;  
  gal_vdv ( s, 7.76367716328e-10, 0.0, "gal_gmjgm3", "s 61 54" ) ;  
  gal_stget ( 61, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.14599814176e-09, 0.0, "gal_gmjgm3", "c 61 55" ) ;  
  gal_vdv ( s, -3.49609921578e-11, 0.0, "gal_gmjgm3", "s 61 55" ) ;  
  gal_stget ( 61, 56, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.31317119034e-09, 0.0, "gal_gmjgm3", "c 61 56" ) ;  
  gal_vdv ( s, 1.52493262250e-09, 0.0, "gal_gmjgm3", "s 61 56" ) ;  
  gal_stget ( 61, 57, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.72013877064e-09, 0.0, "gal_gmjgm3", "c 61 57" ) ;  
  gal_vdv ( s, 2.27675091305e-09, 0.0, "gal_gmjgm3", "s 61 57" ) ;  
  gal_stget ( 61, 58, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.54775438278e-09, 0.0, "gal_gmjgm3", "c 61 58" ) ;  
  gal_vdv ( s, 6.13383669100e-09, 0.0, "gal_gmjgm3", "s 61 58" ) ;  
  gal_stget ( 61, 59, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.33425176430e-09, 0.0, "gal_gmjgm3", "c 61 59" ) ;  
  gal_vdv ( s, -1.29559090486e-09, 0.0, "gal_gmjgm3", "s 61 59" ) ;  
  gal_stget ( 61, 60, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.78462124441e-09, 0.0, "gal_gmjgm3", "c 61 60" ) ;  
  gal_vdv ( s, -4.33200505345e-09, 0.0, "gal_gmjgm3", "s 61 60" ) ;  
  gal_stget ( 61, 61, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.82908231961e-09, 0.0, "gal_gmjgm3", "c 61 61" ) ;  
  gal_vdv ( s, 9.74625712813e-10, 0.0, "gal_gmjgm3", "s 61 61" ) ;  
  gal_stget ( 62, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.10094268422e-10, 0.0, "gal_gmjgm3", "c 62 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 62 0" ) ;  
  gal_stget ( 62, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.88577189774e-10, 0.0, "gal_gmjgm3", "c 62 1" ) ;  
  gal_vdv ( s, 2.27070789102e-09, 0.0, "gal_gmjgm3", "s 62 1" ) ;  
  gal_stget ( 62, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.83923594395e-09, 0.0, "gal_gmjgm3", "c 62 2" ) ;  
  gal_vdv ( s, 4.62980594496e-09, 0.0, "gal_gmjgm3", "s 62 2" ) ;  
  gal_stget ( 62, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.02444537132e-09, 0.0, "gal_gmjgm3", "c 62 3" ) ;  
  gal_vdv ( s, 1.51002887319e-09, 0.0, "gal_gmjgm3", "s 62 3" ) ;  
  gal_stget ( 62, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.85962867442e-09, 0.0, "gal_gmjgm3", "c 62 4" ) ;  
  gal_vdv ( s, -6.81471127001e-10, 0.0, "gal_gmjgm3", "s 62 4" ) ;  
  gal_stget ( 62, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.57328377707e-09, 0.0, "gal_gmjgm3", "c 62 5" ) ;  
  gal_vdv ( s, 2.78084916528e-09, 0.0, "gal_gmjgm3", "s 62 5" ) ;  
  gal_stget ( 62, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.38892767184e-09, 0.0, "gal_gmjgm3", "c 62 6" ) ;  
  gal_vdv ( s, -4.23912904058e-09, 0.0, "gal_gmjgm3", "s 62 6" ) ;  
  gal_stget ( 62, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.73056987431e-09, 0.0, "gal_gmjgm3", "c 62 7" ) ;  
  gal_vdv ( s, 3.68963485891e-09, 0.0, "gal_gmjgm3", "s 62 7" ) ;  
  gal_stget ( 62, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.56044240695e-09, 0.0, "gal_gmjgm3", "c 62 8" ) ;  
  gal_vdv ( s, 1.30917889998e-09, 0.0, "gal_gmjgm3", "s 62 8" ) ;  
  gal_stget ( 62, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.95579122606e-09, 0.0, "gal_gmjgm3", "c 62 9" ) ;  
  gal_vdv ( s, -7.61810942602e-10, 0.0, "gal_gmjgm3", "s 62 9" ) ;  
  gal_stget ( 62, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.51714985748e-09, 0.0, "gal_gmjgm3", "c 62 10" ) ;  
  gal_vdv ( s, 5.00127027425e-09, 0.0, "gal_gmjgm3", "s 62 10" ) ;  
  gal_stget ( 62, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.47298649322e-09, 0.0, "gal_gmjgm3", "c 62 11" ) ;  
  gal_vdv ( s, 3.48371740557e-09, 0.0, "gal_gmjgm3", "s 62 11" ) ;  
  gal_stget ( 62, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.24616926737e-09, 0.0, "gal_gmjgm3", "c 62 12" ) ;  
  gal_vdv ( s, 1.35935513949e-09, 0.0, "gal_gmjgm3", "s 62 12" ) ;  
  gal_stget ( 62, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.82384596004e-09, 0.0, "gal_gmjgm3", "c 62 13" ) ;  
  gal_vdv ( s, -3.87244000254e-09, 0.0, "gal_gmjgm3", "s 62 13" ) ;  
  gal_stget ( 62, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.57634240623e-09, 0.0, "gal_gmjgm3", "c 62 14" ) ;  
  gal_vdv ( s, 6.13121609464e-09, 0.0, "gal_gmjgm3", "s 62 14" ) ;  
  gal_stget ( 62, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.12423574741e-09, 0.0, "gal_gmjgm3", "c 62 15" ) ;  
  gal_vdv ( s, -8.21361268887e-10, 0.0, "gal_gmjgm3", "s 62 15" ) ;  
  gal_stget ( 62, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.10591849737e-09, 0.0, "gal_gmjgm3", "c 62 16" ) ;  
  gal_vdv ( s, 7.03861876923e-11, 0.0, "gal_gmjgm3", "s 62 16" ) ;  
  gal_stget ( 62, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.23596272968e-09, 0.0, "gal_gmjgm3", "c 62 17" ) ;  
  gal_vdv ( s, -1.81979714760e-09, 0.0, "gal_gmjgm3", "s 62 17" ) ;  
  gal_stget ( 62, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.12112677417e-09, 0.0, "gal_gmjgm3", "c 62 18" ) ;  
  gal_vdv ( s, 1.77374287155e-10, 0.0, "gal_gmjgm3", "s 62 18" ) ;  
  gal_stget ( 62, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.96885738402e-10, 0.0, "gal_gmjgm3", "c 62 19" ) ;  
  gal_vdv ( s, 1.05702193914e-09, 0.0, "gal_gmjgm3", "s 62 19" ) ;  
  gal_stget ( 62, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.93992717223e-09, 0.0, "gal_gmjgm3", "c 62 20" ) ;  
  gal_vdv ( s, 5.33371702700e-09, 0.0, "gal_gmjgm3", "s 62 20" ) ;  
  gal_stget ( 62, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.78966718673e-09, 0.0, "gal_gmjgm3", "c 62 21" ) ;  
  gal_vdv ( s, 1.06283072668e-09, 0.0, "gal_gmjgm3", "s 62 21" ) ;  
  gal_stget ( 62, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.27347305288e-10, 0.0, "gal_gmjgm3", "c 62 22" ) ;  
  gal_vdv ( s, -1.56123862234e-09, 0.0, "gal_gmjgm3", "s 62 22" ) ;  
  gal_stget ( 62, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.80285125718e-09, 0.0, "gal_gmjgm3", "c 62 23" ) ;  
  gal_vdv ( s, -1.31359546410e-09, 0.0, "gal_gmjgm3", "s 62 23" ) ;  
  gal_stget ( 62, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.39293514166e-09, 0.0, "gal_gmjgm3", "c 62 24" ) ;  
  gal_vdv ( s, 7.90337201196e-11, 0.0, "gal_gmjgm3", "s 62 24" ) ;  
  gal_stget ( 62, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.11653218588e-09, 0.0, "gal_gmjgm3", "c 62 25" ) ;  
  gal_vdv ( s, -1.54264445105e-09, 0.0, "gal_gmjgm3", "s 62 25" ) ;  
  gal_stget ( 62, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.67744992306e-09, 0.0, "gal_gmjgm3", "c 62 26" ) ;  
  gal_vdv ( s, 3.42932739595e-11, 0.0, "gal_gmjgm3", "s 62 26" ) ;  
  gal_stget ( 62, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.08876577016e-11, 0.0, "gal_gmjgm3", "c 62 27" ) ;  
  gal_vdv ( s, 7.86410904990e-10, 0.0, "gal_gmjgm3", "s 62 27" ) ;  
  gal_stget ( 62, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.86790411489e-10, 0.0, "gal_gmjgm3", "c 62 28" ) ;  
  gal_vdv ( s, -2.10386256365e-09, 0.0, "gal_gmjgm3", "s 62 28" ) ;  
  gal_stget ( 62, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.36405965838e-09, 0.0, "gal_gmjgm3", "c 62 29" ) ;  
  gal_vdv ( s, 2.01400047787e-09, 0.0, "gal_gmjgm3", "s 62 29" ) ;  
  gal_stget ( 62, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.71302433231e-09, 0.0, "gal_gmjgm3", "c 62 30" ) ;  
  gal_vdv ( s, -4.99028989622e-10, 0.0, "gal_gmjgm3", "s 62 30" ) ;  
  gal_stget ( 62, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.13325495418e-10, 0.0, "gal_gmjgm3", "c 62 31" ) ;  
  gal_vdv ( s, -3.24746207529e-09, 0.0, "gal_gmjgm3", "s 62 31" ) ;  
  gal_stget ( 62, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.47248702202e-09, 0.0, "gal_gmjgm3", "c 62 32" ) ;  
  gal_vdv ( s, 4.22364114173e-09, 0.0, "gal_gmjgm3", "s 62 32" ) ;  
  gal_stget ( 62, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.04521258295e-09, 0.0, "gal_gmjgm3", "c 62 33" ) ;  
  gal_vdv ( s, -2.96849269097e-09, 0.0, "gal_gmjgm3", "s 62 33" ) ;  
  gal_stget ( 62, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.58765255569e-09, 0.0, "gal_gmjgm3", "c 62 34" ) ;  
  gal_vdv ( s, -1.93690577097e-09, 0.0, "gal_gmjgm3", "s 62 34" ) ;  
  gal_stget ( 62, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.32516065485e-09, 0.0, "gal_gmjgm3", "c 62 35" ) ;  
  gal_vdv ( s, -8.74276126565e-10, 0.0, "gal_gmjgm3", "s 62 35" ) ;  
  gal_stget ( 62, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.21629149744e-10, 0.0, "gal_gmjgm3", "c 62 36" ) ;  
  gal_vdv ( s, 2.30371704642e-09, 0.0, "gal_gmjgm3", "s 62 36" ) ;  
  gal_stget ( 62, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.23588886373e-09, 0.0, "gal_gmjgm3", "c 62 37" ) ;  
  gal_vdv ( s, 3.48281192321e-09, 0.0, "gal_gmjgm3", "s 62 37" ) ;  
  gal_stget ( 62, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.40572996854e-09, 0.0, "gal_gmjgm3", "c 62 38" ) ;  
  gal_vdv ( s, 2.29736738835e-09, 0.0, "gal_gmjgm3", "s 62 38" ) ;  
  gal_stget ( 62, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.97302099113e-09, 0.0, "gal_gmjgm3", "c 62 39" ) ;  
  gal_vdv ( s, -6.41881715381e-10, 0.0, "gal_gmjgm3", "s 62 39" ) ;  
  gal_stget ( 62, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.02942033994e-09, 0.0, "gal_gmjgm3", "c 62 40" ) ;  
  gal_vdv ( s, -3.07763010703e-09, 0.0, "gal_gmjgm3", "s 62 40" ) ;  
  gal_stget ( 62, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.55266404346e-09, 0.0, "gal_gmjgm3", "c 62 41" ) ;  
  gal_vdv ( s, -2.28185961562e-09, 0.0, "gal_gmjgm3", "s 62 41" ) ;  
  gal_stget ( 62, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.92508430815e-09, 0.0, "gal_gmjgm3", "c 62 42" ) ;  
  gal_vdv ( s, -4.23807768522e-09, 0.0, "gal_gmjgm3", "s 62 42" ) ;  
  gal_stget ( 62, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.29441631533e-09, 0.0, "gal_gmjgm3", "c 62 43" ) ;  
  gal_vdv ( s, -2.27411845705e-09, 0.0, "gal_gmjgm3", "s 62 43" ) ;  
  gal_stget ( 62, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.82958864520e-09, 0.0, "gal_gmjgm3", "c 62 44" ) ;  
  gal_vdv ( s, 1.35696009758e-09, 0.0, "gal_gmjgm3", "s 62 44" ) ;  
  gal_stget ( 62, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.34637497668e-10, 0.0, "gal_gmjgm3", "c 62 45" ) ;  
  gal_vdv ( s, -1.88650571387e-09, 0.0, "gal_gmjgm3", "s 62 45" ) ;  
  gal_stget ( 62, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.76294413577e-09, 0.0, "gal_gmjgm3", "c 62 46" ) ;  
  gal_vdv ( s, 1.61171503468e-09, 0.0, "gal_gmjgm3", "s 62 46" ) ;  
  gal_stget ( 62, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.90737925112e-09, 0.0, "gal_gmjgm3", "c 62 47" ) ;  
  gal_vdv ( s, 3.11767835518e-09, 0.0, "gal_gmjgm3", "s 62 47" ) ;  
  gal_stget ( 62, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.71138475938e-09, 0.0, "gal_gmjgm3", "c 62 48" ) ;  
  gal_vdv ( s, 9.08229424293e-10, 0.0, "gal_gmjgm3", "s 62 48" ) ;  
  gal_stget ( 62, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.12867831341e-09, 0.0, "gal_gmjgm3", "c 62 49" ) ;  
  gal_vdv ( s, -1.48318000320e-09, 0.0, "gal_gmjgm3", "s 62 49" ) ;  
  gal_stget ( 62, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.91884204012e-10, 0.0, "gal_gmjgm3", "c 62 50" ) ;  
  gal_vdv ( s, 1.16971594211e-09, 0.0, "gal_gmjgm3", "s 62 50" ) ;  
  gal_stget ( 62, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.16382656878e-09, 0.0, "gal_gmjgm3", "c 62 51" ) ;  
  gal_vdv ( s, -5.05117545722e-09, 0.0, "gal_gmjgm3", "s 62 51" ) ;  
  gal_stget ( 62, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.17369728167e-09, 0.0, "gal_gmjgm3", "c 62 52" ) ;  
  gal_vdv ( s, -4.63087131603e-09, 0.0, "gal_gmjgm3", "s 62 52" ) ;  
  gal_stget ( 62, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.35283817837e-09, 0.0, "gal_gmjgm3", "c 62 53" ) ;  
  gal_vdv ( s, -2.27533684224e-09, 0.0, "gal_gmjgm3", "s 62 53" ) ;  
  gal_stget ( 62, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.86321480269e-09, 0.0, "gal_gmjgm3", "c 62 54" ) ;  
  gal_vdv ( s, 3.16789597825e-09, 0.0, "gal_gmjgm3", "s 62 54" ) ;  
  gal_stget ( 62, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.38540719952e-09, 0.0, "gal_gmjgm3", "c 62 55" ) ;  
  gal_vdv ( s, 2.24369380940e-10, 0.0, "gal_gmjgm3", "s 62 55" ) ;  
  gal_stget ( 62, 56, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.47265988102e-09, 0.0, "gal_gmjgm3", "c 62 56" ) ;  
  gal_vdv ( s, 4.97613019638e-10, 0.0, "gal_gmjgm3", "s 62 56" ) ;  
  gal_stget ( 62, 57, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.93892406165e-10, 0.0, "gal_gmjgm3", "c 62 57" ) ;  
  gal_vdv ( s, -5.88025206327e-09, 0.0, "gal_gmjgm3", "s 62 57" ) ;  
  gal_stget ( 62, 58, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.23254029024e-09, 0.0, "gal_gmjgm3", "c 62 58" ) ;  
  gal_vdv ( s, -1.83886809870e-09, 0.0, "gal_gmjgm3", "s 62 58" ) ;  
  gal_stget ( 62, 59, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.04181774417e-09, 0.0, "gal_gmjgm3", "c 62 59" ) ;  
  gal_vdv ( s, -2.39641563541e-09, 0.0, "gal_gmjgm3", "s 62 59" ) ;  
  gal_stget ( 62, 60, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.79107751196e-09, 0.0, "gal_gmjgm3", "c 62 60" ) ;  
  gal_vdv ( s, 1.93826902263e-09, 0.0, "gal_gmjgm3", "s 62 60" ) ;  
  gal_stget ( 62, 61, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.26823135820e-09, 0.0, "gal_gmjgm3", "c 62 61" ) ;  
  gal_vdv ( s, 3.87912176267e-09, 0.0, "gal_gmjgm3", "s 62 61" ) ;  
  gal_stget ( 62, 62, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.05711321510e-09, 0.0, "gal_gmjgm3", "c 62 62" ) ;  
  gal_vdv ( s, 7.55573014529e-10, 0.0, "gal_gmjgm3", "s 62 62" ) ;  
  gal_stget ( 63, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.42831277575e-09, 0.0, "gal_gmjgm3", "c 63 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 63 0" ) ;  
  gal_stget ( 63, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.01726628607e-09, 0.0, "gal_gmjgm3", "c 63 1" ) ;  
  gal_vdv ( s, 1.97105858197e-09, 0.0, "gal_gmjgm3", "s 63 1" ) ;  
  gal_stget ( 63, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.93795876862e-10, 0.0, "gal_gmjgm3", "c 63 2" ) ;  
  gal_vdv ( s, -3.85014139448e-10, 0.0, "gal_gmjgm3", "s 63 2" ) ;  
  gal_stget ( 63, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.35865311326e-10, 0.0, "gal_gmjgm3", "c 63 3" ) ;  
  gal_vdv ( s, -2.57784545093e-09, 0.0, "gal_gmjgm3", "s 63 3" ) ;  
  gal_stget ( 63, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.86540055713e-09, 0.0, "gal_gmjgm3", "c 63 4" ) ;  
  gal_vdv ( s, 3.51661353723e-09, 0.0, "gal_gmjgm3", "s 63 4" ) ;  
  gal_stget ( 63, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.16251978200e-10, 0.0, "gal_gmjgm3", "c 63 5" ) ;  
  gal_vdv ( s, -5.54159838352e-10, 0.0, "gal_gmjgm3", "s 63 5" ) ;  
  gal_stget ( 63, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.55998766431e-10, 0.0, "gal_gmjgm3", "c 63 6" ) ;  
  gal_vdv ( s, 3.91294389780e-09, 0.0, "gal_gmjgm3", "s 63 6" ) ;  
  gal_stget ( 63, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.88596518753e-10, 0.0, "gal_gmjgm3", "c 63 7" ) ;  
  gal_vdv ( s, 3.34121388038e-09, 0.0, "gal_gmjgm3", "s 63 7" ) ;  
  gal_stget ( 63, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.23554632571e-09, 0.0, "gal_gmjgm3", "c 63 8" ) ;  
  gal_vdv ( s, 3.31673441759e-09, 0.0, "gal_gmjgm3", "s 63 8" ) ;  
  gal_stget ( 63, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.93308418458e-11, 0.0, "gal_gmjgm3", "c 63 9" ) ;  
  gal_vdv ( s, -4.67132557652e-09, 0.0, "gal_gmjgm3", "s 63 9" ) ;  
  gal_stget ( 63, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.02289269179e-10, 0.0, "gal_gmjgm3", "c 63 10" ) ;  
  gal_vdv ( s, 2.91442752629e-09, 0.0, "gal_gmjgm3", "s 63 10" ) ;  
  gal_stget ( 63, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.40598362504e-09, 0.0, "gal_gmjgm3", "c 63 11" ) ;  
  gal_vdv ( s, 2.61160610379e-09, 0.0, "gal_gmjgm3", "s 63 11" ) ;  
  gal_stget ( 63, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.66918204794e-10, 0.0, "gal_gmjgm3", "c 63 12" ) ;  
  gal_vdv ( s, -4.48752295588e-10, 0.0, "gal_gmjgm3", "s 63 12" ) ;  
  gal_stget ( 63, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.73756156325e-10, 0.0, "gal_gmjgm3", "c 63 13" ) ;  
  gal_vdv ( s, 5.48487430980e-10, 0.0, "gal_gmjgm3", "s 63 13" ) ;  
  gal_stget ( 63, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.72268778916e-09, 0.0, "gal_gmjgm3", "c 63 14" ) ;  
  gal_vdv ( s, -2.13439350024e-10, 0.0, "gal_gmjgm3", "s 63 14" ) ;  
  gal_stget ( 63, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.10850020800e-09, 0.0, "gal_gmjgm3", "c 63 15" ) ;  
  gal_vdv ( s, -3.32974686275e-10, 0.0, "gal_gmjgm3", "s 63 15" ) ;  
  gal_stget ( 63, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.44133934746e-09, 0.0, "gal_gmjgm3", "c 63 16" ) ;  
  gal_vdv ( s, 2.26670623887e-09, 0.0, "gal_gmjgm3", "s 63 16" ) ;  
  gal_stget ( 63, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.01689349469e-10, 0.0, "gal_gmjgm3", "c 63 17" ) ;  
  gal_vdv ( s, -4.38019363927e-09, 0.0, "gal_gmjgm3", "s 63 17" ) ;  
  gal_stget ( 63, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.58591704822e-10, 0.0, "gal_gmjgm3", "c 63 18" ) ;  
  gal_vdv ( s, 1.03855474694e-09, 0.0, "gal_gmjgm3", "s 63 18" ) ;  
  gal_stget ( 63, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.28055673509e-09, 0.0, "gal_gmjgm3", "c 63 19" ) ;  
  gal_vdv ( s, 4.21527554514e-10, 0.0, "gal_gmjgm3", "s 63 19" ) ;  
  gal_stget ( 63, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.02214910945e-09, 0.0, "gal_gmjgm3", "c 63 20" ) ;  
  gal_vdv ( s, -1.31842906648e-09, 0.0, "gal_gmjgm3", "s 63 20" ) ;  
  gal_stget ( 63, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.98688967593e-10, 0.0, "gal_gmjgm3", "c 63 21" ) ;  
  gal_vdv ( s, -1.30816037321e-09, 0.0, "gal_gmjgm3", "s 63 21" ) ;  
  gal_stget ( 63, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.48742551180e-09, 0.0, "gal_gmjgm3", "c 63 22" ) ;  
  gal_vdv ( s, -6.16767673510e-10, 0.0, "gal_gmjgm3", "s 63 22" ) ;  
  gal_stget ( 63, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.09961057435e-09, 0.0, "gal_gmjgm3", "c 63 23" ) ;  
  gal_vdv ( s, 5.24637191028e-10, 0.0, "gal_gmjgm3", "s 63 23" ) ;  
  gal_stget ( 63, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.50945214069e-11, 0.0, "gal_gmjgm3", "c 63 24" ) ;  
  gal_vdv ( s, -2.56799787853e-09, 0.0, "gal_gmjgm3", "s 63 24" ) ;  
  gal_stget ( 63, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.97740538064e-09, 0.0, "gal_gmjgm3", "c 63 25" ) ;  
  gal_vdv ( s, 3.42897473961e-09, 0.0, "gal_gmjgm3", "s 63 25" ) ;  
  gal_stget ( 63, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.21361970621e-10, 0.0, "gal_gmjgm3", "c 63 26" ) ;  
  gal_vdv ( s, -2.33612848222e-09, 0.0, "gal_gmjgm3", "s 63 26" ) ;  
  gal_stget ( 63, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.23687349123e-09, 0.0, "gal_gmjgm3", "c 63 27" ) ;  
  gal_vdv ( s, 1.29873429542e-10, 0.0, "gal_gmjgm3", "s 63 27" ) ;  
  gal_stget ( 63, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.07914323309e-09, 0.0, "gal_gmjgm3", "c 63 28" ) ;  
  gal_vdv ( s, 2.11537434147e-09, 0.0, "gal_gmjgm3", "s 63 28" ) ;  
  gal_stget ( 63, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.67150936694e-10, 0.0, "gal_gmjgm3", "c 63 29" ) ;  
  gal_vdv ( s, 1.22684517056e-09, 0.0, "gal_gmjgm3", "s 63 29" ) ;  
  gal_stget ( 63, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.48994350835e-09, 0.0, "gal_gmjgm3", "c 63 30" ) ;  
  gal_vdv ( s, -2.41469085896e-09, 0.0, "gal_gmjgm3", "s 63 30" ) ;  
  gal_stget ( 63, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.67807149506e-09, 0.0, "gal_gmjgm3", "c 63 31" ) ;  
  gal_vdv ( s, -8.71175679789e-10, 0.0, "gal_gmjgm3", "s 63 31" ) ;  
  gal_stget ( 63, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.00909820001e-09, 0.0, "gal_gmjgm3", "c 63 32" ) ;  
  gal_vdv ( s, 2.21231827737e-09, 0.0, "gal_gmjgm3", "s 63 32" ) ;  
  gal_stget ( 63, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.91602784472e-09, 0.0, "gal_gmjgm3", "c 63 33" ) ;  
  gal_vdv ( s, -3.59020726957e-10, 0.0, "gal_gmjgm3", "s 63 33" ) ;  
  gal_stget ( 63, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.62955389863e-10, 0.0, "gal_gmjgm3", "c 63 34" ) ;  
  gal_vdv ( s, -1.03916348366e-09, 0.0, "gal_gmjgm3", "s 63 34" ) ;  
  gal_stget ( 63, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.29721108105e-09, 0.0, "gal_gmjgm3", "c 63 35" ) ;  
  gal_vdv ( s, 3.76585040958e-10, 0.0, "gal_gmjgm3", "s 63 35" ) ;  
  gal_stget ( 63, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.34412799878e-11, 0.0, "gal_gmjgm3", "c 63 36" ) ;  
  gal_vdv ( s, -3.32937945489e-09, 0.0, "gal_gmjgm3", "s 63 36" ) ;  
  gal_stget ( 63, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.68341226893e-10, 0.0, "gal_gmjgm3", "c 63 37" ) ;  
  gal_vdv ( s, 3.55837535751e-09, 0.0, "gal_gmjgm3", "s 63 37" ) ;  
  gal_stget ( 63, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.12359708721e-09, 0.0, "gal_gmjgm3", "c 63 38" ) ;  
  gal_vdv ( s, -1.01717237872e-09, 0.0, "gal_gmjgm3", "s 63 38" ) ;  
  gal_stget ( 63, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.39054702278e-10, 0.0, "gal_gmjgm3", "c 63 39" ) ;  
  gal_vdv ( s, 1.03233319058e-09, 0.0, "gal_gmjgm3", "s 63 39" ) ;  
  gal_stget ( 63, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.37096065950e-09, 0.0, "gal_gmjgm3", "c 63 40" ) ;  
  gal_vdv ( s, 8.10283362528e-10, 0.0, "gal_gmjgm3", "s 63 40" ) ;  
  gal_stget ( 63, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.38301837778e-10, 0.0, "gal_gmjgm3", "c 63 41" ) ;  
  gal_vdv ( s, 7.02541434724e-10, 0.0, "gal_gmjgm3", "s 63 41" ) ;  
  gal_stget ( 63, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.81094528652e-09, 0.0, "gal_gmjgm3", "c 63 42" ) ;  
  gal_vdv ( s, 8.79541875311e-10, 0.0, "gal_gmjgm3", "s 63 42" ) ;  
  gal_stget ( 63, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.77675750367e-09, 0.0, "gal_gmjgm3", "c 63 43" ) ;  
  gal_vdv ( s, 2.84003541250e-09, 0.0, "gal_gmjgm3", "s 63 43" ) ;  
  gal_stget ( 63, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.94434691216e-09, 0.0, "gal_gmjgm3", "c 63 44" ) ;  
  gal_vdv ( s, -2.90052504612e-09, 0.0, "gal_gmjgm3", "s 63 44" ) ;  
  gal_stget ( 63, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.49703751894e-09, 0.0, "gal_gmjgm3", "c 63 45" ) ;  
  gal_vdv ( s, -1.92014844852e-09, 0.0, "gal_gmjgm3", "s 63 45" ) ;  
  gal_stget ( 63, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.77333857089e-10, 0.0, "gal_gmjgm3", "c 63 46" ) ;  
  gal_vdv ( s, -7.41371515167e-10, 0.0, "gal_gmjgm3", "s 63 46" ) ;  
  gal_stget ( 63, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.20719786509e-10, 0.0, "gal_gmjgm3", "c 63 47" ) ;  
  gal_vdv ( s, -9.04400018421e-10, 0.0, "gal_gmjgm3", "s 63 47" ) ;  
  gal_stget ( 63, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.38582543469e-09, 0.0, "gal_gmjgm3", "c 63 48" ) ;  
  gal_vdv ( s, -1.99862241502e-09, 0.0, "gal_gmjgm3", "s 63 48" ) ;  
  gal_stget ( 63, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.08499568603e-10, 0.0, "gal_gmjgm3", "c 63 49" ) ;  
  gal_vdv ( s, 1.27518435008e-09, 0.0, "gal_gmjgm3", "s 63 49" ) ;  
  gal_stget ( 63, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.15909945842e-09, 0.0, "gal_gmjgm3", "c 63 50" ) ;  
  gal_vdv ( s, 2.62929305351e-10, 0.0, "gal_gmjgm3", "s 63 50" ) ;  
  gal_stget ( 63, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.63022164792e-09, 0.0, "gal_gmjgm3", "c 63 51" ) ;  
  gal_vdv ( s, -9.92924940373e-10, 0.0, "gal_gmjgm3", "s 63 51" ) ;  
  gal_stget ( 63, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.55767854419e-10, 0.0, "gal_gmjgm3", "c 63 52" ) ;  
  gal_vdv ( s, 6.28200630089e-09, 0.0, "gal_gmjgm3", "s 63 52" ) ;  
  gal_stget ( 63, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.70049543839e-09, 0.0, "gal_gmjgm3", "c 63 53" ) ;  
  gal_vdv ( s, 5.92994000402e-10, 0.0, "gal_gmjgm3", "s 63 53" ) ;  
  gal_stget ( 63, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.45409492398e-09, 0.0, "gal_gmjgm3", "c 63 54" ) ;  
  gal_vdv ( s, -4.25819170088e-09, 0.0, "gal_gmjgm3", "s 63 54" ) ;  
  gal_stget ( 63, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.16454567045e-09, 0.0, "gal_gmjgm3", "c 63 55" ) ;  
  gal_vdv ( s, 1.36382346429e-10, 0.0, "gal_gmjgm3", "s 63 55" ) ;  
  gal_stget ( 63, 56, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.69035702729e-10, 0.0, "gal_gmjgm3", "c 63 56" ) ;  
  gal_vdv ( s, -6.11291650348e-09, 0.0, "gal_gmjgm3", "s 63 56" ) ;  
  gal_stget ( 63, 57, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.64938542864e-11, 0.0, "gal_gmjgm3", "c 63 57" ) ;  
  gal_vdv ( s, 1.86548808866e-09, 0.0, "gal_gmjgm3", "s 63 57" ) ;  
  gal_stget ( 63, 58, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.48778337664e-11, 0.0, "gal_gmjgm3", "c 63 58" ) ;  
  gal_vdv ( s, -3.77686573708e-10, 0.0, "gal_gmjgm3", "s 63 58" ) ;  
  gal_stget ( 63, 59, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.60441201994e-10, 0.0, "gal_gmjgm3", "c 63 59" ) ;  
  gal_vdv ( s, -4.41563008759e-09, 0.0, "gal_gmjgm3", "s 63 59" ) ;  
  gal_stget ( 63, 60, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.91595186822e-09, 0.0, "gal_gmjgm3", "c 63 60" ) ;  
  gal_vdv ( s, -1.26725626406e-09, 0.0, "gal_gmjgm3", "s 63 60" ) ;  
  gal_stget ( 63, 61, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.21251226683e-09, 0.0, "gal_gmjgm3", "c 63 61" ) ;  
  gal_vdv ( s, 2.61838668455e-09, 0.0, "gal_gmjgm3", "s 63 61" ) ;  
  gal_stget ( 63, 62, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.59895949513e-09, 0.0, "gal_gmjgm3", "c 63 62" ) ;  
  gal_vdv ( s, 2.02197016887e-09, 0.0, "gal_gmjgm3", "s 63 62" ) ;  
  gal_stget ( 63, 63, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.24081214788e-09, 0.0, "gal_gmjgm3", "c 63 63" ) ;  
  gal_vdv ( s, -1.31582893094e-10, 0.0, "gal_gmjgm3", "s 63 63" ) ;  
  gal_stget ( 64, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.96506925613e-09, 0.0, "gal_gmjgm3", "c 64 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 64 0" ) ;  
  gal_stget ( 64, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.35008142371e-09, 0.0, "gal_gmjgm3", "c 64 1" ) ;  
  gal_vdv ( s, 9.48198135629e-10, 0.0, "gal_gmjgm3", "s 64 1" ) ;  
  gal_stget ( 64, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.09449316009e-10, 0.0, "gal_gmjgm3", "c 64 2" ) ;  
  gal_vdv ( s, 2.74092168790e-09, 0.0, "gal_gmjgm3", "s 64 2" ) ;  
  gal_stget ( 64, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.32813954697e-09, 0.0, "gal_gmjgm3", "c 64 3" ) ;  
  gal_vdv ( s, -1.99933414621e-09, 0.0, "gal_gmjgm3", "s 64 3" ) ;  
  gal_stget ( 64, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.15547234021e-09, 0.0, "gal_gmjgm3", "c 64 4" ) ;  
  gal_vdv ( s, 2.86080196017e-09, 0.0, "gal_gmjgm3", "s 64 4" ) ;  
  gal_stget ( 64, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.17301342532e-09, 0.0, "gal_gmjgm3", "c 64 5" ) ;  
  gal_vdv ( s, -3.99943690392e-09, 0.0, "gal_gmjgm3", "s 64 5" ) ;  
  gal_stget ( 64, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.85162770127e-09, 0.0, "gal_gmjgm3", "c 64 6" ) ;  
  gal_vdv ( s, 1.15459044119e-10, 0.0, "gal_gmjgm3", "s 64 6" ) ;  
  gal_stget ( 64, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.92322275715e-10, 0.0, "gal_gmjgm3", "c 64 7" ) ;  
  gal_vdv ( s, 1.74820316008e-09, 0.0, "gal_gmjgm3", "s 64 7" ) ;  
  gal_stget ( 64, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.01863571981e-09, 0.0, "gal_gmjgm3", "c 64 8" ) ;  
  gal_vdv ( s, 8.79122738871e-10, 0.0, "gal_gmjgm3", "s 64 8" ) ;  
  gal_stget ( 64, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.45575735457e-10, 0.0, "gal_gmjgm3", "c 64 9" ) ;  
  gal_vdv ( s, -2.48610315130e-09, 0.0, "gal_gmjgm3", "s 64 9" ) ;  
  gal_stget ( 64, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.10540940899e-10, 0.0, "gal_gmjgm3", "c 64 10" ) ;  
  gal_vdv ( s, 4.35538853564e-10, 0.0, "gal_gmjgm3", "s 64 10" ) ;  
  gal_stget ( 64, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.57064618954e-09, 0.0, "gal_gmjgm3", "c 64 11" ) ;  
  gal_vdv ( s, -4.68467687071e-09, 0.0, "gal_gmjgm3", "s 64 11" ) ;  
  gal_stget ( 64, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.76003203973e-09, 0.0, "gal_gmjgm3", "c 64 12" ) ;  
  gal_vdv ( s, 2.84612246806e-09, 0.0, "gal_gmjgm3", "s 64 12" ) ;  
  gal_stget ( 64, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.88511588909e-10, 0.0, "gal_gmjgm3", "c 64 13" ) ;  
  gal_vdv ( s, 1.00129455466e-09, 0.0, "gal_gmjgm3", "s 64 13" ) ;  
  gal_stget ( 64, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.43742264158e-09, 0.0, "gal_gmjgm3", "c 64 14" ) ;  
  gal_vdv ( s, -1.16917867318e-09, 0.0, "gal_gmjgm3", "s 64 14" ) ;  
  gal_stget ( 64, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.73780117624e-09, 0.0, "gal_gmjgm3", "c 64 15" ) ;  
  gal_vdv ( s, -1.95079208671e-09, 0.0, "gal_gmjgm3", "s 64 15" ) ;  
  gal_stget ( 64, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.19642669290e-09, 0.0, "gal_gmjgm3", "c 64 16" ) ;  
  gal_vdv ( s, -1.20630796071e-09, 0.0, "gal_gmjgm3", "s 64 16" ) ;  
  gal_stget ( 64, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.72649311058e-09, 0.0, "gal_gmjgm3", "c 64 17" ) ;  
  gal_vdv ( s, -1.94457293268e-09, 0.0, "gal_gmjgm3", "s 64 17" ) ;  
  gal_stget ( 64, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.36906880013e-11, 0.0, "gal_gmjgm3", "c 64 18" ) ;  
  gal_vdv ( s, 1.23439234347e-09, 0.0, "gal_gmjgm3", "s 64 18" ) ;  
  gal_stget ( 64, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.49889172640e-12, 0.0, "gal_gmjgm3", "c 64 19" ) ;  
  gal_vdv ( s, -8.10739910864e-11, 0.0, "gal_gmjgm3", "s 64 19" ) ;  
  gal_stget ( 64, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.20868488867e-09, 0.0, "gal_gmjgm3", "c 64 20" ) ;  
  gal_vdv ( s, -2.53179784181e-09, 0.0, "gal_gmjgm3", "s 64 20" ) ;  
  gal_stget ( 64, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.45329908378e-10, 0.0, "gal_gmjgm3", "c 64 21" ) ;  
  gal_vdv ( s, -6.80205309850e-10, 0.0, "gal_gmjgm3", "s 64 21" ) ;  
  gal_stget ( 64, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.00792472999e-09, 0.0, "gal_gmjgm3", "c 64 22" ) ;  
  gal_vdv ( s, 2.92858805392e-10, 0.0, "gal_gmjgm3", "s 64 22" ) ;  
  gal_stget ( 64, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.36406846217e-09, 0.0, "gal_gmjgm3", "c 64 23" ) ;  
  gal_vdv ( s, -4.45061134862e-10, 0.0, "gal_gmjgm3", "s 64 23" ) ;  
  gal_stget ( 64, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.17454941174e-09, 0.0, "gal_gmjgm3", "c 64 24" ) ;  
  gal_vdv ( s, -2.39810868055e-09, 0.0, "gal_gmjgm3", "s 64 24" ) ;  
  gal_stget ( 64, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.52404494715e-10, 0.0, "gal_gmjgm3", "c 64 25" ) ;  
  gal_vdv ( s, 4.33546619955e-10, 0.0, "gal_gmjgm3", "s 64 25" ) ;  
  gal_stget ( 64, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.40786771090e-10, 0.0, "gal_gmjgm3", "c 64 26" ) ;  
  gal_vdv ( s, -1.39984656655e-09, 0.0, "gal_gmjgm3", "s 64 26" ) ;  
  gal_stget ( 64, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.54689538905e-10, 0.0, "gal_gmjgm3", "c 64 27" ) ;  
  gal_vdv ( s, -1.92015306482e-09, 0.0, "gal_gmjgm3", "s 64 27" ) ;  
  gal_stget ( 64, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.73984501988e-10, 0.0, "gal_gmjgm3", "c 64 28" ) ;  
  gal_vdv ( s, 3.65045148510e-09, 0.0, "gal_gmjgm3", "s 64 28" ) ;  
  gal_stget ( 64, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.62032639914e-10, 0.0, "gal_gmjgm3", "c 64 29" ) ;  
  gal_vdv ( s, -1.98003842942e-09, 0.0, "gal_gmjgm3", "s 64 29" ) ;  
  gal_stget ( 64, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.15834877830e-09, 0.0, "gal_gmjgm3", "c 64 30" ) ;  
  gal_vdv ( s, 1.43795295058e-10, 0.0, "gal_gmjgm3", "s 64 30" ) ;  
  gal_stget ( 64, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.04885606387e-10, 0.0, "gal_gmjgm3", "c 64 31" ) ;  
  gal_vdv ( s, 9.87514500815e-10, 0.0, "gal_gmjgm3", "s 64 31" ) ;  
  gal_stget ( 64, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.37824912802e-10, 0.0, "gal_gmjgm3", "c 64 32" ) ;  
  gal_vdv ( s, 3.06916699317e-09, 0.0, "gal_gmjgm3", "s 64 32" ) ;  
  gal_stget ( 64, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.27893047135e-09, 0.0, "gal_gmjgm3", "c 64 33" ) ;  
  gal_vdv ( s, -1.03112531508e-09, 0.0, "gal_gmjgm3", "s 64 33" ) ;  
  gal_stget ( 64, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.41195293270e-09, 0.0, "gal_gmjgm3", "c 64 34" ) ;  
  gal_vdv ( s, -8.97336229007e-10, 0.0, "gal_gmjgm3", "s 64 34" ) ;  
  gal_stget ( 64, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.48963071360e-09, 0.0, "gal_gmjgm3", "c 64 35" ) ;  
  gal_vdv ( s, 2.83538387382e-10, 0.0, "gal_gmjgm3", "s 64 35" ) ;  
  gal_stget ( 64, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.28748777210e-09, 0.0, "gal_gmjgm3", "c 64 36" ) ;  
  gal_vdv ( s, -1.86734010479e-09, 0.0, "gal_gmjgm3", "s 64 36" ) ;  
  gal_stget ( 64, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.33815364054e-09, 0.0, "gal_gmjgm3", "c 64 37" ) ;  
  gal_vdv ( s, -1.08665561812e-09, 0.0, "gal_gmjgm3", "s 64 37" ) ;  
  gal_stget ( 64, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.69515919942e-09, 0.0, "gal_gmjgm3", "c 64 38" ) ;  
  gal_vdv ( s, -2.50076674359e-09, 0.0, "gal_gmjgm3", "s 64 38" ) ;  
  gal_stget ( 64, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.69713792438e-10, 0.0, "gal_gmjgm3", "c 64 39" ) ;  
  gal_vdv ( s, -2.82030361032e-09, 0.0, "gal_gmjgm3", "s 64 39" ) ;  
  gal_stget ( 64, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.79076446812e-09, 0.0, "gal_gmjgm3", "c 64 40" ) ;  
  gal_vdv ( s, 7.95790761102e-10, 0.0, "gal_gmjgm3", "s 64 40" ) ;  
  gal_stget ( 64, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.41943877022e-09, 0.0, "gal_gmjgm3", "c 64 41" ) ;  
  gal_vdv ( s, 3.31929869972e-10, 0.0, "gal_gmjgm3", "s 64 41" ) ;  
  gal_stget ( 64, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.66505860477e-09, 0.0, "gal_gmjgm3", "c 64 42" ) ;  
  gal_vdv ( s, -9.78853494751e-11, 0.0, "gal_gmjgm3", "s 64 42" ) ;  
  gal_stget ( 64, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.05469925468e-10, 0.0, "gal_gmjgm3", "c 64 43" ) ;  
  gal_vdv ( s, 1.42892217406e-09, 0.0, "gal_gmjgm3", "s 64 43" ) ;  
  gal_stget ( 64, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.57105880894e-09, 0.0, "gal_gmjgm3", "c 64 44" ) ;  
  gal_vdv ( s, 1.51136071873e-09, 0.0, "gal_gmjgm3", "s 64 44" ) ;  
  gal_stget ( 64, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.13960673070e-09, 0.0, "gal_gmjgm3", "c 64 45" ) ;  
  gal_vdv ( s, -1.19436766960e-09, 0.0, "gal_gmjgm3", "s 64 45" ) ;  
  gal_stget ( 64, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.56444244335e-09, 0.0, "gal_gmjgm3", "c 64 46" ) ;  
  gal_vdv ( s, 3.01185786414e-10, 0.0, "gal_gmjgm3", "s 64 46" ) ;  
  gal_stget ( 64, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.93919602049e-09, 0.0, "gal_gmjgm3", "c 64 47" ) ;  
  gal_vdv ( s, -1.20183292984e-09, 0.0, "gal_gmjgm3", "s 64 47" ) ;  
  gal_stget ( 64, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.88199803756e-10, 0.0, "gal_gmjgm3", "c 64 48" ) ;  
  gal_vdv ( s, -2.77571331855e-09, 0.0, "gal_gmjgm3", "s 64 48" ) ;  
  gal_stget ( 64, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.24918613223e-10, 0.0, "gal_gmjgm3", "c 64 49" ) ;  
  gal_vdv ( s, 1.35530123385e-09, 0.0, "gal_gmjgm3", "s 64 49" ) ;  
  gal_stget ( 64, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.03543643706e-09, 0.0, "gal_gmjgm3", "c 64 50" ) ;  
  gal_vdv ( s, -2.39292468341e-09, 0.0, "gal_gmjgm3", "s 64 50" ) ;  
  gal_stget ( 64, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.24150359749e-10, 0.0, "gal_gmjgm3", "c 64 51" ) ;  
  gal_vdv ( s, -1.05499464070e-10, 0.0, "gal_gmjgm3", "s 64 51" ) ;  
  gal_stget ( 64, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.32785960937e-09, 0.0, "gal_gmjgm3", "c 64 52" ) ;  
  gal_vdv ( s, -4.79499738150e-09, 0.0, "gal_gmjgm3", "s 64 52" ) ;  
  gal_stget ( 64, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.90654045895e-09, 0.0, "gal_gmjgm3", "c 64 53" ) ;  
  gal_vdv ( s, 1.91101385708e-09, 0.0, "gal_gmjgm3", "s 64 53" ) ;  
  gal_stget ( 64, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.21600188040e-10, 0.0, "gal_gmjgm3", "c 64 54" ) ;  
  gal_vdv ( s, -1.58501910217e-09, 0.0, "gal_gmjgm3", "s 64 54" ) ;  
  gal_stget ( 64, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.83357103971e-09, 0.0, "gal_gmjgm3", "c 64 55" ) ;  
  gal_vdv ( s, 1.39714971303e-09, 0.0, "gal_gmjgm3", "s 64 55" ) ;  
  gal_stget ( 64, 56, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.66597962744e-09, 0.0, "gal_gmjgm3", "c 64 56" ) ;  
  gal_vdv ( s, 4.07923411774e-09, 0.0, "gal_gmjgm3", "s 64 56" ) ;  
  gal_stget ( 64, 57, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.15039332261e-09, 0.0, "gal_gmjgm3", "c 64 57" ) ;  
  gal_vdv ( s, -7.04515372890e-10, 0.0, "gal_gmjgm3", "s 64 57" ) ;  
  gal_stget ( 64, 58, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.91592175650e-10, 0.0, "gal_gmjgm3", "c 64 58" ) ;  
  gal_vdv ( s, -3.04463569854e-10, 0.0, "gal_gmjgm3", "s 64 58" ) ;  
  gal_stget ( 64, 59, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.95100671141e-09, 0.0, "gal_gmjgm3", "c 64 59" ) ;  
  gal_vdv ( s, 1.64307972257e-10, 0.0, "gal_gmjgm3", "s 64 59" ) ;  
  gal_stget ( 64, 60, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.31800769104e-09, 0.0, "gal_gmjgm3", "c 64 60" ) ;  
  gal_vdv ( s, 1.08316178579e-09, 0.0, "gal_gmjgm3", "s 64 60" ) ;  
  gal_stget ( 64, 61, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.86458774212e-09, 0.0, "gal_gmjgm3", "c 64 61" ) ;  
  gal_vdv ( s, -2.96804045667e-09, 0.0, "gal_gmjgm3", "s 64 61" ) ;  
  gal_stget ( 64, 62, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.44710823960e-10, 0.0, "gal_gmjgm3", "c 64 62" ) ;  
  gal_vdv ( s, -3.06958000527e-09, 0.0, "gal_gmjgm3", "s 64 62" ) ;  
  gal_stget ( 64, 63, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.90733643345e-09, 0.0, "gal_gmjgm3", "c 64 63" ) ;  
  gal_vdv ( s, -5.33275549487e-09, 0.0, "gal_gmjgm3", "s 64 63" ) ;  
  gal_stget ( 64, 64, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.79397390069e-09, 0.0, "gal_gmjgm3", "c 64 64" ) ;  
  gal_vdv ( s, -2.01036901074e-09, 0.0, "gal_gmjgm3", "s 64 64" ) ;  
  gal_stget ( 65, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.55799911380e-11, 0.0, "gal_gmjgm3", "c 65 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 65 0" ) ;  
  gal_stget ( 65, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.36144101208e-09, 0.0, "gal_gmjgm3", "c 65 1" ) ;  
  gal_vdv ( s, -2.38677747815e-09, 0.0, "gal_gmjgm3", "s 65 1" ) ;  
  gal_stget ( 65, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.12028467871e-10, 0.0, "gal_gmjgm3", "c 65 2" ) ;  
  gal_vdv ( s, 2.57466223325e-10, 0.0, "gal_gmjgm3", "s 65 2" ) ;  
  gal_stget ( 65, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.49473592784e-10, 0.0, "gal_gmjgm3", "c 65 3" ) ;  
  gal_vdv ( s, -4.77799132324e-10, 0.0, "gal_gmjgm3", "s 65 3" ) ;  
  gal_stget ( 65, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.02798252682e-10, 0.0, "gal_gmjgm3", "c 65 4" ) ;  
  gal_vdv ( s, -1.91899762833e-09, 0.0, "gal_gmjgm3", "s 65 4" ) ;  
  gal_stget ( 65, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.34109641606e-09, 0.0, "gal_gmjgm3", "c 65 5" ) ;  
  gal_vdv ( s, -2.26754053663e-09, 0.0, "gal_gmjgm3", "s 65 5" ) ;  
  gal_stget ( 65, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.21314425425e-10, 0.0, "gal_gmjgm3", "c 65 6" ) ;  
  gal_vdv ( s, 6.55064931939e-10, 0.0, "gal_gmjgm3", "s 65 6" ) ;  
  gal_stget ( 65, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.59122943369e-09, 0.0, "gal_gmjgm3", "c 65 7" ) ;  
  gal_vdv ( s, -3.42844147895e-10, 0.0, "gal_gmjgm3", "s 65 7" ) ;  
  gal_stget ( 65, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.81164373026e-10, 0.0, "gal_gmjgm3", "c 65 8" ) ;  
  gal_vdv ( s, 1.72965153919e-09, 0.0, "gal_gmjgm3", "s 65 8" ) ;  
  gal_stget ( 65, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.22778972941e-12, 0.0, "gal_gmjgm3", "c 65 9" ) ;  
  gal_vdv ( s, 1.80969526067e-09, 0.0, "gal_gmjgm3", "s 65 9" ) ;  
  gal_stget ( 65, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.90855183607e-09, 0.0, "gal_gmjgm3", "c 65 10" ) ;  
  gal_vdv ( s, -8.10941604075e-10, 0.0, "gal_gmjgm3", "s 65 10" ) ;  
  gal_stget ( 65, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.11181646765e-09, 0.0, "gal_gmjgm3", "c 65 11" ) ;  
  gal_vdv ( s, -2.22751261459e-09, 0.0, "gal_gmjgm3", "s 65 11" ) ;  
  gal_stget ( 65, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.77587296014e-10, 0.0, "gal_gmjgm3", "c 65 12" ) ;  
  gal_vdv ( s, 1.32057849831e-09, 0.0, "gal_gmjgm3", "s 65 12" ) ;  
  gal_stget ( 65, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.27897014154e-09, 0.0, "gal_gmjgm3", "c 65 13" ) ;  
  gal_vdv ( s, 9.09990354911e-10, 0.0, "gal_gmjgm3", "s 65 13" ) ;  
  gal_stget ( 65, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.99801394929e-09, 0.0, "gal_gmjgm3", "c 65 14" ) ;  
  gal_vdv ( s, -3.08310074904e-09, 0.0, "gal_gmjgm3", "s 65 14" ) ;  
  gal_stget ( 65, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.00151363311e-09, 0.0, "gal_gmjgm3", "c 65 15" ) ;  
  gal_vdv ( s, 8.68412551843e-10, 0.0, "gal_gmjgm3", "s 65 15" ) ;  
  gal_stget ( 65, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.69035063701e-09, 0.0, "gal_gmjgm3", "c 65 16" ) ;  
  gal_vdv ( s, -4.96119793611e-09, 0.0, "gal_gmjgm3", "s 65 16" ) ;  
  gal_stget ( 65, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.73845115664e-09, 0.0, "gal_gmjgm3", "c 65 17" ) ;  
  gal_vdv ( s, -3.28244413048e-09, 0.0, "gal_gmjgm3", "s 65 17" ) ;  
  gal_stget ( 65, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.52513071847e-10, 0.0, "gal_gmjgm3", "c 65 18" ) ;  
  gal_vdv ( s, -1.19503690212e-09, 0.0, "gal_gmjgm3", "s 65 18" ) ;  
  gal_stget ( 65, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.30610422042e-09, 0.0, "gal_gmjgm3", "c 65 19" ) ;  
  gal_vdv ( s, -2.24880771587e-10, 0.0, "gal_gmjgm3", "s 65 19" ) ;  
  gal_stget ( 65, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.40750866406e-09, 0.0, "gal_gmjgm3", "c 65 20" ) ;  
  gal_vdv ( s, -6.68824135362e-10, 0.0, "gal_gmjgm3", "s 65 20" ) ;  
  gal_stget ( 65, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.91523019459e-09, 0.0, "gal_gmjgm3", "c 65 21" ) ;  
  gal_vdv ( s, 2.43093135957e-10, 0.0, "gal_gmjgm3", "s 65 21" ) ;  
  gal_stget ( 65, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.67085491999e-09, 0.0, "gal_gmjgm3", "c 65 22" ) ;  
  gal_vdv ( s, -3.16107719307e-10, 0.0, "gal_gmjgm3", "s 65 22" ) ;  
  gal_stget ( 65, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.57280218296e-09, 0.0, "gal_gmjgm3", "c 65 23" ) ;  
  gal_vdv ( s, 3.91188615496e-09, 0.0, "gal_gmjgm3", "s 65 23" ) ;  
  gal_stget ( 65, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.07958720931e-10, 0.0, "gal_gmjgm3", "c 65 24" ) ;  
  gal_vdv ( s, 7.85032158942e-10, 0.0, "gal_gmjgm3", "s 65 24" ) ;  
  gal_stget ( 65, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.69253748477e-10, 0.0, "gal_gmjgm3", "c 65 25" ) ;  
  gal_vdv ( s, -1.20261058114e-09, 0.0, "gal_gmjgm3", "s 65 25" ) ;  
  gal_stget ( 65, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.73183828978e-10, 0.0, "gal_gmjgm3", "c 65 26" ) ;  
  gal_vdv ( s, -8.04434011328e-10, 0.0, "gal_gmjgm3", "s 65 26" ) ;  
  gal_stget ( 65, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.80539089029e-10, 0.0, "gal_gmjgm3", "c 65 27" ) ;  
  gal_vdv ( s, -1.41536950315e-09, 0.0, "gal_gmjgm3", "s 65 27" ) ;  
  gal_stget ( 65, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.26454581788e-09, 0.0, "gal_gmjgm3", "c 65 28" ) ;  
  gal_vdv ( s, 1.12809000902e-09, 0.0, "gal_gmjgm3", "s 65 28" ) ;  
  gal_stget ( 65, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.44672471454e-10, 0.0, "gal_gmjgm3", "c 65 29" ) ;  
  gal_vdv ( s, -2.22331499895e-09, 0.0, "gal_gmjgm3", "s 65 29" ) ;  
  gal_stget ( 65, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.36951365600e-09, 0.0, "gal_gmjgm3", "c 65 30" ) ;  
  gal_vdv ( s, -7.76407518432e-10, 0.0, "gal_gmjgm3", "s 65 30" ) ;  
  gal_stget ( 65, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.20420855857e-09, 0.0, "gal_gmjgm3", "c 65 31" ) ;  
  gal_vdv ( s, -7.72075523850e-10, 0.0, "gal_gmjgm3", "s 65 31" ) ;  
  gal_stget ( 65, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.23999317726e-09, 0.0, "gal_gmjgm3", "c 65 32" ) ;  
  gal_vdv ( s, 1.56145282487e-09, 0.0, "gal_gmjgm3", "s 65 32" ) ;  
  gal_stget ( 65, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.04791680442e-09, 0.0, "gal_gmjgm3", "c 65 33" ) ;  
  gal_vdv ( s, -1.46846567993e-09, 0.0, "gal_gmjgm3", "s 65 33" ) ;  
  gal_stget ( 65, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.91101397807e-09, 0.0, "gal_gmjgm3", "c 65 34" ) ;  
  gal_vdv ( s, -1.21587286163e-09, 0.0, "gal_gmjgm3", "s 65 34" ) ;  
  gal_stget ( 65, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.04931041384e-09, 0.0, "gal_gmjgm3", "c 65 35" ) ;  
  gal_vdv ( s, 3.54423718979e-09, 0.0, "gal_gmjgm3", "s 65 35" ) ;  
  gal_stget ( 65, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.62630829868e-09, 0.0, "gal_gmjgm3", "c 65 36" ) ;  
  gal_vdv ( s, -2.57705022730e-09, 0.0, "gal_gmjgm3", "s 65 36" ) ;  
  gal_stget ( 65, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.30327647580e-09, 0.0, "gal_gmjgm3", "c 65 37" ) ;  
  gal_vdv ( s, -2.39710199276e-09, 0.0, "gal_gmjgm3", "s 65 37" ) ;  
  gal_stget ( 65, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.54447524611e-10, 0.0, "gal_gmjgm3", "c 65 38" ) ;  
  gal_vdv ( s, 3.90029027165e-09, 0.0, "gal_gmjgm3", "s 65 38" ) ;  
  gal_stget ( 65, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.83045717944e-09, 0.0, "gal_gmjgm3", "c 65 39" ) ;  
  gal_vdv ( s, 1.46709573720e-09, 0.0, "gal_gmjgm3", "s 65 39" ) ;  
  gal_stget ( 65, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.81562647672e-09, 0.0, "gal_gmjgm3", "c 65 40" ) ;  
  gal_vdv ( s, 7.50141424544e-10, 0.0, "gal_gmjgm3", "s 65 40" ) ;  
  gal_stget ( 65, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.24501024233e-09, 0.0, "gal_gmjgm3", "c 65 41" ) ;  
  gal_vdv ( s, -9.86759960644e-10, 0.0, "gal_gmjgm3", "s 65 41" ) ;  
  gal_stget ( 65, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.71125214607e-09, 0.0, "gal_gmjgm3", "c 65 42" ) ;  
  gal_vdv ( s, -3.09532597219e-09, 0.0, "gal_gmjgm3", "s 65 42" ) ;  
  gal_stget ( 65, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.55378336766e-09, 0.0, "gal_gmjgm3", "c 65 43" ) ;  
  gal_vdv ( s, -6.74302334947e-10, 0.0, "gal_gmjgm3", "s 65 43" ) ;  
  gal_stget ( 65, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.74833051309e-09, 0.0, "gal_gmjgm3", "c 65 44" ) ;  
  gal_vdv ( s, 5.75607889512e-10, 0.0, "gal_gmjgm3", "s 65 44" ) ;  
  gal_stget ( 65, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.13945543810e-10, 0.0, "gal_gmjgm3", "c 65 45" ) ;  
  gal_vdv ( s, 8.72306185356e-10, 0.0, "gal_gmjgm3", "s 65 45" ) ;  
  gal_stget ( 65, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.82769217702e-09, 0.0, "gal_gmjgm3", "c 65 46" ) ;  
  gal_vdv ( s, 2.15208444333e-09, 0.0, "gal_gmjgm3", "s 65 46" ) ;  
  gal_stget ( 65, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.35929625112e-10, 0.0, "gal_gmjgm3", "c 65 47" ) ;  
  gal_vdv ( s, 1.57944743390e-09, 0.0, "gal_gmjgm3", "s 65 47" ) ;  
  gal_stget ( 65, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.37973859359e-09, 0.0, "gal_gmjgm3", "c 65 48" ) ;  
  gal_vdv ( s, -1.70549701887e-09, 0.0, "gal_gmjgm3", "s 65 48" ) ;  
  gal_stget ( 65, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.93772276272e-10, 0.0, "gal_gmjgm3", "c 65 49" ) ;  
  gal_vdv ( s, 1.38749473483e-09, 0.0, "gal_gmjgm3", "s 65 49" ) ;  
  gal_stget ( 65, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.60146211331e-09, 0.0, "gal_gmjgm3", "c 65 50" ) ;  
  gal_vdv ( s, 1.25909669379e-09, 0.0, "gal_gmjgm3", "s 65 50" ) ;  
  gal_stget ( 65, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.16134065172e-09, 0.0, "gal_gmjgm3", "c 65 51" ) ;  
  gal_vdv ( s, -1.34062319708e-09, 0.0, "gal_gmjgm3", "s 65 51" ) ;  
  gal_stget ( 65, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.39122379516e-10, 0.0, "gal_gmjgm3", "c 65 52" ) ;  
  gal_vdv ( s, 2.25257131603e-09, 0.0, "gal_gmjgm3", "s 65 52" ) ;  
  gal_stget ( 65, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.46357095655e-09, 0.0, "gal_gmjgm3", "c 65 53" ) ;  
  gal_vdv ( s, 6.79524499942e-10, 0.0, "gal_gmjgm3", "s 65 53" ) ;  
  gal_stget ( 65, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.11958984034e-09, 0.0, "gal_gmjgm3", "c 65 54" ) ;  
  gal_vdv ( s, 8.91247489777e-10, 0.0, "gal_gmjgm3", "s 65 54" ) ;  
  gal_stget ( 65, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.71342212134e-09, 0.0, "gal_gmjgm3", "c 65 55" ) ;  
  gal_vdv ( s, 3.95295011766e-09, 0.0, "gal_gmjgm3", "s 65 55" ) ;  
  gal_stget ( 65, 56, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.80282068501e-10, 0.0, "gal_gmjgm3", "c 65 56" ) ;  
  gal_vdv ( s, -3.87920973703e-09, 0.0, "gal_gmjgm3", "s 65 56" ) ;  
  gal_stget ( 65, 57, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.42281225885e-10, 0.0, "gal_gmjgm3", "c 65 57" ) ;  
  gal_vdv ( s, -5.25299350778e-11, 0.0, "gal_gmjgm3", "s 65 57" ) ;  
  gal_stget ( 65, 58, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.54111442349e-09, 0.0, "gal_gmjgm3", "c 65 58" ) ;  
  gal_vdv ( s, -1.37484364792e-09, 0.0, "gal_gmjgm3", "s 65 58" ) ;  
  gal_stget ( 65, 59, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.64317295963e-09, 0.0, "gal_gmjgm3", "c 65 59" ) ;  
  gal_vdv ( s, -3.95872600288e-09, 0.0, "gal_gmjgm3", "s 65 59" ) ;  
  gal_stget ( 65, 60, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.99491357755e-09, 0.0, "gal_gmjgm3", "c 65 60" ) ;  
  gal_vdv ( s, 1.69780353622e-09, 0.0, "gal_gmjgm3", "s 65 60" ) ;  
  gal_stget ( 65, 61, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.26264113008e-09, 0.0, "gal_gmjgm3", "c 65 61" ) ;  
  gal_vdv ( s, 3.36612589283e-09, 0.0, "gal_gmjgm3", "s 65 61" ) ;  
  gal_stget ( 65, 62, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.20227055763e-09, 0.0, "gal_gmjgm3", "c 65 62" ) ;  
  gal_vdv ( s, 1.72729969029e-09, 0.0, "gal_gmjgm3", "s 65 62" ) ;  
  gal_stget ( 65, 63, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.38530642502e-09, 0.0, "gal_gmjgm3", "c 65 63" ) ;  
  gal_vdv ( s, -3.71768770825e-09, 0.0, "gal_gmjgm3", "s 65 63" ) ;  
  gal_stget ( 65, 64, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.65217694809e-09, 0.0, "gal_gmjgm3", "c 65 64" ) ;  
  gal_vdv ( s, 2.85672741703e-09, 0.0, "gal_gmjgm3", "s 65 64" ) ;  
  gal_stget ( 65, 65, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.56634384357e-11, 0.0, "gal_gmjgm3", "c 65 65" ) ;  
  gal_vdv ( s, 1.85032008909e-09, 0.0, "gal_gmjgm3", "s 65 65" ) ;  
  gal_stget ( 66, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.11368249297e-09, 0.0, "gal_gmjgm3", "c 66 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 66 0" ) ;  
  gal_stget ( 66, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.73807700752e-10, 0.0, "gal_gmjgm3", "c 66 1" ) ;  
  gal_vdv ( s, -3.05881448791e-10, 0.0, "gal_gmjgm3", "s 66 1" ) ;  
  gal_stget ( 66, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.32345367758e-09, 0.0, "gal_gmjgm3", "c 66 2" ) ;  
  gal_vdv ( s, -4.31144359631e-10, 0.0, "gal_gmjgm3", "s 66 2" ) ;  
  gal_stget ( 66, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.64487874324e-09, 0.0, "gal_gmjgm3", "c 66 3" ) ;  
  gal_vdv ( s, -1.15526107250e-09, 0.0, "gal_gmjgm3", "s 66 3" ) ;  
  gal_stget ( 66, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.16035251030e-10, 0.0, "gal_gmjgm3", "c 66 4" ) ;  
  gal_vdv ( s, -3.21240475548e-09, 0.0, "gal_gmjgm3", "s 66 4" ) ;  
  gal_stget ( 66, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.08209303369e-09, 0.0, "gal_gmjgm3", "c 66 5" ) ;  
  gal_vdv ( s, 3.06883973771e-09, 0.0, "gal_gmjgm3", "s 66 5" ) ;  
  gal_stget ( 66, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.08010485146e-09, 0.0, "gal_gmjgm3", "c 66 6" ) ;  
  gal_vdv ( s, -2.12653068490e-09, 0.0, "gal_gmjgm3", "s 66 6" ) ;  
  gal_stget ( 66, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.51679381903e-10, 0.0, "gal_gmjgm3", "c 66 7" ) ;  
  gal_vdv ( s, 2.12091480715e-09, 0.0, "gal_gmjgm3", "s 66 7" ) ;  
  gal_stget ( 66, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.24504480510e-10, 0.0, "gal_gmjgm3", "c 66 8" ) ;  
  gal_vdv ( s, 4.78735765046e-10, 0.0, "gal_gmjgm3", "s 66 8" ) ;  
  gal_stget ( 66, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.12301909558e-10, 0.0, "gal_gmjgm3", "c 66 9" ) ;  
  gal_vdv ( s, 5.13848581478e-09, 0.0, "gal_gmjgm3", "s 66 9" ) ;  
  gal_stget ( 66, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.90267789731e-10, 0.0, "gal_gmjgm3", "c 66 10" ) ;  
  gal_vdv ( s, -2.63705399555e-09, 0.0, "gal_gmjgm3", "s 66 10" ) ;  
  gal_stget ( 66, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.07216631019e-09, 0.0, "gal_gmjgm3", "c 66 11" ) ;  
  gal_vdv ( s, 9.93951496058e-10, 0.0, "gal_gmjgm3", "s 66 11" ) ;  
  gal_stget ( 66, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.28133002813e-09, 0.0, "gal_gmjgm3", "c 66 12" ) ;  
  gal_vdv ( s, -3.00282650156e-09, 0.0, "gal_gmjgm3", "s 66 12" ) ;  
  gal_stget ( 66, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.55162296008e-09, 0.0, "gal_gmjgm3", "c 66 13" ) ;  
  gal_vdv ( s, 1.93660933320e-09, 0.0, "gal_gmjgm3", "s 66 13" ) ;  
  gal_stget ( 66, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.95090072856e-09, 0.0, "gal_gmjgm3", "c 66 14" ) ;  
  gal_vdv ( s, -7.46818923574e-10, 0.0, "gal_gmjgm3", "s 66 14" ) ;  
  gal_stget ( 66, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.41112250508e-09, 0.0, "gal_gmjgm3", "c 66 15" ) ;  
  gal_vdv ( s, -3.47080716265e-09, 0.0, "gal_gmjgm3", "s 66 15" ) ;  
  gal_stget ( 66, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.94935472501e-09, 0.0, "gal_gmjgm3", "c 66 16" ) ;  
  gal_vdv ( s, 1.90842841318e-10, 0.0, "gal_gmjgm3", "s 66 16" ) ;  
  gal_stget ( 66, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.79307429075e-10, 0.0, "gal_gmjgm3", "c 66 17" ) ;  
  gal_vdv ( s, -4.17655072721e-10, 0.0, "gal_gmjgm3", "s 66 17" ) ;  
  gal_stget ( 66, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.67194080455e-10, 0.0, "gal_gmjgm3", "c 66 18" ) ;  
  gal_vdv ( s, -2.53901554485e-09, 0.0, "gal_gmjgm3", "s 66 18" ) ;  
  gal_stget ( 66, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.68207001435e-09, 0.0, "gal_gmjgm3", "c 66 19" ) ;  
  gal_vdv ( s, -6.85534054700e-10, 0.0, "gal_gmjgm3", "s 66 19" ) ;  
  gal_stget ( 66, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.00202033978e-10, 0.0, "gal_gmjgm3", "c 66 20" ) ;  
  gal_vdv ( s, -1.02361140262e-09, 0.0, "gal_gmjgm3", "s 66 20" ) ;  
  gal_stget ( 66, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.26854899129e-10, 0.0, "gal_gmjgm3", "c 66 21" ) ;  
  gal_vdv ( s, -1.28154069240e-09, 0.0, "gal_gmjgm3", "s 66 21" ) ;  
  gal_stget ( 66, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.17738464351e-09, 0.0, "gal_gmjgm3", "c 66 22" ) ;  
  gal_vdv ( s, 2.10641083811e-09, 0.0, "gal_gmjgm3", "s 66 22" ) ;  
  gal_stget ( 66, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.82157008355e-09, 0.0, "gal_gmjgm3", "c 66 23" ) ;  
  gal_vdv ( s, 2.64994072999e-09, 0.0, "gal_gmjgm3", "s 66 23" ) ;  
  gal_stget ( 66, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.67461541491e-10, 0.0, "gal_gmjgm3", "c 66 24" ) ;  
  gal_vdv ( s, 1.29760192557e-09, 0.0, "gal_gmjgm3", "s 66 24" ) ;  
  gal_stget ( 66, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.28218285219e-10, 0.0, "gal_gmjgm3", "c 66 25" ) ;  
  gal_vdv ( s, 3.25326790318e-10, 0.0, "gal_gmjgm3", "s 66 25" ) ;  
  gal_stget ( 66, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.47266050533e-09, 0.0, "gal_gmjgm3", "c 66 26" ) ;  
  gal_vdv ( s, 1.05579122677e-09, 0.0, "gal_gmjgm3", "s 66 26" ) ;  
  gal_stget ( 66, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.02275408625e-09, 0.0, "gal_gmjgm3", "c 66 27" ) ;  
  gal_vdv ( s, -6.28168940209e-10, 0.0, "gal_gmjgm3", "s 66 27" ) ;  
  gal_stget ( 66, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.68369599401e-10, 0.0, "gal_gmjgm3", "c 66 28" ) ;  
  gal_vdv ( s, -1.73522242284e-09, 0.0, "gal_gmjgm3", "s 66 28" ) ;  
  gal_stget ( 66, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.61358978562e-09, 0.0, "gal_gmjgm3", "c 66 29" ) ;  
  gal_vdv ( s, 2.43545505250e-09, 0.0, "gal_gmjgm3", "s 66 29" ) ;  
  gal_stget ( 66, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.58076064918e-09, 0.0, "gal_gmjgm3", "c 66 30" ) ;  
  gal_vdv ( s, -2.89505867993e-09, 0.0, "gal_gmjgm3", "s 66 30" ) ;  
  gal_stget ( 66, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.90873928528e-09, 0.0, "gal_gmjgm3", "c 66 31" ) ;  
  gal_vdv ( s, -2.77741321657e-10, 0.0, "gal_gmjgm3", "s 66 31" ) ;  
  gal_stget ( 66, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.95438020806e-10, 0.0, "gal_gmjgm3", "c 66 32" ) ;  
  gal_vdv ( s, 1.07186483894e-09, 0.0, "gal_gmjgm3", "s 66 32" ) ;  
  gal_stget ( 66, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.91938204816e-10, 0.0, "gal_gmjgm3", "c 66 33" ) ;  
  gal_vdv ( s, -4.72741047849e-09, 0.0, "gal_gmjgm3", "s 66 33" ) ;  
  gal_stget ( 66, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.41508538185e-10, 0.0, "gal_gmjgm3", "c 66 34" ) ;  
  gal_vdv ( s, 1.57666354359e-09, 0.0, "gal_gmjgm3", "s 66 34" ) ;  
  gal_stget ( 66, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.47914303838e-09, 0.0, "gal_gmjgm3", "c 66 35" ) ;  
  gal_vdv ( s, 2.90497360408e-10, 0.0, "gal_gmjgm3", "s 66 35" ) ;  
  gal_stget ( 66, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.23615826279e-09, 0.0, "gal_gmjgm3", "c 66 36" ) ;  
  gal_vdv ( s, -2.14575460827e-09, 0.0, "gal_gmjgm3", "s 66 36" ) ;  
  gal_stget ( 66, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.79197232419e-10, 0.0, "gal_gmjgm3", "c 66 37" ) ;  
  gal_vdv ( s, 1.59952696183e-09, 0.0, "gal_gmjgm3", "s 66 37" ) ;  
  gal_stget ( 66, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.67774038828e-09, 0.0, "gal_gmjgm3", "c 66 38" ) ;  
  gal_vdv ( s, 3.35818922046e-09, 0.0, "gal_gmjgm3", "s 66 38" ) ;  
  gal_stget ( 66, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.52470056774e-10, 0.0, "gal_gmjgm3", "c 66 39" ) ;  
  gal_vdv ( s, 4.54120852175e-09, 0.0, "gal_gmjgm3", "s 66 39" ) ;  
  gal_stget ( 66, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.65909516042e-09, 0.0, "gal_gmjgm3", "c 66 40" ) ;  
  gal_vdv ( s, -2.46547584168e-09, 0.0, "gal_gmjgm3", "s 66 40" ) ;  
  gal_stget ( 66, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.93012850955e-09, 0.0, "gal_gmjgm3", "c 66 41" ) ;  
  gal_vdv ( s, 3.72654644869e-09, 0.0, "gal_gmjgm3", "s 66 41" ) ;  
  gal_stget ( 66, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.74272166897e-09, 0.0, "gal_gmjgm3", "c 66 42" ) ;  
  gal_vdv ( s, -2.70646753681e-09, 0.0, "gal_gmjgm3", "s 66 42" ) ;  
  gal_stget ( 66, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.75175174983e-10, 0.0, "gal_gmjgm3", "c 66 43" ) ;  
  gal_vdv ( s, -1.39927813248e-09, 0.0, "gal_gmjgm3", "s 66 43" ) ;  
  gal_stget ( 66, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.79778246969e-10, 0.0, "gal_gmjgm3", "c 66 44" ) ;  
  gal_vdv ( s, -5.05460902796e-09, 0.0, "gal_gmjgm3", "s 66 44" ) ;  
  gal_stget ( 66, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.32530771337e-09, 0.0, "gal_gmjgm3", "c 66 45" ) ;  
  gal_vdv ( s, -1.64116702579e-09, 0.0, "gal_gmjgm3", "s 66 45" ) ;  
  gal_stget ( 66, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.66708355215e-10, 0.0, "gal_gmjgm3", "c 66 46" ) ;  
  gal_vdv ( s, -2.95632818446e-09, 0.0, "gal_gmjgm3", "s 66 46" ) ;  
  gal_stget ( 66, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.30920552708e-09, 0.0, "gal_gmjgm3", "c 66 47" ) ;  
  gal_vdv ( s, -1.50763908574e-09, 0.0, "gal_gmjgm3", "s 66 47" ) ;  
  gal_stget ( 66, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.86710734038e-09, 0.0, "gal_gmjgm3", "c 66 48" ) ;  
  gal_vdv ( s, -2.00198860298e-10, 0.0, "gal_gmjgm3", "s 66 48" ) ;  
  gal_stget ( 66, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.00857714201e-09, 0.0, "gal_gmjgm3", "c 66 49" ) ;  
  gal_vdv ( s, 3.32159656133e-09, 0.0, "gal_gmjgm3", "s 66 49" ) ;  
  gal_stget ( 66, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.31170015273e-09, 0.0, "gal_gmjgm3", "c 66 50" ) ;  
  gal_vdv ( s, 2.23913330766e-09, 0.0, "gal_gmjgm3", "s 66 50" ) ;  
  gal_stget ( 66, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.94683601111e-09, 0.0, "gal_gmjgm3", "c 66 51" ) ;  
  gal_vdv ( s, -1.44962164256e-09, 0.0, "gal_gmjgm3", "s 66 51" ) ;  
  gal_stget ( 66, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.86573113699e-09, 0.0, "gal_gmjgm3", "c 66 52" ) ;  
  gal_vdv ( s, 3.01108761222e-10, 0.0, "gal_gmjgm3", "s 66 52" ) ;  
  gal_stget ( 66, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.05760336714e-09, 0.0, "gal_gmjgm3", "c 66 53" ) ;  
  gal_vdv ( s, -3.95124759657e-09, 0.0, "gal_gmjgm3", "s 66 53" ) ;  
  gal_stget ( 66, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.92794624686e-09, 0.0, "gal_gmjgm3", "c 66 54" ) ;  
  gal_vdv ( s, -1.98689893593e-09, 0.0, "gal_gmjgm3", "s 66 54" ) ;  
  gal_stget ( 66, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.41525243048e-10, 0.0, "gal_gmjgm3", "c 66 55" ) ;  
  gal_vdv ( s, -3.07915720135e-09, 0.0, "gal_gmjgm3", "s 66 55" ) ;  
  gal_stget ( 66, 56, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.76591562001e-10, 0.0, "gal_gmjgm3", "c 66 56" ) ;  
  gal_vdv ( s, 6.52736501495e-10, 0.0, "gal_gmjgm3", "s 66 56" ) ;  
  gal_stget ( 66, 57, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.68275429824e-09, 0.0, "gal_gmjgm3", "c 66 57" ) ;  
  gal_vdv ( s, 4.18170860169e-09, 0.0, "gal_gmjgm3", "s 66 57" ) ;  
  gal_stget ( 66, 58, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.21767993711e-09, 0.0, "gal_gmjgm3", "c 66 58" ) ;  
  gal_vdv ( s, -1.88433672978e-09, 0.0, "gal_gmjgm3", "s 66 58" ) ;  
  gal_stget ( 66, 59, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.70481512635e-09, 0.0, "gal_gmjgm3", "c 66 59" ) ;  
  gal_vdv ( s, 3.51925588047e-09, 0.0, "gal_gmjgm3", "s 66 59" ) ;  
  gal_stget ( 66, 60, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.25280768843e-10, 0.0, "gal_gmjgm3", "c 66 60" ) ;  
  gal_vdv ( s, -4.16880934727e-09, 0.0, "gal_gmjgm3", "s 66 60" ) ;  
  gal_stget ( 66, 61, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.00987869500e-09, 0.0, "gal_gmjgm3", "c 66 61" ) ;  
  gal_vdv ( s, -5.96965882441e-10, 0.0, "gal_gmjgm3", "s 66 61" ) ;  
  gal_stget ( 66, 62, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.75811994112e-09, 0.0, "gal_gmjgm3", "c 66 62" ) ;  
  gal_vdv ( s, 6.70334090634e-10, 0.0, "gal_gmjgm3", "s 66 62" ) ;  
  gal_stget ( 66, 63, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.40948227571e-09, 0.0, "gal_gmjgm3", "c 66 63" ) ;  
  gal_vdv ( s, 5.60057898830e-09, 0.0, "gal_gmjgm3", "s 66 63" ) ;  
  gal_stget ( 66, 64, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.90688010936e-10, 0.0, "gal_gmjgm3", "c 66 64" ) ;  
  gal_vdv ( s, -6.14555008604e-10, 0.0, "gal_gmjgm3", "s 66 64" ) ;  
  gal_stget ( 66, 65, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.62982043310e-09, 0.0, "gal_gmjgm3", "c 66 65" ) ;  
  gal_vdv ( s, 2.07001662545e-09, 0.0, "gal_gmjgm3", "s 66 65" ) ;  
  gal_stget ( 66, 66, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.40559642845e-09, 0.0, "gal_gmjgm3", "c 66 66" ) ;  
  gal_vdv ( s, -2.43354879908e-10, 0.0, "gal_gmjgm3", "s 66 66" ) ;  
  gal_stget ( 67, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.29131898372e-11, 0.0, "gal_gmjgm3", "c 67 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 67 0" ) ;  
  gal_stget ( 67, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.95152015745e-09, 0.0, "gal_gmjgm3", "c 67 1" ) ;  
  gal_vdv ( s, 3.25419856298e-09, 0.0, "gal_gmjgm3", "s 67 1" ) ;  
  gal_stget ( 67, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.27288410244e-10, 0.0, "gal_gmjgm3", "c 67 2" ) ;  
  gal_vdv ( s, -3.10119945401e-09, 0.0, "gal_gmjgm3", "s 67 2" ) ;  
  gal_stget ( 67, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.93390083987e-10, 0.0, "gal_gmjgm3", "c 67 3" ) ;  
  gal_vdv ( s, -1.41189682293e-10, 0.0, "gal_gmjgm3", "s 67 3" ) ;  
  gal_stget ( 67, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.56804878041e-09, 0.0, "gal_gmjgm3", "c 67 4" ) ;  
  gal_vdv ( s, 2.60247881909e-09, 0.0, "gal_gmjgm3", "s 67 4" ) ;  
  gal_stget ( 67, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.54967197795e-10, 0.0, "gal_gmjgm3", "c 67 5" ) ;  
  gal_vdv ( s, 1.95197734281e-09, 0.0, "gal_gmjgm3", "s 67 5" ) ;  
  gal_stget ( 67, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.49640179999e-10, 0.0, "gal_gmjgm3", "c 67 6" ) ;  
  gal_vdv ( s, 4.21559374456e-10, 0.0, "gal_gmjgm3", "s 67 6" ) ;  
  gal_stget ( 67, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.64578727996e-09, 0.0, "gal_gmjgm3", "c 67 7" ) ;  
  gal_vdv ( s, -2.08078251499e-09, 0.0, "gal_gmjgm3", "s 67 7" ) ;  
  gal_stget ( 67, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.30575914443e-09, 0.0, "gal_gmjgm3", "c 67 8" ) ;  
  gal_vdv ( s, -2.88268116449e-09, 0.0, "gal_gmjgm3", "s 67 8" ) ;  
  gal_stget ( 67, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.15119257122e-09, 0.0, "gal_gmjgm3", "c 67 9" ) ;  
  gal_vdv ( s, 2.41763454639e-09, 0.0, "gal_gmjgm3", "s 67 9" ) ;  
  gal_stget ( 67, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.72096962151e-09, 0.0, "gal_gmjgm3", "c 67 10" ) ;  
  gal_vdv ( s, 5.77956140479e-10, 0.0, "gal_gmjgm3", "s 67 10" ) ;  
  gal_stget ( 67, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.99476930896e-09, 0.0, "gal_gmjgm3", "c 67 11" ) ;  
  gal_vdv ( s, 1.00250956879e-10, 0.0, "gal_gmjgm3", "s 67 11" ) ;  
  gal_stget ( 67, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.65347642886e-09, 0.0, "gal_gmjgm3", "c 67 12" ) ;  
  gal_vdv ( s, -1.45348209941e-09, 0.0, "gal_gmjgm3", "s 67 12" ) ;  
  gal_stget ( 67, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.23117099137e-09, 0.0, "gal_gmjgm3", "c 67 13" ) ;  
  gal_vdv ( s, -1.16547345118e-09, 0.0, "gal_gmjgm3", "s 67 13" ) ;  
  gal_stget ( 67, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.19489658974e-09, 0.0, "gal_gmjgm3", "c 67 14" ) ;  
  gal_vdv ( s, 1.84946588045e-09, 0.0, "gal_gmjgm3", "s 67 14" ) ;  
  gal_stget ( 67, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.43371430734e-09, 0.0, "gal_gmjgm3", "c 67 15" ) ;  
  gal_vdv ( s, -2.19123075244e-10, 0.0, "gal_gmjgm3", "s 67 15" ) ;  
  gal_stget ( 67, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.21514384578e-10, 0.0, "gal_gmjgm3", "c 67 16" ) ;  
  gal_vdv ( s, 1.63107464620e-09, 0.0, "gal_gmjgm3", "s 67 16" ) ;  
  gal_stget ( 67, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.40610487202e-09, 0.0, "gal_gmjgm3", "c 67 17" ) ;  
  gal_vdv ( s, -4.60805047914e-10, 0.0, "gal_gmjgm3", "s 67 17" ) ;  
  gal_stget ( 67, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.18481932579e-10, 0.0, "gal_gmjgm3", "c 67 18" ) ;  
  gal_vdv ( s, 3.35194576466e-09, 0.0, "gal_gmjgm3", "s 67 18" ) ;  
  gal_stget ( 67, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.13789042302e-10, 0.0, "gal_gmjgm3", "c 67 19" ) ;  
  gal_vdv ( s, 1.36324859310e-09, 0.0, "gal_gmjgm3", "s 67 19" ) ;  
  gal_stget ( 67, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.95096927372e-09, 0.0, "gal_gmjgm3", "c 67 20" ) ;  
  gal_vdv ( s, -2.18298141976e-09, 0.0, "gal_gmjgm3", "s 67 20" ) ;  
  gal_stget ( 67, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.40990083444e-09, 0.0, "gal_gmjgm3", "c 67 21" ) ;  
  gal_vdv ( s, 5.15528445114e-10, 0.0, "gal_gmjgm3", "s 67 21" ) ;  
  gal_stget ( 67, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.49879645125e-09, 0.0, "gal_gmjgm3", "c 67 22" ) ;  
  gal_vdv ( s, 5.72597504766e-09, 0.0, "gal_gmjgm3", "s 67 22" ) ;  
  gal_stget ( 67, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.63081089917e-09, 0.0, "gal_gmjgm3", "c 67 23" ) ;  
  gal_vdv ( s, -1.90202945081e-09, 0.0, "gal_gmjgm3", "s 67 23" ) ;  
  gal_stget ( 67, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.71046689800e-09, 0.0, "gal_gmjgm3", "c 67 24" ) ;  
  gal_vdv ( s, -2.02496537826e-09, 0.0, "gal_gmjgm3", "s 67 24" ) ;  
  gal_stget ( 67, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.89996523584e-09, 0.0, "gal_gmjgm3", "c 67 25" ) ;  
  gal_vdv ( s, 1.06244885656e-09, 0.0, "gal_gmjgm3", "s 67 25" ) ;  
  gal_stget ( 67, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.86050190574e-09, 0.0, "gal_gmjgm3", "c 67 26" ) ;  
  gal_vdv ( s, 1.28993014845e-09, 0.0, "gal_gmjgm3", "s 67 26" ) ;  
  gal_stget ( 67, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.50196211432e-09, 0.0, "gal_gmjgm3", "c 67 27" ) ;  
  gal_vdv ( s, 1.16204402935e-09, 0.0, "gal_gmjgm3", "s 67 27" ) ;  
  gal_stget ( 67, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.67565638150e-09, 0.0, "gal_gmjgm3", "c 67 28" ) ;  
  gal_vdv ( s, -1.83665941089e-09, 0.0, "gal_gmjgm3", "s 67 28" ) ;  
  gal_stget ( 67, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.81570737137e-10, 0.0, "gal_gmjgm3", "c 67 29" ) ;  
  gal_vdv ( s, 1.29962178268e-09, 0.0, "gal_gmjgm3", "s 67 29" ) ;  
  gal_stget ( 67, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.27507789242e-10, 0.0, "gal_gmjgm3", "c 67 30" ) ;  
  gal_vdv ( s, -1.71185520808e-09, 0.0, "gal_gmjgm3", "s 67 30" ) ;  
  gal_stget ( 67, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.64950577947e-10, 0.0, "gal_gmjgm3", "c 67 31" ) ;  
  gal_vdv ( s, 3.18165494491e-09, 0.0, "gal_gmjgm3", "s 67 31" ) ;  
  gal_stget ( 67, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.72853197735e-11, 0.0, "gal_gmjgm3", "c 67 32" ) ;  
  gal_vdv ( s, -1.60628634901e-09, 0.0, "gal_gmjgm3", "s 67 32" ) ;  
  gal_stget ( 67, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.26130707458e-09, 0.0, "gal_gmjgm3", "c 67 33" ) ;  
  gal_vdv ( s, 7.52462853543e-11, 0.0, "gal_gmjgm3", "s 67 33" ) ;  
  gal_stget ( 67, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.05433572218e-10, 0.0, "gal_gmjgm3", "c 67 34" ) ;  
  gal_vdv ( s, 1.59452350148e-09, 0.0, "gal_gmjgm3", "s 67 34" ) ;  
  gal_stget ( 67, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.58397823786e-09, 0.0, "gal_gmjgm3", "c 67 35" ) ;  
  gal_vdv ( s, -1.54173454612e-09, 0.0, "gal_gmjgm3", "s 67 35" ) ;  
  gal_stget ( 67, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.36506014026e-09, 0.0, "gal_gmjgm3", "c 67 36" ) ;  
  gal_vdv ( s, -2.04914092705e-09, 0.0, "gal_gmjgm3", "s 67 36" ) ;  
  gal_stget ( 67, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.92190819732e-09, 0.0, "gal_gmjgm3", "c 67 37" ) ;  
  gal_vdv ( s, -9.11628369081e-10, 0.0, "gal_gmjgm3", "s 67 37" ) ;  
  gal_stget ( 67, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.61417590699e-09, 0.0, "gal_gmjgm3", "c 67 38" ) ;  
  gal_vdv ( s, 1.94295809789e-10, 0.0, "gal_gmjgm3", "s 67 38" ) ;  
  gal_stget ( 67, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.35353935801e-10, 0.0, "gal_gmjgm3", "c 67 39" ) ;  
  gal_vdv ( s, 5.07761934706e-12, 0.0, "gal_gmjgm3", "s 67 39" ) ;  
  gal_stget ( 67, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.71862146600e-10, 0.0, "gal_gmjgm3", "c 67 40" ) ;  
  gal_vdv ( s, 9.09177225245e-11, 0.0, "gal_gmjgm3", "s 67 40" ) ;  
  gal_stget ( 67, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.20410143084e-10, 0.0, "gal_gmjgm3", "c 67 41" ) ;  
  gal_vdv ( s, -2.81856434909e-09, 0.0, "gal_gmjgm3", "s 67 41" ) ;  
  gal_stget ( 67, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.45248643105e-10, 0.0, "gal_gmjgm3", "c 67 42" ) ;  
  gal_vdv ( s, 2.00284643826e-09, 0.0, "gal_gmjgm3", "s 67 42" ) ;  
  gal_stget ( 67, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.24316576941e-09, 0.0, "gal_gmjgm3", "c 67 43" ) ;  
  gal_vdv ( s, -2.93352161478e-09, 0.0, "gal_gmjgm3", "s 67 43" ) ;  
  gal_stget ( 67, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.22504292871e-10, 0.0, "gal_gmjgm3", "c 67 44" ) ;  
  gal_vdv ( s, 9.09917320902e-11, 0.0, "gal_gmjgm3", "s 67 44" ) ;  
  gal_stget ( 67, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.41130843276e-09, 0.0, "gal_gmjgm3", "c 67 45" ) ;  
  gal_vdv ( s, 1.59462975789e-09, 0.0, "gal_gmjgm3", "s 67 45" ) ;  
  gal_stget ( 67, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.03118149710e-09, 0.0, "gal_gmjgm3", "c 67 46" ) ;  
  gal_vdv ( s, 7.22508395507e-10, 0.0, "gal_gmjgm3", "s 67 46" ) ;  
  gal_stget ( 67, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.14850989674e-09, 0.0, "gal_gmjgm3", "c 67 47" ) ;  
  gal_vdv ( s, -2.17690720542e-09, 0.0, "gal_gmjgm3", "s 67 47" ) ;  
  gal_stget ( 67, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.00510180550e-09, 0.0, "gal_gmjgm3", "c 67 48" ) ;  
  gal_vdv ( s, -2.96943914705e-09, 0.0, "gal_gmjgm3", "s 67 48" ) ;  
  gal_stget ( 67, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.33191747566e-09, 0.0, "gal_gmjgm3", "c 67 49" ) ;  
  gal_vdv ( s, 2.42587005362e-09, 0.0, "gal_gmjgm3", "s 67 49" ) ;  
  gal_stget ( 67, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.82208691477e-09, 0.0, "gal_gmjgm3", "c 67 50" ) ;  
  gal_vdv ( s, 1.13966478858e-10, 0.0, "gal_gmjgm3", "s 67 50" ) ;  
  gal_stget ( 67, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.92848782109e-09, 0.0, "gal_gmjgm3", "c 67 51" ) ;  
  gal_vdv ( s, -1.81925741466e-09, 0.0, "gal_gmjgm3", "s 67 51" ) ;  
  gal_stget ( 67, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.45555519606e-09, 0.0, "gal_gmjgm3", "c 67 52" ) ;  
  gal_vdv ( s, 1.64807104457e-09, 0.0, "gal_gmjgm3", "s 67 52" ) ;  
  gal_stget ( 67, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.74714544246e-11, 0.0, "gal_gmjgm3", "c 67 53" ) ;  
  gal_vdv ( s, -5.28059540827e-10, 0.0, "gal_gmjgm3", "s 67 53" ) ;  
  gal_stget ( 67, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.45991444328e-10, 0.0, "gal_gmjgm3", "c 67 54" ) ;  
  gal_vdv ( s, -6.05231245989e-10, 0.0, "gal_gmjgm3", "s 67 54" ) ;  
  gal_stget ( 67, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.11567291943e-10, 0.0, "gal_gmjgm3", "c 67 55" ) ;  
  gal_vdv ( s, 7.96746002526e-09, 0.0, "gal_gmjgm3", "s 67 55" ) ;  
  gal_stget ( 67, 56, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.61384728704e-09, 0.0, "gal_gmjgm3", "c 67 56" ) ;  
  gal_vdv ( s, -3.60256572964e-09, 0.0, "gal_gmjgm3", "s 67 56" ) ;  
  gal_stget ( 67, 57, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.35179316910e-09, 0.0, "gal_gmjgm3", "c 67 57" ) ;  
  gal_vdv ( s, -1.39552536351e-09, 0.0, "gal_gmjgm3", "s 67 57" ) ;  
  gal_stget ( 67, 58, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.42548641876e-09, 0.0, "gal_gmjgm3", "c 67 58" ) ;  
  gal_vdv ( s, -1.11584222934e-09, 0.0, "gal_gmjgm3", "s 67 58" ) ;  
  gal_stget ( 67, 59, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.78528148525e-10, 0.0, "gal_gmjgm3", "c 67 59" ) ;  
  gal_vdv ( s, -3.11777302960e-09, 0.0, "gal_gmjgm3", "s 67 59" ) ;  
  gal_stget ( 67, 60, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.49602840978e-09, 0.0, "gal_gmjgm3", "c 67 60" ) ;  
  gal_vdv ( s, -4.67097395813e-11, 0.0, "gal_gmjgm3", "s 67 60" ) ;  
  gal_stget ( 67, 61, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.18322527182e-09, 0.0, "gal_gmjgm3", "c 67 61" ) ;  
  gal_vdv ( s, -2.45864424889e-09, 0.0, "gal_gmjgm3", "s 67 61" ) ;  
  gal_stget ( 67, 62, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.34173109917e-09, 0.0, "gal_gmjgm3", "c 67 62" ) ;  
  gal_vdv ( s, -6.02136113179e-09, 0.0, "gal_gmjgm3", "s 67 62" ) ;  
  gal_stget ( 67, 63, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.11024110450e-09, 0.0, "gal_gmjgm3", "c 67 63" ) ;  
  gal_vdv ( s, 4.26982364747e-09, 0.0, "gal_gmjgm3", "s 67 63" ) ;  
  gal_stget ( 67, 64, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.56123948937e-10, 0.0, "gal_gmjgm3", "c 67 64" ) ;  
  gal_vdv ( s, -3.77852627608e-09, 0.0, "gal_gmjgm3", "s 67 64" ) ;  
  gal_stget ( 67, 65, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.45996489013e-10, 0.0, "gal_gmjgm3", "c 67 65" ) ;  
  gal_vdv ( s, 1.62867151846e-09, 0.0, "gal_gmjgm3", "s 67 65" ) ;  
  gal_stget ( 67, 66, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.16765894333e-11, 0.0, "gal_gmjgm3", "c 67 66" ) ;  
  gal_vdv ( s, -1.93684226538e-09, 0.0, "gal_gmjgm3", "s 67 66" ) ;  
  gal_stget ( 67, 67, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.32134940759e-10, 0.0, "gal_gmjgm3", "c 67 67" ) ;  
  gal_vdv ( s, 2.49314553413e-09, 0.0, "gal_gmjgm3", "s 67 67" ) ;  
  gal_stget ( 68, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.60312631434e-10, 0.0, "gal_gmjgm3", "c 68 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 68 0" ) ;  
  gal_stget ( 68, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.80247629392e-10, 0.0, "gal_gmjgm3", "c 68 1" ) ;  
  gal_vdv ( s, 2.38230114681e-09, 0.0, "gal_gmjgm3", "s 68 1" ) ;  
  gal_stget ( 68, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.52428590936e-09, 0.0, "gal_gmjgm3", "c 68 2" ) ;  
  gal_vdv ( s, -7.46293624276e-10, 0.0, "gal_gmjgm3", "s 68 2" ) ;  
  gal_stget ( 68, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.12144967636e-09, 0.0, "gal_gmjgm3", "c 68 3" ) ;  
  gal_vdv ( s, 1.56076461376e-09, 0.0, "gal_gmjgm3", "s 68 3" ) ;  
  gal_stget ( 68, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.83486253885e-09, 0.0, "gal_gmjgm3", "c 68 4" ) ;  
  gal_vdv ( s, 1.29517036620e-09, 0.0, "gal_gmjgm3", "s 68 4" ) ;  
  gal_stget ( 68, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.84869520132e-10, 0.0, "gal_gmjgm3", "c 68 5" ) ;  
  gal_vdv ( s, -4.70608956554e-10, 0.0, "gal_gmjgm3", "s 68 5" ) ;  
  gal_stget ( 68, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.70748781175e-10, 0.0, "gal_gmjgm3", "c 68 6" ) ;  
  gal_vdv ( s, 1.70494889794e-09, 0.0, "gal_gmjgm3", "s 68 6" ) ;  
  gal_stget ( 68, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.68921452425e-09, 0.0, "gal_gmjgm3", "c 68 7" ) ;  
  gal_vdv ( s, -2.50897889643e-09, 0.0, "gal_gmjgm3", "s 68 7" ) ;  
  gal_stget ( 68, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.86439408329e-09, 0.0, "gal_gmjgm3", "c 68 8" ) ;  
  gal_vdv ( s, -4.50676111518e-10, 0.0, "gal_gmjgm3", "s 68 8" ) ;  
  gal_stget ( 68, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.09639715685e-10, 0.0, "gal_gmjgm3", "c 68 9" ) ;  
  gal_vdv ( s, 1.08596697127e-10, 0.0, "gal_gmjgm3", "s 68 9" ) ;  
  gal_stget ( 68, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.27068925782e-09, 0.0, "gal_gmjgm3", "c 68 10" ) ;  
  gal_vdv ( s, 1.24355822798e-09, 0.0, "gal_gmjgm3", "s 68 10" ) ;  
  gal_stget ( 68, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.39550235504e-09, 0.0, "gal_gmjgm3", "c 68 11" ) ;  
  gal_vdv ( s, -2.31081235127e-09, 0.0, "gal_gmjgm3", "s 68 11" ) ;  
  gal_stget ( 68, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.77034523447e-10, 0.0, "gal_gmjgm3", "c 68 12" ) ;  
  gal_vdv ( s, 8.32774628456e-10, 0.0, "gal_gmjgm3", "s 68 12" ) ;  
  gal_stget ( 68, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.03617486018e-10, 0.0, "gal_gmjgm3", "c 68 13" ) ;  
  gal_vdv ( s, -1.64894548938e-09, 0.0, "gal_gmjgm3", "s 68 13" ) ;  
  gal_stget ( 68, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.49933153204e-11, 0.0, "gal_gmjgm3", "c 68 14" ) ;  
  gal_vdv ( s, 1.19503955232e-10, 0.0, "gal_gmjgm3", "s 68 14" ) ;  
  gal_stget ( 68, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.06571541783e-09, 0.0, "gal_gmjgm3", "c 68 15" ) ;  
  gal_vdv ( s, 6.12363173184e-10, 0.0, "gal_gmjgm3", "s 68 15" ) ;  
  gal_stget ( 68, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.59339861867e-10, 0.0, "gal_gmjgm3", "c 68 16" ) ;  
  gal_vdv ( s, -2.90896004675e-09, 0.0, "gal_gmjgm3", "s 68 16" ) ;  
  gal_stget ( 68, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.95311553593e-09, 0.0, "gal_gmjgm3", "c 68 17" ) ;  
  gal_vdv ( s, 2.63304567482e-12, 0.0, "gal_gmjgm3", "s 68 17" ) ;  
  gal_stget ( 68, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.00590716258e-10, 0.0, "gal_gmjgm3", "c 68 18" ) ;  
  gal_vdv ( s, 1.98701792014e-09, 0.0, "gal_gmjgm3", "s 68 18" ) ;  
  gal_stget ( 68, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.70393424441e-09, 0.0, "gal_gmjgm3", "c 68 19" ) ;  
  gal_vdv ( s, 6.28512939382e-10, 0.0, "gal_gmjgm3", "s 68 19" ) ;  
  gal_stget ( 68, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.98240059272e-09, 0.0, "gal_gmjgm3", "c 68 20" ) ;  
  gal_vdv ( s, -1.44875336331e-10, 0.0, "gal_gmjgm3", "s 68 20" ) ;  
  gal_stget ( 68, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.12587213192e-09, 0.0, "gal_gmjgm3", "c 68 21" ) ;  
  gal_vdv ( s, 2.34723037287e-09, 0.0, "gal_gmjgm3", "s 68 21" ) ;  
  gal_stget ( 68, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.76077177707e-09, 0.0, "gal_gmjgm3", "c 68 22" ) ;  
  gal_vdv ( s, -1.83665609504e-09, 0.0, "gal_gmjgm3", "s 68 22" ) ;  
  gal_stget ( 68, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.66695612826e-09, 0.0, "gal_gmjgm3", "c 68 23" ) ;  
  gal_vdv ( s, 2.77599078818e-10, 0.0, "gal_gmjgm3", "s 68 23" ) ;  
  gal_stget ( 68, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.64181238738e-09, 0.0, "gal_gmjgm3", "c 68 24" ) ;  
  gal_vdv ( s, -3.31900500199e-10, 0.0, "gal_gmjgm3", "s 68 24" ) ;  
  gal_stget ( 68, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.34373756173e-09, 0.0, "gal_gmjgm3", "c 68 25" ) ;  
  gal_vdv ( s, 2.17827118070e-09, 0.0, "gal_gmjgm3", "s 68 25" ) ;  
  gal_stget ( 68, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.87552345133e-09, 0.0, "gal_gmjgm3", "c 68 26" ) ;  
  gal_vdv ( s, 9.43658489427e-10, 0.0, "gal_gmjgm3", "s 68 26" ) ;  
  gal_stget ( 68, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.92237387400e-09, 0.0, "gal_gmjgm3", "c 68 27" ) ;  
  gal_vdv ( s, -3.29674425587e-10, 0.0, "gal_gmjgm3", "s 68 27" ) ;  
  gal_stget ( 68, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.63892821962e-10, 0.0, "gal_gmjgm3", "c 68 28" ) ;  
  gal_vdv ( s, -3.49071709840e-10, 0.0, "gal_gmjgm3", "s 68 28" ) ;  
  gal_stget ( 68, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.37665893772e-09, 0.0, "gal_gmjgm3", "c 68 29" ) ;  
  gal_vdv ( s, -1.75601214549e-09, 0.0, "gal_gmjgm3", "s 68 29" ) ;  
  gal_stget ( 68, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.68684649188e-10, 0.0, "gal_gmjgm3", "c 68 30" ) ;  
  gal_vdv ( s, 8.58757789639e-10, 0.0, "gal_gmjgm3", "s 68 30" ) ;  
  gal_stget ( 68, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.35549813477e-10, 0.0, "gal_gmjgm3", "c 68 31" ) ;  
  gal_vdv ( s, -4.75198346169e-10, 0.0, "gal_gmjgm3", "s 68 31" ) ;  
  gal_stget ( 68, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.75841683608e-09, 0.0, "gal_gmjgm3", "c 68 32" ) ;  
  gal_vdv ( s, 2.20663430099e-09, 0.0, "gal_gmjgm3", "s 68 32" ) ;  
  gal_stget ( 68, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.18797057599e-09, 0.0, "gal_gmjgm3", "c 68 33" ) ;  
  gal_vdv ( s, -4.81617497819e-10, 0.0, "gal_gmjgm3", "s 68 33" ) ;  
  gal_stget ( 68, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.35399829238e-09, 0.0, "gal_gmjgm3", "c 68 34" ) ;  
  gal_vdv ( s, 2.23828389871e-09, 0.0, "gal_gmjgm3", "s 68 34" ) ;  
  gal_stget ( 68, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.74427397469e-09, 0.0, "gal_gmjgm3", "c 68 35" ) ;  
  gal_vdv ( s, 1.96012350920e-10, 0.0, "gal_gmjgm3", "s 68 35" ) ;  
  gal_stget ( 68, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.67302415539e-09, 0.0, "gal_gmjgm3", "c 68 36" ) ;  
  gal_vdv ( s, 1.31497565905e-09, 0.0, "gal_gmjgm3", "s 68 36" ) ;  
  gal_stget ( 68, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.57208913847e-09, 0.0, "gal_gmjgm3", "c 68 37" ) ;  
  gal_vdv ( s, 1.88190668713e-09, 0.0, "gal_gmjgm3", "s 68 37" ) ;  
  gal_stget ( 68, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.42440732651e-09, 0.0, "gal_gmjgm3", "c 68 38" ) ;  
  gal_vdv ( s, -3.40044799635e-09, 0.0, "gal_gmjgm3", "s 68 38" ) ;  
  gal_stget ( 68, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.78248900842e-09, 0.0, "gal_gmjgm3", "c 68 39" ) ;  
  gal_vdv ( s, -9.34098497388e-11, 0.0, "gal_gmjgm3", "s 68 39" ) ;  
  gal_stget ( 68, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.15107537331e-09, 0.0, "gal_gmjgm3", "c 68 40" ) ;  
  gal_vdv ( s, 5.00405465401e-10, 0.0, "gal_gmjgm3", "s 68 40" ) ;  
  gal_stget ( 68, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 4.06299615036e-09, 0.0, "gal_gmjgm3", "c 68 41" ) ;  
  gal_vdv ( s, -5.55632864442e-09, 0.0, "gal_gmjgm3", "s 68 41" ) ;  
  gal_stget ( 68, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.62788968381e-09, 0.0, "gal_gmjgm3", "c 68 42" ) ;  
  gal_vdv ( s, 2.33485774229e-09, 0.0, "gal_gmjgm3", "s 68 42" ) ;  
  gal_stget ( 68, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.47294534479e-09, 0.0, "gal_gmjgm3", "c 68 43" ) ;  
  gal_vdv ( s, -1.24254191433e-09, 0.0, "gal_gmjgm3", "s 68 43" ) ;  
  gal_stget ( 68, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.12098415012e-09, 0.0, "gal_gmjgm3", "c 68 44" ) ;  
  gal_vdv ( s, 2.41079455244e-09, 0.0, "gal_gmjgm3", "s 68 44" ) ;  
  gal_stget ( 68, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.26996383146e-10, 0.0, "gal_gmjgm3", "c 68 45" ) ;  
  gal_vdv ( s, 1.34450009353e-09, 0.0, "gal_gmjgm3", "s 68 45" ) ;  
  gal_stget ( 68, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.69185437050e-09, 0.0, "gal_gmjgm3", "c 68 46" ) ;  
  gal_vdv ( s, 3.71614139910e-10, 0.0, "gal_gmjgm3", "s 68 46" ) ;  
  gal_stget ( 68, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.24659035529e-09, 0.0, "gal_gmjgm3", "c 68 47" ) ;  
  gal_vdv ( s, -4.54023271098e-10, 0.0, "gal_gmjgm3", "s 68 47" ) ;  
  gal_stget ( 68, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.37883589235e-09, 0.0, "gal_gmjgm3", "c 68 48" ) ;  
  gal_vdv ( s, -4.50323265487e-10, 0.0, "gal_gmjgm3", "s 68 48" ) ;  
  gal_stget ( 68, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.33357437120e-11, 0.0, "gal_gmjgm3", "c 68 49" ) ;  
  gal_vdv ( s, 2.25466692067e-09, 0.0, "gal_gmjgm3", "s 68 49" ) ;  
  gal_stget ( 68, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.78114660445e-09, 0.0, "gal_gmjgm3", "c 68 50" ) ;  
  gal_vdv ( s, 6.98968610680e-10, 0.0, "gal_gmjgm3", "s 68 50" ) ;  
  gal_stget ( 68, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.30053699290e-09, 0.0, "gal_gmjgm3", "c 68 51" ) ;  
  gal_vdv ( s, -1.08246698835e-09, 0.0, "gal_gmjgm3", "s 68 51" ) ;  
  gal_stget ( 68, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.88119216372e-09, 0.0, "gal_gmjgm3", "c 68 52" ) ;  
  gal_vdv ( s, -1.79903038703e-10, 0.0, "gal_gmjgm3", "s 68 52" ) ;  
  gal_stget ( 68, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.31626506062e-09, 0.0, "gal_gmjgm3", "c 68 53" ) ;  
  gal_vdv ( s, 9.99664076740e-10, 0.0, "gal_gmjgm3", "s 68 53" ) ;  
  gal_stget ( 68, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.12910219378e-09, 0.0, "gal_gmjgm3", "c 68 54" ) ;  
  gal_vdv ( s, -8.14427786836e-10, 0.0, "gal_gmjgm3", "s 68 54" ) ;  
  gal_stget ( 68, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.82609877739e-11, 0.0, "gal_gmjgm3", "c 68 55" ) ;  
  gal_vdv ( s, -3.38182735844e-09, 0.0, "gal_gmjgm3", "s 68 55" ) ;  
  gal_stget ( 68, 56, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.28937994513e-09, 0.0, "gal_gmjgm3", "c 68 56" ) ;  
  gal_vdv ( s, -4.73619431898e-09, 0.0, "gal_gmjgm3", "s 68 56" ) ;  
  gal_stget ( 68, 57, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.35611001138e-09, 0.0, "gal_gmjgm3", "c 68 57" ) ;  
  gal_vdv ( s, 2.26355411517e-09, 0.0, "gal_gmjgm3", "s 68 57" ) ;  
  gal_stget ( 68, 58, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.33543806633e-09, 0.0, "gal_gmjgm3", "c 68 58" ) ;  
  gal_vdv ( s, 5.73380633990e-10, 0.0, "gal_gmjgm3", "s 68 58" ) ;  
  gal_stget ( 68, 59, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.33865673315e-09, 0.0, "gal_gmjgm3", "c 68 59" ) ;  
  gal_vdv ( s, 4.94499358434e-09, 0.0, "gal_gmjgm3", "s 68 59" ) ;  
  gal_stget ( 68, 60, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.99253717398e-09, 0.0, "gal_gmjgm3", "c 68 60" ) ;  
  gal_vdv ( s, 2.21370647347e-09, 0.0, "gal_gmjgm3", "s 68 60" ) ;  
  gal_stget ( 68, 61, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.09142686063e-09, 0.0, "gal_gmjgm3", "c 68 61" ) ;  
  gal_vdv ( s, 9.68519981622e-11, 0.0, "gal_gmjgm3", "s 68 61" ) ;  
  gal_stget ( 68, 62, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.69703328635e-09, 0.0, "gal_gmjgm3", "c 68 62" ) ;  
  gal_vdv ( s, 2.49004013120e-09, 0.0, "gal_gmjgm3", "s 68 62" ) ;  
  gal_stget ( 68, 63, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.86614802450e-10, 0.0, "gal_gmjgm3", "c 68 63" ) ;  
  gal_vdv ( s, -4.13733623450e-09, 0.0, "gal_gmjgm3", "s 68 63" ) ;  
  gal_stget ( 68, 64, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.00125616000e-09, 0.0, "gal_gmjgm3", "c 68 64" ) ;  
  gal_vdv ( s, -4.37896746478e-09, 0.0, "gal_gmjgm3", "s 68 64" ) ;  
  gal_stget ( 68, 65, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.88847392843e-09, 0.0, "gal_gmjgm3", "c 68 65" ) ;  
  gal_vdv ( s, -6.62654630214e-10, 0.0, "gal_gmjgm3", "s 68 65" ) ;  
  gal_stget ( 68, 66, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.32316363115e-09, 0.0, "gal_gmjgm3", "c 68 66" ) ;  
  gal_vdv ( s, -8.45213641142e-10, 0.0, "gal_gmjgm3", "s 68 66" ) ;  
  gal_stget ( 68, 67, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.64672723919e-09, 0.0, "gal_gmjgm3", "c 68 67" ) ;  
  gal_vdv ( s, -7.62696726708e-10, 0.0, "gal_gmjgm3", "s 68 67" ) ;  
  gal_stget ( 68, 68, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.20587752669e-10, 0.0, "gal_gmjgm3", "c 68 68" ) ;  
  gal_vdv ( s, 4.36838369365e-10, 0.0, "gal_gmjgm3", "s 68 68" ) ;  
  gal_stget ( 69, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.38974903928e-09, 0.0, "gal_gmjgm3", "c 69 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 69 0" ) ;  
  gal_stget ( 69, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.40286566193e-09, 0.0, "gal_gmjgm3", "c 69 1" ) ;  
  gal_vdv ( s, -2.99817717838e-09, 0.0, "gal_gmjgm3", "s 69 1" ) ;  
  gal_stget ( 69, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.40072951732e-09, 0.0, "gal_gmjgm3", "c 69 2" ) ;  
  gal_vdv ( s, 1.83457794563e-09, 0.0, "gal_gmjgm3", "s 69 2" ) ;  
  gal_stget ( 69, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.29248350160e-09, 0.0, "gal_gmjgm3", "c 69 3" ) ;  
  gal_vdv ( s, -2.58958402279e-09, 0.0, "gal_gmjgm3", "s 69 3" ) ;  
  gal_stget ( 69, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.93499027883e-09, 0.0, "gal_gmjgm3", "c 69 4" ) ;  
  gal_vdv ( s, -2.01536654106e-10, 0.0, "gal_gmjgm3", "s 69 4" ) ;  
  gal_stget ( 69, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.98112107743e-09, 0.0, "gal_gmjgm3", "c 69 5" ) ;  
  gal_vdv ( s, 2.75012631648e-09, 0.0, "gal_gmjgm3", "s 69 5" ) ;  
  gal_stget ( 69, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 7.66690377191e-10, 0.0, "gal_gmjgm3", "c 69 6" ) ;  
  gal_vdv ( s, 1.61437324583e-09, 0.0, "gal_gmjgm3", "s 69 6" ) ;  
  gal_stget ( 69, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.79135458253e-09, 0.0, "gal_gmjgm3", "c 69 7" ) ;  
  gal_vdv ( s, 4.50727576284e-10, 0.0, "gal_gmjgm3", "s 69 7" ) ;  
  gal_stget ( 69, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.27714384272e-10, 0.0, "gal_gmjgm3", "c 69 8" ) ;  
  gal_vdv ( s, 1.91087407579e-09, 0.0, "gal_gmjgm3", "s 69 8" ) ;  
  gal_stget ( 69, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.99876480428e-09, 0.0, "gal_gmjgm3", "c 69 9" ) ;  
  gal_vdv ( s, 1.07952550708e-09, 0.0, "gal_gmjgm3", "s 69 9" ) ;  
  gal_stget ( 69, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.57584264803e-09, 0.0, "gal_gmjgm3", "c 69 10" ) ;  
  gal_vdv ( s, -6.46554637223e-10, 0.0, "gal_gmjgm3", "s 69 10" ) ;  
  gal_stget ( 69, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.58252580884e-09, 0.0, "gal_gmjgm3", "c 69 11" ) ;  
  gal_vdv ( s, 2.49526253468e-09, 0.0, "gal_gmjgm3", "s 69 11" ) ;  
  gal_stget ( 69, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.09510615069e-10, 0.0, "gal_gmjgm3", "c 69 12" ) ;  
  gal_vdv ( s, 8.97197404244e-10, 0.0, "gal_gmjgm3", "s 69 12" ) ;  
  gal_stget ( 69, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.59964184570e-09, 0.0, "gal_gmjgm3", "c 69 13" ) ;  
  gal_vdv ( s, -5.30130358057e-09, 0.0, "gal_gmjgm3", "s 69 13" ) ;  
  gal_stget ( 69, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.56611772837e-11, 0.0, "gal_gmjgm3", "c 69 14" ) ;  
  gal_vdv ( s, 1.65230062945e-09, 0.0, "gal_gmjgm3", "s 69 14" ) ;  
  gal_stget ( 69, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.35349721827e-10, 0.0, "gal_gmjgm3", "c 69 15" ) ;  
  gal_vdv ( s, -3.16068828945e-09, 0.0, "gal_gmjgm3", "s 69 15" ) ;  
  gal_stget ( 69, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.51776510197e-09, 0.0, "gal_gmjgm3", "c 69 16" ) ;  
  gal_vdv ( s, -3.62264042382e-09, 0.0, "gal_gmjgm3", "s 69 16" ) ;  
  gal_stget ( 69, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.17462290159e-10, 0.0, "gal_gmjgm3", "c 69 17" ) ;  
  gal_vdv ( s, -3.40830387315e-09, 0.0, "gal_gmjgm3", "s 69 17" ) ;  
  gal_stget ( 69, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.08413897744e-10, 0.0, "gal_gmjgm3", "c 69 18" ) ;  
  gal_vdv ( s, -5.75832845055e-11, 0.0, "gal_gmjgm3", "s 69 18" ) ;  
  gal_stget ( 69, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.66195709017e-09, 0.0, "gal_gmjgm3", "c 69 19" ) ;  
  gal_vdv ( s, 2.03461902225e-09, 0.0, "gal_gmjgm3", "s 69 19" ) ;  
  gal_stget ( 69, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.39951379032e-09, 0.0, "gal_gmjgm3", "c 69 20" ) ;  
  gal_vdv ( s, -9.87787348658e-10, 0.0, "gal_gmjgm3", "s 69 20" ) ;  
  gal_stget ( 69, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.36613770023e-09, 0.0, "gal_gmjgm3", "c 69 21" ) ;  
  gal_vdv ( s, 2.43365187962e-09, 0.0, "gal_gmjgm3", "s 69 21" ) ;  
  gal_stget ( 69, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.20587373258e-09, 0.0, "gal_gmjgm3", "c 69 22" ) ;  
  gal_vdv ( s, -1.25255558399e-09, 0.0, "gal_gmjgm3", "s 69 22" ) ;  
  gal_stget ( 69, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.66268924522e-10, 0.0, "gal_gmjgm3", "c 69 23" ) ;  
  gal_vdv ( s, 1.32443841435e-09, 0.0, "gal_gmjgm3", "s 69 23" ) ;  
  gal_stget ( 69, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.34625604310e-09, 0.0, "gal_gmjgm3", "c 69 24" ) ;  
  gal_vdv ( s, 2.00878525878e-09, 0.0, "gal_gmjgm3", "s 69 24" ) ;  
  gal_stget ( 69, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.19605992905e-09, 0.0, "gal_gmjgm3", "c 69 25" ) ;  
  gal_vdv ( s, -1.33102250687e-09, 0.0, "gal_gmjgm3", "s 69 25" ) ;  
  gal_stget ( 69, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.87297485817e-09, 0.0, "gal_gmjgm3", "c 69 26" ) ;  
  gal_vdv ( s, 3.20069042670e-09, 0.0, "gal_gmjgm3", "s 69 26" ) ;  
  gal_stget ( 69, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.45458260655e-09, 0.0, "gal_gmjgm3", "c 69 27" ) ;  
  gal_vdv ( s, -2.75395714903e-10, 0.0, "gal_gmjgm3", "s 69 27" ) ;  
  gal_stget ( 69, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.22214876406e-10, 0.0, "gal_gmjgm3", "c 69 28" ) ;  
  gal_vdv ( s, -2.29184202278e-10, 0.0, "gal_gmjgm3", "s 69 28" ) ;  
  gal_stget ( 69, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.17926621227e-10, 0.0, "gal_gmjgm3", "c 69 29" ) ;  
  gal_vdv ( s, -1.89352850376e-09, 0.0, "gal_gmjgm3", "s 69 29" ) ;  
  gal_stget ( 69, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.98621596370e-10, 0.0, "gal_gmjgm3", "c 69 30" ) ;  
  gal_vdv ( s, 5.77214540683e-10, 0.0, "gal_gmjgm3", "s 69 30" ) ;  
  gal_stget ( 69, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.09770852507e-09, 0.0, "gal_gmjgm3", "c 69 31" ) ;  
  gal_vdv ( s, -1.39248337220e-09, 0.0, "gal_gmjgm3", "s 69 31" ) ;  
  gal_stget ( 69, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.02230589164e-09, 0.0, "gal_gmjgm3", "c 69 32" ) ;  
  gal_vdv ( s, -4.36952294768e-10, 0.0, "gal_gmjgm3", "s 69 32" ) ;  
  gal_stget ( 69, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.51421394523e-09, 0.0, "gal_gmjgm3", "c 69 33" ) ;  
  gal_vdv ( s, 6.43171093366e-10, 0.0, "gal_gmjgm3", "s 69 33" ) ;  
  gal_stget ( 69, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.61961124364e-09, 0.0, "gal_gmjgm3", "c 69 34" ) ;  
  gal_vdv ( s, 1.58362015723e-09, 0.0, "gal_gmjgm3", "s 69 34" ) ;  
  gal_stget ( 69, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.21290855470e-10, 0.0, "gal_gmjgm3", "c 69 35" ) ;  
  gal_vdv ( s, 2.00479998963e-09, 0.0, "gal_gmjgm3", "s 69 35" ) ;  
  gal_stget ( 69, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.50454473166e-09, 0.0, "gal_gmjgm3", "c 69 36" ) ;  
  gal_vdv ( s, 1.64433589200e-09, 0.0, "gal_gmjgm3", "s 69 36" ) ;  
  gal_stget ( 69, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.69050219095e-09, 0.0, "gal_gmjgm3", "c 69 37" ) ;  
  gal_vdv ( s, 4.98941707719e-09, 0.0, "gal_gmjgm3", "s 69 37" ) ;  
  gal_stget ( 69, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.26897550820e-09, 0.0, "gal_gmjgm3", "c 69 38" ) ;  
  gal_vdv ( s, -1.15938946197e-09, 0.0, "gal_gmjgm3", "s 69 38" ) ;  
  gal_stget ( 69, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.31999595698e-10, 0.0, "gal_gmjgm3", "c 69 39" ) ;  
  gal_vdv ( s, -1.01509941975e-09, 0.0, "gal_gmjgm3", "s 69 39" ) ;  
  gal_stget ( 69, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.45512598854e-10, 0.0, "gal_gmjgm3", "c 69 40" ) ;  
  gal_vdv ( s, -2.72531968610e-09, 0.0, "gal_gmjgm3", "s 69 40" ) ;  
  gal_stget ( 69, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.67372875891e-09, 0.0, "gal_gmjgm3", "c 69 41" ) ;  
  gal_vdv ( s, -9.74627443049e-10, 0.0, "gal_gmjgm3", "s 69 41" ) ;  
  gal_stget ( 69, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.95074810039e-09, 0.0, "gal_gmjgm3", "c 69 42" ) ;  
  gal_vdv ( s, 1.49659079128e-09, 0.0, "gal_gmjgm3", "s 69 42" ) ;  
  gal_stget ( 69, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.67020431876e-10, 0.0, "gal_gmjgm3", "c 69 43" ) ;  
  gal_vdv ( s, 1.18907014074e-09, 0.0, "gal_gmjgm3", "s 69 43" ) ;  
  gal_stget ( 69, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.64957871231e-09, 0.0, "gal_gmjgm3", "c 69 44" ) ;  
  gal_vdv ( s, -2.38209656611e-09, 0.0, "gal_gmjgm3", "s 69 44" ) ;  
  gal_stget ( 69, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.08889880055e-09, 0.0, "gal_gmjgm3", "c 69 45" ) ;  
  gal_vdv ( s, 1.03831438307e-09, 0.0, "gal_gmjgm3", "s 69 45" ) ;  
  gal_stget ( 69, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.34984193140e-10, 0.0, "gal_gmjgm3", "c 69 46" ) ;  
  gal_vdv ( s, -1.72384687012e-09, 0.0, "gal_gmjgm3", "s 69 46" ) ;  
  gal_stget ( 69, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.09937028957e-09, 0.0, "gal_gmjgm3", "c 69 47" ) ;  
  gal_vdv ( s, 2.43970382552e-09, 0.0, "gal_gmjgm3", "s 69 47" ) ;  
  gal_stget ( 69, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.03421372151e-10, 0.0, "gal_gmjgm3", "c 69 48" ) ;  
  gal_vdv ( s, 2.71689734793e-10, 0.0, "gal_gmjgm3", "s 69 48" ) ;  
  gal_stget ( 69, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.67485744279e-09, 0.0, "gal_gmjgm3", "c 69 49" ) ;  
  gal_vdv ( s, 1.02432082301e-09, 0.0, "gal_gmjgm3", "s 69 49" ) ;  
  gal_stget ( 69, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.15505482967e-10, 0.0, "gal_gmjgm3", "c 69 50" ) ;  
  gal_vdv ( s, -4.14132955537e-10, 0.0, "gal_gmjgm3", "s 69 50" ) ;  
  gal_stget ( 69, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.29948478450e-10, 0.0, "gal_gmjgm3", "c 69 51" ) ;  
  gal_vdv ( s, -9.50121429345e-10, 0.0, "gal_gmjgm3", "s 69 51" ) ;  
  gal_stget ( 69, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.46637239977e-09, 0.0, "gal_gmjgm3", "c 69 52" ) ;  
  gal_vdv ( s, 6.24425956014e-10, 0.0, "gal_gmjgm3", "s 69 52" ) ;  
  gal_stget ( 69, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.06748064201e-09, 0.0, "gal_gmjgm3", "c 69 53" ) ;  
  gal_vdv ( s, -4.32781218211e-09, 0.0, "gal_gmjgm3", "s 69 53" ) ;  
  gal_stget ( 69, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.95273120557e-09, 0.0, "gal_gmjgm3", "c 69 54" ) ;  
  gal_vdv ( s, -3.43714652068e-09, 0.0, "gal_gmjgm3", "s 69 54" ) ;  
  gal_stget ( 69, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.21775573329e-09, 0.0, "gal_gmjgm3", "c 69 55" ) ;  
  gal_vdv ( s, -2.94213305583e-09, 0.0, "gal_gmjgm3", "s 69 55" ) ;  
  gal_stget ( 69, 56, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.80280547220e-10, 0.0, "gal_gmjgm3", "c 69 56" ) ;  
  gal_vdv ( s, -1.92538535404e-09, 0.0, "gal_gmjgm3", "s 69 56" ) ;  
  gal_stget ( 69, 57, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.35218677899e-09, 0.0, "gal_gmjgm3", "c 69 57" ) ;  
  gal_vdv ( s, -6.88205589176e-11, 0.0, "gal_gmjgm3", "s 69 57" ) ;  
  gal_stget ( 69, 58, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.45792084238e-09, 0.0, "gal_gmjgm3", "c 69 58" ) ;  
  gal_vdv ( s, 2.19905493416e-09, 0.0, "gal_gmjgm3", "s 69 58" ) ;  
  gal_stget ( 69, 59, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.20827716504e-09, 0.0, "gal_gmjgm3", "c 69 59" ) ;  
  gal_vdv ( s, -5.44621552596e-09, 0.0, "gal_gmjgm3", "s 69 59" ) ;  
  gal_stget ( 69, 60, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.98576629264e-10, 0.0, "gal_gmjgm3", "c 69 60" ) ;  
  gal_vdv ( s, -1.16020075299e-09, 0.0, "gal_gmjgm3", "s 69 60" ) ;  
  gal_stget ( 69, 61, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.98416149974e-09, 0.0, "gal_gmjgm3", "c 69 61" ) ;  
  gal_vdv ( s, -4.34189875909e-09, 0.0, "gal_gmjgm3", "s 69 61" ) ;  
  gal_stget ( 69, 62, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.15074174709e-10, 0.0, "gal_gmjgm3", "c 69 62" ) ;  
  gal_vdv ( s, -2.02815980568e-10, 0.0, "gal_gmjgm3", "s 69 62" ) ;  
  gal_stget ( 69, 63, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.87769470334e-09, 0.0, "gal_gmjgm3", "c 69 63" ) ;  
  gal_vdv ( s, 2.45797999378e-09, 0.0, "gal_gmjgm3", "s 69 63" ) ;  
  gal_stget ( 69, 64, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.95238282261e-09, 0.0, "gal_gmjgm3", "c 69 64" ) ;  
  gal_vdv ( s, 4.12312517235e-09, 0.0, "gal_gmjgm3", "s 69 64" ) ;  
  gal_stget ( 69, 65, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.73678913640e-09, 0.0, "gal_gmjgm3", "c 69 65" ) ;  
  gal_vdv ( s, -6.98437668382e-10, 0.0, "gal_gmjgm3", "s 69 65" ) ;  
  gal_stget ( 69, 66, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.79977849320e-09, 0.0, "gal_gmjgm3", "c 69 66" ) ;  
  gal_vdv ( s, 7.95638826031e-10, 0.0, "gal_gmjgm3", "s 69 66" ) ;  
  gal_stget ( 69, 67, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.74485404003e-10, 0.0, "gal_gmjgm3", "c 69 67" ) ;  
  gal_vdv ( s, 1.36949111818e-09, 0.0, "gal_gmjgm3", "s 69 67" ) ;  
  gal_stget ( 69, 68, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.20669997789e-10, 0.0, "gal_gmjgm3", "c 69 68" ) ;  
  gal_vdv ( s, 1.95643396454e-09, 0.0, "gal_gmjgm3", "s 69 68" ) ;  
  gal_stget ( 69, 69, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.50404524543e-09, 0.0, "gal_gmjgm3", "c 69 69" ) ;  
  gal_vdv ( s, -2.97553067566e-09, 0.0, "gal_gmjgm3", "s 69 69" ) ;  
  gal_stget ( 70, 0, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.09282285815e-09, 0.0, "gal_gmjgm3", "c 70 0" ) ;  
  gal_vdv ( s, 0.00000000000e+00, 0.0, "gal_gmjgm3", "s 70 0" ) ;  
  gal_stget ( 70, 1, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.44948551823e-10, 0.0, "gal_gmjgm3", "c 70 1" ) ;  
  gal_vdv ( s, -2.39826634381e-09, 0.0, "gal_gmjgm3", "s 70 1" ) ;  
  gal_stget ( 70, 2, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.34525674088e-09, 0.0, "gal_gmjgm3", "c 70 2" ) ;  
  gal_vdv ( s, 1.55618109860e-09, 0.0, "gal_gmjgm3", "s 70 2" ) ;  
  gal_stget ( 70, 3, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.23466064035e-09, 0.0, "gal_gmjgm3", "c 70 3" ) ;  
  gal_vdv ( s, 3.64012735193e-10, 0.0, "gal_gmjgm3", "s 70 3" ) ;  
  gal_stget ( 70, 4, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.38367788017e-09, 0.0, "gal_gmjgm3", "c 70 4" ) ;  
  gal_vdv ( s, 1.15402958640e-09, 0.0, "gal_gmjgm3", "s 70 4" ) ;  
  gal_stget ( 70, 5, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.50043178539e-10, 0.0, "gal_gmjgm3", "c 70 5" ) ;  
  gal_vdv ( s, 2.31351380616e-09, 0.0, "gal_gmjgm3", "s 70 5" ) ;  
  gal_stget ( 70, 6, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.66481297664e-09, 0.0, "gal_gmjgm3", "c 70 6" ) ;  
  gal_vdv ( s, -9.10267230919e-11, 0.0, "gal_gmjgm3", "s 70 6" ) ;  
  gal_stget ( 70, 7, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.37682920897e-10, 0.0, "gal_gmjgm3", "c 70 7" ) ;  
  gal_vdv ( s, 5.77830463898e-10, 0.0, "gal_gmjgm3", "s 70 7" ) ;  
  gal_stget ( 70, 8, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.97395482177e-09, 0.0, "gal_gmjgm3", "c 70 8" ) ;  
  gal_vdv ( s, -1.16764726187e-09, 0.0, "gal_gmjgm3", "s 70 8" ) ;  
  gal_stget ( 70, 9, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.37778008001e-10, 0.0, "gal_gmjgm3", "c 70 9" ) ;  
  gal_vdv ( s, -3.98697647270e-10, 0.0, "gal_gmjgm3", "s 70 9" ) ;  
  gal_stget ( 70, 10, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.07326145110e-10, 0.0, "gal_gmjgm3", "c 70 10" ) ;  
  gal_vdv ( s, -7.31278747070e-10, 0.0, "gal_gmjgm3", "s 70 10" ) ;  
  gal_stget ( 70, 11, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.53770045742e-09, 0.0, "gal_gmjgm3", "c 70 11" ) ;  
  gal_vdv ( s, 3.09675489536e-09, 0.0, "gal_gmjgm3", "s 70 11" ) ;  
  gal_stget ( 70, 12, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.82599727006e-10, 0.0, "gal_gmjgm3", "c 70 12" ) ;  
  gal_vdv ( s, 1.12520070048e-09, 0.0, "gal_gmjgm3", "s 70 12" ) ;  
  gal_stget ( 70, 13, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.20582329456e-09, 0.0, "gal_gmjgm3", "c 70 13" ) ;  
  gal_vdv ( s, -4.37709993970e-10, 0.0, "gal_gmjgm3", "s 70 13" ) ;  
  gal_stget ( 70, 14, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.13394292694e-09, 0.0, "gal_gmjgm3", "c 70 14" ) ;  
  gal_vdv ( s, -1.01223304512e-09, 0.0, "gal_gmjgm3", "s 70 14" ) ;  
  gal_stget ( 70, 15, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.53307930703e-09, 0.0, "gal_gmjgm3", "c 70 15" ) ;  
  gal_vdv ( s, 1.77100385724e-09, 0.0, "gal_gmjgm3", "s 70 15" ) ;  
  gal_stget ( 70, 16, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.91882995240e-09, 0.0, "gal_gmjgm3", "c 70 16" ) ;  
  gal_vdv ( s, -9.89819278721e-10, 0.0, "gal_gmjgm3", "s 70 16" ) ;  
  gal_stget ( 70, 17, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.67028365012e-10, 0.0, "gal_gmjgm3", "c 70 17" ) ;  
  gal_vdv ( s, 5.73108177682e-10, 0.0, "gal_gmjgm3", "s 70 17" ) ;  
  gal_stget ( 70, 18, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.26837564217e-09, 0.0, "gal_gmjgm3", "c 70 18" ) ;  
  gal_vdv ( s, -5.90235761206e-10, 0.0, "gal_gmjgm3", "s 70 18" ) ;  
  gal_stget ( 70, 19, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.73266977952e-10, 0.0, "gal_gmjgm3", "c 70 19" ) ;  
  gal_vdv ( s, -1.38431562031e-09, 0.0, "gal_gmjgm3", "s 70 19" ) ;  
  gal_stget ( 70, 20, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.40978792584e-09, 0.0, "gal_gmjgm3", "c 70 20" ) ;  
  gal_vdv ( s, -2.90805121011e-11, 0.0, "gal_gmjgm3", "s 70 20" ) ;  
  gal_stget ( 70, 21, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.37395333839e-10, 0.0, "gal_gmjgm3", "c 70 21" ) ;  
  gal_vdv ( s, -1.32354002892e-09, 0.0, "gal_gmjgm3", "s 70 21" ) ;  
  gal_stget ( 70, 22, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 8.37410134946e-11, 0.0, "gal_gmjgm3", "c 70 22" ) ;  
  gal_vdv ( s, -1.75380978461e-09, 0.0, "gal_gmjgm3", "s 70 22" ) ;  
  gal_stget ( 70, 23, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.39866260976e-09, 0.0, "gal_gmjgm3", "c 70 23" ) ;  
  gal_vdv ( s, -6.21263906199e-10, 0.0, "gal_gmjgm3", "s 70 23" ) ;  
  gal_stget ( 70, 24, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.20458110111e-09, 0.0, "gal_gmjgm3", "c 70 24" ) ;  
  gal_vdv ( s, 2.33702757846e-09, 0.0, "gal_gmjgm3", "s 70 24" ) ;  
  gal_stget ( 70, 25, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.10209418574e-12, 0.0, "gal_gmjgm3", "c 70 25" ) ;  
  gal_vdv ( s, -1.85857907010e-09, 0.0, "gal_gmjgm3", "s 70 25" ) ;  
  gal_stget ( 70, 26, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.80688281845e-09, 0.0, "gal_gmjgm3", "c 70 26" ) ;  
  gal_vdv ( s, 1.53582915270e-09, 0.0, "gal_gmjgm3", "s 70 26" ) ;  
  gal_stget ( 70, 27, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.13698677667e-09, 0.0, "gal_gmjgm3", "c 70 27" ) ;  
  gal_vdv ( s, -7.34149673841e-10, 0.0, "gal_gmjgm3", "s 70 27" ) ;  
  gal_stget ( 70, 28, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.70216776794e-09, 0.0, "gal_gmjgm3", "c 70 28" ) ;  
  gal_vdv ( s, 1.31636500644e-09, 0.0, "gal_gmjgm3", "s 70 28" ) ;  
  gal_stget ( 70, 29, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.84915920126e-10, 0.0, "gal_gmjgm3", "c 70 29" ) ;  
  gal_vdv ( s, 1.67579835432e-09, 0.0, "gal_gmjgm3", "s 70 29" ) ;  
  gal_stget ( 70, 30, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.53203851064e-10, 0.0, "gal_gmjgm3", "c 70 30" ) ;  
  gal_vdv ( s, 7.37280538913e-10, 0.0, "gal_gmjgm3", "s 70 30" ) ;  
  gal_stget ( 70, 31, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.42419166878e-09, 0.0, "gal_gmjgm3", "c 70 31" ) ;  
  gal_vdv ( s, -1.23548752507e-09, 0.0, "gal_gmjgm3", "s 70 31" ) ;  
  gal_stget ( 70, 32, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.06867899565e-09, 0.0, "gal_gmjgm3", "c 70 32" ) ;  
  gal_vdv ( s, -8.66776342738e-13, 0.0, "gal_gmjgm3", "s 70 32" ) ;  
  gal_stget ( 70, 33, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.23012619360e-10, 0.0, "gal_gmjgm3", "c 70 33" ) ;  
  gal_vdv ( s, 4.23390530699e-10, 0.0, "gal_gmjgm3", "s 70 33" ) ;  
  gal_stget ( 70, 34, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.45670426194e-10, 0.0, "gal_gmjgm3", "c 70 34" ) ;  
  gal_vdv ( s, 7.83566812968e-10, 0.0, "gal_gmjgm3", "s 70 34" ) ;  
  gal_stget ( 70, 35, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.62352898430e-09, 0.0, "gal_gmjgm3", "c 70 35" ) ;  
  gal_vdv ( s, -3.02448157556e-09, 0.0, "gal_gmjgm3", "s 70 35" ) ;  
  gal_stget ( 70, 36, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.72518310221e-09, 0.0, "gal_gmjgm3", "c 70 36" ) ;  
  gal_vdv ( s, -1.00249650309e-09, 0.0, "gal_gmjgm3", "s 70 36" ) ;  
  gal_stget ( 70, 37, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.76265823679e-09, 0.0, "gal_gmjgm3", "c 70 37" ) ;  
  gal_vdv ( s, 2.13123220616e-09, 0.0, "gal_gmjgm3", "s 70 37" ) ;  
  gal_stget ( 70, 38, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.16813572506e-09, 0.0, "gal_gmjgm3", "c 70 38" ) ;  
  gal_vdv ( s, -2.74593583117e-09, 0.0, "gal_gmjgm3", "s 70 38" ) ;  
  gal_stget ( 70, 39, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.65119334300e-09, 0.0, "gal_gmjgm3", "c 70 39" ) ;  
  gal_vdv ( s, -2.58117464319e-09, 0.0, "gal_gmjgm3", "s 70 39" ) ;  
  gal_stget ( 70, 40, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.30160532596e-09, 0.0, "gal_gmjgm3", "c 70 40" ) ;  
  gal_vdv ( s, 5.78120161808e-10, 0.0, "gal_gmjgm3", "s 70 40" ) ;  
  gal_stget ( 70, 41, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.71701297829e-09, 0.0, "gal_gmjgm3", "c 70 41" ) ;  
  gal_vdv ( s, 1.68369787066e-09, 0.0, "gal_gmjgm3", "s 70 41" ) ;  
  gal_stget ( 70, 42, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.62411229328e-10, 0.0, "gal_gmjgm3", "c 70 42" ) ;  
  gal_vdv ( s, 5.21036390782e-11, 0.0, "gal_gmjgm3", "s 70 42" ) ;  
  gal_stget ( 70, 43, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.95599798996e-09, 0.0, "gal_gmjgm3", "c 70 43" ) ;  
  gal_vdv ( s, -4.27901532344e-10, 0.0, "gal_gmjgm3", "s 70 43" ) ;  
  gal_stget ( 70, 44, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.81424063739e-09, 0.0, "gal_gmjgm3", "c 70 44" ) ;  
  gal_vdv ( s, 9.55283191639e-10, 0.0, "gal_gmjgm3", "s 70 44" ) ;  
  gal_stget ( 70, 45, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.77094135500e-10, 0.0, "gal_gmjgm3", "c 70 45" ) ;  
  gal_vdv ( s, 3.03465472033e-09, 0.0, "gal_gmjgm3", "s 70 45" ) ;  
  gal_stget ( 70, 46, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -9.28008033720e-10, 0.0, "gal_gmjgm3", "c 70 46" ) ;  
  gal_vdv ( s, 5.26190674023e-10, 0.0, "gal_gmjgm3", "s 70 46" ) ;  
  gal_stget ( 70, 47, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.33714771912e-10, 0.0, "gal_gmjgm3", "c 70 47" ) ;  
  gal_vdv ( s, -1.18022333303e-09, 0.0, "gal_gmjgm3", "s 70 47" ) ;  
  gal_stget ( 70, 48, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.68611203479e-10, 0.0, "gal_gmjgm3", "c 70 48" ) ;  
  gal_vdv ( s, -2.80438305195e-09, 0.0, "gal_gmjgm3", "s 70 48" ) ;  
  gal_stget ( 70, 49, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.14299718404e-11, 0.0, "gal_gmjgm3", "c 70 49" ) ;  
  gal_vdv ( s, -1.48366711231e-09, 0.0, "gal_gmjgm3", "s 70 49" ) ;  
  gal_stget ( 70, 50, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 5.52091491129e-09, 0.0, "gal_gmjgm3", "c 70 50" ) ;  
  gal_vdv ( s, -1.77072182074e-10, 0.0, "gal_gmjgm3", "s 70 50" ) ;  
  gal_stget ( 70, 51, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.16080117534e-10, 0.0, "gal_gmjgm3", "c 70 51" ) ;  
  gal_vdv ( s, 2.44743377727e-09, 0.0, "gal_gmjgm3", "s 70 51" ) ;  
  gal_stget ( 70, 52, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -5.49799841046e-10, 0.0, "gal_gmjgm3", "c 70 52" ) ;  
  gal_vdv ( s, 3.58763574227e-09, 0.0, "gal_gmjgm3", "s 70 52" ) ;  
  gal_stget ( 70, 53, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.06864350726e-09, 0.0, "gal_gmjgm3", "c 70 53" ) ;  
  gal_vdv ( s, -1.32165119441e-10, 0.0, "gal_gmjgm3", "s 70 53" ) ;  
  gal_stget ( 70, 54, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.55767366929e-09, 0.0, "gal_gmjgm3", "c 70 54" ) ;  
  gal_vdv ( s, 2.73753312994e-09, 0.0, "gal_gmjgm3", "s 70 54" ) ;  
  gal_stget ( 70, 55, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.79419767017e-09, 0.0, "gal_gmjgm3", "c 70 55" ) ;  
  gal_vdv ( s, 8.62952974934e-10, 0.0, "gal_gmjgm3", "s 70 55" ) ;  
  gal_stget ( 70, 56, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.24741052251e-09, 0.0, "gal_gmjgm3", "c 70 56" ) ;  
  gal_vdv ( s, 1.71491617017e-09, 0.0, "gal_gmjgm3", "s 70 56" ) ;  
  gal_stget ( 70, 57, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.76126845353e-10, 0.0, "gal_gmjgm3", "c 70 57" ) ;  
  gal_vdv ( s, -5.27699051390e-10, 0.0, "gal_gmjgm3", "s 70 57" ) ;  
  gal_stget ( 70, 58, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.02758574399e-09, 0.0, "gal_gmjgm3", "c 70 58" ) ;  
  gal_vdv ( s, -2.93596390080e-09, 0.0, "gal_gmjgm3", "s 70 58" ) ;  
  gal_stget ( 70, 59, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 6.22543577388e-09, 0.0, "gal_gmjgm3", "c 70 59" ) ;  
  gal_vdv ( s, -3.33159525547e-09, 0.0, "gal_gmjgm3", "s 70 59" ) ;  
  gal_stget ( 70, 60, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -8.12442708196e-10, 0.0, "gal_gmjgm3", "c 70 60" ) ;  
  gal_vdv ( s, 3.60118962324e-09, 0.0, "gal_gmjgm3", "s 70 60" ) ;  
  gal_stget ( 70, 61, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 9.93903005131e-10, 0.0, "gal_gmjgm3", "c 70 61" ) ;  
  gal_vdv ( s, -2.63902684844e-09, 0.0, "gal_gmjgm3", "s 70 61" ) ;  
  gal_stget ( 70, 62, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 1.66498458487e-09, 0.0, "gal_gmjgm3", "c 70 62" ) ;  
  gal_vdv ( s, 1.68435999698e-09, 0.0, "gal_gmjgm3", "s 70 62" ) ;  
  gal_stget ( 70, 63, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -2.89243500377e-09, 0.0, "gal_gmjgm3", "c 70 63" ) ;  
  gal_vdv ( s, 1.29618019592e-09, 0.0, "gal_gmjgm3", "s 70 63" ) ;  
  gal_stget ( 70, 64, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -4.27876409179e-10, 0.0, "gal_gmjgm3", "c 70 64" ) ;  
  gal_vdv ( s, 5.34870965732e-10, 0.0, "gal_gmjgm3", "s 70 64" ) ;  
  gal_stget ( 70, 65, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 2.06846209523e-09, 0.0, "gal_gmjgm3", "c 70 65" ) ;  
  gal_vdv ( s, 2.22768800422e-09, 0.0, "gal_gmjgm3", "s 70 65" ) ;  
  gal_stget ( 70, 66, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -1.26472041259e-09, 0.0, "gal_gmjgm3", "c 70 66" ) ;  
  gal_vdv ( s, 3.56423312349e-09, 0.0, "gal_gmjgm3", "s 70 66" ) ;  
  gal_stget ( 70, 67, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, 3.26482500225e-10, 0.0, "gal_gmjgm3", "c 70 67" ) ;  
  gal_vdv ( s, -1.58798461726e-10, 0.0, "gal_gmjgm3", "s 70 67" ) ;  
  gal_stget ( 70, 68, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -3.57191561893e-09, 0.0, "gal_gmjgm3", "c 70 68" ) ;  
  gal_vdv ( s, 7.62937117704e-10, 0.0, "gal_gmjgm3", "s 70 68" ) ;  
  gal_stget ( 70, 69, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -7.31720854466e-10, 0.0, "gal_gmjgm3", "c 70 69" ) ;  
  gal_vdv ( s, 1.81598981212e-09, 0.0, "gal_gmjgm3", "s 70 69" ) ;  
  gal_stget ( 70, 70, &gal_gmjgm3, &c, &s ) ;  
  gal_vdv ( c, -6.43069333700e-10, 0.0, "gal_gmjgm3", "c 70 70" ) ;  
  gal_vdv ( s, -1.86195961771e-10, 0.0, "gal_gmjgm3", "s 70 70" ) ;  

  gal_tfunc++ ;  
  
/*  
 * Finished.  
 */  

}
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  

